diff -pruN 4.99.6+dfsg+really4.20.0-1/Changelog.yaml 4.99.7+dfsg+really4.21.0-1/Changelog.yaml
--- 4.99.6+dfsg+really4.20.0-1/Changelog.yaml	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/Changelog.yaml	2020-07-16 16:35:56.000000000 +0000
@@ -20,6 +20,48 @@
 #   new recipes:
 #     - title:
 
+- version: 4.21.0
+  date: 2020-07-16
+
+  new features:
+    - title: "Kobo driver: Add support for the new Kobo Nia"
+
+    - title: "Cover grid: Vertically center covers that are smaller than the available space."
+      tickets: [1886731]
+
+    - title: "Quickview panel: Add a checkbox to easily toggle if virtual libraries are respected."
+      tickets: [1886347]
+
+    - title: "When creating custom columns allow specifying a default value to be applied to new books for that column"
+      tickets: [1886079]
+
+  bug fixes:
+    - title: "Edit book: Fix initial sync of preview panel to cursor position sometimes not working when a new HTML file is opened for editing"
+
+    - title: "Fix changed author sort name not being used when adding another book by the author to the library."
+      tickets: [1886492]
+
+    - title: "Cover browser: improve rendering of text with heavily hinted fonts."
+      tickets: [1886239]
+
+    - title: "Viewer: Fix CBC comic files not being viewed correctly. Note that you have to reload the book via the viewer controls to apply the fix."
+      tickets: [1886307]
+
+    - title: "Viewer: Fix Table of Contents not correct for comics."
+
+    - title: "Viewer: Ignore the zero width non-joiner character in searches"
+
+    - title: "Viewer: Fix a regression in the previous release that broke reading of books with mathematics and also <a> tags without href attributes."
+      tickets: [1886192]
+
+    - title: "Cover grid: When using a background image do not scroll it with the covers."
+      tickets: [1886139]
+
+  improved recipes:
+    - "1843 magazine"
+    - Caravan Magazine
+
+
 - version: 4.20.0
   date: 2020-07-03
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/changelog 4.99.7+dfsg+really4.21.0-1/debian/changelog
--- 4.99.6+dfsg+really4.20.0-1/debian/changelog	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/changelog	2020-07-20 08:54:12.000000000 +0000
@@ -1,3 +1,32 @@
+calibre (4.99.7+dfsg+really4.21.0-1) unstable; urgency=medium
+
+  [ YOKOTA Hiroshi ]
+  * Refactor regexp
+  * Update py3 patches
+  * Update changelog
+  * Drop MathJax package dependency.
+    Now uses upstream MathJax tarball.
+  * Update beta version number
+  * New upstream version 4.99.7+dfsg+really4.21.0
+  * Drop applied hotfix patch
+  * Update py3 patches
+  * Adjust py3 patches
+  * Add binary patch
+  * Adjust binary patch
+  * Apply binary patch
+  * Update documents about Git style binary patches
+  * Update changelog
+  * Update py3 patches
+  * Update changelog
+  * Update py3 patches
+  * Lintian fix
+    > E: calibre: no-phrase Maintainer team+calibre@tracker.debian.org
+
+  [ Norbert Preining ]
+  * move maintainer to team+calibre@tracker.debian.org
+
+ -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 20 Jul 2020 17:54:12 +0900
+
 calibre (4.99.6+dfsg+really4.20.0-1) unstable; urgency=medium
 
   [ Norbert Preining ]
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/control 4.99.7+dfsg+really4.21.0-1/debian/control
--- 4.99.6+dfsg+really4.20.0-1/debian/control	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/control	2020-07-20 08:52:30.000000000 +0000
@@ -5,6 +5,7 @@ Build-Depends:
  debhelper-compat (= 13),
  curl,
  dh-buildinfo,
+ git,
  libboost-dev,
  libchm-dev,
  libegl1-mesa-dev,
@@ -37,7 +38,6 @@ Build-Depends:
  fonts-liberation,
  imagemagick,
  libjpeg-turbo-progs,
- libjs-mathjax,
  libjxr-tools,
  optipng,
  poppler-utils,
@@ -71,8 +71,9 @@ Build-Depends:
  python3-routes,
  python3-zeroconf,
  xdg-utils,
-Maintainer: Norbert Preining <norbert@preining.info>
-Uploaders: Martin Pitt <mpitt@debian.org>,
+Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>,
+ Martin Pitt <mpitt@debian.org>,
  Nicholas D Steeves <nsteeves@gmail.com>,
  YOKOTA Hiroshi <yokota.hgml@gmail.com>
 Standards-Version: 4.5.0
@@ -87,7 +88,6 @@ Depends: calibre-bin (>= ${source:Versio
  fonts-liberation,
  imagemagick,
  libjpeg-turbo-progs,
- libjs-mathjax,
  libjxr-tools,
  optipng,
  poppler-utils,
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/Extend-timeout-limit.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/Extend-timeout-limit.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/Extend-timeout-limit.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/Extend-timeout-limit.patch	2020-07-17 15:06:01.000000000 +0000
@@ -46,7 +46,7 @@ Index: b/src/calibre/srv/tests/http.py
              conn = server.connect()
  
              def test(al, q):
-@@ -139,7 +139,7 @@ class TestHTTP(BaseTest):
+@@ -147,7 +147,7 @@ class TestHTTP(BaseTest):
              conn._HTTPConnection__state = http_client._CS_REQ_SENT
              return conn.getresponse()
  
@@ -55,7 +55,7 @@ Index: b/src/calibre/srv/tests/http.py
  
          with TestServer(handler, timeout=base_timeout, max_header_line_size=100./1024, max_request_body_size=100./(1024*1024)) as server:
              conn = server.connect()
-@@ -272,7 +272,7 @@ class TestHTTP(BaseTest):
+@@ -280,7 +280,7 @@ class TestHTTP(BaseTest):
              conn = server.connect()
  
              # Test closing
@@ -64,7 +64,7 @@ Index: b/src/calibre/srv/tests/http.py
              conn.request('GET', '/close', headers={'Connection':'close'})
              r = conn.getresponse()
              self.ae(r.status, 200), self.ae(r.read(), b'close')
-@@ -285,8 +285,8 @@ class TestHTTP(BaseTest):
+@@ -293,8 +293,8 @@ class TestHTTP(BaseTest):
              self.assertIsNone(conn.sock)
  
              # Test timeout
@@ -75,7 +75,7 @@ Index: b/src/calibre/srv/tests/http.py
              conn.request('GET', '/something')
              r = conn.getresponse()
              self.ae(r.status, 200), self.ae(r.read(), b'something')
-@@ -300,7 +300,7 @@ class TestHTTP(BaseTest):
+@@ -308,7 +308,7 @@ class TestHTTP(BaseTest):
          def handler(conn):
              return conn.generate_static_output('test', lambda : ''.join(conn.path))
          with NamedTemporaryFile(suffix='test.epub') as f, open(P('localization/locales.zip'), 'rb') as lf, \
@@ -84,7 +84,7 @@ Index: b/src/calibre/srv/tests/http.py
              fdata = (string.ascii_letters * 100).encode('ascii')
              f.write(fdata), f.seek(0)
  
-@@ -401,7 +401,7 @@ class TestHTTP(BaseTest):
+@@ -409,7 +409,7 @@ class TestHTTP(BaseTest):
                  lf.seek(0)
                  data =  lf.read()
                  server.change_handler(lambda conn: lf)
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0001-Require-python-3.7-in-setup.py.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0001-Require-python-3.7-in-setup.py.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0001-Require-python-3.7-in-setup.py.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0001-Require-python-3.7-in-setup.py.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From a26787b84e76809d9eda53c3401e2367ef0ad754 Mon Sep 17 00:00:00 2001
+From fe91f5632052cd361d20197c170de51b12cde58d Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Sun, 17 Nov 2019 15:15:42 +0530
-Subject: [PATCH 001/125] Require python >= 3.7 in setup.py
+Subject: [PATCH 001/201] Require python >= 3.7 in setup.py
 
 ---
  setup.py | 7 ++-----
@@ -28,5 +28,5 @@ index 97e029fe38..ba9a734596 100755
  
  check_version_info()
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0002-Change-shebangs-to-python-from-python2.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0002-Change-shebangs-to-python-from-python2.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0002-Change-shebangs-to-python-from-python2.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0002-Change-shebangs-to-python-from-python2.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,1454 +1,1454 @@
-From cb96f6e54fb5b72bb142c66822f64894a2b4ef4a Mon Sep 17 00:00:00 2001
+From 29a2038d26192cbe07ab1fb5b25b537440c35a1d Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Sun, 17 Nov 2019 15:27:24 +0530
-Subject: [PATCH 002/125] Change shebangs to python from python2
+Subject: [PATCH 002/201] Change shebangs to python from python2
 
 Also remove a few other miscellaneous references to python2
 ---
- =template.py                                                      |    4 -
- INSTALL.rst                                                       |   16 ++---
- README.python3                                                    |   29 ----------
- bypy/linux/site.py                                                |    2 
- bypy/macos/sign.py                                                |    2 
- bypy/windows/site.py                                              |    2 
- icons/icns/make_iconsets.py                                       |    2 
- icons/make_ico_files.py                                           |    2 
- imgsrc/generate.py                                                |    2 
- imgsrc/render-logo.py                                             |    2 
- imgsrc/srv/generate.py                                            |    2 
- manual/build.py                                                   |    2 
- manual/custom.py                                                  |    2 
- manual/epub.py                                                    |    2 
- manual/latex.py                                                   |    2 
- manual/plugin_examples/editor_demo/__init__.py                    |    2 
- manual/plugin_examples/editor_demo/main.py                        |    2 
- manual/plugin_examples/helloworld/__init__.py                     |    2 
- manual/plugin_examples/interface_demo/__init__.py                 |    2 
- manual/plugin_examples/interface_demo/config.py                   |    2 
- manual/plugin_examples/interface_demo/main.py                     |    2 
- manual/plugin_examples/interface_demo/ui.py                       |    2 
- manual/plugin_examples/webengine_demo/__init__.py                 |    2 
- manual/plugin_examples/webengine_demo/main.py                     |    2 
- manual/plugin_examples/webengine_demo/ui.py                       |    2 
- manual/sidebar_toc.py                                             |    2 
- manual/template_ref_generate.py                                   |    2 
- recipes/10minutos.recipe                                          |    2 
- recipes/180.recipe                                                |    2 
- recipes/1843.recipe                                               |    2 
- recipes/24sata.recipe                                             |    2 
- recipes/3dnews.recipe                                             |    2 
- recipes/7seri.recipe                                              |    2 
- recipes/7x7.recipe                                                |    2 
- recipes/aabenraalokalavisen_dk.recipe                             |    2 
- recipes/aarhuslokalavisen_dk.recipe                               |    2 
- recipes/aarhusmidtlokalavisen_dk.recipe                           |    2 
- recipes/aarhusnordlokalavisen_dk.recipe                           |    2 
- recipes/aarhussydlokalavisen_dk.recipe                            |    2 
- recipes/aarhusvestlokalavisen_dk.recipe                           |    2 
- recipes/adevarul.recipe                                           |    2 
- recipes/adnkronos.recipe                                          |    2 
- recipes/ainonline.recipe                                          |    2 
- recipes/ajc.recipe                                                |    2 
- recipes/al_monitor.recipe                                         |    2 
- recipes/ald.recipe                                                |    2 
- recipes/alleroedlokalavisen_dk.recipe                             |    2 
- recipes/altomdata_dk.recipe                                       |    2 
- recipes/amagerbladet_dk.recipe                                    |    2 
- recipes/ambito_financiero.recipe                                  |    2 
- recipes/animal_politico.recipe                                    |    2 
- recipes/anthony_muroni.recipe                                     |    2 
- recipes/ap.recipe                                                 |    2 
- recipes/apcom.recipe                                              |    2 
- recipes/app_funds.recipe                                          |    2 
- recipes/appledaily_tw.recipe                                      |    2 
- recipes/ara_info.recipe                                           |    2 
- recipes/arbetaren.recipe                                          |    2 
- recipes/arcamax.recipe                                            |    2 
- recipes/asia_one.recipe                                           |    2 
- recipes/asianreviewofbooks.recipe                                 |    2 
- recipes/atlantic.recipe                                           |    2 
- recipes/atlantic_com.recipe                                       |    2 
- recipes/auto.recipe                                               |    2 
- recipes/auto_prove.recipe                                         |    2 
- recipes/autobild.recipe                                           |    2 
- recipes/autosport.recipe                                          |    2 
- recipes/avantaje.recipe                                           |    2 
- recipes/aventurilapescuit.recipe                                  |    2 
- recipes/avisen_dk.recipe                                          |    2 
- recipes/babyonline.recipe                                         |    2 
- recipes/bankier_pl.recipe                                         |    2 
- recipes/barrons.recipe                                            |    2 
- recipes/bbcvietnamese.recipe                                      |    2 
- recipes/berlin_policy_journal.recipe                              |    2 
- recipes/berliner_zeitung.recipe                                   |    2 
- recipes/bild_de.recipe                                            |    2 
- recipes/billorielly.recipe                                        |    2 
- recipes/bitacora.recipe                                           |    2 
- recipes/boortz.recipe                                             |    2 
- recipes/borsen_dk.recipe                                          |    2 
- recipes/boxis.recipe                                              |    2 
- recipes/brand_eins.recipe                                         |    2 
- recipes/breaking_mad.recipe                                       |    2 
- recipes/brewiarz.recipe                                           |    2 
- recipes/bsi_news.recipe                                           |    2 
- recipes/bt_dk.recipe                                              |    2 
- recipes/bucataras.recipe                                          |    2 
- recipes/buenosaireseconomico.recipe                               |    2 
- recipes/calgary_herald.recipe                                     |    2 
- recipes/capital.recipe                                            |    2 
- recipes/capital_de.recipe                                         |    2 
- recipes/carta.recipe                                              |    2 
- recipes/catavencii.recipe                                         |    2 
- recipes/catavencu.recipe                                          |    2 
- recipes/champion.recipe                                           |    2 
- recipes/chicago_breaking_news.recipe                              |    2 
- recipes/chipro.recipe                                             |    2 
- recipes/cincinnati_enquirer.recipe                                |    2 
- recipes/cinebel_be.recipe                                         |    2 
- recipes/cio.recipe                                                |    2 
- recipes/cityavisen_dk.recipe                                      |    2 
- recipes/clarin.recipe                                             |    2 
- recipes/climate_progress.recipe                                   |    2 
- recipes/common_dreams.recipe                                      |    2 
- recipes/computerworld_dk.recipe                                   |    2 
- recipes/consortium_news.recipe                                    |    2 
- recipes/corriere_della_sera_en.recipe                             |    2 
- recipes/corriere_della_sera_it.recipe                             |    2 
- recipes/corriere_dello_sport.recipe                               |    2 
- recipes/cosmopolitan.recipe                                       |    2 
- recipes/cotidianul.recipe                                         |    2 
- recipes/courrierinternational.recipe                              |    2 
- recipes/craigslist.recipe                                         |    2 
- recipes/credit_slips.recipe                                       |    2 
- recipes/csid.recipe                                               |    2 
- recipes/curierulnational.recipe                                   |    2 
- recipes/dagensmedicin_dk.recipe                                   |    2 
- recipes/dagenspharma_dk.recipe                                    |    2 
- recipes/daily_mail.recipe                                         |    2 
- recipes/daily_telegraph.recipe                                    |    2 
- recipes/dailyreckoning.recipe                                     |    2 
- recipes/dark_reading.recipe                                       |    2 
- recipes/data_news.recipe                                          |    2 
- recipes/de_redactie_be.recipe                                     |    2 
- recipes/de_standaard.recipe                                       |    2 
- recipes/degentenaar.recipe                                        |    2 
- recipes/demorgen_be.recipe                                        |    2 
- recipes/denver_post.recipe                                        |    2 
- recipes/der_standard.recipe                                       |    2 
- recipes/descopera.recipe                                          |    2 
- recipes/deutsche_welle_en.recipe                                  |    2 
- recipes/deutsche_welle_es.recipe                                  |    2 
- recipes/dhnet_be.recipe                                           |    2 
- recipes/di.recipe                                                 |    2 
- recipes/diagonal.recipe                                           |    2 
- recipes/diario_cordoba.recipe                                     |    2 
- recipes/diario_el_pueblo.recipe                                   |    2 
- recipes/diepresse.recipe                                          |    2 
- recipes/digital_arts.recipe                                       |    2 
- recipes/dilbert.recipe                                            |    2 
- recipes/dilemaveche.recipe                                        |    2 
- recipes/discover_magazine_monthly.recipe                          |    2 
- recipes/divahair.recipe                                           |    2 
- recipes/djurslandsposten_dk.recipe                                |    2 
- recipes/dn_se.recipe                                              |    2 
- recipes/dnevnik_cro.recipe                                        |    2 
- recipes/dnevnik_mk.recipe                                         |    2 
- recipes/dr_dk.recipe                                              |    2 
- recipes/dunyahalleri.recipe                                       |    2 
- recipes/dunyahalleri_haftaninozeti.recipe                         |    2 
- recipes/dwutygodnik.recipe                                        |    2 
- recipes/ebeltoftlokalavisen_dk.recipe                             |    2 
- recipes/echo_online.recipe                                        |    2 
- recipes/ecogeek.recipe                                            |    2 
- recipes/economist.recipe                                          |    2 
- recipes/economist_free.recipe                                     |    2 
- recipes/ecuisine.recipe                                           |    2 
- recipes/edebiyat_haber.recipe                                     |    2 
- recipes/editor_and_publisher.recipe                               |    2 
- recipes/edmonton_journal.recipe                                   |    2 
- recipes/egedallokalavisen_dk.recipe                               |    2 
- recipes/egirl.recipe                                              |    2 
- recipes/el_correo.recipe                                          |    2 
- recipes/el_mercurio_chile.recipe                                  |    2 
- recipes/el_observador.recipe                                      |    2 
- recipes/el_pais.recipe                                            |    2 
- recipes/el_pais_uy.recipe                                         |    2 
- recipes/el_periodico.recipe                                       |    2 
- recipes/el_publico.recipe                                         |    2 
- recipes/ele.recipe                                                |    2 
- recipes/elperiodico_spanish.recipe                                |    2 
- recipes/eltiempo_hn.recipe                                        |    2 
- recipes/endgadget.recipe                                          |    2 
- recipes/entrepeneur.recipe                                        |    2 
- recipes/eos_wetenschap.recipe                                     |    2 
- recipes/epl_talk.recipe                                           |    2 
- recipes/epw.recipe                                                |    2 
- recipes/erhvervs_avisen_dk.recipe                                 |    2 
- recipes/esbjerglokalavisen_dk.recipe                              |    2 
- recipes/esenja.recipe                                             |    2 
- recipes/espn.recipe                                               |    2 
- recipes/evz.ro.recipe                                             |    2 
- recipes/expansion_spanish.recipe                                  |    2 
- recipes/fan_graphs.recipe                                         |    2 
- recipes/fastcompany.recipe                                        |    2 
- recipes/favrskovavisen_dk.recipe                                  |    2 
- recipes/favrskovlokalavisen_dk.recipe                             |    2 
- recipes/faznet.recipe                                             |    2 
- recipes/felicia.recipe                                            |    2 
- recipes/fhmro.recipe                                              |    2 
- recipes/financiarul.recipe                                        |    2 
- recipes/first_things.recipe                                       |    2 
- recipes/focus_de.recipe                                           |    2 
- recipes/folhadesaopaulo.recipe                                    |    2 
- recipes/folhadesaopaulo_sub.recipe                                |    2 
- recipes/folkebladet_dk.recipe                                     |    2 
- recipes/folkebladetdjursland_dk.recipe                            |    2 
- recipes/folketidende_dk.recipe                                    |    2 
- recipes/forbes_pl.recipe                                          |    2 
- recipes/foreign_policy.recipe                                     |    2 
- recipes/foreignaffairs.recipe                                     |    2 
- recipes/formulaas.recipe                                          |    2 
- recipes/foxnews.recipe                                            |    2 
- recipes/fr_online.recipe                                          |    2 
- recipes/frankfurter_rundschau.recipe                              |    2 
- recipes/freakonomics.recipe                                       |    2 
- recipes/fredensborglokalavisen_dk.recipe                          |    2 
- recipes/fredericialokalavisen_dk.recipe                           |    2 
- recipes/frederiksbergbladet_dk.recipe                             |    2 
- recipes/frederikssundlokalavisen_dk.recipe                        |    2 
- recipes/freeway.recipe                                            |    2 
- recipes/fudzilla.recipe                                           |    2 
- recipes/furesoelokalavisen_dk.recipe                              |    2 
- recipes/galaxys_edge.recipe                                       |    2 
- recipes/gandul.recipe                                             |    2 
- recipes/gazeta-prawna-calibre-v1.recipe                           |    2 
- recipes/gazeta_pl_bydgoszcz.recipe                                |    2 
- recipes/gazeta_pl_krakow.recipe                                   |    2 
- recipes/gazeta_pl_warszawa.recipe                                 |    2 
- recipes/gentoftelokalavisen_dk.recipe                             |    2 
- recipes/globe_and_mail.recipe                                     |    2 
- recipes/go4it.recipe                                              |    2 
- recipes/gofin_pl.recipe                                           |    2 
- recipes/gosc_niedzielny.recipe                                    |    2 
- recipes/granma.recipe                                             |    2 
- recipes/granta.recipe                                             |    2 
- recipes/grenaalokalavisen_dk.recipe                               |    2 
- recipes/gribskovlokalavisen_dk.recipe                             |    2 
- recipes/gsp.recipe                                                |    2 
- recipes/guardian.recipe                                           |    2 
- recipes/gva_be.recipe                                             |    2 
- recipes/h3.recipe                                                 |    2 
- recipes/hackernews.recipe                                         |    2 
- recipes/haderslevlokalavisen_dk.recipe                            |    2 
- recipes/handelsblatt.recipe                                       |    2 
- recipes/hatalska.recipe                                           |    2 
- recipes/hbr.recipe                                                |    2 
- recipes/hindu_business_line.recipe                                |    2 
- recipes/hln_be.recipe                                             |    2 
- recipes/hoersholmlokalavisen_dk.recipe                            |    2 
- recipes/hola.recipe                                               |    2 
- recipes/hornsherredavis_dk.recipe                                 |    2 
- recipes/hornsherredlokalavisen_dk.recipe                          |    2 
- recipes/hotcity.recipe                                            |    2 
- recipes/hotnews.recipe                                            |    2 
- recipes/houston_chronicle.recipe                                  |    2 
- recipes/hoy.recipe                                                |    2 
- recipes/hrt.recipe                                                |    2 
- recipes/hvidovreavis_dk.recipe                                    |    2 
- recipes/hvidovrelokalavisen_dk.recipe                             |    2 
- recipes/id_pixel.recipe                                           |    2 
- recipes/iekspries.recipe                                          |    2 
- recipes/iktibas.recipe                                            |    2 
- recipes/il_giornale.recipe                                        |    2 
- recipes/il_messaggero.recipe                                      |    2 
- recipes/il_post.recipe                                            |    2 
- recipes/imperatortravel.recipe                                    |    2 
- recipes/inc.recipe                                                |    2 
- recipes/independent.recipe                                        |    2 
- recipes/infomotori.recipe                                         |    2 
- recipes/infoworld.recipe                                          |    2 
- recipes/ing_dk.recipe                                             |    2 
- recipes/inquirer_net.recipe                                       |    2 
- recipes/intelligencer.recipe                                      |    2 
- recipes/intrefete.recipe                                          |    2 
- recipes/iprofesional.recipe                                       |    2 
- recipes/ixbt.recipe                                               |    2 
- recipes/jakarta_post.recipe                                       |    2 
- recipes/javalobby.recipe                                          |    2 
- recipes/jb_online.recipe                                          |    2 
- recipes/joelonsoftware.recipe                                     |    2 
- recipes/journalgazette.recipe                                     |    2 
- recipes/jurnalulnational.recipe                                   |    2 
- recipes/jutarnji.recipe                                           |    2 
- recipes/jv_dk.recipe                                              |    2 
- recipes/kaloeviglokalavisen_dk.recipe                             |    2 
- recipes/kamikaze.recipe                                           |    2 
- recipes/karsi_gazete.recipe                                       |    2 
- recipes/kellog_insight.recipe                                     |    2 
- recipes/kerrang.recipe                                            |    2 
- recipes/kgsenghavebladet_dk.recipe                                |    2 
- recipes/kitekinto.recipe                                          |    2 
- recipes/kleinezeitung.recipe                                      |    2 
- recipes/knack_be.recipe                                           |    2 
- recipes/koegelokalavisen_dk.recipe                                |    2 
- recipes/koldinglokalavisen_dk.recipe                              |    2 
- recipes/kommunalsundhed_dk.recipe                                 |    2 
- recipes/kompas.recipe                                             |    2 
- recipes/kompiutierra.recipe                                       |    2 
- recipes/kristeligt_dagblad_dk.recipe                              |    2 
- recipes/krstarica_en.recipe                                       |    2 
- recipes/kudika.recipe                                             |    2 
- recipes/kukuburi.recipe                                           |    2 
- recipes/kurier.recipe                                             |    2 
- recipes/l_espresso.recipe                                         |    2 
- recipes/la_cuarta.recipe                                          |    2 
- recipes/la_gazetta_del_mezzogiorno.recipe                         |    2 
- recipes/la_gazzeta_dello_sport.recipe                             |    2 
- recipes/la_stampa.recipe                                          |    2 
- recipes/lalibre_be.recipe                                         |    2 
- recipes/lameuse_be.recipe                                         |    2 
- recipes/lanacion_chile.recipe                                     |    2 
- recipes/laprensa.recipe                                           |    2 
- recipes/laprensa_hn.recipe                                        |    2 
- recipes/laprensa_ni.recipe                                        |    2 
- recipes/latimes.recipe                                            |    2 
- recipes/latribuna.recipe                                          |    2 
- recipes/lavanguardia.recipe                                       |    2 
- recipes/lavenir_be.recipe                                         |    2 
- recipes/le_peuple_breton.recipe                                   |    2 
- recipes/le_temps.recipe                                           |    2 
- recipes/legeartis.recipe                                          |    2 
- recipes/leggo_it.recipe                                           |    2 
- recipes/legitymizm.recipe                                         |    2 
- recipes/lenta_ru.recipe                                           |    2 
- recipes/lequipe.recipe                                            |    2 
- recipes/lescienze.recipe                                          |    2 
- recipes/lesoir_be.recipe                                          |    2 
- recipes/liberation.recipe                                         |    2 
- recipes/libero.recipe                                             |    2 
- recipes/lifehacker.recipe                                         |    2 
- recipes/lifehacker_pl.recipe                                      |    2 
- recipes/limba_sarda.recipe                                        |    2 
- recipes/limes.recipe                                              |    2 
- recipes/linux_magazine.recipe                                     |    2 
- recipes/lwn.recipe                                                |    2 
- recipes/lwn_weekly.recipe                                         |    2 
- recipes/lyngby-taarbaeklokalavisen_dk.recipe                      |    2 
- recipes/mac_world.recipe                                          |    2 
- recipes/mac_world_uk.recipe                                       |    2 
- recipes/macleans.recipe                                           |    2 
- recipes/macrobusiness.recipe                                      |    2 
- recipes/magyar_nemzet.recipe                                      |    2 
- recipes/malaysian_mirror.recipe                                   |    2 
- recipes/mandidner.recipe                                          |    2 
- recipes/maskinbladet_dk.recipe                                    |    2 
- recipes/mateusz_czytania.recipe                                   |    2 
- recipes/mayra.recipe                                              |    2 
- recipes/media2.recipe                                             |    2 
- recipes/media_zone.recipe                                         |    2 
- recipes/mediafax.recipe                                           |    2 
- recipes/mediaindonesia.recipe                                     |    2 
- recipes/mediapart.recipe                                          |    2 
- recipes/mediterraneo.recipe                                       |    2 
- recipes/medscape.recipe                                           |    2 
- recipes/melbourne_herald_sun.recipe                               |    2 
- recipes/michalkiewicz.recipe                                      |    2 
- recipes/mit_technology_review.recipe                              |    2 
- recipes/moldovaazi.recipe                                         |    2 
- recipes/mondedurable.recipe                                       |    2 
- recipes/monden.recipe                                             |    2 
- recipes/moneyro.recipe                                            |    2 
- recipes/montevideo_com.recipe                                     |    2 
- recipes/montreal_gazette.recipe                                   |    2 
- recipes/motherjones.recipe                                        |    2 
- recipes/msdnmag_en.recipe                                         |    2 
- recipes/mult_kor.recipe                                           |    2 
- recipes/mwjournal.recipe                                          |    2 
- recipes/nacional_cro.recipe                                       |    2 
- recipes/najwyzszy_czas.recipe                                     |    2 
- recipes/nakedcapitalism.recipe                                    |    2 
- recipes/naszdziennik.recipe                                       |    2 
- recipes/natgeo.recipe                                             |    2 
- recipes/national_post.recipe                                      |    2 
- recipes/nationalgeoro.recipe                                      |    2 
- recipes/nature.recipe                                             |    2 
- recipes/navalny.recipe                                            |    2 
- recipes/new_york_review_of_books.recipe                           |    2 
- recipes/new_york_review_of_books_no_sub.recipe                    |    2 
- recipes/new_yorker.recipe                                         |    2 
- recipes/newsmoldova.recipe                                        |    2 
- recipes/newsweek_polska.recipe                                    |    2 
- recipes/newz_dk.recipe                                            |    2 
- recipes/nieuws_be.recipe                                          |    2 
- recipes/nikkei_news.recipe                                        |    2 
- recipes/njp.recipe                                                |    2 
- recipes/noaa.recipe                                               |    2 
- recipes/noerrebronordvestbladet_dk.recipe                         |    2 
- recipes/norddjurslokalavisen_dk.recipe                            |    2 
- recipes/nordjyske_dk.recipe                                       |    2 
- recipes/nortecastilla.recipe                                      |    2 
- recipes/nos_nl.recipe                                             |    2 
- recipes/now_toronto.recipe                                        |    2 
- recipes/nowiny_rybnik.recipe                                      |    2 
- recipes/nowy_obywatel.recipe                                      |    2 
- recipes/noz.recipe                                                |    2 
- recipes/nrc-nl-epub.recipe                                        |    2 
- recipes/nrc_next.recipe                                           |    2 
- recipes/nymag.recipe                                              |    2 
- recipes/nypost.recipe                                             |    2 
- recipes/nytimes.recipe                                            |    2 
- recipes/nytimes_sports.recipe                                     |    2 
- recipes/nytimes_sub.recipe                                        |    2 
- recipes/nytimes_tech.recipe                                       |    2 
- recipes/o_globo.recipe                                            |    2 
- recipes/oba.recipe                                                |    2 
- recipes/observa_digital.recipe                                    |    2 
- recipes/observer_gb.recipe                                        |    2 
- recipes/oc_register.recipe                                        |    2 
- recipes/odenselokalavisen_dk.recipe                               |    2 
- recipes/oesterbroavis_dk.recipe                                   |    2 
- recipes/onemagazine.recipe                                        |    2 
- recipes/onionavclub.recipe                                        |    2 
- recipes/optyczne_pl.recipe                                        |    2 
- recipes/osel_cz.recipe                                            |    2 
- recipes/osw.recipe                                                |    2 
- recipes/ottawa_citizen.recipe                                     |    2 
- recipes/outlook_india.recipe                                      |    2 
- recipes/padreydecano.recipe                                       |    2 
- recipes/pagina_12_print_ed.recipe                                 |    2 
- recipes/panorama.recipe                                           |    2 
- recipes/pc_advisor.recipe                                         |    2 
- recipes/pc_lab.recipe                                             |    2 
- recipes/pc_mag.recipe                                             |    2 
- recipes/pc_world.recipe                                           |    2 
- recipes/pcworld_hu.recipe                                         |    2 
- recipes/pcworldro.recipe                                          |    2 
- recipes/people_us_mashup.recipe                                   |    2 
- recipes/phd_comics.recipe                                         |    2 
- recipes/plus_info.recipe                                          |    2 
- recipes/pobjeda.recipe                                            |    2 
- recipes/politico.recipe                                           |    2 
- recipes/politiko_dk.recipe                                        |    2 
- recipes/polityka.recipe                                           |    2 
- recipes/portfolio.recipe                                          |    2 
- recipes/ppe_pl.recipe                                             |    2 
- recipes/presse_portal.recipe                                      |    2 
- recipes/pressonline.recipe                                        |    2 
- recipes/private_eye.recipe                                        |    2 
- recipes/promotor.recipe                                           |    2 
- recipes/prospectmaguk.recipe                                      |    2 
- recipes/prosport.recipe                                           |    2 
- recipes/prostamerika.recipe                                       |    2 
- recipes/protvmagazin.recipe                                       |    2 
- recipes/psych.recipe                                              |    2 
- recipes/psychologies.recipe                                       |    2 
- recipes/pubblico_giornale.recipe                                  |    2 
- recipes/publico.recipe                                            |    2 
- recipes/publika.recipe                                            |    2 
- recipes/punto_informatico.recipe                                  |    2 
- recipes/quanta_magazine.recipe                                    |    2 
- recipes/queueacmorg.recipe                                        |    2 
- recipes/quotidiano.recipe                                         |    2 
- recipes/randerslokalavisen_dk.recipe                              |    2 
- recipes/readers_digest.recipe                                     |    2 
- recipes/realitatea.recipe                                         |    2 
- recipes/red_aragon.recipe                                         |    2 
- recipes/regina_leader_post.recipe                                 |    2 
- recipes/replicavedetelor.recipe                                   |    2 
- recipes/republika.recipe                                          |    2 
- recipes/revista_bla.recipe                                        |    2 
- recipes/rga.recipe                                                |    2 
- recipes/rmf24_ESKN.recipe                                         |    2 
- recipes/rmf24_fakty.recipe                                        |    2 
- recipes/rmf24_opinie.recipe                                       |    2 
- recipes/romanialibera.recipe                                      |    2 
- recipes/roskildelokalavisen_dk.recipe                             |    2 
- recipes/rts.recipe                                                |    2 
- recipes/rudersdallokalavisen_dk.recipe                            |    2 
- recipes/rushisaband.recipe                                        |    2 
- recipes/rynek_infrastruktury.recipe                               |    2 
- recipes/sa_gazeta.recipe                                          |    2 
- recipes/salon.recipe                                              |    2 
- recipes/san_fran_chronicle.recipe                                 |    2 
- recipes/sanjosemercurynews.recipe                                 |    2 
- recipes/saskatoon_star_phoenix.recipe                             |    2 
- recipes/satkurier.recipe                                          |    2 
- recipes/satmagazine.recipe                                        |    2 
- recipes/sb_nation.recipe                                          |    2 
- recipes/science_advances.recipe                                   |    2 
- recipes/science_based_medicine.recipe                             |    2 
- recipes/science_news.recipe                                       |    2 
- recipes/science_news_recent_issues.recipe                         |    2 
- recipes/sciencedaily.recipe                                       |    2 
- recipes/scientific_american.recipe                                |    2 
- recipes/scott_hanselman.recipe                                    |    2 
- recipes/seanhannity.recipe                                        |    2 
- recipes/seattle_times.recipe                                      |    2 
- recipes/serverside.recipe                                         |    2 
- recipes/sfin.recipe                                               |    2 
- recipes/skanderborglokalavisen_dk.recipe                          |    2 
- recipes/slashdot.recipe                                           |    2 
- recipes/slate.recipe                                              |    2 
- recipes/slate_star_codex.recipe                                   |    2 
- recipes/sn_dk.recipe                                              |    2 
- recipes/socialdiva.recipe                                         |    2 
- recipes/soenderborglokalavisen_dk.recipe                          |    2 
- recipes/sondagsavisen_dk.recipe                                   |    2 
- recipes/southernstar.recipe                                       |    2 
- recipes/spektrum.recipe                                           |    2 
- recipes/spiegelde.recipe                                          |    2 
- recipes/sportowefakty.recipe                                      |    2 
- recipes/sports_illustrated.recipe                                 |    2 
- recipes/sporza_be.recipe                                          |    2 
- recipes/stackoverflow.recipe                                      |    2 
- recipes/standardmoney.recipe                                      |    2 
- recipes/stiintasitehnica.recipe                                   |    2 
- recipes/strange_horizons.recipe                                   |    2 
- recipes/superbebe.recipe                                          |    2 
- recipes/swiatkindle.recipe                                        |    2 
- recipes/syddjurslokalavisen_dk.recipe                             |    2 
- recipes/tabu.recipe                                               |    2 
- recipes/tagesspiegel.recipe                                       |    2 
- recipes/taz.recipe                                                |    2 
- recipes/tech_world.recipe                                         |    2 
- recipes/technology_review_de.recipe                               |    2 
- recipes/telam.recipe                                              |    2 
- recipes/telepolis.recipe                                          |    2 
- recipes/teleread.recipe                                           |    2 
- recipes/the_age.recipe                                            |    2 
- recipes/the_budget_fashionista.recipe                             |    2 
- recipes/the_escapist.recipe                                       |    2 
- recipes/the_federalist.recipe                                     |    2 
- recipes/the_insider.recipe                                        |    2 
- recipes/the_oz.recipe                                             |    2 
- recipes/thecodelesscode.recipe                                    |    2 
- recipes/thedgesingapore.recipe                                    |    2 
- recipes/themarketticker.recipe                                    |    2 
- recipes/themorningpaper.recipe                                    |    2 
- recipes/theoldfoodie.recipe                                       |    2 
- recipes/tijd.recipe                                               |    2 
- recipes/time_magazine.recipe                                      |    2 
- recipes/timesnewroman.recipe                                      |    2 
- recipes/tnxm.recipe                                               |    2 
- recipes/todays_zaman.recipe                                       |    2 
- recipes/toronto_sun.recipe                                        |    2 
- recipes/trombon.recipe                                            |    2 
- recipes/trystero.recipe                                           |    2 
- recipes/tuttosport.recipe                                         |    2 
- recipes/tv2lorry_dk.recipe                                        |    2 
- recipes/tv2nord_dk.recipe                                         |    2 
- recipes/tv2oj_dk.recipe                                           |    2 
- recipes/tveast_dk.recipe                                          |    2 
- recipes/tvmania.recipe                                            |    2 
- recipes/tvmidtvest_dk.recipe                                      |    2 
- recipes/tvsyd_dk.recipe                                           |    2 
- recipes/tweakers.recipe                                           |    2 
- recipes/tweakers_net.recipe                                       |    2 
- recipes/tyzden.recipe                                             |    2 
- recipes/uncrate.recipe                                            |    2 
- recipes/unica.recipe                                              |    2 
- recipes/upi.recipe                                                |    2 
- recipes/usatoday.recipe                                           |    2 
- recipes/usnews.recipe                                             |    2 
- recipes/utrinski.recipe                                           |    2 
- recipes/valbybladet_dk.recipe                                     |    2 
- recipes/vancouver_province.recipe                                 |    2 
- recipes/vancouver_sun.recipe                                      |    2 
- recipes/vanloesebladet_dk.recipe                                  |    2 
- recipes/vardelokalavisen_dk.recipe                                |    2 
- recipes/vecernji_list.recipe                                      |    2 
- recipes/veintitres.recipe                                         |    2 
- recipes/vejlelokalavisen_dk.recipe                                |    2 
- recipes/vesterbrobladet_dk.recipe                                 |    2 
- recipes/vic_times.recipe                                          |    2 
- recipes/villagevoice.recipe                                       |    2 
- recipes/viva.recipe                                               |    2 
- recipes/vnexpress.recipe                                          |    2 
- recipes/voetbal_belgie.recipe                                     |    2 
- recipes/wallstreetro.recipe                                       |    2 
- recipes/wash_times.recipe                                         |    2 
- recipes/welt_der_physik.recipe                                    |    2 
- recipes/wenxuecity-znjy.recipe                                    |    2 
- recipes/wikinews_en.recipe                                        |    2 
- recipes/windows_star.recipe                                       |    2 
- recipes/windsor_star.recipe                                       |    2 
- recipes/wolne_media.recipe                                        |    2 
- recipes/wsj.recipe                                                |    2 
- recipes/wsj_free.recipe                                           |    2 
- recipes/wvhooligan.recipe                                         |    2 
- recipes/yalansavar.recipe                                         |    2 
- recipes/zadolba_li.recipe                                         |    2 
- recipes/zaobao.recipe                                             |    2 
- recipes/zaxid_net.recipe                                          |    2 
- recipes/zeitde_sub.recipe                                         |    2 
- recipes/ziarulfinanciar.recipe                                    |    2 
- recipes/zita_be.recipe                                            |    2 
- recipes/ziuaveche.recipe                                          |    2 
- recipes/zycie_warszawy.recipe                                     |    2 
- resources/default_tweaks.py                                       |    2 
- session.vim                                                       |    1 
- setup.py                                                          |    2 
- setup/__init__.py                                                 |    2 
- setup/browser_data.py                                             |    2 
- setup/build.py                                                    |    2 
- setup/build_environment.py                                        |    2 
- setup/check.py                                                    |    6 --
- setup/commands.py                                                 |    2 
- setup/file-hosting-bw.py                                          |    2 
- setup/git_version.py                                              |    2 
- setup/gui.py                                                      |    2 
- setup/install.py                                                  |    2 
- setup/installers.py                                               |    2 
- setup/linux-installer.py                                          |    2 
- setup/linux-installer.sh                                          |    2 
- setup/mathjax.py                                                  |    2 
- setup/parallel_build.py                                           |    2 
- setup/plugins_mirror.py                                           |    2 
- setup/publish.py                                                  |    2 
- setup/resources.py                                                |    2 
- setup/run-calibre-worker.py                                       |    2 
- setup/test.py                                                     |    2 
- setup/translations.py                                             |    2 
- setup/upload.py                                                   |    2 
- setup/vcvars.py                                                   |    2 
- setup/win-ci.py                                                   |    2 
- src/backports/functools_lru_cache.py                              |    2 
- src/calibre/constants.py                                          |    2 
- src/calibre/customize/zipplugin.py                                |    2 
- src/calibre/db/__init__.py                                        |    2 
- src/calibre/db/adding.py                                          |    2 
- src/calibre/db/backend.py                                         |    2 
- src/calibre/db/backup.py                                          |    2 
- src/calibre/db/cache.py                                           |    2 
- src/calibre/db/categories.py                                      |    2 
- src/calibre/db/cli/__init__.py                                    |    2 
- src/calibre/db/cli/cmd_add.py                                     |    2 
- src/calibre/db/cli/cmd_add_custom_column.py                       |    2 
- src/calibre/db/cli/cmd_add_format.py                              |    2 
- src/calibre/db/cli/cmd_backup_metadata.py                         |    2 
- src/calibre/db/cli/cmd_catalog.py                                 |    2 
- src/calibre/db/cli/cmd_check_library.py                           |    2 
- src/calibre/db/cli/cmd_clone.py                                   |    2 
- src/calibre/db/cli/cmd_custom_columns.py                          |    2 
- src/calibre/db/cli/cmd_embed_metadata.py                          |    2 
- src/calibre/db/cli/cmd_export.py                                  |    2 
- src/calibre/db/cli/cmd_list.py                                    |    2 
- src/calibre/db/cli/cmd_list_categories.py                         |    2 
- src/calibre/db/cli/cmd_remove.py                                  |    2 
- src/calibre/db/cli/cmd_remove_custom_column.py                    |    2 
- src/calibre/db/cli/cmd_remove_format.py                           |    2 
- src/calibre/db/cli/cmd_restore_database.py                        |    2 
- src/calibre/db/cli/cmd_saved_searches.py                          |    2 
- src/calibre/db/cli/cmd_search.py                                  |    2 
- src/calibre/db/cli/cmd_set_custom.py                              |    2 
- src/calibre/db/cli/cmd_set_metadata.py                            |    2 
- src/calibre/db/cli/cmd_show_metadata.py                           |    2 
- src/calibre/db/cli/main.py                                        |    2 
- src/calibre/db/cli/tests.py                                       |    2 
- src/calibre/db/cli/utils.py                                       |    2 
- src/calibre/db/copy_to_library.py                                 |    2 
- src/calibre/db/delete_service.py                                  |    2 
- src/calibre/db/errors.py                                          |    2 
- src/calibre/db/fields.py                                          |    2 
- src/calibre/db/lazy.py                                            |    2 
- src/calibre/db/legacy.py                                          |    2 
- src/calibre/db/locking.py                                         |    2 
- src/calibre/db/restore.py                                         |    2 
- src/calibre/db/schema_upgrades.py                                 |    2 
- src/calibre/db/search.py                                          |    2 
- src/calibre/db/tables.py                                          |    2 
- src/calibre/db/tests/__init__.py                                  |    2 
- src/calibre/db/tests/add_remove.py                                |    2 
- src/calibre/db/tests/base.py                                      |    2 
- src/calibre/db/tests/filesystem.py                                |    2 
- src/calibre/db/tests/legacy.py                                    |    2 
- src/calibre/db/tests/locking.py                                   |    2 
- src/calibre/db/tests/main.py                                      |    2 
- src/calibre/db/tests/profiling.py                                 |    2 
- src/calibre/db/tests/reading.py                                   |    2 
- src/calibre/db/tests/utils.py                                     |    2 
- src/calibre/db/tests/writing.py                                   |    2 
- src/calibre/db/utils.py                                           |    2 
- src/calibre/db/view.py                                            |    2 
- src/calibre/db/write.py                                           |    2 
- src/calibre/debug.py                                              |    2 
- src/calibre/devices/android/__init__.py                           |    2 
- src/calibre/devices/cli.py                                        |    2 
- src/calibre/devices/eslick/__init__.py                            |    2 
- src/calibre/devices/eslick/driver.py                              |    2 
- src/calibre/devices/folder_device/__init__.py                     |    2 
- src/calibre/devices/iriver/__init__.py                            |    2 
- src/calibre/devices/iriver/driver.py                              |    2 
- src/calibre/devices/kobo/__init__.py                              |    2 
- src/calibre/devices/kobo/driver.py                                |    2 
- src/calibre/devices/kobo/kobotouch_config.py                      |    2 
- src/calibre/devices/misc.py                                       |    2 
- src/calibre/devices/mtp/__init__.py                               |    2 
- src/calibre/devices/mtp/base.py                                   |    2 
- src/calibre/devices/mtp/books.py                                  |    2 
- src/calibre/devices/mtp/defaults.py                               |    2 
- src/calibre/devices/mtp/driver.py                                 |    2 
- src/calibre/devices/mtp/filesystem_cache.py                       |    2 
- src/calibre/devices/mtp/test.py                                   |    2 
- src/calibre/devices/mtp/unix/__init__.py                          |    2 
- src/calibre/devices/mtp/unix/driver.py                            |    2 
- src/calibre/devices/mtp/unix/sysfs.py                             |    2 
- src/calibre/devices/mtp/windows/__init__.py                       |    2 
- src/calibre/devices/mtp/windows/driver.py                         |    2 
- src/calibre/devices/mtp/windows/remote.py                         |    2 
- src/calibre/devices/paladin/driver.py                             |    2 
- src/calibre/devices/prs505/sony_cache.py                          |    2 
- src/calibre/devices/prst1/__init__.py                             |    2 
- src/calibre/devices/prst1/driver.py                               |    2 
- src/calibre/devices/smart_device_app/__init__.py                  |    2 
- src/calibre/devices/smart_device_app/driver.py                    |    2 
- src/calibre/devices/teclast/__init__.py                           |    2 
- src/calibre/devices/udisks.py                                     |    2 
- src/calibre/devices/utils.py                                      |    2 
- src/calibre/devices/winusb.py                                     |    2 
- src/calibre/ebooks/BeautifulSoup.py                               |    2 
- src/calibre/ebooks/chardet.py                                     |    2 
- src/calibre/ebooks/chm/__init__.py                                |    2 
- src/calibre/ebooks/chm/metadata.py                                |    2 
- src/calibre/ebooks/comic/__init__.py                              |    2 
- src/calibre/ebooks/compression/palmdoc.py                         |    2 
- src/calibre/ebooks/constants.py                                   |    2 
- src/calibre/ebooks/conversion/config.py                           |    2 
- src/calibre/ebooks/conversion/plugins/__init__.py                 |    2 
- src/calibre/ebooks/conversion/plugins/docx_input.py               |    2 
- src/calibre/ebooks/conversion/plugins/docx_output.py              |    2 
- src/calibre/ebooks/conversion/plugins/epub_output.py              |    2 
- src/calibre/ebooks/conversion/plugins/html_input.py               |    2 
- src/calibre/ebooks/conversion/plugins/lit_input.py                |    2 
- src/calibre/ebooks/conversion/plugins/lit_output.py               |    2 
- src/calibre/ebooks/conversion/plugins/lrf_input.py                |    2 
- src/calibre/ebooks/conversion/plugins/lrf_output.py               |    2 
- src/calibre/ebooks/conversion/plugins/mobi_output.py              |    2 
- src/calibre/ebooks/conversion/plugins/recipe_input.py             |    2 
- src/calibre/ebooks/conversion/preprocess.py                       |    2 
- src/calibre/ebooks/conversion/search_replace.py                   |    2 
- src/calibre/ebooks/conversion/utils.py                            |    2 
- src/calibre/ebooks/covers.py                                      |    2 
- src/calibre/ebooks/css_transform_rules.py                         |    2 
- src/calibre/ebooks/djvu/__init__.py                               |    2 
- src/calibre/ebooks/djvu/djvu.py                                   |    2 
- src/calibre/ebooks/djvu/djvubzzdec.py                             |    2 
- src/calibre/ebooks/docx/__init__.py                               |    2 
- src/calibre/ebooks/docx/block_styles.py                           |    2 
- src/calibre/ebooks/docx/char_styles.py                            |    2 
- src/calibre/ebooks/docx/cleanup.py                                |    2 
- src/calibre/ebooks/docx/container.py                              |    2 
- src/calibre/ebooks/docx/dump.py                                   |    2 
- src/calibre/ebooks/docx/fields.py                                 |    2 
- src/calibre/ebooks/docx/fonts.py                                  |    2 
- src/calibre/ebooks/docx/footnotes.py                              |    2 
- src/calibre/ebooks/docx/images.py                                 |    2 
- src/calibre/ebooks/docx/index.py                                  |    2 
- src/calibre/ebooks/docx/lcid.py                                   |    2 
- src/calibre/ebooks/docx/names.py                                  |    2 
- src/calibre/ebooks/docx/numbering.py                              |    2 
- src/calibre/ebooks/docx/settings.py                               |    2 
- src/calibre/ebooks/docx/styles.py                                 |    2 
- src/calibre/ebooks/docx/tables.py                                 |    2 
- src/calibre/ebooks/docx/theme.py                                  |    2 
- src/calibre/ebooks/docx/to_html.py                                |    2 
- src/calibre/ebooks/docx/toc.py                                    |    2 
- src/calibre/ebooks/docx/writer/__init__.py                        |    2 
- src/calibre/ebooks/docx/writer/container.py                       |    2 
- src/calibre/ebooks/docx/writer/fonts.py                           |    2 
- src/calibre/ebooks/docx/writer/from_html.py                       |    2 
- src/calibre/ebooks/docx/writer/images.py                          |    2 
- src/calibre/ebooks/docx/writer/links.py                           |    2 
- src/calibre/ebooks/docx/writer/lists.py                           |    2 
- src/calibre/ebooks/docx/writer/styles.py                          |    2 
- src/calibre/ebooks/docx/writer/tables.py                          |    2 
- src/calibre/ebooks/docx/writer/utils.py                           |    2 
- src/calibre/ebooks/epub/cfi/parse.py                              |    2 
- src/calibre/ebooks/epub/cfi/tests.py                              |    2 
- src/calibre/ebooks/epub/periodical.py                             |    2 
- src/calibre/ebooks/fb2/__init__.py                                |    2 
- src/calibre/ebooks/html/__init__.py                               |    2 
- src/calibre/ebooks/html/input.py                                  |    2 
- src/calibre/ebooks/html/to_zip.py                                 |    2 
- src/calibre/ebooks/html_entities.py                               |    2 
- src/calibre/ebooks/iterator/__init__.py                           |    2 
- src/calibre/ebooks/lrf/input.py                                   |    2 
- src/calibre/ebooks/lrf/pylrs/pylrf.py                             |    2 
- src/calibre/ebooks/metadata/__init__.py                           |    2 
- src/calibre/ebooks/metadata/archive.py                            |    2 
- src/calibre/ebooks/metadata/author_mapper.py                      |    2 
- src/calibre/ebooks/metadata/book/__init__.py                      |    2 
- src/calibre/ebooks/metadata/book/base.py                          |    2 
- src/calibre/ebooks/metadata/book/formatter.py                     |    2 
- src/calibre/ebooks/metadata/book/render.py                        |    2 
- src/calibre/ebooks/metadata/book/serialize.py                     |    2 
- src/calibre/ebooks/metadata/docx.py                               |    2 
- src/calibre/ebooks/metadata/epub.py                               |    2 
- src/calibre/ebooks/metadata/fb2.py                                |    2 
- src/calibre/ebooks/metadata/html.py                               |    2 
- src/calibre/ebooks/metadata/kdl.py                                |    2 
- src/calibre/ebooks/metadata/kfx.py                                |    2 
- src/calibre/ebooks/metadata/lrx.py                                |    2 
- src/calibre/ebooks/metadata/mobi.py                               |    2 
- src/calibre/ebooks/metadata/odt.py                                |    2 
- src/calibre/ebooks/metadata/opf.py                                |    2 
- src/calibre/ebooks/metadata/opf2.py                               |    2 
- src/calibre/ebooks/metadata/opf3.py                               |    2 
- src/calibre/ebooks/metadata/opf3_test.py                          |    2 
- src/calibre/ebooks/metadata/opf_2_to_3.py                         |    2 
- src/calibre/ebooks/metadata/rar.py                                |    2 
- src/calibre/ebooks/metadata/rtf.py                                |    2 
- src/calibre/ebooks/metadata/search_internet.py                    |    2 
- src/calibre/ebooks/metadata/sources/__init__.py                   |    2 
- src/calibre/ebooks/metadata/sources/amazon.py                     |    2 
- src/calibre/ebooks/metadata/sources/base.py                       |    2 
- src/calibre/ebooks/metadata/sources/big_book_search.py            |    2 
- src/calibre/ebooks/metadata/sources/cli.py                        |    2 
- src/calibre/ebooks/metadata/sources/covers.py                     |    2 
- src/calibre/ebooks/metadata/sources/douban.py                     |    2 
- src/calibre/ebooks/metadata/sources/edelweiss.py                  |    2 
- src/calibre/ebooks/metadata/sources/google.py                     |    2 
- src/calibre/ebooks/metadata/sources/google_images.py              |    2 
- src/calibre/ebooks/metadata/sources/identify.py                   |    2 
- src/calibre/ebooks/metadata/sources/openlibrary.py                |    2 
- src/calibre/ebooks/metadata/sources/overdrive.py                  |    2 
- src/calibre/ebooks/metadata/sources/ozon.py                       |    2 
- src/calibre/ebooks/metadata/sources/prefs.py                      |    2 
- src/calibre/ebooks/metadata/sources/search_engines.py             |    2 
- src/calibre/ebooks/metadata/sources/test.py                       |    2 
- src/calibre/ebooks/metadata/sources/update.py                     |    2 
- src/calibre/ebooks/metadata/sources/worker.py                     |    2 
- src/calibre/ebooks/metadata/tag_mapper.py                         |    2 
- src/calibre/ebooks/metadata/toc.py                                |    2 
- src/calibre/ebooks/metadata/utils.py                              |    2 
- src/calibre/ebooks/metadata/worker.py                             |    2 
- src/calibre/ebooks/metadata/xisbn.py                              |    2 
- src/calibre/ebooks/metadata/xmp.py                                |    2 
- src/calibre/ebooks/mobi/__init__.py                               |    2 
- src/calibre/ebooks/mobi/debug/__init__.py                         |    2 
- src/calibre/ebooks/mobi/debug/containers.py                       |    2 
- src/calibre/ebooks/mobi/debug/headers.py                          |    2 
- src/calibre/ebooks/mobi/debug/index.py                            |    2 
- src/calibre/ebooks/mobi/debug/main.py                             |    2 
- src/calibre/ebooks/mobi/debug/mobi6.py                            |    2 
- src/calibre/ebooks/mobi/debug/mobi8.py                            |    2 
- src/calibre/ebooks/mobi/huffcdic.py                               |    2 
- src/calibre/ebooks/mobi/langcodes.py                              |    2 
- src/calibre/ebooks/mobi/reader/__init__.py                        |    2 
- src/calibre/ebooks/mobi/reader/containers.py                      |    2 
- src/calibre/ebooks/mobi/reader/headers.py                         |    2 
- src/calibre/ebooks/mobi/reader/index.py                           |    2 
- src/calibre/ebooks/mobi/reader/markup.py                          |    2 
- src/calibre/ebooks/mobi/reader/mobi6.py                           |    2 
- src/calibre/ebooks/mobi/reader/mobi8.py                           |    2 
- src/calibre/ebooks/mobi/reader/ncx.py                             |    2 
- src/calibre/ebooks/mobi/tweak.py                                  |    2 
- src/calibre/ebooks/mobi/utils.py                                  |    2 
- src/calibre/ebooks/mobi/writer2/__init__.py                       |    2 
- src/calibre/ebooks/mobi/writer2/indexer.py                        |    2 
- src/calibre/ebooks/mobi/writer2/main.py                           |    2 
- src/calibre/ebooks/mobi/writer2/resources.py                      |    2 
- src/calibre/ebooks/mobi/writer2/serializer.py                     |    2 
- src/calibre/ebooks/mobi/writer8/__init__.py                       |    2 
- src/calibre/ebooks/mobi/writer8/cleanup.py                        |    2 
- src/calibre/ebooks/mobi/writer8/exth.py                           |    2 
- src/calibre/ebooks/mobi/writer8/header.py                         |    2 
- src/calibre/ebooks/mobi/writer8/index.py                          |    2 
- src/calibre/ebooks/mobi/writer8/main.py                           |    2 
- src/calibre/ebooks/mobi/writer8/mobi.py                           |    2 
- src/calibre/ebooks/mobi/writer8/skeleton.py                       |    2 
- src/calibre/ebooks/mobi/writer8/tbs.py                            |    2 
- src/calibre/ebooks/mobi/writer8/toc.py                            |    2 
- src/calibre/ebooks/odt/__init__.py                                |    2 
- src/calibre/ebooks/oeb/display/__init__.py                        |    2 
- src/calibre/ebooks/oeb/display/webview.py                         |    2 
- src/calibre/ebooks/oeb/iterator/__init__.py                       |    2 
- src/calibre/ebooks/oeb/iterator/book.py                           |    2 
- src/calibre/ebooks/oeb/iterator/bookmarks.py                      |    2 
- src/calibre/ebooks/oeb/iterator/spine.py                          |    2 
- src/calibre/ebooks/oeb/normalize_css.py                           |    2 
- src/calibre/ebooks/oeb/parse_utils.py                             |    2 
- src/calibre/ebooks/oeb/polish/__init__.py                         |    2 
- src/calibre/ebooks/oeb/polish/cascade.py                          |    2 
- src/calibre/ebooks/oeb/polish/check/__init__.py                   |    2 
- src/calibre/ebooks/oeb/polish/check/base.py                       |    2 
- src/calibre/ebooks/oeb/polish/check/fonts.py                      |    2 
- src/calibre/ebooks/oeb/polish/check/images.py                     |    2 
- src/calibre/ebooks/oeb/polish/check/links.py                      |    2 
- src/calibre/ebooks/oeb/polish/check/main.py                       |    2 
- src/calibre/ebooks/oeb/polish/check/opf.py                        |    2 
- src/calibre/ebooks/oeb/polish/check/parsing.py                    |    2 
- src/calibre/ebooks/oeb/polish/container.py                        |    2 
- src/calibre/ebooks/oeb/polish/create.py                           |    2 
- src/calibre/ebooks/oeb/polish/css.py                              |    2 
- src/calibre/ebooks/oeb/polish/download.py                         |    2 
- src/calibre/ebooks/oeb/polish/embed.py                            |    2 
- src/calibre/ebooks/oeb/polish/errors.py                           |    2 
- src/calibre/ebooks/oeb/polish/fonts.py                            |    2 
- src/calibre/ebooks/oeb/polish/images.py                           |    2 
- src/calibre/ebooks/oeb/polish/import_book.py                      |    2 
- src/calibre/ebooks/oeb/polish/jacket.py                           |    2 
- src/calibre/ebooks/oeb/polish/main.py                             |    2 
- src/calibre/ebooks/oeb/polish/opf.py                              |    2 
- src/calibre/ebooks/oeb/polish/parsing.py                          |    2 
- src/calibre/ebooks/oeb/polish/pretty.py                           |    2 
- src/calibre/ebooks/oeb/polish/replace.py                          |    2 
- src/calibre/ebooks/oeb/polish/report.py                           |    2 
- src/calibre/ebooks/oeb/polish/spell.py                            |    2 
- src/calibre/ebooks/oeb/polish/split.py                            |    2 
- src/calibre/ebooks/oeb/polish/stats.py                            |    2 
- src/calibre/ebooks/oeb/polish/subset.py                           |    2 
- src/calibre/ebooks/oeb/polish/tests/__init__.py                   |    2 
- src/calibre/ebooks/oeb/polish/tests/base.py                       |    2 
- src/calibre/ebooks/oeb/polish/tests/cascade.py                    |    2 
- src/calibre/ebooks/oeb/polish/tests/container.py                  |    2 
- src/calibre/ebooks/oeb/polish/tests/main.py                       |    2 
- src/calibre/ebooks/oeb/polish/tests/parsing.py                    |    2 
- src/calibre/ebooks/oeb/polish/tests/structure.py                  |    2 
- src/calibre/ebooks/oeb/polish/toc.py                              |    2 
- src/calibre/ebooks/oeb/polish/upgrade.py                          |    2 
- src/calibre/ebooks/oeb/polish/utils.py                            |    2 
- src/calibre/ebooks/oeb/transforms/__init__.py                     |    2 
- src/calibre/ebooks/oeb/transforms/cover.py                        |    2 
- src/calibre/ebooks/oeb/transforms/data_url.py                     |    2 
- src/calibre/ebooks/oeb/transforms/embed_fonts.py                  |    2 
- src/calibre/ebooks/oeb/transforms/filenames.py                    |    2 
- src/calibre/ebooks/oeb/transforms/guide.py                        |    2 
- src/calibre/ebooks/oeb/transforms/jacket.py                       |    2 
- src/calibre/ebooks/oeb/transforms/linearize_tables.py             |    2 
- src/calibre/ebooks/oeb/transforms/metadata.py                     |    2 
- src/calibre/ebooks/oeb/transforms/page_margin.py                  |    2 
- src/calibre/ebooks/oeb/transforms/rescale.py                      |    2 
- src/calibre/ebooks/oeb/transforms/structure.py                    |    2 
- src/calibre/ebooks/oeb/transforms/subset.py                       |    2 
- src/calibre/ebooks/pdb/haodoo/__init__.py                         |    2 
- src/calibre/ebooks/pdf/__init__.py                                |    2 
- src/calibre/ebooks/pdf/develop.py                                 |    2 
- src/calibre/ebooks/pdf/html_writer.py                             |    2 
- src/calibre/ebooks/pdf/image_writer.py                            |    2 
- src/calibre/ebooks/pdf/pdftohtml.py                               |    2 
- src/calibre/ebooks/pdf/reflow.py                                  |    2 
- src/calibre/ebooks/pdf/render/__init__.py                         |    2 
- src/calibre/ebooks/pdf/render/common.py                           |    2 
- src/calibre/ebooks/pdf/render/fonts.py                            |    2 
- src/calibre/ebooks/pdf/render/gradients.py                        |    2 
- src/calibre/ebooks/pdf/render/graphics.py                         |    2 
- src/calibre/ebooks/pdf/render/links.py                            |    2 
- src/calibre/ebooks/pdf/render/serialize.py                        |    2 
- src/calibre/ebooks/pdf/test_html_writer.py                        |    2 
- src/calibre/ebooks/readability/readability.py                     |    2 
- src/calibre/ebooks/render_html.py                                 |    2 
- src/calibre/ebooks/rtf/preprocess.py                              |    2 
- src/calibre/ebooks/rtf2xml/ParseRtf.py                            |    2 
- src/calibre/ebooks/rtf2xml/check_encoding.py                      |    2 
- src/calibre/ebooks/snb/__init__.py                                |    2 
- src/calibre/ebooks/textile/functions.py                           |    2 
- src/calibre/ebooks/tweak.py                                       |    2 
- src/calibre/ebooks/txt/__init__.py                                |    2 
- src/calibre/gui2/actions/__init__.py                              |    2 
- src/calibre/gui2/actions/add.py                                   |    2 
- src/calibre/gui2/actions/add_to_library.py                        |    2 
- src/calibre/gui2/actions/annotate.py                              |    2 
- src/calibre/gui2/actions/author_mapper.py                         |    2 
- src/calibre/gui2/actions/catalog.py                               |    2 
- src/calibre/gui2/actions/choose_library.py                        |    2 
- src/calibre/gui2/actions/convert.py                               |    2 
- src/calibre/gui2/actions/copy_to_library.py                       |    2 
- src/calibre/gui2/actions/delete.py                                |    2 
- src/calibre/gui2/actions/device.py                                |    2 
- src/calibre/gui2/actions/edit_collections.py                      |    2 
- src/calibre/gui2/actions/edit_metadata.py                         |    2 
- src/calibre/gui2/actions/embed.py                                 |    2 
- src/calibre/gui2/actions/fetch_news.py                            |    2 
- src/calibre/gui2/actions/help.py                                  |    2 
- src/calibre/gui2/actions/mark_books.py                            |    2 
- src/calibre/gui2/actions/match_books.py                           |    2 
- src/calibre/gui2/actions/next_match.py                            |    2 
- src/calibre/gui2/actions/open.py                                  |    2 
- src/calibre/gui2/actions/plugin_updates.py                        |    2 
- src/calibre/gui2/actions/polish.py                                |    2 
- src/calibre/gui2/actions/preferences.py                           |    2 
- src/calibre/gui2/actions/random.py                                |    2 
- src/calibre/gui2/actions/restart.py                               |    2 
- src/calibre/gui2/actions/save_to_disk.py                          |    2 
- src/calibre/gui2/actions/show_book_details.py                     |    2 
- src/calibre/gui2/actions/show_quickview.py                        |    2 
- src/calibre/gui2/actions/show_template_tester.py                  |    2 
- src/calibre/gui2/actions/similar_books.py                         |    2 
- src/calibre/gui2/actions/sort.py                                  |    2 
- src/calibre/gui2/actions/tag_mapper.py                            |    2 
- src/calibre/gui2/actions/toc_edit.py                              |    2 
- src/calibre/gui2/actions/tweak_epub.py                            |    2 
- src/calibre/gui2/actions/unpack_book.py                           |    2 
- src/calibre/gui2/actions/view.py                                  |    2 
- src/calibre/gui2/actions/virtual_library.py                       |    2 
- src/calibre/gui2/add.py                                           |    2 
- src/calibre/gui2/add_filters.py                                   |    2 
- src/calibre/gui2/author_mapper.py                                 |    2 
- src/calibre/gui2/auto_add.py                                      |    2 
- src/calibre/gui2/bars.py                                          |    2 
- src/calibre/gui2/book_details.py                                  |    2 
- src/calibre/gui2/catalog/catalog_bibtex.py                        |    2 
- src/calibre/gui2/catalog/catalog_csv_xml.py                       |    2 
- src/calibre/gui2/catalog/catalog_epub_mobi.py                     |    2 
- src/calibre/gui2/changes.py                                       |    2 
- src/calibre/gui2/comments_editor.py                               |    2 
- src/calibre/gui2/complete2.py                                     |    2 
- src/calibre/gui2/convert/__init__.py                              |    2 
- src/calibre/gui2/convert/azw3_output.py                           |    2 
- src/calibre/gui2/convert/comic_input.py                           |    2 
- src/calibre/gui2/convert/debug.py                                 |    2 
- src/calibre/gui2/convert/docx_input.py                            |    2 
- src/calibre/gui2/convert/epub_output.py                           |    2 
- src/calibre/gui2/convert/font_key.py                              |    2 
- src/calibre/gui2/convert/look_and_feel.py                         |    2 
- src/calibre/gui2/convert/lrf_output.py                            |    2 
- src/calibre/gui2/convert/metadata.py                              |    2 
- src/calibre/gui2/convert/mobi_output.py                           |    2 
- src/calibre/gui2/convert/page_setup.py                            |    2 
- src/calibre/gui2/convert/rtf_input.py                             |    2 
- src/calibre/gui2/convert/single.py                                |    2 
- src/calibre/gui2/convert/structure_detection.py                   |    2 
- src/calibre/gui2/convert/toc.py                                   |    2 
- src/calibre/gui2/convert/xpath_wizard.py                          |    2 
- src/calibre/gui2/cover_flow.py                                    |    2 
- src/calibre/gui2/covers.py                                        |    2 
- src/calibre/gui2/css_transform_rules.py                           |    2 
- src/calibre/gui2/custom_column_widgets.py                         |    2 
- src/calibre/gui2/dbus_export/__init__.py                          |    2 
- src/calibre/gui2/dbus_export/demo.py                              |    2 
- src/calibre/gui2/dbus_export/gtk.py                               |    2 
- src/calibre/gui2/dbus_export/menu.py                              |    2 
- src/calibre/gui2/dbus_export/menu2.py                             |    2 
- src/calibre/gui2/dbus_export/tray.py                              |    2 
- src/calibre/gui2/dbus_export/utils.py                             |    2 
- src/calibre/gui2/dbus_export/widgets.py                           |    2 
- src/calibre/gui2/device_drivers/mtp_config.py                     |    2 
- src/calibre/gui2/device_drivers/mtp_folder_browser.py             |    2 
- src/calibre/gui2/device_drivers/tabbed_device_config.py           |    2 
- src/calibre/gui2/dialogs/add_empty_book.py                        |    2 
- src/calibre/gui2/dialogs/add_from_isbn.py                         |    2 
- src/calibre/gui2/dialogs/authors_edit.py                          |    2 
- src/calibre/gui2/dialogs/book_info.py                             |    2 
- src/calibre/gui2/dialogs/catalog.py                               |    2 
- src/calibre/gui2/dialogs/check_library.py                         |    2 
- src/calibre/gui2/dialogs/choose_library.py                        |    2 
- src/calibre/gui2/dialogs/choose_plugin_toolbars.py                |    2 
- src/calibre/gui2/dialogs/comments_dialog.py                       |    2 
- src/calibre/gui2/dialogs/confirm_delete.py                        |    2 
- src/calibre/gui2/dialogs/confirm_delete_location.py               |    2 
- src/calibre/gui2/dialogs/confirm_merge.py                         |    2 
- src/calibre/gui2/dialogs/custom_recipes.py                        |    5 -
- src/calibre/gui2/dialogs/delete_matching_from_device.py           |    2 
- src/calibre/gui2/dialogs/drm_error.py                             |    2 
- src/calibre/gui2/dialogs/duplicates.py                            |    2 
- src/calibre/gui2/dialogs/edit_authors_dialog.py                   |    2 
- src/calibre/gui2/dialogs/exim.py                                  |    2 
- src/calibre/gui2/dialogs/match_books.py                           |    2 
- src/calibre/gui2/dialogs/message_box.py                           |    2 
- src/calibre/gui2/dialogs/metadata_bulk.py                         |    2 
- src/calibre/gui2/dialogs/opml.py                                  |    2 
- src/calibre/gui2/dialogs/plugin_updater.py                        |    2 
- src/calibre/gui2/dialogs/progress.py                              |    2 
- src/calibre/gui2/dialogs/quickview.py                             |    2 
- src/calibre/gui2/dialogs/restore_library.py                       |    2 
- src/calibre/gui2/dialogs/saved_search_editor.py                   |    2 
- src/calibre/gui2/dialogs/select_formats.py                        |    2 
- src/calibre/gui2/dialogs/smartdevice.py                           |    2 
- src/calibre/gui2/dialogs/tag_list_editor.py                       |    2 
- src/calibre/gui2/dialogs/template_dialog.py                       |    2 
- src/calibre/gui2/dialogs/template_line_editor.py                  |    2 
- src/calibre/gui2/dialogs/trim_image.py                            |    2 
- src/calibre/gui2/dnd.py                                           |    2 
- src/calibre/gui2/email.py                                         |    2 
- src/calibre/gui2/font_family_chooser.py                           |    2 
- src/calibre/gui2/gestures.py                                      |    2 
- src/calibre/gui2/icon_theme.py                                    |    2 
- src/calibre/gui2/image_popup.py                                   |    2 
- src/calibre/gui2/init.py                                          |    2 
- src/calibre/gui2/job_indicator.py                                 |    2 
- src/calibre/gui2/jobs.py                                          |    2 
- src/calibre/gui2/keyboard.py                                      |    2 
- src/calibre/gui2/languages.py                                     |    2 
- src/calibre/gui2/layout.py                                        |    2 
- src/calibre/gui2/layout_menu.py                                   |    2 
- src/calibre/gui2/library/__init__.py                              |    2 
- src/calibre/gui2/library/alternate_views.py                       |    2 
- src/calibre/gui2/library/caches.py                                |    2 
- src/calibre/gui2/library/delegates.py                             |    2 
- src/calibre/gui2/library/models.py                                |    2 
- src/calibre/gui2/library/views.py                                 |    2 
- src/calibre/gui2/linux_file_dialogs.py                            |    2 
- src/calibre/gui2/main.py                                          |    2 
- src/calibre/gui2/metadata/__init__.py                             |    2 
- src/calibre/gui2/metadata/basic_widgets.py                        |    2 
- src/calibre/gui2/metadata/bulk_download.py                        |    2 
- src/calibre/gui2/metadata/config.py                               |    2 
- src/calibre/gui2/metadata/diff.py                                 |    2 
- src/calibre/gui2/metadata/pdf_covers.py                           |    2 
- src/calibre/gui2/metadata/single.py                               |    2 
- src/calibre/gui2/metadata/single_download.py                      |    2 
- src/calibre/gui2/notify.py                                        |    2 
- src/calibre/gui2/open_with.py                                     |    2 
- src/calibre/gui2/pin_columns.py                                   |    2 
- src/calibre/gui2/preferences/__init__.py                          |    2 
- src/calibre/gui2/preferences/adding.py                            |    2 
- src/calibre/gui2/preferences/behavior.py                          |    2 
- src/calibre/gui2/preferences/coloring.py                          |    2 
- src/calibre/gui2/preferences/columns.py                           |    2 
- src/calibre/gui2/preferences/conversion.py                        |    2 
- src/calibre/gui2/preferences/create_custom_column.py              |    2 
- src/calibre/gui2/preferences/device_debug.py                      |    2 
- src/calibre/gui2/preferences/device_user_defined.py               |    2 
- src/calibre/gui2/preferences/emailp.py                            |    2 
- src/calibre/gui2/preferences/history.py                           |    2 
- src/calibre/gui2/preferences/ignored_devices.py                   |    2 
- src/calibre/gui2/preferences/keyboard.py                          |    2 
- src/calibre/gui2/preferences/look_feel.py                         |    2 
- src/calibre/gui2/preferences/main.py                              |    2 
- src/calibre/gui2/preferences/metadata_sources.py                  |    2 
- src/calibre/gui2/preferences/misc.py                              |    2 
- src/calibre/gui2/preferences/plugboard.py                         |    2 
- src/calibre/gui2/preferences/plugins.py                           |    2 
- src/calibre/gui2/preferences/save_template.py                     |    2 
- src/calibre/gui2/preferences/saving.py                            |    2 
- src/calibre/gui2/preferences/search.py                            |    2 
- src/calibre/gui2/preferences/sending.py                           |    2 
- src/calibre/gui2/preferences/server.py                            |    2 
- src/calibre/gui2/preferences/template_functions.py                |    2 
- src/calibre/gui2/preferences/texture_chooser.py                   |    2 
- src/calibre/gui2/preferences/toolbar.py                           |    2 
- src/calibre/gui2/preferences/tweaks.py                            |    2 
- src/calibre/gui2/proceed.py                                       |    2 
- src/calibre/gui2/progress_indicator/__init__.py                   |    2 
- src/calibre/gui2/qt_file_dialogs.py                               |    2 
- src/calibre/gui2/save.py                                          |    2 
- src/calibre/gui2/search_box.py                                    |    2 
- src/calibre/gui2/search_restriction_mixin.py                      |    2 
- src/calibre/gui2/shortcuts.py                                     |    2 
- src/calibre/gui2/splash_screen.py                                 |    2 
- src/calibre/gui2/store/loader.py                                  |    2 
- src/calibre/gui2/store/stores/amazon_au_plugin.py                 |    2 
- src/calibre/gui2/store/stores/amazon_ca_plugin.py                 |    2 
- src/calibre/gui2/store/stores/amazon_de_plugin.py                 |    2 
- src/calibre/gui2/store/stores/amazon_es_plugin.py                 |    2 
- src/calibre/gui2/store/stores/amazon_fr_plugin.py                 |    2 
- src/calibre/gui2/store/stores/amazon_in_plugin.py                 |    2 
- src/calibre/gui2/store/stores/amazon_it_plugin.py                 |    2 
- src/calibre/gui2/store/stores/amazon_plugin.py                    |    2 
- src/calibre/gui2/store/stores/amazon_uk_plugin.py                 |    2 
- src/calibre/gui2/store/web_store.py                               |    2 
- src/calibre/gui2/store/web_store_dialog.py                        |    2 
- src/calibre/gui2/tag_browser/__init__.py                          |    2 
- src/calibre/gui2/tag_browser/model.py                             |    2 
- src/calibre/gui2/tag_browser/ui.py                                |    2 
- src/calibre/gui2/tag_browser/view.py                              |    2 
- src/calibre/gui2/tag_mapper.py                                    |    2 
- src/calibre/gui2/threaded_jobs.py                                 |    2 
- src/calibre/gui2/throbber.py                                      |    2 
- src/calibre/gui2/toc/__init__.py                                  |    2 
- src/calibre/gui2/toc/location.py                                  |    2 
- src/calibre/gui2/toc/main.py                                      |    2 
- src/calibre/gui2/tools.py                                         |    2 
- src/calibre/gui2/tweak_book/__init__.py                           |    2 
- src/calibre/gui2/tweak_book/boss.py                               |    2 
- src/calibre/gui2/tweak_book/char_select.py                        |    2 
- src/calibre/gui2/tweak_book/check.py                              |    2 
- src/calibre/gui2/tweak_book/check_links.py                        |    2 
- src/calibre/gui2/tweak_book/completion/basic.py                   |    2 
- src/calibre/gui2/tweak_book/completion/popup.py                   |    2 
- src/calibre/gui2/tweak_book/completion/utils.py                   |    2 
- src/calibre/gui2/tweak_book/completion/worker.py                  |    2 
- src/calibre/gui2/tweak_book/diff/__init__.py                      |    2 
- src/calibre/gui2/tweak_book/diff/highlight.py                     |    2 
- src/calibre/gui2/tweak_book/diff/main.py                          |    2 
- src/calibre/gui2/tweak_book/diff/view.py                          |    2 
- src/calibre/gui2/tweak_book/download.py                           |    2 
- src/calibre/gui2/tweak_book/editor/__init__.py                    |    2 
- src/calibre/gui2/tweak_book/editor/canvas.py                      |    2 
- src/calibre/gui2/tweak_book/editor/comments.py                    |    2 
- src/calibre/gui2/tweak_book/editor/help.py                        |    2 
- src/calibre/gui2/tweak_book/editor/image.py                       |    2 
- src/calibre/gui2/tweak_book/editor/insert_resource.py             |    2 
- src/calibre/gui2/tweak_book/editor/smarts/__init__.py             |    2 
- src/calibre/gui2/tweak_book/editor/smarts/css.py                  |    2 
- src/calibre/gui2/tweak_book/editor/smarts/html.py                 |    2 
- src/calibre/gui2/tweak_book/editor/smarts/python.py               |    2 
- src/calibre/gui2/tweak_book/editor/smarts/utils.py                |    2 
- src/calibre/gui2/tweak_book/editor/snippets.py                    |    2 
- src/calibre/gui2/tweak_book/editor/syntax/__init__.py             |    2 
- src/calibre/gui2/tweak_book/editor/syntax/base.py                 |    2 
- src/calibre/gui2/tweak_book/editor/syntax/css.py                  |    2 
- src/calibre/gui2/tweak_book/editor/syntax/html.py                 |    2 
- src/calibre/gui2/tweak_book/editor/syntax/javascript.py           |    2 
- src/calibre/gui2/tweak_book/editor/syntax/pygments_highlighter.py |    2 
- src/calibre/gui2/tweak_book/editor/syntax/python.py               |    2 
- src/calibre/gui2/tweak_book/editor/syntax/utils.py                |    2 
- src/calibre/gui2/tweak_book/editor/syntax/xml.py                  |    2 
- src/calibre/gui2/tweak_book/editor/text.py                        |    2 
- src/calibre/gui2/tweak_book/editor/themes.py                      |    2 
- src/calibre/gui2/tweak_book/editor/widget.py                      |    2 
- src/calibre/gui2/tweak_book/file_list.py                          |    2 
- src/calibre/gui2/tweak_book/function_replace.py                   |    2 
- src/calibre/gui2/tweak_book/job.py                                |    2 
- src/calibre/gui2/tweak_book/live_css.py                           |    2 
- src/calibre/gui2/tweak_book/main.py                               |    2 
- src/calibre/gui2/tweak_book/manage_fonts.py                       |    2 
- src/calibre/gui2/tweak_book/plugin.py                             |    2 
- src/calibre/gui2/tweak_book/polish.py                             |    2 
- src/calibre/gui2/tweak_book/preferences.py                        |    2 
- src/calibre/gui2/tweak_book/preview.py                            |    2 
- src/calibre/gui2/tweak_book/reports.py                            |    2 
- src/calibre/gui2/tweak_book/save.py                               |    2 
- src/calibre/gui2/tweak_book/search.py                             |    2 
- src/calibre/gui2/tweak_book/spell.py                              |    2 
- src/calibre/gui2/tweak_book/templates.py                          |    2 
- src/calibre/gui2/tweak_book/text_search.py                        |    2 
- src/calibre/gui2/tweak_book/toc.py                                |    2 
- src/calibre/gui2/tweak_book/ui.py                                 |    2 
- src/calibre/gui2/tweak_book/undo.py                               |    2 
- src/calibre/gui2/tweak_book/widgets.py                            |    2 
- src/calibre/gui2/ui.py                                            |    2 
- src/calibre/gui2/viewer/__init__.py                               |    2 
- src/calibre/gui2/viewer/annotations.py                            |    2 
- src/calibre/gui2/viewer/bookmarks.py                              |    2 
- src/calibre/gui2/viewer/convert_book.py                           |    2 
- src/calibre/gui2/viewer/lookup.py                                 |    2 
- src/calibre/gui2/viewer/main.py                                   |    2 
- src/calibre/gui2/viewer/overlay.py                                |    2 
- src/calibre/gui2/viewer/printing.py                               |    2 
- src/calibre/gui2/viewer/shortcuts.py                              |    2 
- src/calibre/gui2/viewer/toc.py                                    |    2 
- src/calibre/gui2/viewer/toolbars.py                               |    2 
- src/calibre/gui2/viewer/ui.py                                     |    2 
- src/calibre/gui2/viewer/web_view.py                               |    2 
- src/calibre/gui2/webengine.py                                     |    2 
- src/calibre/gui2/widgets2.py                                      |    2 
- src/calibre/gui2/win_file_dialogs.py                              |    2 
- src/calibre/gui2/wizard/__init__.py                               |    2 
- src/calibre/gui2/wizard/send_email.py                             |    2 
- src/calibre/gui_launch.py                                         |    2 
- src/calibre/library/add_to_library.py                             |    2 
- src/calibre/library/caches.py                                     |    2 
- src/calibre/library/catalogs/__init__.py                          |    2 
- src/calibre/library/catalogs/bibtex.py                            |    2 
- src/calibre/library/catalogs/csv_xml.py                           |    2 
- src/calibre/library/catalogs/epub_mobi.py                         |    2 
- src/calibre/library/catalogs/epub_mobi_builder.py                 |    2 
- src/calibre/library/catalogs/utils.py                             |    2 
- src/calibre/library/check_library.py                              |    2 
- src/calibre/library/coloring.py                                   |    2 
- src/calibre/library/comments.py                                   |    2 
- src/calibre/library/custom_columns.py                             |    2 
- src/calibre/library/prefs.py                                      |    2 
- src/calibre/library/restore.py                                    |    2 
- src/calibre/library/save_to_disk.py                               |    2 
- src/calibre/library/schema_upgrades.py                            |    2 
- src/calibre/libunzip.py                                           |    2 
- src/calibre/linux.py                                              |    2 
- src/calibre/rpdb.py                                               |    2 
- src/calibre/spell/__init__.py                                     |    2 
- src/calibre/spell/break_iterator.py                               |    2 
- src/calibre/spell/dictionary.py                                   |    2 
- src/calibre/spell/import_from.py                                  |    2 
- src/calibre/srv/ajax.py                                           |    2 
- src/calibre/srv/auth.py                                           |    2 
- src/calibre/srv/auto_reload.py                                    |    2 
- src/calibre/srv/bonjour.py                                        |    2 
- src/calibre/srv/books.py                                          |    2 
- src/calibre/srv/cdb.py                                            |    2 
- src/calibre/srv/changes.py                                        |    2 
- src/calibre/srv/code.py                                           |    2 
- src/calibre/srv/content.py                                        |    2 
- src/calibre/srv/convert.py                                        |    2 
- src/calibre/srv/embedded.py                                       |    2 
- src/calibre/srv/errors.py                                         |    2 
- src/calibre/srv/handler.py                                        |    2 
- src/calibre/srv/http_request.py                                   |    2 
- src/calibre/srv/http_response.py                                  |    2 
- src/calibre/srv/jobs.py                                           |    2 
- src/calibre/srv/legacy.py                                         |    2 
- src/calibre/srv/library_broker.py                                 |    2 
- src/calibre/srv/loop.py                                           |    2 
- src/calibre/srv/manage_users_cli.py                               |    2 
- src/calibre/srv/metadata.py                                       |    2 
- src/calibre/srv/opds.py                                           |    2 
- src/calibre/srv/opts.py                                           |    2 
- src/calibre/srv/pool.py                                           |    2 
- src/calibre/srv/pre_activated.py                                  |    2 
- src/calibre/srv/render_book.py                                    |    2 
- src/calibre/srv/routes.py                                         |    2 
- src/calibre/srv/sendfile.py                                       |    2 
- src/calibre/srv/standalone.py                                     |    2 
- src/calibre/srv/tests/ajax.py                                     |    2 
- src/calibre/srv/tests/auth.py                                     |    2 
- src/calibre/srv/tests/base.py                                     |    2 
- src/calibre/srv/tests/content.py                                  |    2 
- src/calibre/srv/tests/http.py                                     |    2 
- src/calibre/srv/tests/loop.py                                     |    2 
- src/calibre/srv/tests/main.py                                     |    2 
- src/calibre/srv/tests/routes.py                                   |    2 
- src/calibre/srv/tests/web_sockets.py                              |    2 
- src/calibre/srv/users.py                                          |    2 
- src/calibre/srv/users_api.py                                      |    2 
- src/calibre/srv/utils.py                                          |    2 
- src/calibre/srv/web_socket.py                                     |    2 
- src/calibre/test_build.py                                         |    2 
- src/calibre/utils/__init__.py                                     |    2 
- src/calibre/utils/browser.py                                      |    2 
- src/calibre/utils/certgen.py                                      |    2 
- src/calibre/utils/cleantext.py                                    |    2 
- src/calibre/utils/complete.py                                     |    2 
- src/calibre/utils/config_base.py                                  |    2 
- src/calibre/utils/date.py                                         |    2 
- src/calibre/utils/exim.py                                         |    2 
- src/calibre/utils/file_type_icons.py                              |    2 
- src/calibre/utils/fonts/__init__.py                               |    2 
- src/calibre/utils/fonts/free_type.py                              |    2 
- src/calibre/utils/fonts/metadata.py                               |    2 
- src/calibre/utils/fonts/scanner.py                                |    2 
- src/calibre/utils/fonts/sfnt/__init__.py                          |    2 
- src/calibre/utils/fonts/sfnt/cff/__init__.py                      |    2 
- src/calibre/utils/fonts/sfnt/cff/constants.py                     |    2 
- src/calibre/utils/fonts/sfnt/cff/dict_data.py                     |    2 
- src/calibre/utils/fonts/sfnt/cff/table.py                         |    2 
- src/calibre/utils/fonts/sfnt/cff/writer.py                        |    2 
- src/calibre/utils/fonts/sfnt/cmap.py                              |    2 
- src/calibre/utils/fonts/sfnt/common.py                            |    2 
- src/calibre/utils/fonts/sfnt/container.py                         |    2 
- src/calibre/utils/fonts/sfnt/errors.py                            |    2 
- src/calibre/utils/fonts/sfnt/glyf.py                              |    2 
- src/calibre/utils/fonts/sfnt/gsub.py                              |    2 
- src/calibre/utils/fonts/sfnt/head.py                              |    2 
- src/calibre/utils/fonts/sfnt/kern.py                              |    2 
- src/calibre/utils/fonts/sfnt/loca.py                              |    2 
- src/calibre/utils/fonts/sfnt/maxp.py                              |    2 
- src/calibre/utils/fonts/sfnt/merge.py                             |    2 
- src/calibre/utils/fonts/sfnt/metrics.py                           |    2 
- src/calibre/utils/fonts/sfnt/subset.py                            |    2 
- src/calibre/utils/fonts/utils.py                                  |    2 
- src/calibre/utils/fonts/win_fonts.py                              |    2 
- src/calibre/utils/formatter_functions.py                          |    2 
- src/calibre/utils/html2text.py                                    |    2 
- src/calibre/utils/https.py                                        |    2 
- src/calibre/utils/icu.py                                          |    2 
- src/calibre/utils/icu_test.py                                     |    2 
- src/calibre/utils/img.py                                          |    2 
- src/calibre/utils/imghdr.py                                       |    2 
- src/calibre/utils/inotify.py                                      |    2 
- src/calibre/utils/ip_routing.py                                   |    2 
- src/calibre/utils/ipc/__init__.py                                 |    2 
- src/calibre/utils/ipc/job.py                                      |    2 
- src/calibre/utils/ipc/launch.py                                   |    2 
- src/calibre/utils/ipc/pool.py                                     |    2 
- src/calibre/utils/ipc/server.py                                   |    2 
- src/calibre/utils/ipc/simple_worker.py                            |    2 
- src/calibre/utils/ipc/worker.py                                   |    2 
- src/calibre/utils/iphlpapi.py                                     |    2 
- src/calibre/utils/ipython.py                                      |    2 
- src/calibre/utils/iso8601.py                                      |    2 
- src/calibre/utils/linux_trash.py                                  |    2 
- src/calibre/utils/localization.py                                 |    2 
- src/calibre/utils/localunzip.py                                   |    2 
- src/calibre/utils/lock.py                                         |    2 
- src/calibre/utils/magick/__init__.py                              |    2 
- src/calibre/utils/magick/draw.py                                  |    2 
- src/calibre/utils/magick/legacy.py                                |    2 
- src/calibre/utils/matcher.py                                      |    2 
- src/calibre/utils/mem.py                                          |    2 
- src/calibre/utils/network.py                                      |    2 
- src/calibre/utils/open_with/linux.py                              |    2 
- src/calibre/utils/open_with/osx.py                                |    2 
- src/calibre/utils/open_with/windows.py                            |    2 
- src/calibre/utils/ordered_dict.py                                 |    2 
- src/calibre/utils/podofo/__init__.py                              |    2 
- src/calibre/utils/random_ua.py                                    |    2 
- src/calibre/utils/rapydscript.py                                  |    2 
- src/calibre/utils/recycle_bin.py                                  |    2 
- src/calibre/utils/resources.py                                    |    2 
- src/calibre/utils/run_tests.py                                    |    2 
- src/calibre/utils/search_query_parser.py                          |    2 
- src/calibre/utils/search_query_parser_test.py                     |    2 
- src/calibre/utils/serialize.py                                    |    2 
- src/calibre/utils/shared_file.py                                  |    2 
- src/calibre/utils/short_uuid.py                                   |    2 
- src/calibre/utils/smartypants.py                                  |    2 
- src/calibre/utils/smtplib.py                                      |    2 
- src/calibre/utils/socket_inheritance.py                           |    2 
- src/calibre/utils/speedups.py                                     |    2 
- src/calibre/utils/spell/__init__.py                               |    2 
- src/calibre/utils/tdir_in_cache.py                                |    2 
- src/calibre/utils/terminal.py                                     |    2 
- src/calibre/utils/test_lock.py                                    |    2 
- src/calibre/utils/text2int.py                                     |    2 
- src/calibre/utils/titlecase.py                                    |    2 
- src/calibre/utils/unicode_getpass.py                              |    2 
- src/calibre/utils/unicode_names.py                                |    2 
- src/calibre/utils/unrar.py                                        |    2 
- src/calibre/utils/windows/wintest.py                              |    2 
- src/calibre/utils/winreg/dde.py                                   |    2 
- src/calibre/utils/winreg/default_programs.py                      |    2 
- src/calibre/utils/winreg/lib.py                                   |    2 
- src/calibre/utils/wmf/__init__.py                                 |    2 
- src/calibre/utils/wmf/emf.py                                      |    2 
- src/calibre/utils/wmf/parse.py                                    |    2 
- src/calibre/utils/wordcount.py                                    |    2 
- src/calibre/web/feeds/__init__.py                                 |    2 
- src/calibre/web/feeds/recipes/__init__.py                         |    2 
- src/calibre/web/feeds/recipes/collection.py                       |    2 
- src/calibre/web/feeds/recipes/model.py                            |    2 
- src/calibre/web/feeds/templates.py                                |    2 
- src/calibre/web/fetch/simple.py                                   |    2 
- src/calibre/web/fetch/utils.py                                    |    2 
- src/calibre_lzma/__init__.py                                      |    2 
- src/calibre_lzma/errors.py                                        |    2 
- src/calibre_lzma/lzma1.py                                         |    2 
- src/calibre_lzma/xz.py                                            |    2 
- src/css_selectors/__init__.py                                     |    2 
- src/css_selectors/errors.py                                       |    2 
- src/css_selectors/ordered_set.py                                  |    2 
- src/css_selectors/parser.py                                       |    2 
- src/css_selectors/select.py                                       |    2 
- src/css_selectors/tests.py                                        |    2 
- src/odf/element.py                                                |    2 
- src/odf/elementtypes.py                                           |    2 
- src/odf/load.py                                                   |    2 
- src/odf/manifest.py                                               |    2 
- src/odf/odf2xhtml.py                                              |    2 
- src/odf/odfmanifest.py                                            |    2 
- src/odf/thumbnail.py                                              |    2 
- src/odf/userfield.py                                              |    2 
- src/polyglot/binary.py                                            |    2 
- src/polyglot/builtins.py                                          |    2 
- src/polyglot/functools.py                                         |    2 
- src/polyglot/html_entities.py                                     |    2 
- src/polyglot/http_client.py                                       |    2 
- src/polyglot/http_cookie.py                                       |    2 
- src/polyglot/http_server.py                                       |    2 
- src/polyglot/io.py                                                |    2 
- src/polyglot/plistlib.py                                          |    2 
- src/polyglot/queue.py                                             |    2 
- src/polyglot/reprlib.py                                           |    2 
- src/polyglot/smtplib.py                                           |    2 
- src/polyglot/socketserver.py                                      |    2 
- src/polyglot/urllib.py                                            |    2 
- src/templite/__init__.py                                          |    2 
- src/tinycss/fonts3.py                                             |    2 
- src/tinycss/media3.py                                             |    2 
- src/tinycss/tests/__init__.py                                     |    2 
- src/tinycss/tests/color3.py                                       |    2 
- src/tinycss/tests/css21.py                                        |    2 
- src/tinycss/tests/decoding.py                                     |    2 
- src/tinycss/tests/fonts3.py                                       |    2 
- src/tinycss/tests/main.py                                         |    2 
- src/tinycss/tests/media3.py                                       |    2 
- src/tinycss/tests/page3.py                                        |    2 
- src/tinycss/tests/tokenizing.py                                   |    2 
+ =template.py                                  |  4 +--
+ INSTALL.rst                                   | 16 +++++-----
+ README.python3                                | 29 -------------------
+ bypy/linux/site.py                            |  2 +-
+ bypy/macos/sign.py                            |  2 +-
+ bypy/windows/site.py                          |  2 +-
+ icons/icns/make_iconsets.py                   |  2 +-
+ icons/make_ico_files.py                       |  2 +-
+ imgsrc/generate.py                            |  2 +-
+ imgsrc/render-logo.py                         |  2 +-
+ imgsrc/srv/generate.py                        |  2 +-
+ manual/build.py                               |  2 +-
+ manual/custom.py                              |  2 +-
+ manual/epub.py                                |  2 +-
+ manual/latex.py                               |  2 +-
+ .../plugin_examples/editor_demo/__init__.py   |  2 +-
+ manual/plugin_examples/editor_demo/main.py    |  2 +-
+ manual/plugin_examples/helloworld/__init__.py |  2 +-
+ .../interface_demo/__init__.py                |  2 +-
+ .../plugin_examples/interface_demo/config.py  |  2 +-
+ manual/plugin_examples/interface_demo/main.py |  2 +-
+ manual/plugin_examples/interface_demo/ui.py   |  2 +-
+ .../webengine_demo/__init__.py                |  2 +-
+ manual/plugin_examples/webengine_demo/main.py |  2 +-
+ manual/plugin_examples/webengine_demo/ui.py   |  2 +-
+ manual/sidebar_toc.py                         |  2 +-
+ manual/template_ref_generate.py               |  2 +-
+ recipes/10minutos.recipe                      |  2 +-
+ recipes/180.recipe                            |  2 +-
+ recipes/1843.recipe                           |  2 +-
+ recipes/24sata.recipe                         |  2 +-
+ recipes/3dnews.recipe                         |  2 +-
+ recipes/7seri.recipe                          |  2 +-
+ recipes/7x7.recipe                            |  2 +-
+ recipes/aabenraalokalavisen_dk.recipe         |  2 +-
+ recipes/aarhuslokalavisen_dk.recipe           |  2 +-
+ recipes/aarhusmidtlokalavisen_dk.recipe       |  2 +-
+ recipes/aarhusnordlokalavisen_dk.recipe       |  2 +-
+ recipes/aarhussydlokalavisen_dk.recipe        |  2 +-
+ recipes/aarhusvestlokalavisen_dk.recipe       |  2 +-
+ recipes/adevarul.recipe                       |  2 +-
+ recipes/adnkronos.recipe                      |  2 +-
+ recipes/ainonline.recipe                      |  2 +-
+ recipes/ajc.recipe                            |  2 +-
+ recipes/al_monitor.recipe                     |  2 +-
+ recipes/ald.recipe                            |  2 +-
+ recipes/alleroedlokalavisen_dk.recipe         |  2 +-
+ recipes/altomdata_dk.recipe                   |  2 +-
+ recipes/amagerbladet_dk.recipe                |  2 +-
+ recipes/ambito_financiero.recipe              |  2 +-
+ recipes/animal_politico.recipe                |  2 +-
+ recipes/anthony_muroni.recipe                 |  2 +-
+ recipes/ap.recipe                             |  2 +-
+ recipes/apcom.recipe                          |  2 +-
+ recipes/app_funds.recipe                      |  2 +-
+ recipes/appledaily_tw.recipe                  |  2 +-
+ recipes/ara_info.recipe                       |  2 +-
+ recipes/arbetaren.recipe                      |  2 +-
+ recipes/arcamax.recipe                        |  2 +-
+ recipes/asia_one.recipe                       |  2 +-
+ recipes/asianreviewofbooks.recipe             |  2 +-
+ recipes/atlantic.recipe                       |  2 +-
+ recipes/atlantic_com.recipe                   |  2 +-
+ recipes/auto.recipe                           |  2 +-
+ recipes/auto_prove.recipe                     |  2 +-
+ recipes/autobild.recipe                       |  2 +-
+ recipes/autosport.recipe                      |  2 +-
+ recipes/avantaje.recipe                       |  2 +-
+ recipes/aventurilapescuit.recipe              |  2 +-
+ recipes/avisen_dk.recipe                      |  2 +-
+ recipes/babyonline.recipe                     |  2 +-
+ recipes/bankier_pl.recipe                     |  2 +-
+ recipes/barrons.recipe                        |  2 +-
+ recipes/bbcvietnamese.recipe                  |  2 +-
+ recipes/berlin_policy_journal.recipe          |  2 +-
+ recipes/berliner_zeitung.recipe               |  2 +-
+ recipes/bild_de.recipe                        |  2 +-
+ recipes/billorielly.recipe                    |  2 +-
+ recipes/bitacora.recipe                       |  2 +-
+ recipes/boortz.recipe                         |  2 +-
+ recipes/borsen_dk.recipe                      |  2 +-
+ recipes/boxis.recipe                          |  2 +-
+ recipes/brand_eins.recipe                     |  2 +-
+ recipes/breaking_mad.recipe                   |  2 +-
+ recipes/brewiarz.recipe                       |  2 +-
+ recipes/bsi_news.recipe                       |  2 +-
+ recipes/bt_dk.recipe                          |  2 +-
+ recipes/bucataras.recipe                      |  2 +-
+ recipes/buenosaireseconomico.recipe           |  2 +-
+ recipes/calgary_herald.recipe                 |  2 +-
+ recipes/capital.recipe                        |  2 +-
+ recipes/capital_de.recipe                     |  2 +-
+ recipes/carta.recipe                          |  2 +-
+ recipes/catavencii.recipe                     |  2 +-
+ recipes/catavencu.recipe                      |  2 +-
+ recipes/champion.recipe                       |  2 +-
+ recipes/chicago_breaking_news.recipe          |  2 +-
+ recipes/chipro.recipe                         |  2 +-
+ recipes/cincinnati_enquirer.recipe            |  2 +-
+ recipes/cinebel_be.recipe                     |  2 +-
+ recipes/cio.recipe                            |  2 +-
+ recipes/cityavisen_dk.recipe                  |  2 +-
+ recipes/clarin.recipe                         |  2 +-
+ recipes/climate_progress.recipe               |  2 +-
+ recipes/common_dreams.recipe                  |  2 +-
+ recipes/computerworld_dk.recipe               |  2 +-
+ recipes/consortium_news.recipe                |  2 +-
+ recipes/corriere_della_sera_en.recipe         |  2 +-
+ recipes/corriere_della_sera_it.recipe         |  2 +-
+ recipes/corriere_dello_sport.recipe           |  2 +-
+ recipes/cosmopolitan.recipe                   |  2 +-
+ recipes/cotidianul.recipe                     |  2 +-
+ recipes/courrierinternational.recipe          |  2 +-
+ recipes/craigslist.recipe                     |  2 +-
+ recipes/credit_slips.recipe                   |  2 +-
+ recipes/csid.recipe                           |  2 +-
+ recipes/curierulnational.recipe               |  2 +-
+ recipes/dagensmedicin_dk.recipe               |  2 +-
+ recipes/dagenspharma_dk.recipe                |  2 +-
+ recipes/daily_mail.recipe                     |  2 +-
+ recipes/daily_telegraph.recipe                |  2 +-
+ recipes/dailyreckoning.recipe                 |  2 +-
+ recipes/dark_reading.recipe                   |  2 +-
+ recipes/data_news.recipe                      |  2 +-
+ recipes/de_redactie_be.recipe                 |  2 +-
+ recipes/de_standaard.recipe                   |  2 +-
+ recipes/degentenaar.recipe                    |  2 +-
+ recipes/demorgen_be.recipe                    |  2 +-
+ recipes/denver_post.recipe                    |  2 +-
+ recipes/der_standard.recipe                   |  2 +-
+ recipes/descopera.recipe                      |  2 +-
+ recipes/deutsche_welle_en.recipe              |  2 +-
+ recipes/deutsche_welle_es.recipe              |  2 +-
+ recipes/dhnet_be.recipe                       |  2 +-
+ recipes/di.recipe                             |  2 +-
+ recipes/diagonal.recipe                       |  2 +-
+ recipes/diario_cordoba.recipe                 |  2 +-
+ recipes/diario_el_pueblo.recipe               |  2 +-
+ recipes/diepresse.recipe                      |  2 +-
+ recipes/digital_arts.recipe                   |  2 +-
+ recipes/dilbert.recipe                        |  2 +-
+ recipes/dilemaveche.recipe                    |  2 +-
+ recipes/discover_magazine_monthly.recipe      |  2 +-
+ recipes/divahair.recipe                       |  2 +-
+ recipes/djurslandsposten_dk.recipe            |  2 +-
+ recipes/dn_se.recipe                          |  2 +-
+ recipes/dnevnik_cro.recipe                    |  2 +-
+ recipes/dnevnik_mk.recipe                     |  2 +-
+ recipes/dr_dk.recipe                          |  2 +-
+ recipes/dunyahalleri.recipe                   |  2 +-
+ recipes/dunyahalleri_haftaninozeti.recipe     |  2 +-
+ recipes/dwutygodnik.recipe                    |  2 +-
+ recipes/ebeltoftlokalavisen_dk.recipe         |  2 +-
+ recipes/echo_online.recipe                    |  2 +-
+ recipes/ecogeek.recipe                        |  2 +-
+ recipes/economist.recipe                      |  2 +-
+ recipes/economist_free.recipe                 |  2 +-
+ recipes/ecuisine.recipe                       |  2 +-
+ recipes/edebiyat_haber.recipe                 |  2 +-
+ recipes/editor_and_publisher.recipe           |  2 +-
+ recipes/edmonton_journal.recipe               |  2 +-
+ recipes/egedallokalavisen_dk.recipe           |  2 +-
+ recipes/egirl.recipe                          |  2 +-
+ recipes/el_correo.recipe                      |  2 +-
+ recipes/el_mercurio_chile.recipe              |  2 +-
+ recipes/el_observador.recipe                  |  2 +-
+ recipes/el_pais.recipe                        |  2 +-
+ recipes/el_pais_uy.recipe                     |  2 +-
+ recipes/el_periodico.recipe                   |  2 +-
+ recipes/el_publico.recipe                     |  2 +-
+ recipes/ele.recipe                            |  2 +-
+ recipes/elperiodico_spanish.recipe            |  2 +-
+ recipes/eltiempo_hn.recipe                    |  2 +-
+ recipes/endgadget.recipe                      |  2 +-
+ recipes/entrepeneur.recipe                    |  2 +-
+ recipes/eos_wetenschap.recipe                 |  2 +-
+ recipes/epl_talk.recipe                       |  2 +-
+ recipes/epw.recipe                            |  2 +-
+ recipes/erhvervs_avisen_dk.recipe             |  2 +-
+ recipes/esbjerglokalavisen_dk.recipe          |  2 +-
+ recipes/esenja.recipe                         |  2 +-
+ recipes/espn.recipe                           |  2 +-
+ recipes/evz.ro.recipe                         |  2 +-
+ recipes/expansion_spanish.recipe              |  2 +-
+ recipes/fan_graphs.recipe                     |  2 +-
+ recipes/fastcompany.recipe                    |  2 +-
+ recipes/favrskovavisen_dk.recipe              |  2 +-
+ recipes/favrskovlokalavisen_dk.recipe         |  2 +-
+ recipes/faznet.recipe                         |  2 +-
+ recipes/felicia.recipe                        |  2 +-
+ recipes/fhmro.recipe                          |  2 +-
+ recipes/financiarul.recipe                    |  2 +-
+ recipes/first_things.recipe                   |  2 +-
+ recipes/focus_de.recipe                       |  2 +-
+ recipes/folhadesaopaulo.recipe                |  2 +-
+ recipes/folhadesaopaulo_sub.recipe            |  2 +-
+ recipes/folkebladet_dk.recipe                 |  2 +-
+ recipes/folkebladetdjursland_dk.recipe        |  2 +-
+ recipes/folketidende_dk.recipe                |  2 +-
+ recipes/forbes_pl.recipe                      |  2 +-
+ recipes/foreign_policy.recipe                 |  2 +-
+ recipes/foreignaffairs.recipe                 |  2 +-
+ recipes/formulaas.recipe                      |  2 +-
+ recipes/foxnews.recipe                        |  2 +-
+ recipes/fr_online.recipe                      |  2 +-
+ recipes/frankfurter_rundschau.recipe          |  2 +-
+ recipes/freakonomics.recipe                   |  2 +-
+ recipes/fredensborglokalavisen_dk.recipe      |  2 +-
+ recipes/fredericialokalavisen_dk.recipe       |  2 +-
+ recipes/frederiksbergbladet_dk.recipe         |  2 +-
+ recipes/frederikssundlokalavisen_dk.recipe    |  2 +-
+ recipes/freeway.recipe                        |  2 +-
+ recipes/fudzilla.recipe                       |  2 +-
+ recipes/furesoelokalavisen_dk.recipe          |  2 +-
+ recipes/galaxys_edge.recipe                   |  2 +-
+ recipes/gandul.recipe                         |  2 +-
+ recipes/gazeta-prawna-calibre-v1.recipe       |  2 +-
+ recipes/gazeta_pl_bydgoszcz.recipe            |  2 +-
+ recipes/gazeta_pl_krakow.recipe               |  2 +-
+ recipes/gazeta_pl_warszawa.recipe             |  2 +-
+ recipes/gentoftelokalavisen_dk.recipe         |  2 +-
+ recipes/globe_and_mail.recipe                 |  2 +-
+ recipes/go4it.recipe                          |  2 +-
+ recipes/gofin_pl.recipe                       |  2 +-
+ recipes/gosc_niedzielny.recipe                |  2 +-
+ recipes/granma.recipe                         |  2 +-
+ recipes/granta.recipe                         |  2 +-
+ recipes/grenaalokalavisen_dk.recipe           |  2 +-
+ recipes/gribskovlokalavisen_dk.recipe         |  2 +-
+ recipes/gsp.recipe                            |  2 +-
+ recipes/guardian.recipe                       |  2 +-
+ recipes/gva_be.recipe                         |  2 +-
+ recipes/h3.recipe                             |  2 +-
+ recipes/hackernews.recipe                     |  2 +-
+ recipes/haderslevlokalavisen_dk.recipe        |  2 +-
+ recipes/handelsblatt.recipe                   |  2 +-
+ recipes/hatalska.recipe                       |  2 +-
+ recipes/hbr.recipe                            |  2 +-
+ recipes/hindu_business_line.recipe            |  2 +-
+ recipes/hln_be.recipe                         |  2 +-
+ recipes/hoersholmlokalavisen_dk.recipe        |  2 +-
+ recipes/hola.recipe                           |  2 +-
+ recipes/hornsherredavis_dk.recipe             |  2 +-
+ recipes/hornsherredlokalavisen_dk.recipe      |  2 +-
+ recipes/hotcity.recipe                        |  2 +-
+ recipes/hotnews.recipe                        |  2 +-
+ recipes/houston_chronicle.recipe              |  2 +-
+ recipes/hoy.recipe                            |  2 +-
+ recipes/hrt.recipe                            |  2 +-
+ recipes/hvidovreavis_dk.recipe                |  2 +-
+ recipes/hvidovrelokalavisen_dk.recipe         |  2 +-
+ recipes/id_pixel.recipe                       |  2 +-
+ recipes/iekspries.recipe                      |  2 +-
+ recipes/iktibas.recipe                        |  2 +-
+ recipes/il_giornale.recipe                    |  2 +-
+ recipes/il_messaggero.recipe                  |  2 +-
+ recipes/il_post.recipe                        |  2 +-
+ recipes/imperatortravel.recipe                |  2 +-
+ recipes/inc.recipe                            |  2 +-
+ recipes/independent.recipe                    |  2 +-
+ recipes/infomotori.recipe                     |  2 +-
+ recipes/infoworld.recipe                      |  2 +-
+ recipes/ing_dk.recipe                         |  2 +-
+ recipes/inquirer_net.recipe                   |  2 +-
+ recipes/intelligencer.recipe                  |  2 +-
+ recipes/intrefete.recipe                      |  2 +-
+ recipes/iprofesional.recipe                   |  2 +-
+ recipes/ixbt.recipe                           |  2 +-
+ recipes/jakarta_post.recipe                   |  2 +-
+ recipes/javalobby.recipe                      |  2 +-
+ recipes/jb_online.recipe                      |  2 +-
+ recipes/joelonsoftware.recipe                 |  2 +-
+ recipes/journalgazette.recipe                 |  2 +-
+ recipes/jurnalulnational.recipe               |  2 +-
+ recipes/jutarnji.recipe                       |  2 +-
+ recipes/jv_dk.recipe                          |  2 +-
+ recipes/kaloeviglokalavisen_dk.recipe         |  2 +-
+ recipes/kamikaze.recipe                       |  2 +-
+ recipes/karsi_gazete.recipe                   |  2 +-
+ recipes/kellog_insight.recipe                 |  2 +-
+ recipes/kerrang.recipe                        |  2 +-
+ recipes/kgsenghavebladet_dk.recipe            |  2 +-
+ recipes/kitekinto.recipe                      |  2 +-
+ recipes/kleinezeitung.recipe                  |  2 +-
+ recipes/knack_be.recipe                       |  2 +-
+ recipes/koegelokalavisen_dk.recipe            |  2 +-
+ recipes/koldinglokalavisen_dk.recipe          |  2 +-
+ recipes/kommunalsundhed_dk.recipe             |  2 +-
+ recipes/kompas.recipe                         |  2 +-
+ recipes/kompiutierra.recipe                   |  2 +-
+ recipes/kristeligt_dagblad_dk.recipe          |  2 +-
+ recipes/krstarica_en.recipe                   |  2 +-
+ recipes/kudika.recipe                         |  2 +-
+ recipes/kukuburi.recipe                       |  2 +-
+ recipes/kurier.recipe                         |  2 +-
+ recipes/l_espresso.recipe                     |  2 +-
+ recipes/la_cuarta.recipe                      |  2 +-
+ recipes/la_gazetta_del_mezzogiorno.recipe     |  2 +-
+ recipes/la_gazzeta_dello_sport.recipe         |  2 +-
+ recipes/la_stampa.recipe                      |  2 +-
+ recipes/lalibre_be.recipe                     |  2 +-
+ recipes/lameuse_be.recipe                     |  2 +-
+ recipes/lanacion_chile.recipe                 |  2 +-
+ recipes/laprensa.recipe                       |  2 +-
+ recipes/laprensa_hn.recipe                    |  2 +-
+ recipes/laprensa_ni.recipe                    |  2 +-
+ recipes/latimes.recipe                        |  2 +-
+ recipes/latribuna.recipe                      |  2 +-
+ recipes/lavanguardia.recipe                   |  2 +-
+ recipes/lavenir_be.recipe                     |  2 +-
+ recipes/le_peuple_breton.recipe               |  2 +-
+ recipes/le_temps.recipe                       |  2 +-
+ recipes/legeartis.recipe                      |  2 +-
+ recipes/leggo_it.recipe                       |  2 +-
+ recipes/legitymizm.recipe                     |  2 +-
+ recipes/lenta_ru.recipe                       |  2 +-
+ recipes/lequipe.recipe                        |  2 +-
+ recipes/lescienze.recipe                      |  2 +-
+ recipes/lesoir_be.recipe                      |  2 +-
+ recipes/liberation.recipe                     |  2 +-
+ recipes/libero.recipe                         |  2 +-
+ recipes/lifehacker.recipe                     |  2 +-
+ recipes/lifehacker_pl.recipe                  |  2 +-
+ recipes/limba_sarda.recipe                    |  2 +-
+ recipes/limes.recipe                          |  2 +-
+ recipes/linux_magazine.recipe                 |  2 +-
+ recipes/lwn.recipe                            |  2 +-
+ recipes/lwn_weekly.recipe                     |  2 +-
+ recipes/lyngby-taarbaeklokalavisen_dk.recipe  |  2 +-
+ recipes/mac_world.recipe                      |  2 +-
+ recipes/mac_world_uk.recipe                   |  2 +-
+ recipes/macleans.recipe                       |  2 +-
+ recipes/macrobusiness.recipe                  |  2 +-
+ recipes/magyar_nemzet.recipe                  |  2 +-
+ recipes/malaysian_mirror.recipe               |  2 +-
+ recipes/mandidner.recipe                      |  2 +-
+ recipes/maskinbladet_dk.recipe                |  2 +-
+ recipes/mateusz_czytania.recipe               |  2 +-
+ recipes/mayra.recipe                          |  2 +-
+ recipes/media2.recipe                         |  2 +-
+ recipes/media_zone.recipe                     |  2 +-
+ recipes/mediafax.recipe                       |  2 +-
+ recipes/mediaindonesia.recipe                 |  2 +-
+ recipes/mediapart.recipe                      |  2 +-
+ recipes/mediterraneo.recipe                   |  2 +-
+ recipes/medscape.recipe                       |  2 +-
+ recipes/melbourne_herald_sun.recipe           |  2 +-
+ recipes/michalkiewicz.recipe                  |  2 +-
+ recipes/mit_technology_review.recipe          |  2 +-
+ recipes/moldovaazi.recipe                     |  2 +-
+ recipes/mondedurable.recipe                   |  2 +-
+ recipes/monden.recipe                         |  2 +-
+ recipes/moneyro.recipe                        |  2 +-
+ recipes/montevideo_com.recipe                 |  2 +-
+ recipes/montreal_gazette.recipe               |  2 +-
+ recipes/motherjones.recipe                    |  2 +-
+ recipes/msdnmag_en.recipe                     |  2 +-
+ recipes/mult_kor.recipe                       |  2 +-
+ recipes/mwjournal.recipe                      |  2 +-
+ recipes/nacional_cro.recipe                   |  2 +-
+ recipes/najwyzszy_czas.recipe                 |  2 +-
+ recipes/nakedcapitalism.recipe                |  2 +-
+ recipes/naszdziennik.recipe                   |  2 +-
+ recipes/natgeo.recipe                         |  2 +-
+ recipes/national_post.recipe                  |  2 +-
+ recipes/nationalgeoro.recipe                  |  2 +-
+ recipes/nature.recipe                         |  2 +-
+ recipes/navalny.recipe                        |  2 +-
+ recipes/new_york_review_of_books.recipe       |  2 +-
+ .../new_york_review_of_books_no_sub.recipe    |  2 +-
+ recipes/new_yorker.recipe                     |  2 +-
+ recipes/newsmoldova.recipe                    |  2 +-
+ recipes/newsweek_polska.recipe                |  2 +-
+ recipes/newz_dk.recipe                        |  2 +-
+ recipes/nieuws_be.recipe                      |  2 +-
+ recipes/nikkei_news.recipe                    |  2 +-
+ recipes/njp.recipe                            |  2 +-
+ recipes/noaa.recipe                           |  2 +-
+ recipes/noerrebronordvestbladet_dk.recipe     |  2 +-
+ recipes/norddjurslokalavisen_dk.recipe        |  2 +-
+ recipes/nordjyske_dk.recipe                   |  2 +-
+ recipes/nortecastilla.recipe                  |  2 +-
+ recipes/nos_nl.recipe                         |  2 +-
+ recipes/now_toronto.recipe                    |  2 +-
+ recipes/nowiny_rybnik.recipe                  |  2 +-
+ recipes/nowy_obywatel.recipe                  |  2 +-
+ recipes/noz.recipe                            |  2 +-
+ recipes/nrc-nl-epub.recipe                    |  2 +-
+ recipes/nrc_next.recipe                       |  2 +-
+ recipes/nymag.recipe                          |  2 +-
+ recipes/nypost.recipe                         |  2 +-
+ recipes/nytimes.recipe                        |  2 +-
+ recipes/nytimes_sports.recipe                 |  2 +-
+ recipes/nytimes_sub.recipe                    |  2 +-
+ recipes/nytimes_tech.recipe                   |  2 +-
+ recipes/o_globo.recipe                        |  2 +-
+ recipes/oba.recipe                            |  2 +-
+ recipes/observa_digital.recipe                |  2 +-
+ recipes/observer_gb.recipe                    |  2 +-
+ recipes/oc_register.recipe                    |  2 +-
+ recipes/odenselokalavisen_dk.recipe           |  2 +-
+ recipes/oesterbroavis_dk.recipe               |  2 +-
+ recipes/onemagazine.recipe                    |  2 +-
+ recipes/onionavclub.recipe                    |  2 +-
+ recipes/optyczne_pl.recipe                    |  2 +-
+ recipes/osel_cz.recipe                        |  2 +-
+ recipes/osw.recipe                            |  2 +-
+ recipes/ottawa_citizen.recipe                 |  2 +-
+ recipes/outlook_india.recipe                  |  2 +-
+ recipes/padreydecano.recipe                   |  2 +-
+ recipes/pagina_12_print_ed.recipe             |  2 +-
+ recipes/panorama.recipe                       |  2 +-
+ recipes/pc_advisor.recipe                     |  2 +-
+ recipes/pc_lab.recipe                         |  2 +-
+ recipes/pc_mag.recipe                         |  2 +-
+ recipes/pc_world.recipe                       |  2 +-
+ recipes/pcworld_hu.recipe                     |  2 +-
+ recipes/pcworldro.recipe                      |  2 +-
+ recipes/people_us_mashup.recipe               |  2 +-
+ recipes/phd_comics.recipe                     |  2 +-
+ recipes/plus_info.recipe                      |  2 +-
+ recipes/pobjeda.recipe                        |  2 +-
+ recipes/politico.recipe                       |  2 +-
+ recipes/politiko_dk.recipe                    |  2 +-
+ recipes/polityka.recipe                       |  2 +-
+ recipes/portfolio.recipe                      |  2 +-
+ recipes/ppe_pl.recipe                         |  2 +-
+ recipes/presse_portal.recipe                  |  2 +-
+ recipes/pressonline.recipe                    |  2 +-
+ recipes/private_eye.recipe                    |  2 +-
+ recipes/promotor.recipe                       |  2 +-
+ recipes/prospectmaguk.recipe                  |  2 +-
+ recipes/prosport.recipe                       |  2 +-
+ recipes/prostamerika.recipe                   |  2 +-
+ recipes/protvmagazin.recipe                   |  2 +-
+ recipes/psych.recipe                          |  2 +-
+ recipes/psychologies.recipe                   |  2 +-
+ recipes/pubblico_giornale.recipe              |  2 +-
+ recipes/publico.recipe                        |  2 +-
+ recipes/publika.recipe                        |  2 +-
+ recipes/punto_informatico.recipe              |  2 +-
+ recipes/quanta_magazine.recipe                |  2 +-
+ recipes/queueacmorg.recipe                    |  2 +-
+ recipes/quotidiano.recipe                     |  2 +-
+ recipes/randerslokalavisen_dk.recipe          |  2 +-
+ recipes/readers_digest.recipe                 |  2 +-
+ recipes/realitatea.recipe                     |  2 +-
+ recipes/red_aragon.recipe                     |  2 +-
+ recipes/regina_leader_post.recipe             |  2 +-
+ recipes/replicavedetelor.recipe               |  2 +-
+ recipes/republika.recipe                      |  2 +-
+ recipes/revista_bla.recipe                    |  2 +-
+ recipes/rga.recipe                            |  2 +-
+ recipes/rmf24_ESKN.recipe                     |  2 +-
+ recipes/rmf24_fakty.recipe                    |  2 +-
+ recipes/rmf24_opinie.recipe                   |  2 +-
+ recipes/romanialibera.recipe                  |  2 +-
+ recipes/roskildelokalavisen_dk.recipe         |  2 +-
+ recipes/rts.recipe                            |  2 +-
+ recipes/rudersdallokalavisen_dk.recipe        |  2 +-
+ recipes/rushisaband.recipe                    |  2 +-
+ recipes/rynek_infrastruktury.recipe           |  2 +-
+ recipes/sa_gazeta.recipe                      |  2 +-
+ recipes/salon.recipe                          |  2 +-
+ recipes/san_fran_chronicle.recipe             |  2 +-
+ recipes/sanjosemercurynews.recipe             |  2 +-
+ recipes/saskatoon_star_phoenix.recipe         |  2 +-
+ recipes/satkurier.recipe                      |  2 +-
+ recipes/satmagazine.recipe                    |  2 +-
+ recipes/sb_nation.recipe                      |  2 +-
+ recipes/science_advances.recipe               |  2 +-
+ recipes/science_based_medicine.recipe         |  2 +-
+ recipes/science_news.recipe                   |  2 +-
+ recipes/science_news_recent_issues.recipe     |  2 +-
+ recipes/sciencedaily.recipe                   |  2 +-
+ recipes/scientific_american.recipe            |  2 +-
+ recipes/scott_hanselman.recipe                |  2 +-
+ recipes/seanhannity.recipe                    |  2 +-
+ recipes/seattle_times.recipe                  |  2 +-
+ recipes/serverside.recipe                     |  2 +-
+ recipes/sfin.recipe                           |  2 +-
+ recipes/skanderborglokalavisen_dk.recipe      |  2 +-
+ recipes/slashdot.recipe                       |  2 +-
+ recipes/slate.recipe                          |  2 +-
+ recipes/slate_star_codex.recipe               |  2 +-
+ recipes/sn_dk.recipe                          |  2 +-
+ recipes/socialdiva.recipe                     |  2 +-
+ recipes/soenderborglokalavisen_dk.recipe      |  2 +-
+ recipes/sondagsavisen_dk.recipe               |  2 +-
+ recipes/southernstar.recipe                   |  2 +-
+ recipes/spektrum.recipe                       |  2 +-
+ recipes/spiegelde.recipe                      |  2 +-
+ recipes/sportowefakty.recipe                  |  2 +-
+ recipes/sports_illustrated.recipe             |  2 +-
+ recipes/sporza_be.recipe                      |  2 +-
+ recipes/stackoverflow.recipe                  |  2 +-
+ recipes/standardmoney.recipe                  |  2 +-
+ recipes/stiintasitehnica.recipe               |  2 +-
+ recipes/strange_horizons.recipe               |  2 +-
+ recipes/superbebe.recipe                      |  2 +-
+ recipes/swiatkindle.recipe                    |  2 +-
+ recipes/syddjurslokalavisen_dk.recipe         |  2 +-
+ recipes/tabu.recipe                           |  2 +-
+ recipes/tagesspiegel.recipe                   |  2 +-
+ recipes/taz.recipe                            |  2 +-
+ recipes/tech_world.recipe                     |  2 +-
+ recipes/technology_review_de.recipe           |  2 +-
+ recipes/telam.recipe                          |  2 +-
+ recipes/telepolis.recipe                      |  2 +-
+ recipes/teleread.recipe                       |  2 +-
+ recipes/the_age.recipe                        |  2 +-
+ recipes/the_budget_fashionista.recipe         |  2 +-
+ recipes/the_escapist.recipe                   |  2 +-
+ recipes/the_federalist.recipe                 |  2 +-
+ recipes/the_insider.recipe                    |  2 +-
+ recipes/the_oz.recipe                         |  2 +-
+ recipes/thecodelesscode.recipe                |  2 +-
+ recipes/thedgesingapore.recipe                |  2 +-
+ recipes/themarketticker.recipe                |  2 +-
+ recipes/themorningpaper.recipe                |  2 +-
+ recipes/theoldfoodie.recipe                   |  2 +-
+ recipes/tijd.recipe                           |  2 +-
+ recipes/time_magazine.recipe                  |  2 +-
+ recipes/timesnewroman.recipe                  |  2 +-
+ recipes/tnxm.recipe                           |  2 +-
+ recipes/todays_zaman.recipe                   |  2 +-
+ recipes/toronto_sun.recipe                    |  2 +-
+ recipes/trombon.recipe                        |  2 +-
+ recipes/trystero.recipe                       |  2 +-
+ recipes/tuttosport.recipe                     |  2 +-
+ recipes/tv2lorry_dk.recipe                    |  2 +-
+ recipes/tv2nord_dk.recipe                     |  2 +-
+ recipes/tv2oj_dk.recipe                       |  2 +-
+ recipes/tveast_dk.recipe                      |  2 +-
+ recipes/tvmania.recipe                        |  2 +-
+ recipes/tvmidtvest_dk.recipe                  |  2 +-
+ recipes/tvsyd_dk.recipe                       |  2 +-
+ recipes/tweakers.recipe                       |  2 +-
+ recipes/tweakers_net.recipe                   |  2 +-
+ recipes/tyzden.recipe                         |  2 +-
+ recipes/uncrate.recipe                        |  2 +-
+ recipes/unica.recipe                          |  2 +-
+ recipes/upi.recipe                            |  2 +-
+ recipes/usatoday.recipe                       |  2 +-
+ recipes/usnews.recipe                         |  2 +-
+ recipes/utrinski.recipe                       |  2 +-
+ recipes/valbybladet_dk.recipe                 |  2 +-
+ recipes/vancouver_province.recipe             |  2 +-
+ recipes/vancouver_sun.recipe                  |  2 +-
+ recipes/vanloesebladet_dk.recipe              |  2 +-
+ recipes/vardelokalavisen_dk.recipe            |  2 +-
+ recipes/vecernji_list.recipe                  |  2 +-
+ recipes/veintitres.recipe                     |  2 +-
+ recipes/vejlelokalavisen_dk.recipe            |  2 +-
+ recipes/vesterbrobladet_dk.recipe             |  2 +-
+ recipes/vic_times.recipe                      |  2 +-
+ recipes/villagevoice.recipe                   |  2 +-
+ recipes/viva.recipe                           |  2 +-
+ recipes/vnexpress.recipe                      |  2 +-
+ recipes/voetbal_belgie.recipe                 |  2 +-
+ recipes/wallstreetro.recipe                   |  2 +-
+ recipes/wash_times.recipe                     |  2 +-
+ recipes/welt_der_physik.recipe                |  2 +-
+ recipes/wenxuecity-znjy.recipe                |  2 +-
+ recipes/wikinews_en.recipe                    |  2 +-
+ recipes/windows_star.recipe                   |  2 +-
+ recipes/windsor_star.recipe                   |  2 +-
+ recipes/wolne_media.recipe                    |  2 +-
+ recipes/wsj.recipe                            |  2 +-
+ recipes/wsj_free.recipe                       |  2 +-
+ recipes/wvhooligan.recipe                     |  2 +-
+ recipes/yalansavar.recipe                     |  2 +-
+ recipes/zadolba_li.recipe                     |  2 +-
+ recipes/zaobao.recipe                         |  2 +-
+ recipes/zaxid_net.recipe                      |  2 +-
+ recipes/zeitde_sub.recipe                     |  2 +-
+ recipes/ziarulfinanciar.recipe                |  2 +-
+ recipes/zita_be.recipe                        |  2 +-
+ recipes/ziuaveche.recipe                      |  2 +-
+ recipes/zycie_warszawy.recipe                 |  2 +-
+ resources/default_tweaks.py                   |  2 +-
+ session.vim                                   |  1 -
+ setup.py                                      |  2 +-
+ setup/__init__.py                             |  2 +-
+ setup/browser_data.py                         |  2 +-
+ setup/build.py                                |  2 +-
+ setup/build_environment.py                    |  2 +-
+ setup/check.py                                |  6 ++--
+ setup/commands.py                             |  2 +-
+ setup/file-hosting-bw.py                      |  2 +-
+ setup/git_version.py                          |  2 +-
+ setup/gui.py                                  |  2 +-
+ setup/install.py                              |  2 +-
+ setup/installers.py                           |  2 +-
+ setup/linux-installer.py                      |  2 +-
+ setup/linux-installer.sh                      |  2 +-
+ setup/mathjax.py                              |  2 +-
+ setup/parallel_build.py                       |  2 +-
+ setup/plugins_mirror.py                       |  2 +-
+ setup/publish.py                              |  2 +-
+ setup/resources.py                            |  2 +-
+ setup/run-calibre-worker.py                   |  2 +-
+ setup/test.py                                 |  2 +-
+ setup/translations.py                         |  2 +-
+ setup/upload.py                               |  2 +-
+ setup/vcvars.py                               |  2 +-
+ setup/win-ci.py                               |  2 +-
+ src/backports/functools_lru_cache.py          |  2 +-
+ src/calibre/constants.py                      |  2 +-
+ src/calibre/customize/zipplugin.py            |  2 +-
+ src/calibre/db/__init__.py                    |  2 +-
+ src/calibre/db/adding.py                      |  2 +-
+ src/calibre/db/backend.py                     |  2 +-
+ src/calibre/db/backup.py                      |  2 +-
+ src/calibre/db/cache.py                       |  2 +-
+ src/calibre/db/categories.py                  |  2 +-
+ src/calibre/db/cli/__init__.py                |  2 +-
+ src/calibre/db/cli/cmd_add.py                 |  2 +-
+ src/calibre/db/cli/cmd_add_custom_column.py   |  2 +-
+ src/calibre/db/cli/cmd_add_format.py          |  2 +-
+ src/calibre/db/cli/cmd_backup_metadata.py     |  2 +-
+ src/calibre/db/cli/cmd_catalog.py             |  2 +-
+ src/calibre/db/cli/cmd_check_library.py       |  2 +-
+ src/calibre/db/cli/cmd_clone.py               |  2 +-
+ src/calibre/db/cli/cmd_custom_columns.py      |  2 +-
+ src/calibre/db/cli/cmd_embed_metadata.py      |  2 +-
+ src/calibre/db/cli/cmd_export.py              |  2 +-
+ src/calibre/db/cli/cmd_list.py                |  2 +-
+ src/calibre/db/cli/cmd_list_categories.py     |  2 +-
+ src/calibre/db/cli/cmd_remove.py              |  2 +-
+ .../db/cli/cmd_remove_custom_column.py        |  2 +-
+ src/calibre/db/cli/cmd_remove_format.py       |  2 +-
+ src/calibre/db/cli/cmd_restore_database.py    |  2 +-
+ src/calibre/db/cli/cmd_saved_searches.py      |  2 +-
+ src/calibre/db/cli/cmd_search.py              |  2 +-
+ src/calibre/db/cli/cmd_set_custom.py          |  2 +-
+ src/calibre/db/cli/cmd_set_metadata.py        |  2 +-
+ src/calibre/db/cli/cmd_show_metadata.py       |  2 +-
+ src/calibre/db/cli/main.py                    |  2 +-
+ src/calibre/db/cli/tests.py                   |  2 +-
+ src/calibre/db/cli/utils.py                   |  2 +-
+ src/calibre/db/copy_to_library.py             |  2 +-
+ src/calibre/db/delete_service.py              |  2 +-
+ src/calibre/db/errors.py                      |  2 +-
+ src/calibre/db/fields.py                      |  2 +-
+ src/calibre/db/lazy.py                        |  2 +-
+ src/calibre/db/legacy.py                      |  2 +-
+ src/calibre/db/locking.py                     |  2 +-
+ src/calibre/db/restore.py                     |  2 +-
+ src/calibre/db/schema_upgrades.py             |  2 +-
+ src/calibre/db/search.py                      |  2 +-
+ src/calibre/db/tables.py                      |  2 +-
+ src/calibre/db/tests/__init__.py              |  2 +-
+ src/calibre/db/tests/add_remove.py            |  2 +-
+ src/calibre/db/tests/base.py                  |  2 +-
+ src/calibre/db/tests/filesystem.py            |  2 +-
+ src/calibre/db/tests/legacy.py                |  2 +-
+ src/calibre/db/tests/locking.py               |  2 +-
+ src/calibre/db/tests/main.py                  |  2 +-
+ src/calibre/db/tests/profiling.py             |  2 +-
+ src/calibre/db/tests/reading.py               |  2 +-
+ src/calibre/db/tests/utils.py                 |  2 +-
+ src/calibre/db/tests/writing.py               |  2 +-
+ src/calibre/db/utils.py                       |  2 +-
+ src/calibre/db/view.py                        |  2 +-
+ src/calibre/db/write.py                       |  2 +-
+ src/calibre/debug.py                          |  2 +-
+ src/calibre/devices/android/__init__.py       |  2 +-
+ src/calibre/devices/cli.py                    |  2 +-
+ src/calibre/devices/eslick/__init__.py        |  2 +-
+ src/calibre/devices/eslick/driver.py          |  2 +-
+ src/calibre/devices/folder_device/__init__.py |  2 +-
+ src/calibre/devices/iriver/__init__.py        |  2 +-
+ src/calibre/devices/iriver/driver.py          |  2 +-
+ src/calibre/devices/kobo/__init__.py          |  2 +-
+ src/calibre/devices/kobo/driver.py            |  2 +-
+ src/calibre/devices/kobo/kobotouch_config.py  |  2 +-
+ src/calibre/devices/misc.py                   |  2 +-
+ src/calibre/devices/mtp/__init__.py           |  2 +-
+ src/calibre/devices/mtp/base.py               |  2 +-
+ src/calibre/devices/mtp/books.py              |  2 +-
+ src/calibre/devices/mtp/defaults.py           |  2 +-
+ src/calibre/devices/mtp/driver.py             |  2 +-
+ src/calibre/devices/mtp/filesystem_cache.py   |  2 +-
+ src/calibre/devices/mtp/test.py               |  2 +-
+ src/calibre/devices/mtp/unix/__init__.py      |  2 +-
+ src/calibre/devices/mtp/unix/driver.py        |  2 +-
+ src/calibre/devices/mtp/unix/sysfs.py         |  2 +-
+ src/calibre/devices/mtp/windows/__init__.py   |  2 +-
+ src/calibre/devices/mtp/windows/driver.py     |  2 +-
+ src/calibre/devices/mtp/windows/remote.py     |  2 +-
+ src/calibre/devices/paladin/driver.py         |  2 +-
+ src/calibre/devices/prs505/sony_cache.py      |  2 +-
+ src/calibre/devices/prst1/__init__.py         |  2 +-
+ src/calibre/devices/prst1/driver.py           |  2 +-
+ .../devices/smart_device_app/__init__.py      |  2 +-
+ .../devices/smart_device_app/driver.py        |  2 +-
+ src/calibre/devices/teclast/__init__.py       |  2 +-
+ src/calibre/devices/udisks.py                 |  2 +-
+ src/calibre/devices/utils.py                  |  2 +-
+ src/calibre/devices/winusb.py                 |  2 +-
+ src/calibre/ebooks/BeautifulSoup.py           |  2 +-
+ src/calibre/ebooks/chardet.py                 |  2 +-
+ src/calibre/ebooks/chm/__init__.py            |  2 +-
+ src/calibre/ebooks/chm/metadata.py            |  2 +-
+ src/calibre/ebooks/comic/__init__.py          |  2 +-
+ src/calibre/ebooks/compression/palmdoc.py     |  2 +-
+ src/calibre/ebooks/constants.py               |  2 +-
+ src/calibre/ebooks/conversion/config.py       |  2 +-
+ .../ebooks/conversion/plugins/__init__.py     |  2 +-
+ .../ebooks/conversion/plugins/docx_input.py   |  2 +-
+ .../ebooks/conversion/plugins/docx_output.py  |  2 +-
+ .../ebooks/conversion/plugins/epub_output.py  |  2 +-
+ .../ebooks/conversion/plugins/html_input.py   |  2 +-
+ .../ebooks/conversion/plugins/lit_input.py    |  2 +-
+ .../ebooks/conversion/plugins/lit_output.py   |  2 +-
+ .../ebooks/conversion/plugins/lrf_input.py    |  2 +-
+ .../ebooks/conversion/plugins/lrf_output.py   |  2 +-
+ .../ebooks/conversion/plugins/mobi_output.py  |  2 +-
+ .../ebooks/conversion/plugins/recipe_input.py |  2 +-
+ src/calibre/ebooks/conversion/preprocess.py   |  2 +-
+ .../ebooks/conversion/search_replace.py       |  2 +-
+ src/calibre/ebooks/conversion/utils.py        |  2 +-
+ src/calibre/ebooks/covers.py                  |  2 +-
+ src/calibre/ebooks/css_transform_rules.py     |  2 +-
+ src/calibre/ebooks/djvu/__init__.py           |  2 +-
+ src/calibre/ebooks/djvu/djvu.py               |  2 +-
+ src/calibre/ebooks/djvu/djvubzzdec.py         |  2 +-
+ src/calibre/ebooks/docx/__init__.py           |  2 +-
+ src/calibre/ebooks/docx/block_styles.py       |  2 +-
+ src/calibre/ebooks/docx/char_styles.py        |  2 +-
+ src/calibre/ebooks/docx/cleanup.py            |  2 +-
+ src/calibre/ebooks/docx/container.py          |  2 +-
+ src/calibre/ebooks/docx/dump.py               |  2 +-
+ src/calibre/ebooks/docx/fields.py             |  2 +-
+ src/calibre/ebooks/docx/fonts.py              |  2 +-
+ src/calibre/ebooks/docx/footnotes.py          |  2 +-
+ src/calibre/ebooks/docx/images.py             |  2 +-
+ src/calibre/ebooks/docx/index.py              |  2 +-
+ src/calibre/ebooks/docx/lcid.py               |  2 +-
+ src/calibre/ebooks/docx/names.py              |  2 +-
+ src/calibre/ebooks/docx/numbering.py          |  2 +-
+ src/calibre/ebooks/docx/settings.py           |  2 +-
+ src/calibre/ebooks/docx/styles.py             |  2 +-
+ src/calibre/ebooks/docx/tables.py             |  2 +-
+ src/calibre/ebooks/docx/theme.py              |  2 +-
+ src/calibre/ebooks/docx/to_html.py            |  2 +-
+ src/calibre/ebooks/docx/toc.py                |  2 +-
+ src/calibre/ebooks/docx/writer/__init__.py    |  2 +-
+ src/calibre/ebooks/docx/writer/container.py   |  2 +-
+ src/calibre/ebooks/docx/writer/fonts.py       |  2 +-
+ src/calibre/ebooks/docx/writer/from_html.py   |  2 +-
+ src/calibre/ebooks/docx/writer/images.py      |  2 +-
+ src/calibre/ebooks/docx/writer/links.py       |  2 +-
+ src/calibre/ebooks/docx/writer/lists.py       |  2 +-
+ src/calibre/ebooks/docx/writer/styles.py      |  2 +-
+ src/calibre/ebooks/docx/writer/tables.py      |  2 +-
+ src/calibre/ebooks/docx/writer/utils.py       |  2 +-
+ src/calibre/ebooks/epub/cfi/parse.py          |  2 +-
+ src/calibre/ebooks/epub/cfi/tests.py          |  2 +-
+ src/calibre/ebooks/epub/periodical.py         |  2 +-
+ src/calibre/ebooks/fb2/__init__.py            |  2 +-
+ src/calibre/ebooks/html/__init__.py           |  2 +-
+ src/calibre/ebooks/html/input.py              |  2 +-
+ src/calibre/ebooks/html/to_zip.py             |  2 +-
+ src/calibre/ebooks/html_entities.py           |  2 +-
+ src/calibre/ebooks/iterator/__init__.py       |  2 +-
+ src/calibre/ebooks/lrf/input.py               |  2 +-
+ src/calibre/ebooks/lrf/pylrs/pylrf.py         |  2 +-
+ src/calibre/ebooks/metadata/__init__.py       |  2 +-
+ src/calibre/ebooks/metadata/archive.py        |  2 +-
+ src/calibre/ebooks/metadata/author_mapper.py  |  2 +-
+ src/calibre/ebooks/metadata/book/__init__.py  |  2 +-
+ src/calibre/ebooks/metadata/book/base.py      |  2 +-
+ src/calibre/ebooks/metadata/book/formatter.py |  2 +-
+ src/calibre/ebooks/metadata/book/render.py    |  2 +-
+ src/calibre/ebooks/metadata/book/serialize.py |  2 +-
+ src/calibre/ebooks/metadata/docx.py           |  2 +-
+ src/calibre/ebooks/metadata/epub.py           |  2 +-
+ src/calibre/ebooks/metadata/fb2.py            |  2 +-
+ src/calibre/ebooks/metadata/html.py           |  2 +-
+ src/calibre/ebooks/metadata/kdl.py            |  2 +-
+ src/calibre/ebooks/metadata/kfx.py            |  2 +-
+ src/calibre/ebooks/metadata/lrx.py            |  2 +-
+ src/calibre/ebooks/metadata/mobi.py           |  2 +-
+ src/calibre/ebooks/metadata/odt.py            |  2 +-
+ src/calibre/ebooks/metadata/opf.py            |  2 +-
+ src/calibre/ebooks/metadata/opf2.py           |  2 +-
+ src/calibre/ebooks/metadata/opf3.py           |  2 +-
+ src/calibre/ebooks/metadata/opf3_test.py      |  2 +-
+ src/calibre/ebooks/metadata/opf_2_to_3.py     |  2 +-
+ src/calibre/ebooks/metadata/rar.py            |  2 +-
+ src/calibre/ebooks/metadata/rtf.py            |  2 +-
+ .../ebooks/metadata/search_internet.py        |  2 +-
+ .../ebooks/metadata/sources/__init__.py       |  2 +-
+ src/calibre/ebooks/metadata/sources/amazon.py |  2 +-
+ src/calibre/ebooks/metadata/sources/base.py   |  2 +-
+ .../metadata/sources/big_book_search.py       |  2 +-
+ src/calibre/ebooks/metadata/sources/cli.py    |  2 +-
+ src/calibre/ebooks/metadata/sources/covers.py |  2 +-
+ src/calibre/ebooks/metadata/sources/douban.py |  2 +-
+ .../ebooks/metadata/sources/edelweiss.py      |  2 +-
+ src/calibre/ebooks/metadata/sources/google.py |  2 +-
+ .../ebooks/metadata/sources/google_images.py  |  2 +-
+ .../ebooks/metadata/sources/identify.py       |  2 +-
+ .../ebooks/metadata/sources/openlibrary.py    |  2 +-
+ .../ebooks/metadata/sources/overdrive.py      |  2 +-
+ src/calibre/ebooks/metadata/sources/ozon.py   |  2 +-
+ src/calibre/ebooks/metadata/sources/prefs.py  |  2 +-
+ .../ebooks/metadata/sources/search_engines.py |  2 +-
+ src/calibre/ebooks/metadata/sources/test.py   |  2 +-
+ src/calibre/ebooks/metadata/sources/update.py |  2 +-
+ src/calibre/ebooks/metadata/sources/worker.py |  2 +-
+ src/calibre/ebooks/metadata/tag_mapper.py     |  2 +-
+ src/calibre/ebooks/metadata/toc.py            |  2 +-
+ src/calibre/ebooks/metadata/utils.py          |  2 +-
+ src/calibre/ebooks/metadata/worker.py         |  2 +-
+ src/calibre/ebooks/metadata/xisbn.py          |  2 +-
+ src/calibre/ebooks/metadata/xmp.py            |  2 +-
+ src/calibre/ebooks/mobi/__init__.py           |  2 +-
+ src/calibre/ebooks/mobi/debug/__init__.py     |  2 +-
+ src/calibre/ebooks/mobi/debug/containers.py   |  2 +-
+ src/calibre/ebooks/mobi/debug/headers.py      |  2 +-
+ src/calibre/ebooks/mobi/debug/index.py        |  2 +-
+ src/calibre/ebooks/mobi/debug/main.py         |  2 +-
+ src/calibre/ebooks/mobi/debug/mobi6.py        |  2 +-
+ src/calibre/ebooks/mobi/debug/mobi8.py        |  2 +-
+ src/calibre/ebooks/mobi/huffcdic.py           |  2 +-
+ src/calibre/ebooks/mobi/langcodes.py          |  2 +-
+ src/calibre/ebooks/mobi/reader/__init__.py    |  2 +-
+ src/calibre/ebooks/mobi/reader/containers.py  |  2 +-
+ src/calibre/ebooks/mobi/reader/headers.py     |  2 +-
+ src/calibre/ebooks/mobi/reader/index.py       |  2 +-
+ src/calibre/ebooks/mobi/reader/markup.py      |  2 +-
+ src/calibre/ebooks/mobi/reader/mobi6.py       |  2 +-
+ src/calibre/ebooks/mobi/reader/mobi8.py       |  2 +-
+ src/calibre/ebooks/mobi/reader/ncx.py         |  2 +-
+ src/calibre/ebooks/mobi/tweak.py              |  2 +-
+ src/calibre/ebooks/mobi/utils.py              |  2 +-
+ src/calibre/ebooks/mobi/writer2/__init__.py   |  2 +-
+ src/calibre/ebooks/mobi/writer2/indexer.py    |  2 +-
+ src/calibre/ebooks/mobi/writer2/main.py       |  2 +-
+ src/calibre/ebooks/mobi/writer2/resources.py  |  2 +-
+ src/calibre/ebooks/mobi/writer2/serializer.py |  2 +-
+ src/calibre/ebooks/mobi/writer8/__init__.py   |  2 +-
+ src/calibre/ebooks/mobi/writer8/cleanup.py    |  2 +-
+ src/calibre/ebooks/mobi/writer8/exth.py       |  2 +-
+ src/calibre/ebooks/mobi/writer8/header.py     |  2 +-
+ src/calibre/ebooks/mobi/writer8/index.py      |  2 +-
+ src/calibre/ebooks/mobi/writer8/main.py       |  2 +-
+ src/calibre/ebooks/mobi/writer8/mobi.py       |  2 +-
+ src/calibre/ebooks/mobi/writer8/skeleton.py   |  2 +-
+ src/calibre/ebooks/mobi/writer8/tbs.py        |  2 +-
+ src/calibre/ebooks/mobi/writer8/toc.py        |  2 +-
+ src/calibre/ebooks/odt/__init__.py            |  2 +-
+ src/calibre/ebooks/oeb/display/__init__.py    |  2 +-
+ src/calibre/ebooks/oeb/display/webview.py     |  2 +-
+ src/calibre/ebooks/oeb/iterator/__init__.py   |  2 +-
+ src/calibre/ebooks/oeb/iterator/book.py       |  2 +-
+ src/calibre/ebooks/oeb/iterator/bookmarks.py  |  2 +-
+ src/calibre/ebooks/oeb/iterator/spine.py      |  2 +-
+ src/calibre/ebooks/oeb/normalize_css.py       |  2 +-
+ src/calibre/ebooks/oeb/parse_utils.py         |  2 +-
+ src/calibre/ebooks/oeb/polish/__init__.py     |  2 +-
+ src/calibre/ebooks/oeb/polish/cascade.py      |  2 +-
+ .../ebooks/oeb/polish/check/__init__.py       |  2 +-
+ src/calibre/ebooks/oeb/polish/check/base.py   |  2 +-
+ src/calibre/ebooks/oeb/polish/check/fonts.py  |  2 +-
+ src/calibre/ebooks/oeb/polish/check/images.py |  2 +-
+ src/calibre/ebooks/oeb/polish/check/links.py  |  2 +-
+ src/calibre/ebooks/oeb/polish/check/main.py   |  2 +-
+ src/calibre/ebooks/oeb/polish/check/opf.py    |  2 +-
+ .../ebooks/oeb/polish/check/parsing.py        |  2 +-
+ src/calibre/ebooks/oeb/polish/container.py    |  2 +-
+ src/calibre/ebooks/oeb/polish/create.py       |  2 +-
+ src/calibre/ebooks/oeb/polish/css.py          |  2 +-
+ src/calibre/ebooks/oeb/polish/download.py     |  2 +-
+ src/calibre/ebooks/oeb/polish/embed.py        |  2 +-
+ src/calibre/ebooks/oeb/polish/errors.py       |  2 +-
+ src/calibre/ebooks/oeb/polish/fonts.py        |  2 +-
+ src/calibre/ebooks/oeb/polish/images.py       |  2 +-
+ src/calibre/ebooks/oeb/polish/import_book.py  |  2 +-
+ src/calibre/ebooks/oeb/polish/jacket.py       |  2 +-
+ src/calibre/ebooks/oeb/polish/main.py         |  2 +-
+ src/calibre/ebooks/oeb/polish/opf.py          |  2 +-
+ src/calibre/ebooks/oeb/polish/parsing.py      |  2 +-
+ src/calibre/ebooks/oeb/polish/pretty.py       |  2 +-
+ src/calibre/ebooks/oeb/polish/replace.py      |  2 +-
+ src/calibre/ebooks/oeb/polish/report.py       |  2 +-
+ src/calibre/ebooks/oeb/polish/spell.py        |  2 +-
+ src/calibre/ebooks/oeb/polish/split.py        |  2 +-
+ src/calibre/ebooks/oeb/polish/stats.py        |  2 +-
+ src/calibre/ebooks/oeb/polish/subset.py       |  2 +-
+ .../ebooks/oeb/polish/tests/__init__.py       |  2 +-
+ src/calibre/ebooks/oeb/polish/tests/base.py   |  2 +-
+ .../ebooks/oeb/polish/tests/cascade.py        |  2 +-
+ .../ebooks/oeb/polish/tests/container.py      |  2 +-
+ src/calibre/ebooks/oeb/polish/tests/main.py   |  2 +-
+ .../ebooks/oeb/polish/tests/parsing.py        |  2 +-
+ .../ebooks/oeb/polish/tests/structure.py      |  2 +-
+ src/calibre/ebooks/oeb/polish/toc.py          |  2 +-
+ src/calibre/ebooks/oeb/polish/upgrade.py      |  2 +-
+ src/calibre/ebooks/oeb/polish/utils.py        |  2 +-
+ src/calibre/ebooks/oeb/transforms/__init__.py |  2 +-
+ src/calibre/ebooks/oeb/transforms/cover.py    |  2 +-
+ src/calibre/ebooks/oeb/transforms/data_url.py |  2 +-
+ .../ebooks/oeb/transforms/embed_fonts.py      |  2 +-
+ .../ebooks/oeb/transforms/filenames.py        |  2 +-
+ src/calibre/ebooks/oeb/transforms/guide.py    |  2 +-
+ src/calibre/ebooks/oeb/transforms/jacket.py   |  2 +-
+ .../ebooks/oeb/transforms/linearize_tables.py |  2 +-
+ src/calibre/ebooks/oeb/transforms/metadata.py |  2 +-
+ .../ebooks/oeb/transforms/page_margin.py      |  2 +-
+ src/calibre/ebooks/oeb/transforms/rescale.py  |  2 +-
+ .../ebooks/oeb/transforms/structure.py        |  2 +-
+ src/calibre/ebooks/oeb/transforms/subset.py   |  2 +-
+ src/calibre/ebooks/pdb/haodoo/__init__.py     |  2 +-
+ src/calibre/ebooks/pdf/__init__.py            |  2 +-
+ src/calibre/ebooks/pdf/develop.py             |  2 +-
+ src/calibre/ebooks/pdf/html_writer.py         |  2 +-
+ src/calibre/ebooks/pdf/image_writer.py        |  2 +-
+ src/calibre/ebooks/pdf/pdftohtml.py           |  2 +-
+ src/calibre/ebooks/pdf/reflow.py              |  2 +-
+ src/calibre/ebooks/pdf/render/__init__.py     |  2 +-
+ src/calibre/ebooks/pdf/render/common.py       |  2 +-
+ src/calibre/ebooks/pdf/render/fonts.py        |  2 +-
+ src/calibre/ebooks/pdf/render/gradients.py    |  2 +-
+ src/calibre/ebooks/pdf/render/graphics.py     |  2 +-
+ src/calibre/ebooks/pdf/render/links.py        |  2 +-
+ src/calibre/ebooks/pdf/render/serialize.py    |  2 +-
+ src/calibre/ebooks/pdf/test_html_writer.py    |  2 +-
+ src/calibre/ebooks/readability/readability.py |  2 +-
+ src/calibre/ebooks/render_html.py             |  2 +-
+ src/calibre/ebooks/rtf/preprocess.py          |  2 +-
+ src/calibre/ebooks/rtf2xml/ParseRtf.py        |  2 +-
+ src/calibre/ebooks/rtf2xml/check_encoding.py  |  2 +-
+ src/calibre/ebooks/snb/__init__.py            |  2 +-
+ src/calibre/ebooks/textile/functions.py       |  2 +-
+ src/calibre/ebooks/tweak.py                   |  2 +-
+ src/calibre/ebooks/txt/__init__.py            |  2 +-
+ src/calibre/gui2/actions/__init__.py          |  2 +-
+ src/calibre/gui2/actions/add.py               |  2 +-
+ src/calibre/gui2/actions/add_to_library.py    |  2 +-
+ src/calibre/gui2/actions/annotate.py          |  2 +-
+ src/calibre/gui2/actions/author_mapper.py     |  2 +-
+ src/calibre/gui2/actions/catalog.py           |  2 +-
+ src/calibre/gui2/actions/choose_library.py    |  2 +-
+ src/calibre/gui2/actions/convert.py           |  2 +-
+ src/calibre/gui2/actions/copy_to_library.py   |  2 +-
+ src/calibre/gui2/actions/delete.py            |  2 +-
+ src/calibre/gui2/actions/device.py            |  2 +-
+ src/calibre/gui2/actions/edit_collections.py  |  2 +-
+ src/calibre/gui2/actions/edit_metadata.py     |  2 +-
+ src/calibre/gui2/actions/embed.py             |  2 +-
+ src/calibre/gui2/actions/fetch_news.py        |  2 +-
+ src/calibre/gui2/actions/help.py              |  2 +-
+ src/calibre/gui2/actions/mark_books.py        |  2 +-
+ src/calibre/gui2/actions/match_books.py       |  2 +-
+ src/calibre/gui2/actions/next_match.py        |  2 +-
+ src/calibre/gui2/actions/open.py              |  2 +-
+ src/calibre/gui2/actions/plugin_updates.py    |  2 +-
+ src/calibre/gui2/actions/polish.py            |  2 +-
+ src/calibre/gui2/actions/preferences.py       |  2 +-
+ src/calibre/gui2/actions/random.py            |  2 +-
+ src/calibre/gui2/actions/restart.py           |  2 +-
+ src/calibre/gui2/actions/save_to_disk.py      |  2 +-
+ src/calibre/gui2/actions/show_book_details.py |  2 +-
+ src/calibre/gui2/actions/show_quickview.py    |  2 +-
+ .../gui2/actions/show_template_tester.py      |  2 +-
+ src/calibre/gui2/actions/similar_books.py     |  2 +-
+ src/calibre/gui2/actions/sort.py              |  2 +-
+ src/calibre/gui2/actions/tag_mapper.py        |  2 +-
+ src/calibre/gui2/actions/toc_edit.py          |  2 +-
+ src/calibre/gui2/actions/tweak_epub.py        |  2 +-
+ src/calibre/gui2/actions/unpack_book.py       |  2 +-
+ src/calibre/gui2/actions/view.py              |  2 +-
+ src/calibre/gui2/actions/virtual_library.py   |  2 +-
+ src/calibre/gui2/add.py                       |  2 +-
+ src/calibre/gui2/add_filters.py               |  2 +-
+ src/calibre/gui2/author_mapper.py             |  2 +-
+ src/calibre/gui2/auto_add.py                  |  2 +-
+ src/calibre/gui2/bars.py                      |  2 +-
+ src/calibre/gui2/book_details.py              |  2 +-
+ src/calibre/gui2/catalog/catalog_bibtex.py    |  2 +-
+ src/calibre/gui2/catalog/catalog_csv_xml.py   |  2 +-
+ src/calibre/gui2/catalog/catalog_epub_mobi.py |  2 +-
+ src/calibre/gui2/changes.py                   |  2 +-
+ src/calibre/gui2/comments_editor.py           |  2 +-
+ src/calibre/gui2/complete2.py                 |  2 +-
+ src/calibre/gui2/convert/__init__.py          |  2 +-
+ src/calibre/gui2/convert/azw3_output.py       |  2 +-
+ src/calibre/gui2/convert/comic_input.py       |  2 +-
+ src/calibre/gui2/convert/debug.py             |  2 +-
+ src/calibre/gui2/convert/docx_input.py        |  2 +-
+ src/calibre/gui2/convert/epub_output.py       |  2 +-
+ src/calibre/gui2/convert/font_key.py          |  2 +-
+ src/calibre/gui2/convert/look_and_feel.py     |  2 +-
+ src/calibre/gui2/convert/lrf_output.py        |  2 +-
+ src/calibre/gui2/convert/metadata.py          |  2 +-
+ src/calibre/gui2/convert/mobi_output.py       |  2 +-
+ src/calibre/gui2/convert/page_setup.py        |  2 +-
+ src/calibre/gui2/convert/rtf_input.py         |  2 +-
+ src/calibre/gui2/convert/single.py            |  2 +-
+ .../gui2/convert/structure_detection.py       |  2 +-
+ src/calibre/gui2/convert/toc.py               |  2 +-
+ src/calibre/gui2/convert/xpath_wizard.py      |  2 +-
+ src/calibre/gui2/cover_flow.py                |  2 +-
+ src/calibre/gui2/covers.py                    |  2 +-
+ src/calibre/gui2/css_transform_rules.py       |  2 +-
+ src/calibre/gui2/custom_column_widgets.py     |  2 +-
+ src/calibre/gui2/dbus_export/__init__.py      |  2 +-
+ src/calibre/gui2/dbus_export/demo.py          |  2 +-
+ src/calibre/gui2/dbus_export/gtk.py           |  2 +-
+ src/calibre/gui2/dbus_export/menu.py          |  2 +-
+ src/calibre/gui2/dbus_export/menu2.py         |  2 +-
+ src/calibre/gui2/dbus_export/tray.py          |  2 +-
+ src/calibre/gui2/dbus_export/utils.py         |  2 +-
+ src/calibre/gui2/dbus_export/widgets.py       |  2 +-
+ src/calibre/gui2/device_drivers/mtp_config.py |  2 +-
+ .../gui2/device_drivers/mtp_folder_browser.py |  2 +-
+ .../device_drivers/tabbed_device_config.py    |  2 +-
+ src/calibre/gui2/dialogs/add_empty_book.py    |  2 +-
+ src/calibre/gui2/dialogs/add_from_isbn.py     |  2 +-
+ src/calibre/gui2/dialogs/authors_edit.py      |  2 +-
+ src/calibre/gui2/dialogs/book_info.py         |  2 +-
+ src/calibre/gui2/dialogs/catalog.py           |  2 +-
+ src/calibre/gui2/dialogs/check_library.py     |  2 +-
+ src/calibre/gui2/dialogs/choose_library.py    |  2 +-
+ .../gui2/dialogs/choose_plugin_toolbars.py    |  2 +-
+ src/calibre/gui2/dialogs/comments_dialog.py   |  2 +-
+ src/calibre/gui2/dialogs/confirm_delete.py    |  2 +-
+ .../gui2/dialogs/confirm_delete_location.py   |  2 +-
+ src/calibre/gui2/dialogs/confirm_merge.py     |  2 +-
+ src/calibre/gui2/dialogs/custom_recipes.py    |  5 ++--
+ .../dialogs/delete_matching_from_device.py    |  2 +-
+ src/calibre/gui2/dialogs/drm_error.py         |  2 +-
+ src/calibre/gui2/dialogs/duplicates.py        |  2 +-
+ .../gui2/dialogs/edit_authors_dialog.py       |  2 +-
+ src/calibre/gui2/dialogs/exim.py              |  2 +-
+ src/calibre/gui2/dialogs/match_books.py       |  2 +-
+ src/calibre/gui2/dialogs/message_box.py       |  2 +-
+ src/calibre/gui2/dialogs/metadata_bulk.py     |  2 +-
+ src/calibre/gui2/dialogs/opml.py              |  2 +-
+ src/calibre/gui2/dialogs/plugin_updater.py    |  2 +-
+ src/calibre/gui2/dialogs/progress.py          |  2 +-
+ src/calibre/gui2/dialogs/quickview.py         |  2 +-
+ src/calibre/gui2/dialogs/restore_library.py   |  2 +-
+ .../gui2/dialogs/saved_search_editor.py       |  2 +-
+ src/calibre/gui2/dialogs/select_formats.py    |  2 +-
+ src/calibre/gui2/dialogs/smartdevice.py       |  2 +-
+ src/calibre/gui2/dialogs/tag_list_editor.py   |  2 +-
+ src/calibre/gui2/dialogs/template_dialog.py   |  2 +-
+ .../gui2/dialogs/template_line_editor.py      |  2 +-
+ src/calibre/gui2/dialogs/trim_image.py        |  2 +-
+ src/calibre/gui2/dnd.py                       |  2 +-
+ src/calibre/gui2/email.py                     |  2 +-
+ src/calibre/gui2/font_family_chooser.py       |  2 +-
+ src/calibre/gui2/gestures.py                  |  2 +-
+ src/calibre/gui2/icon_theme.py                |  2 +-
+ src/calibre/gui2/image_popup.py               |  2 +-
+ src/calibre/gui2/init.py                      |  2 +-
+ src/calibre/gui2/job_indicator.py             |  2 +-
+ src/calibre/gui2/jobs.py                      |  2 +-
+ src/calibre/gui2/keyboard.py                  |  2 +-
+ src/calibre/gui2/languages.py                 |  2 +-
+ src/calibre/gui2/layout.py                    |  2 +-
+ src/calibre/gui2/layout_menu.py               |  2 +-
+ src/calibre/gui2/library/__init__.py          |  2 +-
+ src/calibre/gui2/library/alternate_views.py   |  2 +-
+ src/calibre/gui2/library/caches.py            |  2 +-
+ src/calibre/gui2/library/delegates.py         |  2 +-
+ src/calibre/gui2/library/models.py            |  2 +-
+ src/calibre/gui2/library/views.py             |  2 +-
+ src/calibre/gui2/linux_file_dialogs.py        |  2 +-
+ src/calibre/gui2/main.py                      |  2 +-
+ src/calibre/gui2/metadata/__init__.py         |  2 +-
+ src/calibre/gui2/metadata/basic_widgets.py    |  2 +-
+ src/calibre/gui2/metadata/bulk_download.py    |  2 +-
+ src/calibre/gui2/metadata/config.py           |  2 +-
+ src/calibre/gui2/metadata/diff.py             |  2 +-
+ src/calibre/gui2/metadata/pdf_covers.py       |  2 +-
+ src/calibre/gui2/metadata/single.py           |  2 +-
+ src/calibre/gui2/metadata/single_download.py  |  2 +-
+ src/calibre/gui2/notify.py                    |  2 +-
+ src/calibre/gui2/open_with.py                 |  2 +-
+ src/calibre/gui2/pin_columns.py               |  2 +-
+ src/calibre/gui2/preferences/__init__.py      |  2 +-
+ src/calibre/gui2/preferences/adding.py        |  2 +-
+ src/calibre/gui2/preferences/behavior.py      |  2 +-
+ src/calibre/gui2/preferences/coloring.py      |  2 +-
+ src/calibre/gui2/preferences/columns.py       |  2 +-
+ src/calibre/gui2/preferences/conversion.py    |  2 +-
+ .../gui2/preferences/create_custom_column.py  |  2 +-
+ src/calibre/gui2/preferences/device_debug.py  |  2 +-
+ .../gui2/preferences/device_user_defined.py   |  2 +-
+ src/calibre/gui2/preferences/emailp.py        |  2 +-
+ src/calibre/gui2/preferences/history.py       |  2 +-
+ .../gui2/preferences/ignored_devices.py       |  2 +-
+ src/calibre/gui2/preferences/keyboard.py      |  2 +-
+ src/calibre/gui2/preferences/look_feel.py     |  2 +-
+ src/calibre/gui2/preferences/main.py          |  2 +-
+ .../gui2/preferences/metadata_sources.py      |  2 +-
+ src/calibre/gui2/preferences/misc.py          |  2 +-
+ src/calibre/gui2/preferences/plugboard.py     |  2 +-
+ src/calibre/gui2/preferences/plugins.py       |  2 +-
+ src/calibre/gui2/preferences/save_template.py |  2 +-
+ src/calibre/gui2/preferences/saving.py        |  2 +-
+ src/calibre/gui2/preferences/search.py        |  2 +-
+ src/calibre/gui2/preferences/sending.py       |  2 +-
+ src/calibre/gui2/preferences/server.py        |  2 +-
+ .../gui2/preferences/template_functions.py    |  2 +-
+ .../gui2/preferences/texture_chooser.py       |  2 +-
+ src/calibre/gui2/preferences/toolbar.py       |  2 +-
+ src/calibre/gui2/preferences/tweaks.py        |  2 +-
+ src/calibre/gui2/proceed.py                   |  2 +-
+ .../gui2/progress_indicator/__init__.py       |  2 +-
+ src/calibre/gui2/qt_file_dialogs.py           |  2 +-
+ src/calibre/gui2/save.py                      |  2 +-
+ src/calibre/gui2/search_box.py                |  2 +-
+ src/calibre/gui2/search_restriction_mixin.py  |  2 +-
+ src/calibre/gui2/shortcuts.py                 |  2 +-
+ src/calibre/gui2/splash_screen.py             |  2 +-
+ src/calibre/gui2/store/loader.py              |  2 +-
+ .../gui2/store/stores/amazon_au_plugin.py     |  2 +-
+ .../gui2/store/stores/amazon_ca_plugin.py     |  2 +-
+ .../gui2/store/stores/amazon_de_plugin.py     |  2 +-
+ .../gui2/store/stores/amazon_es_plugin.py     |  2 +-
+ .../gui2/store/stores/amazon_fr_plugin.py     |  2 +-
+ .../gui2/store/stores/amazon_in_plugin.py     |  2 +-
+ .../gui2/store/stores/amazon_it_plugin.py     |  2 +-
+ .../gui2/store/stores/amazon_plugin.py        |  2 +-
+ .../gui2/store/stores/amazon_uk_plugin.py     |  2 +-
+ src/calibre/gui2/store/web_store.py           |  2 +-
+ src/calibre/gui2/store/web_store_dialog.py    |  2 +-
+ src/calibre/gui2/tag_browser/__init__.py      |  2 +-
+ src/calibre/gui2/tag_browser/model.py         |  2 +-
+ src/calibre/gui2/tag_browser/ui.py            |  2 +-
+ src/calibre/gui2/tag_browser/view.py          |  2 +-
+ src/calibre/gui2/tag_mapper.py                |  2 +-
+ src/calibre/gui2/threaded_jobs.py             |  2 +-
+ src/calibre/gui2/throbber.py                  |  2 +-
+ src/calibre/gui2/toc/__init__.py              |  2 +-
+ src/calibre/gui2/toc/location.py              |  2 +-
+ src/calibre/gui2/toc/main.py                  |  2 +-
+ src/calibre/gui2/tools.py                     |  2 +-
+ src/calibre/gui2/tweak_book/__init__.py       |  2 +-
+ src/calibre/gui2/tweak_book/boss.py           |  2 +-
+ src/calibre/gui2/tweak_book/char_select.py    |  2 +-
+ src/calibre/gui2/tweak_book/check.py          |  2 +-
+ src/calibre/gui2/tweak_book/check_links.py    |  2 +-
+ .../gui2/tweak_book/completion/basic.py       |  2 +-
+ .../gui2/tweak_book/completion/popup.py       |  2 +-
+ .../gui2/tweak_book/completion/utils.py       |  2 +-
+ .../gui2/tweak_book/completion/worker.py      |  2 +-
+ src/calibre/gui2/tweak_book/diff/__init__.py  |  2 +-
+ src/calibre/gui2/tweak_book/diff/highlight.py |  2 +-
+ src/calibre/gui2/tweak_book/diff/main.py      |  2 +-
+ src/calibre/gui2/tweak_book/diff/view.py      |  2 +-
+ src/calibre/gui2/tweak_book/download.py       |  2 +-
+ .../gui2/tweak_book/editor/__init__.py        |  2 +-
+ src/calibre/gui2/tweak_book/editor/canvas.py  |  2 +-
+ .../gui2/tweak_book/editor/comments.py        |  2 +-
+ src/calibre/gui2/tweak_book/editor/help.py    |  2 +-
+ src/calibre/gui2/tweak_book/editor/image.py   |  2 +-
+ .../gui2/tweak_book/editor/insert_resource.py |  2 +-
+ .../gui2/tweak_book/editor/smarts/__init__.py |  2 +-
+ .../gui2/tweak_book/editor/smarts/css.py      |  2 +-
+ .../gui2/tweak_book/editor/smarts/html.py     |  2 +-
+ .../gui2/tweak_book/editor/smarts/python.py   |  2 +-
+ .../gui2/tweak_book/editor/smarts/utils.py    |  2 +-
+ .../gui2/tweak_book/editor/snippets.py        |  2 +-
+ .../gui2/tweak_book/editor/syntax/__init__.py |  2 +-
+ .../gui2/tweak_book/editor/syntax/base.py     |  2 +-
+ .../gui2/tweak_book/editor/syntax/css.py      |  2 +-
+ .../gui2/tweak_book/editor/syntax/html.py     |  2 +-
+ .../tweak_book/editor/syntax/javascript.py    |  2 +-
+ .../editor/syntax/pygments_highlighter.py     |  2 +-
+ .../gui2/tweak_book/editor/syntax/python.py   |  2 +-
+ .../gui2/tweak_book/editor/syntax/utils.py    |  2 +-
+ .../gui2/tweak_book/editor/syntax/xml.py      |  2 +-
+ src/calibre/gui2/tweak_book/editor/text.py    |  2 +-
+ src/calibre/gui2/tweak_book/editor/themes.py  |  2 +-
+ src/calibre/gui2/tweak_book/editor/widget.py  |  2 +-
+ src/calibre/gui2/tweak_book/file_list.py      |  2 +-
+ .../gui2/tweak_book/function_replace.py       |  2 +-
+ src/calibre/gui2/tweak_book/job.py            |  2 +-
+ src/calibre/gui2/tweak_book/live_css.py       |  2 +-
+ src/calibre/gui2/tweak_book/main.py           |  2 +-
+ src/calibre/gui2/tweak_book/manage_fonts.py   |  2 +-
+ src/calibre/gui2/tweak_book/plugin.py         |  2 +-
+ src/calibre/gui2/tweak_book/polish.py         |  2 +-
+ src/calibre/gui2/tweak_book/preferences.py    |  2 +-
+ src/calibre/gui2/tweak_book/preview.py        |  2 +-
+ src/calibre/gui2/tweak_book/reports.py        |  2 +-
+ src/calibre/gui2/tweak_book/save.py           |  2 +-
+ src/calibre/gui2/tweak_book/search.py         |  2 +-
+ src/calibre/gui2/tweak_book/spell.py          |  2 +-
+ src/calibre/gui2/tweak_book/templates.py      |  2 +-
+ src/calibre/gui2/tweak_book/text_search.py    |  2 +-
+ src/calibre/gui2/tweak_book/toc.py            |  2 +-
+ src/calibre/gui2/tweak_book/ui.py             |  2 +-
+ src/calibre/gui2/tweak_book/undo.py           |  2 +-
+ src/calibre/gui2/tweak_book/widgets.py        |  2 +-
+ src/calibre/gui2/ui.py                        |  2 +-
+ src/calibre/gui2/viewer/__init__.py           |  2 +-
+ src/calibre/gui2/viewer/annotations.py        |  2 +-
+ src/calibre/gui2/viewer/bookmarks.py          |  2 +-
+ src/calibre/gui2/viewer/convert_book.py       |  2 +-
+ src/calibre/gui2/viewer/lookup.py             |  2 +-
+ src/calibre/gui2/viewer/main.py               |  2 +-
+ src/calibre/gui2/viewer/overlay.py            |  2 +-
+ src/calibre/gui2/viewer/printing.py           |  2 +-
+ src/calibre/gui2/viewer/shortcuts.py          |  2 +-
+ src/calibre/gui2/viewer/toc.py                |  2 +-
+ src/calibre/gui2/viewer/toolbars.py           |  2 +-
+ src/calibre/gui2/viewer/ui.py                 |  2 +-
+ src/calibre/gui2/viewer/web_view.py           |  2 +-
+ src/calibre/gui2/webengine.py                 |  2 +-
+ src/calibre/gui2/widgets2.py                  |  2 +-
+ src/calibre/gui2/win_file_dialogs.py          |  2 +-
+ src/calibre/gui2/wizard/__init__.py           |  2 +-
+ src/calibre/gui2/wizard/send_email.py         |  2 +-
+ src/calibre/gui_launch.py                     |  2 +-
+ src/calibre/library/add_to_library.py         |  2 +-
+ src/calibre/library/caches.py                 |  2 +-
+ src/calibre/library/catalogs/__init__.py      |  2 +-
+ src/calibre/library/catalogs/bibtex.py        |  2 +-
+ src/calibre/library/catalogs/csv_xml.py       |  2 +-
+ src/calibre/library/catalogs/epub_mobi.py     |  2 +-
+ .../library/catalogs/epub_mobi_builder.py     |  2 +-
+ src/calibre/library/catalogs/utils.py         |  2 +-
+ src/calibre/library/check_library.py          |  2 +-
+ src/calibre/library/coloring.py               |  2 +-
+ src/calibre/library/comments.py               |  2 +-
+ src/calibre/library/custom_columns.py         |  2 +-
+ src/calibre/library/prefs.py                  |  2 +-
+ src/calibre/library/restore.py                |  2 +-
+ src/calibre/library/save_to_disk.py           |  2 +-
+ src/calibre/library/schema_upgrades.py        |  2 +-
+ src/calibre/libunzip.py                       |  2 +-
+ src/calibre/linux.py                          |  2 +-
+ src/calibre/rpdb.py                           |  2 +-
+ src/calibre/spell/__init__.py                 |  2 +-
+ src/calibre/spell/break_iterator.py           |  2 +-
+ src/calibre/spell/dictionary.py               |  2 +-
+ src/calibre/spell/import_from.py              |  2 +-
+ src/calibre/srv/ajax.py                       |  2 +-
+ src/calibre/srv/auth.py                       |  2 +-
+ src/calibre/srv/auto_reload.py                |  2 +-
+ src/calibre/srv/bonjour.py                    |  2 +-
+ src/calibre/srv/books.py                      |  2 +-
+ src/calibre/srv/cdb.py                        |  2 +-
+ src/calibre/srv/changes.py                    |  2 +-
+ src/calibre/srv/code.py                       |  2 +-
+ src/calibre/srv/content.py                    |  2 +-
+ src/calibre/srv/convert.py                    |  2 +-
+ src/calibre/srv/embedded.py                   |  2 +-
+ src/calibre/srv/errors.py                     |  2 +-
+ src/calibre/srv/handler.py                    |  2 +-
+ src/calibre/srv/http_request.py               |  2 +-
+ src/calibre/srv/http_response.py              |  2 +-
+ src/calibre/srv/jobs.py                       |  2 +-
+ src/calibre/srv/legacy.py                     |  2 +-
+ src/calibre/srv/library_broker.py             |  2 +-
+ src/calibre/srv/loop.py                       |  2 +-
+ src/calibre/srv/manage_users_cli.py           |  2 +-
+ src/calibre/srv/metadata.py                   |  2 +-
+ src/calibre/srv/opds.py                       |  2 +-
+ src/calibre/srv/opts.py                       |  2 +-
+ src/calibre/srv/pool.py                       |  2 +-
+ src/calibre/srv/pre_activated.py              |  2 +-
+ src/calibre/srv/render_book.py                |  2 +-
+ src/calibre/srv/routes.py                     |  2 +-
+ src/calibre/srv/sendfile.py                   |  2 +-
+ src/calibre/srv/standalone.py                 |  2 +-
+ src/calibre/srv/tests/ajax.py                 |  2 +-
+ src/calibre/srv/tests/auth.py                 |  2 +-
+ src/calibre/srv/tests/base.py                 |  2 +-
+ src/calibre/srv/tests/content.py              |  2 +-
+ src/calibre/srv/tests/http.py                 |  2 +-
+ src/calibre/srv/tests/loop.py                 |  2 +-
+ src/calibre/srv/tests/main.py                 |  2 +-
+ src/calibre/srv/tests/routes.py               |  2 +-
+ src/calibre/srv/tests/web_sockets.py          |  2 +-
+ src/calibre/srv/users.py                      |  2 +-
+ src/calibre/srv/users_api.py                  |  2 +-
+ src/calibre/srv/utils.py                      |  2 +-
+ src/calibre/srv/web_socket.py                 |  2 +-
+ src/calibre/test_build.py                     |  2 +-
+ src/calibre/utils/__init__.py                 |  2 +-
+ src/calibre/utils/browser.py                  |  2 +-
+ src/calibre/utils/certgen.py                  |  2 +-
+ src/calibre/utils/cleantext.py                |  2 +-
+ src/calibre/utils/complete.py                 |  2 +-
+ src/calibre/utils/config_base.py              |  2 +-
+ src/calibre/utils/date.py                     |  2 +-
+ src/calibre/utils/exim.py                     |  2 +-
+ src/calibre/utils/file_type_icons.py          |  2 +-
+ src/calibre/utils/fonts/__init__.py           |  2 +-
+ src/calibre/utils/fonts/free_type.py          |  2 +-
+ src/calibre/utils/fonts/metadata.py           |  2 +-
+ src/calibre/utils/fonts/scanner.py            |  2 +-
+ src/calibre/utils/fonts/sfnt/__init__.py      |  2 +-
+ src/calibre/utils/fonts/sfnt/cff/__init__.py  |  2 +-
+ src/calibre/utils/fonts/sfnt/cff/constants.py |  2 +-
+ src/calibre/utils/fonts/sfnt/cff/dict_data.py |  2 +-
+ src/calibre/utils/fonts/sfnt/cff/table.py     |  2 +-
+ src/calibre/utils/fonts/sfnt/cff/writer.py    |  2 +-
+ src/calibre/utils/fonts/sfnt/cmap.py          |  2 +-
+ src/calibre/utils/fonts/sfnt/common.py        |  2 +-
+ src/calibre/utils/fonts/sfnt/container.py     |  2 +-
+ src/calibre/utils/fonts/sfnt/errors.py        |  2 +-
+ src/calibre/utils/fonts/sfnt/glyf.py          |  2 +-
+ src/calibre/utils/fonts/sfnt/gsub.py          |  2 +-
+ src/calibre/utils/fonts/sfnt/head.py          |  2 +-
+ src/calibre/utils/fonts/sfnt/kern.py          |  2 +-
+ src/calibre/utils/fonts/sfnt/loca.py          |  2 +-
+ src/calibre/utils/fonts/sfnt/maxp.py          |  2 +-
+ src/calibre/utils/fonts/sfnt/merge.py         |  2 +-
+ src/calibre/utils/fonts/sfnt/metrics.py       |  2 +-
+ src/calibre/utils/fonts/sfnt/subset.py        |  2 +-
+ src/calibre/utils/fonts/utils.py              |  2 +-
+ src/calibre/utils/fonts/win_fonts.py          |  2 +-
+ src/calibre/utils/formatter_functions.py      |  2 +-
+ src/calibre/utils/html2text.py                |  2 +-
+ src/calibre/utils/https.py                    |  2 +-
+ src/calibre/utils/icu.py                      |  2 +-
+ src/calibre/utils/icu_test.py                 |  2 +-
+ src/calibre/utils/img.py                      |  2 +-
+ src/calibre/utils/imghdr.py                   |  2 +-
+ src/calibre/utils/inotify.py                  |  2 +-
+ src/calibre/utils/ip_routing.py               |  2 +-
+ src/calibre/utils/ipc/__init__.py             |  2 +-
+ src/calibre/utils/ipc/job.py                  |  2 +-
+ src/calibre/utils/ipc/launch.py               |  2 +-
+ src/calibre/utils/ipc/pool.py                 |  2 +-
+ src/calibre/utils/ipc/server.py               |  2 +-
+ src/calibre/utils/ipc/simple_worker.py        |  2 +-
+ src/calibre/utils/ipc/worker.py               |  2 +-
+ src/calibre/utils/iphlpapi.py                 |  2 +-
+ src/calibre/utils/ipython.py                  |  2 +-
+ src/calibre/utils/iso8601.py                  |  2 +-
+ src/calibre/utils/linux_trash.py              |  2 +-
+ src/calibre/utils/localization.py             |  2 +-
+ src/calibre/utils/localunzip.py               |  2 +-
+ src/calibre/utils/lock.py                     |  2 +-
+ src/calibre/utils/magick/__init__.py          |  2 +-
+ src/calibre/utils/magick/draw.py              |  2 +-
+ src/calibre/utils/magick/legacy.py            |  2 +-
+ src/calibre/utils/matcher.py                  |  2 +-
+ src/calibre/utils/mem.py                      |  2 +-
+ src/calibre/utils/network.py                  |  2 +-
+ src/calibre/utils/open_with/linux.py          |  2 +-
+ src/calibre/utils/open_with/osx.py            |  2 +-
+ src/calibre/utils/open_with/windows.py        |  2 +-
+ src/calibre/utils/ordered_dict.py             |  2 +-
+ src/calibre/utils/podofo/__init__.py          |  2 +-
+ src/calibre/utils/random_ua.py                |  2 +-
+ src/calibre/utils/rapydscript.py              |  2 +-
+ src/calibre/utils/recycle_bin.py              |  2 +-
+ src/calibre/utils/resources.py                |  2 +-
+ src/calibre/utils/run_tests.py                |  2 +-
+ src/calibre/utils/search_query_parser.py      |  2 +-
+ src/calibre/utils/search_query_parser_test.py |  2 +-
+ src/calibre/utils/serialize.py                |  2 +-
+ src/calibre/utils/shared_file.py              |  2 +-
+ src/calibre/utils/short_uuid.py               |  2 +-
+ src/calibre/utils/smartypants.py              |  2 +-
+ src/calibre/utils/smtplib.py                  |  2 +-
+ src/calibre/utils/socket_inheritance.py       |  2 +-
+ src/calibre/utils/speedups.py                 |  2 +-
+ src/calibre/utils/spell/__init__.py           |  2 +-
+ src/calibre/utils/tdir_in_cache.py            |  2 +-
+ src/calibre/utils/terminal.py                 |  2 +-
+ src/calibre/utils/test_lock.py                |  2 +-
+ src/calibre/utils/text2int.py                 |  2 +-
+ src/calibre/utils/titlecase.py                |  2 +-
+ src/calibre/utils/unicode_getpass.py          |  2 +-
+ src/calibre/utils/unicode_names.py            |  2 +-
+ src/calibre/utils/unrar.py                    |  2 +-
+ src/calibre/utils/windows/wintest.py          |  2 +-
+ src/calibre/utils/winreg/dde.py               |  2 +-
+ src/calibre/utils/winreg/default_programs.py  |  2 +-
+ src/calibre/utils/winreg/lib.py               |  2 +-
+ src/calibre/utils/wmf/__init__.py             |  2 +-
+ src/calibre/utils/wmf/emf.py                  |  2 +-
+ src/calibre/utils/wmf/parse.py                |  2 +-
+ src/calibre/utils/wordcount.py                |  2 +-
+ src/calibre/web/feeds/__init__.py             |  2 +-
+ src/calibre/web/feeds/recipes/__init__.py     |  2 +-
+ src/calibre/web/feeds/recipes/collection.py   |  2 +-
+ src/calibre/web/feeds/recipes/model.py        |  2 +-
+ src/calibre/web/feeds/templates.py            |  2 +-
+ src/calibre/web/fetch/simple.py               |  2 +-
+ src/calibre/web/fetch/utils.py                |  2 +-
+ src/calibre_lzma/__init__.py                  |  2 +-
+ src/calibre_lzma/errors.py                    |  2 +-
+ src/calibre_lzma/lzma1.py                     |  2 +-
+ src/calibre_lzma/xz.py                        |  2 +-
+ src/css_selectors/__init__.py                 |  2 +-
+ src/css_selectors/errors.py                   |  2 +-
+ src/css_selectors/ordered_set.py              |  2 +-
+ src/css_selectors/parser.py                   |  2 +-
+ src/css_selectors/select.py                   |  2 +-
+ src/css_selectors/tests.py                    |  2 +-
+ src/odf/element.py                            |  2 +-
+ src/odf/elementtypes.py                       |  2 +-
+ src/odf/load.py                               |  2 +-
+ src/odf/manifest.py                           |  2 +-
+ src/odf/odf2xhtml.py                          |  2 +-
+ src/odf/odfmanifest.py                        |  2 +-
+ src/odf/thumbnail.py                          |  2 +-
+ src/odf/userfield.py                          |  2 +-
+ src/polyglot/binary.py                        |  2 +-
+ src/polyglot/builtins.py                      |  2 +-
+ src/polyglot/functools.py                     |  2 +-
+ src/polyglot/html_entities.py                 |  2 +-
+ src/polyglot/http_client.py                   |  2 +-
+ src/polyglot/http_cookie.py                   |  2 +-
+ src/polyglot/http_server.py                   |  2 +-
+ src/polyglot/io.py                            |  2 +-
+ src/polyglot/plistlib.py                      |  2 +-
+ src/polyglot/queue.py                         |  2 +-
+ src/polyglot/reprlib.py                       |  2 +-
+ src/polyglot/smtplib.py                       |  2 +-
+ src/polyglot/socketserver.py                  |  2 +-
+ src/polyglot/urllib.py                        |  2 +-
+ src/templite/__init__.py                      |  2 +-
+ src/tinycss/fonts3.py                         |  2 +-
+ src/tinycss/media3.py                         |  2 +-
+ src/tinycss/tests/__init__.py                 |  2 +-
+ src/tinycss/tests/color3.py                   |  2 +-
+ src/tinycss/tests/css21.py                    |  2 +-
+ src/tinycss/tests/decoding.py                 |  2 +-
+ src/tinycss/tests/fonts3.py                   |  2 +-
+ src/tinycss/tests/main.py                     |  2 +-
+ src/tinycss/tests/media3.py                   |  2 +-
+ src/tinycss/tests/page3.py                    |  2 +-
+ src/tinycss/tests/tokenizing.py               |  2 +-
  1439 files changed, 1446 insertions(+), 1481 deletions(-)
  delete mode 100644 README.python3
 
-Index: b/=template.py
-===================================================================
+diff --git a/=template.py b/=template.py
+index 46dddb6c19..1d4fcfab6c 100644
 --- a/=template.py
 +++ b/=template.py
 @@ -1,7 +1,5 @@
@@ -1460,11 +1460,11 @@ Index: b/=template.py
 -from __future__ import absolute_import, division, print_function, unicode_literals
 -
  %HERE%
-Index: b/INSTALL.rst
-===================================================================
+diff --git a/INSTALL.rst b/INSTALL.rst
+index 9a0990c9a2..be32e2cf08 100644
 --- a/INSTALL.rst
 +++ b/INSTALL.rst
-@@ -13,15 +13,15 @@ environment (compilers, headers files, e
+@@ -13,15 +13,15 @@ environment (compilers, headers files, etc.)
  
  All installation related functions are accessed by the command::
  
@@ -1501,7 +1501,7 @@ Index: b/INSTALL.rst
  
  Install
  ==========
-@@ -70,7 +70,7 @@ putting its files into the system in the
+@@ -70,7 +70,7 @@ putting its files into the system in the following locations:
  
  This type of install can be run by the command::
  
@@ -1510,14 +1510,15 @@ Index: b/INSTALL.rst
  
  <prefix> is normally the installation prefix of python, usually /usr.  It can
  be controlled by the --prefix option.
-@@ -90,4 +90,4 @@ resource files will be read from the cal
+@@ -90,4 +90,4 @@ resource files will be read from the calibre source tree in your home directory
  
  This type of install can be run with the command::
  
 -    sudo python2 setup.py develop
 +    sudo python setup.py develop
-Index: b/README.python3
-===================================================================
+diff --git a/README.python3 b/README.python3
+deleted file mode 100644
+index 7f26de9993..0000000000
 --- a/README.python3
 +++ /dev/null
 @@ -1,29 +0,0 @@
@@ -1550,8 +1551,8 @@ Index: b/README.python3
 -
 -For the status of the port, and discussion of its design, see
 -https://github.com/kovidgoyal/calibre/pull/870
-Index: b/bypy/linux/site.py
-===================================================================
+diff --git a/bypy/linux/site.py b/bypy/linux/site.py
+index bf8f5a3e69..4921f1eeed 100644
 --- a/bypy/linux/site.py
 +++ b/bypy/linux/site.py
 @@ -1,4 +1,4 @@
@@ -1560,8 +1561,8 @@ Index: b/bypy/linux/site.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/bypy/macos/sign.py
-===================================================================
+diff --git a/bypy/macos/sign.py b/bypy/macos/sign.py
+index c3cbbee3e4..3279255aa7 100644
 --- a/bypy/macos/sign.py
 +++ b/bypy/macos/sign.py
 @@ -1,4 +1,4 @@
@@ -1570,8 +1571,8 @@ Index: b/bypy/macos/sign.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/bypy/windows/site.py
-===================================================================
+diff --git a/bypy/windows/site.py b/bypy/windows/site.py
+index 6217c4f026..74c6a43733 100644
 --- a/bypy/windows/site.py
 +++ b/bypy/windows/site.py
 @@ -1,4 +1,4 @@
@@ -1580,8 +1581,8 @@ Index: b/bypy/windows/site.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  
  __license__ = 'GPL v3'
-Index: b/icons/icns/make_iconsets.py
-===================================================================
+diff --git a/icons/icns/make_iconsets.py b/icons/icns/make_iconsets.py
+index c0c271bf86..fa4153e424 100644
 --- a/icons/icns/make_iconsets.py
 +++ b/icons/icns/make_iconsets.py
 @@ -1,4 +1,4 @@
@@ -1590,8 +1591,8 @@ Index: b/icons/icns/make_iconsets.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/icons/make_ico_files.py
-===================================================================
+diff --git a/icons/make_ico_files.py b/icons/make_ico_files.py
+index 6bcf87d74a..e50d5368bf 100644
 --- a/icons/make_ico_files.py
 +++ b/icons/make_ico_files.py
 @@ -1,4 +1,4 @@
@@ -1600,8 +1601,8 @@ Index: b/icons/make_ico_files.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/imgsrc/generate.py
-===================================================================
+diff --git a/imgsrc/generate.py b/imgsrc/generate.py
+index 4a4f9e1546..898772e25a 100755
 --- a/imgsrc/generate.py
 +++ b/imgsrc/generate.py
 @@ -1,4 +1,4 @@
@@ -1610,8 +1611,8 @@ Index: b/imgsrc/generate.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/imgsrc/render-logo.py
-===================================================================
+diff --git a/imgsrc/render-logo.py b/imgsrc/render-logo.py
+index 52e76e912c..3ad02cdb1e 100755
 --- a/imgsrc/render-logo.py
 +++ b/imgsrc/render-logo.py
 @@ -1,4 +1,4 @@
@@ -1620,8 +1621,8 @@ Index: b/imgsrc/render-logo.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/imgsrc/srv/generate.py
-===================================================================
+diff --git a/imgsrc/srv/generate.py b/imgsrc/srv/generate.py
+index 5aab1a3772..6d480d4804 100644
 --- a/imgsrc/srv/generate.py
 +++ b/imgsrc/srv/generate.py
 @@ -1,4 +1,4 @@
@@ -1630,8 +1631,8 @@ Index: b/imgsrc/srv/generate.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/manual/build.py
-===================================================================
+diff --git a/manual/build.py b/manual/build.py
+index 4c94a61bab..4434a32180 100755
 --- a/manual/build.py
 +++ b/manual/build.py
 @@ -1,4 +1,4 @@
@@ -1640,8 +1641,8 @@ Index: b/manual/build.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/manual/custom.py
-===================================================================
+diff --git a/manual/custom.py b/manual/custom.py
+index 9b7f7e3490..c9a0307deb 100644
 --- a/manual/custom.py
 +++ b/manual/custom.py
 @@ -1,4 +1,4 @@
@@ -1650,8 +1651,8 @@ Index: b/manual/custom.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  
  from __future__ import print_function
-Index: b/manual/epub.py
-===================================================================
+diff --git a/manual/epub.py b/manual/epub.py
+index e3e36f91ad..317565f85d 100644
 --- a/manual/epub.py
 +++ b/manual/epub.py
 @@ -1,4 +1,4 @@
@@ -1660,8 +1661,8 @@ Index: b/manual/epub.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement
  
-Index: b/manual/latex.py
-===================================================================
+diff --git a/manual/latex.py b/manual/latex.py
+index 4992901a80..58f187c1f5 100644
 --- a/manual/latex.py
 +++ b/manual/latex.py
 @@ -1,4 +1,4 @@
@@ -1670,8 +1671,8 @@ Index: b/manual/latex.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement
  
-Index: b/manual/plugin_examples/editor_demo/__init__.py
-===================================================================
+diff --git a/manual/plugin_examples/editor_demo/__init__.py b/manual/plugin_examples/editor_demo/__init__.py
+index 3f11452337..90a14601ee 100644
 --- a/manual/plugin_examples/editor_demo/__init__.py
 +++ b/manual/plugin_examples/editor_demo/__init__.py
 @@ -1,4 +1,4 @@
@@ -1680,8 +1681,8 @@ Index: b/manual/plugin_examples/editor_d
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/manual/plugin_examples/editor_demo/main.py
-===================================================================
+diff --git a/manual/plugin_examples/editor_demo/main.py b/manual/plugin_examples/editor_demo/main.py
+index 03d058f612..9cccf34ed9 100644
 --- a/manual/plugin_examples/editor_demo/main.py
 +++ b/manual/plugin_examples/editor_demo/main.py
 @@ -1,4 +1,4 @@
@@ -1690,8 +1691,8 @@ Index: b/manual/plugin_examples/editor_d
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/manual/plugin_examples/helloworld/__init__.py
-===================================================================
+diff --git a/manual/plugin_examples/helloworld/__init__.py b/manual/plugin_examples/helloworld/__init__.py
+index 0ec77c2f1e..1306ac8fdd 100644
 --- a/manual/plugin_examples/helloworld/__init__.py
 +++ b/manual/plugin_examples/helloworld/__init__.py
 @@ -1,4 +1,4 @@
@@ -1700,8 +1701,8 @@ Index: b/manual/plugin_examples/hellowor
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/manual/plugin_examples/interface_demo/__init__.py
-===================================================================
+diff --git a/manual/plugin_examples/interface_demo/__init__.py b/manual/plugin_examples/interface_demo/__init__.py
+index 7aab635455..d992200658 100644
 --- a/manual/plugin_examples/interface_demo/__init__.py
 +++ b/manual/plugin_examples/interface_demo/__init__.py
 @@ -1,4 +1,4 @@
@@ -1710,8 +1711,8 @@ Index: b/manual/plugin_examples/interfac
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/manual/plugin_examples/interface_demo/config.py
-===================================================================
+diff --git a/manual/plugin_examples/interface_demo/config.py b/manual/plugin_examples/interface_demo/config.py
+index 40df3980d1..a9e784c61a 100644
 --- a/manual/plugin_examples/interface_demo/config.py
 +++ b/manual/plugin_examples/interface_demo/config.py
 @@ -1,4 +1,4 @@
@@ -1720,8 +1721,8 @@ Index: b/manual/plugin_examples/interfac
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/manual/plugin_examples/interface_demo/main.py
-===================================================================
+diff --git a/manual/plugin_examples/interface_demo/main.py b/manual/plugin_examples/interface_demo/main.py
+index 300b85ad3f..f8446b7c21 100644
 --- a/manual/plugin_examples/interface_demo/main.py
 +++ b/manual/plugin_examples/interface_demo/main.py
 @@ -1,4 +1,4 @@
@@ -1730,8 +1731,8 @@ Index: b/manual/plugin_examples/interfac
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/manual/plugin_examples/interface_demo/ui.py
-===================================================================
+diff --git a/manual/plugin_examples/interface_demo/ui.py b/manual/plugin_examples/interface_demo/ui.py
+index 36d2bdfa7b..77f4944515 100644
 --- a/manual/plugin_examples/interface_demo/ui.py
 +++ b/manual/plugin_examples/interface_demo/ui.py
 @@ -1,4 +1,4 @@
@@ -1740,8 +1741,8 @@ Index: b/manual/plugin_examples/interfac
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/manual/plugin_examples/webengine_demo/__init__.py
-===================================================================
+diff --git a/manual/plugin_examples/webengine_demo/__init__.py b/manual/plugin_examples/webengine_demo/__init__.py
+index 9f4fc31476..370bf626e8 100644
 --- a/manual/plugin_examples/webengine_demo/__init__.py
 +++ b/manual/plugin_examples/webengine_demo/__init__.py
 @@ -1,4 +1,4 @@
@@ -1750,8 +1751,8 @@ Index: b/manual/plugin_examples/webengin
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/manual/plugin_examples/webengine_demo/main.py
-===================================================================
+diff --git a/manual/plugin_examples/webengine_demo/main.py b/manual/plugin_examples/webengine_demo/main.py
+index 4843f484f2..a0ea96fe63 100644
 --- a/manual/plugin_examples/webengine_demo/main.py
 +++ b/manual/plugin_examples/webengine_demo/main.py
 @@ -1,4 +1,4 @@
@@ -1760,8 +1761,8 @@ Index: b/manual/plugin_examples/webengin
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/manual/plugin_examples/webengine_demo/ui.py
-===================================================================
+diff --git a/manual/plugin_examples/webengine_demo/ui.py b/manual/plugin_examples/webengine_demo/ui.py
+index 4a1c87c3fc..6f5dd9b83e 100644
 --- a/manual/plugin_examples/webengine_demo/ui.py
 +++ b/manual/plugin_examples/webengine_demo/ui.py
 @@ -1,4 +1,4 @@
@@ -1770,8 +1771,8 @@ Index: b/manual/plugin_examples/webengin
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  # License: GPLv3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
-Index: b/manual/sidebar_toc.py
-===================================================================
+diff --git a/manual/sidebar_toc.py b/manual/sidebar_toc.py
+index 8e7aaf6e0c..a2c4151239 100644
 --- a/manual/sidebar_toc.py
 +++ b/manual/sidebar_toc.py
 @@ -1,4 +1,4 @@
@@ -1780,8 +1781,8 @@ Index: b/manual/sidebar_toc.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  
  from docutils import nodes
-Index: b/manual/template_ref_generate.py
-===================================================================
+diff --git a/manual/template_ref_generate.py b/manual/template_ref_generate.py
+index 218a31d583..e342bdb6e3 100644
 --- a/manual/template_ref_generate.py
 +++ b/manual/template_ref_generate.py
 @@ -1,4 +1,4 @@
@@ -1790,8 +1791,8 @@ Index: b/manual/template_ref_generate.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import print_function
  
-Index: b/recipes/10minutos.recipe
-===================================================================
+diff --git a/recipes/10minutos.recipe b/recipes/10minutos.recipe
+index 7a2983705b..715280f67c 100644
 --- a/recipes/10minutos.recipe
 +++ b/recipes/10minutos.recipe
 @@ -1,4 +1,4 @@
@@ -1800,8 +1801,8 @@ Index: b/recipes/10minutos.recipe
  ##
  # Title:        Diario 10minutos.com.uy News and Sports Calibre Recipe
  # Contact:      Carlos Alves - <carlosalves90@gmail.com>
-Index: b/recipes/180.recipe
-===================================================================
+diff --git a/recipes/180.recipe b/recipes/180.recipe
+index ba0acdde14..ce78419377 100644
 --- a/recipes/180.recipe
 +++ b/recipes/180.recipe
 @@ -1,4 +1,4 @@
@@ -1810,8 +1811,8 @@ Index: b/recipes/180.recipe
  ##
  # Last Edited:  2018-02-13 Carlos Alves <carlosalves90@gmail.com>
  ##
-Index: b/recipes/1843.recipe
-===================================================================
+diff --git a/recipes/1843.recipe b/recipes/1843.recipe
+index 1a335f3685..7be722a8b8 100644
 --- a/recipes/1843.recipe
 +++ b/recipes/1843.recipe
 @@ -1,4 +1,4 @@
@@ -1820,8 +1821,8 @@ Index: b/recipes/1843.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/24sata.recipe
-===================================================================
+diff --git a/recipes/24sata.recipe b/recipes/24sata.recipe
+index 487c29b1a0..d91d4cf583 100644
 --- a/recipes/24sata.recipe
 +++ b/recipes/24sata.recipe
 @@ -1,4 +1,4 @@
@@ -1830,8 +1831,8 @@ Index: b/recipes/24sata.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/3dnews.recipe
-===================================================================
+diff --git a/recipes/3dnews.recipe b/recipes/3dnews.recipe
+index b88188865b..a44a8c769d 100644
 --- a/recipes/3dnews.recipe
 +++ b/recipes/3dnews.recipe
 @@ -1,4 +1,4 @@
@@ -1840,8 +1841,8 @@ Index: b/recipes/3dnews.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/7seri.recipe
-===================================================================
+diff --git a/recipes/7seri.recipe b/recipes/7seri.recipe
+index 0c852d103a..1632612f40 100644
 --- a/recipes/7seri.recipe
 +++ b/recipes/7seri.recipe
 @@ -1,4 +1,4 @@
@@ -1850,8 +1851,8 @@ Index: b/recipes/7seri.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/7x7.recipe
-===================================================================
+diff --git a/recipes/7x7.recipe b/recipes/7x7.recipe
+index 98dc0f0f27..5c4f7b56ec 100644
 --- a/recipes/7x7.recipe
 +++ b/recipes/7x7.recipe
 @@ -1,4 +1,4 @@
@@ -1860,8 +1861,8 @@ Index: b/recipes/7x7.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/aabenraalokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/aabenraalokalavisen_dk.recipe b/recipes/aabenraalokalavisen_dk.recipe
+index 6eb932aa71..b00edbf6c0 100644
 --- a/recipes/aabenraalokalavisen_dk.recipe
 +++ b/recipes/aabenraalokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -1870,8 +1871,8 @@ Index: b/recipes/aabenraalokalavisen_dk.
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/aarhuslokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/aarhuslokalavisen_dk.recipe b/recipes/aarhuslokalavisen_dk.recipe
+index 3ad3eec402..accee18eec 100644
 --- a/recipes/aarhuslokalavisen_dk.recipe
 +++ b/recipes/aarhuslokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -1880,8 +1881,8 @@ Index: b/recipes/aarhuslokalavisen_dk.re
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/aarhusmidtlokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/aarhusmidtlokalavisen_dk.recipe b/recipes/aarhusmidtlokalavisen_dk.recipe
+index 089508a4f7..718ed982ff 100644
 --- a/recipes/aarhusmidtlokalavisen_dk.recipe
 +++ b/recipes/aarhusmidtlokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -1890,8 +1891,8 @@ Index: b/recipes/aarhusmidtlokalavisen_d
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/aarhusnordlokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/aarhusnordlokalavisen_dk.recipe b/recipes/aarhusnordlokalavisen_dk.recipe
+index bf75809806..f8fb838691 100644
 --- a/recipes/aarhusnordlokalavisen_dk.recipe
 +++ b/recipes/aarhusnordlokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -1900,8 +1901,8 @@ Index: b/recipes/aarhusnordlokalavisen_d
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/aarhussydlokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/aarhussydlokalavisen_dk.recipe b/recipes/aarhussydlokalavisen_dk.recipe
+index daa11fe50c..7d57266d5e 100644
 --- a/recipes/aarhussydlokalavisen_dk.recipe
 +++ b/recipes/aarhussydlokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -1910,8 +1911,8 @@ Index: b/recipes/aarhussydlokalavisen_dk
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/aarhusvestlokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/aarhusvestlokalavisen_dk.recipe b/recipes/aarhusvestlokalavisen_dk.recipe
+index f2dffe63d4..c21b41179d 100644
 --- a/recipes/aarhusvestlokalavisen_dk.recipe
 +++ b/recipes/aarhusvestlokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -1920,8 +1921,8 @@ Index: b/recipes/aarhusvestlokalavisen_d
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/adevarul.recipe
-===================================================================
+diff --git a/recipes/adevarul.recipe b/recipes/adevarul.recipe
+index 617170d2c9..e013497b88 100644
 --- a/recipes/adevarul.recipe
 +++ b/recipes/adevarul.recipe
 @@ -1,4 +1,4 @@
@@ -1930,8 +1931,8 @@ Index: b/recipes/adevarul.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/adnkronos.recipe
-===================================================================
+diff --git a/recipes/adnkronos.recipe b/recipes/adnkronos.recipe
+index 67ad8a26b5..233be87998 100644
 --- a/recipes/adnkronos.recipe
 +++ b/recipes/adnkronos.recipe
 @@ -1,4 +1,4 @@
@@ -1940,8 +1941,8 @@ Index: b/recipes/adnkronos.recipe
  __license__ = 'GPL v3'
  __author__ = 'Gabriele Marini, based on Darko Miletic'
  __copyright__ = '2009-2010, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/ainonline.recipe
-===================================================================
+diff --git a/recipes/ainonline.recipe b/recipes/ainonline.recipe
+index 19d63ab8a2..e8401f0051 100644
 --- a/recipes/ainonline.recipe
 +++ b/recipes/ainonline.recipe
 @@ -1,4 +1,4 @@
@@ -1950,8 +1951,8 @@ Index: b/recipes/ainonline.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2019, Jose Ortiz <jlortiz84 at gmail.com>
  
-Index: b/recipes/ajc.recipe
-===================================================================
+diff --git a/recipes/ajc.recipe b/recipes/ajc.recipe
+index 95be4ab47a..785905e799 100644
 --- a/recipes/ajc.recipe
 +++ b/recipes/ajc.recipe
 @@ -1,4 +1,4 @@
@@ -1960,8 +1961,8 @@ Index: b/recipes/ajc.recipe
  __license__ = 'Creative Commons Attribution 4.0 International License'
  __author__ = 'John McDole'
  __copyright__ = ''
-Index: b/recipes/al_monitor.recipe
-===================================================================
+diff --git a/recipes/al_monitor.recipe b/recipes/al_monitor.recipe
+index 99b1ca2c76..f0afa93e95 100644
 --- a/recipes/al_monitor.recipe
 +++ b/recipes/al_monitor.recipe
 @@ -1,4 +1,4 @@
@@ -1970,8 +1971,8 @@ Index: b/recipes/al_monitor.recipe
  # -*- coding: utf-8 -*-
  from __future__ import print_function, unicode_literals
  __license__   = 'GPL v3'
-Index: b/recipes/ald.recipe
-===================================================================
+diff --git a/recipes/ald.recipe b/recipes/ald.recipe
+index 975eec8dd3..bddd2a96fe 100644
 --- a/recipes/ald.recipe
 +++ b/recipes/ald.recipe
 @@ -1,4 +1,4 @@
@@ -1980,8 +1981,8 @@ Index: b/recipes/ald.recipe
  from __future__ import unicode_literals, division, absolute_import, print_function
  __license__ = 'GPL v3'
  __copyright__ = '2018, PJ Paul'
-Index: b/recipes/alleroedlokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/alleroedlokalavisen_dk.recipe b/recipes/alleroedlokalavisen_dk.recipe
+index 939ba1411c..56a53f8fa6 100644
 --- a/recipes/alleroedlokalavisen_dk.recipe
 +++ b/recipes/alleroedlokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -1990,8 +1991,8 @@ Index: b/recipes/alleroedlokalavisen_dk.
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/altomdata_dk.recipe
-===================================================================
+diff --git a/recipes/altomdata_dk.recipe b/recipes/altomdata_dk.recipe
+index 235ff6ae6b..bc72ebda56 100644
 --- a/recipes/altomdata_dk.recipe
 +++ b/recipes/altomdata_dk.recipe
 @@ -1,4 +1,4 @@
@@ -2000,8 +2001,8 @@ Index: b/recipes/altomdata_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/amagerbladet_dk.recipe
-===================================================================
+diff --git a/recipes/amagerbladet_dk.recipe b/recipes/amagerbladet_dk.recipe
+index ea22f781ec..30bce071f3 100644
 --- a/recipes/amagerbladet_dk.recipe
 +++ b/recipes/amagerbladet_dk.recipe
 @@ -1,4 +1,4 @@
@@ -2010,8 +2011,8 @@ Index: b/recipes/amagerbladet_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/ambito_financiero.recipe
-===================================================================
+diff --git a/recipes/ambito_financiero.recipe b/recipes/ambito_financiero.recipe
+index e7605163b7..fa4e6c0a51 100644
 --- a/recipes/ambito_financiero.recipe
 +++ b/recipes/ambito_financiero.recipe
 @@ -1,4 +1,4 @@
@@ -2020,8 +2021,8 @@ Index: b/recipes/ambito_financiero.recip
  # -*- mode: python -*-
  # -*- coding: utf-8 -*-
  
-Index: b/recipes/animal_politico.recipe
-===================================================================
+diff --git a/recipes/animal_politico.recipe b/recipes/animal_politico.recipe
+index 4ce7a467d6..9dff426c94 100644
 --- a/recipes/animal_politico.recipe
 +++ b/recipes/animal_politico.recipe
 @@ -1,4 +1,4 @@
@@ -2030,8 +2031,8 @@ Index: b/recipes/animal_politico.recipe
  # encoding: utf-8
  
  import re
-Index: b/recipes/anthony_muroni.recipe
-===================================================================
+diff --git a/recipes/anthony_muroni.recipe b/recipes/anthony_muroni.recipe
+index 813cf5ed35..4f2ac1c9e8 100644
 --- a/recipes/anthony_muroni.recipe
 +++ b/recipes/anthony_muroni.recipe
 @@ -1,4 +1,4 @@
@@ -2040,8 +2041,8 @@ Index: b/recipes/anthony_muroni.recipe
  # vim:fileencoding=utf-8
  from __future__ import (absolute_import, division, print_function,
                          unicode_literals)
-Index: b/recipes/ap.recipe
-===================================================================
+diff --git a/recipes/ap.recipe b/recipes/ap.recipe
+index f3d232b7b4..dbbbb4d11b 100644
 --- a/recipes/ap.recipe
 +++ b/recipes/ap.recipe
 @@ -1,4 +1,4 @@
@@ -2050,8 +2051,8 @@ Index: b/recipes/ap.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/apcom.recipe
-===================================================================
+diff --git a/recipes/apcom.recipe b/recipes/apcom.recipe
+index 2a97def60f..082371ca1e 100644
 --- a/recipes/apcom.recipe
 +++ b/recipes/apcom.recipe
 @@ -1,4 +1,4 @@
@@ -2060,8 +2061,8 @@ Index: b/recipes/apcom.recipe
  __license__ = 'GPL v3'
  __author__ = 'Gabriele Marini, based on Darko Miletic'
  __copyright__ = '2009-2010, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/app_funds.recipe
-===================================================================
+diff --git a/recipes/app_funds.recipe b/recipes/app_funds.recipe
+index a8703bcdfc..cbeaa838a6 100644
 --- a/recipes/app_funds.recipe
 +++ b/recipes/app_funds.recipe
 @@ -1,4 +1,4 @@
@@ -2070,8 +2071,8 @@ Index: b/recipes/app_funds.recipe
  
  __license__ = 'GPL v3'
  __author__ = 'teepel <teepel44@gmail.com>'
-Index: b/recipes/appledaily_tw.recipe
-===================================================================
+diff --git a/recipes/appledaily_tw.recipe b/recipes/appledaily_tw.recipe
+index 6964ed0191..07667bee85 100644
 --- a/recipes/appledaily_tw.recipe
 +++ b/recipes/appledaily_tw.recipe
 @@ -1,4 +1,4 @@
@@ -2080,8 +2081,8 @@ Index: b/recipes/appledaily_tw.recipe
  # vim:fileencoding=utf-8
  
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/ara_info.recipe
-===================================================================
+diff --git a/recipes/ara_info.recipe b/recipes/ara_info.recipe
+index 021a736eaa..1009f947d4 100644
 --- a/recipes/ara_info.recipe
 +++ b/recipes/ara_info.recipe
 @@ -1,4 +1,4 @@
@@ -2090,8 +2091,8 @@ Index: b/recipes/ara_info.recipe
  __license__ = 'GPL v3'
  __copyright__ = 'Ruben Pollan <meskio@sindominio.net>'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/arbetaren.recipe
-===================================================================
+diff --git a/recipes/arbetaren.recipe b/recipes/arbetaren.recipe
+index 24a5eb903f..e22ed5e23f 100644
 --- a/recipes/arbetaren.recipe
 +++ b/recipes/arbetaren.recipe
 @@ -1,4 +1,4 @@
@@ -2100,8 +2101,8 @@ Index: b/recipes/arbetaren.recipe
  # vim:fileencoding=utf-8
  
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/arcamax.recipe
-===================================================================
+diff --git a/recipes/arcamax.recipe b/recipes/arcamax.recipe
+index e91376ef9f..b120af734a 100644
 --- a/recipes/arcamax.recipe
 +++ b/recipes/arcamax.recipe
 @@ -1,4 +1,4 @@
@@ -2110,8 +2111,8 @@ Index: b/recipes/arcamax.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = 'Copyright 2010 Starson17'
-Index: b/recipes/asia_one.recipe
-===================================================================
+diff --git a/recipes/asia_one.recipe b/recipes/asia_one.recipe
+index 7ffc9c770d..72f5dc7565 100644
 --- a/recipes/asia_one.recipe
 +++ b/recipes/asia_one.recipe
 @@ -1,4 +1,4 @@
@@ -2120,8 +2121,8 @@ Index: b/recipes/asia_one.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Bruce <bruce at dotdoh.com>'
-Index: b/recipes/asianreviewofbooks.recipe
-===================================================================
+diff --git a/recipes/asianreviewofbooks.recipe b/recipes/asianreviewofbooks.recipe
+index 645febb3e2..2b2a8bbc41 100644
 --- a/recipes/asianreviewofbooks.recipe
 +++ b/recipes/asianreviewofbooks.recipe
 @@ -1,4 +1,4 @@
@@ -2130,8 +2131,8 @@ Index: b/recipes/asianreviewofbooks.reci
  # -*- mode: python -*-
  # -*- coding: utf-8 -*-
  
-Index: b/recipes/atlantic.recipe
-===================================================================
+diff --git a/recipes/atlantic.recipe b/recipes/atlantic.recipe
+index 89cc6284b0..58f5923ee3 100644
 --- a/recipes/atlantic.recipe
 +++ b/recipes/atlantic.recipe
 @@ -1,4 +1,4 @@
@@ -2140,8 +2141,8 @@ Index: b/recipes/atlantic.recipe
  from __future__ import unicode_literals
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/recipes/atlantic_com.recipe
-===================================================================
+diff --git a/recipes/atlantic_com.recipe b/recipes/atlantic_com.recipe
+index 8d20db7eee..450838ed3a 100644
 --- a/recipes/atlantic_com.recipe
 +++ b/recipes/atlantic_com.recipe
 @@ -1,4 +1,4 @@
@@ -2150,8 +2151,8 @@ Index: b/recipes/atlantic_com.recipe
  from __future__ import unicode_literals
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/recipes/auto.recipe
-===================================================================
+diff --git a/recipes/auto.recipe b/recipes/auto.recipe
+index 3327ef6e41..701bad6f83 100644
 --- a/recipes/auto.recipe
 +++ b/recipes/auto.recipe
 @@ -1,4 +1,4 @@
@@ -2160,8 +2161,8 @@ Index: b/recipes/auto.recipe
  __license__ = 'GPL v3'
  __author__ = 'GabrieleMarini, based on Darko Miletic'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>, Gabriele Marini'
-Index: b/recipes/auto_prove.recipe
-===================================================================
+diff --git a/recipes/auto_prove.recipe b/recipes/auto_prove.recipe
+index 5e56143aba..de880c020a 100644
 --- a/recipes/auto_prove.recipe
 +++ b/recipes/auto_prove.recipe
 @@ -1,4 +1,4 @@
@@ -2170,8 +2171,8 @@ Index: b/recipes/auto_prove.recipe
  from __future__ import print_function
  __license__   = 'GPL v3'
  __author__ = 'GabrieleMarini, based on Darko Miletic'
-Index: b/recipes/autobild.recipe
-===================================================================
+diff --git a/recipes/autobild.recipe b/recipes/autobild.recipe
+index 95dd2aedb5..cabf7079a8 100644
 --- a/recipes/autobild.recipe
 +++ b/recipes/autobild.recipe
 @@ -1,4 +1,4 @@
@@ -2180,8 +2181,8 @@ Index: b/recipes/autobild.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/autosport.recipe
-===================================================================
+diff --git a/recipes/autosport.recipe b/recipes/autosport.recipe
+index 5b9f91516d..318911e473 100644
 --- a/recipes/autosport.recipe
 +++ b/recipes/autosport.recipe
 @@ -1,4 +1,4 @@
@@ -2190,8 +2191,8 @@ Index: b/recipes/autosport.recipe
  
  __license__ = 'GPL v3'
  __author__ = 'MrStefan <mrstefaan@gmail.com>'
-Index: b/recipes/avantaje.recipe
-===================================================================
+diff --git a/recipes/avantaje.recipe b/recipes/avantaje.recipe
+index ec67bb3c82..c3a9782d1e 100644
 --- a/recipes/avantaje.recipe
 +++ b/recipes/avantaje.recipe
 @@ -1,4 +1,4 @@
@@ -2200,8 +2201,8 @@ Index: b/recipes/avantaje.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/aventurilapescuit.recipe
-===================================================================
+diff --git a/recipes/aventurilapescuit.recipe b/recipes/aventurilapescuit.recipe
+index 7321226175..edf462262e 100644
 --- a/recipes/aventurilapescuit.recipe
 +++ b/recipes/aventurilapescuit.recipe
 @@ -1,4 +1,4 @@
@@ -2210,8 +2211,8 @@ Index: b/recipes/aventurilapescuit.recip
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/avisen_dk.recipe
-===================================================================
+diff --git a/recipes/avisen_dk.recipe b/recipes/avisen_dk.recipe
+index 2a45af8ab4..12083eec35 100644
 --- a/recipes/avisen_dk.recipe
 +++ b/recipes/avisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -2220,8 +2221,8 @@ Index: b/recipes/avisen_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/babyonline.recipe
-===================================================================
+diff --git a/recipes/babyonline.recipe b/recipes/babyonline.recipe
+index 8eec58f506..fe34d33f8f 100644
 --- a/recipes/babyonline.recipe
 +++ b/recipes/babyonline.recipe
 @@ -1,4 +1,4 @@
@@ -2230,8 +2231,8 @@ Index: b/recipes/babyonline.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/bankier_pl.recipe
-===================================================================
+diff --git a/recipes/bankier_pl.recipe b/recipes/bankier_pl.recipe
+index 02af81e64b..b7cc2cce8f 100644
 --- a/recipes/bankier_pl.recipe
 +++ b/recipes/bankier_pl.recipe
 @@ -1,4 +1,4 @@
@@ -2240,8 +2241,8 @@ Index: b/recipes/bankier_pl.recipe
  
  __license__ = 'GPL v3'
  __author__ = 'teepel <teepel44@gmail.com>'
-Index: b/recipes/barrons.recipe
-===================================================================
+diff --git a/recipes/barrons.recipe b/recipes/barrons.recipe
+index 6f277bb0d4..cdfc6cf3fa 100644
 --- a/recipes/barrons.recipe
 +++ b/recipes/barrons.recipe
 @@ -1,4 +1,4 @@
@@ -2250,8 +2251,8 @@ Index: b/recipes/barrons.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/recipes/bbcvietnamese.recipe
-===================================================================
+diff --git a/recipes/bbcvietnamese.recipe b/recipes/bbcvietnamese.recipe
+index ef5d310ce1..d97d00c44c 100644
 --- a/recipes/bbcvietnamese.recipe
 +++ b/recipes/bbcvietnamese.recipe
 @@ -1,4 +1,4 @@
@@ -2260,8 +2261,8 @@ Index: b/recipes/bbcvietnamese.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Huan Komrade T <huantnh at gmail.com>'
-Index: b/recipes/berlin_policy_journal.recipe
-===================================================================
+diff --git a/recipes/berlin_policy_journal.recipe b/recipes/berlin_policy_journal.recipe
+index b820a9f00c..91e502f973 100644
 --- a/recipes/berlin_policy_journal.recipe
 +++ b/recipes/berlin_policy_journal.recipe
 @@ -1,4 +1,4 @@
@@ -2270,8 +2271,8 @@ Index: b/recipes/berlin_policy_journal.r
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Aimylios <aimylios at gmx.de>
  
-Index: b/recipes/berliner_zeitung.recipe
-===================================================================
+diff --git a/recipes/berliner_zeitung.recipe b/recipes/berliner_zeitung.recipe
+index 613e9c0f23..d0d5bfb4df 100644
 --- a/recipes/berliner_zeitung.recipe
 +++ b/recipes/berliner_zeitung.recipe
 @@ -1,4 +1,4 @@
@@ -2280,8 +2281,8 @@ Index: b/recipes/berliner_zeitung.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/bild_de.recipe
-===================================================================
+diff --git a/recipes/bild_de.recipe b/recipes/bild_de.recipe
+index ad2ccd9e32..8f41aa0b5d 100644
 --- a/recipes/bild_de.recipe
 +++ b/recipes/bild_de.recipe
 @@ -1,4 +1,4 @@
@@ -2290,8 +2291,8 @@ Index: b/recipes/bild_de.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  
-Index: b/recipes/billorielly.recipe
-===================================================================
+diff --git a/recipes/billorielly.recipe b/recipes/billorielly.recipe
+index f1a9132dae..3369cc49e2 100644
 --- a/recipes/billorielly.recipe
 +++ b/recipes/billorielly.recipe
 @@ -1,4 +1,4 @@
@@ -2300,8 +2301,8 @@ Index: b/recipes/billorielly.recipe
  
  # ebook-convert.exe c:\billorielly.recipe c:\test -vv
  
-Index: b/recipes/bitacora.recipe
-===================================================================
+diff --git a/recipes/bitacora.recipe b/recipes/bitacora.recipe
+index f0ad8dc6b3..7de43e0b67 100644
 --- a/recipes/bitacora.recipe
 +++ b/recipes/bitacora.recipe
 @@ -1,4 +1,4 @@
@@ -2310,8 +2311,8 @@ Index: b/recipes/bitacora.recipe
  
  __license__ = 'GPL v3'
  __author__ = '2010, Gustavo Azambuja <hola at gazambuja.com>'
-Index: b/recipes/boortz.recipe
-===================================================================
+diff --git a/recipes/boortz.recipe b/recipes/boortz.recipe
+index 0e4f19e02d..2c131382ef 100644
 --- a/recipes/boortz.recipe
 +++ b/recipes/boortz.recipe
 @@ -1,4 +1,4 @@
@@ -2320,8 +2321,8 @@ Index: b/recipes/boortz.recipe
  __license__ = 'GPL v3'
  __author__ = 'Tony Stegall'
  __copyright__ = '2010, Tony Stegall or Tonythebookworm on mobiread.com'
-Index: b/recipes/borsen_dk.recipe
-===================================================================
+diff --git a/recipes/borsen_dk.recipe b/recipes/borsen_dk.recipe
+index d59f31b50f..4ea08e3d72 100644
 --- a/recipes/borsen_dk.recipe
 +++ b/recipes/borsen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -2330,8 +2331,8 @@ Index: b/recipes/borsen_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/boxis.recipe
-===================================================================
+diff --git a/recipes/boxis.recipe b/recipes/boxis.recipe
+index 38698b4e54..70bec6af12 100644
 --- a/recipes/boxis.recipe
 +++ b/recipes/boxis.recipe
 @@ -1,4 +1,4 @@
@@ -2340,8 +2341,8 @@ Index: b/recipes/boxis.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import AutomaticNewsRecipe
-Index: b/recipes/brand_eins.recipe
-===================================================================
+diff --git a/recipes/brand_eins.recipe b/recipes/brand_eins.recipe
+index 9a6742fb9a..ffdd454a65 100644
 --- a/recipes/brand_eins.recipe
 +++ b/recipes/brand_eins.recipe
 @@ -1,4 +1,4 @@
@@ -2350,8 +2351,8 @@ Index: b/recipes/brand_eins.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals
  
-Index: b/recipes/breaking_mad.recipe
-===================================================================
+diff --git a/recipes/breaking_mad.recipe b/recipes/breaking_mad.recipe
+index e970ee22b0..b1c279d452 100644
 --- a/recipes/breaking_mad.recipe
 +++ b/recipes/breaking_mad.recipe
 @@ -1,4 +1,4 @@
@@ -2360,8 +2361,8 @@ Index: b/recipes/breaking_mad.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/brewiarz.recipe
-===================================================================
+diff --git a/recipes/brewiarz.recipe b/recipes/brewiarz.recipe
+index ae118ed8b9..be48df4133 100644
 --- a/recipes/brewiarz.recipe
 +++ b/recipes/brewiarz.recipe
 @@ -1,4 +1,4 @@
@@ -2370,8 +2371,8 @@ Index: b/recipes/brewiarz.recipe
  
  from __future__ import print_function
  __license__   = 'GPL v3'
-Index: b/recipes/bsi_news.recipe
-===================================================================
+diff --git a/recipes/bsi_news.recipe b/recipes/bsi_news.recipe
+index baac5acce8..6544223403 100644
 --- a/recipes/bsi_news.recipe
 +++ b/recipes/bsi_news.recipe
 @@ -1,4 +1,4 @@
@@ -2380,8 +2381,8 @@ Index: b/recipes/bsi_news.recipe
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  from datetime import datetime
-Index: b/recipes/bt_dk.recipe
-===================================================================
+diff --git a/recipes/bt_dk.recipe b/recipes/bt_dk.recipe
+index 8114b94814..01bbfdfb88 100644
 --- a/recipes/bt_dk.recipe
 +++ b/recipes/bt_dk.recipe
 @@ -1,4 +1,4 @@
@@ -2390,8 +2391,8 @@ Index: b/recipes/bt_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/bucataras.recipe
-===================================================================
+diff --git a/recipes/bucataras.recipe b/recipes/bucataras.recipe
+index c50e6d7521..0b7eaf170c 100644
 --- a/recipes/bucataras.recipe
 +++ b/recipes/bucataras.recipe
 @@ -1,4 +1,4 @@
@@ -2400,8 +2401,8 @@ Index: b/recipes/bucataras.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/buenosaireseconomico.recipe
-===================================================================
+diff --git a/recipes/buenosaireseconomico.recipe b/recipes/buenosaireseconomico.recipe
+index bef3ce8bff..017329d1b2 100644
 --- a/recipes/buenosaireseconomico.recipe
 +++ b/recipes/buenosaireseconomico.recipe
 @@ -1,4 +1,4 @@
@@ -2410,8 +2411,8 @@ Index: b/recipes/buenosaireseconomico.re
  # -*- mode: python -*-
  # -*- coding: utf-8 -*-
  
-Index: b/recipes/calgary_herald.recipe
-===================================================================
+diff --git a/recipes/calgary_herald.recipe b/recipes/calgary_herald.recipe
+index 5c24e06ec4..9d23e2dcab 100644
 --- a/recipes/calgary_herald.recipe
 +++ b/recipes/calgary_herald.recipe
 @@ -1,4 +1,4 @@
@@ -2420,8 +2421,8 @@ Index: b/recipes/calgary_herald.recipe
  # -*- coding: utf-8 -*-
  from __future__ import print_function
  __license__ = 'GPL v3'
-Index: b/recipes/capital.recipe
-===================================================================
+diff --git a/recipes/capital.recipe b/recipes/capital.recipe
+index 801a691177..416821cb7f 100644
 --- a/recipes/capital.recipe
 +++ b/recipes/capital.recipe
 @@ -1,4 +1,4 @@
@@ -2430,8 +2431,8 @@ Index: b/recipes/capital.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/capital_de.recipe
-===================================================================
+diff --git a/recipes/capital_de.recipe b/recipes/capital_de.recipe
+index a019df0669..0bb675953c 100644
 --- a/recipes/capital_de.recipe
 +++ b/recipes/capital_de.recipe
 @@ -1,4 +1,4 @@
@@ -2440,8 +2441,8 @@ Index: b/recipes/capital_de.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  
-Index: b/recipes/carta.recipe
-===================================================================
+diff --git a/recipes/carta.recipe b/recipes/carta.recipe
+index 888a3df684..e2f9679091 100644
 --- a/recipes/carta.recipe
 +++ b/recipes/carta.recipe
 @@ -1,4 +1,4 @@
@@ -2450,8 +2451,8 @@ Index: b/recipes/carta.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/catavencii.recipe
-===================================================================
+diff --git a/recipes/catavencii.recipe b/recipes/catavencii.recipe
+index 790c2a8c8c..c0722f9f62 100644
 --- a/recipes/catavencii.recipe
 +++ b/recipes/catavencii.recipe
 @@ -1,4 +1,4 @@
@@ -2460,8 +2461,8 @@ Index: b/recipes/catavencii.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/catavencu.recipe
-===================================================================
+diff --git a/recipes/catavencu.recipe b/recipes/catavencu.recipe
+index 5053974eb3..fa5054091f 100644
 --- a/recipes/catavencu.recipe
 +++ b/recipes/catavencu.recipe
 @@ -1,4 +1,4 @@
@@ -2470,8 +2471,8 @@ Index: b/recipes/catavencu.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/champion.recipe
-===================================================================
+diff --git a/recipes/champion.recipe b/recipes/champion.recipe
+index 6304fcd140..c59640a3ad 100644
 --- a/recipes/champion.recipe
 +++ b/recipes/champion.recipe
 @@ -1,4 +1,4 @@
@@ -2480,8 +2481,8 @@ Index: b/recipes/champion.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/chicago_breaking_news.recipe
-===================================================================
+diff --git a/recipes/chicago_breaking_news.recipe b/recipes/chicago_breaking_news.recipe
+index 455381978d..172e574671 100644
 --- a/recipes/chicago_breaking_news.recipe
 +++ b/recipes/chicago_breaking_news.recipe
 @@ -1,4 +1,4 @@
@@ -2490,8 +2491,8 @@ Index: b/recipes/chicago_breaking_news.r
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/chipro.recipe
-===================================================================
+diff --git a/recipes/chipro.recipe b/recipes/chipro.recipe
+index f68dbb621e..799880e888 100644
 --- a/recipes/chipro.recipe
 +++ b/recipes/chipro.recipe
 @@ -1,4 +1,4 @@
@@ -2500,8 +2501,8 @@ Index: b/recipes/chipro.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/cincinnati_enquirer.recipe
-===================================================================
+diff --git a/recipes/cincinnati_enquirer.recipe b/recipes/cincinnati_enquirer.recipe
+index a97da8998f..9e59e6f645 100644
 --- a/recipes/cincinnati_enquirer.recipe
 +++ b/recipes/cincinnati_enquirer.recipe
 @@ -1,4 +1,4 @@
@@ -2510,8 +2511,8 @@ Index: b/recipes/cincinnati_enquirer.rec
  __license__ = 'GPL v3'
  __copyright__ = '2009 Kovid Goyal <kovid at kovidgoyal.net>'
  
-Index: b/recipes/cinebel_be.recipe
-===================================================================
+diff --git a/recipes/cinebel_be.recipe b/recipes/cinebel_be.recipe
+index 56f8b4d8f0..cf5fca41dd 100644
 --- a/recipes/cinebel_be.recipe
 +++ b/recipes/cinebel_be.recipe
 @@ -1,4 +1,4 @@
@@ -2520,8 +2521,8 @@ Index: b/recipes/cinebel_be.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008-2011, Lionel Bergeret <lbergeret at gmail.com>'
-Index: b/recipes/cio.recipe
-===================================================================
+diff --git a/recipes/cio.recipe b/recipes/cio.recipe
+index ea5785676e..c310f1bae7 100644
 --- a/recipes/cio.recipe
 +++ b/recipes/cio.recipe
 @@ -1,4 +1,4 @@
@@ -2530,8 +2531,8 @@ Index: b/recipes/cio.recipe
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini'
  __copyright__ = '2009, Lorenzo Vigentini <l.vigentini at gmail.com>'
-Index: b/recipes/cityavisen_dk.recipe
-===================================================================
+diff --git a/recipes/cityavisen_dk.recipe b/recipes/cityavisen_dk.recipe
+index a85f7e0088..efb0f7159f 100644
 --- a/recipes/cityavisen_dk.recipe
 +++ b/recipes/cityavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -2540,8 +2541,8 @@ Index: b/recipes/cityavisen_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/clarin.recipe
-===================================================================
+diff --git a/recipes/clarin.recipe b/recipes/clarin.recipe
+index b7f20ecc3b..f712d0744c 100644
 --- a/recipes/clarin.recipe
 +++ b/recipes/clarin.recipe
 @@ -1,4 +1,4 @@
@@ -2550,8 +2551,8 @@ Index: b/recipes/clarin.recipe
  # -*- mode: python -*-
  # -*- coding: utf-8 -*-
  
-Index: b/recipes/climate_progress.recipe
-===================================================================
+diff --git a/recipes/climate_progress.recipe b/recipes/climate_progress.recipe
+index 09e6beb20f..b66b2ea6a4 100644
 --- a/recipes/climate_progress.recipe
 +++ b/recipes/climate_progress.recipe
 @@ -1,4 +1,4 @@
@@ -2560,8 +2561,8 @@ Index: b/recipes/climate_progress.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/common_dreams.recipe
-===================================================================
+diff --git a/recipes/common_dreams.recipe b/recipes/common_dreams.recipe
+index 2aa18b7e60..f212d72519 100644
 --- a/recipes/common_dreams.recipe
 +++ b/recipes/common_dreams.recipe
 @@ -1,4 +1,4 @@
@@ -2570,8 +2571,8 @@ Index: b/recipes/common_dreams.recipe
  ##
  # Title:        Common Dreams
  ##
-Index: b/recipes/computerworld_dk.recipe
-===================================================================
+diff --git a/recipes/computerworld_dk.recipe b/recipes/computerworld_dk.recipe
+index 959bc901e9..db22250a54 100644
 --- a/recipes/computerworld_dk.recipe
 +++ b/recipes/computerworld_dk.recipe
 @@ -1,4 +1,4 @@
@@ -2580,8 +2581,8 @@ Index: b/recipes/computerworld_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/consortium_news.recipe
-===================================================================
+diff --git a/recipes/consortium_news.recipe b/recipes/consortium_news.recipe
+index 0b355fc632..c32090a1b2 100644
 --- a/recipes/consortium_news.recipe
 +++ b/recipes/consortium_news.recipe
 @@ -1,4 +1,4 @@
@@ -2590,8 +2591,8 @@ Index: b/recipes/consortium_news.recipe
  ##
  # Title:        Consortium News
  ##
-Index: b/recipes/corriere_della_sera_en.recipe
-===================================================================
+diff --git a/recipes/corriere_della_sera_en.recipe b/recipes/corriere_della_sera_en.recipe
+index 7a34f6f579..d1cc5a06fe 100644
 --- a/recipes/corriere_della_sera_en.recipe
 +++ b/recipes/corriere_della_sera_en.recipe
 @@ -1,4 +1,4 @@
@@ -2600,8 +2601,8 @@ Index: b/recipes/corriere_della_sera_en.
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini, based on Darko Miletic'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>, Lorenzo Vigentini <l.vigentini at gmail.com>'
-Index: b/recipes/corriere_della_sera_it.recipe
-===================================================================
+diff --git a/recipes/corriere_della_sera_it.recipe b/recipes/corriere_della_sera_it.recipe
+index d88c07daba..2483bdaba6 100644
 --- a/recipes/corriere_della_sera_it.recipe
 +++ b/recipes/corriere_della_sera_it.recipe
 @@ -1,4 +1,4 @@
@@ -2610,8 +2611,8 @@ Index: b/recipes/corriere_della_sera_it.
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/corriere_dello_sport.recipe
-===================================================================
+diff --git a/recipes/corriere_dello_sport.recipe b/recipes/corriere_dello_sport.recipe
+index 3d5b357c92..df743f4b00 100644
 --- a/recipes/corriere_dello_sport.recipe
 +++ b/recipes/corriere_dello_sport.recipe
 @@ -1,4 +1,4 @@
@@ -2620,8 +2621,8 @@ Index: b/recipes/corriere_dello_sport.re
  __license__ = 'GPL v3'
  __author__ = 'GabrieleMarini, based on Darko Miletic'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>, Gabriele Marini'
-Index: b/recipes/cosmopolitan.recipe
-===================================================================
+diff --git a/recipes/cosmopolitan.recipe b/recipes/cosmopolitan.recipe
+index ab31ab88bb..23cd72b896 100644
 --- a/recipes/cosmopolitan.recipe
 +++ b/recipes/cosmopolitan.recipe
 @@ -1,4 +1,4 @@
@@ -2630,8 +2631,8 @@ Index: b/recipes/cosmopolitan.recipe
  
  __license__ = 'GPL v3'
  __author__ = '2010, Gustavo Azambuja <hola at gazambuja.com>'
-Index: b/recipes/cotidianul.recipe
-===================================================================
+diff --git a/recipes/cotidianul.recipe b/recipes/cotidianul.recipe
+index 1f1ec8191b..b300f02903 100644
 --- a/recipes/cotidianul.recipe
 +++ b/recipes/cotidianul.recipe
 @@ -1,4 +1,4 @@
@@ -2640,8 +2641,8 @@ Index: b/recipes/cotidianul.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/courrierinternational.recipe
-===================================================================
+diff --git a/recipes/courrierinternational.recipe b/recipes/courrierinternational.recipe
+index 2030f178d9..967489adc8 100644
 --- a/recipes/courrierinternational.recipe
 +++ b/recipes/courrierinternational.recipe
 @@ -1,4 +1,4 @@
@@ -2650,8 +2651,8 @@ Index: b/recipes/courrierinternational.r
  # vim:fileencoding=utf-8
  
  __license__ = 'GPL v3'
-Index: b/recipes/craigslist.recipe
-===================================================================
+diff --git a/recipes/craigslist.recipe b/recipes/craigslist.recipe
+index e64a74c719..8630a0b8ad 100644
 --- a/recipes/craigslist.recipe
 +++ b/recipes/craigslist.recipe
 @@ -1,4 +1,4 @@
@@ -2660,8 +2661,8 @@ Index: b/recipes/craigslist.recipe
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement
  
-Index: b/recipes/credit_slips.recipe
-===================================================================
+diff --git a/recipes/credit_slips.recipe b/recipes/credit_slips.recipe
+index e0302d1f44..be5b73b942 100644
 --- a/recipes/credit_slips.recipe
 +++ b/recipes/credit_slips.recipe
 @@ -1,4 +1,4 @@
@@ -2670,8 +2671,8 @@ Index: b/recipes/credit_slips.recipe
  __license__ = 'GPL 3'
  __copyright__ = 'zotzo'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/csid.recipe
-===================================================================
+diff --git a/recipes/csid.recipe b/recipes/csid.recipe
+index 815f079471..c5c477db7f 100644
 --- a/recipes/csid.recipe
 +++ b/recipes/csid.recipe
 @@ -1,4 +1,4 @@
@@ -2680,8 +2681,8 @@ Index: b/recipes/csid.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/curierulnational.recipe
-===================================================================
+diff --git a/recipes/curierulnational.recipe b/recipes/curierulnational.recipe
+index 2fc83a9d54..59c845866e 100644
 --- a/recipes/curierulnational.recipe
 +++ b/recipes/curierulnational.recipe
 @@ -1,4 +1,4 @@
@@ -2690,8 +2691,8 @@ Index: b/recipes/curierulnational.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/dagensmedicin_dk.recipe
-===================================================================
+diff --git a/recipes/dagensmedicin_dk.recipe b/recipes/dagensmedicin_dk.recipe
+index dbaae9885e..61dfedbf8d 100644
 --- a/recipes/dagensmedicin_dk.recipe
 +++ b/recipes/dagensmedicin_dk.recipe
 @@ -1,4 +1,4 @@
@@ -2700,8 +2701,8 @@ Index: b/recipes/dagensmedicin_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/dagenspharma_dk.recipe
-===================================================================
+diff --git a/recipes/dagenspharma_dk.recipe b/recipes/dagenspharma_dk.recipe
+index 57e1bbfb09..3b5dd23517 100644
 --- a/recipes/dagenspharma_dk.recipe
 +++ b/recipes/dagenspharma_dk.recipe
 @@ -1,4 +1,4 @@
@@ -2710,8 +2711,8 @@ Index: b/recipes/dagenspharma_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/daily_mail.recipe
-===================================================================
+diff --git a/recipes/daily_mail.recipe b/recipes/daily_mail.recipe
+index 6021457fbc..551b2ff7fe 100644
 --- a/recipes/daily_mail.recipe
 +++ b/recipes/daily_mail.recipe
 @@ -1,4 +1,4 @@
@@ -2720,8 +2721,8 @@ Index: b/recipes/daily_mail.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/daily_telegraph.recipe
-===================================================================
+diff --git a/recipes/daily_telegraph.recipe b/recipes/daily_telegraph.recipe
+index 9491b277ef..eb81bf93df 100644
 --- a/recipes/daily_telegraph.recipe
 +++ b/recipes/daily_telegraph.recipe
 @@ -1,4 +1,4 @@
@@ -2730,8 +2731,8 @@ Index: b/recipes/daily_telegraph.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/dailyreckoning.recipe
-===================================================================
+diff --git a/recipes/dailyreckoning.recipe b/recipes/dailyreckoning.recipe
+index 4f8532d551..91b6bd0c90 100644
 --- a/recipes/dailyreckoning.recipe
 +++ b/recipes/dailyreckoning.recipe
 @@ -1,4 +1,4 @@
@@ -2740,8 +2741,8 @@ Index: b/recipes/dailyreckoning.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/dark_reading.recipe
-===================================================================
+diff --git a/recipes/dark_reading.recipe b/recipes/dark_reading.recipe
+index ca82a23ecc..b7f78df530 100644
 --- a/recipes/dark_reading.recipe
 +++ b/recipes/dark_reading.recipe
 @@ -1,4 +1,4 @@
@@ -2750,8 +2751,8 @@ Index: b/recipes/dark_reading.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Brandon S Allbery <allbery.b at gmail.com>'
-Index: b/recipes/data_news.recipe
-===================================================================
+diff --git a/recipes/data_news.recipe b/recipes/data_news.recipe
+index 39d34bdd32..f93d9ab1b3 100644
 --- a/recipes/data_news.recipe
 +++ b/recipes/data_news.recipe
 @@ -1,4 +1,4 @@
@@ -2760,8 +2761,8 @@ Index: b/recipes/data_news.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/de_redactie_be.recipe
-===================================================================
+diff --git a/recipes/de_redactie_be.recipe b/recipes/de_redactie_be.recipe
+index 72655da349..31a0c5cb4c 100644
 --- a/recipes/de_redactie_be.recipe
 +++ b/recipes/de_redactie_be.recipe
 @@ -1,4 +1,4 @@
@@ -2770,8 +2771,8 @@ Index: b/recipes/de_redactie_be.recipe
  
  from calibre.web.feeds.news import BasicNewsRecipe
  
-Index: b/recipes/de_standaard.recipe
-===================================================================
+diff --git a/recipes/de_standaard.recipe b/recipes/de_standaard.recipe
+index f64254e1ab..e8881deec5 100644
 --- a/recipes/de_standaard.recipe
 +++ b/recipes/de_standaard.recipe
 @@ -1,4 +1,4 @@
@@ -2780,8 +2781,8 @@ Index: b/recipes/de_standaard.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  import re
-Index: b/recipes/degentenaar.recipe
-===================================================================
+diff --git a/recipes/degentenaar.recipe b/recipes/degentenaar.recipe
+index 1b64d86e45..75f7bde77e 100644
 --- a/recipes/degentenaar.recipe
 +++ b/recipes/degentenaar.recipe
 @@ -1,4 +1,4 @@
@@ -2790,8 +2791,8 @@ Index: b/recipes/degentenaar.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/demorgen_be.recipe
-===================================================================
+diff --git a/recipes/demorgen_be.recipe b/recipes/demorgen_be.recipe
+index 95100bcc68..828312d1ec 100644
 --- a/recipes/demorgen_be.recipe
 +++ b/recipes/demorgen_be.recipe
 @@ -1,4 +1,4 @@
@@ -2800,8 +2801,8 @@ Index: b/recipes/demorgen_be.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/denver_post.recipe
-===================================================================
+diff --git a/recipes/denver_post.recipe b/recipes/denver_post.recipe
+index 1e8ccc5691..b303505219 100644
 --- a/recipes/denver_post.recipe
 +++ b/recipes/denver_post.recipe
 @@ -1,4 +1,4 @@
@@ -2810,8 +2811,8 @@ Index: b/recipes/denver_post.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/der_standard.recipe
-===================================================================
+diff --git a/recipes/der_standard.recipe b/recipes/der_standard.recipe
+index 0663120b17..c9168c28c9 100644
 --- a/recipes/der_standard.recipe
 +++ b/recipes/der_standard.recipe
 @@ -1,4 +1,4 @@
@@ -2820,8 +2821,8 @@ Index: b/recipes/der_standard.recipe
  # -*- coding: utf-8 -*-
  from __future__ import unicode_literals, division, absolute_import, print_function
  
-Index: b/recipes/descopera.recipe
-===================================================================
+diff --git a/recipes/descopera.recipe b/recipes/descopera.recipe
+index 5028d73587..3186b28ecb 100644
 --- a/recipes/descopera.recipe
 +++ b/recipes/descopera.recipe
 @@ -1,4 +1,4 @@
@@ -2830,8 +2831,8 @@ Index: b/recipes/descopera.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/deutsche_welle_en.recipe
-===================================================================
+diff --git a/recipes/deutsche_welle_en.recipe b/recipes/deutsche_welle_en.recipe
+index d2a2a99186..3cde7e7418 100644
 --- a/recipes/deutsche_welle_en.recipe
 +++ b/recipes/deutsche_welle_en.recipe
 @@ -1,4 +1,4 @@
@@ -2840,8 +2841,8 @@ Index: b/recipes/deutsche_welle_en.recip
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  
-Index: b/recipes/deutsche_welle_es.recipe
-===================================================================
+diff --git a/recipes/deutsche_welle_es.recipe b/recipes/deutsche_welle_es.recipe
+index fff148a565..1300fea96d 100644
 --- a/recipes/deutsche_welle_es.recipe
 +++ b/recipes/deutsche_welle_es.recipe
 @@ -1,4 +1,4 @@
@@ -2850,8 +2851,8 @@ Index: b/recipes/deutsche_welle_es.recip
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  
-Index: b/recipes/dhnet_be.recipe
-===================================================================
+diff --git a/recipes/dhnet_be.recipe b/recipes/dhnet_be.recipe
+index c0bd801e7e..dbf43963e9 100644
 --- a/recipes/dhnet_be.recipe
 +++ b/recipes/dhnet_be.recipe
 @@ -1,4 +1,4 @@
@@ -2860,8 +2861,8 @@ Index: b/recipes/dhnet_be.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008-2011, Lionel Bergeret <lbergeret at gmail.com>'
-Index: b/recipes/di.recipe
-===================================================================
+diff --git a/recipes/di.recipe b/recipes/di.recipe
+index e602811b11..bbd8172cd8 100644
 --- a/recipes/di.recipe
 +++ b/recipes/di.recipe
 @@ -1,4 +1,4 @@
@@ -2870,8 +2871,8 @@ Index: b/recipes/di.recipe
  # vim:fileencoding=UTF-8
  
  __license__ = 'GPL v3'
-Index: b/recipes/diagonal.recipe
-===================================================================
+diff --git a/recipes/diagonal.recipe b/recipes/diagonal.recipe
+index 859f495ef7..4521b05a0f 100644
 --- a/recipes/diagonal.recipe
 +++ b/recipes/diagonal.recipe
 @@ -1,4 +1,4 @@
@@ -2880,8 +2881,8 @@ Index: b/recipes/diagonal.recipe
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  __license__ = 'GPL v3'
  __copyright__ = 'Ruben Pollan <meskio@sindominio.net>'
-Index: b/recipes/diario_cordoba.recipe
-===================================================================
+diff --git a/recipes/diario_cordoba.recipe b/recipes/diario_cordoba.recipe
+index 6e4b06e114..20259d139d 100644
 --- a/recipes/diario_cordoba.recipe
 +++ b/recipes/diario_cordoba.recipe
 @@ -1,4 +1,4 @@
@@ -2890,8 +2891,8 @@ Index: b/recipes/diario_cordoba.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/diario_el_pueblo.recipe
-===================================================================
+diff --git a/recipes/diario_el_pueblo.recipe b/recipes/diario_el_pueblo.recipe
+index 0437fc01df..3e0fdf2648 100644
 --- a/recipes/diario_el_pueblo.recipe
 +++ b/recipes/diario_el_pueblo.recipe
 @@ -1,4 +1,4 @@
@@ -2900,8 +2901,8 @@ Index: b/recipes/diario_el_pueblo.recipe
  ##
  # Title:        Diario El Pueblo News and Sports Calibre Recipe
  # Contact:      Carlos Alves - <carlosalves90@gmail.com>
-Index: b/recipes/diepresse.recipe
-===================================================================
+diff --git a/recipes/diepresse.recipe b/recipes/diepresse.recipe
+index 5465de6e4b..1bafa159c4 100644
 --- a/recipes/diepresse.recipe
 +++ b/recipes/diepresse.recipe
 @@ -1,4 +1,4 @@
@@ -2910,8 +2911,8 @@ Index: b/recipes/diepresse.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  
-Index: b/recipes/digital_arts.recipe
-===================================================================
+diff --git a/recipes/digital_arts.recipe b/recipes/digital_arts.recipe
+index 5e7014da48..4e497f196f 100644
 --- a/recipes/digital_arts.recipe
 +++ b/recipes/digital_arts.recipe
 @@ -1,4 +1,4 @@
@@ -2920,8 +2921,8 @@ Index: b/recipes/digital_arts.recipe
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini'
  __copyright__ = '2009, Lorenzo Vigentini <l.vigentini at gmail.com>'
-Index: b/recipes/dilbert.recipe
-===================================================================
+diff --git a/recipes/dilbert.recipe b/recipes/dilbert.recipe
+index 52774253c5..5878f7fd45 100644
 --- a/recipes/dilbert.recipe
 +++ b/recipes/dilbert.recipe
 @@ -1,4 +1,4 @@
@@ -2930,8 +2931,8 @@ Index: b/recipes/dilbert.recipe
  # vim:fileencoding=utf-8
  
  import os
-Index: b/recipes/dilemaveche.recipe
-===================================================================
+diff --git a/recipes/dilemaveche.recipe b/recipes/dilemaveche.recipe
+index 400efaf2c9..137b11c235 100644
 --- a/recipes/dilemaveche.recipe
 +++ b/recipes/dilemaveche.recipe
 @@ -1,4 +1,4 @@
@@ -2940,8 +2941,8 @@ Index: b/recipes/dilemaveche.recipe
  # -*- coding: utf-8 -*-
  
  from __future__ import print_function
-Index: b/recipes/discover_magazine_monthly.recipe
-===================================================================
+diff --git a/recipes/discover_magazine_monthly.recipe b/recipes/discover_magazine_monthly.recipe
+index da661471e4..8c1869ae42 100644
 --- a/recipes/discover_magazine_monthly.recipe
 +++ b/recipes/discover_magazine_monthly.recipe
 @@ -1,4 +1,4 @@
@@ -2950,8 +2951,8 @@ Index: b/recipes/discover_magazine_month
  from __future__ import unicode_literals
  __license__ = 'GPL v3'
  __copyright__ = '2015 Michael Marotta <mikefm at gmail.net>'
-Index: b/recipes/divahair.recipe
-===================================================================
+diff --git a/recipes/divahair.recipe b/recipes/divahair.recipe
+index 993524d161..fc0249d506 100644
 --- a/recipes/divahair.recipe
 +++ b/recipes/divahair.recipe
 @@ -1,4 +1,4 @@
@@ -2960,8 +2961,8 @@ Index: b/recipes/divahair.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/djurslandsposten_dk.recipe
-===================================================================
+diff --git a/recipes/djurslandsposten_dk.recipe b/recipes/djurslandsposten_dk.recipe
+index a74d0a4ee7..2b7f58859f 100644
 --- a/recipes/djurslandsposten_dk.recipe
 +++ b/recipes/djurslandsposten_dk.recipe
 @@ -1,4 +1,4 @@
@@ -2970,8 +2971,8 @@ Index: b/recipes/djurslandsposten_dk.rec
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/dn_se.recipe
-===================================================================
+diff --git a/recipes/dn_se.recipe b/recipes/dn_se.recipe
+index 138c64d27c..82dd6ee63f 100644
 --- a/recipes/dn_se.recipe
 +++ b/recipes/dn_se.recipe
 @@ -1,4 +1,4 @@
@@ -2980,8 +2981,8 @@ Index: b/recipes/dn_se.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/dnevnik_cro.recipe
-===================================================================
+diff --git a/recipes/dnevnik_cro.recipe b/recipes/dnevnik_cro.recipe
+index b0a948dab5..6bb1a98159 100644
 --- a/recipes/dnevnik_cro.recipe
 +++ b/recipes/dnevnik_cro.recipe
 @@ -1,4 +1,4 @@
@@ -2990,8 +2991,8 @@ Index: b/recipes/dnevnik_cro.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/dnevnik_mk.recipe
-===================================================================
+diff --git a/recipes/dnevnik_mk.recipe b/recipes/dnevnik_mk.recipe
+index 6d0aa1f949..6ff0d502ab 100644
 --- a/recipes/dnevnik_mk.recipe
 +++ b/recipes/dnevnik_mk.recipe
 @@ -1,4 +1,4 @@
@@ -3000,8 +3001,8 @@ Index: b/recipes/dnevnik_mk.recipe
  from __future__ import print_function
  
  __author__ = 'Darko Spasovski'
-Index: b/recipes/dr_dk.recipe
-===================================================================
+diff --git a/recipes/dr_dk.recipe b/recipes/dr_dk.recipe
+index a017dff9dd..2ba55a2e36 100644
 --- a/recipes/dr_dk.recipe
 +++ b/recipes/dr_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3010,8 +3011,8 @@ Index: b/recipes/dr_dk.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/dunyahalleri.recipe
-===================================================================
+diff --git a/recipes/dunyahalleri.recipe b/recipes/dunyahalleri.recipe
+index 2e8ffe1841..0f5e751d9b 100644
 --- a/recipes/dunyahalleri.recipe
 +++ b/recipes/dunyahalleri.recipe
 @@ -1,4 +1,4 @@
@@ -3020,8 +3021,8 @@ Index: b/recipes/dunyahalleri.recipe
  # -*- coding: utf-8 -*-
  """www.dunyahalleri.com"""
  import locale
-Index: b/recipes/dunyahalleri_haftaninozeti.recipe
-===================================================================
+diff --git a/recipes/dunyahalleri_haftaninozeti.recipe b/recipes/dunyahalleri_haftaninozeti.recipe
+index 6269e34924..92a8f2f145 100644
 --- a/recipes/dunyahalleri_haftaninozeti.recipe
 +++ b/recipes/dunyahalleri_haftaninozeti.recipe
 @@ -1,4 +1,4 @@
@@ -3030,8 +3031,8 @@ Index: b/recipes/dunyahalleri_haftaninoz
  # -*- coding: utf-8 -*-
  """www.dunyahalleri.com/haftanin-ozeti"""
  import locale
-Index: b/recipes/dwutygodnik.recipe
-===================================================================
+diff --git a/recipes/dwutygodnik.recipe b/recipes/dwutygodnik.recipe
+index ce6ab2bab2..8c93f1e5d4 100644
 --- a/recipes/dwutygodnik.recipe
 +++ b/recipes/dwutygodnik.recipe
 @@ -1,4 +1,4 @@
@@ -3040,8 +3041,8 @@ Index: b/recipes/dwutygodnik.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/ebeltoftlokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/ebeltoftlokalavisen_dk.recipe b/recipes/ebeltoftlokalavisen_dk.recipe
+index be8189a764..32cb29326d 100644
 --- a/recipes/ebeltoftlokalavisen_dk.recipe
 +++ b/recipes/ebeltoftlokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3050,8 +3051,8 @@ Index: b/recipes/ebeltoftlokalavisen_dk.
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/echo_online.recipe
-===================================================================
+diff --git a/recipes/echo_online.recipe b/recipes/echo_online.recipe
+index b617899795..eff78f0977 100644
 --- a/recipes/echo_online.recipe
 +++ b/recipes/echo_online.recipe
 @@ -1,4 +1,4 @@
@@ -3060,8 +3061,8 @@ Index: b/recipes/echo_online.recipe
  # vim:fileencoding=utf-8
  ##
  # 1st Version:  17. December 2011
-Index: b/recipes/ecogeek.recipe
-===================================================================
+diff --git a/recipes/ecogeek.recipe b/recipes/ecogeek.recipe
+index 64211ed483..3b453c3641 100644
 --- a/recipes/ecogeek.recipe
 +++ b/recipes/ecogeek.recipe
 @@ -1,4 +1,4 @@
@@ -3070,8 +3071,8 @@ Index: b/recipes/ecogeek.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/economist.recipe
-===================================================================
+diff --git a/recipes/economist.recipe b/recipes/economist.recipe
+index 22210700b8..8b68630738 100644
 --- a/recipes/economist.recipe
 +++ b/recipes/economist.recipe
 @@ -1,4 +1,4 @@
@@ -3080,8 +3081,8 @@ Index: b/recipes/economist.recipe
  # License: GPLv3 Copyright: 2008, Kovid Goyal <kovid at kovidgoyal.net>
  
  try:
-Index: b/recipes/economist_free.recipe
-===================================================================
+diff --git a/recipes/economist_free.recipe b/recipes/economist_free.recipe
+index 22210700b8..fd06c51c44 100644
 --- a/recipes/economist_free.recipe
 +++ b/recipes/economist_free.recipe
 @@ -1,4 +1,4 @@
@@ -3090,8 +3091,8 @@ Index: b/recipes/economist_free.recipe
  # License: GPLv3 Copyright: 2008, Kovid Goyal <kovid at kovidgoyal.net>
  
  try:
-Index: b/recipes/ecuisine.recipe
-===================================================================
+diff --git a/recipes/ecuisine.recipe b/recipes/ecuisine.recipe
+index ec7ff91447..d1fa10029a 100644
 --- a/recipes/ecuisine.recipe
 +++ b/recipes/ecuisine.recipe
 @@ -1,4 +1,4 @@
@@ -3100,8 +3101,8 @@ Index: b/recipes/ecuisine.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/edebiyat_haber.recipe
-===================================================================
+diff --git a/recipes/edebiyat_haber.recipe b/recipes/edebiyat_haber.recipe
+index 9c7773252c..310c86f1f5 100644
 --- a/recipes/edebiyat_haber.recipe
 +++ b/recipes/edebiyat_haber.recipe
 @@ -1,4 +1,4 @@
@@ -3110,8 +3111,8 @@ Index: b/recipes/edebiyat_haber.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import AutomaticNewsRecipe
-Index: b/recipes/editor_and_publisher.recipe
-===================================================================
+diff --git a/recipes/editor_and_publisher.recipe b/recipes/editor_and_publisher.recipe
+index 57342cbc95..6ef3b18f22 100644
 --- a/recipes/editor_and_publisher.recipe
 +++ b/recipes/editor_and_publisher.recipe
 @@ -1,4 +1,4 @@
@@ -3120,8 +3121,8 @@ Index: b/recipes/editor_and_publisher.re
  __license__ = 'GPL v3'
  __copyright__ = '2010 elsuave'
  
-Index: b/recipes/edmonton_journal.recipe
-===================================================================
+diff --git a/recipes/edmonton_journal.recipe b/recipes/edmonton_journal.recipe
+index 544041c50a..d7f9a037e6 100644
 --- a/recipes/edmonton_journal.recipe
 +++ b/recipes/edmonton_journal.recipe
 @@ -1,4 +1,4 @@
@@ -3130,8 +3131,8 @@ Index: b/recipes/edmonton_journal.recipe
  # -*- coding: utf-8 -*-
  from __future__ import print_function
  __license__ = 'GPL v3'
-Index: b/recipes/egedallokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/egedallokalavisen_dk.recipe b/recipes/egedallokalavisen_dk.recipe
+index 2b2a3ba250..45a85f8ae2 100644
 --- a/recipes/egedallokalavisen_dk.recipe
 +++ b/recipes/egedallokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3140,8 +3141,8 @@ Index: b/recipes/egedallokalavisen_dk.re
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/egirl.recipe
-===================================================================
+diff --git a/recipes/egirl.recipe b/recipes/egirl.recipe
+index 1229d4274f..3df53ff085 100644
 --- a/recipes/egirl.recipe
 +++ b/recipes/egirl.recipe
 @@ -1,4 +1,4 @@
@@ -3150,8 +3151,8 @@ Index: b/recipes/egirl.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/el_correo.recipe
-===================================================================
+diff --git a/recipes/el_correo.recipe b/recipes/el_correo.recipe
+index a4cea141a1..3854eb5074 100644
 --- a/recipes/el_correo.recipe
 +++ b/recipes/el_correo.recipe
 @@ -1,4 +1,4 @@
@@ -3160,8 +3161,8 @@ Index: b/recipes/el_correo.recipe
  __license__ = 'GPL v3'
  __copyright__ = '08 Januery 2011, desUBIKado'
  __author__ = 'desUBIKado'
-Index: b/recipes/el_mercurio_chile.recipe
-===================================================================
+diff --git a/recipes/el_mercurio_chile.recipe b/recipes/el_mercurio_chile.recipe
+index 4db695e819..1748cdfd66 100644
 --- a/recipes/el_mercurio_chile.recipe
 +++ b/recipes/el_mercurio_chile.recipe
 @@ -1,4 +1,4 @@
@@ -3170,8 +3171,8 @@ Index: b/recipes/el_mercurio_chile.recip
  # -*- coding: utf-8 mode: python -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/el_observador.recipe
-===================================================================
+diff --git a/recipes/el_observador.recipe b/recipes/el_observador.recipe
+index 8b27c48fd6..c75dc4722b 100644
 --- a/recipes/el_observador.recipe
 +++ b/recipes/el_observador.recipe
 @@ -1,4 +1,4 @@
@@ -3180,8 +3181,8 @@ Index: b/recipes/el_observador.recipe
  ##
  # Last Edited:  2018-02-13 Carlos Alves <carlosalves90@gmail.com>
  ##
-Index: b/recipes/el_pais.recipe
-===================================================================
+diff --git a/recipes/el_pais.recipe b/recipes/el_pais.recipe
+index 849a931493..2494a86540 100644
 --- a/recipes/el_pais.recipe
 +++ b/recipes/el_pais.recipe
 @@ -1,4 +1,4 @@
@@ -3190,8 +3191,8 @@ Index: b/recipes/el_pais.recipe
  __license__ = 'GPL v3'
  __author__ = 'Jordi Balcells, based on an earlier version by Lorenzo Vigentini & Kovid Goyal'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/recipes/el_pais_uy.recipe
-===================================================================
+diff --git a/recipes/el_pais_uy.recipe b/recipes/el_pais_uy.recipe
+index 132a015f7b..04a5e6f11c 100644
 --- a/recipes/el_pais_uy.recipe
 +++ b/recipes/el_pais_uy.recipe
 @@ -1,4 +1,4 @@
@@ -3200,8 +3201,8 @@ Index: b/recipes/el_pais_uy.recipe
  ##
  # Last Edited:  2018-02-13 Carlos Alves <carlosalves90@gmail.com>
  ##
-Index: b/recipes/el_periodico.recipe
-===================================================================
+diff --git a/recipes/el_periodico.recipe b/recipes/el_periodico.recipe
+index 53d5af0fe4..11be114a67 100644
 --- a/recipes/el_periodico.recipe
 +++ b/recipes/el_periodico.recipe
 @@ -1,4 +1,4 @@
@@ -3210,8 +3211,8 @@ Index: b/recipes/el_periodico.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/el_publico.recipe
-===================================================================
+diff --git a/recipes/el_publico.recipe b/recipes/el_publico.recipe
+index 53ca3476c5..971c47d343 100644
 --- a/recipes/el_publico.recipe
 +++ b/recipes/el_publico.recipe
 @@ -1,4 +1,4 @@
@@ -3220,8 +3221,8 @@ Index: b/recipes/el_publico.recipe
  __license__ = 'GPL v3'
  __author__ = 'Gerardo Diez'
  __copyright__ = 'Gerardo Diez<gerardo.diez.garcia@gmail.com>'
-Index: b/recipes/ele.recipe
-===================================================================
+diff --git a/recipes/ele.recipe b/recipes/ele.recipe
+index be3f38ba55..3eb686f3a9 100644
 --- a/recipes/ele.recipe
 +++ b/recipes/ele.recipe
 @@ -1,4 +1,4 @@
@@ -3230,8 +3231,8 @@ Index: b/recipes/ele.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/elperiodico_spanish.recipe
-===================================================================
+diff --git a/recipes/elperiodico_spanish.recipe b/recipes/elperiodico_spanish.recipe
+index eb8f0fab6a..61bf06cf59 100644
 --- a/recipes/elperiodico_spanish.recipe
 +++ b/recipes/elperiodico_spanish.recipe
 @@ -1,4 +1,4 @@
@@ -3240,8 +3241,8 @@ Index: b/recipes/elperiodico_spanish.rec
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/eltiempo_hn.recipe
-===================================================================
+diff --git a/recipes/eltiempo_hn.recipe b/recipes/eltiempo_hn.recipe
+index 8ca1264097..85f79c2169 100644
 --- a/recipes/eltiempo_hn.recipe
 +++ b/recipes/eltiempo_hn.recipe
 @@ -1,4 +1,4 @@
@@ -3250,8 +3251,8 @@ Index: b/recipes/eltiempo_hn.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/endgadget.recipe
-===================================================================
+diff --git a/recipes/endgadget.recipe b/recipes/endgadget.recipe
+index 03a03a4522..da7d5c8beb 100644
 --- a/recipes/endgadget.recipe
 +++ b/recipes/endgadget.recipe
 @@ -1,4 +1,4 @@
@@ -3260,8 +3261,8 @@ Index: b/recipes/endgadget.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = 'Copyright 2011 Starson17'
-Index: b/recipes/entrepeneur.recipe
-===================================================================
+diff --git a/recipes/entrepeneur.recipe b/recipes/entrepeneur.recipe
+index 02a9721a3d..b6aa5d52a9 100644
 --- a/recipes/entrepeneur.recipe
 +++ b/recipes/entrepeneur.recipe
 @@ -1,4 +1,4 @@
@@ -3270,8 +3271,8 @@ Index: b/recipes/entrepeneur.recipe
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/recipes/eos_wetenschap.recipe
-===================================================================
+diff --git a/recipes/eos_wetenschap.recipe b/recipes/eos_wetenschap.recipe
+index 0bdae56608..e32686ac9c 100644
 --- a/recipes/eos_wetenschap.recipe
 +++ b/recipes/eos_wetenschap.recipe
 @@ -1,4 +1,4 @@
@@ -3280,8 +3281,8 @@ Index: b/recipes/eos_wetenschap.recipe
  
  from calibre.web.feeds.news import BasicNewsRecipe
  
-Index: b/recipes/epl_talk.recipe
-===================================================================
+diff --git a/recipes/epl_talk.recipe b/recipes/epl_talk.recipe
+index 36860d1ceb..f30796cfe1 100644
 --- a/recipes/epl_talk.recipe
 +++ b/recipes/epl_talk.recipe
 @@ -1,4 +1,4 @@
@@ -3290,8 +3291,8 @@ Index: b/recipes/epl_talk.recipe
  __license__ = 'GPL 3'
  __copyright__ = 'zotzo'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/epw.recipe
-===================================================================
+diff --git a/recipes/epw.recipe b/recipes/epw.recipe
+index 1015f195d7..94dda7807a 100644
 --- a/recipes/epw.recipe
 +++ b/recipes/epw.recipe
 @@ -1,4 +1,4 @@
@@ -3300,8 +3301,8 @@ Index: b/recipes/epw.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/erhvervs_avisen_dk.recipe
-===================================================================
+diff --git a/recipes/erhvervs_avisen_dk.recipe b/recipes/erhvervs_avisen_dk.recipe
+index 3d204e054b..4be331d530 100644
 --- a/recipes/erhvervs_avisen_dk.recipe
 +++ b/recipes/erhvervs_avisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3310,8 +3311,8 @@ Index: b/recipes/erhvervs_avisen_dk.reci
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/esbjerglokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/esbjerglokalavisen_dk.recipe b/recipes/esbjerglokalavisen_dk.recipe
+index 76c0d87104..12b4cadb92 100644
 --- a/recipes/esbjerglokalavisen_dk.recipe
 +++ b/recipes/esbjerglokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3320,8 +3321,8 @@ Index: b/recipes/esbjerglokalavisen_dk.r
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/esenja.recipe
-===================================================================
+diff --git a/recipes/esenja.recipe b/recipes/esenja.recipe
+index b81e9eca10..8d3a20bd14 100644
 --- a/recipes/esenja.recipe
 +++ b/recipes/esenja.recipe
 @@ -1,4 +1,4 @@
@@ -3330,8 +3331,8 @@ Index: b/recipes/esenja.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2010, matek09, matek09@gmail.com'
-Index: b/recipes/espn.recipe
-===================================================================
+diff --git a/recipes/espn.recipe b/recipes/espn.recipe
+index e29a88b9cb..d9fc17a458 100644
 --- a/recipes/espn.recipe
 +++ b/recipes/espn.recipe
 @@ -1,4 +1,4 @@
@@ -3340,8 +3341,8 @@ Index: b/recipes/espn.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/evz.ro.recipe
-===================================================================
+diff --git a/recipes/evz.ro.recipe b/recipes/evz.ro.recipe
+index 841dcb9cb5..195577b4a3 100644
 --- a/recipes/evz.ro.recipe
 +++ b/recipes/evz.ro.recipe
 @@ -1,4 +1,4 @@
@@ -3350,8 +3351,8 @@ Index: b/recipes/evz.ro.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/expansion_spanish.recipe
-===================================================================
+diff --git a/recipes/expansion_spanish.recipe b/recipes/expansion_spanish.recipe
+index c64944a37d..74fec85199 100644
 --- a/recipes/expansion_spanish.recipe
 +++ b/recipes/expansion_spanish.recipe
 @@ -1,4 +1,4 @@
@@ -3360,8 +3361,8 @@ Index: b/recipes/expansion_spanish.recip
  __license__ = 'GPL v3'
  __copyright__ = '5, January 2011 Gerardo Diez<gerardo.diez.garcia@gmail.com> & desUBIKado'
  __author__ = 'desUBIKado, based on an earlier version by Gerardo Diez'
-Index: b/recipes/fan_graphs.recipe
-===================================================================
+diff --git a/recipes/fan_graphs.recipe b/recipes/fan_graphs.recipe
+index 892f6699bf..5bf8f398d8 100644
 --- a/recipes/fan_graphs.recipe
 +++ b/recipes/fan_graphs.recipe
 @@ -1,4 +1,4 @@
@@ -3370,8 +3371,8 @@ Index: b/recipes/fan_graphs.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2011 zotzot'
  __docformat__ = 'PEP8'
-Index: b/recipes/fastcompany.recipe
-===================================================================
+diff --git a/recipes/fastcompany.recipe b/recipes/fastcompany.recipe
+index e19510aff1..695b38a6c3 100644
 --- a/recipes/fastcompany.recipe
 +++ b/recipes/fastcompany.recipe
 @@ -1,4 +1,4 @@
@@ -3380,8 +3381,8 @@ Index: b/recipes/fastcompany.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008-2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/favrskovavisen_dk.recipe
-===================================================================
+diff --git a/recipes/favrskovavisen_dk.recipe b/recipes/favrskovavisen_dk.recipe
+index 55ea741cc4..5188ba31a3 100644
 --- a/recipes/favrskovavisen_dk.recipe
 +++ b/recipes/favrskovavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3390,8 +3391,8 @@ Index: b/recipes/favrskovavisen_dk.recip
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/favrskovlokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/favrskovlokalavisen_dk.recipe b/recipes/favrskovlokalavisen_dk.recipe
+index 0aee4b3061..af5c65fda9 100644
 --- a/recipes/favrskovlokalavisen_dk.recipe
 +++ b/recipes/favrskovlokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3400,8 +3401,8 @@ Index: b/recipes/favrskovlokalavisen_dk.
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/faznet.recipe
-===================================================================
+diff --git a/recipes/faznet.recipe b/recipes/faznet.recipe
+index 16b375ed94..558e35b1d6 100644
 --- a/recipes/faznet.recipe
 +++ b/recipes/faznet.recipe
 @@ -1,4 +1,4 @@
@@ -3410,8 +3411,8 @@ Index: b/recipes/faznet.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/felicia.recipe
-===================================================================
+diff --git a/recipes/felicia.recipe b/recipes/felicia.recipe
+index 94aeb713b0..dc9cba5ebf 100644
 --- a/recipes/felicia.recipe
 +++ b/recipes/felicia.recipe
 @@ -1,4 +1,4 @@
@@ -3420,8 +3421,8 @@ Index: b/recipes/felicia.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/fhmro.recipe
-===================================================================
+diff --git a/recipes/fhmro.recipe b/recipes/fhmro.recipe
+index cfaae0ad21..d4cafe4a5a 100644
 --- a/recipes/fhmro.recipe
 +++ b/recipes/fhmro.recipe
 @@ -1,4 +1,4 @@
@@ -3430,8 +3431,8 @@ Index: b/recipes/fhmro.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/financiarul.recipe
-===================================================================
+diff --git a/recipes/financiarul.recipe b/recipes/financiarul.recipe
+index decfece4e1..0f96e054b5 100644
 --- a/recipes/financiarul.recipe
 +++ b/recipes/financiarul.recipe
 @@ -1,4 +1,4 @@
@@ -3440,8 +3441,8 @@ Index: b/recipes/financiarul.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/first_things.recipe
-===================================================================
+diff --git a/recipes/first_things.recipe b/recipes/first_things.recipe
+index f3d8282339..cb125dcf8a 100644
 --- a/recipes/first_things.recipe
 +++ b/recipes/first_things.recipe
 @@ -1,4 +1,4 @@
@@ -3450,8 +3451,8 @@ Index: b/recipes/first_things.recipe
  from __future__ import unicode_literals
  __license__ = 'GPL v3'
  __copyright__ = '2017, John Hutson <jfhutson at gmail.com>'
-Index: b/recipes/focus_de.recipe
-===================================================================
+diff --git a/recipes/focus_de.recipe b/recipes/focus_de.recipe
+index e9ab7077d2..b969923727 100644
 --- a/recipes/focus_de.recipe
 +++ b/recipes/focus_de.recipe
 @@ -1,4 +1,4 @@
@@ -3460,8 +3461,8 @@ Index: b/recipes/focus_de.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  
-Index: b/recipes/folhadesaopaulo.recipe
-===================================================================
+diff --git a/recipes/folhadesaopaulo.recipe b/recipes/folhadesaopaulo.recipe
+index 9541f3a181..68f9d32c54 100644
 --- a/recipes/folhadesaopaulo.recipe
 +++ b/recipes/folhadesaopaulo.recipe
 @@ -1,4 +1,4 @@
@@ -3470,8 +3471,8 @@ Index: b/recipes/folhadesaopaulo.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/folhadesaopaulo_sub.recipe
-===================================================================
+diff --git a/recipes/folhadesaopaulo_sub.recipe b/recipes/folhadesaopaulo_sub.recipe
+index c76f29c684..de7d6cc05c 100644
 --- a/recipes/folhadesaopaulo_sub.recipe
 +++ b/recipes/folhadesaopaulo_sub.recipe
 @@ -1,4 +1,4 @@
@@ -3480,8 +3481,8 @@ Index: b/recipes/folhadesaopaulo_sub.rec
  # vim:fileencoding=utf-8
  
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/folkebladet_dk.recipe
-===================================================================
+diff --git a/recipes/folkebladet_dk.recipe b/recipes/folkebladet_dk.recipe
+index 48d70aa036..012b915a45 100644
 --- a/recipes/folkebladet_dk.recipe
 +++ b/recipes/folkebladet_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3490,8 +3491,8 @@ Index: b/recipes/folkebladet_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/folkebladetdjursland_dk.recipe
-===================================================================
+diff --git a/recipes/folkebladetdjursland_dk.recipe b/recipes/folkebladetdjursland_dk.recipe
+index c6f2f945c9..370fbc7df3 100644
 --- a/recipes/folkebladetdjursland_dk.recipe
 +++ b/recipes/folkebladetdjursland_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3500,8 +3501,8 @@ Index: b/recipes/folkebladetdjursland_dk
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/folketidende_dk.recipe
-===================================================================
+diff --git a/recipes/folketidende_dk.recipe b/recipes/folketidende_dk.recipe
+index 4bcc121e6c..754d89ac56 100644
 --- a/recipes/folketidende_dk.recipe
 +++ b/recipes/folketidende_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3510,8 +3511,8 @@ Index: b/recipes/folketidende_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/forbes_pl.recipe
-===================================================================
+diff --git a/recipes/forbes_pl.recipe b/recipes/forbes_pl.recipe
+index 226cfdb574..6d9a28f993 100644
 --- a/recipes/forbes_pl.recipe
 +++ b/recipes/forbes_pl.recipe
 @@ -1,4 +1,4 @@
@@ -3520,8 +3521,8 @@ Index: b/recipes/forbes_pl.recipe
  
  __license__ = 'GPL v3'
  
-Index: b/recipes/foreign_policy.recipe
-===================================================================
+diff --git a/recipes/foreign_policy.recipe b/recipes/foreign_policy.recipe
+index 6496d03572..bbb6878b9a 100644
 --- a/recipes/foreign_policy.recipe
 +++ b/recipes/foreign_policy.recipe
 @@ -1,4 +1,4 @@
@@ -3530,8 +3531,8 @@ Index: b/recipes/foreign_policy.recipe
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/recipes/foreignaffairs.recipe
-===================================================================
+diff --git a/recipes/foreignaffairs.recipe b/recipes/foreignaffairs.recipe
+index 1f1b89175f..8a6114fca5 100644
 --- a/recipes/foreignaffairs.recipe
 +++ b/recipes/foreignaffairs.recipe
 @@ -1,4 +1,4 @@
@@ -3540,8 +3541,8 @@ Index: b/recipes/foreignaffairs.recipe
  import json
  import re
  
-Index: b/recipes/formulaas.recipe
-===================================================================
+diff --git a/recipes/formulaas.recipe b/recipes/formulaas.recipe
+index bd170a21a6..802eefeab9 100644
 --- a/recipes/formulaas.recipe
 +++ b/recipes/formulaas.recipe
 @@ -1,4 +1,4 @@
@@ -3550,8 +3551,8 @@ Index: b/recipes/formulaas.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/foxnews.recipe
-===================================================================
+diff --git a/recipes/foxnews.recipe b/recipes/foxnews.recipe
+index 5a1c96228a..8e50b25948 100644
 --- a/recipes/foxnews.recipe
 +++ b/recipes/foxnews.recipe
 @@ -1,4 +1,4 @@
@@ -3560,8 +3561,8 @@ Index: b/recipes/foxnews.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/fr_online.recipe
-===================================================================
+diff --git a/recipes/fr_online.recipe b/recipes/fr_online.recipe
+index 292627d63c..85e415965e 100644
 --- a/recipes/fr_online.recipe
 +++ b/recipes/fr_online.recipe
 @@ -1,4 +1,4 @@
@@ -3570,8 +3571,8 @@ Index: b/recipes/fr_online.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2010, Christian Schmitt'
-Index: b/recipes/frankfurter_rundschau.recipe
-===================================================================
+diff --git a/recipes/frankfurter_rundschau.recipe b/recipes/frankfurter_rundschau.recipe
+index e3b9f68200..1eb8c348f1 100644
 --- a/recipes/frankfurter_rundschau.recipe
 +++ b/recipes/frankfurter_rundschau.recipe
 @@ -1,4 +1,4 @@
@@ -3580,8 +3581,8 @@ Index: b/recipes/frankfurter_rundschau.r
  
  '''
  fr-online.de
-Index: b/recipes/freakonomics.recipe
-===================================================================
+diff --git a/recipes/freakonomics.recipe b/recipes/freakonomics.recipe
+index ba4262515a..8b0ff9e840 100644
 --- a/recipes/freakonomics.recipe
 +++ b/recipes/freakonomics.recipe
 @@ -1,4 +1,4 @@
@@ -3590,8 +3591,8 @@ Index: b/recipes/freakonomics.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2011, Starson17'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/fredensborglokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/fredensborglokalavisen_dk.recipe b/recipes/fredensborglokalavisen_dk.recipe
+index 68d8cc07dc..0d2538f91e 100644
 --- a/recipes/fredensborglokalavisen_dk.recipe
 +++ b/recipes/fredensborglokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3600,8 +3601,8 @@ Index: b/recipes/fredensborglokalavisen_
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/fredericialokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/fredericialokalavisen_dk.recipe b/recipes/fredericialokalavisen_dk.recipe
+index 39180e2995..de4e3f1152 100644
 --- a/recipes/fredericialokalavisen_dk.recipe
 +++ b/recipes/fredericialokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3610,8 +3611,8 @@ Index: b/recipes/fredericialokalavisen_d
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/frederiksbergbladet_dk.recipe
-===================================================================
+diff --git a/recipes/frederiksbergbladet_dk.recipe b/recipes/frederiksbergbladet_dk.recipe
+index 4002ce0e59..6461981ce9 100644
 --- a/recipes/frederiksbergbladet_dk.recipe
 +++ b/recipes/frederiksbergbladet_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3620,8 +3621,8 @@ Index: b/recipes/frederiksbergbladet_dk.
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/frederikssundlokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/frederikssundlokalavisen_dk.recipe b/recipes/frederikssundlokalavisen_dk.recipe
+index 46d4d5ffe4..16afa23616 100644
 --- a/recipes/frederikssundlokalavisen_dk.recipe
 +++ b/recipes/frederikssundlokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3630,8 +3631,8 @@ Index: b/recipes/frederikssundlokalavise
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/freeway.recipe
-===================================================================
+diff --git a/recipes/freeway.recipe b/recipes/freeway.recipe
+index 9e91929371..76fc96a05c 100644
 --- a/recipes/freeway.recipe
 +++ b/recipes/freeway.recipe
 @@ -1,4 +1,4 @@
@@ -3640,8 +3641,8 @@ Index: b/recipes/freeway.recipe
  
  __license__ = 'GPL v3'
  __author__ = '2010, Gustavo Azambuja <hola at gazambuja.com>'
-Index: b/recipes/fudzilla.recipe
-===================================================================
+diff --git a/recipes/fudzilla.recipe b/recipes/fudzilla.recipe
+index 1676f61b13..f6d337a8ea 100644
 --- a/recipes/fudzilla.recipe
 +++ b/recipes/fudzilla.recipe
 @@ -1,4 +1,4 @@
@@ -3650,8 +3651,8 @@ Index: b/recipes/fudzilla.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2010 Starson17'
-Index: b/recipes/furesoelokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/furesoelokalavisen_dk.recipe b/recipes/furesoelokalavisen_dk.recipe
+index f9925717a4..e93871be20 100644
 --- a/recipes/furesoelokalavisen_dk.recipe
 +++ b/recipes/furesoelokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3660,8 +3661,8 @@ Index: b/recipes/furesoelokalavisen_dk.r
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/galaxys_edge.recipe
-===================================================================
+diff --git a/recipes/galaxys_edge.recipe b/recipes/galaxys_edge.recipe
+index 01ff26eea9..233277a29c 100644
 --- a/recipes/galaxys_edge.recipe
 +++ b/recipes/galaxys_edge.recipe
 @@ -1,4 +1,4 @@
@@ -3670,8 +3671,8 @@ Index: b/recipes/galaxys_edge.recipe
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/recipes/gandul.recipe
-===================================================================
+diff --git a/recipes/gandul.recipe b/recipes/gandul.recipe
+index ec46a8b451..5a29c28c20 100644
 --- a/recipes/gandul.recipe
 +++ b/recipes/gandul.recipe
 @@ -1,4 +1,4 @@
@@ -3680,8 +3681,8 @@ Index: b/recipes/gandul.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/gazeta-prawna-calibre-v1.recipe
-===================================================================
+diff --git a/recipes/gazeta-prawna-calibre-v1.recipe b/recipes/gazeta-prawna-calibre-v1.recipe
+index 9baea25c7a..ec5ba0495c 100644
 --- a/recipes/gazeta-prawna-calibre-v1.recipe
 +++ b/recipes/gazeta-prawna-calibre-v1.recipe
 @@ -1,4 +1,4 @@
@@ -3690,8 +3691,8 @@ Index: b/recipes/gazeta-prawna-calibre-v
  
  __license__ = 'GPL v3'
  __copyright__ = u'2020, Tomasz Jozwiak <tjozwiakgm@gmail.com>'
-Index: b/recipes/gazeta_pl_bydgoszcz.recipe
-===================================================================
+diff --git a/recipes/gazeta_pl_bydgoszcz.recipe b/recipes/gazeta_pl_bydgoszcz.recipe
+index bb45c907ae..db95c7c383 100644
 --- a/recipes/gazeta_pl_bydgoszcz.recipe
 +++ b/recipes/gazeta_pl_bydgoszcz.recipe
 @@ -1,4 +1,4 @@
@@ -3700,8 +3701,8 @@ Index: b/recipes/gazeta_pl_bydgoszcz.rec
  
  __license__ = 'GPL v3'
  
-Index: b/recipes/gazeta_pl_krakow.recipe
-===================================================================
+diff --git a/recipes/gazeta_pl_krakow.recipe b/recipes/gazeta_pl_krakow.recipe
+index e8b59c673a..e03e410668 100644
 --- a/recipes/gazeta_pl_krakow.recipe
 +++ b/recipes/gazeta_pl_krakow.recipe
 @@ -1,4 +1,4 @@
@@ -3710,8 +3711,8 @@ Index: b/recipes/gazeta_pl_krakow.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = 'teepel <teepel44@gmail.com> based on GW from fenuks'
-Index: b/recipes/gazeta_pl_warszawa.recipe
-===================================================================
+diff --git a/recipes/gazeta_pl_warszawa.recipe b/recipes/gazeta_pl_warszawa.recipe
+index c60e477ba2..f7c0e4483b 100644
 --- a/recipes/gazeta_pl_warszawa.recipe
 +++ b/recipes/gazeta_pl_warszawa.recipe
 @@ -1,4 +1,4 @@
@@ -3720,8 +3721,8 @@ Index: b/recipes/gazeta_pl_warszawa.reci
  
  __license__ = 'GPL v3'
  __author__ = 'teepel <teepel44@gmail.com> based on GW from fenuks'
-Index: b/recipes/gentoftelokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/gentoftelokalavisen_dk.recipe b/recipes/gentoftelokalavisen_dk.recipe
+index 0ae2fbe62b..f3239d4f98 100644
 --- a/recipes/gentoftelokalavisen_dk.recipe
 +++ b/recipes/gentoftelokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3730,8 +3731,8 @@ Index: b/recipes/gentoftelokalavisen_dk.
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/globe_and_mail.recipe
-===================================================================
+diff --git a/recipes/globe_and_mail.recipe b/recipes/globe_and_mail.recipe
+index 58f4f3e384..a2661823af 100644
 --- a/recipes/globe_and_mail.recipe
 +++ b/recipes/globe_and_mail.recipe
 @@ -1,4 +1,4 @@
@@ -3740,8 +3741,8 @@ Index: b/recipes/globe_and_mail.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/go4it.recipe
-===================================================================
+diff --git a/recipes/go4it.recipe b/recipes/go4it.recipe
+index 8fc752b75a..38bc9619c5 100644
 --- a/recipes/go4it.recipe
 +++ b/recipes/go4it.recipe
 @@ -1,4 +1,4 @@
@@ -3750,8 +3751,8 @@ Index: b/recipes/go4it.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/gofin_pl.recipe
-===================================================================
+diff --git a/recipes/gofin_pl.recipe b/recipes/gofin_pl.recipe
+index 0a0674c98f..a4361245c3 100644
 --- a/recipes/gofin_pl.recipe
 +++ b/recipes/gofin_pl.recipe
 @@ -1,4 +1,4 @@
@@ -3760,8 +3761,8 @@ Index: b/recipes/gofin_pl.recipe
  
  __license__ = 'GPL v3'
  __author__ = 'teepel <teepel44@gmail.com>'
-Index: b/recipes/gosc_niedzielny.recipe
-===================================================================
+diff --git a/recipes/gosc_niedzielny.recipe b/recipes/gosc_niedzielny.recipe
+index be9d0fb9f9..5d19eab4e5 100644
 --- a/recipes/gosc_niedzielny.recipe
 +++ b/recipes/gosc_niedzielny.recipe
 @@ -1,4 +1,4 @@
@@ -3770,8 +3771,8 @@ Index: b/recipes/gosc_niedzielny.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/granma.recipe
-===================================================================
+diff --git a/recipes/granma.recipe b/recipes/granma.recipe
+index 157e04633e..f3b8e89dd0 100644
 --- a/recipes/granma.recipe
 +++ b/recipes/granma.recipe
 @@ -1,4 +1,4 @@
@@ -3780,8 +3781,8 @@ Index: b/recipes/granma.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008-2019, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/granta.recipe
-===================================================================
+diff --git a/recipes/granta.recipe b/recipes/granta.recipe
+index 0f3064d7b4..4de7ae11f9 100644
 --- a/recipes/granta.recipe
 +++ b/recipes/granta.recipe
 @@ -1,4 +1,4 @@
@@ -3790,8 +3791,8 @@ Index: b/recipes/granta.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2018, Gary Arnold garnold@garyarnold.com'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/grenaalokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/grenaalokalavisen_dk.recipe b/recipes/grenaalokalavisen_dk.recipe
+index 32973c3d66..427ab17278 100644
 --- a/recipes/grenaalokalavisen_dk.recipe
 +++ b/recipes/grenaalokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3800,8 +3801,8 @@ Index: b/recipes/grenaalokalavisen_dk.re
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/gribskovlokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/gribskovlokalavisen_dk.recipe b/recipes/gribskovlokalavisen_dk.recipe
+index 3e8eb7d69f..81d663799a 100644
 --- a/recipes/gribskovlokalavisen_dk.recipe
 +++ b/recipes/gribskovlokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3810,8 +3811,8 @@ Index: b/recipes/gribskovlokalavisen_dk.
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/gsp.recipe
-===================================================================
+diff --git a/recipes/gsp.recipe b/recipes/gsp.recipe
+index 708c3e1faa..6a2e611ab4 100644
 --- a/recipes/gsp.recipe
 +++ b/recipes/gsp.recipe
 @@ -1,4 +1,4 @@
@@ -3820,8 +3821,8 @@ Index: b/recipes/gsp.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/guardian.recipe
-===================================================================
+diff --git a/recipes/guardian.recipe b/recipes/guardian.recipe
+index 972be4be1d..ab6a1382e7 100644
 --- a/recipes/guardian.recipe
 +++ b/recipes/guardian.recipe
 @@ -1,4 +1,4 @@
@@ -3830,8 +3831,8 @@ Index: b/recipes/guardian.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/gva_be.recipe
-===================================================================
+diff --git a/recipes/gva_be.recipe b/recipes/gva_be.recipe
+index fb6110c314..554b61d1d5 100644
 --- a/recipes/gva_be.recipe
 +++ b/recipes/gva_be.recipe
 @@ -1,4 +1,4 @@
@@ -3840,8 +3841,8 @@ Index: b/recipes/gva_be.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  
-Index: b/recipes/h3.recipe
-===================================================================
+diff --git a/recipes/h3.recipe b/recipes/h3.recipe
+index ec2c889662..022dc7d12a 100644
 --- a/recipes/h3.recipe
 +++ b/recipes/h3.recipe
 @@ -1,4 +1,4 @@
@@ -3850,8 +3851,8 @@ Index: b/recipes/h3.recipe
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement
  
-Index: b/recipes/hackernews.recipe
-===================================================================
+diff --git a/recipes/hackernews.recipe b/recipes/hackernews.recipe
+index 36c8dcd287..6f44fe8961 100644
 --- a/recipes/hackernews.recipe
 +++ b/recipes/hackernews.recipe
 @@ -1,4 +1,4 @@
@@ -3860,8 +3861,8 @@ Index: b/recipes/hackernews.recipe
  
  __license__ = 'GPL v3'
  '''
-Index: b/recipes/haderslevlokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/haderslevlokalavisen_dk.recipe b/recipes/haderslevlokalavisen_dk.recipe
+index 2460e813a4..d5c9c0449e 100644
 --- a/recipes/haderslevlokalavisen_dk.recipe
 +++ b/recipes/haderslevlokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3870,8 +3871,8 @@ Index: b/recipes/haderslevlokalavisen_dk
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/handelsblatt.recipe
-===================================================================
+diff --git a/recipes/handelsblatt.recipe b/recipes/handelsblatt.recipe
+index 665a587053..842fb5798c 100644
 --- a/recipes/handelsblatt.recipe
 +++ b/recipes/handelsblatt.recipe
 @@ -1,4 +1,4 @@
@@ -3880,8 +3881,8 @@ Index: b/recipes/handelsblatt.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Aimylios <aimylios at gmx.de>
  
-Index: b/recipes/hatalska.recipe
-===================================================================
+diff --git a/recipes/hatalska.recipe b/recipes/hatalska.recipe
+index 0f88877320..8ec1f7b9fe 100644
 --- a/recipes/hatalska.recipe
 +++ b/recipes/hatalska.recipe
 @@ -1,4 +1,4 @@
@@ -3890,8 +3891,8 @@ Index: b/recipes/hatalska.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = 'teepel 2012'
-Index: b/recipes/hbr.recipe
-===================================================================
+diff --git a/recipes/hbr.recipe b/recipes/hbr.recipe
+index 5d27597184..226b783639 100644
 --- a/recipes/hbr.recipe
 +++ b/recipes/hbr.recipe
 @@ -1,4 +1,4 @@
@@ -3900,8 +3901,8 @@ Index: b/recipes/hbr.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/hindu_business_line.recipe
-===================================================================
+diff --git a/recipes/hindu_business_line.recipe b/recipes/hindu_business_line.recipe
+index c913d50703..5aa37699ea 100644
 --- a/recipes/hindu_business_line.recipe
 +++ b/recipes/hindu_business_line.recipe
 @@ -1,4 +1,4 @@
@@ -3910,8 +3911,8 @@ Index: b/recipes/hindu_business_line.rec
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/hln_be.recipe
-===================================================================
+diff --git a/recipes/hln_be.recipe b/recipes/hln_be.recipe
+index 05bba2c525..42b3a06067 100644
 --- a/recipes/hln_be.recipe
 +++ b/recipes/hln_be.recipe
 @@ -1,4 +1,4 @@
@@ -3920,8 +3921,8 @@ Index: b/recipes/hln_be.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/hoersholmlokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/hoersholmlokalavisen_dk.recipe b/recipes/hoersholmlokalavisen_dk.recipe
+index 94dfa01f45..27758d4935 100644
 --- a/recipes/hoersholmlokalavisen_dk.recipe
 +++ b/recipes/hoersholmlokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3930,8 +3931,8 @@ Index: b/recipes/hoersholmlokalavisen_dk
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/hola.recipe
-===================================================================
+diff --git a/recipes/hola.recipe b/recipes/hola.recipe
+index 115eb9deb1..ad711674b6 100644
 --- a/recipes/hola.recipe
 +++ b/recipes/hola.recipe
 @@ -1,4 +1,4 @@
@@ -3940,8 +3941,8 @@ Index: b/recipes/hola.recipe
  # vim:fileencoding=UTF-8
  __license__ = 'GPL v3'
  __copyright__ = '30 June 2012, desUBIKado'
-Index: b/recipes/hornsherredavis_dk.recipe
-===================================================================
+diff --git a/recipes/hornsherredavis_dk.recipe b/recipes/hornsherredavis_dk.recipe
+index 9759954cf3..e2845972f7 100644
 --- a/recipes/hornsherredavis_dk.recipe
 +++ b/recipes/hornsherredavis_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3950,8 +3951,8 @@ Index: b/recipes/hornsherredavis_dk.reci
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/hornsherredlokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/hornsherredlokalavisen_dk.recipe b/recipes/hornsherredlokalavisen_dk.recipe
+index 0a24551b1c..773887ce71 100644
 --- a/recipes/hornsherredlokalavisen_dk.recipe
 +++ b/recipes/hornsherredlokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -3960,8 +3961,8 @@ Index: b/recipes/hornsherredlokalavisen_
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/hotcity.recipe
-===================================================================
+diff --git a/recipes/hotcity.recipe b/recipes/hotcity.recipe
+index 7c6448567d..b0ed801420 100644
 --- a/recipes/hotcity.recipe
 +++ b/recipes/hotcity.recipe
 @@ -1,4 +1,4 @@
@@ -3970,8 +3971,8 @@ Index: b/recipes/hotcity.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/hotnews.recipe
-===================================================================
+diff --git a/recipes/hotnews.recipe b/recipes/hotnews.recipe
+index 82c7fea518..0f61ef3032 100644
 --- a/recipes/hotnews.recipe
 +++ b/recipes/hotnews.recipe
 @@ -1,4 +1,4 @@
@@ -3980,8 +3981,8 @@ Index: b/recipes/hotnews.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/houston_chronicle.recipe
-===================================================================
+diff --git a/recipes/houston_chronicle.recipe b/recipes/houston_chronicle.recipe
+index 2d75395d0d..2fd6d66fdb 100644
 --- a/recipes/houston_chronicle.recipe
 +++ b/recipes/houston_chronicle.recipe
 @@ -1,4 +1,4 @@
@@ -3990,8 +3991,8 @@ Index: b/recipes/houston_chronicle.recip
  # -*- coding: utf-8 -*-
  from __future__ import print_function
  __license__   = 'GPL v3'
-Index: b/recipes/hoy.recipe
-===================================================================
+diff --git a/recipes/hoy.recipe b/recipes/hoy.recipe
+index 104e04ab7c..a02db1cec4 100644
 --- a/recipes/hoy.recipe
 +++ b/recipes/hoy.recipe
 @@ -1,4 +1,4 @@
@@ -4000,8 +4001,8 @@ Index: b/recipes/hoy.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/hrt.recipe
-===================================================================
+diff --git a/recipes/hrt.recipe b/recipes/hrt.recipe
+index d2fcf3bcdc..40a4103591 100644
 --- a/recipes/hrt.recipe
 +++ b/recipes/hrt.recipe
 @@ -1,4 +1,4 @@
@@ -4010,8 +4011,8 @@ Index: b/recipes/hrt.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/hvidovreavis_dk.recipe
-===================================================================
+diff --git a/recipes/hvidovreavis_dk.recipe b/recipes/hvidovreavis_dk.recipe
+index a61004820f..8c77bf52fc 100644
 --- a/recipes/hvidovreavis_dk.recipe
 +++ b/recipes/hvidovreavis_dk.recipe
 @@ -1,4 +1,4 @@
@@ -4020,8 +4021,8 @@ Index: b/recipes/hvidovreavis_dk.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/hvidovrelokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/hvidovrelokalavisen_dk.recipe b/recipes/hvidovrelokalavisen_dk.recipe
+index f4da692e0a..61861cf7e3 100644
 --- a/recipes/hvidovrelokalavisen_dk.recipe
 +++ b/recipes/hvidovrelokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -4030,8 +4031,8 @@ Index: b/recipes/hvidovrelokalavisen_dk.
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/id_pixel.recipe
-===================================================================
+diff --git a/recipes/id_pixel.recipe b/recipes/id_pixel.recipe
+index c927c71b6c..f12da68f32 100644
 --- a/recipes/id_pixel.recipe
 +++ b/recipes/id_pixel.recipe
 @@ -1,4 +1,4 @@
@@ -4040,8 +4041,8 @@ Index: b/recipes/id_pixel.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/iekspries.recipe
-===================================================================
+diff --git a/recipes/iekspries.recipe b/recipes/iekspries.recipe
+index 9bd3b2dc58..760c7e77e2 100644
 --- a/recipes/iekspries.recipe
 +++ b/recipes/iekspries.recipe
 @@ -1,4 +1,4 @@
@@ -4050,8 +4051,8 @@ Index: b/recipes/iekspries.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/iktibas.recipe
-===================================================================
+diff --git a/recipes/iktibas.recipe b/recipes/iktibas.recipe
+index 60e6e48a67..bfcedc3ceb 100644
 --- a/recipes/iktibas.recipe
 +++ b/recipes/iktibas.recipe
 @@ -1,4 +1,4 @@
@@ -4060,8 +4061,8 @@ Index: b/recipes/iktibas.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import AutomaticNewsRecipe
-Index: b/recipes/il_giornale.recipe
-===================================================================
+diff --git a/recipes/il_giornale.recipe b/recipes/il_giornale.recipe
+index 70cc8bfe4e..bbbfbd7261 100644
 --- a/recipes/il_giornale.recipe
 +++ b/recipes/il_giornale.recipe
 @@ -1,4 +1,4 @@
@@ -4070,8 +4071,8 @@ Index: b/recipes/il_giornale.recipe
  __license__ = 'GPL v3'
  __author__ = 'Gambarini, based on Darko Miletic'
  __copyright__ = '2009-2010, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/il_messaggero.recipe
-===================================================================
+diff --git a/recipes/il_messaggero.recipe b/recipes/il_messaggero.recipe
+index 1c49399682..c07112a9e1 100644
 --- a/recipes/il_messaggero.recipe
 +++ b/recipes/il_messaggero.recipe
 @@ -1,4 +1,4 @@
@@ -4080,8 +4081,8 @@ Index: b/recipes/il_messaggero.recipe
  __license__ = 'GPL v3'
  __author__ = 'Gabriele Marini, based on Darko Miletic'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/il_post.recipe
-===================================================================
+diff --git a/recipes/il_post.recipe b/recipes/il_post.recipe
+index 6c64b33ef5..c7b3c063e8 100644
 --- a/recipes/il_post.recipe
 +++ b/recipes/il_post.recipe
 @@ -1,4 +1,4 @@
@@ -4090,8 +4091,8 @@ Index: b/recipes/il_post.recipe
  ##
  # Title:        Il Post recipe for calibre
  # Author:       Marco Scirea, based on a recipe by frafra
-Index: b/recipes/imperatortravel.recipe
-===================================================================
+diff --git a/recipes/imperatortravel.recipe b/recipes/imperatortravel.recipe
+index 889e0374de..69e5957baf 100644
 --- a/recipes/imperatortravel.recipe
 +++ b/recipes/imperatortravel.recipe
 @@ -1,4 +1,4 @@
@@ -4100,8 +4101,8 @@ Index: b/recipes/imperatortravel.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/inc.recipe
-===================================================================
+diff --git a/recipes/inc.recipe b/recipes/inc.recipe
+index 8a792b8b17..f1dfa19c2a 100644
 --- a/recipes/inc.recipe
 +++ b/recipes/inc.recipe
 @@ -1,4 +1,4 @@
@@ -4110,8 +4111,8 @@ Index: b/recipes/inc.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Nikolas Mangold-Takao <nmangold at gmail.com>'
-Index: b/recipes/independent.recipe
-===================================================================
+diff --git a/recipes/independent.recipe b/recipes/independent.recipe
+index a4569715fb..fc526ad60b 100644
 --- a/recipes/independent.recipe
 +++ b/recipes/independent.recipe
 @@ -1,4 +1,4 @@
@@ -4120,8 +4121,8 @@ Index: b/recipes/independent.recipe
  # vim:fileencoding=utf-8
  from calibre import random_user_agent
  from calibre.web.feeds.recipes import BasicNewsRecipe
-Index: b/recipes/infomotori.recipe
-===================================================================
+diff --git a/recipes/infomotori.recipe b/recipes/infomotori.recipe
+index 29497b6415..5de516a244 100644
 --- a/recipes/infomotori.recipe
 +++ b/recipes/infomotori.recipe
 @@ -1,4 +1,4 @@
@@ -4130,8 +4131,8 @@ Index: b/recipes/infomotori.recipe
  __license__ = 'GPL v3'
  __author__ = 'Gabriele Marini, based on Darko Miletic'
  __copyright__ = '2009-2010, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/infoworld.recipe
-===================================================================
+diff --git a/recipes/infoworld.recipe b/recipes/infoworld.recipe
+index 23d3cacf64..3873576490 100644
 --- a/recipes/infoworld.recipe
 +++ b/recipes/infoworld.recipe
 @@ -1,4 +1,4 @@
@@ -4140,8 +4141,8 @@ Index: b/recipes/infoworld.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Rick Kellogg'
-Index: b/recipes/ing_dk.recipe
-===================================================================
+diff --git a/recipes/ing_dk.recipe b/recipes/ing_dk.recipe
+index 3b2ade2cd7..dc0c22dcac 100644
 --- a/recipes/ing_dk.recipe
 +++ b/recipes/ing_dk.recipe
 @@ -1,4 +1,4 @@
@@ -4150,8 +4151,8 @@ Index: b/recipes/ing_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/inquirer_net.recipe
-===================================================================
+diff --git a/recipes/inquirer_net.recipe b/recipes/inquirer_net.recipe
+index dc66373787..177a2d2fb3 100644
 --- a/recipes/inquirer_net.recipe
 +++ b/recipes/inquirer_net.recipe
 @@ -1,4 +1,4 @@
@@ -4160,8 +4161,8 @@ Index: b/recipes/inquirer_net.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/intelligencer.recipe
-===================================================================
+diff --git a/recipes/intelligencer.recipe b/recipes/intelligencer.recipe
+index 38248780bd..a2cf048220 100644
 --- a/recipes/intelligencer.recipe
 +++ b/recipes/intelligencer.recipe
 @@ -1,4 +1,4 @@
@@ -4170,8 +4171,8 @@ Index: b/recipes/intelligencer.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/intrefete.recipe
-===================================================================
+diff --git a/recipes/intrefete.recipe b/recipes/intrefete.recipe
+index 2f78552bd7..21be99a9b5 100644
 --- a/recipes/intrefete.recipe
 +++ b/recipes/intrefete.recipe
 @@ -1,4 +1,4 @@
@@ -4180,8 +4181,8 @@ Index: b/recipes/intrefete.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/iprofesional.recipe
-===================================================================
+diff --git a/recipes/iprofesional.recipe b/recipes/iprofesional.recipe
+index 4d2bca4313..27dad0a157 100644
 --- a/recipes/iprofesional.recipe
 +++ b/recipes/iprofesional.recipe
 @@ -1,4 +1,4 @@
@@ -4190,8 +4191,8 @@ Index: b/recipes/iprofesional.recipe
  # -*- mode: python -*-
  # -*- coding: utf-8 -*-
  
-Index: b/recipes/ixbt.recipe
-===================================================================
+diff --git a/recipes/ixbt.recipe b/recipes/ixbt.recipe
+index ce17a54b24..a889f67ebf 100644
 --- a/recipes/ixbt.recipe
 +++ b/recipes/ixbt.recipe
 @@ -1,4 +1,4 @@
@@ -4200,8 +4201,8 @@ Index: b/recipes/ixbt.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/jakarta_post.recipe
-===================================================================
+diff --git a/recipes/jakarta_post.recipe b/recipes/jakarta_post.recipe
+index 5ff13fc806..d76abb172f 100644
 --- a/recipes/jakarta_post.recipe
 +++ b/recipes/jakarta_post.recipe
 @@ -1,4 +1,4 @@
@@ -4210,8 +4211,8 @@ Index: b/recipes/jakarta_post.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2011, Adrian Gunawan <agunawan at adrnalin.com>'
  __author__ = 'Adrian Gunawan'
-Index: b/recipes/javalobby.recipe
-===================================================================
+diff --git a/recipes/javalobby.recipe b/recipes/javalobby.recipe
+index 02ca9614bf..dfd5396dd9 100644
 --- a/recipes/javalobby.recipe
 +++ b/recipes/javalobby.recipe
 @@ -1,4 +1,4 @@
@@ -4220,8 +4221,8 @@ Index: b/recipes/javalobby.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Rick Kellogg'
-Index: b/recipes/jb_online.recipe
-===================================================================
+diff --git a/recipes/jb_online.recipe b/recipes/jb_online.recipe
+index b78002acd1..efd6161e46 100644
 --- a/recipes/jb_online.recipe
 +++ b/recipes/jb_online.recipe
 @@ -1,4 +1,4 @@
@@ -4230,8 +4231,8 @@ Index: b/recipes/jb_online.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/joelonsoftware.recipe
-===================================================================
+diff --git a/recipes/joelonsoftware.recipe b/recipes/joelonsoftware.recipe
+index 30ba000e0c..18aafa2d93 100644
 --- a/recipes/joelonsoftware.recipe
 +++ b/recipes/joelonsoftware.recipe
 @@ -1,4 +1,4 @@
@@ -4240,8 +4241,8 @@ Index: b/recipes/joelonsoftware.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/journalgazette.recipe
-===================================================================
+diff --git a/recipes/journalgazette.recipe b/recipes/journalgazette.recipe
+index 81fb6d1b9b..4c8c8ec2aa 100644
 --- a/recipes/journalgazette.recipe
 +++ b/recipes/journalgazette.recipe
 @@ -1,4 +1,4 @@
@@ -4250,8 +4251,8 @@ Index: b/recipes/journalgazette.recipe
  __license__ = 'GPL v3'
  __author__ = 'somedayson & TonytheBookworm, revised by Cynthia Clavey'
  __copyright__ = '2010, Cynthia Clavey cynvision@yahoo.com'
-Index: b/recipes/jurnalulnational.recipe
-===================================================================
+diff --git a/recipes/jurnalulnational.recipe b/recipes/jurnalulnational.recipe
+index 5e3e57eb30..329ef77448 100644
 --- a/recipes/jurnalulnational.recipe
 +++ b/recipes/jurnalulnational.recipe
 @@ -1,4 +1,4 @@
@@ -4260,8 +4261,8 @@ Index: b/recipes/jurnalulnational.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/jutarnji.recipe
-===================================================================
+diff --git a/recipes/jutarnji.recipe b/recipes/jutarnji.recipe
+index ddfb0e6592..4c939cfc26 100644
 --- a/recipes/jutarnji.recipe
 +++ b/recipes/jutarnji.recipe
 @@ -1,4 +1,4 @@
@@ -4270,8 +4271,8 @@ Index: b/recipes/jutarnji.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008-2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/jv_dk.recipe
-===================================================================
+diff --git a/recipes/jv_dk.recipe b/recipes/jv_dk.recipe
+index 81a369a09e..a01206e515 100644
 --- a/recipes/jv_dk.recipe
 +++ b/recipes/jv_dk.recipe
 @@ -1,4 +1,4 @@
@@ -4280,8 +4281,8 @@ Index: b/recipes/jv_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/kaloeviglokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/kaloeviglokalavisen_dk.recipe b/recipes/kaloeviglokalavisen_dk.recipe
+index 721d7ef3ad..366b15dbac 100644
 --- a/recipes/kaloeviglokalavisen_dk.recipe
 +++ b/recipes/kaloeviglokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -4290,8 +4291,8 @@ Index: b/recipes/kaloeviglokalavisen_dk.
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/kamikaze.recipe
-===================================================================
+diff --git a/recipes/kamikaze.recipe b/recipes/kamikaze.recipe
+index 4748a6a04c..8153c5ac96 100644
 --- a/recipes/kamikaze.recipe
 +++ b/recipes/kamikaze.recipe
 @@ -1,4 +1,4 @@
@@ -4300,8 +4301,8 @@ Index: b/recipes/kamikaze.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/karsi_gazete.recipe
-===================================================================
+diff --git a/recipes/karsi_gazete.recipe b/recipes/karsi_gazete.recipe
+index 679d3cb91e..7d28484250 100644
 --- a/recipes/karsi_gazete.recipe
 +++ b/recipes/karsi_gazete.recipe
 @@ -1,4 +1,4 @@
@@ -4310,8 +4311,8 @@ Index: b/recipes/karsi_gazete.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/kellog_insight.recipe
-===================================================================
+diff --git a/recipes/kellog_insight.recipe b/recipes/kellog_insight.recipe
+index a536dbe512..955b530d8e 100644
 --- a/recipes/kellog_insight.recipe
 +++ b/recipes/kellog_insight.recipe
 @@ -1,4 +1,4 @@
@@ -4320,8 +4321,8 @@ Index: b/recipes/kellog_insight.recipe
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement
  
-Index: b/recipes/kerrang.recipe
-===================================================================
+diff --git a/recipes/kerrang.recipe b/recipes/kerrang.recipe
+index faebf35149..ca245dc95c 100644
 --- a/recipes/kerrang.recipe
 +++ b/recipes/kerrang.recipe
 @@ -1,4 +1,4 @@
@@ -4330,8 +4331,8 @@ Index: b/recipes/kerrang.recipe
  
  __license__ = 'GPL v3'
  
-Index: b/recipes/kgsenghavebladet_dk.recipe
-===================================================================
+diff --git a/recipes/kgsenghavebladet_dk.recipe b/recipes/kgsenghavebladet_dk.recipe
+index ae2b21aad5..f4f7328114 100644
 --- a/recipes/kgsenghavebladet_dk.recipe
 +++ b/recipes/kgsenghavebladet_dk.recipe
 @@ -1,4 +1,4 @@
@@ -4340,8 +4341,8 @@ Index: b/recipes/kgsenghavebladet_dk.rec
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/kitekinto.recipe
-===================================================================
+diff --git a/recipes/kitekinto.recipe b/recipes/kitekinto.recipe
+index 0d07cb1935..93323f7ec6 100644
 --- a/recipes/kitekinto.recipe
 +++ b/recipes/kitekinto.recipe
 @@ -1,4 +1,4 @@
@@ -4350,8 +4351,8 @@ Index: b/recipes/kitekinto.recipe
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/recipes/kleinezeitung.recipe
-===================================================================
+diff --git a/recipes/kleinezeitung.recipe b/recipes/kleinezeitung.recipe
+index d8c2599923..b43e585327 100644
 --- a/recipes/kleinezeitung.recipe
 +++ b/recipes/kleinezeitung.recipe
 @@ -1,4 +1,4 @@
@@ -4360,8 +4361,8 @@ Index: b/recipes/kleinezeitung.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  
-Index: b/recipes/knack_be.recipe
-===================================================================
+diff --git a/recipes/knack_be.recipe b/recipes/knack_be.recipe
+index ea95e9fec6..167d1ed75a 100644
 --- a/recipes/knack_be.recipe
 +++ b/recipes/knack_be.recipe
 @@ -1,4 +1,4 @@
@@ -4370,8 +4371,8 @@ Index: b/recipes/knack_be.recipe
  
  from calibre.web.feeds.news import BasicNewsRecipe
  
-Index: b/recipes/koegelokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/koegelokalavisen_dk.recipe b/recipes/koegelokalavisen_dk.recipe
+index fb4d8532cb..62fe6d5081 100644
 --- a/recipes/koegelokalavisen_dk.recipe
 +++ b/recipes/koegelokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -4380,8 +4381,8 @@ Index: b/recipes/koegelokalavisen_dk.rec
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/koldinglokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/koldinglokalavisen_dk.recipe b/recipes/koldinglokalavisen_dk.recipe
+index ceaecdad3b..85d01a28b5 100644
 --- a/recipes/koldinglokalavisen_dk.recipe
 +++ b/recipes/koldinglokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -4390,8 +4391,8 @@ Index: b/recipes/koldinglokalavisen_dk.r
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/kommunalsundhed_dk.recipe
-===================================================================
+diff --git a/recipes/kommunalsundhed_dk.recipe b/recipes/kommunalsundhed_dk.recipe
+index a4bb27b232..37deab145c 100644
 --- a/recipes/kommunalsundhed_dk.recipe
 +++ b/recipes/kommunalsundhed_dk.recipe
 @@ -1,4 +1,4 @@
@@ -4400,8 +4401,8 @@ Index: b/recipes/kommunalsundhed_dk.reci
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/kompas.recipe
-===================================================================
+diff --git a/recipes/kompas.recipe b/recipes/kompas.recipe
+index 75ca568b68..657500209b 100644
 --- a/recipes/kompas.recipe
 +++ b/recipes/kompas.recipe
 @@ -1,4 +1,4 @@
@@ -4410,8 +4411,8 @@ Index: b/recipes/kompas.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2011, Adrian Gunawan <agunawan at adrnalin.com>'
  __author__ = 'Adrian Gunawan'
-Index: b/recipes/kompiutierra.recipe
-===================================================================
+diff --git a/recipes/kompiutierra.recipe b/recipes/kompiutierra.recipe
+index 9748464c01..7f4364108f 100644
 --- a/recipes/kompiutierra.recipe
 +++ b/recipes/kompiutierra.recipe
 @@ -1,4 +1,4 @@
@@ -4420,8 +4421,8 @@ Index: b/recipes/kompiutierra.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/kristeligt_dagblad_dk.recipe
-===================================================================
+diff --git a/recipes/kristeligt_dagblad_dk.recipe b/recipes/kristeligt_dagblad_dk.recipe
+index 899980924d..65b02b5f4e 100644
 --- a/recipes/kristeligt_dagblad_dk.recipe
 +++ b/recipes/kristeligt_dagblad_dk.recipe
 @@ -1,4 +1,4 @@
@@ -4430,8 +4431,8 @@ Index: b/recipes/kristeligt_dagblad_dk.r
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/krstarica_en.recipe
-===================================================================
+diff --git a/recipes/krstarica_en.recipe b/recipes/krstarica_en.recipe
+index d971cd59db..6454c4790a 100644
 --- a/recipes/krstarica_en.recipe
 +++ b/recipes/krstarica_en.recipe
 @@ -1,4 +1,4 @@
@@ -4440,8 +4441,8 @@ Index: b/recipes/krstarica_en.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/kudika.recipe
-===================================================================
+diff --git a/recipes/kudika.recipe b/recipes/kudika.recipe
+index bab82e2372..c34d35f78d 100644
 --- a/recipes/kudika.recipe
 +++ b/recipes/kudika.recipe
 @@ -1,4 +1,4 @@
@@ -4450,8 +4451,8 @@ Index: b/recipes/kudika.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/kukuburi.recipe
-===================================================================
+diff --git a/recipes/kukuburi.recipe b/recipes/kukuburi.recipe
+index 9c4a5094d4..046a8906e5 100644
 --- a/recipes/kukuburi.recipe
 +++ b/recipes/kukuburi.recipe
 @@ -1,4 +1,4 @@
@@ -4460,8 +4461,8 @@ Index: b/recipes/kukuburi.recipe
  
  __license__ = 'GPL v3'
  __author__ = 'Mori'
-Index: b/recipes/kurier.recipe
-===================================================================
+diff --git a/recipes/kurier.recipe b/recipes/kurier.recipe
+index 774c92b277..2a42efb938 100644
 --- a/recipes/kurier.recipe
 +++ b/recipes/kurier.recipe
 @@ -1,4 +1,4 @@
@@ -4470,8 +4471,8 @@ Index: b/recipes/kurier.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  
-Index: b/recipes/l_espresso.recipe
-===================================================================
+diff --git a/recipes/l_espresso.recipe b/recipes/l_espresso.recipe
+index cd003987bb..1888b9b963 100644
 --- a/recipes/l_espresso.recipe
 +++ b/recipes/l_espresso.recipe
 @@ -1,4 +1,4 @@
@@ -4480,8 +4481,8 @@ Index: b/recipes/l_espresso.recipe
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini, Gabriele Marini'
  __copyright__ = '2009, Lorenzo Vigentini <l.vigentini at gmail.com>'
-Index: b/recipes/la_cuarta.recipe
-===================================================================
+diff --git a/recipes/la_cuarta.recipe b/recipes/la_cuarta.recipe
+index 81bb5a0863..63cb46583e 100644
 --- a/recipes/la_cuarta.recipe
 +++ b/recipes/la_cuarta.recipe
 @@ -1,4 +1,4 @@
@@ -4490,8 +4491,8 @@ Index: b/recipes/la_cuarta.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/la_gazetta_del_mezzogiorno.recipe
-===================================================================
+diff --git a/recipes/la_gazetta_del_mezzogiorno.recipe b/recipes/la_gazetta_del_mezzogiorno.recipe
+index fd97ed6539..e559c58199 100644
 --- a/recipes/la_gazetta_del_mezzogiorno.recipe
 +++ b/recipes/la_gazetta_del_mezzogiorno.recipe
 @@ -1,4 +1,4 @@
@@ -4500,8 +4501,8 @@ Index: b/recipes/la_gazetta_del_mezzogio
  __license__ = 'GPL v3'
  __copyright__ = '2012, faber1971'
  __version__ = 'v1.01'
-Index: b/recipes/la_gazzeta_dello_sport.recipe
-===================================================================
+diff --git a/recipes/la_gazzeta_dello_sport.recipe b/recipes/la_gazzeta_dello_sport.recipe
+index 37831047bc..14807c922a 100644
 --- a/recipes/la_gazzeta_dello_sport.recipe
 +++ b/recipes/la_gazzeta_dello_sport.recipe
 @@ -1,4 +1,4 @@
@@ -4510,8 +4511,8 @@ Index: b/recipes/la_gazzeta_dello_sport.
  from __future__ import print_function
  __license__   = 'GPL v3'
  __author__ = 'Lorenzo Vigentini'
-Index: b/recipes/la_stampa.recipe
-===================================================================
+diff --git a/recipes/la_stampa.recipe b/recipes/la_stampa.recipe
+index a608e8ebd5..69767fba37 100644
 --- a/recipes/la_stampa.recipe
 +++ b/recipes/la_stampa.recipe
 @@ -1,4 +1,4 @@
@@ -4520,8 +4521,8 @@ Index: b/recipes/la_stampa.recipe
  __license__ = 'GPL v3'
  __author__ = 'Gabriele Marini, based on Darko Miletic'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/lalibre_be.recipe
-===================================================================
+diff --git a/recipes/lalibre_be.recipe b/recipes/lalibre_be.recipe
+index f824556407..cef8318a0e 100644
 --- a/recipes/lalibre_be.recipe
 +++ b/recipes/lalibre_be.recipe
 @@ -1,4 +1,4 @@
@@ -4530,8 +4531,8 @@ Index: b/recipes/lalibre_be.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008-2011, Lionel Bergeret <lbergeret at gmail.com>'
-Index: b/recipes/lameuse_be.recipe
-===================================================================
+diff --git a/recipes/lameuse_be.recipe b/recipes/lameuse_be.recipe
+index 9869e93f15..08bb05f42c 100644
 --- a/recipes/lameuse_be.recipe
 +++ b/recipes/lameuse_be.recipe
 @@ -1,4 +1,4 @@
@@ -4540,8 +4541,8 @@ Index: b/recipes/lameuse_be.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008-2011, Lionel Bergeret <lbergeret at gmail.com>'
-Index: b/recipes/lanacion_chile.recipe
-===================================================================
+diff --git a/recipes/lanacion_chile.recipe b/recipes/lanacion_chile.recipe
+index a158732e81..aa68660c41 100644
 --- a/recipes/lanacion_chile.recipe
 +++ b/recipes/lanacion_chile.recipe
 @@ -1,4 +1,4 @@
@@ -4550,8 +4551,8 @@ Index: b/recipes/lanacion_chile.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/laprensa.recipe
-===================================================================
+diff --git a/recipes/laprensa.recipe b/recipes/laprensa.recipe
+index 95197932d5..820edf8abe 100644
 --- a/recipes/laprensa.recipe
 +++ b/recipes/laprensa.recipe
 @@ -1,4 +1,4 @@
@@ -4560,8 +4561,8 @@ Index: b/recipes/laprensa.recipe
  # -*- mode: python -*-
  # -*- coding: utf-8 -*-
  
-Index: b/recipes/laprensa_hn.recipe
-===================================================================
+diff --git a/recipes/laprensa_hn.recipe b/recipes/laprensa_hn.recipe
+index 37e50e4b5a..7e2a471511 100644
 --- a/recipes/laprensa_hn.recipe
 +++ b/recipes/laprensa_hn.recipe
 @@ -1,4 +1,4 @@
@@ -4570,8 +4571,8 @@ Index: b/recipes/laprensa_hn.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/laprensa_ni.recipe
-===================================================================
+diff --git a/recipes/laprensa_ni.recipe b/recipes/laprensa_ni.recipe
+index 6dc3c75c97..eb4150062c 100644
 --- a/recipes/laprensa_ni.recipe
 +++ b/recipes/laprensa_ni.recipe
 @@ -1,4 +1,4 @@
@@ -4580,8 +4581,8 @@ Index: b/recipes/laprensa_ni.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/latimes.recipe
-===================================================================
+diff --git a/recipes/latimes.recipe b/recipes/latimes.recipe
+index da7d2afc1d..462e033a75 100644
 --- a/recipes/latimes.recipe
 +++ b/recipes/latimes.recipe
 @@ -1,4 +1,4 @@
@@ -4590,8 +4591,8 @@ Index: b/recipes/latimes.recipe
  
  import re
  from collections import defaultdict
-Index: b/recipes/latribuna.recipe
-===================================================================
+diff --git a/recipes/latribuna.recipe b/recipes/latribuna.recipe
+index 5176c4c4b1..992040bd58 100644
 --- a/recipes/latribuna.recipe
 +++ b/recipes/latribuna.recipe
 @@ -1,4 +1,4 @@
@@ -4600,8 +4601,8 @@ Index: b/recipes/latribuna.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/lavanguardia.recipe
-===================================================================
+diff --git a/recipes/lavanguardia.recipe b/recipes/lavanguardia.recipe
+index 6165d1a648..6f97664706 100644
 --- a/recipes/lavanguardia.recipe
 +++ b/recipes/lavanguardia.recipe
 @@ -1,4 +1,4 @@
@@ -4610,8 +4611,8 @@ Index: b/recipes/lavanguardia.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/lavenir_be.recipe
-===================================================================
+diff --git a/recipes/lavenir_be.recipe b/recipes/lavenir_be.recipe
+index de7e0afed8..8d541ef888 100644
 --- a/recipes/lavenir_be.recipe
 +++ b/recipes/lavenir_be.recipe
 @@ -1,4 +1,4 @@
@@ -4620,8 +4621,8 @@ Index: b/recipes/lavenir_be.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008-2011, Lionel Bergeret <lbergeret at gmail.com>'
-Index: b/recipes/le_peuple_breton.recipe
-===================================================================
+diff --git a/recipes/le_peuple_breton.recipe b/recipes/le_peuple_breton.recipe
+index 15d9fbfbb7..37a3c89cb6 100644
 --- a/recipes/le_peuple_breton.recipe
 +++ b/recipes/le_peuple_breton.recipe
 @@ -1,4 +1,4 @@
@@ -4630,8 +4631,8 @@ Index: b/recipes/le_peuple_breton.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/le_temps.recipe
-===================================================================
+diff --git a/recipes/le_temps.recipe b/recipes/le_temps.recipe
+index 803cb58dbc..1bdd674a28 100644
 --- a/recipes/le_temps.recipe
 +++ b/recipes/le_temps.recipe
 @@ -1,4 +1,4 @@
@@ -4640,8 +4641,8 @@ Index: b/recipes/le_temps.recipe
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2009, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/legeartis.recipe
-===================================================================
+diff --git a/recipes/legeartis.recipe b/recipes/legeartis.recipe
+index a545bf1893..c9a211aeef 100644
 --- a/recipes/legeartis.recipe
 +++ b/recipes/legeartis.recipe
 @@ -1,4 +1,4 @@
@@ -4650,8 +4651,8 @@ Index: b/recipes/legeartis.recipe
  
  __license__ = 'GPL v3'
  '''
-Index: b/recipes/leggo_it.recipe
-===================================================================
+diff --git a/recipes/leggo_it.recipe b/recipes/leggo_it.recipe
+index 8c9052dc1d..0539b45f73 100644
 --- a/recipes/leggo_it.recipe
 +++ b/recipes/leggo_it.recipe
 @@ -1,4 +1,4 @@
@@ -4660,8 +4661,8 @@ Index: b/recipes/leggo_it.recipe
  __license__ = 'GPL v3'
  __author__ = 'Gabriele Marini, based on Darko Miletic'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/legitymizm.recipe
-===================================================================
+diff --git a/recipes/legitymizm.recipe b/recipes/legitymizm.recipe
+index 46e0c860b9..fa7a341c0b 100644
 --- a/recipes/legitymizm.recipe
 +++ b/recipes/legitymizm.recipe
 @@ -1,4 +1,4 @@
@@ -4670,8 +4671,8 @@ Index: b/recipes/legitymizm.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = u'2010, Tomasz Dlugosz <tomek3d@gmail.com>'
-Index: b/recipes/lenta_ru.recipe
-===================================================================
+diff --git a/recipes/lenta_ru.recipe b/recipes/lenta_ru.recipe
+index efc3d2d444..8275c1a989 100644
 --- a/recipes/lenta_ru.recipe
 +++ b/recipes/lenta_ru.recipe
 @@ -1,4 +1,4 @@
@@ -4680,8 +4681,8 @@ Index: b/recipes/lenta_ru.recipe
  
  '''
  Lenta.ru
-Index: b/recipes/lequipe.recipe
-===================================================================
+diff --git a/recipes/lequipe.recipe b/recipes/lequipe.recipe
+index 5bb81f6455..619bf318bb 100644
 --- a/recipes/lequipe.recipe
 +++ b/recipes/lequipe.recipe
 @@ -1,4 +1,4 @@
@@ -4690,8 +4691,8 @@ Index: b/recipes/lequipe.recipe
  
  __license__ = 'GPL v3'
  
-Index: b/recipes/lescienze.recipe
-===================================================================
+diff --git a/recipes/lescienze.recipe b/recipes/lescienze.recipe
+index e8876e2b97..3b1ade36d2 100644
 --- a/recipes/lescienze.recipe
 +++ b/recipes/lescienze.recipe
 @@ -1,4 +1,4 @@
@@ -4700,8 +4701,8 @@ Index: b/recipes/lescienze.recipe
  __license__ = 'GPL v3'
  __author__ = 'Daniele Forsi'
  
-Index: b/recipes/lesoir_be.recipe
-===================================================================
+diff --git a/recipes/lesoir_be.recipe b/recipes/lesoir_be.recipe
+index fd6bcb1738..ca56f2d0d7 100644
 --- a/recipes/lesoir_be.recipe
 +++ b/recipes/lesoir_be.recipe
 @@ -1,4 +1,4 @@
@@ -4710,8 +4711,8 @@ Index: b/recipes/lesoir_be.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008-2011, Lionel Bergeret <lbergeret at gmail.com>'
-Index: b/recipes/liberation.recipe
-===================================================================
+diff --git a/recipes/liberation.recipe b/recipes/liberation.recipe
+index 2eb0277220..1bf8c6d869 100644
 --- a/recipes/liberation.recipe
 +++ b/recipes/liberation.recipe
 @@ -1,4 +1,4 @@
@@ -4720,8 +4721,8 @@ Index: b/recipes/liberation.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/libero.recipe
-===================================================================
+diff --git a/recipes/libero.recipe b/recipes/libero.recipe
+index dbb75aff65..09713d894d 100644
 --- a/recipes/libero.recipe
 +++ b/recipes/libero.recipe
 @@ -1,4 +1,4 @@
@@ -4730,8 +4731,8 @@ Index: b/recipes/libero.recipe
  __license__ = 'GPL v3'
  __author__ = 'Gabriele Marini, based on Darko Miletic'
  __copyright__ = '2009-2010, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/lifehacker.recipe
-===================================================================
+diff --git a/recipes/lifehacker.recipe b/recipes/lifehacker.recipe
+index 054325944a..ee35f729fa 100644
 --- a/recipes/lifehacker.recipe
 +++ b/recipes/lifehacker.recipe
 @@ -1,4 +1,4 @@
@@ -4740,8 +4741,8 @@ Index: b/recipes/lifehacker.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/lifehacker_pl.recipe
-===================================================================
+diff --git a/recipes/lifehacker_pl.recipe b/recipes/lifehacker_pl.recipe
+index 840bf9b075..c3fbdfb7c1 100644
 --- a/recipes/lifehacker_pl.recipe
 +++ b/recipes/lifehacker_pl.recipe
 @@ -1,4 +1,4 @@
@@ -4750,8 +4751,8 @@ Index: b/recipes/lifehacker_pl.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = 'MrStefan'
-Index: b/recipes/limba_sarda.recipe
-===================================================================
+diff --git a/recipes/limba_sarda.recipe b/recipes/limba_sarda.recipe
+index 8f70efbd59..1a75311c2d 100644
 --- a/recipes/limba_sarda.recipe
 +++ b/recipes/limba_sarda.recipe
 @@ -1,4 +1,4 @@
@@ -4760,8 +4761,8 @@ Index: b/recipes/limba_sarda.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import AutomaticNewsRecipe
-Index: b/recipes/limes.recipe
-===================================================================
+diff --git a/recipes/limes.recipe b/recipes/limes.recipe
+index a828cd0ce6..5936b8475a 100644
 --- a/recipes/limes.recipe
 +++ b/recipes/limes.recipe
 @@ -1,4 +1,4 @@
@@ -4770,8 +4771,8 @@ Index: b/recipes/limes.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2012, faber1971'
  __version__ = 'v1.00'
-Index: b/recipes/linux_magazine.recipe
-===================================================================
+diff --git a/recipes/linux_magazine.recipe b/recipes/linux_magazine.recipe
+index 774a9d5aef..0ba0f8acce 100644
 --- a/recipes/linux_magazine.recipe
 +++ b/recipes/linux_magazine.recipe
 @@ -1,4 +1,4 @@
@@ -4780,8 +4781,8 @@ Index: b/recipes/linux_magazine.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008-2015  , Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/lwn.recipe
-===================================================================
+diff --git a/recipes/lwn.recipe b/recipes/lwn.recipe
+index fbcfad80fb..44d8633430 100644
 --- a/recipes/lwn.recipe
 +++ b/recipes/lwn.recipe
 @@ -1,4 +1,4 @@
@@ -4790,8 +4791,8 @@ Index: b/recipes/lwn.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/recipes/lwn_weekly.recipe
-===================================================================
+diff --git a/recipes/lwn_weekly.recipe b/recipes/lwn_weekly.recipe
+index e305cb0714..6e26770c33 100644
 --- a/recipes/lwn_weekly.recipe
 +++ b/recipes/lwn_weekly.recipe
 @@ -1,4 +1,4 @@
@@ -4800,8 +4801,8 @@ Index: b/recipes/lwn_weekly.recipe
  
  from __future__ import print_function
  __license__   = 'GPL v3'
-Index: b/recipes/lyngby-taarbaeklokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/lyngby-taarbaeklokalavisen_dk.recipe b/recipes/lyngby-taarbaeklokalavisen_dk.recipe
+index 4fbe32ad80..fa550abafe 100644
 --- a/recipes/lyngby-taarbaeklokalavisen_dk.recipe
 +++ b/recipes/lyngby-taarbaeklokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -4810,8 +4811,8 @@ Index: b/recipes/lyngby-taarbaeklokalavi
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/mac_world.recipe
-===================================================================
+diff --git a/recipes/mac_world.recipe b/recipes/mac_world.recipe
+index a2599dfb08..97e48f99e5 100644
 --- a/recipes/mac_world.recipe
 +++ b/recipes/mac_world.recipe
 @@ -1,4 +1,4 @@
@@ -4820,8 +4821,8 @@ Index: b/recipes/mac_world.recipe
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini'
  __copyright__ = '2009, Lorenzo Vigentini <l.vigentini at gmail.com>'
-Index: b/recipes/mac_world_uk.recipe
-===================================================================
+diff --git a/recipes/mac_world_uk.recipe b/recipes/mac_world_uk.recipe
+index f6998e072e..6ac402ebda 100644
 --- a/recipes/mac_world_uk.recipe
 +++ b/recipes/mac_world_uk.recipe
 @@ -1,4 +1,4 @@
@@ -4830,8 +4831,8 @@ Index: b/recipes/mac_world_uk.recipe
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini'
  __copyright__ = '2009, Lorenzo Vigentini <l.vigentini at gmail.com>'
-Index: b/recipes/macleans.recipe
-===================================================================
+diff --git a/recipes/macleans.recipe b/recipes/macleans.recipe
+index f699d6a9df..0b0873b86a 100644
 --- a/recipes/macleans.recipe
 +++ b/recipes/macleans.recipe
 @@ -1,4 +1,4 @@
@@ -4840,8 +4841,8 @@ Index: b/recipes/macleans.recipe
  from calibre.web.feeds.news import BasicNewsRecipe
  
  
-Index: b/recipes/macrobusiness.recipe
-===================================================================
+diff --git a/recipes/macrobusiness.recipe b/recipes/macrobusiness.recipe
+index c848d7261d..35a6900410 100644
 --- a/recipes/macrobusiness.recipe
 +++ b/recipes/macrobusiness.recipe
 @@ -1,4 +1,4 @@
@@ -4850,8 +4851,8 @@ Index: b/recipes/macrobusiness.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/magyar_nemzet.recipe
-===================================================================
+diff --git a/recipes/magyar_nemzet.recipe b/recipes/magyar_nemzet.recipe
+index 6ad29ad16b..eee19ac1ac 100644
 --- a/recipes/magyar_nemzet.recipe
 +++ b/recipes/magyar_nemzet.recipe
 @@ -1,4 +1,4 @@
@@ -4860,8 +4861,8 @@ Index: b/recipes/magyar_nemzet.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import AutomaticNewsRecipe
-Index: b/recipes/malaysian_mirror.recipe
-===================================================================
+diff --git a/recipes/malaysian_mirror.recipe b/recipes/malaysian_mirror.recipe
+index 7e16eb9ae6..cd2c0fe1c8 100644
 --- a/recipes/malaysian_mirror.recipe
 +++ b/recipes/malaysian_mirror.recipe
 @@ -1,4 +1,4 @@
@@ -4870,8 +4871,8 @@ Index: b/recipes/malaysian_mirror.recipe
  __license__ = 'GPL v3'
  __author__ = 'Tony Stegall'
  __copyright__ = '2010, Tony Stegall or Tonythebookworm on mobiread.com'
-Index: b/recipes/mandidner.recipe
-===================================================================
+diff --git a/recipes/mandidner.recipe b/recipes/mandidner.recipe
+index 43673f8eb7..4ed55933c9 100644
 --- a/recipes/mandidner.recipe
 +++ b/recipes/mandidner.recipe
 @@ -1,4 +1,4 @@
@@ -4880,8 +4881,8 @@ Index: b/recipes/mandidner.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import AutomaticNewsRecipe
-Index: b/recipes/maskinbladet_dk.recipe
-===================================================================
+diff --git a/recipes/maskinbladet_dk.recipe b/recipes/maskinbladet_dk.recipe
+index 2e612d4ad0..18be84dcfa 100644
 --- a/recipes/maskinbladet_dk.recipe
 +++ b/recipes/maskinbladet_dk.recipe
 @@ -1,4 +1,4 @@
@@ -4890,8 +4891,8 @@ Index: b/recipes/maskinbladet_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/mateusz_czytania.recipe
-===================================================================
+diff --git a/recipes/mateusz_czytania.recipe b/recipes/mateusz_czytania.recipe
+index 68938b2c15..9717176efb 100644
 --- a/recipes/mateusz_czytania.recipe
 +++ b/recipes/mateusz_czytania.recipe
 @@ -1,4 +1,4 @@
@@ -4900,8 +4901,8 @@ Index: b/recipes/mateusz_czytania.recipe
  
  __license__ = 'GPL v3'
  __author__ = 'teepel <teepel44@gmail.com>'
-Index: b/recipes/mayra.recipe
-===================================================================
+diff --git a/recipes/mayra.recipe b/recipes/mayra.recipe
+index 8cbe4f8207..bd83cd0149 100644
 --- a/recipes/mayra.recipe
 +++ b/recipes/mayra.recipe
 @@ -1,4 +1,4 @@
@@ -4910,8 +4911,8 @@ Index: b/recipes/mayra.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/media2.recipe
-===================================================================
+diff --git a/recipes/media2.recipe b/recipes/media2.recipe
+index f2d441a304..b889c77552 100644
 --- a/recipes/media2.recipe
 +++ b/recipes/media2.recipe
 @@ -1,4 +1,4 @@
@@ -4920,8 +4921,8 @@ Index: b/recipes/media2.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = 'teepel'
-Index: b/recipes/media_zone.recipe
-===================================================================
+diff --git a/recipes/media_zone.recipe b/recipes/media_zone.recipe
+index 21f7d82ac1..1204f8df90 100644
 --- a/recipes/media_zone.recipe
 +++ b/recipes/media_zone.recipe
 @@ -1,4 +1,4 @@
@@ -4930,8 +4931,8 @@ Index: b/recipes/media_zone.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/mediafax.recipe
-===================================================================
+diff --git a/recipes/mediafax.recipe b/recipes/mediafax.recipe
+index 98340d348d..e450364f22 100644
 --- a/recipes/mediafax.recipe
 +++ b/recipes/mediafax.recipe
 @@ -1,4 +1,4 @@
@@ -4940,8 +4941,8 @@ Index: b/recipes/mediafax.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/mediaindonesia.recipe
-===================================================================
+diff --git a/recipes/mediaindonesia.recipe b/recipes/mediaindonesia.recipe
+index 45c020139f..e282ac450d 100644
 --- a/recipes/mediaindonesia.recipe
 +++ b/recipes/mediaindonesia.recipe
 @@ -1,4 +1,4 @@
@@ -4950,8 +4951,8 @@ Index: b/recipes/mediaindonesia.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2011, bakthariq AT gmail.com'
  '''
-Index: b/recipes/mediapart.recipe
-===================================================================
+diff --git a/recipes/mediapart.recipe b/recipes/mediapart.recipe
+index 113c0d00fe..305bfb3460 100644
 --- a/recipes/mediapart.recipe
 +++ b/recipes/mediapart.recipe
 @@ -1,4 +1,4 @@
@@ -4960,8 +4961,8 @@ Index: b/recipes/mediapart.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals
  
-Index: b/recipes/mediterraneo.recipe
-===================================================================
+diff --git a/recipes/mediterraneo.recipe b/recipes/mediterraneo.recipe
+index 493513d774..cc23b93dce 100644
 --- a/recipes/mediterraneo.recipe
 +++ b/recipes/mediterraneo.recipe
 @@ -1,4 +1,4 @@
@@ -4970,8 +4971,8 @@ Index: b/recipes/mediterraneo.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/medscape.recipe
-===================================================================
+diff --git a/recipes/medscape.recipe b/recipes/medscape.recipe
+index b7e8717ae9..098f7d54de 100644
 --- a/recipes/medscape.recipe
 +++ b/recipes/medscape.recipe
 @@ -1,4 +1,4 @@
@@ -4980,8 +4981,8 @@ Index: b/recipes/medscape.recipe
  __license__ = 'GPL v3'
  __author__ = 'Tony Stegall'
  __copyright__ = '2010, Tony Stegall or Tonythebookworm on mobileread.com'
-Index: b/recipes/melbourne_herald_sun.recipe
-===================================================================
+diff --git a/recipes/melbourne_herald_sun.recipe b/recipes/melbourne_herald_sun.recipe
+index f2b63b3687..fcd16a21f0 100644
 --- a/recipes/melbourne_herald_sun.recipe
 +++ b/recipes/melbourne_herald_sun.recipe
 @@ -1,4 +1,4 @@
@@ -4990,8 +4991,8 @@ Index: b/recipes/melbourne_herald_sun.re
  __license__ = 'GPL v3'
  __copyright__ = '2009, Matthew Briggs'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/michalkiewicz.recipe
-===================================================================
+diff --git a/recipes/michalkiewicz.recipe b/recipes/michalkiewicz.recipe
+index 795217f0a7..85861f5d0f 100644
 --- a/recipes/michalkiewicz.recipe
 +++ b/recipes/michalkiewicz.recipe
 @@ -1,4 +1,4 @@
@@ -5000,8 +5001,8 @@ Index: b/recipes/michalkiewicz.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2010, Tomasz Dlugosz <tomek3d@gmail.com>'
-Index: b/recipes/mit_technology_review.recipe
-===================================================================
+diff --git a/recipes/mit_technology_review.recipe b/recipes/mit_technology_review.recipe
+index 1b39475588..e67bef1e0b 100644
 --- a/recipes/mit_technology_review.recipe
 +++ b/recipes/mit_technology_review.recipe
 @@ -1,4 +1,4 @@
@@ -5010,8 +5011,8 @@ Index: b/recipes/mit_technology_review.r
  from __future__ import unicode_literals
  __license__ = 'GPL v3'
  __copyright__ = '2015 Michael Marotta <mikefm at gmail.net>'
-Index: b/recipes/moldovaazi.recipe
-===================================================================
+diff --git a/recipes/moldovaazi.recipe b/recipes/moldovaazi.recipe
+index 026354684c..5629de19ef 100644
 --- a/recipes/moldovaazi.recipe
 +++ b/recipes/moldovaazi.recipe
 @@ -1,4 +1,4 @@
@@ -5020,8 +5021,8 @@ Index: b/recipes/moldovaazi.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/mondedurable.recipe
-===================================================================
+diff --git a/recipes/mondedurable.recipe b/recipes/mondedurable.recipe
+index 4104a7e5fc..2e3c30bc2b 100644
 --- a/recipes/mondedurable.recipe
 +++ b/recipes/mondedurable.recipe
 @@ -1,4 +1,4 @@
@@ -5030,8 +5031,8 @@ Index: b/recipes/mondedurable.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/monden.recipe
-===================================================================
+diff --git a/recipes/monden.recipe b/recipes/monden.recipe
+index 3a5a0af8f5..b29c64c2b7 100644
 --- a/recipes/monden.recipe
 +++ b/recipes/monden.recipe
 @@ -1,4 +1,4 @@
@@ -5040,8 +5041,8 @@ Index: b/recipes/monden.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/moneyro.recipe
-===================================================================
+diff --git a/recipes/moneyro.recipe b/recipes/moneyro.recipe
+index 2c9c097cc5..fe22bddcac 100644
 --- a/recipes/moneyro.recipe
 +++ b/recipes/moneyro.recipe
 @@ -1,4 +1,4 @@
@@ -5050,8 +5051,8 @@ Index: b/recipes/moneyro.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/montevideo_com.recipe
-===================================================================
+diff --git a/recipes/montevideo_com.recipe b/recipes/montevideo_com.recipe
+index 3ec7a6a8ba..1caac94766 100644
 --- a/recipes/montevideo_com.recipe
 +++ b/recipes/montevideo_com.recipe
 @@ -1,4 +1,4 @@
@@ -5060,8 +5061,8 @@ Index: b/recipes/montevideo_com.recipe
  
  __license__ = 'GPL v3'
  __author__ = '2010, Gustavo Azambuja <hola at gazambuja.com>'
-Index: b/recipes/montreal_gazette.recipe
-===================================================================
+diff --git a/recipes/montreal_gazette.recipe b/recipes/montreal_gazette.recipe
+index 6fa7f878e4..156ae3690d 100644
 --- a/recipes/montreal_gazette.recipe
 +++ b/recipes/montreal_gazette.recipe
 @@ -1,4 +1,4 @@
@@ -5070,8 +5071,8 @@ Index: b/recipes/montreal_gazette.recipe
  # -*- coding: utf-8 -*-
  from __future__ import print_function
  __license__ = 'GPL v3'
-Index: b/recipes/motherjones.recipe
-===================================================================
+diff --git a/recipes/motherjones.recipe b/recipes/motherjones.recipe
+index c066b2c724..9e026662a9 100644
 --- a/recipes/motherjones.recipe
 +++ b/recipes/motherjones.recipe
 @@ -1,4 +1,4 @@
@@ -5080,8 +5081,8 @@ Index: b/recipes/motherjones.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/msdnmag_en.recipe
-===================================================================
+diff --git a/recipes/msdnmag_en.recipe b/recipes/msdnmag_en.recipe
+index d3cbc69048..96673964de 100644
 --- a/recipes/msdnmag_en.recipe
 +++ b/recipes/msdnmag_en.recipe
 @@ -1,4 +1,4 @@
@@ -5090,8 +5091,8 @@ Index: b/recipes/msdnmag_en.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/mult_kor.recipe
-===================================================================
+diff --git a/recipes/mult_kor.recipe b/recipes/mult_kor.recipe
+index ad52f7dce0..abc67c22bd 100644
 --- a/recipes/mult_kor.recipe
 +++ b/recipes/mult_kor.recipe
 @@ -1,4 +1,4 @@
@@ -5100,8 +5101,8 @@ Index: b/recipes/mult_kor.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import AutomaticNewsRecipe
-Index: b/recipes/mwjournal.recipe
-===================================================================
+diff --git a/recipes/mwjournal.recipe b/recipes/mwjournal.recipe
+index e5972afc8f..28d71dede9 100644
 --- a/recipes/mwjournal.recipe
 +++ b/recipes/mwjournal.recipe
 @@ -1,4 +1,4 @@
@@ -5110,8 +5111,8 @@ Index: b/recipes/mwjournal.recipe
  ##
  # Title:        Microwave Journal
  # Contact:      Kiavash (use Mobile Read)
-Index: b/recipes/nacional_cro.recipe
-===================================================================
+diff --git a/recipes/nacional_cro.recipe b/recipes/nacional_cro.recipe
+index e11c4028a4..fb088ee0e5 100644
 --- a/recipes/nacional_cro.recipe
 +++ b/recipes/nacional_cro.recipe
 @@ -1,4 +1,4 @@
@@ -5120,8 +5121,8 @@ Index: b/recipes/nacional_cro.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/najwyzszy_czas.recipe
-===================================================================
+diff --git a/recipes/najwyzszy_czas.recipe b/recipes/najwyzszy_czas.recipe
+index a660f1b765..53ca59f3ec 100644
 --- a/recipes/najwyzszy_czas.recipe
 +++ b/recipes/najwyzszy_czas.recipe
 @@ -1,4 +1,4 @@
@@ -5130,8 +5131,8 @@ Index: b/recipes/najwyzszy_czas.recipe
  
  __license__ = 'GPL v3'
  __author__ = 'teepel <teepel44@gmail.com>'
-Index: b/recipes/nakedcapitalism.recipe
-===================================================================
+diff --git a/recipes/nakedcapitalism.recipe b/recipes/nakedcapitalism.recipe
+index 6da0b76038..443cd7e459 100644
 --- a/recipes/nakedcapitalism.recipe
 +++ b/recipes/nakedcapitalism.recipe
 @@ -1,4 +1,4 @@
@@ -5140,8 +5141,8 @@ Index: b/recipes/nakedcapitalism.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
  '''
-Index: b/recipes/naszdziennik.recipe
-===================================================================
+diff --git a/recipes/naszdziennik.recipe b/recipes/naszdziennik.recipe
+index b3427b94e1..1dc09bec30 100644
 --- a/recipes/naszdziennik.recipe
 +++ b/recipes/naszdziennik.recipe
 @@ -1,4 +1,4 @@
@@ -5150,8 +5151,8 @@ Index: b/recipes/naszdziennik.recipe
  
  __license__ = 'GPL v3'
  
-Index: b/recipes/natgeo.recipe
-===================================================================
+diff --git a/recipes/natgeo.recipe b/recipes/natgeo.recipe
+index 84061bc1e2..250ddaffda 100644
 --- a/recipes/natgeo.recipe
 +++ b/recipes/natgeo.recipe
 @@ -1,4 +1,4 @@
@@ -5160,8 +5161,8 @@ Index: b/recipes/natgeo.recipe
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/recipes/national_post.recipe
-===================================================================
+diff --git a/recipes/national_post.recipe b/recipes/national_post.recipe
+index 491d659b40..1c1a60dd73 100644
 --- a/recipes/national_post.recipe
 +++ b/recipes/national_post.recipe
 @@ -1,4 +1,4 @@
@@ -5170,8 +5171,8 @@ Index: b/recipes/national_post.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/nationalgeoro.recipe
-===================================================================
+diff --git a/recipes/nationalgeoro.recipe b/recipes/nationalgeoro.recipe
+index b80ec7bdb2..f0d14312df 100644
 --- a/recipes/nationalgeoro.recipe
 +++ b/recipes/nationalgeoro.recipe
 @@ -1,4 +1,4 @@
@@ -5180,8 +5181,8 @@ Index: b/recipes/nationalgeoro.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/nature.recipe
-===================================================================
+diff --git a/recipes/nature.recipe b/recipes/nature.recipe
+index d21b8e092d..f8548ea880 100644
 --- a/recipes/nature.recipe
 +++ b/recipes/nature.recipe
 @@ -1,4 +1,4 @@
@@ -5190,8 +5191,8 @@ Index: b/recipes/nature.recipe
  
  from collections import defaultdict
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/navalny.recipe
-===================================================================
+diff --git a/recipes/navalny.recipe b/recipes/navalny.recipe
+index 217692b4b0..346fcfd15e 100644
 --- a/recipes/navalny.recipe
 +++ b/recipes/navalny.recipe
 @@ -1,4 +1,4 @@
@@ -5200,8 +5201,8 @@ Index: b/recipes/navalny.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/new_york_review_of_books.recipe
-===================================================================
+diff --git a/recipes/new_york_review_of_books.recipe b/recipes/new_york_review_of_books.recipe
+index 3fbbf9796c..cfec2cadc5 100644
 --- a/recipes/new_york_review_of_books.recipe
 +++ b/recipes/new_york_review_of_books.recipe
 @@ -1,4 +1,4 @@
@@ -5210,8 +5211,8 @@ Index: b/recipes/new_york_review_of_book
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/new_york_review_of_books_no_sub.recipe
-===================================================================
+diff --git a/recipes/new_york_review_of_books_no_sub.recipe b/recipes/new_york_review_of_books_no_sub.recipe
+index 3c6a4ad5a6..8fd55f7b0a 100644
 --- a/recipes/new_york_review_of_books_no_sub.recipe
 +++ b/recipes/new_york_review_of_books_no_sub.recipe
 @@ -1,4 +1,4 @@
@@ -5220,8 +5221,8 @@ Index: b/recipes/new_york_review_of_book
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/new_yorker.recipe
-===================================================================
+diff --git a/recipes/new_yorker.recipe b/recipes/new_yorker.recipe
+index dbfd737f51..b295647921 100644
 --- a/recipes/new_yorker.recipe
 +++ b/recipes/new_yorker.recipe
 @@ -1,4 +1,4 @@
@@ -5230,8 +5231,8 @@ Index: b/recipes/new_yorker.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/recipes/newsmoldova.recipe
-===================================================================
+diff --git a/recipes/newsmoldova.recipe b/recipes/newsmoldova.recipe
+index b06b6c44b4..de293ad2d7 100644
 --- a/recipes/newsmoldova.recipe
 +++ b/recipes/newsmoldova.recipe
 @@ -1,4 +1,4 @@
@@ -5240,8 +5241,8 @@ Index: b/recipes/newsmoldova.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/newsweek_polska.recipe
-===================================================================
+diff --git a/recipes/newsweek_polska.recipe b/recipes/newsweek_polska.recipe
+index 6834efe97b..5da8678792 100644
 --- a/recipes/newsweek_polska.recipe
 +++ b/recipes/newsweek_polska.recipe
 @@ -1,4 +1,4 @@
@@ -5250,8 +5251,8 @@ Index: b/recipes/newsweek_polska.recipe
  # -*- coding: utf-8 -*-
  
  from __future__ import print_function
-Index: b/recipes/newz_dk.recipe
-===================================================================
+diff --git a/recipes/newz_dk.recipe b/recipes/newz_dk.recipe
+index b2540243c4..f83c0af12a 100644
 --- a/recipes/newz_dk.recipe
 +++ b/recipes/newz_dk.recipe
 @@ -1,4 +1,4 @@
@@ -5260,8 +5261,8 @@ Index: b/recipes/newz_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/nieuws_be.recipe
-===================================================================
+diff --git a/recipes/nieuws_be.recipe b/recipes/nieuws_be.recipe
+index 8de3049d9c..4571883cfe 100644
 --- a/recipes/nieuws_be.recipe
 +++ b/recipes/nieuws_be.recipe
 @@ -1,4 +1,4 @@
@@ -5270,8 +5271,8 @@ Index: b/recipes/nieuws_be.recipe
  
  from calibre.web.feeds.news import BasicNewsRecipe
  
-Index: b/recipes/nikkei_news.recipe
-===================================================================
+diff --git a/recipes/nikkei_news.recipe b/recipes/nikkei_news.recipe
+index 854792f035..b2788aecc9 100644
 --- a/recipes/nikkei_news.recipe
 +++ b/recipes/nikkei_news.recipe
 @@ -1,4 +1,4 @@
@@ -5280,8 +5281,8 @@ Index: b/recipes/nikkei_news.recipe
  # vim:fileencoding=utf-8
  from __future__ import print_function
  from calibre.web.feeds.recipes import BasicNewsRecipe
-Index: b/recipes/njp.recipe
-===================================================================
+diff --git a/recipes/njp.recipe b/recipes/njp.recipe
+index 671bfcb5d9..c2a21d4a11 100644
 --- a/recipes/njp.recipe
 +++ b/recipes/njp.recipe
 @@ -1,4 +1,4 @@
@@ -5290,8 +5291,8 @@ Index: b/recipes/njp.recipe
  # -*- coding: utf-8 -*-
  
  ##
-Index: b/recipes/noaa.recipe
-===================================================================
+diff --git a/recipes/noaa.recipe b/recipes/noaa.recipe
+index c156d215eb..335711cc99 100644
 --- a/recipes/noaa.recipe
 +++ b/recipes/noaa.recipe
 @@ -1,4 +1,4 @@
@@ -5300,8 +5301,8 @@ Index: b/recipes/noaa.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/noerrebronordvestbladet_dk.recipe
-===================================================================
+diff --git a/recipes/noerrebronordvestbladet_dk.recipe b/recipes/noerrebronordvestbladet_dk.recipe
+index 3acadd0147..dd6040ce33 100644
 --- a/recipes/noerrebronordvestbladet_dk.recipe
 +++ b/recipes/noerrebronordvestbladet_dk.recipe
 @@ -1,4 +1,4 @@
@@ -5310,8 +5311,8 @@ Index: b/recipes/noerrebronordvestbladet
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/norddjurslokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/norddjurslokalavisen_dk.recipe b/recipes/norddjurslokalavisen_dk.recipe
+index e566982015..b6d0d36d23 100644
 --- a/recipes/norddjurslokalavisen_dk.recipe
 +++ b/recipes/norddjurslokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -5320,8 +5321,8 @@ Index: b/recipes/norddjurslokalavisen_dk
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/nordjyske_dk.recipe
-===================================================================
+diff --git a/recipes/nordjyske_dk.recipe b/recipes/nordjyske_dk.recipe
+index 16b204a896..72f86932e8 100644
 --- a/recipes/nordjyske_dk.recipe
 +++ b/recipes/nordjyske_dk.recipe
 @@ -1,4 +1,4 @@
@@ -5330,8 +5331,8 @@ Index: b/recipes/nordjyske_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/nortecastilla.recipe
-===================================================================
+diff --git a/recipes/nortecastilla.recipe b/recipes/nortecastilla.recipe
+index 2f72be2d35..0845d54486 100644
 --- a/recipes/nortecastilla.recipe
 +++ b/recipes/nortecastilla.recipe
 @@ -1,4 +1,4 @@
@@ -5340,8 +5341,8 @@ Index: b/recipes/nortecastilla.recipe
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini'
  __copyright__ = '2009, Lorenzo Vigentini <l.vigentini at gmail.com>'
-Index: b/recipes/nos_nl.recipe
-===================================================================
+diff --git a/recipes/nos_nl.recipe b/recipes/nos_nl.recipe
+index 92ca7c0616..584777c39e 100644
 --- a/recipes/nos_nl.recipe
 +++ b/recipes/nos_nl.recipe
 @@ -1,4 +1,4 @@
@@ -5350,8 +5351,8 @@ Index: b/recipes/nos_nl.recipe
  
  from calibre.web.feeds.news import BasicNewsRecipe
  
-Index: b/recipes/now_toronto.recipe
-===================================================================
+diff --git a/recipes/now_toronto.recipe b/recipes/now_toronto.recipe
+index 20bfe03dd7..69139a843d 100644
 --- a/recipes/now_toronto.recipe
 +++ b/recipes/now_toronto.recipe
 @@ -1,4 +1,4 @@
@@ -5360,8 +5361,8 @@ Index: b/recipes/now_toronto.recipe
  # -*- coding: utf-8 -*-
  # Based on Lars Jacob's Taz Digiabo recipe
  
-Index: b/recipes/nowiny_rybnik.recipe
-===================================================================
+diff --git a/recipes/nowiny_rybnik.recipe b/recipes/nowiny_rybnik.recipe
+index 74ca946d69..fc42214e12 100644
 --- a/recipes/nowiny_rybnik.recipe
 +++ b/recipes/nowiny_rybnik.recipe
 @@ -1,4 +1,4 @@
@@ -5370,8 +5371,8 @@ Index: b/recipes/nowiny_rybnik.recipe
  
  __license__ = 'GPL v3'
  
-Index: b/recipes/nowy_obywatel.recipe
-===================================================================
+diff --git a/recipes/nowy_obywatel.recipe b/recipes/nowy_obywatel.recipe
+index b42f482ff1..1a7bdf4836 100644
 --- a/recipes/nowy_obywatel.recipe
 +++ b/recipes/nowy_obywatel.recipe
 @@ -1,4 +1,4 @@
@@ -5380,8 +5381,8 @@ Index: b/recipes/nowy_obywatel.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/noz.recipe
-===================================================================
+diff --git a/recipes/noz.recipe b/recipes/noz.recipe
+index 2253e7b6df..4b02039dc6 100644
 --- a/recipes/noz.recipe
 +++ b/recipes/noz.recipe
 @@ -1,4 +1,4 @@
@@ -5390,8 +5391,8 @@ Index: b/recipes/noz.recipe
  # vim:fileencoding=utf-8
  
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/nrc-nl-epub.recipe
-===================================================================
+diff --git a/recipes/nrc-nl-epub.recipe b/recipes/nrc-nl-epub.recipe
+index e872487d7a..1b1df7dc5f 100644
 --- a/recipes/nrc-nl-epub.recipe
 +++ b/recipes/nrc-nl-epub.recipe
 @@ -1,4 +1,4 @@
@@ -5400,8 +5401,8 @@ Index: b/recipes/nrc-nl-epub.recipe
  # -*- coding: utf-8 -*-
  # Based on veezh's original recipe and Kovid Goyal's New York Times recipe
  
-Index: b/recipes/nrc_next.recipe
-===================================================================
+diff --git a/recipes/nrc_next.recipe b/recipes/nrc_next.recipe
+index 1e432625c6..c8df70e3e2 100644
 --- a/recipes/nrc_next.recipe
 +++ b/recipes/nrc_next.recipe
 @@ -1,4 +1,4 @@
@@ -5410,8 +5411,8 @@ Index: b/recipes/nrc_next.recipe
  # -*- coding: utf-8 -*-
  # Based on veezh's original recipe, Kovid Goyal's New York Times
  # recipe and Snaabs nrc Handelsblad recipe
-Index: b/recipes/nymag.recipe
-===================================================================
+diff --git a/recipes/nymag.recipe b/recipes/nymag.recipe
+index 84a11a2b0a..b26e660d5f 100644
 --- a/recipes/nymag.recipe
 +++ b/recipes/nymag.recipe
 @@ -1,4 +1,4 @@
@@ -5420,8 +5421,8 @@ Index: b/recipes/nymag.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/recipes/nypost.recipe
-===================================================================
+diff --git a/recipes/nypost.recipe b/recipes/nypost.recipe
+index 555656426c..2a6faaaf59 100644
 --- a/recipes/nypost.recipe
 +++ b/recipes/nypost.recipe
 @@ -1,4 +1,4 @@
@@ -5430,8 +5431,8 @@ Index: b/recipes/nypost.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/nytimes.recipe
-===================================================================
+diff --git a/recipes/nytimes.recipe b/recipes/nytimes.recipe
+index d2526678ce..d19af184b1 100644
 --- a/recipes/nytimes.recipe
 +++ b/recipes/nytimes.recipe
 @@ -1,4 +1,4 @@
@@ -5440,8 +5441,8 @@ Index: b/recipes/nytimes.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/nytimes_sports.recipe
-===================================================================
+diff --git a/recipes/nytimes_sports.recipe b/recipes/nytimes_sports.recipe
+index 934de80a5c..9bdca6511a 100644
 --- a/recipes/nytimes_sports.recipe
 +++ b/recipes/nytimes_sports.recipe
 @@ -1,4 +1,4 @@
@@ -5450,8 +5451,8 @@ Index: b/recipes/nytimes_sports.recipe
  # encoding: utf-8
  
  from __future__ import with_statement
-Index: b/recipes/nytimes_sub.recipe
-===================================================================
+diff --git a/recipes/nytimes_sub.recipe b/recipes/nytimes_sub.recipe
+index c4647a5b69..8dd1bd1f9e 100644
 --- a/recipes/nytimes_sub.recipe
 +++ b/recipes/nytimes_sub.recipe
 @@ -1,4 +1,4 @@
@@ -5460,8 +5461,8 @@ Index: b/recipes/nytimes_sub.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/nytimes_tech.recipe
-===================================================================
+diff --git a/recipes/nytimes_tech.recipe b/recipes/nytimes_tech.recipe
+index 0701c50977..d31e6f346f 100644
 --- a/recipes/nytimes_tech.recipe
 +++ b/recipes/nytimes_tech.recipe
 @@ -1,4 +1,4 @@
@@ -5470,8 +5471,8 @@ Index: b/recipes/nytimes_tech.recipe
  # encoding: utf-8
  
  from __future__ import with_statement
-Index: b/recipes/o_globo.recipe
-===================================================================
+diff --git a/recipes/o_globo.recipe b/recipes/o_globo.recipe
+index 997dc73c8b..b4cc9e948b 100644
 --- a/recipes/o_globo.recipe
 +++ b/recipes/o_globo.recipe
 @@ -1,4 +1,4 @@
@@ -5480,8 +5481,8 @@ Index: b/recipes/o_globo.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/oba.recipe
-===================================================================
+diff --git a/recipes/oba.recipe b/recipes/oba.recipe
+index 024e17bb47..476ea690e9 100644
 --- a/recipes/oba.recipe
 +++ b/recipes/oba.recipe
 @@ -1,4 +1,4 @@
@@ -5490,8 +5491,8 @@ Index: b/recipes/oba.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/observa_digital.recipe
-===================================================================
+diff --git a/recipes/observa_digital.recipe b/recipes/observa_digital.recipe
+index 1779faf922..5b603bfbe8 100644
 --- a/recipes/observa_digital.recipe
 +++ b/recipes/observa_digital.recipe
 @@ -1,4 +1,4 @@
@@ -5500,8 +5501,8 @@ Index: b/recipes/observa_digital.recipe
  
  from __future__ import print_function
  __license__   = 'GPL v3'
-Index: b/recipes/observer_gb.recipe
-===================================================================
+diff --git a/recipes/observer_gb.recipe b/recipes/observer_gb.recipe
+index e9f29ee13f..dc49dc2d23 100644
 --- a/recipes/observer_gb.recipe
 +++ b/recipes/observer_gb.recipe
 @@ -1,4 +1,4 @@
@@ -5510,8 +5511,8 @@ Index: b/recipes/observer_gb.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/oc_register.recipe
-===================================================================
+diff --git a/recipes/oc_register.recipe b/recipes/oc_register.recipe
+index 6ce5412818..96faf0f15d 100644
 --- a/recipes/oc_register.recipe
 +++ b/recipes/oc_register.recipe
 @@ -1,4 +1,4 @@
@@ -5520,8 +5521,8 @@ Index: b/recipes/oc_register.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  import time
-Index: b/recipes/odenselokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/odenselokalavisen_dk.recipe b/recipes/odenselokalavisen_dk.recipe
+index 7733a6499e..77579d6bbf 100644
 --- a/recipes/odenselokalavisen_dk.recipe
 +++ b/recipes/odenselokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -5530,8 +5531,8 @@ Index: b/recipes/odenselokalavisen_dk.re
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/oesterbroavis_dk.recipe
-===================================================================
+diff --git a/recipes/oesterbroavis_dk.recipe b/recipes/oesterbroavis_dk.recipe
+index f3d35fe332..a598d43bce 100644
 --- a/recipes/oesterbroavis_dk.recipe
 +++ b/recipes/oesterbroavis_dk.recipe
 @@ -1,4 +1,4 @@
@@ -5540,8 +5541,8 @@ Index: b/recipes/oesterbroavis_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/onemagazine.recipe
-===================================================================
+diff --git a/recipes/onemagazine.recipe b/recipes/onemagazine.recipe
+index 0dbce03e8f..a5a4d7b610 100644
 --- a/recipes/onemagazine.recipe
 +++ b/recipes/onemagazine.recipe
 @@ -1,4 +1,4 @@
@@ -5550,8 +5551,8 @@ Index: b/recipes/onemagazine.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/onionavclub.recipe
-===================================================================
+diff --git a/recipes/onionavclub.recipe b/recipes/onionavclub.recipe
+index 2fe3a5d503..0dfceabbd7 100644
 --- a/recipes/onionavclub.recipe
 +++ b/recipes/onionavclub.recipe
 @@ -1,4 +1,4 @@
@@ -5560,8 +5561,8 @@ Index: b/recipes/onionavclub.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/recipes/optyczne_pl.recipe
-===================================================================
+diff --git a/recipes/optyczne_pl.recipe b/recipes/optyczne_pl.recipe
+index c1c690e703..c0648ffc13 100644
 --- a/recipes/optyczne_pl.recipe
 +++ b/recipes/optyczne_pl.recipe
 @@ -1,4 +1,4 @@
@@ -5570,8 +5571,8 @@ Index: b/recipes/optyczne_pl.recipe
  __license__ = 'GPL v3'
  
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/osel_cz.recipe
-===================================================================
+diff --git a/recipes/osel_cz.recipe b/recipes/osel_cz.recipe
+index 7bb00a7ad5..7f055b602b 100644
 --- a/recipes/osel_cz.recipe
 +++ b/recipes/osel_cz.recipe
 @@ -1,4 +1,4 @@
@@ -5580,8 +5581,8 @@ Index: b/recipes/osel_cz.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/osw.recipe
-===================================================================
+diff --git a/recipes/osw.recipe b/recipes/osw.recipe
+index 9e98da4aef..b214000069 100644
 --- a/recipes/osw.recipe
 +++ b/recipes/osw.recipe
 @@ -1,4 +1,4 @@
@@ -5590,8 +5591,8 @@ Index: b/recipes/osw.recipe
  
  __license__ = 'GPL v3'
  __author__ = 'teepel <teepel44@gmail.com>'
-Index: b/recipes/ottawa_citizen.recipe
-===================================================================
+diff --git a/recipes/ottawa_citizen.recipe b/recipes/ottawa_citizen.recipe
+index a157fdb181..2e76ca3627 100644
 --- a/recipes/ottawa_citizen.recipe
 +++ b/recipes/ottawa_citizen.recipe
 @@ -1,4 +1,4 @@
@@ -5600,8 +5601,8 @@ Index: b/recipes/ottawa_citizen.recipe
  # -*- coding: utf-8 -*-
  from __future__ import print_function
  __license__ = 'GPL v3'
-Index: b/recipes/outlook_india.recipe
-===================================================================
+diff --git a/recipes/outlook_india.recipe b/recipes/outlook_india.recipe
+index 2a98db7da7..c4f1858002 100644
 --- a/recipes/outlook_india.recipe
 +++ b/recipes/outlook_india.recipe
 @@ -1,4 +1,4 @@
@@ -5610,8 +5611,8 @@ Index: b/recipes/outlook_india.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/recipes/padreydecano.recipe
-===================================================================
+diff --git a/recipes/padreydecano.recipe b/recipes/padreydecano.recipe
+index 8bd45db312..4e8bf2f809 100644
 --- a/recipes/padreydecano.recipe
 +++ b/recipes/padreydecano.recipe
 @@ -1,4 +1,4 @@
@@ -5620,8 +5621,8 @@ Index: b/recipes/padreydecano.recipe
  ##
  # Title:        Padreydecano.com News, Sports, and Blog
  # Contact:      Carlos Alves - <carlosalves90@gmail.com>
-Index: b/recipes/pagina_12_print_ed.recipe
-===================================================================
+diff --git a/recipes/pagina_12_print_ed.recipe b/recipes/pagina_12_print_ed.recipe
+index d7be2f8194..4cb6eed6c1 100644
 --- a/recipes/pagina_12_print_ed.recipe
 +++ b/recipes/pagina_12_print_ed.recipe
 @@ -1,4 +1,4 @@
@@ -5630,8 +5631,8 @@ Index: b/recipes/pagina_12_print_ed.reci
  
  from __future__ import print_function
  __license__   = 'GPL v3'
-Index: b/recipes/panorama.recipe
-===================================================================
+diff --git a/recipes/panorama.recipe b/recipes/panorama.recipe
+index b1de63ea96..3125a3c865 100644
 --- a/recipes/panorama.recipe
 +++ b/recipes/panorama.recipe
 @@ -1,4 +1,4 @@
@@ -5640,8 +5641,8 @@ Index: b/recipes/panorama.recipe
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini'
  __copyright__ = '2009, Lorenzo Vigentini <l.vigentini at gmail.com>'
-Index: b/recipes/pc_advisor.recipe
-===================================================================
+diff --git a/recipes/pc_advisor.recipe b/recipes/pc_advisor.recipe
+index 295a4d2ce2..e165607646 100644
 --- a/recipes/pc_advisor.recipe
 +++ b/recipes/pc_advisor.recipe
 @@ -1,4 +1,4 @@
@@ -5650,8 +5651,8 @@ Index: b/recipes/pc_advisor.recipe
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini'
  __copyright__ = '2009, Lorenzo Vigentini <l.vigentini at gmail.com>'
-Index: b/recipes/pc_lab.recipe
-===================================================================
+diff --git a/recipes/pc_lab.recipe b/recipes/pc_lab.recipe
+index 0f289e085f..1f5973366a 100644
 --- a/recipes/pc_lab.recipe
 +++ b/recipes/pc_lab.recipe
 @@ -1,4 +1,4 @@
@@ -5660,8 +5661,8 @@ Index: b/recipes/pc_lab.recipe
  import re
  from calibre.web.feeds.recipes import BasicNewsRecipe
  from calibre.ebooks.BeautifulSoup import Comment
-Index: b/recipes/pc_mag.recipe
-===================================================================
+diff --git a/recipes/pc_mag.recipe b/recipes/pc_mag.recipe
+index a90b351411..976b6a01c8 100644
 --- a/recipes/pc_mag.recipe
 +++ b/recipes/pc_mag.recipe
 @@ -1,4 +1,4 @@
@@ -5670,8 +5671,8 @@ Index: b/recipes/pc_mag.recipe
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini'
  __copyright__ = '2009, Lorenzo Vigentini <l.vigentini at gmail.com>'
-Index: b/recipes/pc_world.recipe
-===================================================================
+diff --git a/recipes/pc_world.recipe b/recipes/pc_world.recipe
+index 2dff64519f..3ede833131 100644
 --- a/recipes/pc_world.recipe
 +++ b/recipes/pc_world.recipe
 @@ -1,4 +1,4 @@
@@ -5680,8 +5681,8 @@ Index: b/recipes/pc_world.recipe
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini'
  __copyright__ = '2009, Lorenzo Vigentini <l.vigentini at gmail.com>'
-Index: b/recipes/pcworld_hu.recipe
-===================================================================
+diff --git a/recipes/pcworld_hu.recipe b/recipes/pcworld_hu.recipe
+index 1f3e3c19df..7b675c2538 100644
 --- a/recipes/pcworld_hu.recipe
 +++ b/recipes/pcworld_hu.recipe
 @@ -1,4 +1,4 @@
@@ -5690,8 +5691,8 @@ Index: b/recipes/pcworld_hu.recipe
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement
  
-Index: b/recipes/pcworldro.recipe
-===================================================================
+diff --git a/recipes/pcworldro.recipe b/recipes/pcworldro.recipe
+index 177b1a4c9e..42b7d85f1c 100644
 --- a/recipes/pcworldro.recipe
 +++ b/recipes/pcworldro.recipe
 @@ -1,4 +1,4 @@
@@ -5700,8 +5701,8 @@ Index: b/recipes/pcworldro.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/people_us_mashup.recipe
-===================================================================
+diff --git a/recipes/people_us_mashup.recipe b/recipes/people_us_mashup.recipe
+index 74a2fb77a1..9284b26d0a 100644
 --- a/recipes/people_us_mashup.recipe
 +++ b/recipes/people_us_mashup.recipe
 @@ -1,4 +1,4 @@
@@ -5710,8 +5711,8 @@ Index: b/recipes/people_us_mashup.recipe
  __license__ = 'GPL v3'
  '''
  '''
-Index: b/recipes/phd_comics.recipe
-===================================================================
+diff --git a/recipes/phd_comics.recipe b/recipes/phd_comics.recipe
+index e18ca8ff78..435125e77d 100644
 --- a/recipes/phd_comics.recipe
 +++ b/recipes/phd_comics.recipe
 @@ -1,4 +1,4 @@
@@ -5720,8 +5721,8 @@ Index: b/recipes/phd_comics.recipe
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement
  
-Index: b/recipes/plus_info.recipe
-===================================================================
+diff --git a/recipes/plus_info.recipe b/recipes/plus_info.recipe
+index 8079ad037c..0a3b10744b 100644
 --- a/recipes/plus_info.recipe
 +++ b/recipes/plus_info.recipe
 @@ -1,4 +1,4 @@
@@ -5730,8 +5731,8 @@ Index: b/recipes/plus_info.recipe
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  
  __author__ = 'Darko Spasovski'
-Index: b/recipes/pobjeda.recipe
-===================================================================
+diff --git a/recipes/pobjeda.recipe b/recipes/pobjeda.recipe
+index 1bb4c1813e..f6bec0eca5 100644
 --- a/recipes/pobjeda.recipe
 +++ b/recipes/pobjeda.recipe
 @@ -1,4 +1,4 @@
@@ -5740,8 +5741,8 @@ Index: b/recipes/pobjeda.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/politico.recipe
-===================================================================
+diff --git a/recipes/politico.recipe b/recipes/politico.recipe
+index 440cf80f34..9af588d2f2 100644
 --- a/recipes/politico.recipe
 +++ b/recipes/politico.recipe
 @@ -1,4 +1,4 @@
@@ -5750,8 +5751,8 @@ Index: b/recipes/politico.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/politiko_dk.recipe
-===================================================================
+diff --git a/recipes/politiko_dk.recipe b/recipes/politiko_dk.recipe
+index 819a2d5e75..816be563eb 100644
 --- a/recipes/politiko_dk.recipe
 +++ b/recipes/politiko_dk.recipe
 @@ -1,4 +1,4 @@
@@ -5760,8 +5761,8 @@ Index: b/recipes/politiko_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/polityka.recipe
-===================================================================
+diff --git a/recipes/polityka.recipe b/recipes/polityka.recipe
+index 8deb4f98f5..a73077b1da 100644
 --- a/recipes/polityka.recipe
 +++ b/recipes/polityka.recipe
 @@ -1,4 +1,4 @@
@@ -5770,8 +5771,8 @@ Index: b/recipes/polityka.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2010, matek09, matek09@gmail.com'
-Index: b/recipes/portfolio.recipe
-===================================================================
+diff --git a/recipes/portfolio.recipe b/recipes/portfolio.recipe
+index bc64d568fd..cbb18b6128 100644
 --- a/recipes/portfolio.recipe
 +++ b/recipes/portfolio.recipe
 @@ -1,4 +1,4 @@
@@ -5780,8 +5781,8 @@ Index: b/recipes/portfolio.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/recipes/ppe_pl.recipe
-===================================================================
+diff --git a/recipes/ppe_pl.recipe b/recipes/ppe_pl.recipe
+index 3c97b5e1af..354b5eec5d 100644
 --- a/recipes/ppe_pl.recipe
 +++ b/recipes/ppe_pl.recipe
 @@ -1,4 +1,4 @@
@@ -5790,8 +5791,8 @@ Index: b/recipes/ppe_pl.recipe
  
  __license__ = 'GPL v3'
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/presse_portal.recipe
-===================================================================
+diff --git a/recipes/presse_portal.recipe b/recipes/presse_portal.recipe
+index 5ec7c57943..72ba830db7 100644
 --- a/recipes/presse_portal.recipe
 +++ b/recipes/presse_portal.recipe
 @@ -1,4 +1,4 @@
@@ -5800,8 +5801,8 @@ Index: b/recipes/presse_portal.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/pressonline.recipe
-===================================================================
+diff --git a/recipes/pressonline.recipe b/recipes/pressonline.recipe
+index 98f9c84147..c2fbb1ac02 100644
 --- a/recipes/pressonline.recipe
 +++ b/recipes/pressonline.recipe
 @@ -1,4 +1,4 @@
@@ -5810,8 +5811,8 @@ Index: b/recipes/pressonline.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/private_eye.recipe
-===================================================================
+diff --git a/recipes/private_eye.recipe b/recipes/private_eye.recipe
+index 02e816acb8..e16981ac2b 100644
 --- a/recipes/private_eye.recipe
 +++ b/recipes/private_eye.recipe
 @@ -1,4 +1,4 @@
@@ -5820,8 +5821,8 @@ Index: b/recipes/private_eye.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  '''
-Index: b/recipes/promotor.recipe
-===================================================================
+diff --git a/recipes/promotor.recipe b/recipes/promotor.recipe
+index 69d63ba04a..2a6f9217e6 100644
 --- a/recipes/promotor.recipe
 +++ b/recipes/promotor.recipe
 @@ -1,4 +1,4 @@
@@ -5830,8 +5831,8 @@ Index: b/recipes/promotor.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/prospectmaguk.recipe
-===================================================================
+diff --git a/recipes/prospectmaguk.recipe b/recipes/prospectmaguk.recipe
+index cd2fa62162..550b034b35 100644
 --- a/recipes/prospectmaguk.recipe
 +++ b/recipes/prospectmaguk.recipe
 @@ -1,4 +1,4 @@
@@ -5840,8 +5841,8 @@ Index: b/recipes/prospectmaguk.recipe
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  
  __license__ = 'GPL v3'
-Index: b/recipes/prosport.recipe
-===================================================================
+diff --git a/recipes/prosport.recipe b/recipes/prosport.recipe
+index 66eddd6e7c..385a8cd0bb 100644
 --- a/recipes/prosport.recipe
 +++ b/recipes/prosport.recipe
 @@ -1,4 +1,4 @@
@@ -5850,8 +5851,8 @@ Index: b/recipes/prosport.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/prostamerika.recipe
-===================================================================
+diff --git a/recipes/prostamerika.recipe b/recipes/prostamerika.recipe
+index d43d8766f4..44f417ea67 100644
 --- a/recipes/prostamerika.recipe
 +++ b/recipes/prostamerika.recipe
 @@ -1,4 +1,4 @@
@@ -5860,8 +5861,8 @@ Index: b/recipes/prostamerika.recipe
  # encoding: utf-8
  
  __license__ = 'GPL 3'
-Index: b/recipes/protvmagazin.recipe
-===================================================================
+diff --git a/recipes/protvmagazin.recipe b/recipes/protvmagazin.recipe
+index 80e2b989b3..9aa2c5932f 100644
 --- a/recipes/protvmagazin.recipe
 +++ b/recipes/protvmagazin.recipe
 @@ -1,4 +1,4 @@
@@ -5870,8 +5871,8 @@ Index: b/recipes/protvmagazin.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/psych.recipe
-===================================================================
+diff --git a/recipes/psych.recipe b/recipes/psych.recipe
+index a7a6a23894..f5f00ec0d2 100644
 --- a/recipes/psych.recipe
 +++ b/recipes/psych.recipe
 @@ -1,4 +1,4 @@
@@ -5880,8 +5881,8 @@ Index: b/recipes/psych.recipe
  # vim:fileencoding=utf-8
  
  from calibre.web.feeds.recipes import BasicNewsRecipe
-Index: b/recipes/psychologies.recipe
-===================================================================
+diff --git a/recipes/psychologies.recipe b/recipes/psychologies.recipe
+index 2a0e148968..412d8680c3 100644
 --- a/recipes/psychologies.recipe
 +++ b/recipes/psychologies.recipe
 @@ -1,4 +1,4 @@
@@ -5890,8 +5891,8 @@ Index: b/recipes/psychologies.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/pubblico_giornale.recipe
-===================================================================
+diff --git a/recipes/pubblico_giornale.recipe b/recipes/pubblico_giornale.recipe
+index 590bef807e..5717a14c46 100644
 --- a/recipes/pubblico_giornale.recipe
 +++ b/recipes/pubblico_giornale.recipe
 @@ -1,4 +1,4 @@
@@ -5900,8 +5901,8 @@ Index: b/recipes/pubblico_giornale.recip
  __license__ = 'GPL v3'
  __copyright__ = 'iusvar'
  __description__ = 'Pubblico giornale'
-Index: b/recipes/publico.recipe
-===================================================================
+diff --git a/recipes/publico.recipe b/recipes/publico.recipe
+index 0361dbbad8..7f72e93180 100644
 --- a/recipes/publico.recipe
 +++ b/recipes/publico.recipe
 @@ -1,4 +1,4 @@
@@ -5910,8 +5911,8 @@ Index: b/recipes/publico.recipe
  __author__ = u'Jordi Balcells'
  __license__ = 'GPL v3'
  description = u'Jornal portugu\xeas - v1.03 (16 June 2010)'
-Index: b/recipes/publika.recipe
-===================================================================
+diff --git a/recipes/publika.recipe b/recipes/publika.recipe
+index 4235ca8250..09aaceb111 100644
 --- a/recipes/publika.recipe
 +++ b/recipes/publika.recipe
 @@ -1,4 +1,4 @@
@@ -5920,8 +5921,8 @@ Index: b/recipes/publika.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/punto_informatico.recipe
-===================================================================
+diff --git a/recipes/punto_informatico.recipe b/recipes/punto_informatico.recipe
+index 1f6479c739..c3f4d68bca 100644
 --- a/recipes/punto_informatico.recipe
 +++ b/recipes/punto_informatico.recipe
 @@ -1,4 +1,4 @@
@@ -5930,8 +5931,8 @@ Index: b/recipes/punto_informatico.recip
  __license__ = 'GPL v3'
  __author__ = 'Gabriele Marini'
  __copyright__ = 'Gabriele Marini'
-Index: b/recipes/quanta_magazine.recipe
-===================================================================
+diff --git a/recipes/quanta_magazine.recipe b/recipes/quanta_magazine.recipe
+index a7405e3c30..976cdc5870 100644
 --- a/recipes/quanta_magazine.recipe
 +++ b/recipes/quanta_magazine.recipe
 @@ -1,4 +1,4 @@
@@ -5940,8 +5941,8 @@ Index: b/recipes/quanta_magazine.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/queueacmorg.recipe
-===================================================================
+diff --git a/recipes/queueacmorg.recipe b/recipes/queueacmorg.recipe
+index e326b2500e..1dcc974353 100644
 --- a/recipes/queueacmorg.recipe
 +++ b/recipes/queueacmorg.recipe
 @@ -1,4 +1,4 @@
@@ -5950,8 +5951,8 @@ Index: b/recipes/queueacmorg.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/quotidiano.recipe
-===================================================================
+diff --git a/recipes/quotidiano.recipe b/recipes/quotidiano.recipe
+index c43f3f3e80..1a7d90308c 100644
 --- a/recipes/quotidiano.recipe
 +++ b/recipes/quotidiano.recipe
 @@ -1,4 +1,4 @@
@@ -5960,8 +5961,8 @@ Index: b/recipes/quotidiano.recipe
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini'
  __copyright__ = '2009, Lorenzo Vigentini <l.vigentini at gmail.com>'
-Index: b/recipes/randerslokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/randerslokalavisen_dk.recipe b/recipes/randerslokalavisen_dk.recipe
+index 2c4b3b0fde..bc69ed00f0 100644
 --- a/recipes/randerslokalavisen_dk.recipe
 +++ b/recipes/randerslokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -5970,8 +5971,8 @@ Index: b/recipes/randerslokalavisen_dk.r
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/readers_digest.recipe
-===================================================================
+diff --git a/recipes/readers_digest.recipe b/recipes/readers_digest.recipe
+index 760432af7c..0b9a45dd11 100644
 --- a/recipes/readers_digest.recipe
 +++ b/recipes/readers_digest.recipe
 @@ -1,4 +1,4 @@
@@ -5980,8 +5981,8 @@ Index: b/recipes/readers_digest.recipe
  __license__ = 'GPL v3'
  '''
  '''
-Index: b/recipes/realitatea.recipe
-===================================================================
+diff --git a/recipes/realitatea.recipe b/recipes/realitatea.recipe
+index ecf68dc165..7272dde488 100644
 --- a/recipes/realitatea.recipe
 +++ b/recipes/realitatea.recipe
 @@ -1,4 +1,4 @@
@@ -5990,8 +5991,8 @@ Index: b/recipes/realitatea.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/red_aragon.recipe
-===================================================================
+diff --git a/recipes/red_aragon.recipe b/recipes/red_aragon.recipe
+index e745893acf..70f82a9f88 100644
 --- a/recipes/red_aragon.recipe
 +++ b/recipes/red_aragon.recipe
 @@ -1,4 +1,4 @@
@@ -6000,8 +6001,8 @@ Index: b/recipes/red_aragon.recipe
  __license__ = 'GPL v3'
  __copyright__ = '11 December 2010, desUBIKado'
  __author__ = 'desUBIKado'
-Index: b/recipes/regina_leader_post.recipe
-===================================================================
+diff --git a/recipes/regina_leader_post.recipe b/recipes/regina_leader_post.recipe
+index b226697fc2..088c5d20f7 100644
 --- a/recipes/regina_leader_post.recipe
 +++ b/recipes/regina_leader_post.recipe
 @@ -1,4 +1,4 @@
@@ -6010,8 +6011,8 @@ Index: b/recipes/regina_leader_post.reci
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/replicavedetelor.recipe
-===================================================================
+diff --git a/recipes/replicavedetelor.recipe b/recipes/replicavedetelor.recipe
+index 460d72ea73..20e8c80220 100644
 --- a/recipes/replicavedetelor.recipe
 +++ b/recipes/replicavedetelor.recipe
 @@ -1,4 +1,4 @@
@@ -6020,8 +6021,8 @@ Index: b/recipes/replicavedetelor.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/republika.recipe
-===================================================================
+diff --git a/recipes/republika.recipe b/recipes/republika.recipe
+index 02daafbe71..98ff77195b 100644
 --- a/recipes/republika.recipe
 +++ b/recipes/republika.recipe
 @@ -1,4 +1,4 @@
@@ -6030,8 +6031,8 @@ Index: b/recipes/republika.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/revista_bla.recipe
-===================================================================
+diff --git a/recipes/revista_bla.recipe b/recipes/revista_bla.recipe
+index 104f4dc1c8..e03b47d88e 100644
 --- a/recipes/revista_bla.recipe
 +++ b/recipes/revista_bla.recipe
 @@ -1,4 +1,4 @@
@@ -6040,8 +6041,8 @@ Index: b/recipes/revista_bla.recipe
  
  __license__ = 'GPL v3'
  __author__ = '2010, Gustavo Azambuja <hola at gazambuja.com>'
-Index: b/recipes/rga.recipe
-===================================================================
+diff --git a/recipes/rga.recipe b/recipes/rga.recipe
+index 7e5f3a5e1f..1d968edd7b 100644
 --- a/recipes/rga.recipe
 +++ b/recipes/rga.recipe
 @@ -1,4 +1,4 @@
@@ -6050,8 +6051,8 @@ Index: b/recipes/rga.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, W. Gerard <wii at gerard-nrw.de>'
-Index: b/recipes/rmf24_ESKN.recipe
-===================================================================
+diff --git a/recipes/rmf24_ESKN.recipe b/recipes/rmf24_ESKN.recipe
+index 281f3a4c65..c43a216e2d 100644
 --- a/recipes/rmf24_ESKN.recipe
 +++ b/recipes/rmf24_ESKN.recipe
 @@ -1,4 +1,4 @@
@@ -6060,8 +6061,8 @@ Index: b/recipes/rmf24_ESKN.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = u'2010, Tomasz Dlugosz <tomek3d@gmail.com>'
-Index: b/recipes/rmf24_fakty.recipe
-===================================================================
+diff --git a/recipes/rmf24_fakty.recipe b/recipes/rmf24_fakty.recipe
+index c6a4aacae6..d7809314e5 100644
 --- a/recipes/rmf24_fakty.recipe
 +++ b/recipes/rmf24_fakty.recipe
 @@ -1,4 +1,4 @@
@@ -6070,8 +6071,8 @@ Index: b/recipes/rmf24_fakty.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = u'2010, Tomasz Dlugosz <tomek3d@gmail.com>'
-Index: b/recipes/rmf24_opinie.recipe
-===================================================================
+diff --git a/recipes/rmf24_opinie.recipe b/recipes/rmf24_opinie.recipe
+index d55fe60045..eb5391a746 100644
 --- a/recipes/rmf24_opinie.recipe
 +++ b/recipes/rmf24_opinie.recipe
 @@ -1,4 +1,4 @@
@@ -6080,8 +6081,8 @@ Index: b/recipes/rmf24_opinie.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = u'2010, Tomasz Dlugosz <tomek3d@gmail.com>'
-Index: b/recipes/romanialibera.recipe
-===================================================================
+diff --git a/recipes/romanialibera.recipe b/recipes/romanialibera.recipe
+index f77749af9f..667013bf6f 100644
 --- a/recipes/romanialibera.recipe
 +++ b/recipes/romanialibera.recipe
 @@ -1,4 +1,4 @@
@@ -6090,8 +6091,8 @@ Index: b/recipes/romanialibera.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/roskildelokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/roskildelokalavisen_dk.recipe b/recipes/roskildelokalavisen_dk.recipe
+index fe06f9704e..9aa6ad7dd0 100644
 --- a/recipes/roskildelokalavisen_dk.recipe
 +++ b/recipes/roskildelokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -6100,8 +6101,8 @@ Index: b/recipes/roskildelokalavisen_dk.
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/rts.recipe
-===================================================================
+diff --git a/recipes/rts.recipe b/recipes/rts.recipe
+index 2d42bea682..09293b8653 100644
 --- a/recipes/rts.recipe
 +++ b/recipes/rts.recipe
 @@ -1,4 +1,4 @@
@@ -6110,8 +6111,8 @@ Index: b/recipes/rts.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/rudersdallokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/rudersdallokalavisen_dk.recipe b/recipes/rudersdallokalavisen_dk.recipe
+index 3761652c1e..9f1949a71e 100644
 --- a/recipes/rudersdallokalavisen_dk.recipe
 +++ b/recipes/rudersdallokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -6120,8 +6121,8 @@ Index: b/recipes/rudersdallokalavisen_dk
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/rushisaband.recipe
-===================================================================
+diff --git a/recipes/rushisaband.recipe b/recipes/rushisaband.recipe
+index 15ec3bcfb6..1df8174a8b 100644
 --- a/recipes/rushisaband.recipe
 +++ b/recipes/rushisaband.recipe
 @@ -1,4 +1,4 @@
@@ -6130,8 +6131,8 @@ Index: b/recipes/rushisaband.recipe
  
  __license__ = 'GPL v3'
  __author__ = 'MrStefan <mrstefaan@gmail.com>'
-Index: b/recipes/rynek_infrastruktury.recipe
-===================================================================
+diff --git a/recipes/rynek_infrastruktury.recipe b/recipes/rynek_infrastruktury.recipe
+index d020d4d407..6c981640b6 100644
 --- a/recipes/rynek_infrastruktury.recipe
 +++ b/recipes/rynek_infrastruktury.recipe
 @@ -1,4 +1,4 @@
@@ -6140,8 +6141,8 @@ Index: b/recipes/rynek_infrastruktury.re
  
  __license__ = 'GPL v3'
  __author__ = 'teepel <teepel44@gmail.com>'
-Index: b/recipes/sa_gazeta.recipe
-===================================================================
+diff --git a/recipes/sa_gazeta.recipe b/recipes/sa_gazeta.recipe
+index 3e97fb6429..bd067c980d 100644
 --- a/recipes/sa_gazeta.recipe
 +++ b/recipes/sa_gazeta.recipe
 @@ -1,4 +1,4 @@
@@ -6150,8 +6151,8 @@ Index: b/recipes/sa_gazeta.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import AutomaticNewsRecipe
-Index: b/recipes/salon.recipe
-===================================================================
+diff --git a/recipes/salon.recipe b/recipes/salon.recipe
+index 915119dc09..9a47299b91 100644
 --- a/recipes/salon.recipe
 +++ b/recipes/salon.recipe
 @@ -1,4 +1,4 @@
@@ -6160,8 +6161,8 @@ Index: b/recipes/salon.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/san_fran_chronicle.recipe
-===================================================================
+diff --git a/recipes/san_fran_chronicle.recipe b/recipes/san_fran_chronicle.recipe
+index a4fc0f8849..20d9d21af6 100644
 --- a/recipes/san_fran_chronicle.recipe
 +++ b/recipes/san_fran_chronicle.recipe
 @@ -1,4 +1,4 @@
@@ -6170,8 +6171,8 @@ Index: b/recipes/san_fran_chronicle.reci
  
  __license__ = 'GPL v3'
  __copyright__ = '2008, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/sanjosemercurynews.recipe
-===================================================================
+diff --git a/recipes/sanjosemercurynews.recipe b/recipes/sanjosemercurynews.recipe
+index 006c3e81e2..ddb96cb9e8 100644
 --- a/recipes/sanjosemercurynews.recipe
 +++ b/recipes/sanjosemercurynews.recipe
 @@ -1,4 +1,4 @@
@@ -6180,8 +6181,8 @@ Index: b/recipes/sanjosemercurynews.reci
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/saskatoon_star_phoenix.recipe
-===================================================================
+diff --git a/recipes/saskatoon_star_phoenix.recipe b/recipes/saskatoon_star_phoenix.recipe
+index f69e358e01..27961f1259 100644
 --- a/recipes/saskatoon_star_phoenix.recipe
 +++ b/recipes/saskatoon_star_phoenix.recipe
 @@ -1,4 +1,4 @@
@@ -6190,8 +6191,8 @@ Index: b/recipes/saskatoon_star_phoenix.
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/satkurier.recipe
-===================================================================
+diff --git a/recipes/satkurier.recipe b/recipes/satkurier.recipe
+index d67844c8cd..4f9cce30c6 100644
 --- a/recipes/satkurier.recipe
 +++ b/recipes/satkurier.recipe
 @@ -1,4 +1,4 @@
@@ -6200,8 +6201,8 @@ Index: b/recipes/satkurier.recipe
  
  __license__ = 'GPL v3'
  
-Index: b/recipes/satmagazine.recipe
-===================================================================
+diff --git a/recipes/satmagazine.recipe b/recipes/satmagazine.recipe
+index 1c134dda09..71b6b14c3a 100644
 --- a/recipes/satmagazine.recipe
 +++ b/recipes/satmagazine.recipe
 @@ -1,4 +1,4 @@
@@ -6210,8 +6211,8 @@ Index: b/recipes/satmagazine.recipe
  ##
  # Title:        SatMagazine
  ##
-Index: b/recipes/sb_nation.recipe
-===================================================================
+diff --git a/recipes/sb_nation.recipe b/recipes/sb_nation.recipe
+index 672ffa9585..00b33ecefa 100644
 --- a/recipes/sb_nation.recipe
 +++ b/recipes/sb_nation.recipe
 @@ -1,4 +1,4 @@
@@ -6220,8 +6221,8 @@ Index: b/recipes/sb_nation.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = 'Zotzo'
-Index: b/recipes/science_advances.recipe
-===================================================================
+diff --git a/recipes/science_advances.recipe b/recipes/science_advances.recipe
+index 9fc4065374..9bece8b125 100644
 --- a/recipes/science_advances.recipe
 +++ b/recipes/science_advances.recipe
 @@ -1,4 +1,4 @@
@@ -6230,8 +6231,8 @@ Index: b/recipes/science_advances.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/science_based_medicine.recipe
-===================================================================
+diff --git a/recipes/science_based_medicine.recipe b/recipes/science_based_medicine.recipe
+index 18e2015d9e..2e187a1765 100644
 --- a/recipes/science_based_medicine.recipe
 +++ b/recipes/science_based_medicine.recipe
 @@ -1,4 +1,4 @@
@@ -6240,8 +6241,8 @@ Index: b/recipes/science_based_medicine.
  
  from calibre.web.feeds.news import BasicNewsRecipe
  
-Index: b/recipes/science_news.recipe
-===================================================================
+diff --git a/recipes/science_news.recipe b/recipes/science_news.recipe
+index df1217a083..b53af220c9 100644
 --- a/recipes/science_news.recipe
 +++ b/recipes/science_news.recipe
 @@ -1,4 +1,4 @@
@@ -6250,8 +6251,8 @@ Index: b/recipes/science_news.recipe
  
  __license__ = 'GPL v3'
  '''
-Index: b/recipes/science_news_recent_issues.recipe
-===================================================================
+diff --git a/recipes/science_news_recent_issues.recipe b/recipes/science_news_recent_issues.recipe
+index 8f8328f6f3..ad9ca94dfd 100644
 --- a/recipes/science_news_recent_issues.recipe
 +++ b/recipes/science_news_recent_issues.recipe
 @@ -1,4 +1,4 @@
@@ -6260,8 +6261,8 @@ Index: b/recipes/science_news_recent_iss
  
  __license__ = 'GPL v3'
  '''
-Index: b/recipes/sciencedaily.recipe
-===================================================================
+diff --git a/recipes/sciencedaily.recipe b/recipes/sciencedaily.recipe
+index 74de16a3ac..ee2dae291e 100644
 --- a/recipes/sciencedaily.recipe
 +++ b/recipes/sciencedaily.recipe
 @@ -1,4 +1,4 @@
@@ -6270,8 +6271,8 @@ Index: b/recipes/sciencedaily.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2008-2017, Darko Miletic <darko.miletic at gmail.com>'
  '''
-Index: b/recipes/scientific_american.recipe
-===================================================================
+diff --git a/recipes/scientific_american.recipe b/recipes/scientific_american.recipe
+index 9e5ec483da..1acad5a74e 100644
 --- a/recipes/scientific_american.recipe
 +++ b/recipes/scientific_american.recipe
 @@ -1,4 +1,4 @@
@@ -6280,8 +6281,8 @@ Index: b/recipes/scientific_american.rec
  __license__ = 'GPL v3'
  
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/scott_hanselman.recipe
-===================================================================
+diff --git a/recipes/scott_hanselman.recipe b/recipes/scott_hanselman.recipe
+index f5acc50401..711258ddac 100644
 --- a/recipes/scott_hanselman.recipe
 +++ b/recipes/scott_hanselman.recipe
 @@ -1,4 +1,4 @@
@@ -6290,8 +6291,8 @@ Index: b/recipes/scott_hanselman.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/seanhannity.recipe
-===================================================================
+diff --git a/recipes/seanhannity.recipe b/recipes/seanhannity.recipe
+index 641767e63c..01a5f45dcb 100644
 --- a/recipes/seanhannity.recipe
 +++ b/recipes/seanhannity.recipe
 @@ -1,4 +1,4 @@
@@ -6300,8 +6301,8 @@ Index: b/recipes/seanhannity.recipe
  
  from calibre.web.feeds.recipes import BasicNewsRecipe
  
-Index: b/recipes/seattle_times.recipe
-===================================================================
+diff --git a/recipes/seattle_times.recipe b/recipes/seattle_times.recipe
+index 8a5f8e8bb5..fdd9b24022 100644
 --- a/recipes/seattle_times.recipe
 +++ b/recipes/seattle_times.recipe
 @@ -1,4 +1,4 @@
@@ -6310,8 +6311,8 @@ Index: b/recipes/seattle_times.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/serverside.recipe
-===================================================================
+diff --git a/recipes/serverside.recipe b/recipes/serverside.recipe
+index cd24653131..1caa05e33d 100644
 --- a/recipes/serverside.recipe
 +++ b/recipes/serverside.recipe
 @@ -1,4 +1,4 @@
@@ -6320,8 +6321,8 @@ Index: b/recipes/serverside.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Rick Kellogg'
-Index: b/recipes/sfin.recipe
-===================================================================
+diff --git a/recipes/sfin.recipe b/recipes/sfin.recipe
+index a4187a6408..8411bb37b8 100644
 --- a/recipes/sfin.recipe
 +++ b/recipes/sfin.recipe
 @@ -1,4 +1,4 @@
@@ -6330,8 +6331,8 @@ Index: b/recipes/sfin.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/skanderborglokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/skanderborglokalavisen_dk.recipe b/recipes/skanderborglokalavisen_dk.recipe
+index 0829d2f8fa..81b35732f4 100644
 --- a/recipes/skanderborglokalavisen_dk.recipe
 +++ b/recipes/skanderborglokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -6340,8 +6341,8 @@ Index: b/recipes/skanderborglokalavisen_
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/slashdot.recipe
-===================================================================
+diff --git a/recipes/slashdot.recipe b/recipes/slashdot.recipe
+index 81754329f4..4956e5af5e 100644
 --- a/recipes/slashdot.recipe
 +++ b/recipes/slashdot.recipe
 @@ -1,4 +1,4 @@
@@ -6350,8 +6351,8 @@ Index: b/recipes/slashdot.recipe
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement
  
-Index: b/recipes/slate.recipe
-===================================================================
+diff --git a/recipes/slate.recipe b/recipes/slate.recipe
+index 741630fddd..7c525520ff 100644
 --- a/recipes/slate.recipe
 +++ b/recipes/slate.recipe
 @@ -1,4 +1,4 @@
@@ -6360,8 +6361,8 @@ Index: b/recipes/slate.recipe
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  
  __license__ = 'GPL v3'
-Index: b/recipes/slate_star_codex.recipe
-===================================================================
+diff --git a/recipes/slate_star_codex.recipe b/recipes/slate_star_codex.recipe
+index 1647422031..ac484a2266 100644
 --- a/recipes/slate_star_codex.recipe
 +++ b/recipes/slate_star_codex.recipe
 @@ -1,4 +1,4 @@
@@ -6370,8 +6371,8 @@ Index: b/recipes/slate_star_codex.recipe
  
  from calibre.web.feeds.news import BasicNewsRecipe
  import re
-Index: b/recipes/sn_dk.recipe
-===================================================================
+diff --git a/recipes/sn_dk.recipe b/recipes/sn_dk.recipe
+index 440a7402ab..21ff28c994 100644
 --- a/recipes/sn_dk.recipe
 +++ b/recipes/sn_dk.recipe
 @@ -1,4 +1,4 @@
@@ -6380,8 +6381,8 @@ Index: b/recipes/sn_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/socialdiva.recipe
-===================================================================
+diff --git a/recipes/socialdiva.recipe b/recipes/socialdiva.recipe
+index 1443a49115..9ad6997361 100644
 --- a/recipes/socialdiva.recipe
 +++ b/recipes/socialdiva.recipe
 @@ -1,4 +1,4 @@
@@ -6390,8 +6391,8 @@ Index: b/recipes/socialdiva.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/soenderborglokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/soenderborglokalavisen_dk.recipe b/recipes/soenderborglokalavisen_dk.recipe
+index fe5e0e5de2..bb6b287b2d 100644
 --- a/recipes/soenderborglokalavisen_dk.recipe
 +++ b/recipes/soenderborglokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -6400,8 +6401,8 @@ Index: b/recipes/soenderborglokalavisen_
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/sondagsavisen_dk.recipe
-===================================================================
+diff --git a/recipes/sondagsavisen_dk.recipe b/recipes/sondagsavisen_dk.recipe
+index f219055e36..fa78dc1adf 100644
 --- a/recipes/sondagsavisen_dk.recipe
 +++ b/recipes/sondagsavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -6410,8 +6411,8 @@ Index: b/recipes/sondagsavisen_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/southernstar.recipe
-===================================================================
+diff --git a/recipes/southernstar.recipe b/recipes/southernstar.recipe
+index bab9e7caad..ae9ffe9f05 100644
 --- a/recipes/southernstar.recipe
 +++ b/recipes/southernstar.recipe
 @@ -1,4 +1,4 @@
@@ -6420,8 +6421,8 @@ Index: b/recipes/southernstar.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2012, watou'
-Index: b/recipes/spektrum.recipe
-===================================================================
+diff --git a/recipes/spektrum.recipe b/recipes/spektrum.recipe
+index 977bb29e8b..44abddd3e5 100644
 --- a/recipes/spektrum.recipe
 +++ b/recipes/spektrum.recipe
 @@ -1,4 +1,4 @@
@@ -6430,8 +6431,8 @@ Index: b/recipes/spektrum.recipe
  # vim:fileencoding=utf-8
  ##
  # Written:      October 2012 (new coding)
-Index: b/recipes/spiegelde.recipe
-===================================================================
+diff --git a/recipes/spiegelde.recipe b/recipes/spiegelde.recipe
+index 7e7ee6c167..259566d061 100644
 --- a/recipes/spiegelde.recipe
 +++ b/recipes/spiegelde.recipe
 @@ -1,4 +1,4 @@
@@ -6440,8 +6441,8 @@ Index: b/recipes/spiegelde.recipe
  # License: 'CC-BY-4.0'
  # Copyright: '2019, vohe Based on the recipe by Darko Miletic <darko.miletic at gmail.com>'
  from datetime import datetime
-Index: b/recipes/sportowefakty.recipe
-===================================================================
+diff --git a/recipes/sportowefakty.recipe b/recipes/sportowefakty.recipe
+index 898fc1a110..1fa447dad1 100644
 --- a/recipes/sportowefakty.recipe
 +++ b/recipes/sportowefakty.recipe
 @@ -1,4 +1,4 @@
@@ -6450,8 +6451,8 @@ Index: b/recipes/sportowefakty.recipe
  
  __license__ = 'GPL v3'
  
-Index: b/recipes/sports_illustrated.recipe
-===================================================================
+diff --git a/recipes/sports_illustrated.recipe b/recipes/sports_illustrated.recipe
+index 05e059b769..88adc2f25d 100644
 --- a/recipes/sports_illustrated.recipe
 +++ b/recipes/sports_illustrated.recipe
 @@ -1,4 +1,4 @@
@@ -6460,8 +6461,8 @@ Index: b/recipes/sports_illustrated.reci
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/sporza_be.recipe
-===================================================================
+diff --git a/recipes/sporza_be.recipe b/recipes/sporza_be.recipe
+index 3b9d2eb6c5..ae01107aba 100644
 --- a/recipes/sporza_be.recipe
 +++ b/recipes/sporza_be.recipe
 @@ -1,4 +1,4 @@
@@ -6470,8 +6471,8 @@ Index: b/recipes/sporza_be.recipe
  
  from calibre.web.feeds.news import BasicNewsRecipe
  
-Index: b/recipes/stackoverflow.recipe
-===================================================================
+diff --git a/recipes/stackoverflow.recipe b/recipes/stackoverflow.recipe
+index 285e141b42..c3eb1dcc68 100644
 --- a/recipes/stackoverflow.recipe
 +++ b/recipes/stackoverflow.recipe
 @@ -1,4 +1,4 @@
@@ -6480,8 +6481,8 @@ Index: b/recipes/stackoverflow.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/standardmoney.recipe
-===================================================================
+diff --git a/recipes/standardmoney.recipe b/recipes/standardmoney.recipe
+index 1f1f1cbe11..f28ee28ca8 100644
 --- a/recipes/standardmoney.recipe
 +++ b/recipes/standardmoney.recipe
 @@ -1,4 +1,4 @@
@@ -6490,8 +6491,8 @@ Index: b/recipes/standardmoney.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/stiintasitehnica.recipe
-===================================================================
+diff --git a/recipes/stiintasitehnica.recipe b/recipes/stiintasitehnica.recipe
+index 315241be01..56cbae20ed 100644
 --- a/recipes/stiintasitehnica.recipe
 +++ b/recipes/stiintasitehnica.recipe
 @@ -1,4 +1,4 @@
@@ -6500,8 +6501,8 @@ Index: b/recipes/stiintasitehnica.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/strange_horizons.recipe
-===================================================================
+diff --git a/recipes/strange_horizons.recipe b/recipes/strange_horizons.recipe
+index 2c295a821b..200b2e61d3 100644
 --- a/recipes/strange_horizons.recipe
 +++ b/recipes/strange_horizons.recipe
 @@ -1,4 +1,4 @@
@@ -6510,8 +6511,8 @@ Index: b/recipes/strange_horizons.recipe
  
  from collections import OrderedDict
  
-Index: b/recipes/superbebe.recipe
-===================================================================
+diff --git a/recipes/superbebe.recipe b/recipes/superbebe.recipe
+index 80575499f8..491cad033a 100644
 --- a/recipes/superbebe.recipe
 +++ b/recipes/superbebe.recipe
 @@ -1,4 +1,4 @@
@@ -6520,8 +6521,8 @@ Index: b/recipes/superbebe.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/swiatkindle.recipe
-===================================================================
+diff --git a/recipes/swiatkindle.recipe b/recipes/swiatkindle.recipe
+index ae2c4615ce..e51c47d12e 100644
 --- a/recipes/swiatkindle.recipe
 +++ b/recipes/swiatkindle.recipe
 @@ -1,4 +1,4 @@
@@ -6530,8 +6531,8 @@ Index: b/recipes/swiatkindle.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = u'2011, Tomasz Dlugosz <tomek3d@gmail.com>'
-Index: b/recipes/syddjurslokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/syddjurslokalavisen_dk.recipe b/recipes/syddjurslokalavisen_dk.recipe
+index 021d33a0ee..0a11637b0d 100644
 --- a/recipes/syddjurslokalavisen_dk.recipe
 +++ b/recipes/syddjurslokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -6540,8 +6541,8 @@ Index: b/recipes/syddjurslokalavisen_dk.
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/tabu.recipe
-===================================================================
+diff --git a/recipes/tabu.recipe b/recipes/tabu.recipe
+index 4258b71ea7..41e71c24ae 100644
 --- a/recipes/tabu.recipe
 +++ b/recipes/tabu.recipe
 @@ -1,4 +1,4 @@
@@ -6550,8 +6551,8 @@ Index: b/recipes/tabu.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/tagesspiegel.recipe
-===================================================================
+diff --git a/recipes/tagesspiegel.recipe b/recipes/tagesspiegel.recipe
+index f57639db1a..004799f8d7 100644
 --- a/recipes/tagesspiegel.recipe
 +++ b/recipes/tagesspiegel.recipe
 @@ -1,4 +1,4 @@
@@ -6560,8 +6561,8 @@ Index: b/recipes/tagesspiegel.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/taz.recipe
-===================================================================
+diff --git a/recipes/taz.recipe b/recipes/taz.recipe
+index a4d97b067c..74a57af9cd 100644
 --- a/recipes/taz.recipe
 +++ b/recipes/taz.recipe
 @@ -1,4 +1,4 @@
@@ -6570,8 +6571,8 @@ Index: b/recipes/taz.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/tech_world.recipe
-===================================================================
+diff --git a/recipes/tech_world.recipe b/recipes/tech_world.recipe
+index c6af3ffe02..2be557ab8e 100644
 --- a/recipes/tech_world.recipe
 +++ b/recipes/tech_world.recipe
 @@ -1,4 +1,4 @@
@@ -6580,8 +6581,8 @@ Index: b/recipes/tech_world.recipe
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini'
  __copyright__ = '2009, Lorenzo Vigentini <l.vigentini at gmail.com>'
-Index: b/recipes/technology_review_de.recipe
-===================================================================
+diff --git a/recipes/technology_review_de.recipe b/recipes/technology_review_de.recipe
+index 42ab995070..bae4015046 100644
 --- a/recipes/technology_review_de.recipe
 +++ b/recipes/technology_review_de.recipe
 @@ -1,4 +1,4 @@
@@ -6590,8 +6591,8 @@ Index: b/recipes/technology_review_de.re
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  
-Index: b/recipes/telam.recipe
-===================================================================
+diff --git a/recipes/telam.recipe b/recipes/telam.recipe
+index 7be32dee23..4fa81b0032 100644
 --- a/recipes/telam.recipe
 +++ b/recipes/telam.recipe
 @@ -1,4 +1,4 @@
@@ -6600,8 +6601,8 @@ Index: b/recipes/telam.recipe
  # -*- mode: python -*-
  # -*- coding: utf-8 -*-
  
-Index: b/recipes/telepolis.recipe
-===================================================================
+diff --git a/recipes/telepolis.recipe b/recipes/telepolis.recipe
+index e521c1f9f0..2ce25c4d6c 100644
 --- a/recipes/telepolis.recipe
 +++ b/recipes/telepolis.recipe
 @@ -1,4 +1,4 @@
@@ -6610,8 +6611,8 @@ Index: b/recipes/telepolis.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/teleread.recipe
-===================================================================
+diff --git a/recipes/teleread.recipe b/recipes/teleread.recipe
+index fb7c35e86c..37580b3297 100644
 --- a/recipes/teleread.recipe
 +++ b/recipes/teleread.recipe
 @@ -1,4 +1,4 @@
@@ -6620,8 +6621,8 @@ Index: b/recipes/teleread.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/the_age.recipe
-===================================================================
+diff --git a/recipes/the_age.recipe b/recipes/the_age.recipe
+index c987274892..539f50cfc2 100644
 --- a/recipes/the_age.recipe
 +++ b/recipes/the_age.recipe
 @@ -1,4 +1,4 @@
@@ -6630,8 +6631,8 @@ Index: b/recipes/the_age.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2009, Matthew Briggs <hal.sulphur@gmail.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/the_budget_fashionista.recipe
-===================================================================
+diff --git a/recipes/the_budget_fashionista.recipe b/recipes/the_budget_fashionista.recipe
+index 40c32c8f26..23001a77bd 100644
 --- a/recipes/the_budget_fashionista.recipe
 +++ b/recipes/the_budget_fashionista.recipe
 @@ -1,4 +1,4 @@
@@ -6640,8 +6641,8 @@ Index: b/recipes/the_budget_fashionista.
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/the_escapist.recipe
-===================================================================
+diff --git a/recipes/the_escapist.recipe b/recipes/the_escapist.recipe
+index 1c8d10b978..fdf7a62e49 100644
 --- a/recipes/the_escapist.recipe
 +++ b/recipes/the_escapist.recipe
 @@ -1,4 +1,4 @@
@@ -6650,8 +6651,8 @@ Index: b/recipes/the_escapist.recipe
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini and Tom Surace'
  __copyright__ = '2009, Lorenzo Vigentini <l.vigentini at gmail.com>, 2013 Tom Surace <tekhedd@byteheaven.net>'
-Index: b/recipes/the_federalist.recipe
-===================================================================
+diff --git a/recipes/the_federalist.recipe b/recipes/the_federalist.recipe
+index 4334f3a065..89f8cc4317 100644
 --- a/recipes/the_federalist.recipe
 +++ b/recipes/the_federalist.recipe
 @@ -1,4 +1,4 @@
@@ -6660,8 +6661,8 @@ Index: b/recipes/the_federalist.recipe
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/recipes/the_insider.recipe
-===================================================================
+diff --git a/recipes/the_insider.recipe b/recipes/the_insider.recipe
+index 0140711155..f2063cd29e 100644
 --- a/recipes/the_insider.recipe
 +++ b/recipes/the_insider.recipe
 @@ -1,4 +1,4 @@
@@ -6670,8 +6671,8 @@ Index: b/recipes/the_insider.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/the_oz.recipe
-===================================================================
+diff --git a/recipes/the_oz.recipe b/recipes/the_oz.recipe
+index 59cc9e3cb5..9b85e1bca8 100644
 --- a/recipes/the_oz.recipe
 +++ b/recipes/the_oz.recipe
 @@ -1,4 +1,4 @@
@@ -6680,8 +6681,8 @@ Index: b/recipes/the_oz.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2009, Matthew Briggs'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/thecodelesscode.recipe
-===================================================================
+diff --git a/recipes/thecodelesscode.recipe b/recipes/thecodelesscode.recipe
+index 261189bda3..38586af523 100644
 --- a/recipes/thecodelesscode.recipe
 +++ b/recipes/thecodelesscode.recipe
 @@ -1,4 +1,4 @@
@@ -6690,8 +6691,8 @@ Index: b/recipes/thecodelesscode.recipe
  
  from datetime import date
  from lxml import etree
-Index: b/recipes/thedgesingapore.recipe
-===================================================================
+diff --git a/recipes/thedgesingapore.recipe b/recipes/thedgesingapore.recipe
+index 9277cc297a..be20a26ba6 100644
 --- a/recipes/thedgesingapore.recipe
 +++ b/recipes/thedgesingapore.recipe
 @@ -1,4 +1,4 @@
@@ -6700,8 +6701,8 @@ Index: b/recipes/thedgesingapore.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/themarketticker.recipe
-===================================================================
+diff --git a/recipes/themarketticker.recipe b/recipes/themarketticker.recipe
+index cf6806c62b..4a5fd1196e 100644
 --- a/recipes/themarketticker.recipe
 +++ b/recipes/themarketticker.recipe
 @@ -1,4 +1,4 @@
@@ -6710,8 +6711,8 @@ Index: b/recipes/themarketticker.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/themorningpaper.recipe
-===================================================================
+diff --git a/recipes/themorningpaper.recipe b/recipes/themorningpaper.recipe
+index f3e4341b2c..0cf4263873 100644
 --- a/recipes/themorningpaper.recipe
 +++ b/recipes/themorningpaper.recipe
 @@ -1,4 +1,4 @@
@@ -6720,8 +6721,8 @@ Index: b/recipes/themorningpaper.recipe
  # -*- mode: python -*-
  # -*- coding: utf-8 -*-
  
-Index: b/recipes/theoldfoodie.recipe
-===================================================================
+diff --git a/recipes/theoldfoodie.recipe b/recipes/theoldfoodie.recipe
+index e53c6b146b..744ab4d1d3 100644
 --- a/recipes/theoldfoodie.recipe
 +++ b/recipes/theoldfoodie.recipe
 @@ -1,4 +1,4 @@
@@ -6730,8 +6731,8 @@ Index: b/recipes/theoldfoodie.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/tijd.recipe
-===================================================================
+diff --git a/recipes/tijd.recipe b/recipes/tijd.recipe
+index 86eff286c4..20fb4ee23f 100644
 --- a/recipes/tijd.recipe
 +++ b/recipes/tijd.recipe
 @@ -1,4 +1,4 @@
@@ -6740,8 +6741,8 @@ Index: b/recipes/tijd.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/time_magazine.recipe
-===================================================================
+diff --git a/recipes/time_magazine.recipe b/recipes/time_magazine.recipe
+index ac8dfcf2d4..32d70ffc98 100644
 --- a/recipes/time_magazine.recipe
 +++ b/recipes/time_magazine.recipe
 @@ -1,4 +1,4 @@
@@ -6750,8 +6751,8 @@ Index: b/recipes/time_magazine.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/timesnewroman.recipe
-===================================================================
+diff --git a/recipes/timesnewroman.recipe b/recipes/timesnewroman.recipe
+index 96be80df9e..8ce8a56f6f 100644
 --- a/recipes/timesnewroman.recipe
 +++ b/recipes/timesnewroman.recipe
 @@ -1,4 +1,4 @@
@@ -6760,8 +6761,8 @@ Index: b/recipes/timesnewroman.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/tnxm.recipe
-===================================================================
+diff --git a/recipes/tnxm.recipe b/recipes/tnxm.recipe
+index c15d845f40..f2b84ca7a0 100644
 --- a/recipes/tnxm.recipe
 +++ b/recipes/tnxm.recipe
 @@ -1,4 +1,4 @@
@@ -6770,8 +6771,8 @@ Index: b/recipes/tnxm.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Wasabi <wasabi at tnxm.net>'
-Index: b/recipes/todays_zaman.recipe
-===================================================================
+diff --git a/recipes/todays_zaman.recipe b/recipes/todays_zaman.recipe
+index 87b36762b0..e4149284cc 100644
 --- a/recipes/todays_zaman.recipe
 +++ b/recipes/todays_zaman.recipe
 @@ -1,4 +1,4 @@
@@ -6780,8 +6781,8 @@ Index: b/recipes/todays_zaman.recipe
  # -*- coding: utf-8 -*-
  from __future__ import print_function
  __license__   = 'GPL v3'
-Index: b/recipes/toronto_sun.recipe
-===================================================================
+diff --git a/recipes/toronto_sun.recipe b/recipes/toronto_sun.recipe
+index f753858978..7ecacd1f24 100644
 --- a/recipes/toronto_sun.recipe
 +++ b/recipes/toronto_sun.recipe
 @@ -1,4 +1,4 @@
@@ -6790,8 +6791,8 @@ Index: b/recipes/toronto_sun.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/trombon.recipe
-===================================================================
+diff --git a/recipes/trombon.recipe b/recipes/trombon.recipe
+index 2e56afe7fa..bad8de80ca 100644
 --- a/recipes/trombon.recipe
 +++ b/recipes/trombon.recipe
 @@ -1,4 +1,4 @@
@@ -6800,8 +6801,8 @@ Index: b/recipes/trombon.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/trystero.recipe
-===================================================================
+diff --git a/recipes/trystero.recipe b/recipes/trystero.recipe
+index 56e3171bd5..bb1f3af19a 100644
 --- a/recipes/trystero.recipe
 +++ b/recipes/trystero.recipe
 @@ -1,4 +1,4 @@
@@ -6810,8 +6811,8 @@ Index: b/recipes/trystero.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = u'2013, Tomasz Dlugosz <tomek3d@gmail.com>'
-Index: b/recipes/tuttosport.recipe
-===================================================================
+diff --git a/recipes/tuttosport.recipe b/recipes/tuttosport.recipe
+index bb52febc42..805f3355b8 100644
 --- a/recipes/tuttosport.recipe
 +++ b/recipes/tuttosport.recipe
 @@ -1,4 +1,4 @@
@@ -6820,8 +6821,8 @@ Index: b/recipes/tuttosport.recipe
  __license__ = 'GPL v3'
  __author__ = 'Lorenzo Vigentini'
  __copyright__ = '2009, Lorenzo Vigentini <l.vigentini at gmail.com>'
-Index: b/recipes/tv2lorry_dk.recipe
-===================================================================
+diff --git a/recipes/tv2lorry_dk.recipe b/recipes/tv2lorry_dk.recipe
+index 9bf25a674d..0ab613cbe1 100644
 --- a/recipes/tv2lorry_dk.recipe
 +++ b/recipes/tv2lorry_dk.recipe
 @@ -1,4 +1,4 @@
@@ -6830,8 +6831,8 @@ Index: b/recipes/tv2lorry_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/tv2nord_dk.recipe
-===================================================================
+diff --git a/recipes/tv2nord_dk.recipe b/recipes/tv2nord_dk.recipe
+index 2af9e4b35a..2f5393e8b2 100644
 --- a/recipes/tv2nord_dk.recipe
 +++ b/recipes/tv2nord_dk.recipe
 @@ -1,4 +1,4 @@
@@ -6840,8 +6841,8 @@ Index: b/recipes/tv2nord_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/tv2oj_dk.recipe
-===================================================================
+diff --git a/recipes/tv2oj_dk.recipe b/recipes/tv2oj_dk.recipe
+index fdc871fc26..79832d4f9a 100644
 --- a/recipes/tv2oj_dk.recipe
 +++ b/recipes/tv2oj_dk.recipe
 @@ -1,4 +1,4 @@
@@ -6850,8 +6851,8 @@ Index: b/recipes/tv2oj_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/tveast_dk.recipe
-===================================================================
+diff --git a/recipes/tveast_dk.recipe b/recipes/tveast_dk.recipe
+index ecb1a3b567..c63ddae843 100644
 --- a/recipes/tveast_dk.recipe
 +++ b/recipes/tveast_dk.recipe
 @@ -1,4 +1,4 @@
@@ -6860,8 +6861,8 @@ Index: b/recipes/tveast_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/tvmania.recipe
-===================================================================
+diff --git a/recipes/tvmania.recipe b/recipes/tvmania.recipe
+index 65aba81f1c..622ac6cf95 100644
 --- a/recipes/tvmania.recipe
 +++ b/recipes/tvmania.recipe
 @@ -1,4 +1,4 @@
@@ -6870,8 +6871,8 @@ Index: b/recipes/tvmania.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/tvmidtvest_dk.recipe
-===================================================================
+diff --git a/recipes/tvmidtvest_dk.recipe b/recipes/tvmidtvest_dk.recipe
+index b4a48b95e9..31a8ebbbb1 100644
 --- a/recipes/tvmidtvest_dk.recipe
 +++ b/recipes/tvmidtvest_dk.recipe
 @@ -1,4 +1,4 @@
@@ -6880,8 +6881,8 @@ Index: b/recipes/tvmidtvest_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/tvsyd_dk.recipe
-===================================================================
+diff --git a/recipes/tvsyd_dk.recipe b/recipes/tvsyd_dk.recipe
+index 5c94cd922d..f62dc38f6f 100644
 --- a/recipes/tvsyd_dk.recipe
 +++ b/recipes/tvsyd_dk.recipe
 @@ -1,4 +1,4 @@
@@ -6890,8 +6891,8 @@ Index: b/recipes/tvsyd_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/tweakers.recipe
-===================================================================
+diff --git a/recipes/tweakers.recipe b/recipes/tweakers.recipe
+index 1659430ea1..179e370019 100644
 --- a/recipes/tweakers.recipe
 +++ b/recipes/tweakers.recipe
 @@ -1,4 +1,4 @@
@@ -6900,8 +6901,8 @@ Index: b/recipes/tweakers.recipe
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement
  
-Index: b/recipes/tweakers_net.recipe
-===================================================================
+diff --git a/recipes/tweakers_net.recipe b/recipes/tweakers_net.recipe
+index 1c647092c7..2fa3e41280 100644
 --- a/recipes/tweakers_net.recipe
 +++ b/recipes/tweakers_net.recipe
 @@ -1,4 +1,4 @@
@@ -6910,8 +6911,8 @@ Index: b/recipes/tweakers_net.recipe
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement
  
-Index: b/recipes/tyzden.recipe
-===================================================================
+diff --git a/recipes/tyzden.recipe b/recipes/tyzden.recipe
+index ca4369b08c..838ddf6965 100644
 --- a/recipes/tyzden.recipe
 +++ b/recipes/tyzden.recipe
 @@ -1,4 +1,4 @@
@@ -6920,8 +6921,8 @@ Index: b/recipes/tyzden.recipe
  # vim:fileencoding=utf-8
  #
  # Copyright 2014 - 2017 Martin Račák <rakyi@riseup.net>
-Index: b/recipes/uncrate.recipe
-===================================================================
+diff --git a/recipes/uncrate.recipe b/recipes/uncrate.recipe
+index cb174b8892..111a8e4084 100644
 --- a/recipes/uncrate.recipe
 +++ b/recipes/uncrate.recipe
 @@ -1,4 +1,4 @@
@@ -6930,8 +6931,8 @@ Index: b/recipes/uncrate.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/unica.recipe
-===================================================================
+diff --git a/recipes/unica.recipe b/recipes/unica.recipe
+index dbb8dddfd4..9f1a117ae5 100644
 --- a/recipes/unica.recipe
 +++ b/recipes/unica.recipe
 @@ -1,4 +1,4 @@
@@ -6940,8 +6941,8 @@ Index: b/recipes/unica.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/upi.recipe
-===================================================================
+diff --git a/recipes/upi.recipe b/recipes/upi.recipe
+index b9e7749d7e..cf376a79e3 100644
 --- a/recipes/upi.recipe
 +++ b/recipes/upi.recipe
 @@ -1,4 +1,4 @@
@@ -6950,8 +6951,8 @@ Index: b/recipes/upi.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/usatoday.recipe
-===================================================================
+diff --git a/recipes/usatoday.recipe b/recipes/usatoday.recipe
+index 3e628ee6a5..a3ca70d14c 100644
 --- a/recipes/usatoday.recipe
 +++ b/recipes/usatoday.recipe
 @@ -1,4 +1,4 @@
@@ -6960,8 +6961,8 @@ Index: b/recipes/usatoday.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/recipes/usnews.recipe
-===================================================================
+diff --git a/recipes/usnews.recipe b/recipes/usnews.recipe
+index a1943a955f..52055d80fb 100644
 --- a/recipes/usnews.recipe
 +++ b/recipes/usnews.recipe
 @@ -1,4 +1,4 @@
@@ -6970,8 +6971,8 @@ Index: b/recipes/usnews.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/utrinski.recipe
-===================================================================
+diff --git a/recipes/utrinski.recipe b/recipes/utrinski.recipe
+index 3c0c351979..571d8aad17 100644
 --- a/recipes/utrinski.recipe
 +++ b/recipes/utrinski.recipe
 @@ -1,4 +1,4 @@
@@ -6980,8 +6981,8 @@ Index: b/recipes/utrinski.recipe
  
  __author__ = 'Darko Spasovski'
  __license__ = 'GPL v3'
-Index: b/recipes/valbybladet_dk.recipe
-===================================================================
+diff --git a/recipes/valbybladet_dk.recipe b/recipes/valbybladet_dk.recipe
+index d65b441344..bfda08d0bc 100644
 --- a/recipes/valbybladet_dk.recipe
 +++ b/recipes/valbybladet_dk.recipe
 @@ -1,4 +1,4 @@
@@ -6990,8 +6991,8 @@ Index: b/recipes/valbybladet_dk.recipe
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/vancouver_province.recipe
-===================================================================
+diff --git a/recipes/vancouver_province.recipe b/recipes/vancouver_province.recipe
+index 78082c1046..8d3f0b635b 100644
 --- a/recipes/vancouver_province.recipe
 +++ b/recipes/vancouver_province.recipe
 @@ -1,4 +1,4 @@
@@ -7000,8 +7001,8 @@ Index: b/recipes/vancouver_province.reci
  # -*- coding: utf-8 -*-
  from __future__ import print_function
  __license__ = 'GPL v3'
-Index: b/recipes/vancouver_sun.recipe
-===================================================================
+diff --git a/recipes/vancouver_sun.recipe b/recipes/vancouver_sun.recipe
+index cd1c4a0e48..1e665f66e0 100644
 --- a/recipes/vancouver_sun.recipe
 +++ b/recipes/vancouver_sun.recipe
 @@ -1,4 +1,4 @@
@@ -7010,8 +7011,8 @@ Index: b/recipes/vancouver_sun.recipe
  # -*- coding: utf-8 -*-
  from __future__ import print_function
  __license__ = 'GPL v3'
-Index: b/recipes/vanloesebladet_dk.recipe
-===================================================================
+diff --git a/recipes/vanloesebladet_dk.recipe b/recipes/vanloesebladet_dk.recipe
+index 5f738895f7..99e049a0c9 100644
 --- a/recipes/vanloesebladet_dk.recipe
 +++ b/recipes/vanloesebladet_dk.recipe
 @@ -1,4 +1,4 @@
@@ -7020,8 +7021,8 @@ Index: b/recipes/vanloesebladet_dk.recip
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/vardelokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/vardelokalavisen_dk.recipe b/recipes/vardelokalavisen_dk.recipe
+index cd2c374d93..ae7ab93ff3 100644
 --- a/recipes/vardelokalavisen_dk.recipe
 +++ b/recipes/vardelokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -7030,8 +7031,8 @@ Index: b/recipes/vardelokalavisen_dk.rec
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/vecernji_list.recipe
-===================================================================
+diff --git a/recipes/vecernji_list.recipe b/recipes/vecernji_list.recipe
+index 95a7a0cc70..4f3ea718d9 100644
 --- a/recipes/vecernji_list.recipe
 +++ b/recipes/vecernji_list.recipe
 @@ -1,4 +1,4 @@
@@ -7040,8 +7041,8 @@ Index: b/recipes/vecernji_list.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/veintitres.recipe
-===================================================================
+diff --git a/recipes/veintitres.recipe b/recipes/veintitres.recipe
+index a3f3618954..622e52f530 100644
 --- a/recipes/veintitres.recipe
 +++ b/recipes/veintitres.recipe
 @@ -1,4 +1,4 @@
@@ -7050,8 +7051,8 @@ Index: b/recipes/veintitres.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/vejlelokalavisen_dk.recipe
-===================================================================
+diff --git a/recipes/vejlelokalavisen_dk.recipe b/recipes/vejlelokalavisen_dk.recipe
+index 50d8523d18..9484c31705 100644
 --- a/recipes/vejlelokalavisen_dk.recipe
 +++ b/recipes/vejlelokalavisen_dk.recipe
 @@ -1,4 +1,4 @@
@@ -7060,8 +7061,8 @@ Index: b/recipes/vejlelokalavisen_dk.rec
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/vesterbrobladet_dk.recipe
-===================================================================
+diff --git a/recipes/vesterbrobladet_dk.recipe b/recipes/vesterbrobladet_dk.recipe
+index 404ddf3996..765b7a907f 100644
 --- a/recipes/vesterbrobladet_dk.recipe
 +++ b/recipes/vesterbrobladet_dk.recipe
 @@ -1,4 +1,4 @@
@@ -7070,8 +7071,8 @@ Index: b/recipes/vesterbrobladet_dk.reci
  # vim:fileencoding=utf-8
  # https://manual.calibre-ebook.com/news_recipe.html
  from __future__ import unicode_literals, division, absolute_import, print_function
-Index: b/recipes/vic_times.recipe
-===================================================================
+diff --git a/recipes/vic_times.recipe b/recipes/vic_times.recipe
+index 7e25596c0a..53284bffe6 100644
 --- a/recipes/vic_times.recipe
 +++ b/recipes/vic_times.recipe
 @@ -1,4 +1,4 @@
@@ -7080,8 +7081,8 @@ Index: b/recipes/vic_times.recipe
  # -*- coding: utf-8 -*-
  from __future__ import print_function
  __license__ = 'GPL v3'
-Index: b/recipes/villagevoice.recipe
-===================================================================
+diff --git a/recipes/villagevoice.recipe b/recipes/villagevoice.recipe
+index dd41b1375d..36841a1ee1 100644
 --- a/recipes/villagevoice.recipe
 +++ b/recipes/villagevoice.recipe
 @@ -1,4 +1,4 @@
@@ -7090,8 +7091,8 @@ Index: b/recipes/villagevoice.recipe
  
  import re
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/viva.recipe
-===================================================================
+diff --git a/recipes/viva.recipe b/recipes/viva.recipe
+index e7807b2bf8..8a7261e8e7 100644
 --- a/recipes/viva.recipe
 +++ b/recipes/viva.recipe
 @@ -1,4 +1,4 @@
@@ -7100,8 +7101,8 @@ Index: b/recipes/viva.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/vnexpress.recipe
-===================================================================
+diff --git a/recipes/vnexpress.recipe b/recipes/vnexpress.recipe
+index b709f451ba..9137ba2650 100644
 --- a/recipes/vnexpress.recipe
 +++ b/recipes/vnexpress.recipe
 @@ -1,4 +1,4 @@
@@ -7110,8 +7111,8 @@ Index: b/recipes/vnexpress.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Huan Komrade T <huantnh at gmail.com>'
-Index: b/recipes/voetbal_belgie.recipe
-===================================================================
+diff --git a/recipes/voetbal_belgie.recipe b/recipes/voetbal_belgie.recipe
+index befeb8de54..fae051a038 100644
 --- a/recipes/voetbal_belgie.recipe
 +++ b/recipes/voetbal_belgie.recipe
 @@ -1,4 +1,4 @@
@@ -7120,8 +7121,8 @@ Index: b/recipes/voetbal_belgie.recipe
  
  from calibre.web.feeds.news import BasicNewsRecipe
  
-Index: b/recipes/wallstreetro.recipe
-===================================================================
+diff --git a/recipes/wallstreetro.recipe b/recipes/wallstreetro.recipe
+index 0e09dcd311..b6142e6370 100644
 --- a/recipes/wallstreetro.recipe
 +++ b/recipes/wallstreetro.recipe
 @@ -1,4 +1,4 @@
@@ -7130,8 +7131,8 @@ Index: b/recipes/wallstreetro.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/wash_times.recipe
-===================================================================
+diff --git a/recipes/wash_times.recipe b/recipes/wash_times.recipe
+index 61ccdc9f9d..602338fc9c 100644
 --- a/recipes/wash_times.recipe
 +++ b/recipes/wash_times.recipe
 @@ -1,4 +1,4 @@
@@ -7140,8 +7141,8 @@ Index: b/recipes/wash_times.recipe
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/welt_der_physik.recipe
-===================================================================
+diff --git a/recipes/welt_der_physik.recipe b/recipes/welt_der_physik.recipe
+index 610a836b5c..db97fdaf76 100644
 --- a/recipes/welt_der_physik.recipe
 +++ b/recipes/welt_der_physik.recipe
 @@ -1,4 +1,4 @@
@@ -7150,8 +7151,8 @@ Index: b/recipes/welt_der_physik.recipe
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  
-Index: b/recipes/wenxuecity-znjy.recipe
-===================================================================
+diff --git a/recipes/wenxuecity-znjy.recipe b/recipes/wenxuecity-znjy.recipe
+index 031175812e..b76aa8ac2c 100644
 --- a/recipes/wenxuecity-znjy.recipe
 +++ b/recipes/wenxuecity-znjy.recipe
 @@ -1,4 +1,4 @@
@@ -7160,8 +7161,8 @@ Index: b/recipes/wenxuecity-znjy.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2010, Derek Liang <Derek.liang.ca @@@at@@@ gmail.com>'
-Index: b/recipes/wikinews_en.recipe
-===================================================================
+diff --git a/recipes/wikinews_en.recipe b/recipes/wikinews_en.recipe
+index b62ac2d165..7c8fc06900 100644
 --- a/recipes/wikinews_en.recipe
 +++ b/recipes/wikinews_en.recipe
 @@ -1,4 +1,4 @@
@@ -7170,8 +7171,8 @@ Index: b/recipes/wikinews_en.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Darko Miletic <darko.miletic at gmail.com>'
-Index: b/recipes/windows_star.recipe
-===================================================================
+diff --git a/recipes/windows_star.recipe b/recipes/windows_star.recipe
+index fd17918911..e5853e71a3 100644
 --- a/recipes/windows_star.recipe
 +++ b/recipes/windows_star.recipe
 @@ -1,4 +1,4 @@
@@ -7180,8 +7181,8 @@ Index: b/recipes/windows_star.recipe
  
  __license__ = 'GPL v3'
  
-Index: b/recipes/windsor_star.recipe
-===================================================================
+diff --git a/recipes/windsor_star.recipe b/recipes/windsor_star.recipe
+index acd3068a74..833663af4a 100644
 --- a/recipes/windsor_star.recipe
 +++ b/recipes/windsor_star.recipe
 @@ -1,4 +1,4 @@
@@ -7190,8 +7191,8 @@ Index: b/recipes/windsor_star.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/wolne_media.recipe
-===================================================================
+diff --git a/recipes/wolne_media.recipe b/recipes/wolne_media.recipe
+index 79cb1f9f7a..c59cb08184 100644
 --- a/recipes/wolne_media.recipe
 +++ b/recipes/wolne_media.recipe
 @@ -1,4 +1,4 @@
@@ -7200,8 +7201,8 @@ Index: b/recipes/wolne_media.recipe
  
  __license__ = 'GPL v3'
  __author__ = 'teepel <teepel44@gmail.com>'
-Index: b/recipes/wsj.recipe
-===================================================================
+diff --git a/recipes/wsj.recipe b/recipes/wsj.recipe
+index 55820d1286..ed7b28738f 100644
 --- a/recipes/wsj.recipe
 +++ b/recipes/wsj.recipe
 @@ -1,4 +1,4 @@
@@ -7210,8 +7211,8 @@ Index: b/recipes/wsj.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/wsj_free.recipe
-===================================================================
+diff --git a/recipes/wsj_free.recipe b/recipes/wsj_free.recipe
+index bb66d760ec..a415dcf225 100644
 --- a/recipes/wsj_free.recipe
 +++ b/recipes/wsj_free.recipe
 @@ -1,4 +1,4 @@
@@ -7220,8 +7221,8 @@ Index: b/recipes/wsj_free.recipe
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/recipes/wvhooligan.recipe
-===================================================================
+diff --git a/recipes/wvhooligan.recipe b/recipes/wvhooligan.recipe
+index 9b1e1f989b..96a2c48e9c 100644
 --- a/recipes/wvhooligan.recipe
 +++ b/recipes/wvhooligan.recipe
 @@ -1,4 +1,4 @@
@@ -7230,8 +7231,8 @@ Index: b/recipes/wvhooligan.recipe
  __license__ = 'GPL 3'
  __copyright__ = 'zotzo'
  __docformat__ = 'restructuredtext en'
-Index: b/recipes/yalansavar.recipe
-===================================================================
+diff --git a/recipes/yalansavar.recipe b/recipes/yalansavar.recipe
+index 67468deff6..24decee3ee 100644
 --- a/recipes/yalansavar.recipe
 +++ b/recipes/yalansavar.recipe
 @@ -1,4 +1,4 @@
@@ -7240,8 +7241,8 @@ Index: b/recipes/yalansavar.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import AutomaticNewsRecipe
-Index: b/recipes/zadolba_li.recipe
-===================================================================
+diff --git a/recipes/zadolba_li.recipe b/recipes/zadolba_li.recipe
+index 372fd3bc41..aec4864e4d 100644
 --- a/recipes/zadolba_li.recipe
 +++ b/recipes/zadolba_li.recipe
 @@ -1,4 +1,4 @@
@@ -7250,8 +7251,8 @@ Index: b/recipes/zadolba_li.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/zaobao.recipe
-===================================================================
+diff --git a/recipes/zaobao.recipe b/recipes/zaobao.recipe
+index 8ab6acbe4d..40a00bd8d0 100644
 --- a/recipes/zaobao.recipe
 +++ b/recipes/zaobao.recipe
 @@ -1,4 +1,4 @@
@@ -7260,8 +7261,8 @@ Index: b/recipes/zaobao.recipe
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Pu Bo <pubo at pubolab.com>'
-Index: b/recipes/zaxid_net.recipe
-===================================================================
+diff --git a/recipes/zaxid_net.recipe b/recipes/zaxid_net.recipe
+index cbc489dac7..b52db53632 100644
 --- a/recipes/zaxid_net.recipe
 +++ b/recipes/zaxid_net.recipe
 @@ -1,4 +1,4 @@
@@ -7270,8 +7271,8 @@ Index: b/recipes/zaxid_net.recipe
  # vim:fileencoding=utf-8
  from __future__ import unicode_literals, division, absolute_import, print_function
  from calibre.web.feeds.news import BasicNewsRecipe
-Index: b/recipes/zeitde_sub.recipe
-===================================================================
+diff --git a/recipes/zeitde_sub.recipe b/recipes/zeitde_sub.recipe
+index 80419f2086..3563d9f092 100644
 --- a/recipes/zeitde_sub.recipe
 +++ b/recipes/zeitde_sub.recipe
 @@ -1,4 +1,4 @@
@@ -7280,8 +7281,8 @@ Index: b/recipes/zeitde_sub.recipe
  # -*- coding: utf-8 mode: python -*-
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/recipes/ziarulfinanciar.recipe
-===================================================================
+diff --git a/recipes/ziarulfinanciar.recipe b/recipes/ziarulfinanciar.recipe
+index 047457aed2..ab978649dd 100644
 --- a/recipes/ziarulfinanciar.recipe
 +++ b/recipes/ziarulfinanciar.recipe
 @@ -1,4 +1,4 @@
@@ -7290,8 +7291,8 @@ Index: b/recipes/ziarulfinanciar.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/zita_be.recipe
-===================================================================
+diff --git a/recipes/zita_be.recipe b/recipes/zita_be.recipe
+index 40477f28ea..9967f08acd 100644
 --- a/recipes/zita_be.recipe
 +++ b/recipes/zita_be.recipe
 @@ -1,4 +1,4 @@
@@ -7300,8 +7301,8 @@ Index: b/recipes/zita_be.recipe
  
  from calibre.web.feeds.news import BasicNewsRecipe
  
-Index: b/recipes/ziuaveche.recipe
-===================================================================
+diff --git a/recipes/ziuaveche.recipe b/recipes/ziuaveche.recipe
+index e1266d80e8..65b3a965de 100644
 --- a/recipes/ziuaveche.recipe
 +++ b/recipes/ziuaveche.recipe
 @@ -1,4 +1,4 @@
@@ -7310,8 +7311,8 @@ Index: b/recipes/ziuaveche.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/recipes/zycie_warszawy.recipe
-===================================================================
+diff --git a/recipes/zycie_warszawy.recipe b/recipes/zycie_warszawy.recipe
+index e9cf3d2438..a983eea9b6 100644
 --- a/recipes/zycie_warszawy.recipe
 +++ b/recipes/zycie_warszawy.recipe
 @@ -1,4 +1,4 @@
@@ -7320,8 +7321,8 @@ Index: b/recipes/zycie_warszawy.recipe
  # -*- coding: utf-8 -*-
  
  __license__ = 'GPL v3'
-Index: b/resources/default_tweaks.py
-===================================================================
+diff --git a/resources/default_tweaks.py b/resources/default_tweaks.py
+index efb88cfcb3..65d8855e6f 100644
 --- a/resources/default_tweaks.py
 +++ b/resources/default_tweaks.py
 @@ -1,4 +1,4 @@
@@ -7330,11 +7331,11 @@ Index: b/resources/default_tweaks.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2010, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import unicode_literals
-Index: b/session.vim
-===================================================================
+diff --git a/session.vim b/session.vim
+index 72524681e5..34062ff947 100644
 --- a/session.vim
 +++ b/session.vim
-@@ -3,7 +3,6 @@ let g:project_tags_dirs = ['src/calibre'
+@@ -3,7 +3,6 @@ let g:project_tags_dirs = ['src/calibre']
  
  " Include directories for C++ modules
  let g:syntastic_cpp_include_dirs = [ 
@@ -7342,8 +7343,8 @@ Index: b/session.vim
              \'/usr/include/podofo', 
              \'/usr/include/qt/QtCore', 
              \'/usr/include/qt/QtGui', 
-Index: b/setup.py
-===================================================================
+diff --git a/setup.py b/setup.py
+index ba9a734596..64f52484ba 100755
 --- a/setup.py
 +++ b/setup.py
 @@ -1,4 +1,4 @@
@@ -7352,8 +7353,8 @@ Index: b/setup.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import print_function
  
-Index: b/setup/__init__.py
-===================================================================
+diff --git a/setup/__init__.py b/setup/__init__.py
+index f312ffb048..d1c1a0c854 100644
 --- a/setup/__init__.py
 +++ b/setup/__init__.py
 @@ -1,4 +1,4 @@
@@ -7362,8 +7363,8 @@ Index: b/setup/__init__.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement, print_function
  
-Index: b/setup/browser_data.py
-===================================================================
+diff --git a/setup/browser_data.py b/setup/browser_data.py
+index 5ced6033cf..b8ea77b941 100644
 --- a/setup/browser_data.py
 +++ b/setup/browser_data.py
 @@ -1,4 +1,4 @@
@@ -7372,8 +7373,8 @@ Index: b/setup/browser_data.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/setup/build.py
-===================================================================
+diff --git a/setup/build.py b/setup/build.py
+index 8daa96b3fa..adf173bb53 100644
 --- a/setup/build.py
 +++ b/setup/build.py
 @@ -1,4 +1,4 @@
@@ -7382,8 +7383,8 @@ Index: b/setup/build.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement
  from __future__ import print_function
-Index: b/setup/build_environment.py
-===================================================================
+diff --git a/setup/build_environment.py b/setup/build_environment.py
+index fce7ff40bb..b4dacb013f 100644
 --- a/setup/build_environment.py
 +++ b/setup/build_environment.py
 @@ -1,4 +1,4 @@
@@ -7392,8 +7393,8 @@ Index: b/setup/build_environment.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement, print_function
  
-Index: b/setup/check.py
-===================================================================
+diff --git a/setup/check.py b/setup/check.py
+index fa99c33c76..b6635a3403 100644
 --- a/setup/check.py
 +++ b/setup/check.py
 @@ -1,4 +1,4 @@
@@ -7414,8 +7415,8 @@ Index: b/setup/check.py
          if ext == '.pyj':
              p = subprocess.Popen(['rapydscript', 'lint', f])
              return p.wait() != 0
-Index: b/setup/commands.py
-===================================================================
+diff --git a/setup/commands.py b/setup/commands.py
+index 402e1f394e..a95c6403e6 100644
 --- a/setup/commands.py
 +++ b/setup/commands.py
 @@ -1,4 +1,4 @@
@@ -7424,8 +7425,8 @@ Index: b/setup/commands.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement
  
-Index: b/setup/file-hosting-bw.py
-===================================================================
+diff --git a/setup/file-hosting-bw.py b/setup/file-hosting-bw.py
+index cfe4eccf03..75238b246b 100644
 --- a/setup/file-hosting-bw.py
 +++ b/setup/file-hosting-bw.py
 @@ -1,4 +1,4 @@
@@ -7434,8 +7435,8 @@ Index: b/setup/file-hosting-bw.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/setup/git_version.py
-===================================================================
+diff --git a/setup/git_version.py b/setup/git_version.py
+index 5b8911f1d9..c8f1ead1c3 100755
 --- a/setup/git_version.py
 +++ b/setup/git_version.py
 @@ -1,4 +1,4 @@
@@ -7444,8 +7445,8 @@ Index: b/setup/git_version.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2019, Eli Schwartz <eschwartz@archlinux.org>
  
-Index: b/setup/gui.py
-===================================================================
+diff --git a/setup/gui.py b/setup/gui.py
+index ac08e3c0fc..2a0c1ecf24 100644
 --- a/setup/gui.py
 +++ b/setup/gui.py
 @@ -1,4 +1,4 @@
@@ -7454,8 +7455,8 @@ Index: b/setup/gui.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement
  
-Index: b/setup/install.py
-===================================================================
+diff --git a/setup/install.py b/setup/install.py
+index dc89c9fc3f..852bbdc385 100644
 --- a/setup/install.py
 +++ b/setup/install.py
 @@ -1,4 +1,4 @@
@@ -7464,8 +7465,8 @@ Index: b/setup/install.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2009, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/setup/installers.py
-===================================================================
+diff --git a/setup/installers.py b/setup/installers.py
+index 00f7bfc24a..65d6ad8ab7 100644
 --- a/setup/installers.py
 +++ b/setup/installers.py
 @@ -1,4 +1,4 @@
@@ -7474,8 +7475,8 @@ Index: b/setup/installers.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/setup/linux-installer.py
-===================================================================
+diff --git a/setup/linux-installer.py b/setup/linux-installer.py
+index f0c529edc3..03d573cef6 100644
 --- a/setup/linux-installer.py
 +++ b/setup/linux-installer.py
 @@ -1,4 +1,4 @@
@@ -7484,8 +7485,8 @@ Index: b/setup/linux-installer.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2009, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/setup/linux-installer.sh
-===================================================================
+diff --git a/setup/linux-installer.sh b/setup/linux-installer.sh
+index e0ffffaed8..065c593991 100644
 --- a/setup/linux-installer.sh
 +++ b/setup/linux-installer.sh
 @@ -47,7 +47,7 @@ echo Using python executable: $PYTHON
@@ -7497,8 +7498,8 @@ Index: b/setup/linux-installer.sh
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2009, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/setup/mathjax.py
-===================================================================
+diff --git a/setup/mathjax.py b/setup/mathjax.py
+index e910de5630..3b02ba5df3 100644
 --- a/setup/mathjax.py
 +++ b/setup/mathjax.py
 @@ -1,4 +1,4 @@
@@ -7507,8 +7508,8 @@ Index: b/setup/mathjax.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/setup/parallel_build.py
-===================================================================
+diff --git a/setup/parallel_build.py b/setup/parallel_build.py
+index 9af563dbf5..d6bd5c63a2 100644
 --- a/setup/parallel_build.py
 +++ b/setup/parallel_build.py
 @@ -1,4 +1,4 @@
@@ -7517,8 +7518,8 @@ Index: b/setup/parallel_build.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/setup/plugins_mirror.py
-===================================================================
+diff --git a/setup/plugins_mirror.py b/setup/plugins_mirror.py
+index 877a4c7a56..fea2f84007 100644
 --- a/setup/plugins_mirror.py
 +++ b/setup/plugins_mirror.py
 @@ -1,4 +1,4 @@
@@ -7527,8 +7528,8 @@ Index: b/setup/plugins_mirror.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2013, Kovid Goyal <kovid at kovidgoyal.net>
  # Imports {{{
-Index: b/setup/publish.py
-===================================================================
+diff --git a/setup/publish.py b/setup/publish.py
+index a12dcb9f0f..50e593722b 100644
 --- a/setup/publish.py
 +++ b/setup/publish.py
 @@ -1,4 +1,4 @@
@@ -7537,8 +7538,8 @@ Index: b/setup/publish.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement
  from __future__ import print_function
-Index: b/setup/resources.py
-===================================================================
+diff --git a/setup/resources.py b/setup/resources.py
+index a68fac5b99..053b8a00e2 100644
 --- a/setup/resources.py
 +++ b/setup/resources.py
 @@ -1,4 +1,4 @@
@@ -7547,8 +7548,8 @@ Index: b/setup/resources.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement, print_function
  
-Index: b/setup/run-calibre-worker.py
-===================================================================
+diff --git a/setup/run-calibre-worker.py b/setup/run-calibre-worker.py
+index 751717bae8..92bbef855f 100644
 --- a/setup/run-calibre-worker.py
 +++ b/setup/run-calibre-worker.py
 @@ -1,4 +1,4 @@
@@ -7557,8 +7558,8 @@ Index: b/setup/run-calibre-worker.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/setup/test.py
-===================================================================
+diff --git a/setup/test.py b/setup/test.py
+index 1fc075250f..10f28f7001 100644
 --- a/setup/test.py
 +++ b/setup/test.py
 @@ -1,4 +1,4 @@
@@ -7567,8 +7568,8 @@ Index: b/setup/test.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/setup/translations.py
-===================================================================
+diff --git a/setup/translations.py b/setup/translations.py
+index 8528112613..d986b9a4a1 100644
 --- a/setup/translations.py
 +++ b/setup/translations.py
 @@ -1,4 +1,4 @@
@@ -7577,8 +7578,8 @@ Index: b/setup/translations.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement, print_function
  
-Index: b/setup/upload.py
-===================================================================
+diff --git a/setup/upload.py b/setup/upload.py
+index f0d04bedea..7e4f022d6f 100644
 --- a/setup/upload.py
 +++ b/setup/upload.py
 @@ -1,4 +1,4 @@
@@ -7587,8 +7588,8 @@ Index: b/setup/upload.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  
  from __future__ import print_function
-Index: b/setup/vcvars.py
-===================================================================
+diff --git a/setup/vcvars.py b/setup/vcvars.py
+index 429dbb552e..7fa3b0fb50 100644
 --- a/setup/vcvars.py
 +++ b/setup/vcvars.py
 @@ -1,4 +1,4 @@
@@ -7597,8 +7598,8 @@ Index: b/setup/vcvars.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/setup/win-ci.py
-===================================================================
+diff --git a/setup/win-ci.py b/setup/win-ci.py
+index eb351f70dc..62a2ca34c4 100644
 --- a/setup/win-ci.py
 +++ b/setup/win-ci.py
 @@ -1,4 +1,4 @@
@@ -7607,8 +7608,8 @@ Index: b/setup/win-ci.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/backports/functools_lru_cache.py
-===================================================================
+diff --git a/src/backports/functools_lru_cache.py b/src/backports/functools_lru_cache.py
+index dc9ccb3866..cf53cd4110 100644
 --- a/src/backports/functools_lru_cache.py
 +++ b/src/backports/functools_lru_cache.py
 @@ -1,4 +1,4 @@
@@ -7617,8 +7618,8 @@ Index: b/src/backports/functools_lru_cac
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/constants.py
-===================================================================
+diff --git a/src/calibre/constants.py b/src/calibre/constants.py
+index ee14fda191..e99507a013 100644
 --- a/src/calibre/constants.py
 +++ b/src/calibre/constants.py
 @@ -1,4 +1,4 @@
@@ -7627,8 +7628,8 @@ Index: b/src/calibre/constants.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import print_function, unicode_literals
-Index: b/src/calibre/customize/zipplugin.py
-===================================================================
+diff --git a/src/calibre/customize/zipplugin.py b/src/calibre/customize/zipplugin.py
+index 1ed5020c92..8f73d1d9ad 100644
 --- a/src/calibre/customize/zipplugin.py
 +++ b/src/calibre/customize/zipplugin.py
 @@ -1,4 +1,4 @@
@@ -7637,8 +7638,8 @@ Index: b/src/calibre/customize/zipplugin
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/__init__.py
-===================================================================
+diff --git a/src/calibre/db/__init__.py b/src/calibre/db/__init__.py
+index a35861523c..daef9300aa 100644
 --- a/src/calibre/db/__init__.py
 +++ b/src/calibre/db/__init__.py
 @@ -1,4 +1,4 @@
@@ -7647,8 +7648,8 @@ Index: b/src/calibre/db/__init__.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/adding.py
-===================================================================
+diff --git a/src/calibre/db/adding.py b/src/calibre/db/adding.py
+index eea53810e1..73da7b52ec 100644
 --- a/src/calibre/db/adding.py
 +++ b/src/calibre/db/adding.py
 @@ -1,4 +1,4 @@
@@ -7657,8 +7658,8 @@ Index: b/src/calibre/db/adding.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/backend.py
-===================================================================
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index 3d727033b4..999e26a921 100644
 --- a/src/calibre/db/backend.py
 +++ b/src/calibre/db/backend.py
 @@ -1,4 +1,4 @@
@@ -7667,8 +7668,8 @@ Index: b/src/calibre/db/backend.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/backup.py
-===================================================================
+diff --git a/src/calibre/db/backup.py b/src/calibre/db/backup.py
+index 53b730cbe9..4acf367089 100644
 --- a/src/calibre/db/backup.py
 +++ b/src/calibre/db/backup.py
 @@ -1,4 +1,4 @@
@@ -7677,8 +7678,8 @@ Index: b/src/calibre/db/backup.py
  # vim:fileencoding=UTF-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/cache.py
-===================================================================
+diff --git a/src/calibre/db/cache.py b/src/calibre/db/cache.py
+index d87aa83e25..c382e4873a 100644
 --- a/src/calibre/db/cache.py
 +++ b/src/calibre/db/cache.py
 @@ -1,4 +1,4 @@
@@ -7687,8 +7688,8 @@ Index: b/src/calibre/db/cache.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/categories.py
-===================================================================
+diff --git a/src/calibre/db/categories.py b/src/calibre/db/categories.py
+index 47804e56b7..c3c682e92b 100644
 --- a/src/calibre/db/categories.py
 +++ b/src/calibre/db/categories.py
 @@ -1,4 +1,4 @@
@@ -7697,8 +7698,8 @@ Index: b/src/calibre/db/categories.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/cli/__init__.py
-===================================================================
+diff --git a/src/calibre/db/cli/__init__.py b/src/calibre/db/cli/__init__.py
+index f74cad64d9..0df30da4ca 100644
 --- a/src/calibre/db/cli/__init__.py
 +++ b/src/calibre/db/cli/__init__.py
 @@ -1,4 +1,4 @@
@@ -7707,8 +7708,8 @@ Index: b/src/calibre/db/cli/__init__.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_add.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_add.py b/src/calibre/db/cli/cmd_add.py
+index b962b1ebc6..dcb5bfb93c 100644
 --- a/src/calibre/db/cli/cmd_add.py
 +++ b/src/calibre/db/cli/cmd_add.py
 @@ -1,4 +1,4 @@
@@ -7717,8 +7718,8 @@ Index: b/src/calibre/db/cli/cmd_add.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_add_custom_column.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_add_custom_column.py b/src/calibre/db/cli/cmd_add_custom_column.py
+index 3cad3997a1..46514d0c27 100644
 --- a/src/calibre/db/cli/cmd_add_custom_column.py
 +++ b/src/calibre/db/cli/cmd_add_custom_column.py
 @@ -1,4 +1,4 @@
@@ -7727,8 +7728,8 @@ Index: b/src/calibre/db/cli/cmd_add_cust
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_add_format.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_add_format.py b/src/calibre/db/cli/cmd_add_format.py
+index 5107c6fcbf..b47e37e0af 100644
 --- a/src/calibre/db/cli/cmd_add_format.py
 +++ b/src/calibre/db/cli/cmd_add_format.py
 @@ -1,4 +1,4 @@
@@ -7737,8 +7738,8 @@ Index: b/src/calibre/db/cli/cmd_add_form
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_backup_metadata.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_backup_metadata.py b/src/calibre/db/cli/cmd_backup_metadata.py
+index be7673237f..3660e89cbd 100644
 --- a/src/calibre/db/cli/cmd_backup_metadata.py
 +++ b/src/calibre/db/cli/cmd_backup_metadata.py
 @@ -1,4 +1,4 @@
@@ -7747,8 +7748,8 @@ Index: b/src/calibre/db/cli/cmd_backup_m
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_catalog.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_catalog.py b/src/calibre/db/cli/cmd_catalog.py
+index 27cfa5984c..5325707b79 100644
 --- a/src/calibre/db/cli/cmd_catalog.py
 +++ b/src/calibre/db/cli/cmd_catalog.py
 @@ -1,4 +1,4 @@
@@ -7757,8 +7758,8 @@ Index: b/src/calibre/db/cli/cmd_catalog.
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_check_library.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_check_library.py b/src/calibre/db/cli/cmd_check_library.py
+index 270db5e4e4..216bb7bfe1 100644
 --- a/src/calibre/db/cli/cmd_check_library.py
 +++ b/src/calibre/db/cli/cmd_check_library.py
 @@ -1,4 +1,4 @@
@@ -7767,8 +7768,8 @@ Index: b/src/calibre/db/cli/cmd_check_li
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_clone.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_clone.py b/src/calibre/db/cli/cmd_clone.py
+index a481afd499..70f821ca55 100644
 --- a/src/calibre/db/cli/cmd_clone.py
 +++ b/src/calibre/db/cli/cmd_clone.py
 @@ -1,4 +1,4 @@
@@ -7777,8 +7778,8 @@ Index: b/src/calibre/db/cli/cmd_clone.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_custom_columns.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_custom_columns.py b/src/calibre/db/cli/cmd_custom_columns.py
+index b8c54bad2c..ae2e209c5e 100644
 --- a/src/calibre/db/cli/cmd_custom_columns.py
 +++ b/src/calibre/db/cli/cmd_custom_columns.py
 @@ -1,4 +1,4 @@
@@ -7787,8 +7788,8 @@ Index: b/src/calibre/db/cli/cmd_custom_c
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_embed_metadata.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_embed_metadata.py b/src/calibre/db/cli/cmd_embed_metadata.py
+index 0be1bc81b9..2de056f0d9 100644
 --- a/src/calibre/db/cli/cmd_embed_metadata.py
 +++ b/src/calibre/db/cli/cmd_embed_metadata.py
 @@ -1,4 +1,4 @@
@@ -7797,8 +7798,8 @@ Index: b/src/calibre/db/cli/cmd_embed_me
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_export.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_export.py b/src/calibre/db/cli/cmd_export.py
+index e32295f2a4..ff72595d4b 100644
 --- a/src/calibre/db/cli/cmd_export.py
 +++ b/src/calibre/db/cli/cmd_export.py
 @@ -1,4 +1,4 @@
@@ -7807,8 +7808,8 @@ Index: b/src/calibre/db/cli/cmd_export.p
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_list.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_list.py b/src/calibre/db/cli/cmd_list.py
+index edd5712555..4e66333c2d 100644
 --- a/src/calibre/db/cli/cmd_list.py
 +++ b/src/calibre/db/cli/cmd_list.py
 @@ -1,4 +1,4 @@
@@ -7817,8 +7818,8 @@ Index: b/src/calibre/db/cli/cmd_list.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_list_categories.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_list_categories.py b/src/calibre/db/cli/cmd_list_categories.py
+index a17f3f9ef2..a858c61588 100644
 --- a/src/calibre/db/cli/cmd_list_categories.py
 +++ b/src/calibre/db/cli/cmd_list_categories.py
 @@ -1,4 +1,4 @@
@@ -7827,8 +7828,8 @@ Index: b/src/calibre/db/cli/cmd_list_cat
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_remove.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_remove.py b/src/calibre/db/cli/cmd_remove.py
+index 8f16b48401..0477b4ce4b 100644
 --- a/src/calibre/db/cli/cmd_remove.py
 +++ b/src/calibre/db/cli/cmd_remove.py
 @@ -1,4 +1,4 @@
@@ -7837,8 +7838,8 @@ Index: b/src/calibre/db/cli/cmd_remove.p
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_remove_custom_column.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_remove_custom_column.py b/src/calibre/db/cli/cmd_remove_custom_column.py
+index e2d37c7437..451caa57a8 100644
 --- a/src/calibre/db/cli/cmd_remove_custom_column.py
 +++ b/src/calibre/db/cli/cmd_remove_custom_column.py
 @@ -1,4 +1,4 @@
@@ -7847,8 +7848,8 @@ Index: b/src/calibre/db/cli/cmd_remove_c
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_remove_format.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_remove_format.py b/src/calibre/db/cli/cmd_remove_format.py
+index 57d6bd70b1..0661519169 100644
 --- a/src/calibre/db/cli/cmd_remove_format.py
 +++ b/src/calibre/db/cli/cmd_remove_format.py
 @@ -1,4 +1,4 @@
@@ -7857,8 +7858,8 @@ Index: b/src/calibre/db/cli/cmd_remove_f
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_restore_database.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_restore_database.py b/src/calibre/db/cli/cmd_restore_database.py
+index 18eb117127..91bb9827e0 100644
 --- a/src/calibre/db/cli/cmd_restore_database.py
 +++ b/src/calibre/db/cli/cmd_restore_database.py
 @@ -1,4 +1,4 @@
@@ -7867,8 +7868,8 @@ Index: b/src/calibre/db/cli/cmd_restore_
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_saved_searches.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_saved_searches.py b/src/calibre/db/cli/cmd_saved_searches.py
+index b06585d48e..d87d3516d7 100644
 --- a/src/calibre/db/cli/cmd_saved_searches.py
 +++ b/src/calibre/db/cli/cmd_saved_searches.py
 @@ -1,4 +1,4 @@
@@ -7877,8 +7878,8 @@ Index: b/src/calibre/db/cli/cmd_saved_se
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_search.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_search.py b/src/calibre/db/cli/cmd_search.py
+index f07087352e..685689cb68 100644
 --- a/src/calibre/db/cli/cmd_search.py
 +++ b/src/calibre/db/cli/cmd_search.py
 @@ -1,4 +1,4 @@
@@ -7887,8 +7888,8 @@ Index: b/src/calibre/db/cli/cmd_search.p
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_set_custom.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_set_custom.py b/src/calibre/db/cli/cmd_set_custom.py
+index 819e8d5534..7e7841a0d5 100644
 --- a/src/calibre/db/cli/cmd_set_custom.py
 +++ b/src/calibre/db/cli/cmd_set_custom.py
 @@ -1,4 +1,4 @@
@@ -7897,8 +7898,8 @@ Index: b/src/calibre/db/cli/cmd_set_cust
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_set_metadata.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_set_metadata.py b/src/calibre/db/cli/cmd_set_metadata.py
+index fb3b190806..708ffd9bca 100644
 --- a/src/calibre/db/cli/cmd_set_metadata.py
 +++ b/src/calibre/db/cli/cmd_set_metadata.py
 @@ -1,4 +1,4 @@
@@ -7907,8 +7908,8 @@ Index: b/src/calibre/db/cli/cmd_set_meta
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/cmd_show_metadata.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_show_metadata.py b/src/calibre/db/cli/cmd_show_metadata.py
+index 08239cd9b8..7cb2cc4153 100644
 --- a/src/calibre/db/cli/cmd_show_metadata.py
 +++ b/src/calibre/db/cli/cmd_show_metadata.py
 @@ -1,4 +1,4 @@
@@ -7917,8 +7918,8 @@ Index: b/src/calibre/db/cli/cmd_show_met
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/main.py
-===================================================================
+diff --git a/src/calibre/db/cli/main.py b/src/calibre/db/cli/main.py
+index e82aed6845..312b303f7d 100644
 --- a/src/calibre/db/cli/main.py
 +++ b/src/calibre/db/cli/main.py
 @@ -1,4 +1,4 @@
@@ -7927,8 +7928,8 @@ Index: b/src/calibre/db/cli/main.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/cli/tests.py
-===================================================================
+diff --git a/src/calibre/db/cli/tests.py b/src/calibre/db/cli/tests.py
+index a49d69bcfc..98b8775ed3 100644
 --- a/src/calibre/db/cli/tests.py
 +++ b/src/calibre/db/cli/tests.py
 @@ -1,4 +1,4 @@
@@ -7937,8 +7938,8 @@ Index: b/src/calibre/db/cli/tests.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/cli/utils.py
-===================================================================
+diff --git a/src/calibre/db/cli/utils.py b/src/calibre/db/cli/utils.py
+index 56eb5f15ea..ec64af4349 100644
 --- a/src/calibre/db/cli/utils.py
 +++ b/src/calibre/db/cli/utils.py
 @@ -1,4 +1,4 @@
@@ -7947,8 +7948,8 @@ Index: b/src/calibre/db/cli/utils.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/copy_to_library.py
-===================================================================
+diff --git a/src/calibre/db/copy_to_library.py b/src/calibre/db/copy_to_library.py
+index 0a5b18f453..6896f93c15 100644
 --- a/src/calibre/db/copy_to_library.py
 +++ b/src/calibre/db/copy_to_library.py
 @@ -1,4 +1,4 @@
@@ -7957,8 +7958,8 @@ Index: b/src/calibre/db/copy_to_library.
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/db/delete_service.py
-===================================================================
+diff --git a/src/calibre/db/delete_service.py b/src/calibre/db/delete_service.py
+index 4a10e8ca59..8b984f41c4 100644
 --- a/src/calibre/db/delete_service.py
 +++ b/src/calibre/db/delete_service.py
 @@ -1,4 +1,4 @@
@@ -7967,8 +7968,8 @@ Index: b/src/calibre/db/delete_service.p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/errors.py
-===================================================================
+diff --git a/src/calibre/db/errors.py b/src/calibre/db/errors.py
+index c535826d2e..616f86f0e7 100644
 --- a/src/calibre/db/errors.py
 +++ b/src/calibre/db/errors.py
 @@ -1,4 +1,4 @@
@@ -7977,8 +7978,8 @@ Index: b/src/calibre/db/errors.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/fields.py
-===================================================================
+diff --git a/src/calibre/db/fields.py b/src/calibre/db/fields.py
+index ec82a90b7b..94bf61dbd7 100644
 --- a/src/calibre/db/fields.py
 +++ b/src/calibre/db/fields.py
 @@ -1,4 +1,4 @@
@@ -7987,8 +7988,8 @@ Index: b/src/calibre/db/fields.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/lazy.py
-===================================================================
+diff --git a/src/calibre/db/lazy.py b/src/calibre/db/lazy.py
+index 5c405e01a4..dbc6584174 100644
 --- a/src/calibre/db/lazy.py
 +++ b/src/calibre/db/lazy.py
 @@ -1,4 +1,4 @@
@@ -7997,8 +7998,8 @@ Index: b/src/calibre/db/lazy.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/legacy.py
-===================================================================
+diff --git a/src/calibre/db/legacy.py b/src/calibre/db/legacy.py
+index fa1f96d77e..7a420e0295 100644
 --- a/src/calibre/db/legacy.py
 +++ b/src/calibre/db/legacy.py
 @@ -1,4 +1,4 @@
@@ -8007,8 +8008,8 @@ Index: b/src/calibre/db/legacy.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/locking.py
-===================================================================
+diff --git a/src/calibre/db/locking.py b/src/calibre/db/locking.py
+index 2978fd9e7b..52e9c954a6 100644
 --- a/src/calibre/db/locking.py
 +++ b/src/calibre/db/locking.py
 @@ -1,4 +1,4 @@
@@ -8017,8 +8018,8 @@ Index: b/src/calibre/db/locking.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/restore.py
-===================================================================
+diff --git a/src/calibre/db/restore.py b/src/calibre/db/restore.py
+index 83e1b42887..c3d7003807 100644
 --- a/src/calibre/db/restore.py
 +++ b/src/calibre/db/restore.py
 @@ -1,4 +1,4 @@
@@ -8027,8 +8028,8 @@ Index: b/src/calibre/db/restore.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  
  from __future__ import unicode_literals
-Index: b/src/calibre/db/schema_upgrades.py
-===================================================================
+diff --git a/src/calibre/db/schema_upgrades.py b/src/calibre/db/schema_upgrades.py
+index f4ff8523c4..ab849ca189 100644
 --- a/src/calibre/db/schema_upgrades.py
 +++ b/src/calibre/db/schema_upgrades.py
 @@ -1,4 +1,4 @@
@@ -8037,8 +8038,8 @@ Index: b/src/calibre/db/schema_upgrades.
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/search.py
-===================================================================
+diff --git a/src/calibre/db/search.py b/src/calibre/db/search.py
+index 7243f33771..e73633baeb 100644
 --- a/src/calibre/db/search.py
 +++ b/src/calibre/db/search.py
 @@ -1,4 +1,4 @@
@@ -8047,8 +8048,8 @@ Index: b/src/calibre/db/search.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/tables.py
-===================================================================
+diff --git a/src/calibre/db/tables.py b/src/calibre/db/tables.py
+index fe996d0652..d203a423b9 100644
 --- a/src/calibre/db/tables.py
 +++ b/src/calibre/db/tables.py
 @@ -1,4 +1,4 @@
@@ -8057,8 +8058,8 @@ Index: b/src/calibre/db/tables.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/tests/__init__.py
-===================================================================
+diff --git a/src/calibre/db/tests/__init__.py b/src/calibre/db/tests/__init__.py
+index 1b26a78776..ec9ca8ff95 100644
 --- a/src/calibre/db/tests/__init__.py
 +++ b/src/calibre/db/tests/__init__.py
 @@ -1,4 +1,4 @@
@@ -8067,8 +8068,8 @@ Index: b/src/calibre/db/tests/__init__.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/tests/add_remove.py
-===================================================================
+diff --git a/src/calibre/db/tests/add_remove.py b/src/calibre/db/tests/add_remove.py
+index a985d722d3..803fc5edc0 100644
 --- a/src/calibre/db/tests/add_remove.py
 +++ b/src/calibre/db/tests/add_remove.py
 @@ -1,4 +1,4 @@
@@ -8077,8 +8078,8 @@ Index: b/src/calibre/db/tests/add_remove
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/tests/base.py
-===================================================================
+diff --git a/src/calibre/db/tests/base.py b/src/calibre/db/tests/base.py
+index a6fc11ae25..388b9df244 100644
 --- a/src/calibre/db/tests/base.py
 +++ b/src/calibre/db/tests/base.py
 @@ -1,4 +1,4 @@
@@ -8087,8 +8088,8 @@ Index: b/src/calibre/db/tests/base.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/tests/filesystem.py
-===================================================================
+diff --git a/src/calibre/db/tests/filesystem.py b/src/calibre/db/tests/filesystem.py
+index 2525572565..7df945fc11 100644
 --- a/src/calibre/db/tests/filesystem.py
 +++ b/src/calibre/db/tests/filesystem.py
 @@ -1,4 +1,4 @@
@@ -8097,8 +8098,8 @@ Index: b/src/calibre/db/tests/filesystem
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/tests/legacy.py
-===================================================================
+diff --git a/src/calibre/db/tests/legacy.py b/src/calibre/db/tests/legacy.py
+index eac7c87194..5f5af062e5 100644
 --- a/src/calibre/db/tests/legacy.py
 +++ b/src/calibre/db/tests/legacy.py
 @@ -1,4 +1,4 @@
@@ -8107,8 +8108,8 @@ Index: b/src/calibre/db/tests/legacy.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/tests/locking.py
-===================================================================
+diff --git a/src/calibre/db/tests/locking.py b/src/calibre/db/tests/locking.py
+index ea216f3c61..b0ba047153 100644
 --- a/src/calibre/db/tests/locking.py
 +++ b/src/calibre/db/tests/locking.py
 @@ -1,4 +1,4 @@
@@ -8117,8 +8118,8 @@ Index: b/src/calibre/db/tests/locking.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/tests/main.py
-===================================================================
+diff --git a/src/calibre/db/tests/main.py b/src/calibre/db/tests/main.py
+index 6e57b52c92..d8bee0ec7e 100644
 --- a/src/calibre/db/tests/main.py
 +++ b/src/calibre/db/tests/main.py
 @@ -1,4 +1,4 @@
@@ -8127,8 +8128,8 @@ Index: b/src/calibre/db/tests/main.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/tests/profiling.py
-===================================================================
+diff --git a/src/calibre/db/tests/profiling.py b/src/calibre/db/tests/profiling.py
+index a78f6abe63..a75bd19d40 100644
 --- a/src/calibre/db/tests/profiling.py
 +++ b/src/calibre/db/tests/profiling.py
 @@ -1,4 +1,4 @@
@@ -8137,8 +8138,8 @@ Index: b/src/calibre/db/tests/profiling.
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/tests/reading.py
-===================================================================
+diff --git a/src/calibre/db/tests/reading.py b/src/calibre/db/tests/reading.py
+index 9b5106e679..665767723c 100644
 --- a/src/calibre/db/tests/reading.py
 +++ b/src/calibre/db/tests/reading.py
 @@ -1,4 +1,4 @@
@@ -8147,8 +8148,8 @@ Index: b/src/calibre/db/tests/reading.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/tests/utils.py
-===================================================================
+diff --git a/src/calibre/db/tests/utils.py b/src/calibre/db/tests/utils.py
+index b911cf7e73..1b28319440 100644
 --- a/src/calibre/db/tests/utils.py
 +++ b/src/calibre/db/tests/utils.py
 @@ -1,4 +1,4 @@
@@ -8157,8 +8158,8 @@ Index: b/src/calibre/db/tests/utils.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/tests/writing.py
-===================================================================
+diff --git a/src/calibre/db/tests/writing.py b/src/calibre/db/tests/writing.py
+index b03e001ba8..e1416b1eb8 100644
 --- a/src/calibre/db/tests/writing.py
 +++ b/src/calibre/db/tests/writing.py
 @@ -1,4 +1,4 @@
@@ -8167,8 +8168,8 @@ Index: b/src/calibre/db/tests/writing.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/utils.py
-===================================================================
+diff --git a/src/calibre/db/utils.py b/src/calibre/db/utils.py
+index b7a2b852f0..3c0127f647 100644
 --- a/src/calibre/db/utils.py
 +++ b/src/calibre/db/utils.py
 @@ -1,4 +1,4 @@
@@ -8177,8 +8178,8 @@ Index: b/src/calibre/db/utils.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/view.py
-===================================================================
+diff --git a/src/calibre/db/view.py b/src/calibre/db/view.py
+index e074b68164..7d750abece 100644
 --- a/src/calibre/db/view.py
 +++ b/src/calibre/db/view.py
 @@ -1,4 +1,4 @@
@@ -8187,8 +8188,8 @@ Index: b/src/calibre/db/view.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/db/write.py
-===================================================================
+diff --git a/src/calibre/db/write.py b/src/calibre/db/write.py
+index 48081e9c5d..e08da0416f 100644
 --- a/src/calibre/db/write.py
 +++ b/src/calibre/db/write.py
 @@ -1,4 +1,4 @@
@@ -8197,8 +8198,8 @@ Index: b/src/calibre/db/write.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/debug.py
-===================================================================
+diff --git a/src/calibre/debug.py b/src/calibre/debug.py
+index f097403c24..c792f422eb 100644
 --- a/src/calibre/debug.py
 +++ b/src/calibre/debug.py
 @@ -1,4 +1,4 @@
@@ -8207,8 +8208,8 @@ Index: b/src/calibre/debug.py
  from __future__ import print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/devices/android/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/android/__init__.py b/src/calibre/devices/android/__init__.py
+index 720ff711e6..a9b056d940 100644
 --- a/src/calibre/devices/android/__init__.py
 +++ b/src/calibre/devices/android/__init__.py
 @@ -1,4 +1,4 @@
@@ -8217,8 +8218,8 @@ Index: b/src/calibre/devices/android/__i
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/cli.py
-===================================================================
+diff --git a/src/calibre/devices/cli.py b/src/calibre/devices/cli.py
+index dd2dbee0a2..ea4afdf7c1 100755
 --- a/src/calibre/devices/cli.py
 +++ b/src/calibre/devices/cli.py
 @@ -1,4 +1,4 @@
@@ -8227,8 +8228,8 @@ Index: b/src/calibre/devices/cli.py
  
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/eslick/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/eslick/__init__.py b/src/calibre/devices/eslick/__init__.py
+index 720ff711e6..a9b056d940 100644
 --- a/src/calibre/devices/eslick/__init__.py
 +++ b/src/calibre/devices/eslick/__init__.py
 @@ -1,4 +1,4 @@
@@ -8237,8 +8238,8 @@ Index: b/src/calibre/devices/eslick/__in
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/eslick/driver.py
-===================================================================
+diff --git a/src/calibre/devices/eslick/driver.py b/src/calibre/devices/eslick/driver.py
+index 9f9da4b7ed..fc1ec0d393 100644
 --- a/src/calibre/devices/eslick/driver.py
 +++ b/src/calibre/devices/eslick/driver.py
 @@ -1,4 +1,4 @@
@@ -8247,8 +8248,8 @@ Index: b/src/calibre/devices/eslick/driv
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/folder_device/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/folder_device/__init__.py b/src/calibre/devices/folder_device/__init__.py
+index 720ff711e6..a9b056d940 100644
 --- a/src/calibre/devices/folder_device/__init__.py
 +++ b/src/calibre/devices/folder_device/__init__.py
 @@ -1,4 +1,4 @@
@@ -8257,8 +8258,8 @@ Index: b/src/calibre/devices/folder_devi
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/iriver/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/iriver/__init__.py b/src/calibre/devices/iriver/__init__.py
+index 720ff711e6..a9b056d940 100644
 --- a/src/calibre/devices/iriver/__init__.py
 +++ b/src/calibre/devices/iriver/__init__.py
 @@ -1,4 +1,4 @@
@@ -8267,8 +8268,8 @@ Index: b/src/calibre/devices/iriver/__in
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/iriver/driver.py
-===================================================================
+diff --git a/src/calibre/devices/iriver/driver.py b/src/calibre/devices/iriver/driver.py
+index 4fed558890..36834464e7 100644
 --- a/src/calibre/devices/iriver/driver.py
 +++ b/src/calibre/devices/iriver/driver.py
 @@ -1,4 +1,4 @@
@@ -8277,8 +8278,8 @@ Index: b/src/calibre/devices/iriver/driv
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/kobo/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/kobo/__init__.py b/src/calibre/devices/kobo/__init__.py
+index 807de729ec..078ddb1bf4 100644
 --- a/src/calibre/devices/kobo/__init__.py
 +++ b/src/calibre/devices/kobo/__init__.py
 @@ -1,4 +1,4 @@
@@ -8287,8 +8288,8 @@ Index: b/src/calibre/devices/kobo/__init
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/devices/kobo/driver.py
-===================================================================
+diff --git a/src/calibre/devices/kobo/driver.py b/src/calibre/devices/kobo/driver.py
+index 3b704aae78..aeff7d4d88 100644
 --- a/src/calibre/devices/kobo/driver.py
 +++ b/src/calibre/devices/kobo/driver.py
 @@ -1,4 +1,4 @@
@@ -8297,8 +8298,8 @@ Index: b/src/calibre/devices/kobo/driver
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/kobo/kobotouch_config.py
-===================================================================
+diff --git a/src/calibre/devices/kobo/kobotouch_config.py b/src/calibre/devices/kobo/kobotouch_config.py
+index 7377646d77..c8a6623b76 100644
 --- a/src/calibre/devices/kobo/kobotouch_config.py
 +++ b/src/calibre/devices/kobo/kobotouch_config.py
 @@ -1,4 +1,4 @@
@@ -8307,8 +8308,8 @@ Index: b/src/calibre/devices/kobo/koboto
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/misc.py
-===================================================================
+diff --git a/src/calibre/devices/misc.py b/src/calibre/devices/misc.py
+index fb772959cb..7ee7fb15df 100644
 --- a/src/calibre/devices/misc.py
 +++ b/src/calibre/devices/misc.py
 @@ -1,4 +1,4 @@
@@ -8317,8 +8318,8 @@ Index: b/src/calibre/devices/misc.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/mtp/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/__init__.py b/src/calibre/devices/mtp/__init__.py
+index 357137fa39..5f6c324bfc 100644
 --- a/src/calibre/devices/mtp/__init__.py
 +++ b/src/calibre/devices/mtp/__init__.py
 @@ -1,4 +1,4 @@
@@ -8327,8 +8328,8 @@ Index: b/src/calibre/devices/mtp/__init_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/mtp/base.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/base.py b/src/calibre/devices/mtp/base.py
+index cfe9a7c103..79d342c86f 100644
 --- a/src/calibre/devices/mtp/base.py
 +++ b/src/calibre/devices/mtp/base.py
 @@ -1,4 +1,4 @@
@@ -8337,8 +8338,8 @@ Index: b/src/calibre/devices/mtp/base.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/mtp/books.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/books.py b/src/calibre/devices/mtp/books.py
+index c9b9998d68..3f65d80d1d 100644
 --- a/src/calibre/devices/mtp/books.py
 +++ b/src/calibre/devices/mtp/books.py
 @@ -1,4 +1,4 @@
@@ -8347,8 +8348,8 @@ Index: b/src/calibre/devices/mtp/books.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/mtp/defaults.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/defaults.py b/src/calibre/devices/mtp/defaults.py
+index ba6d3b9d59..9c1d66c461 100644
 --- a/src/calibre/devices/mtp/defaults.py
 +++ b/src/calibre/devices/mtp/defaults.py
 @@ -1,4 +1,4 @@
@@ -8357,8 +8358,8 @@ Index: b/src/calibre/devices/mtp/default
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/mtp/driver.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/driver.py b/src/calibre/devices/mtp/driver.py
+index 5ef073e487..0a13169373 100644
 --- a/src/calibre/devices/mtp/driver.py
 +++ b/src/calibre/devices/mtp/driver.py
 @@ -1,4 +1,4 @@
@@ -8367,8 +8368,8 @@ Index: b/src/calibre/devices/mtp/driver.
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/mtp/filesystem_cache.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/filesystem_cache.py b/src/calibre/devices/mtp/filesystem_cache.py
+index 03f89e1713..1789e3b399 100644
 --- a/src/calibre/devices/mtp/filesystem_cache.py
 +++ b/src/calibre/devices/mtp/filesystem_cache.py
 @@ -1,4 +1,4 @@
@@ -8377,8 +8378,8 @@ Index: b/src/calibre/devices/mtp/filesys
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/mtp/test.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/test.py b/src/calibre/devices/mtp/test.py
+index b76631dcbf..f36ffeacec 100644
 --- a/src/calibre/devices/mtp/test.py
 +++ b/src/calibre/devices/mtp/test.py
 @@ -1,4 +1,4 @@
@@ -8387,8 +8388,8 @@ Index: b/src/calibre/devices/mtp/test.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/mtp/unix/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/unix/__init__.py b/src/calibre/devices/mtp/unix/__init__.py
+index bfcd4fe518..4fc65986b7 100644
 --- a/src/calibre/devices/mtp/unix/__init__.py
 +++ b/src/calibre/devices/mtp/unix/__init__.py
 @@ -1,4 +1,4 @@
@@ -8397,8 +8398,8 @@ Index: b/src/calibre/devices/mtp/unix/__
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/mtp/unix/driver.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/unix/driver.py b/src/calibre/devices/mtp/unix/driver.py
+index a733feef7c..47e1d5c392 100644
 --- a/src/calibre/devices/mtp/unix/driver.py
 +++ b/src/calibre/devices/mtp/unix/driver.py
 @@ -1,4 +1,4 @@
@@ -8407,8 +8408,8 @@ Index: b/src/calibre/devices/mtp/unix/dr
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/mtp/unix/sysfs.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/unix/sysfs.py b/src/calibre/devices/mtp/unix/sysfs.py
+index cc756abea3..5ec178f9fa 100644
 --- a/src/calibre/devices/mtp/unix/sysfs.py
 +++ b/src/calibre/devices/mtp/unix/sysfs.py
 @@ -1,4 +1,4 @@
@@ -8417,8 +8418,8 @@ Index: b/src/calibre/devices/mtp/unix/sy
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/mtp/windows/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/windows/__init__.py b/src/calibre/devices/mtp/windows/__init__.py
+index d7ade49452..2b86b54dc3 100644
 --- a/src/calibre/devices/mtp/windows/__init__.py
 +++ b/src/calibre/devices/mtp/windows/__init__.py
 @@ -1,4 +1,4 @@
@@ -8427,8 +8428,8 @@ Index: b/src/calibre/devices/mtp/windows
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/mtp/windows/driver.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/windows/driver.py b/src/calibre/devices/mtp/windows/driver.py
+index 9921945f75..cc2d4ce238 100644
 --- a/src/calibre/devices/mtp/windows/driver.py
 +++ b/src/calibre/devices/mtp/windows/driver.py
 @@ -1,4 +1,4 @@
@@ -8437,8 +8438,8 @@ Index: b/src/calibre/devices/mtp/windows
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/mtp/windows/remote.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/windows/remote.py b/src/calibre/devices/mtp/windows/remote.py
+index 04a7547b72..80b892302c 100644
 --- a/src/calibre/devices/mtp/windows/remote.py
 +++ b/src/calibre/devices/mtp/windows/remote.py
 @@ -1,4 +1,4 @@
@@ -8447,8 +8448,8 @@ Index: b/src/calibre/devices/mtp/windows
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/paladin/driver.py
-===================================================================
+diff --git a/src/calibre/devices/paladin/driver.py b/src/calibre/devices/paladin/driver.py
+index f805c77540..4cfc6b3616 100644
 --- a/src/calibre/devices/paladin/driver.py
 +++ b/src/calibre/devices/paladin/driver.py
 @@ -1,4 +1,4 @@
@@ -8457,8 +8458,8 @@ Index: b/src/calibre/devices/paladin/dri
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/devices/prs505/sony_cache.py
-===================================================================
+diff --git a/src/calibre/devices/prs505/sony_cache.py b/src/calibre/devices/prs505/sony_cache.py
+index 85a0002165..1ce4a3fe58 100644
 --- a/src/calibre/devices/prs505/sony_cache.py
 +++ b/src/calibre/devices/prs505/sony_cache.py
 @@ -1,4 +1,4 @@
@@ -8467,8 +8468,8 @@ Index: b/src/calibre/devices/prs505/sony
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/prst1/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/prst1/__init__.py b/src/calibre/devices/prst1/__init__.py
+index 0f9dc4e7f8..c63cb57432 100644
 --- a/src/calibre/devices/prst1/__init__.py
 +++ b/src/calibre/devices/prst1/__init__.py
 @@ -1,4 +1,4 @@
@@ -8477,8 +8478,8 @@ Index: b/src/calibre/devices/prst1/__ini
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/prst1/driver.py
-===================================================================
+diff --git a/src/calibre/devices/prst1/driver.py b/src/calibre/devices/prst1/driver.py
+index eece9275ab..399186eb9e 100644
 --- a/src/calibre/devices/prst1/driver.py
 +++ b/src/calibre/devices/prst1/driver.py
 @@ -1,4 +1,4 @@
@@ -8487,8 +8488,8 @@ Index: b/src/calibre/devices/prst1/drive
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/smart_device_app/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/smart_device_app/__init__.py b/src/calibre/devices/smart_device_app/__init__.py
+index 807de729ec..078ddb1bf4 100644
 --- a/src/calibre/devices/smart_device_app/__init__.py
 +++ b/src/calibre/devices/smart_device_app/__init__.py
 @@ -1,4 +1,4 @@
@@ -8497,8 +8498,8 @@ Index: b/src/calibre/devices/smart_devic
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/devices/smart_device_app/driver.py
-===================================================================
+diff --git a/src/calibre/devices/smart_device_app/driver.py b/src/calibre/devices/smart_device_app/driver.py
+index 39e61cdd00..b6abf365ab 100644
 --- a/src/calibre/devices/smart_device_app/driver.py
 +++ b/src/calibre/devices/smart_device_app/driver.py
 @@ -1,4 +1,4 @@
@@ -8507,8 +8508,8 @@ Index: b/src/calibre/devices/smart_devic
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  '''
-Index: b/src/calibre/devices/teclast/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/teclast/__init__.py b/src/calibre/devices/teclast/__init__.py
+index 4ddf412436..3e2240e94d 100644
 --- a/src/calibre/devices/teclast/__init__.py
 +++ b/src/calibre/devices/teclast/__init__.py
 @@ -1,4 +1,4 @@
@@ -8517,8 +8518,8 @@ Index: b/src/calibre/devices/teclast/__i
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/udisks.py
-===================================================================
+diff --git a/src/calibre/devices/udisks.py b/src/calibre/devices/udisks.py
+index 36729b871d..13711b60eb 100644
 --- a/src/calibre/devices/udisks.py
 +++ b/src/calibre/devices/udisks.py
 @@ -1,4 +1,4 @@
@@ -8527,8 +8528,8 @@ Index: b/src/calibre/devices/udisks.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/utils.py
-===================================================================
+diff --git a/src/calibre/devices/utils.py b/src/calibre/devices/utils.py
+index 1284b84223..401fc860e7 100644
 --- a/src/calibre/devices/utils.py
 +++ b/src/calibre/devices/utils.py
 @@ -1,4 +1,4 @@
@@ -8537,8 +8538,8 @@ Index: b/src/calibre/devices/utils.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/devices/winusb.py
-===================================================================
+diff --git a/src/calibre/devices/winusb.py b/src/calibre/devices/winusb.py
+index 9ecfa32d20..f3256c7a68 100644
 --- a/src/calibre/devices/winusb.py
 +++ b/src/calibre/devices/winusb.py
 @@ -1,4 +1,4 @@
@@ -8547,8 +8548,8 @@ Index: b/src/calibre/devices/winusb.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/BeautifulSoup.py
-===================================================================
+diff --git a/src/calibre/ebooks/BeautifulSoup.py b/src/calibre/ebooks/BeautifulSoup.py
+index 76d868379c..038e98620b 100644
 --- a/src/calibre/ebooks/BeautifulSoup.py
 +++ b/src/calibre/ebooks/BeautifulSoup.py
 @@ -1,4 +1,4 @@
@@ -8557,8 +8558,8 @@ Index: b/src/calibre/ebooks/BeautifulSou
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/chardet.py
-===================================================================
+diff --git a/src/calibre/ebooks/chardet.py b/src/calibre/ebooks/chardet.py
+index 8abe1ffb24..b6104a26b2 100644
 --- a/src/calibre/ebooks/chardet.py
 +++ b/src/calibre/ebooks/chardet.py
 @@ -1,4 +1,4 @@
@@ -8567,8 +8568,8 @@ Index: b/src/calibre/ebooks/chardet.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/chm/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/chm/__init__.py b/src/calibre/ebooks/chm/__init__.py
+index 3a23b123d8..9c0d7f81fe 100644
 --- a/src/calibre/ebooks/chm/__init__.py
 +++ b/src/calibre/ebooks/chm/__init__.py
 @@ -1,4 +1,4 @@
@@ -8577,8 +8578,8 @@ Index: b/src/calibre/ebooks/chm/__init__
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/chm/metadata.py
-===================================================================
+diff --git a/src/calibre/ebooks/chm/metadata.py b/src/calibre/ebooks/chm/metadata.py
+index 0a1ad627b3..fb134088ee 100644
 --- a/src/calibre/ebooks/chm/metadata.py
 +++ b/src/calibre/ebooks/chm/metadata.py
 @@ -1,4 +1,4 @@
@@ -8587,8 +8588,8 @@ Index: b/src/calibre/ebooks/chm/metadata
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/comic/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/comic/__init__.py b/src/calibre/ebooks/comic/__init__.py
+index 9a7f3dadda..4307a071a3 100644
 --- a/src/calibre/ebooks/comic/__init__.py
 +++ b/src/calibre/ebooks/comic/__init__.py
 @@ -1,4 +1,4 @@
@@ -8597,8 +8598,8 @@ Index: b/src/calibre/ebooks/comic/__init
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/compression/palmdoc.py
-===================================================================
+diff --git a/src/calibre/ebooks/compression/palmdoc.py b/src/calibre/ebooks/compression/palmdoc.py
+index 6ce6ac58b5..8d2a19783c 100644
 --- a/src/calibre/ebooks/compression/palmdoc.py
 +++ b/src/calibre/ebooks/compression/palmdoc.py
 @@ -1,4 +1,4 @@
@@ -8607,8 +8608,8 @@ Index: b/src/calibre/ebooks/compression/
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/constants.py
-===================================================================
+diff --git a/src/calibre/ebooks/constants.py b/src/calibre/ebooks/constants.py
+index 39fd5d5d6a..02d27f6a9f 100644
 --- a/src/calibre/ebooks/constants.py
 +++ b/src/calibre/ebooks/constants.py
 @@ -1,4 +1,4 @@
@@ -8617,8 +8618,8 @@ Index: b/src/calibre/ebooks/constants.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/conversion/config.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/config.py b/src/calibre/ebooks/conversion/config.py
+index 530dc04177..ee1dc6e708 100644
 --- a/src/calibre/ebooks/conversion/config.py
 +++ b/src/calibre/ebooks/conversion/config.py
 @@ -1,4 +1,4 @@
@@ -8627,8 +8628,8 @@ Index: b/src/calibre/ebooks/conversion/c
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/conversion/plugins/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/__init__.py b/src/calibre/ebooks/conversion/plugins/__init__.py
+index 357137fa39..5f6c324bfc 100644
 --- a/src/calibre/ebooks/conversion/plugins/__init__.py
 +++ b/src/calibre/ebooks/conversion/plugins/__init__.py
 @@ -1,4 +1,4 @@
@@ -8637,8 +8638,8 @@ Index: b/src/calibre/ebooks/conversion/p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/conversion/plugins/docx_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/docx_input.py b/src/calibre/ebooks/conversion/plugins/docx_input.py
+index 2ba157e3f9..bb08884eb8 100644
 --- a/src/calibre/ebooks/conversion/plugins/docx_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/docx_input.py
 @@ -1,4 +1,4 @@
@@ -8647,8 +8648,8 @@ Index: b/src/calibre/ebooks/conversion/p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/conversion/plugins/docx_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/docx_output.py b/src/calibre/ebooks/conversion/plugins/docx_output.py
+index ab65e87b6f..e5fd2f42ac 100644
 --- a/src/calibre/ebooks/conversion/plugins/docx_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/docx_output.py
 @@ -1,4 +1,4 @@
@@ -8657,8 +8658,8 @@ Index: b/src/calibre/ebooks/conversion/p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/conversion/plugins/epub_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/epub_output.py b/src/calibre/ebooks/conversion/plugins/epub_output.py
+index 2265508c6e..9b0efce177 100644
 --- a/src/calibre/ebooks/conversion/plugins/epub_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/epub_output.py
 @@ -1,4 +1,4 @@
@@ -8667,8 +8668,8 @@ Index: b/src/calibre/ebooks/conversion/p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/conversion/plugins/html_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/html_input.py b/src/calibre/ebooks/conversion/plugins/html_input.py
+index b74cfba882..7474ab7906 100644
 --- a/src/calibre/ebooks/conversion/plugins/html_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/html_input.py
 @@ -1,4 +1,4 @@
@@ -8677,8 +8678,8 @@ Index: b/src/calibre/ebooks/conversion/p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/conversion/plugins/lit_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/lit_input.py b/src/calibre/ebooks/conversion/plugins/lit_input.py
+index 96f1867faf..65b94d0119 100644
 --- a/src/calibre/ebooks/conversion/plugins/lit_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/lit_input.py
 @@ -1,4 +1,4 @@
@@ -8687,8 +8688,8 @@ Index: b/src/calibre/ebooks/conversion/p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/conversion/plugins/lit_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/lit_output.py b/src/calibre/ebooks/conversion/plugins/lit_output.py
+index a0d9a7f1a9..9c266ffc70 100644
 --- a/src/calibre/ebooks/conversion/plugins/lit_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/lit_output.py
 @@ -1,4 +1,4 @@
@@ -8697,8 +8698,8 @@ Index: b/src/calibre/ebooks/conversion/p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/conversion/plugins/lrf_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/lrf_input.py b/src/calibre/ebooks/conversion/plugins/lrf_input.py
+index d40def2f1c..8052e32c76 100644
 --- a/src/calibre/ebooks/conversion/plugins/lrf_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/lrf_input.py
 @@ -1,4 +1,4 @@
@@ -8707,8 +8708,8 @@ Index: b/src/calibre/ebooks/conversion/p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/conversion/plugins/lrf_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/lrf_output.py b/src/calibre/ebooks/conversion/plugins/lrf_output.py
+index 947d30cdc6..2797347cf1 100644
 --- a/src/calibre/ebooks/conversion/plugins/lrf_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/lrf_output.py
 @@ -1,4 +1,4 @@
@@ -8717,8 +8718,8 @@ Index: b/src/calibre/ebooks/conversion/p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/conversion/plugins/mobi_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/mobi_output.py b/src/calibre/ebooks/conversion/plugins/mobi_output.py
+index 28cff521bc..0ff7a8cd9a 100644
 --- a/src/calibre/ebooks/conversion/plugins/mobi_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/mobi_output.py
 @@ -1,4 +1,4 @@
@@ -8727,8 +8728,8 @@ Index: b/src/calibre/ebooks/conversion/p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/conversion/plugins/recipe_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/recipe_input.py b/src/calibre/ebooks/conversion/plugins/recipe_input.py
+index f616a72f70..fb55c01e9d 100644
 --- a/src/calibre/ebooks/conversion/plugins/recipe_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/recipe_input.py
 @@ -1,4 +1,4 @@
@@ -8737,8 +8738,8 @@ Index: b/src/calibre/ebooks/conversion/p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/conversion/preprocess.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/preprocess.py b/src/calibre/ebooks/conversion/preprocess.py
+index c597e0021d..4f2a8ce52e 100644
 --- a/src/calibre/ebooks/conversion/preprocess.py
 +++ b/src/calibre/ebooks/conversion/preprocess.py
 @@ -1,4 +1,4 @@
@@ -8747,8 +8748,8 @@ Index: b/src/calibre/ebooks/conversion/p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/conversion/search_replace.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/search_replace.py b/src/calibre/ebooks/conversion/search_replace.py
+index c75cfa7b91..27fd2c395f 100644
 --- a/src/calibre/ebooks/conversion/search_replace.py
 +++ b/src/calibre/ebooks/conversion/search_replace.py
 @@ -1,4 +1,4 @@
@@ -8757,8 +8758,8 @@ Index: b/src/calibre/ebooks/conversion/s
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/conversion/utils.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/utils.py b/src/calibre/ebooks/conversion/utils.py
+index 991c560d23..4d23933a98 100644
 --- a/src/calibre/ebooks/conversion/utils.py
 +++ b/src/calibre/ebooks/conversion/utils.py
 @@ -1,4 +1,4 @@
@@ -8767,8 +8768,8 @@ Index: b/src/calibre/ebooks/conversion/u
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/covers.py
-===================================================================
+diff --git a/src/calibre/ebooks/covers.py b/src/calibre/ebooks/covers.py
+index 62ccad0603..7d3c428e4a 100644
 --- a/src/calibre/ebooks/covers.py
 +++ b/src/calibre/ebooks/covers.py
 @@ -1,4 +1,4 @@
@@ -8777,8 +8778,8 @@ Index: b/src/calibre/ebooks/covers.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/css_transform_rules.py
-===================================================================
+diff --git a/src/calibre/ebooks/css_transform_rules.py b/src/calibre/ebooks/css_transform_rules.py
+index 2f3e10e8ed..9d2cd2ec84 100644
 --- a/src/calibre/ebooks/css_transform_rules.py
 +++ b/src/calibre/ebooks/css_transform_rules.py
 @@ -1,4 +1,4 @@
@@ -8787,8 +8788,8 @@ Index: b/src/calibre/ebooks/css_transfor
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/ebooks/djvu/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/djvu/__init__.py b/src/calibre/ebooks/djvu/__init__.py
+index 2cf7feaaff..5d3a0cd140 100644
 --- a/src/calibre/ebooks/djvu/__init__.py
 +++ b/src/calibre/ebooks/djvu/__init__.py
 @@ -1,4 +1,4 @@
@@ -8797,8 +8798,8 @@ Index: b/src/calibre/ebooks/djvu/__init_
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/djvu/djvu.py
-===================================================================
+diff --git a/src/calibre/ebooks/djvu/djvu.py b/src/calibre/ebooks/djvu/djvu.py
+index 95381c982e..fa58f8fc49 100644
 --- a/src/calibre/ebooks/djvu/djvu.py
 +++ b/src/calibre/ebooks/djvu/djvu.py
 @@ -1,4 +1,4 @@
@@ -8807,8 +8808,8 @@ Index: b/src/calibre/ebooks/djvu/djvu.py
  # coding: utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/djvu/djvubzzdec.py
-===================================================================
+diff --git a/src/calibre/ebooks/djvu/djvubzzdec.py b/src/calibre/ebooks/djvu/djvubzzdec.py
+index 262409d565..a4ac518976 100644
 --- a/src/calibre/ebooks/djvu/djvubzzdec.py
 +++ b/src/calibre/ebooks/djvu/djvubzzdec.py
 @@ -1,4 +1,4 @@
@@ -8817,8 +8818,8 @@ Index: b/src/calibre/ebooks/djvu/djvubzz
  # coding: utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/__init__.py b/src/calibre/ebooks/docx/__init__.py
+index 038376aff3..57bfd7d760 100644
 --- a/src/calibre/ebooks/docx/__init__.py
 +++ b/src/calibre/ebooks/docx/__init__.py
 @@ -1,4 +1,4 @@
@@ -8827,8 +8828,8 @@ Index: b/src/calibre/ebooks/docx/__init_
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/block_styles.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/block_styles.py b/src/calibre/ebooks/docx/block_styles.py
+index fdd61add54..4e196e819d 100644
 --- a/src/calibre/ebooks/docx/block_styles.py
 +++ b/src/calibre/ebooks/docx/block_styles.py
 @@ -1,4 +1,4 @@
@@ -8837,8 +8838,8 @@ Index: b/src/calibre/ebooks/docx/block_s
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/char_styles.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/char_styles.py b/src/calibre/ebooks/docx/char_styles.py
+index c443dada50..61d13c7809 100644
 --- a/src/calibre/ebooks/docx/char_styles.py
 +++ b/src/calibre/ebooks/docx/char_styles.py
 @@ -1,4 +1,4 @@
@@ -8847,8 +8848,8 @@ Index: b/src/calibre/ebooks/docx/char_st
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/cleanup.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/cleanup.py b/src/calibre/ebooks/docx/cleanup.py
+index 8f79458f4c..c68feb4736 100644
 --- a/src/calibre/ebooks/docx/cleanup.py
 +++ b/src/calibre/ebooks/docx/cleanup.py
 @@ -1,4 +1,4 @@
@@ -8857,8 +8858,8 @@ Index: b/src/calibre/ebooks/docx/cleanup
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/container.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/container.py b/src/calibre/ebooks/docx/container.py
+index 7bd6768a8f..9411e20780 100644
 --- a/src/calibre/ebooks/docx/container.py
 +++ b/src/calibre/ebooks/docx/container.py
 @@ -1,4 +1,4 @@
@@ -8867,8 +8868,8 @@ Index: b/src/calibre/ebooks/docx/contain
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/dump.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/dump.py b/src/calibre/ebooks/docx/dump.py
+index 5852482876..726c29feef 100644
 --- a/src/calibre/ebooks/docx/dump.py
 +++ b/src/calibre/ebooks/docx/dump.py
 @@ -1,4 +1,4 @@
@@ -8877,8 +8878,8 @@ Index: b/src/calibre/ebooks/docx/dump.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/fields.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/fields.py b/src/calibre/ebooks/docx/fields.py
+index 7400bcde51..8ff5d28859 100644
 --- a/src/calibre/ebooks/docx/fields.py
 +++ b/src/calibre/ebooks/docx/fields.py
 @@ -1,4 +1,4 @@
@@ -8887,8 +8888,8 @@ Index: b/src/calibre/ebooks/docx/fields.
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/fonts.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/fonts.py b/src/calibre/ebooks/docx/fonts.py
+index ad5c7b7018..bd0ad51bc0 100644
 --- a/src/calibre/ebooks/docx/fonts.py
 +++ b/src/calibre/ebooks/docx/fonts.py
 @@ -1,4 +1,4 @@
@@ -8897,8 +8898,8 @@ Index: b/src/calibre/ebooks/docx/fonts.p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/footnotes.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/footnotes.py b/src/calibre/ebooks/docx/footnotes.py
+index a97d2a73e5..22f8ed82d4 100644
 --- a/src/calibre/ebooks/docx/footnotes.py
 +++ b/src/calibre/ebooks/docx/footnotes.py
 @@ -1,4 +1,4 @@
@@ -8907,8 +8908,8 @@ Index: b/src/calibre/ebooks/docx/footnot
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/images.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/images.py b/src/calibre/ebooks/docx/images.py
+index 764aa17ee9..b82cf6fa9c 100644
 --- a/src/calibre/ebooks/docx/images.py
 +++ b/src/calibre/ebooks/docx/images.py
 @@ -1,4 +1,4 @@
@@ -8917,8 +8918,8 @@ Index: b/src/calibre/ebooks/docx/images.
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/index.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/index.py b/src/calibre/ebooks/docx/index.py
+index 974d25d9a1..38b8431dc0 100644
 --- a/src/calibre/ebooks/docx/index.py
 +++ b/src/calibre/ebooks/docx/index.py
 @@ -1,4 +1,4 @@
@@ -8927,8 +8928,8 @@ Index: b/src/calibre/ebooks/docx/index.p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/lcid.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/lcid.py b/src/calibre/ebooks/docx/lcid.py
+index 9674ac4cfc..f9de87eb84 100644
 --- a/src/calibre/ebooks/docx/lcid.py
 +++ b/src/calibre/ebooks/docx/lcid.py
 @@ -1,4 +1,4 @@
@@ -8937,8 +8938,8 @@ Index: b/src/calibre/ebooks/docx/lcid.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/names.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/names.py b/src/calibre/ebooks/docx/names.py
+index dac2d0e65b..039bc5b80e 100644
 --- a/src/calibre/ebooks/docx/names.py
 +++ b/src/calibre/ebooks/docx/names.py
 @@ -1,4 +1,4 @@
@@ -8947,8 +8948,8 @@ Index: b/src/calibre/ebooks/docx/names.p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/numbering.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/numbering.py b/src/calibre/ebooks/docx/numbering.py
+index da33d6a584..294c627935 100644
 --- a/src/calibre/ebooks/docx/numbering.py
 +++ b/src/calibre/ebooks/docx/numbering.py
 @@ -1,4 +1,4 @@
@@ -8957,8 +8958,8 @@ Index: b/src/calibre/ebooks/docx/numberi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/settings.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/settings.py b/src/calibre/ebooks/docx/settings.py
+index e30fb5429d..6271692433 100644
 --- a/src/calibre/ebooks/docx/settings.py
 +++ b/src/calibre/ebooks/docx/settings.py
 @@ -1,4 +1,4 @@
@@ -8967,8 +8968,8 @@ Index: b/src/calibre/ebooks/docx/setting
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/styles.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/styles.py b/src/calibre/ebooks/docx/styles.py
+index bf2eb930f1..cf9288c040 100644
 --- a/src/calibre/ebooks/docx/styles.py
 +++ b/src/calibre/ebooks/docx/styles.py
 @@ -1,4 +1,4 @@
@@ -8977,8 +8978,8 @@ Index: b/src/calibre/ebooks/docx/styles.
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/tables.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/tables.py b/src/calibre/ebooks/docx/tables.py
+index 6f537e6daf..01f5995975 100644
 --- a/src/calibre/ebooks/docx/tables.py
 +++ b/src/calibre/ebooks/docx/tables.py
 @@ -1,4 +1,4 @@
@@ -8987,8 +8988,8 @@ Index: b/src/calibre/ebooks/docx/tables.
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/theme.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/theme.py b/src/calibre/ebooks/docx/theme.py
+index c6f84b8aa6..3f0fc5db1f 100644
 --- a/src/calibre/ebooks/docx/theme.py
 +++ b/src/calibre/ebooks/docx/theme.py
 @@ -1,4 +1,4 @@
@@ -8997,8 +8998,8 @@ Index: b/src/calibre/ebooks/docx/theme.p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/to_html.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/to_html.py b/src/calibre/ebooks/docx/to_html.py
+index 081095f2ad..eb9c9087f0 100644
 --- a/src/calibre/ebooks/docx/to_html.py
 +++ b/src/calibre/ebooks/docx/to_html.py
 @@ -1,4 +1,4 @@
@@ -9007,8 +9008,8 @@ Index: b/src/calibre/ebooks/docx/to_html
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/toc.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/toc.py b/src/calibre/ebooks/docx/toc.py
+index 3c607012b1..0bec436eda 100644
 --- a/src/calibre/ebooks/docx/toc.py
 +++ b/src/calibre/ebooks/docx/toc.py
 @@ -1,4 +1,4 @@
@@ -9017,8 +9018,8 @@ Index: b/src/calibre/ebooks/docx/toc.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/writer/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/__init__.py b/src/calibre/ebooks/docx/writer/__init__.py
+index d9dc36506c..69376f9ebd 100644
 --- a/src/calibre/ebooks/docx/writer/__init__.py
 +++ b/src/calibre/ebooks/docx/writer/__init__.py
 @@ -1,4 +1,4 @@
@@ -9027,8 +9028,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/writer/container.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/container.py b/src/calibre/ebooks/docx/writer/container.py
+index 1c0d25afa0..08262a4fe7 100644
 --- a/src/calibre/ebooks/docx/writer/container.py
 +++ b/src/calibre/ebooks/docx/writer/container.py
 @@ -1,4 +1,4 @@
@@ -9037,8 +9038,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/writer/fonts.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/fonts.py b/src/calibre/ebooks/docx/writer/fonts.py
+index 4432ea930b..559613c38d 100644
 --- a/src/calibre/ebooks/docx/writer/fonts.py
 +++ b/src/calibre/ebooks/docx/writer/fonts.py
 @@ -1,4 +1,4 @@
@@ -9047,8 +9048,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/writer/from_html.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/from_html.py b/src/calibre/ebooks/docx/writer/from_html.py
+index 5ed0467c8d..8a3dfb84c6 100644
 --- a/src/calibre/ebooks/docx/writer/from_html.py
 +++ b/src/calibre/ebooks/docx/writer/from_html.py
 @@ -1,4 +1,4 @@
@@ -9057,8 +9058,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/writer/images.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/images.py b/src/calibre/ebooks/docx/writer/images.py
+index 54b62d611f..d0066022da 100644
 --- a/src/calibre/ebooks/docx/writer/images.py
 +++ b/src/calibre/ebooks/docx/writer/images.py
 @@ -1,4 +1,4 @@
@@ -9067,8 +9068,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/writer/links.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/links.py b/src/calibre/ebooks/docx/writer/links.py
+index 95c53d7c55..640f0d44cb 100644
 --- a/src/calibre/ebooks/docx/writer/links.py
 +++ b/src/calibre/ebooks/docx/writer/links.py
 @@ -1,4 +1,4 @@
@@ -9077,8 +9078,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/writer/lists.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/lists.py b/src/calibre/ebooks/docx/writer/lists.py
+index 259cfb3539..c7649480cc 100644
 --- a/src/calibre/ebooks/docx/writer/lists.py
 +++ b/src/calibre/ebooks/docx/writer/lists.py
 @@ -1,4 +1,4 @@
@@ -9087,8 +9088,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/writer/styles.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/styles.py b/src/calibre/ebooks/docx/writer/styles.py
+index d05451f96c..dfd6939a1c 100644
 --- a/src/calibre/ebooks/docx/writer/styles.py
 +++ b/src/calibre/ebooks/docx/writer/styles.py
 @@ -1,4 +1,4 @@
@@ -9097,8 +9098,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/writer/tables.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/tables.py b/src/calibre/ebooks/docx/writer/tables.py
+index 209d420ee8..12cb981064 100644
 --- a/src/calibre/ebooks/docx/writer/tables.py
 +++ b/src/calibre/ebooks/docx/writer/tables.py
 @@ -1,4 +1,4 @@
@@ -9107,8 +9108,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/docx/writer/utils.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/utils.py b/src/calibre/ebooks/docx/writer/utils.py
+index 30cabd49e9..b8a18cf78f 100644
 --- a/src/calibre/ebooks/docx/writer/utils.py
 +++ b/src/calibre/ebooks/docx/writer/utils.py
 @@ -1,4 +1,4 @@
@@ -9117,8 +9118,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/epub/cfi/parse.py
-===================================================================
+diff --git a/src/calibre/ebooks/epub/cfi/parse.py b/src/calibre/ebooks/epub/cfi/parse.py
+index d55f8b891c..f9e5fc89fd 100644
 --- a/src/calibre/ebooks/epub/cfi/parse.py
 +++ b/src/calibre/ebooks/epub/cfi/parse.py
 @@ -1,4 +1,4 @@
@@ -9127,8 +9128,8 @@ Index: b/src/calibre/ebooks/epub/cfi/par
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/epub/cfi/tests.py
-===================================================================
+diff --git a/src/calibre/ebooks/epub/cfi/tests.py b/src/calibre/ebooks/epub/cfi/tests.py
+index c878cbac9e..40e8ec62c1 100644
 --- a/src/calibre/ebooks/epub/cfi/tests.py
 +++ b/src/calibre/ebooks/epub/cfi/tests.py
 @@ -1,4 +1,4 @@
@@ -9137,8 +9138,8 @@ Index: b/src/calibre/ebooks/epub/cfi/tes
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/epub/periodical.py
-===================================================================
+diff --git a/src/calibre/ebooks/epub/periodical.py b/src/calibre/ebooks/epub/periodical.py
+index e2c5760303..b5acc4a03e 100644
 --- a/src/calibre/ebooks/epub/periodical.py
 +++ b/src/calibre/ebooks/epub/periodical.py
 @@ -1,4 +1,4 @@
@@ -9147,8 +9148,8 @@ Index: b/src/calibre/ebooks/epub/periodi
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/fb2/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/fb2/__init__.py b/src/calibre/ebooks/fb2/__init__.py
+index e42aba245c..7f70b39cff 100644
 --- a/src/calibre/ebooks/fb2/__init__.py
 +++ b/src/calibre/ebooks/fb2/__init__.py
 @@ -1,4 +1,4 @@
@@ -9157,8 +9158,8 @@ Index: b/src/calibre/ebooks/fb2/__init__
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/html/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/html/__init__.py b/src/calibre/ebooks/html/__init__.py
+index 720ff711e6..a9b056d940 100644
 --- a/src/calibre/ebooks/html/__init__.py
 +++ b/src/calibre/ebooks/html/__init__.py
 @@ -1,4 +1,4 @@
@@ -9167,8 +9168,8 @@ Index: b/src/calibre/ebooks/html/__init_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/html/input.py
-===================================================================
+diff --git a/src/calibre/ebooks/html/input.py b/src/calibre/ebooks/html/input.py
+index e37fd3b928..80ad1f84ab 100644
 --- a/src/calibre/ebooks/html/input.py
 +++ b/src/calibre/ebooks/html/input.py
 @@ -1,4 +1,4 @@
@@ -9177,8 +9178,8 @@ Index: b/src/calibre/ebooks/html/input.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/html/to_zip.py
-===================================================================
+diff --git a/src/calibre/ebooks/html/to_zip.py b/src/calibre/ebooks/html/to_zip.py
+index 4ac28c3a0f..4a0173f947 100644
 --- a/src/calibre/ebooks/html/to_zip.py
 +++ b/src/calibre/ebooks/html/to_zip.py
 @@ -1,4 +1,4 @@
@@ -9187,8 +9188,8 @@ Index: b/src/calibre/ebooks/html/to_zip.
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/html_entities.py
-===================================================================
+diff --git a/src/calibre/ebooks/html_entities.py b/src/calibre/ebooks/html_entities.py
+index cc86a21625..18ff8ad7e6 100644
 --- a/src/calibre/ebooks/html_entities.py
 +++ b/src/calibre/ebooks/html_entities.py
 @@ -1,4 +1,4 @@
@@ -9197,8 +9198,8 @@ Index: b/src/calibre/ebooks/html_entitie
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/ebooks/iterator/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/iterator/__init__.py b/src/calibre/ebooks/iterator/__init__.py
+index 4ddf412436..3e2240e94d 100644
 --- a/src/calibre/ebooks/iterator/__init__.py
 +++ b/src/calibre/ebooks/iterator/__init__.py
 @@ -1,4 +1,4 @@
@@ -9207,8 +9208,8 @@ Index: b/src/calibre/ebooks/iterator/__i
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/lrf/input.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/input.py b/src/calibre/ebooks/lrf/input.py
+index f678fcbe32..108f2dfc05 100644
 --- a/src/calibre/ebooks/lrf/input.py
 +++ b/src/calibre/ebooks/lrf/input.py
 @@ -1,4 +1,4 @@
@@ -9217,8 +9218,8 @@ Index: b/src/calibre/ebooks/lrf/input.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/lrf/pylrs/pylrf.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/pylrs/pylrf.py b/src/calibre/ebooks/lrf/pylrs/pylrf.py
+index bca86f29b3..16aa0d730b 100644
 --- a/src/calibre/ebooks/lrf/pylrs/pylrf.py
 +++ b/src/calibre/ebooks/lrf/pylrs/pylrf.py
 @@ -1,4 +1,4 @@
@@ -9227,8 +9228,8 @@ Index: b/src/calibre/ebooks/lrf/pylrs/py
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  """
-Index: b/src/calibre/ebooks/metadata/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/__init__.py b/src/calibre/ebooks/metadata/__init__.py
+index a5dca7dac9..f51eb17725 100644
 --- a/src/calibre/ebooks/metadata/__init__.py
 +++ b/src/calibre/ebooks/metadata/__init__.py
 @@ -1,4 +1,4 @@
@@ -9237,8 +9238,8 @@ Index: b/src/calibre/ebooks/metadata/__i
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/archive.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/archive.py b/src/calibre/ebooks/metadata/archive.py
+index 23be91decc..2b5e52916e 100644
 --- a/src/calibre/ebooks/metadata/archive.py
 +++ b/src/calibre/ebooks/metadata/archive.py
 @@ -1,4 +1,4 @@
@@ -9247,8 +9248,8 @@ Index: b/src/calibre/ebooks/metadata/arc
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/author_mapper.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/author_mapper.py b/src/calibre/ebooks/metadata/author_mapper.py
+index 30cbf1df46..faeb3b2728 100644
 --- a/src/calibre/ebooks/metadata/author_mapper.py
 +++ b/src/calibre/ebooks/metadata/author_mapper.py
 @@ -1,4 +1,4 @@
@@ -9257,8 +9258,8 @@ Index: b/src/calibre/ebooks/metadata/aut
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/ebooks/metadata/book/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/book/__init__.py b/src/calibre/ebooks/metadata/book/__init__.py
+index 84e8039ab5..59aedfd267 100644
 --- a/src/calibre/ebooks/metadata/book/__init__.py
 +++ b/src/calibre/ebooks/metadata/book/__init__.py
 @@ -1,4 +1,4 @@
@@ -9267,8 +9268,8 @@ Index: b/src/calibre/ebooks/metadata/boo
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/book/base.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/book/base.py b/src/calibre/ebooks/metadata/book/base.py
+index b8f85dc05b..8908cae003 100644
 --- a/src/calibre/ebooks/metadata/book/base.py
 +++ b/src/calibre/ebooks/metadata/book/base.py
 @@ -1,4 +1,4 @@
@@ -9277,8 +9278,8 @@ Index: b/src/calibre/ebooks/metadata/boo
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/book/formatter.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/book/formatter.py b/src/calibre/ebooks/metadata/book/formatter.py
+index 6d504124ed..17fe32ddc0 100644
 --- a/src/calibre/ebooks/metadata/book/formatter.py
 +++ b/src/calibre/ebooks/metadata/book/formatter.py
 @@ -1,4 +1,4 @@
@@ -9287,8 +9288,8 @@ Index: b/src/calibre/ebooks/metadata/boo
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/book/render.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/book/render.py b/src/calibre/ebooks/metadata/book/render.py
+index c796bbb4a4..3dd6d72ce3 100644
 --- a/src/calibre/ebooks/metadata/book/render.py
 +++ b/src/calibre/ebooks/metadata/book/render.py
 @@ -1,4 +1,4 @@
@@ -9297,8 +9298,8 @@ Index: b/src/calibre/ebooks/metadata/boo
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/book/serialize.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/book/serialize.py b/src/calibre/ebooks/metadata/book/serialize.py
+index f5dbfe257c..41f4caf7bf 100644
 --- a/src/calibre/ebooks/metadata/book/serialize.py
 +++ b/src/calibre/ebooks/metadata/book/serialize.py
 @@ -1,4 +1,4 @@
@@ -9307,8 +9308,8 @@ Index: b/src/calibre/ebooks/metadata/boo
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/metadata/docx.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/docx.py b/src/calibre/ebooks/metadata/docx.py
+index 7abd0ce9ad..054f774d48 100644
 --- a/src/calibre/ebooks/metadata/docx.py
 +++ b/src/calibre/ebooks/metadata/docx.py
 @@ -1,4 +1,4 @@
@@ -9317,8 +9318,8 @@ Index: b/src/calibre/ebooks/metadata/doc
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/epub.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/epub.py b/src/calibre/ebooks/metadata/epub.py
+index b554db6bf7..c23ee7e028 100644
 --- a/src/calibre/ebooks/metadata/epub.py
 +++ b/src/calibre/ebooks/metadata/epub.py
 @@ -1,4 +1,4 @@
@@ -9327,8 +9328,8 @@ Index: b/src/calibre/ebooks/metadata/epu
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/metadata/fb2.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/fb2.py b/src/calibre/ebooks/metadata/fb2.py
+index 229c0b0e92..4473c87e96 100644
 --- a/src/calibre/ebooks/metadata/fb2.py
 +++ b/src/calibre/ebooks/metadata/fb2.py
 @@ -1,4 +1,4 @@
@@ -9337,8 +9338,8 @@ Index: b/src/calibre/ebooks/metadata/fb2
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/html.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/html.py b/src/calibre/ebooks/metadata/html.py
+index 48408bc3a8..1ebcf76d32 100644
 --- a/src/calibre/ebooks/metadata/html.py
 +++ b/src/calibre/ebooks/metadata/html.py
 @@ -1,4 +1,4 @@
@@ -9347,8 +9348,8 @@ Index: b/src/calibre/ebooks/metadata/htm
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/kdl.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/kdl.py b/src/calibre/ebooks/metadata/kdl.py
+index 8d023f1326..33362a9c68 100644
 --- a/src/calibre/ebooks/metadata/kdl.py
 +++ b/src/calibre/ebooks/metadata/kdl.py
 @@ -1,4 +1,4 @@
@@ -9357,8 +9358,8 @@ Index: b/src/calibre/ebooks/metadata/kdl
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/kfx.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/kfx.py b/src/calibre/ebooks/metadata/kfx.py
+index d927a9469d..46472d6f54 100644
 --- a/src/calibre/ebooks/metadata/kfx.py
 +++ b/src/calibre/ebooks/metadata/kfx.py
 @@ -1,4 +1,4 @@
@@ -9367,8 +9368,8 @@ Index: b/src/calibre/ebooks/metadata/kfx
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>, John Howell <jhowell@acm.org>'
  
-Index: b/src/calibre/ebooks/metadata/lrx.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/lrx.py b/src/calibre/ebooks/metadata/lrx.py
+index 5dc4b742d7..0e0f900507 100644
 --- a/src/calibre/ebooks/metadata/lrx.py
 +++ b/src/calibre/ebooks/metadata/lrx.py
 @@ -1,4 +1,4 @@
@@ -9377,8 +9378,8 @@ Index: b/src/calibre/ebooks/metadata/lrx
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/metadata/mobi.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/mobi.py b/src/calibre/ebooks/metadata/mobi.py
+index c419695520..407aadf33f 100644
 --- a/src/calibre/ebooks/metadata/mobi.py
 +++ b/src/calibre/ebooks/metadata/mobi.py
 @@ -1,4 +1,4 @@
@@ -9387,8 +9388,8 @@ Index: b/src/calibre/ebooks/metadata/mob
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2009, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/ebooks/metadata/odt.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/odt.py b/src/calibre/ebooks/metadata/odt.py
+index 71258d6858..a9adb766b0 100644
 --- a/src/calibre/ebooks/metadata/odt.py
 +++ b/src/calibre/ebooks/metadata/odt.py
 @@ -1,4 +1,4 @@
@@ -9397,8 +9398,8 @@ Index: b/src/calibre/ebooks/metadata/odt
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  #
  # Copyright (C) 2006 Søren Roug, European Environment Agency
-Index: b/src/calibre/ebooks/metadata/opf.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/opf.py b/src/calibre/ebooks/metadata/opf.py
+index 53fec9359f..0cd6c68b13 100644
 --- a/src/calibre/ebooks/metadata/opf.py
 +++ b/src/calibre/ebooks/metadata/opf.py
 @@ -1,4 +1,4 @@
@@ -9407,8 +9408,8 @@ Index: b/src/calibre/ebooks/metadata/opf
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/metadata/opf2.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/opf2.py b/src/calibre/ebooks/metadata/opf2.py
+index 9aeee85ed7..70dfd4af12 100644
 --- a/src/calibre/ebooks/metadata/opf2.py
 +++ b/src/calibre/ebooks/metadata/opf2.py
 @@ -1,4 +1,4 @@
@@ -9417,8 +9418,8 @@ Index: b/src/calibre/ebooks/metadata/opf
  from __future__ import print_function, unicode_literals, absolute_import, division
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/ebooks/metadata/opf3.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/opf3.py b/src/calibre/ebooks/metadata/opf3.py
+index 509f45b669..baed7232d9 100644
 --- a/src/calibre/ebooks/metadata/opf3.py
 +++ b/src/calibre/ebooks/metadata/opf3.py
 @@ -1,4 +1,4 @@
@@ -9427,8 +9428,8 @@ Index: b/src/calibre/ebooks/metadata/opf
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/metadata/opf3_test.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/opf3_test.py b/src/calibre/ebooks/metadata/opf3_test.py
+index 8b98c1235e..de5c509904 100644
 --- a/src/calibre/ebooks/metadata/opf3_test.py
 +++ b/src/calibre/ebooks/metadata/opf3_test.py
 @@ -1,4 +1,4 @@
@@ -9437,8 +9438,8 @@ Index: b/src/calibre/ebooks/metadata/opf
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/metadata/opf_2_to_3.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/opf_2_to_3.py b/src/calibre/ebooks/metadata/opf_2_to_3.py
+index 42207989c1..26c4002404 100644
 --- a/src/calibre/ebooks/metadata/opf_2_to_3.py
 +++ b/src/calibre/ebooks/metadata/opf_2_to_3.py
 @@ -1,4 +1,4 @@
@@ -9447,8 +9448,8 @@ Index: b/src/calibre/ebooks/metadata/opf
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/metadata/rar.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/rar.py b/src/calibre/ebooks/metadata/rar.py
+index e21a1cf7fe..b770f0d423 100644
 --- a/src/calibre/ebooks/metadata/rar.py
 +++ b/src/calibre/ebooks/metadata/rar.py
 @@ -1,4 +1,4 @@
@@ -9457,8 +9458,8 @@ Index: b/src/calibre/ebooks/metadata/rar
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/metadata/rtf.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/rtf.py b/src/calibre/ebooks/metadata/rtf.py
+index d208436256..e62fc293e2 100644
 --- a/src/calibre/ebooks/metadata/rtf.py
 +++ b/src/calibre/ebooks/metadata/rtf.py
 @@ -1,4 +1,4 @@
@@ -9467,8 +9468,8 @@ Index: b/src/calibre/ebooks/metadata/rtf
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2008, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/metadata/search_internet.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/search_internet.py b/src/calibre/ebooks/metadata/search_internet.py
+index bb962e83eb..48dcbe908c 100644
 --- a/src/calibre/ebooks/metadata/search_internet.py
 +++ b/src/calibre/ebooks/metadata/search_internet.py
 @@ -1,4 +1,4 @@
@@ -9477,8 +9478,8 @@ Index: b/src/calibre/ebooks/metadata/sea
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/metadata/sources/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/__init__.py b/src/calibre/ebooks/metadata/sources/__init__.py
+index 0f9dc4e7f8..c63cb57432 100644
 --- a/src/calibre/ebooks/metadata/sources/__init__.py
 +++ b/src/calibre/ebooks/metadata/sources/__init__.py
 @@ -1,4 +1,4 @@
@@ -9487,8 +9488,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/sources/amazon.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/amazon.py b/src/calibre/ebooks/metadata/sources/amazon.py
+index a26a07d0a2..71b18ae5ae 100644
 --- a/src/calibre/ebooks/metadata/sources/amazon.py
 +++ b/src/calibre/ebooks/metadata/sources/amazon.py
 @@ -1,4 +1,4 @@
@@ -9497,8 +9498,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2011, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/ebooks/metadata/sources/base.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/base.py b/src/calibre/ebooks/metadata/sources/base.py
+index 1078fc1499..4037f7f2fd 100644
 --- a/src/calibre/ebooks/metadata/sources/base.py
 +++ b/src/calibre/ebooks/metadata/sources/base.py
 @@ -1,4 +1,4 @@
@@ -9507,8 +9508,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/sources/big_book_search.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/big_book_search.py b/src/calibre/ebooks/metadata/sources/big_book_search.py
+index 2c0b4d2eb9..0f629a6428 100644
 --- a/src/calibre/ebooks/metadata/sources/big_book_search.py
 +++ b/src/calibre/ebooks/metadata/sources/big_book_search.py
 @@ -1,4 +1,4 @@
@@ -9517,8 +9518,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=UTF-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/sources/cli.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/cli.py b/src/calibre/ebooks/metadata/sources/cli.py
+index 57fc7375d5..207cd273cc 100644
 --- a/src/calibre/ebooks/metadata/sources/cli.py
 +++ b/src/calibre/ebooks/metadata/sources/cli.py
 @@ -1,4 +1,4 @@
@@ -9527,8 +9528,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/sources/covers.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/covers.py b/src/calibre/ebooks/metadata/sources/covers.py
+index 64708cb0ba..c4336a6228 100644
 --- a/src/calibre/ebooks/metadata/sources/covers.py
 +++ b/src/calibre/ebooks/metadata/sources/covers.py
 @@ -1,4 +1,4 @@
@@ -9537,8 +9538,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/sources/douban.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/douban.py b/src/calibre/ebooks/metadata/sources/douban.py
+index c77bdb8dc7..82d06e12dd 100644
 --- a/src/calibre/ebooks/metadata/sources/douban.py
 +++ b/src/calibre/ebooks/metadata/sources/douban.py
 @@ -1,4 +1,4 @@
@@ -9547,8 +9548,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/ebooks/metadata/sources/edelweiss.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/edelweiss.py b/src/calibre/ebooks/metadata/sources/edelweiss.py
+index 8909491132..0d0501daf4 100644
 --- a/src/calibre/ebooks/metadata/sources/edelweiss.py
 +++ b/src/calibre/ebooks/metadata/sources/edelweiss.py
 @@ -1,4 +1,4 @@
@@ -9557,8 +9558,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/sources/google.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/google.py b/src/calibre/ebooks/metadata/sources/google.py
+index 7e19add00f..fda532e1cd 100644
 --- a/src/calibre/ebooks/metadata/sources/google.py
 +++ b/src/calibre/ebooks/metadata/sources/google.py
 @@ -1,4 +1,4 @@
@@ -9567,8 +9568,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2011, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/ebooks/metadata/sources/google_images.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/google_images.py b/src/calibre/ebooks/metadata/sources/google_images.py
+index 2e1c2b8593..66e661a353 100644
 --- a/src/calibre/ebooks/metadata/sources/google_images.py
 +++ b/src/calibre/ebooks/metadata/sources/google_images.py
 @@ -1,4 +1,4 @@
@@ -9577,8 +9578,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=UTF-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/sources/identify.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/identify.py b/src/calibre/ebooks/metadata/sources/identify.py
+index 6d5e835d2a..06b7e0bb7f 100644
 --- a/src/calibre/ebooks/metadata/sources/identify.py
 +++ b/src/calibre/ebooks/metadata/sources/identify.py
 @@ -1,4 +1,4 @@
@@ -9587,8 +9588,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/sources/openlibrary.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/openlibrary.py b/src/calibre/ebooks/metadata/sources/openlibrary.py
+index 52a9d68d6d..2990cc58f9 100644
 --- a/src/calibre/ebooks/metadata/sources/openlibrary.py
 +++ b/src/calibre/ebooks/metadata/sources/openlibrary.py
 @@ -1,4 +1,4 @@
@@ -9597,8 +9598,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/sources/overdrive.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/overdrive.py b/src/calibre/ebooks/metadata/sources/overdrive.py
+index 18aa6b03bd..5a02738dd6 100644
 --- a/src/calibre/ebooks/metadata/sources/overdrive.py
 +++ b/src/calibre/ebooks/metadata/sources/overdrive.py
 @@ -1,4 +1,4 @@
@@ -9607,8 +9608,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/metadata/sources/ozon.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/ozon.py b/src/calibre/ebooks/metadata/sources/ozon.py
+index 206e48ed69..9513a9af10 100644
 --- a/src/calibre/ebooks/metadata/sources/ozon.py
 +++ b/src/calibre/ebooks/metadata/sources/ozon.py
 @@ -1,4 +1,4 @@
@@ -9617,8 +9618,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # -*- coding: utf-8 -*-
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/ebooks/metadata/sources/prefs.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/prefs.py b/src/calibre/ebooks/metadata/sources/prefs.py
+index 6f5557f637..5725a87d8c 100644
 --- a/src/calibre/ebooks/metadata/sources/prefs.py
 +++ b/src/calibre/ebooks/metadata/sources/prefs.py
 @@ -1,4 +1,4 @@
@@ -9627,8 +9628,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/sources/search_engines.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/search_engines.py b/src/calibre/ebooks/metadata/sources/search_engines.py
+index be700cc2d8..aa8dadada2 100644
 --- a/src/calibre/ebooks/metadata/sources/search_engines.py
 +++ b/src/calibre/ebooks/metadata/sources/search_engines.py
 @@ -1,4 +1,4 @@
@@ -9637,8 +9638,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/metadata/sources/test.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/test.py b/src/calibre/ebooks/metadata/sources/test.py
+index f2fd1fc376..695a446730 100644
 --- a/src/calibre/ebooks/metadata/sources/test.py
 +++ b/src/calibre/ebooks/metadata/sources/test.py
 @@ -1,4 +1,4 @@
@@ -9647,8 +9648,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/sources/update.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/update.py b/src/calibre/ebooks/metadata/sources/update.py
+index 5088588647..0f13c9add2 100644
 --- a/src/calibre/ebooks/metadata/sources/update.py
 +++ b/src/calibre/ebooks/metadata/sources/update.py
 @@ -1,4 +1,4 @@
@@ -9657,8 +9658,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/metadata/sources/worker.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/sources/worker.py b/src/calibre/ebooks/metadata/sources/worker.py
+index cbfad164e0..f587812254 100644
 --- a/src/calibre/ebooks/metadata/sources/worker.py
 +++ b/src/calibre/ebooks/metadata/sources/worker.py
 @@ -1,4 +1,4 @@
@@ -9667,8 +9668,8 @@ Index: b/src/calibre/ebooks/metadata/sou
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2012, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/ebooks/metadata/tag_mapper.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/tag_mapper.py b/src/calibre/ebooks/metadata/tag_mapper.py
+index b1a03b0a41..808289efae 100644
 --- a/src/calibre/ebooks/metadata/tag_mapper.py
 +++ b/src/calibre/ebooks/metadata/tag_mapper.py
 @@ -1,4 +1,4 @@
@@ -9677,8 +9678,8 @@ Index: b/src/calibre/ebooks/metadata/tag
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/ebooks/metadata/toc.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/toc.py b/src/calibre/ebooks/metadata/toc.py
+index 3803120e4e..b04368a1d9 100644
 --- a/src/calibre/ebooks/metadata/toc.py
 +++ b/src/calibre/ebooks/metadata/toc.py
 @@ -1,4 +1,4 @@
@@ -9687,8 +9688,8 @@ Index: b/src/calibre/ebooks/metadata/toc
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/metadata/utils.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/utils.py b/src/calibre/ebooks/metadata/utils.py
+index ceee75dd70..4f7e89d363 100644
 --- a/src/calibre/ebooks/metadata/utils.py
 +++ b/src/calibre/ebooks/metadata/utils.py
 @@ -1,4 +1,4 @@
@@ -9697,8 +9698,8 @@ Index: b/src/calibre/ebooks/metadata/uti
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/metadata/worker.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/worker.py b/src/calibre/ebooks/metadata/worker.py
+index 37b2d8e807..8b58325cbf 100644
 --- a/src/calibre/ebooks/metadata/worker.py
 +++ b/src/calibre/ebooks/metadata/worker.py
 @@ -1,4 +1,4 @@
@@ -9707,8 +9708,8 @@ Index: b/src/calibre/ebooks/metadata/wor
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/xisbn.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/xisbn.py b/src/calibre/ebooks/metadata/xisbn.py
+index 0e0c72a59a..2e2095a6fc 100644
 --- a/src/calibre/ebooks/metadata/xisbn.py
 +++ b/src/calibre/ebooks/metadata/xisbn.py
 @@ -1,4 +1,4 @@
@@ -9717,8 +9718,8 @@ Index: b/src/calibre/ebooks/metadata/xis
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/metadata/xmp.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/xmp.py b/src/calibre/ebooks/metadata/xmp.py
+index 2cc1a5d271..72c5b9a7d6 100644
 --- a/src/calibre/ebooks/metadata/xmp.py
 +++ b/src/calibre/ebooks/metadata/xmp.py
 @@ -1,4 +1,4 @@
@@ -9727,8 +9728,8 @@ Index: b/src/calibre/ebooks/metadata/xmp
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/__init__.py b/src/calibre/ebooks/mobi/__init__.py
+index bea6a1736c..429c2be583 100644
 --- a/src/calibre/ebooks/mobi/__init__.py
 +++ b/src/calibre/ebooks/mobi/__init__.py
 @@ -1,4 +1,4 @@
@@ -9737,8 +9738,8 @@ Index: b/src/calibre/ebooks/mobi/__init_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/debug/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/debug/__init__.py b/src/calibre/ebooks/mobi/debug/__init__.py
+index 1cfaf508b2..5643be08b8 100644
 --- a/src/calibre/ebooks/mobi/debug/__init__.py
 +++ b/src/calibre/ebooks/mobi/debug/__init__.py
 @@ -1,4 +1,4 @@
@@ -9747,8 +9748,8 @@ Index: b/src/calibre/ebooks/mobi/debug/_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/debug/containers.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/debug/containers.py b/src/calibre/ebooks/mobi/debug/containers.py
+index bfd3d2cc42..f1e01cd4e0 100644
 --- a/src/calibre/ebooks/mobi/debug/containers.py
 +++ b/src/calibre/ebooks/mobi/debug/containers.py
 @@ -1,4 +1,4 @@
@@ -9757,8 +9758,8 @@ Index: b/src/calibre/ebooks/mobi/debug/c
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/debug/headers.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/debug/headers.py b/src/calibre/ebooks/mobi/debug/headers.py
+index ef4fe8f6eb..7cc39aa943 100644
 --- a/src/calibre/ebooks/mobi/debug/headers.py
 +++ b/src/calibre/ebooks/mobi/debug/headers.py
 @@ -1,4 +1,4 @@
@@ -9767,8 +9768,8 @@ Index: b/src/calibre/ebooks/mobi/debug/h
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/debug/index.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/debug/index.py b/src/calibre/ebooks/mobi/debug/index.py
+index 56fc2eb22b..c9c320de46 100644
 --- a/src/calibre/ebooks/mobi/debug/index.py
 +++ b/src/calibre/ebooks/mobi/debug/index.py
 @@ -1,4 +1,4 @@
@@ -9777,8 +9778,8 @@ Index: b/src/calibre/ebooks/mobi/debug/i
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/debug/main.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/debug/main.py b/src/calibre/ebooks/mobi/debug/main.py
+index 187e550871..d82240d104 100644
 --- a/src/calibre/ebooks/mobi/debug/main.py
 +++ b/src/calibre/ebooks/mobi/debug/main.py
 @@ -1,4 +1,4 @@
@@ -9787,8 +9788,8 @@ Index: b/src/calibre/ebooks/mobi/debug/m
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/debug/mobi6.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/debug/mobi6.py b/src/calibre/ebooks/mobi/debug/mobi6.py
+index e70459c356..c8958f4ebd 100644
 --- a/src/calibre/ebooks/mobi/debug/mobi6.py
 +++ b/src/calibre/ebooks/mobi/debug/mobi6.py
 @@ -1,4 +1,4 @@
@@ -9797,8 +9798,8 @@ Index: b/src/calibre/ebooks/mobi/debug/m
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/debug/mobi8.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/debug/mobi8.py b/src/calibre/ebooks/mobi/debug/mobi8.py
+index 9cdf388819..0cccbc3552 100644
 --- a/src/calibre/ebooks/mobi/debug/mobi8.py
 +++ b/src/calibre/ebooks/mobi/debug/mobi8.py
 @@ -1,4 +1,4 @@
@@ -9807,8 +9808,8 @@ Index: b/src/calibre/ebooks/mobi/debug/m
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/huffcdic.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/huffcdic.py b/src/calibre/ebooks/mobi/huffcdic.py
+index 3424eb5426..b69e4ec1cf 100644
 --- a/src/calibre/ebooks/mobi/huffcdic.py
 +++ b/src/calibre/ebooks/mobi/huffcdic.py
 @@ -1,4 +1,4 @@
@@ -9817,8 +9818,8 @@ Index: b/src/calibre/ebooks/mobi/huffcdi
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/langcodes.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/langcodes.py b/src/calibre/ebooks/mobi/langcodes.py
+index be34fc1384..5505504a9f 100644
 --- a/src/calibre/ebooks/mobi/langcodes.py
 +++ b/src/calibre/ebooks/mobi/langcodes.py
 @@ -1,4 +1,4 @@
@@ -9827,8 +9828,8 @@ Index: b/src/calibre/ebooks/mobi/langcod
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/mobi/reader/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/__init__.py b/src/calibre/ebooks/mobi/reader/__init__.py
+index 357137fa39..5f6c324bfc 100644
 --- a/src/calibre/ebooks/mobi/reader/__init__.py
 +++ b/src/calibre/ebooks/mobi/reader/__init__.py
 @@ -1,4 +1,4 @@
@@ -9837,8 +9838,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/reader/containers.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/containers.py b/src/calibre/ebooks/mobi/reader/containers.py
+index 336ca5fe4e..614553ba8c 100644
 --- a/src/calibre/ebooks/mobi/reader/containers.py
 +++ b/src/calibre/ebooks/mobi/reader/containers.py
 @@ -1,4 +1,4 @@
@@ -9847,8 +9848,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/reader/headers.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/headers.py b/src/calibre/ebooks/mobi/reader/headers.py
+index 63a3231750..dcd2f384a1 100644
 --- a/src/calibre/ebooks/mobi/reader/headers.py
 +++ b/src/calibre/ebooks/mobi/reader/headers.py
 @@ -1,4 +1,4 @@
@@ -9857,8 +9858,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/reader/index.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/index.py b/src/calibre/ebooks/mobi/reader/index.py
+index 78c5c9acfc..4623958667 100644
 --- a/src/calibre/ebooks/mobi/reader/index.py
 +++ b/src/calibre/ebooks/mobi/reader/index.py
 @@ -1,4 +1,4 @@
@@ -9867,8 +9868,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/reader/markup.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/markup.py b/src/calibre/ebooks/mobi/reader/markup.py
+index 097d66fa9e..099027fe61 100644
 --- a/src/calibre/ebooks/mobi/reader/markup.py
 +++ b/src/calibre/ebooks/mobi/reader/markup.py
 @@ -1,4 +1,4 @@
@@ -9877,8 +9878,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/reader/mobi6.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/mobi6.py b/src/calibre/ebooks/mobi/reader/mobi6.py
+index ebd54e326e..add06c7fb4 100644
 --- a/src/calibre/ebooks/mobi/reader/mobi6.py
 +++ b/src/calibre/ebooks/mobi/reader/mobi6.py
 @@ -1,4 +1,4 @@
@@ -9887,8 +9888,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/reader/mobi8.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/mobi8.py b/src/calibre/ebooks/mobi/reader/mobi8.py
+index 0d037200bf..8d3dfbbbfa 100644
 --- a/src/calibre/ebooks/mobi/reader/mobi8.py
 +++ b/src/calibre/ebooks/mobi/reader/mobi8.py
 @@ -1,4 +1,4 @@
@@ -9897,8 +9898,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/reader/ncx.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/ncx.py b/src/calibre/ebooks/mobi/reader/ncx.py
+index 6f49e1c651..132d7eadd7 100644
 --- a/src/calibre/ebooks/mobi/reader/ncx.py
 +++ b/src/calibre/ebooks/mobi/reader/ncx.py
 @@ -1,4 +1,4 @@
@@ -9907,8 +9908,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/tweak.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/tweak.py b/src/calibre/ebooks/mobi/tweak.py
+index 82ee5f5d2e..6c213cfd5c 100644
 --- a/src/calibre/ebooks/mobi/tweak.py
 +++ b/src/calibre/ebooks/mobi/tweak.py
 @@ -1,4 +1,4 @@
@@ -9917,8 +9918,8 @@ Index: b/src/calibre/ebooks/mobi/tweak.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/utils.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/utils.py b/src/calibre/ebooks/mobi/utils.py
+index 0121777702..b64b16ded0 100644
 --- a/src/calibre/ebooks/mobi/utils.py
 +++ b/src/calibre/ebooks/mobi/utils.py
 @@ -1,4 +1,4 @@
@@ -9927,8 +9928,8 @@ Index: b/src/calibre/ebooks/mobi/utils.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/writer2/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer2/__init__.py b/src/calibre/ebooks/mobi/writer2/__init__.py
+index 3a2b08b832..cdbcb90597 100644
 --- a/src/calibre/ebooks/mobi/writer2/__init__.py
 +++ b/src/calibre/ebooks/mobi/writer2/__init__.py
 @@ -1,4 +1,4 @@
@@ -9937,8 +9938,8 @@ Index: b/src/calibre/ebooks/mobi/writer2
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/writer2/indexer.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer2/indexer.py b/src/calibre/ebooks/mobi/writer2/indexer.py
+index c5c9d81d3e..d8135a7041 100644
 --- a/src/calibre/ebooks/mobi/writer2/indexer.py
 +++ b/src/calibre/ebooks/mobi/writer2/indexer.py
 @@ -1,4 +1,4 @@
@@ -9947,8 +9948,8 @@ Index: b/src/calibre/ebooks/mobi/writer2
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/writer2/main.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer2/main.py b/src/calibre/ebooks/mobi/writer2/main.py
+index 884628d349..9b90db03f6 100644
 --- a/src/calibre/ebooks/mobi/writer2/main.py
 +++ b/src/calibre/ebooks/mobi/writer2/main.py
 @@ -1,4 +1,4 @@
@@ -9957,8 +9958,8 @@ Index: b/src/calibre/ebooks/mobi/writer2
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/writer2/resources.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer2/resources.py b/src/calibre/ebooks/mobi/writer2/resources.py
+index 7db0fe342b..fc34e4efd8 100644
 --- a/src/calibre/ebooks/mobi/writer2/resources.py
 +++ b/src/calibre/ebooks/mobi/writer2/resources.py
 @@ -1,4 +1,4 @@
@@ -9967,8 +9968,8 @@ Index: b/src/calibre/ebooks/mobi/writer2
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/writer2/serializer.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer2/serializer.py b/src/calibre/ebooks/mobi/writer2/serializer.py
+index 756d2d7c6e..0ba8d1ca5c 100644
 --- a/src/calibre/ebooks/mobi/writer2/serializer.py
 +++ b/src/calibre/ebooks/mobi/writer2/serializer.py
 @@ -1,4 +1,4 @@
@@ -9977,8 +9978,8 @@ Index: b/src/calibre/ebooks/mobi/writer2
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/writer8/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/__init__.py b/src/calibre/ebooks/mobi/writer8/__init__.py
+index 357137fa39..5f6c324bfc 100644
 --- a/src/calibre/ebooks/mobi/writer8/__init__.py
 +++ b/src/calibre/ebooks/mobi/writer8/__init__.py
 @@ -1,4 +1,4 @@
@@ -9987,8 +9988,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/writer8/cleanup.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/cleanup.py b/src/calibre/ebooks/mobi/writer8/cleanup.py
+index 9483eea58d..3a4c63bb5a 100644
 --- a/src/calibre/ebooks/mobi/writer8/cleanup.py
 +++ b/src/calibre/ebooks/mobi/writer8/cleanup.py
 @@ -1,4 +1,4 @@
@@ -9997,8 +9998,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/writer8/exth.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/exth.py b/src/calibre/ebooks/mobi/writer8/exth.py
+index d997b3ae29..337f0d02d2 100644
 --- a/src/calibre/ebooks/mobi/writer8/exth.py
 +++ b/src/calibre/ebooks/mobi/writer8/exth.py
 @@ -1,4 +1,4 @@
@@ -10007,8 +10008,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/writer8/header.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/header.py b/src/calibre/ebooks/mobi/writer8/header.py
+index adee78f662..53c26cf3f3 100644
 --- a/src/calibre/ebooks/mobi/writer8/header.py
 +++ b/src/calibre/ebooks/mobi/writer8/header.py
 @@ -1,4 +1,4 @@
@@ -10017,8 +10018,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/writer8/index.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/index.py b/src/calibre/ebooks/mobi/writer8/index.py
+index 2b390a2593..26d999eb49 100644
 --- a/src/calibre/ebooks/mobi/writer8/index.py
 +++ b/src/calibre/ebooks/mobi/writer8/index.py
 @@ -1,4 +1,4 @@
@@ -10027,8 +10028,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  from polyglot.builtins import map
-Index: b/src/calibre/ebooks/mobi/writer8/main.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/main.py b/src/calibre/ebooks/mobi/writer8/main.py
+index 4253c060f8..827c57c52d 100644
 --- a/src/calibre/ebooks/mobi/writer8/main.py
 +++ b/src/calibre/ebooks/mobi/writer8/main.py
 @@ -1,4 +1,4 @@
@@ -10037,8 +10038,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/writer8/mobi.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/mobi.py b/src/calibre/ebooks/mobi/writer8/mobi.py
+index da589456af..1ebbe4fedc 100644
 --- a/src/calibre/ebooks/mobi/writer8/mobi.py
 +++ b/src/calibre/ebooks/mobi/writer8/mobi.py
 @@ -1,4 +1,4 @@
@@ -10047,8 +10048,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/writer8/skeleton.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/skeleton.py b/src/calibre/ebooks/mobi/writer8/skeleton.py
+index 286083331c..cb5610a3c9 100644
 --- a/src/calibre/ebooks/mobi/writer8/skeleton.py
 +++ b/src/calibre/ebooks/mobi/writer8/skeleton.py
 @@ -1,4 +1,4 @@
@@ -10057,8 +10058,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/writer8/tbs.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/tbs.py b/src/calibre/ebooks/mobi/writer8/tbs.py
+index c368252aa9..c618d43c67 100644
 --- a/src/calibre/ebooks/mobi/writer8/tbs.py
 +++ b/src/calibre/ebooks/mobi/writer8/tbs.py
 @@ -1,4 +1,4 @@
@@ -10067,8 +10068,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/mobi/writer8/toc.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/toc.py b/src/calibre/ebooks/mobi/writer8/toc.py
+index 81246cf586..50218fdbaf 100644
 --- a/src/calibre/ebooks/mobi/writer8/toc.py
 +++ b/src/calibre/ebooks/mobi/writer8/toc.py
 @@ -1,4 +1,4 @@
@@ -10077,8 +10078,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/odt/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/odt/__init__.py b/src/calibre/ebooks/odt/__init__.py
+index 8a2513c8cc..08118467a1 100644
 --- a/src/calibre/ebooks/odt/__init__.py
 +++ b/src/calibre/ebooks/odt/__init__.py
 @@ -1,4 +1,4 @@
@@ -10087,8 +10088,8 @@ Index: b/src/calibre/ebooks/odt/__init__
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/oeb/display/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/display/__init__.py b/src/calibre/ebooks/oeb/display/__init__.py
+index 357137fa39..5f6c324bfc 100644
 --- a/src/calibre/ebooks/oeb/display/__init__.py
 +++ b/src/calibre/ebooks/oeb/display/__init__.py
 @@ -1,4 +1,4 @@
@@ -10097,8 +10098,8 @@ Index: b/src/calibre/ebooks/oeb/display/
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/display/webview.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/display/webview.py b/src/calibre/ebooks/oeb/display/webview.py
+index 8b105303ec..6255d82459 100644
 --- a/src/calibre/ebooks/oeb/display/webview.py
 +++ b/src/calibre/ebooks/oeb/display/webview.py
 @@ -1,4 +1,4 @@
@@ -10107,8 +10108,8 @@ Index: b/src/calibre/ebooks/oeb/display/
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/iterator/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/iterator/__init__.py b/src/calibre/ebooks/oeb/iterator/__init__.py
+index e752f48fc2..a7aaee54d8 100644
 --- a/src/calibre/ebooks/oeb/iterator/__init__.py
 +++ b/src/calibre/ebooks/oeb/iterator/__init__.py
 @@ -1,4 +1,4 @@
@@ -10117,8 +10118,8 @@ Index: b/src/calibre/ebooks/oeb/iterator
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/iterator/book.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/iterator/book.py b/src/calibre/ebooks/oeb/iterator/book.py
+index 96d724ceef..a3bd54c67d 100644
 --- a/src/calibre/ebooks/oeb/iterator/book.py
 +++ b/src/calibre/ebooks/oeb/iterator/book.py
 @@ -1,4 +1,4 @@
@@ -10127,8 +10128,8 @@ Index: b/src/calibre/ebooks/oeb/iterator
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/iterator/bookmarks.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/iterator/bookmarks.py b/src/calibre/ebooks/oeb/iterator/bookmarks.py
+index 12a9e26e2f..7e69497012 100644
 --- a/src/calibre/ebooks/oeb/iterator/bookmarks.py
 +++ b/src/calibre/ebooks/oeb/iterator/bookmarks.py
 @@ -1,4 +1,4 @@
@@ -10137,8 +10138,8 @@ Index: b/src/calibre/ebooks/oeb/iterator
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/iterator/spine.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/iterator/spine.py b/src/calibre/ebooks/oeb/iterator/spine.py
+index b701cc95b4..fb1e0c096b 100644
 --- a/src/calibre/ebooks/oeb/iterator/spine.py
 +++ b/src/calibre/ebooks/oeb/iterator/spine.py
 @@ -1,4 +1,4 @@
@@ -10147,8 +10148,8 @@ Index: b/src/calibre/ebooks/oeb/iterator
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  from polyglot.builtins import map, unicode_type
-Index: b/src/calibre/ebooks/oeb/normalize_css.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/normalize_css.py b/src/calibre/ebooks/oeb/normalize_css.py
+index c550bd42e9..cdbae020f3 100644
 --- a/src/calibre/ebooks/oeb/normalize_css.py
 +++ b/src/calibre/ebooks/oeb/normalize_css.py
 @@ -1,4 +1,4 @@
@@ -10157,8 +10158,8 @@ Index: b/src/calibre/ebooks/oeb/normaliz
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/parse_utils.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/parse_utils.py b/src/calibre/ebooks/oeb/parse_utils.py
+index 0db0bc7b20..4a9726d5dd 100644
 --- a/src/calibre/ebooks/oeb/parse_utils.py
 +++ b/src/calibre/ebooks/oeb/parse_utils.py
 @@ -1,4 +1,4 @@
@@ -10167,8 +10168,8 @@ Index: b/src/calibre/ebooks/oeb/parse_ut
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/__init__.py b/src/calibre/ebooks/oeb/polish/__init__.py
+index 64be92cd03..d26359eab9 100644
 --- a/src/calibre/ebooks/oeb/polish/__init__.py
 +++ b/src/calibre/ebooks/oeb/polish/__init__.py
 @@ -1,4 +1,4 @@
@@ -10177,8 +10178,8 @@ Index: b/src/calibre/ebooks/oeb/polish/_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/cascade.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/cascade.py b/src/calibre/ebooks/oeb/polish/cascade.py
+index ebc1a60bf4..d40fd07430 100644
 --- a/src/calibre/ebooks/oeb/polish/cascade.py
 +++ b/src/calibre/ebooks/oeb/polish/cascade.py
 @@ -1,4 +1,4 @@
@@ -10187,8 +10188,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/oeb/polish/check/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/__init__.py b/src/calibre/ebooks/oeb/polish/check/__init__.py
+index d9dc36506c..69376f9ebd 100644
 --- a/src/calibre/ebooks/oeb/polish/check/__init__.py
 +++ b/src/calibre/ebooks/oeb/polish/check/__init__.py
 @@ -1,4 +1,4 @@
@@ -10197,8 +10198,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/check/base.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/base.py b/src/calibre/ebooks/oeb/polish/check/base.py
+index 4410aeaa7a..db34c95a57 100644
 --- a/src/calibre/ebooks/oeb/polish/check/base.py
 +++ b/src/calibre/ebooks/oeb/polish/check/base.py
 @@ -1,4 +1,4 @@
@@ -10207,8 +10208,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/check/fonts.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/fonts.py b/src/calibre/ebooks/oeb/polish/check/fonts.py
+index 1be1b0f3a7..7fd393183a 100644
 --- a/src/calibre/ebooks/oeb/polish/check/fonts.py
 +++ b/src/calibre/ebooks/oeb/polish/check/fonts.py
 @@ -1,4 +1,4 @@
@@ -10217,8 +10218,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/check/images.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/images.py b/src/calibre/ebooks/oeb/polish/check/images.py
+index eafede376a..4923a23f0e 100644
 --- a/src/calibre/ebooks/oeb/polish/check/images.py
 +++ b/src/calibre/ebooks/oeb/polish/check/images.py
 @@ -1,4 +1,4 @@
@@ -10227,8 +10228,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/check/links.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/links.py b/src/calibre/ebooks/oeb/polish/check/links.py
+index 451574a51e..7627432a78 100644
 --- a/src/calibre/ebooks/oeb/polish/check/links.py
 +++ b/src/calibre/ebooks/oeb/polish/check/links.py
 @@ -1,4 +1,4 @@
@@ -10237,8 +10238,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/check/main.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/main.py b/src/calibre/ebooks/oeb/polish/check/main.py
+index f4715f50dc..241bdfc246 100644
 --- a/src/calibre/ebooks/oeb/polish/check/main.py
 +++ b/src/calibre/ebooks/oeb/polish/check/main.py
 @@ -1,4 +1,4 @@
@@ -10247,8 +10248,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/check/opf.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/opf.py b/src/calibre/ebooks/oeb/polish/check/opf.py
+index d57320c3fd..bb2d00cf96 100644
 --- a/src/calibre/ebooks/oeb/polish/check/opf.py
 +++ b/src/calibre/ebooks/oeb/polish/check/opf.py
 @@ -1,4 +1,4 @@
@@ -10257,8 +10258,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/check/parsing.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/parsing.py b/src/calibre/ebooks/oeb/polish/check/parsing.py
+index 61d82b4b59..f2df70ce3e 100644
 --- a/src/calibre/ebooks/oeb/polish/check/parsing.py
 +++ b/src/calibre/ebooks/oeb/polish/check/parsing.py
 @@ -1,4 +1,4 @@
@@ -10267,8 +10268,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/container.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/container.py b/src/calibre/ebooks/oeb/polish/container.py
+index 652a7c5fd1..b63464d8d4 100644
 --- a/src/calibre/ebooks/oeb/polish/container.py
 +++ b/src/calibre/ebooks/oeb/polish/container.py
 @@ -1,4 +1,4 @@
@@ -10277,8 +10278,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  # License: GPLv3 Copyright: 2013, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/ebooks/oeb/polish/create.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/create.py b/src/calibre/ebooks/oeb/polish/create.py
+index 1028818a56..e10dd2490d 100644
 --- a/src/calibre/ebooks/oeb/polish/create.py
 +++ b/src/calibre/ebooks/oeb/polish/create.py
 @@ -1,4 +1,4 @@
@@ -10287,8 +10288,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/css.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/css.py b/src/calibre/ebooks/oeb/polish/css.py
+index 7c96380c8b..6fb376e97c 100644
 --- a/src/calibre/ebooks/oeb/polish/css.py
 +++ b/src/calibre/ebooks/oeb/polish/css.py
 @@ -1,4 +1,4 @@
@@ -10297,8 +10298,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/download.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/download.py b/src/calibre/ebooks/oeb/polish/download.py
+index b8cf0fc902..794eacbf19 100644
 --- a/src/calibre/ebooks/oeb/polish/download.py
 +++ b/src/calibre/ebooks/oeb/polish/download.py
 @@ -1,4 +1,4 @@
@@ -10307,8 +10308,8 @@ Index: b/src/calibre/ebooks/oeb/polish/d
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/oeb/polish/embed.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/embed.py b/src/calibre/ebooks/oeb/polish/embed.py
+index 9948c6dfea..f24c89155e 100644
 --- a/src/calibre/ebooks/oeb/polish/embed.py
 +++ b/src/calibre/ebooks/oeb/polish/embed.py
 @@ -1,4 +1,4 @@
@@ -10317,8 +10318,8 @@ Index: b/src/calibre/ebooks/oeb/polish/e
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/errors.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/errors.py b/src/calibre/ebooks/oeb/polish/errors.py
+index d3946270aa..52eb164de0 100644
 --- a/src/calibre/ebooks/oeb/polish/errors.py
 +++ b/src/calibre/ebooks/oeb/polish/errors.py
 @@ -1,4 +1,4 @@
@@ -10327,8 +10328,8 @@ Index: b/src/calibre/ebooks/oeb/polish/e
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/fonts.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/fonts.py b/src/calibre/ebooks/oeb/polish/fonts.py
+index 4a5a2e4d69..be381be9fd 100644
 --- a/src/calibre/ebooks/oeb/polish/fonts.py
 +++ b/src/calibre/ebooks/oeb/polish/fonts.py
 @@ -1,4 +1,4 @@
@@ -10337,8 +10338,8 @@ Index: b/src/calibre/ebooks/oeb/polish/f
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/images.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/images.py b/src/calibre/ebooks/oeb/polish/images.py
+index 56cee5b8d3..958c9c4976 100644
 --- a/src/calibre/ebooks/oeb/polish/images.py
 +++ b/src/calibre/ebooks/oeb/polish/images.py
 @@ -1,4 +1,4 @@
@@ -10347,8 +10348,8 @@ Index: b/src/calibre/ebooks/oeb/polish/i
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/oeb/polish/import_book.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/import_book.py b/src/calibre/ebooks/oeb/polish/import_book.py
+index df9e196678..6699a91650 100644
 --- a/src/calibre/ebooks/oeb/polish/import_book.py
 +++ b/src/calibre/ebooks/oeb/polish/import_book.py
 @@ -1,4 +1,4 @@
@@ -10357,8 +10358,8 @@ Index: b/src/calibre/ebooks/oeb/polish/i
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/jacket.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/jacket.py b/src/calibre/ebooks/oeb/polish/jacket.py
+index 9df5669a3d..a43f5dc82c 100644
 --- a/src/calibre/ebooks/oeb/polish/jacket.py
 +++ b/src/calibre/ebooks/oeb/polish/jacket.py
 @@ -1,4 +1,4 @@
@@ -10367,8 +10368,8 @@ Index: b/src/calibre/ebooks/oeb/polish/j
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/main.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/main.py b/src/calibre/ebooks/oeb/polish/main.py
+index 815b114456..452244404d 100644
 --- a/src/calibre/ebooks/oeb/polish/main.py
 +++ b/src/calibre/ebooks/oeb/polish/main.py
 @@ -1,4 +1,4 @@
@@ -10377,8 +10378,8 @@ Index: b/src/calibre/ebooks/oeb/polish/m
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/opf.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/opf.py b/src/calibre/ebooks/oeb/polish/opf.py
+index b5aa6df079..12eba587fc 100644
 --- a/src/calibre/ebooks/oeb/polish/opf.py
 +++ b/src/calibre/ebooks/oeb/polish/opf.py
 @@ -1,4 +1,4 @@
@@ -10387,8 +10388,8 @@ Index: b/src/calibre/ebooks/oeb/polish/o
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/parsing.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/parsing.py b/src/calibre/ebooks/oeb/polish/parsing.py
+index 2d0ee7dde3..66500357c0 100644
 --- a/src/calibre/ebooks/oeb/polish/parsing.py
 +++ b/src/calibre/ebooks/oeb/polish/parsing.py
 @@ -1,4 +1,4 @@
@@ -10397,8 +10398,8 @@ Index: b/src/calibre/ebooks/oeb/polish/p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/pretty.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/pretty.py b/src/calibre/ebooks/oeb/polish/pretty.py
+index e2e55ddc05..b6a195924a 100644
 --- a/src/calibre/ebooks/oeb/polish/pretty.py
 +++ b/src/calibre/ebooks/oeb/polish/pretty.py
 @@ -1,4 +1,4 @@
@@ -10407,8 +10408,8 @@ Index: b/src/calibre/ebooks/oeb/polish/p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/replace.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/replace.py b/src/calibre/ebooks/oeb/polish/replace.py
+index 08fdbaaf0c..86ab5ae2be 100644
 --- a/src/calibre/ebooks/oeb/polish/replace.py
 +++ b/src/calibre/ebooks/oeb/polish/replace.py
 @@ -1,4 +1,4 @@
@@ -10417,8 +10418,8 @@ Index: b/src/calibre/ebooks/oeb/polish/r
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/report.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/report.py b/src/calibre/ebooks/oeb/polish/report.py
+index 8dab7464af..cec2ffb217 100644
 --- a/src/calibre/ebooks/oeb/polish/report.py
 +++ b/src/calibre/ebooks/oeb/polish/report.py
 @@ -1,4 +1,4 @@
@@ -10427,8 +10428,8 @@ Index: b/src/calibre/ebooks/oeb/polish/r
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/spell.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/spell.py b/src/calibre/ebooks/oeb/polish/spell.py
+index 8ffe264bcb..ad97ccc7c5 100644
 --- a/src/calibre/ebooks/oeb/polish/spell.py
 +++ b/src/calibre/ebooks/oeb/polish/spell.py
 @@ -1,4 +1,4 @@
@@ -10437,8 +10438,8 @@ Index: b/src/calibre/ebooks/oeb/polish/s
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/split.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/split.py b/src/calibre/ebooks/oeb/polish/split.py
+index e24440a370..4e3cfd8a0c 100644
 --- a/src/calibre/ebooks/oeb/polish/split.py
 +++ b/src/calibre/ebooks/oeb/polish/split.py
 @@ -1,4 +1,4 @@
@@ -10447,8 +10448,8 @@ Index: b/src/calibre/ebooks/oeb/polish/s
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/stats.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/stats.py b/src/calibre/ebooks/oeb/polish/stats.py
+index eb5aac053e..5a0aa55f8d 100644
 --- a/src/calibre/ebooks/oeb/polish/stats.py
 +++ b/src/calibre/ebooks/oeb/polish/stats.py
 @@ -1,4 +1,4 @@
@@ -10457,8 +10458,8 @@ Index: b/src/calibre/ebooks/oeb/polish/s
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/subset.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/subset.py b/src/calibre/ebooks/oeb/polish/subset.py
+index 9c79180891..18cbefc8c5 100644
 --- a/src/calibre/ebooks/oeb/polish/subset.py
 +++ b/src/calibre/ebooks/oeb/polish/subset.py
 @@ -1,4 +1,4 @@
@@ -10467,8 +10468,8 @@ Index: b/src/calibre/ebooks/oeb/polish/s
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/tests/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/tests/__init__.py b/src/calibre/ebooks/oeb/polish/tests/__init__.py
+index d9dc36506c..69376f9ebd 100644
 --- a/src/calibre/ebooks/oeb/polish/tests/__init__.py
 +++ b/src/calibre/ebooks/oeb/polish/tests/__init__.py
 @@ -1,4 +1,4 @@
@@ -10477,8 +10478,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/tests/base.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/tests/base.py b/src/calibre/ebooks/oeb/polish/tests/base.py
+index eb0e974f30..7801600698 100644
 --- a/src/calibre/ebooks/oeb/polish/tests/base.py
 +++ b/src/calibre/ebooks/oeb/polish/tests/base.py
 @@ -1,4 +1,4 @@
@@ -10487,8 +10488,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/tests/cascade.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/tests/cascade.py b/src/calibre/ebooks/oeb/polish/tests/cascade.py
+index 78ea976e2d..f1368bbbc5 100644
 --- a/src/calibre/ebooks/oeb/polish/tests/cascade.py
 +++ b/src/calibre/ebooks/oeb/polish/tests/cascade.py
 @@ -1,4 +1,4 @@
@@ -10497,8 +10498,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/tests/container.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/tests/container.py b/src/calibre/ebooks/oeb/polish/tests/container.py
+index 93fd9ab188..5335711ce3 100644
 --- a/src/calibre/ebooks/oeb/polish/tests/container.py
 +++ b/src/calibre/ebooks/oeb/polish/tests/container.py
 @@ -1,4 +1,4 @@
@@ -10507,8 +10508,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/tests/main.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/tests/main.py b/src/calibre/ebooks/oeb/polish/tests/main.py
+index b822b56078..81b084b6c1 100644
 --- a/src/calibre/ebooks/oeb/polish/tests/main.py
 +++ b/src/calibre/ebooks/oeb/polish/tests/main.py
 @@ -1,4 +1,4 @@
@@ -10517,8 +10518,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/tests/parsing.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/tests/parsing.py b/src/calibre/ebooks/oeb/polish/tests/parsing.py
+index 0884102ef0..73eca065ab 100644
 --- a/src/calibre/ebooks/oeb/polish/tests/parsing.py
 +++ b/src/calibre/ebooks/oeb/polish/tests/parsing.py
 @@ -1,4 +1,4 @@
@@ -10527,8 +10528,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/tests/structure.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/tests/structure.py b/src/calibre/ebooks/oeb/polish/tests/structure.py
+index a2a04bae7d..94e34b1638 100644
 --- a/src/calibre/ebooks/oeb/polish/tests/structure.py
 +++ b/src/calibre/ebooks/oeb/polish/tests/structure.py
 @@ -1,4 +1,4 @@
@@ -10537,8 +10538,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/oeb/polish/toc.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/toc.py b/src/calibre/ebooks/oeb/polish/toc.py
+index 6af462d5d2..cd314db547 100644
 --- a/src/calibre/ebooks/oeb/polish/toc.py
 +++ b/src/calibre/ebooks/oeb/polish/toc.py
 @@ -1,4 +1,4 @@
@@ -10547,8 +10548,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/polish/upgrade.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/upgrade.py b/src/calibre/ebooks/oeb/polish/upgrade.py
+index be8d1ab444..602be884e4 100644
 --- a/src/calibre/ebooks/oeb/polish/upgrade.py
 +++ b/src/calibre/ebooks/oeb/polish/upgrade.py
 @@ -1,4 +1,4 @@
@@ -10557,8 +10558,8 @@ Index: b/src/calibre/ebooks/oeb/polish/u
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/oeb/polish/utils.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/utils.py b/src/calibre/ebooks/oeb/polish/utils.py
+index b502578b64..a1cdfa35ed 100644
 --- a/src/calibre/ebooks/oeb/polish/utils.py
 +++ b/src/calibre/ebooks/oeb/polish/utils.py
 @@ -1,4 +1,4 @@
@@ -10567,8 +10568,8 @@ Index: b/src/calibre/ebooks/oeb/polish/u
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/transforms/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/__init__.py b/src/calibre/ebooks/oeb/transforms/__init__.py
+index 720ff711e6..a9b056d940 100644
 --- a/src/calibre/ebooks/oeb/transforms/__init__.py
 +++ b/src/calibre/ebooks/oeb/transforms/__init__.py
 @@ -1,4 +1,4 @@
@@ -10577,8 +10578,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/transforms/cover.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/cover.py b/src/calibre/ebooks/oeb/transforms/cover.py
+index 4409f0cf83..3f948195a1 100644
 --- a/src/calibre/ebooks/oeb/transforms/cover.py
 +++ b/src/calibre/ebooks/oeb/transforms/cover.py
 @@ -1,4 +1,4 @@
@@ -10587,8 +10588,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/transforms/data_url.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/data_url.py b/src/calibre/ebooks/oeb/transforms/data_url.py
+index 829354c68b..0ff3de7727 100644
 --- a/src/calibre/ebooks/oeb/transforms/data_url.py
 +++ b/src/calibre/ebooks/oeb/transforms/data_url.py
 @@ -1,4 +1,4 @@
@@ -10597,8 +10598,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/transforms/embed_fonts.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/embed_fonts.py b/src/calibre/ebooks/oeb/transforms/embed_fonts.py
+index d93b5face1..14c94d807e 100644
 --- a/src/calibre/ebooks/oeb/transforms/embed_fonts.py
 +++ b/src/calibre/ebooks/oeb/transforms/embed_fonts.py
 @@ -1,4 +1,4 @@
@@ -10607,8 +10608,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/transforms/filenames.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/filenames.py b/src/calibre/ebooks/oeb/transforms/filenames.py
+index 1539663370..69c3ae59cf 100644
 --- a/src/calibre/ebooks/oeb/transforms/filenames.py
 +++ b/src/calibre/ebooks/oeb/transforms/filenames.py
 @@ -1,4 +1,4 @@
@@ -10617,8 +10618,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/transforms/guide.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/guide.py b/src/calibre/ebooks/oeb/transforms/guide.py
+index e935d79cd4..dbd1a9c595 100644
 --- a/src/calibre/ebooks/oeb/transforms/guide.py
 +++ b/src/calibre/ebooks/oeb/transforms/guide.py
 @@ -1,4 +1,4 @@
@@ -10627,8 +10628,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/transforms/jacket.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/jacket.py b/src/calibre/ebooks/oeb/transforms/jacket.py
+index 6fde4ac120..4d687e369c 100644
 --- a/src/calibre/ebooks/oeb/transforms/jacket.py
 +++ b/src/calibre/ebooks/oeb/transforms/jacket.py
 @@ -1,4 +1,4 @@
@@ -10637,8 +10638,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/transforms/linearize_tables.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/linearize_tables.py b/src/calibre/ebooks/oeb/transforms/linearize_tables.py
+index e86d4dd18e..8dc70d3040 100644
 --- a/src/calibre/ebooks/oeb/transforms/linearize_tables.py
 +++ b/src/calibre/ebooks/oeb/transforms/linearize_tables.py
 @@ -1,4 +1,4 @@
@@ -10647,8 +10648,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/transforms/metadata.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/metadata.py b/src/calibre/ebooks/oeb/transforms/metadata.py
+index 71c3a7e1c0..a7de238371 100644
 --- a/src/calibre/ebooks/oeb/transforms/metadata.py
 +++ b/src/calibre/ebooks/oeb/transforms/metadata.py
 @@ -1,4 +1,4 @@
@@ -10657,8 +10658,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/transforms/page_margin.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/page_margin.py b/src/calibre/ebooks/oeb/transforms/page_margin.py
+index 6f42afc2ea..e2992a95af 100644
 --- a/src/calibre/ebooks/oeb/transforms/page_margin.py
 +++ b/src/calibre/ebooks/oeb/transforms/page_margin.py
 @@ -1,4 +1,4 @@
@@ -10667,8 +10668,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/transforms/rescale.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/rescale.py b/src/calibre/ebooks/oeb/transforms/rescale.py
+index 214c89509e..df9172da3d 100644
 --- a/src/calibre/ebooks/oeb/transforms/rescale.py
 +++ b/src/calibre/ebooks/oeb/transforms/rescale.py
 @@ -1,4 +1,4 @@
@@ -10677,8 +10678,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/transforms/structure.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/structure.py b/src/calibre/ebooks/oeb/transforms/structure.py
+index cd5211c156..0de0994728 100644
 --- a/src/calibre/ebooks/oeb/transforms/structure.py
 +++ b/src/calibre/ebooks/oeb/transforms/structure.py
 @@ -1,4 +1,4 @@
@@ -10687,8 +10688,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/oeb/transforms/subset.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/subset.py b/src/calibre/ebooks/oeb/transforms/subset.py
+index 070dc65b1e..47c43c8e08 100644
 --- a/src/calibre/ebooks/oeb/transforms/subset.py
 +++ b/src/calibre/ebooks/oeb/transforms/subset.py
 @@ -1,4 +1,4 @@
@@ -10697,8 +10698,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/pdb/haodoo/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/haodoo/__init__.py b/src/calibre/ebooks/pdb/haodoo/__init__.py
+index 357137fa39..5f6c324bfc 100644
 --- a/src/calibre/ebooks/pdb/haodoo/__init__.py
 +++ b/src/calibre/ebooks/pdb/haodoo/__init__.py
 @@ -1,4 +1,4 @@
@@ -10707,8 +10708,8 @@ Index: b/src/calibre/ebooks/pdb/haodoo/_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/pdf/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/__init__.py b/src/calibre/ebooks/pdf/__init__.py
+index c23e175ece..7719a77e95 100644
 --- a/src/calibre/ebooks/pdf/__init__.py
 +++ b/src/calibre/ebooks/pdf/__init__.py
 @@ -1,4 +1,4 @@
@@ -10717,8 +10718,8 @@ Index: b/src/calibre/ebooks/pdf/__init__
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/pdf/develop.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/develop.py b/src/calibre/ebooks/pdf/develop.py
+index e9d88e61d0..928184f194 100644
 --- a/src/calibre/ebooks/pdf/develop.py
 +++ b/src/calibre/ebooks/pdf/develop.py
 @@ -1,4 +1,4 @@
@@ -10727,8 +10728,8 @@ Index: b/src/calibre/ebooks/pdf/develop.
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/pdf/html_writer.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/html_writer.py b/src/calibre/ebooks/pdf/html_writer.py
+index c3abe969b4..a8d85f04d4 100644
 --- a/src/calibre/ebooks/pdf/html_writer.py
 +++ b/src/calibre/ebooks/pdf/html_writer.py
 @@ -1,4 +1,4 @@
@@ -10737,8 +10738,8 @@ Index: b/src/calibre/ebooks/pdf/html_wri
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/pdf/image_writer.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/image_writer.py b/src/calibre/ebooks/pdf/image_writer.py
+index 2682c9c0dc..d76ccb533c 100644
 --- a/src/calibre/ebooks/pdf/image_writer.py
 +++ b/src/calibre/ebooks/pdf/image_writer.py
 @@ -1,4 +1,4 @@
@@ -10747,8 +10748,8 @@ Index: b/src/calibre/ebooks/pdf/image_wr
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/pdf/pdftohtml.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/pdftohtml.py b/src/calibre/ebooks/pdf/pdftohtml.py
+index 9df116bd6f..bee3ba4599 100644
 --- a/src/calibre/ebooks/pdf/pdftohtml.py
 +++ b/src/calibre/ebooks/pdf/pdftohtml.py
 @@ -1,4 +1,4 @@
@@ -10757,8 +10758,8 @@ Index: b/src/calibre/ebooks/pdf/pdftohtm
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2008, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/pdf/reflow.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/reflow.py b/src/calibre/ebooks/pdf/reflow.py
+index 8987672322..842a09cd69 100644
 --- a/src/calibre/ebooks/pdf/reflow.py
 +++ b/src/calibre/ebooks/pdf/reflow.py
 @@ -1,4 +1,4 @@
@@ -10767,8 +10768,8 @@ Index: b/src/calibre/ebooks/pdf/reflow.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/pdf/render/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/__init__.py b/src/calibre/ebooks/pdf/render/__init__.py
+index d7ade49452..2b86b54dc3 100644
 --- a/src/calibre/ebooks/pdf/render/__init__.py
 +++ b/src/calibre/ebooks/pdf/render/__init__.py
 @@ -1,4 +1,4 @@
@@ -10777,8 +10778,8 @@ Index: b/src/calibre/ebooks/pdf/render/_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/pdf/render/common.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/common.py b/src/calibre/ebooks/pdf/render/common.py
+index 1b5f66c239..f4496af042 100644
 --- a/src/calibre/ebooks/pdf/render/common.py
 +++ b/src/calibre/ebooks/pdf/render/common.py
 @@ -1,4 +1,4 @@
@@ -10787,8 +10788,8 @@ Index: b/src/calibre/ebooks/pdf/render/c
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/pdf/render/fonts.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/fonts.py b/src/calibre/ebooks/pdf/render/fonts.py
+index 0dc20c5363..9319597c88 100644
 --- a/src/calibre/ebooks/pdf/render/fonts.py
 +++ b/src/calibre/ebooks/pdf/render/fonts.py
 @@ -1,4 +1,4 @@
@@ -10797,8 +10798,8 @@ Index: b/src/calibre/ebooks/pdf/render/f
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/pdf/render/gradients.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/gradients.py b/src/calibre/ebooks/pdf/render/gradients.py
+index 33e5342577..c23eac0f0c 100644
 --- a/src/calibre/ebooks/pdf/render/gradients.py
 +++ b/src/calibre/ebooks/pdf/render/gradients.py
 @@ -1,4 +1,4 @@
@@ -10807,8 +10808,8 @@ Index: b/src/calibre/ebooks/pdf/render/g
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/pdf/render/graphics.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/graphics.py b/src/calibre/ebooks/pdf/render/graphics.py
+index 2cd3e9c3ca..f1c788ffb2 100644
 --- a/src/calibre/ebooks/pdf/render/graphics.py
 +++ b/src/calibre/ebooks/pdf/render/graphics.py
 @@ -1,4 +1,4 @@
@@ -10817,8 +10818,8 @@ Index: b/src/calibre/ebooks/pdf/render/g
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/pdf/render/links.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/links.py b/src/calibre/ebooks/pdf/render/links.py
+index e4a05e59da..51457d5483 100644
 --- a/src/calibre/ebooks/pdf/render/links.py
 +++ b/src/calibre/ebooks/pdf/render/links.py
 @@ -1,4 +1,4 @@
@@ -10827,8 +10828,8 @@ Index: b/src/calibre/ebooks/pdf/render/l
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/pdf/render/serialize.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/serialize.py b/src/calibre/ebooks/pdf/render/serialize.py
+index 027ecaf838..4d3e22628c 100644
 --- a/src/calibre/ebooks/pdf/render/serialize.py
 +++ b/src/calibre/ebooks/pdf/render/serialize.py
 @@ -1,4 +1,4 @@
@@ -10837,8 +10838,8 @@ Index: b/src/calibre/ebooks/pdf/render/s
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/pdf/test_html_writer.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/test_html_writer.py b/src/calibre/ebooks/pdf/test_html_writer.py
+index 0cebe5a9ee..a8c1937b32 100644
 --- a/src/calibre/ebooks/pdf/test_html_writer.py
 +++ b/src/calibre/ebooks/pdf/test_html_writer.py
 @@ -1,4 +1,4 @@
@@ -10847,8 +10848,8 @@ Index: b/src/calibre/ebooks/pdf/test_htm
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/readability/readability.py
-===================================================================
+diff --git a/src/calibre/ebooks/readability/readability.py b/src/calibre/ebooks/readability/readability.py
+index e8cb581b10..9ffd484e10 100644
 --- a/src/calibre/ebooks/readability/readability.py
 +++ b/src/calibre/ebooks/readability/readability.py
 @@ -1,4 +1,4 @@
@@ -10857,8 +10858,8 @@ Index: b/src/calibre/ebooks/readability/
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/render_html.py
-===================================================================
+diff --git a/src/calibre/ebooks/render_html.py b/src/calibre/ebooks/render_html.py
+index 1dbb85e966..158b5891eb 100644
 --- a/src/calibre/ebooks/render_html.py
 +++ b/src/calibre/ebooks/render_html.py
 @@ -1,4 +1,4 @@
@@ -10867,8 +10868,8 @@ Index: b/src/calibre/ebooks/render_html.
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/ebooks/rtf/preprocess.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf/preprocess.py b/src/calibre/ebooks/rtf/preprocess.py
+index c65b853f8e..f78089c4ba 100644
 --- a/src/calibre/ebooks/rtf/preprocess.py
 +++ b/src/calibre/ebooks/rtf/preprocess.py
 @@ -1,4 +1,4 @@
@@ -10877,11 +10878,11 @@ Index: b/src/calibre/ebooks/rtf/preproce
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/rtf2xml/ParseRtf.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/ParseRtf.py b/src/calibre/ebooks/rtf2xml/ParseRtf.py
+index 164e706a03..91737da2a3 100644
 --- a/src/calibre/ebooks/rtf2xml/ParseRtf.py
 +++ b/src/calibre/ebooks/rtf2xml/ParseRtf.py
-@@ -32,7 +32,7 @@ from . import open_for_read, open_for_wr
+@@ -32,7 +32,7 @@ from . import open_for_read, open_for_write
  
  """
  Here is an example script using the ParseRTF module directly
@@ -10890,8 +10891,8 @@ Index: b/src/calibre/ebooks/rtf2xml/Pars
  
  def Handle_Main():
      # Handles options and creates a parse object
-Index: b/src/calibre/ebooks/rtf2xml/check_encoding.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/check_encoding.py b/src/calibre/ebooks/rtf2xml/check_encoding.py
+index c98a4cfce3..4b37d7a987 100644
 --- a/src/calibre/ebooks/rtf2xml/check_encoding.py
 +++ b/src/calibre/ebooks/rtf2xml/check_encoding.py
 @@ -1,4 +1,4 @@
@@ -10900,8 +10901,8 @@ Index: b/src/calibre/ebooks/rtf2xml/chec
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  import sys
-Index: b/src/calibre/ebooks/snb/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/snb/__init__.py b/src/calibre/ebooks/snb/__init__.py
+index 25d2014767..8960b40971 100644
 --- a/src/calibre/ebooks/snb/__init__.py
 +++ b/src/calibre/ebooks/snb/__init__.py
 @@ -1,4 +1,4 @@
@@ -10910,8 +10911,8 @@ Index: b/src/calibre/ebooks/snb/__init__
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/textile/functions.py
-===================================================================
+diff --git a/src/calibre/ebooks/textile/functions.py b/src/calibre/ebooks/textile/functions.py
+index 5029a2a689..46ada607d5 100644
 --- a/src/calibre/ebooks/textile/functions.py
 +++ b/src/calibre/ebooks/textile/functions.py
 @@ -1,4 +1,4 @@
@@ -10920,8 +10921,8 @@ Index: b/src/calibre/ebooks/textile/func
  # -*- coding: utf-8 -*-
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/tweak.py
-===================================================================
+diff --git a/src/calibre/ebooks/tweak.py b/src/calibre/ebooks/tweak.py
+index 8f75a5a150..6a6cd59ae5 100644
 --- a/src/calibre/ebooks/tweak.py
 +++ b/src/calibre/ebooks/tweak.py
 @@ -1,4 +1,4 @@
@@ -10930,8 +10931,8 @@ Index: b/src/calibre/ebooks/tweak.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/ebooks/txt/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/txt/__init__.py b/src/calibre/ebooks/txt/__init__.py
+index 5d05174184..226ecb3c60 100644
 --- a/src/calibre/ebooks/txt/__init__.py
 +++ b/src/calibre/ebooks/txt/__init__.py
 @@ -1,4 +1,4 @@
@@ -10940,8 +10941,8 @@ Index: b/src/calibre/ebooks/txt/__init__
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/gui2/actions/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/__init__.py b/src/calibre/gui2/actions/__init__.py
+index 9c916cc6fa..ebfe600c7c 100644
 --- a/src/calibre/gui2/actions/__init__.py
 +++ b/src/calibre/gui2/actions/__init__.py
 @@ -1,4 +1,4 @@
@@ -10950,8 +10951,8 @@ Index: b/src/calibre/gui2/actions/__init
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/add.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/add.py b/src/calibre/gui2/actions/add.py
+index c22d5d2bf5..3ab0425971 100644
 --- a/src/calibre/gui2/actions/add.py
 +++ b/src/calibre/gui2/actions/add.py
 @@ -1,4 +1,4 @@
@@ -10960,8 +10961,8 @@ Index: b/src/calibre/gui2/actions/add.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/add_to_library.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/add_to_library.py b/src/calibre/gui2/actions/add_to_library.py
+index 038c503bfb..bf406a2ef4 100644
 --- a/src/calibre/gui2/actions/add_to_library.py
 +++ b/src/calibre/gui2/actions/add_to_library.py
 @@ -1,4 +1,4 @@
@@ -10970,8 +10971,8 @@ Index: b/src/calibre/gui2/actions/add_to
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/annotate.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/annotate.py b/src/calibre/gui2/actions/annotate.py
+index c1c38097a2..516c4d209c 100644
 --- a/src/calibre/gui2/actions/annotate.py
 +++ b/src/calibre/gui2/actions/annotate.py
 @@ -1,4 +1,4 @@
@@ -10980,8 +10981,8 @@ Index: b/src/calibre/gui2/actions/annota
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/author_mapper.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/author_mapper.py b/src/calibre/gui2/actions/author_mapper.py
+index dade6a69d0..8d708a8b10 100644
 --- a/src/calibre/gui2/actions/author_mapper.py
 +++ b/src/calibre/gui2/actions/author_mapper.py
 @@ -1,4 +1,4 @@
@@ -10990,8 +10991,8 @@ Index: b/src/calibre/gui2/actions/author
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/actions/catalog.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/catalog.py b/src/calibre/gui2/actions/catalog.py
+index 5165ab7800..942b27ff60 100644
 --- a/src/calibre/gui2/actions/catalog.py
 +++ b/src/calibre/gui2/actions/catalog.py
 @@ -1,4 +1,4 @@
@@ -11000,8 +11001,8 @@ Index: b/src/calibre/gui2/actions/catalo
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/choose_library.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/choose_library.py b/src/calibre/gui2/actions/choose_library.py
+index 39b677f963..f3960669b3 100644
 --- a/src/calibre/gui2/actions/choose_library.py
 +++ b/src/calibre/gui2/actions/choose_library.py
 @@ -1,4 +1,4 @@
@@ -11010,8 +11011,8 @@ Index: b/src/calibre/gui2/actions/choose
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/convert.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/convert.py b/src/calibre/gui2/actions/convert.py
+index f801b5c0fd..1063e729c7 100644
 --- a/src/calibre/gui2/actions/convert.py
 +++ b/src/calibre/gui2/actions/convert.py
 @@ -1,4 +1,4 @@
@@ -11020,8 +11021,8 @@ Index: b/src/calibre/gui2/actions/conver
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/copy_to_library.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/copy_to_library.py b/src/calibre/gui2/actions/copy_to_library.py
+index bc53698c5a..64889cf945 100644
 --- a/src/calibre/gui2/actions/copy_to_library.py
 +++ b/src/calibre/gui2/actions/copy_to_library.py
 @@ -1,4 +1,4 @@
@@ -11030,8 +11031,8 @@ Index: b/src/calibre/gui2/actions/copy_t
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/delete.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/delete.py b/src/calibre/gui2/actions/delete.py
+index da46d1518e..f2ad6ca4b6 100644
 --- a/src/calibre/gui2/actions/delete.py
 +++ b/src/calibre/gui2/actions/delete.py
 @@ -1,4 +1,4 @@
@@ -11040,8 +11041,8 @@ Index: b/src/calibre/gui2/actions/delete
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/device.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/device.py b/src/calibre/gui2/actions/device.py
+index a01195f591..8928b5febc 100644
 --- a/src/calibre/gui2/actions/device.py
 +++ b/src/calibre/gui2/actions/device.py
 @@ -1,4 +1,4 @@
@@ -11050,8 +11051,8 @@ Index: b/src/calibre/gui2/actions/device
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/edit_collections.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/edit_collections.py b/src/calibre/gui2/actions/edit_collections.py
+index 9c84de395c..2428bd42d9 100644
 --- a/src/calibre/gui2/actions/edit_collections.py
 +++ b/src/calibre/gui2/actions/edit_collections.py
 @@ -1,4 +1,4 @@
@@ -11060,8 +11061,8 @@ Index: b/src/calibre/gui2/actions/edit_c
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/edit_metadata.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/edit_metadata.py b/src/calibre/gui2/actions/edit_metadata.py
+index f385defff9..52113ef5c7 100644
 --- a/src/calibre/gui2/actions/edit_metadata.py
 +++ b/src/calibre/gui2/actions/edit_metadata.py
 @@ -1,4 +1,4 @@
@@ -11070,8 +11071,8 @@ Index: b/src/calibre/gui2/actions/edit_m
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/embed.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/embed.py b/src/calibre/gui2/actions/embed.py
+index 39aae059c0..8baea5f958 100644
 --- a/src/calibre/gui2/actions/embed.py
 +++ b/src/calibre/gui2/actions/embed.py
 @@ -1,4 +1,4 @@
@@ -11080,8 +11081,8 @@ Index: b/src/calibre/gui2/actions/embed.
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/fetch_news.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/fetch_news.py b/src/calibre/gui2/actions/fetch_news.py
+index eabc5a9869..a2e263a5cf 100644
 --- a/src/calibre/gui2/actions/fetch_news.py
 +++ b/src/calibre/gui2/actions/fetch_news.py
 @@ -1,4 +1,4 @@
@@ -11090,8 +11091,8 @@ Index: b/src/calibre/gui2/actions/fetch_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/help.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/help.py b/src/calibre/gui2/actions/help.py
+index da47c29d80..c1c6176146 100644
 --- a/src/calibre/gui2/actions/help.py
 +++ b/src/calibre/gui2/actions/help.py
 @@ -1,4 +1,4 @@
@@ -11100,8 +11101,8 @@ Index: b/src/calibre/gui2/actions/help.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/mark_books.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/mark_books.py b/src/calibre/gui2/actions/mark_books.py
+index aea842b982..3e967c6581 100644
 --- a/src/calibre/gui2/actions/mark_books.py
 +++ b/src/calibre/gui2/actions/mark_books.py
 @@ -1,4 +1,4 @@
@@ -11110,8 +11111,8 @@ Index: b/src/calibre/gui2/actions/mark_b
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/match_books.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/match_books.py b/src/calibre/gui2/actions/match_books.py
+index d481489b8d..a1240018c5 100644
 --- a/src/calibre/gui2/actions/match_books.py
 +++ b/src/calibre/gui2/actions/match_books.py
 @@ -1,4 +1,4 @@
@@ -11120,8 +11121,8 @@ Index: b/src/calibre/gui2/actions/match_
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/next_match.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/next_match.py b/src/calibre/gui2/actions/next_match.py
+index a47844a075..648e9f856d 100644
 --- a/src/calibre/gui2/actions/next_match.py
 +++ b/src/calibre/gui2/actions/next_match.py
 @@ -1,4 +1,4 @@
@@ -11130,8 +11131,8 @@ Index: b/src/calibre/gui2/actions/next_m
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/open.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/open.py b/src/calibre/gui2/actions/open.py
+index 4cb27c6711..73ddc4768e 100644
 --- a/src/calibre/gui2/actions/open.py
 +++ b/src/calibre/gui2/actions/open.py
 @@ -1,4 +1,4 @@
@@ -11140,8 +11141,8 @@ Index: b/src/calibre/gui2/actions/open.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/plugin_updates.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/plugin_updates.py b/src/calibre/gui2/actions/plugin_updates.py
+index c573acbec8..c24723a887 100644
 --- a/src/calibre/gui2/actions/plugin_updates.py
 +++ b/src/calibre/gui2/actions/plugin_updates.py
 @@ -1,4 +1,4 @@
@@ -11150,8 +11151,8 @@ Index: b/src/calibre/gui2/actions/plugin
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/polish.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/polish.py b/src/calibre/gui2/actions/polish.py
+index aca1f415df..dfb4e73148 100644
 --- a/src/calibre/gui2/actions/polish.py
 +++ b/src/calibre/gui2/actions/polish.py
 @@ -1,4 +1,4 @@
@@ -11160,8 +11161,8 @@ Index: b/src/calibre/gui2/actions/polish
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/preferences.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/preferences.py b/src/calibre/gui2/actions/preferences.py
+index 665a335251..4656885c8e 100644
 --- a/src/calibre/gui2/actions/preferences.py
 +++ b/src/calibre/gui2/actions/preferences.py
 @@ -1,4 +1,4 @@
@@ -11170,8 +11171,8 @@ Index: b/src/calibre/gui2/actions/prefer
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/random.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/random.py b/src/calibre/gui2/actions/random.py
+index 2b31c99a10..cde02427f7 100644
 --- a/src/calibre/gui2/actions/random.py
 +++ b/src/calibre/gui2/actions/random.py
 @@ -1,4 +1,4 @@
@@ -11180,8 +11181,8 @@ Index: b/src/calibre/gui2/actions/random
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/restart.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/restart.py b/src/calibre/gui2/actions/restart.py
+index 9ce20eb6ed..8428f69d33 100644
 --- a/src/calibre/gui2/actions/restart.py
 +++ b/src/calibre/gui2/actions/restart.py
 @@ -1,4 +1,4 @@
@@ -11190,8 +11191,8 @@ Index: b/src/calibre/gui2/actions/restar
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/save_to_disk.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/save_to_disk.py b/src/calibre/gui2/actions/save_to_disk.py
+index 28b16200c6..b4818591e0 100644
 --- a/src/calibre/gui2/actions/save_to_disk.py
 +++ b/src/calibre/gui2/actions/save_to_disk.py
 @@ -1,4 +1,4 @@
@@ -11200,8 +11201,8 @@ Index: b/src/calibre/gui2/actions/save_t
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/show_book_details.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/show_book_details.py b/src/calibre/gui2/actions/show_book_details.py
+index 07a039eb4a..8d62f67c86 100644
 --- a/src/calibre/gui2/actions/show_book_details.py
 +++ b/src/calibre/gui2/actions/show_book_details.py
 @@ -1,4 +1,4 @@
@@ -11210,8 +11211,8 @@ Index: b/src/calibre/gui2/actions/show_b
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/show_quickview.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/show_quickview.py b/src/calibre/gui2/actions/show_quickview.py
+index d98b15c080..72ea24783e 100644
 --- a/src/calibre/gui2/actions/show_quickview.py
 +++ b/src/calibre/gui2/actions/show_quickview.py
 @@ -1,4 +1,4 @@
@@ -11220,8 +11221,8 @@ Index: b/src/calibre/gui2/actions/show_q
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/show_template_tester.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/show_template_tester.py b/src/calibre/gui2/actions/show_template_tester.py
+index 5e2d5382c5..af78359570 100644
 --- a/src/calibre/gui2/actions/show_template_tester.py
 +++ b/src/calibre/gui2/actions/show_template_tester.py
 @@ -1,4 +1,4 @@
@@ -11230,8 +11231,8 @@ Index: b/src/calibre/gui2/actions/show_t
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/similar_books.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/similar_books.py b/src/calibre/gui2/actions/similar_books.py
+index c355425c14..879d888648 100644
 --- a/src/calibre/gui2/actions/similar_books.py
 +++ b/src/calibre/gui2/actions/similar_books.py
 @@ -1,4 +1,4 @@
@@ -11240,8 +11241,8 @@ Index: b/src/calibre/gui2/actions/simila
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/sort.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/sort.py b/src/calibre/gui2/actions/sort.py
+index 5adc8497d3..890ac4c709 100644
 --- a/src/calibre/gui2/actions/sort.py
 +++ b/src/calibre/gui2/actions/sort.py
 @@ -1,4 +1,4 @@
@@ -11250,8 +11251,8 @@ Index: b/src/calibre/gui2/actions/sort.p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/tag_mapper.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/tag_mapper.py b/src/calibre/gui2/actions/tag_mapper.py
+index 5bc5ae6e6a..785ba911f8 100644
 --- a/src/calibre/gui2/actions/tag_mapper.py
 +++ b/src/calibre/gui2/actions/tag_mapper.py
 @@ -1,4 +1,4 @@
@@ -11260,8 +11261,8 @@ Index: b/src/calibre/gui2/actions/tag_ma
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/actions/toc_edit.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/toc_edit.py b/src/calibre/gui2/actions/toc_edit.py
+index f830245b74..0cd79d27b4 100644
 --- a/src/calibre/gui2/actions/toc_edit.py
 +++ b/src/calibre/gui2/actions/toc_edit.py
 @@ -1,4 +1,4 @@
@@ -11270,8 +11271,8 @@ Index: b/src/calibre/gui2/actions/toc_ed
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/tweak_epub.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/tweak_epub.py b/src/calibre/gui2/actions/tweak_epub.py
+index d4c343cf6f..5cab1405cd 100644
 --- a/src/calibre/gui2/actions/tweak_epub.py
 +++ b/src/calibre/gui2/actions/tweak_epub.py
 @@ -1,4 +1,4 @@
@@ -11280,8 +11281,8 @@ Index: b/src/calibre/gui2/actions/tweak_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/unpack_book.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/unpack_book.py b/src/calibre/gui2/actions/unpack_book.py
+index ff0f577487..1fa4c96fb8 100644
 --- a/src/calibre/gui2/actions/unpack_book.py
 +++ b/src/calibre/gui2/actions/unpack_book.py
 @@ -1,4 +1,4 @@
@@ -11290,8 +11291,8 @@ Index: b/src/calibre/gui2/actions/unpack
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/view.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/view.py b/src/calibre/gui2/actions/view.py
+index 9bfdf925b7..6592277465 100644
 --- a/src/calibre/gui2/actions/view.py
 +++ b/src/calibre/gui2/actions/view.py
 @@ -1,4 +1,4 @@
@@ -11300,8 +11301,8 @@ Index: b/src/calibre/gui2/actions/view.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/actions/virtual_library.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/virtual_library.py b/src/calibre/gui2/actions/virtual_library.py
+index 496836257f..4efdf345ef 100644
 --- a/src/calibre/gui2/actions/virtual_library.py
 +++ b/src/calibre/gui2/actions/virtual_library.py
 @@ -1,4 +1,4 @@
@@ -11310,8 +11311,8 @@ Index: b/src/calibre/gui2/actions/virtua
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/add.py
-===================================================================
+diff --git a/src/calibre/gui2/add.py b/src/calibre/gui2/add.py
+index c2cfb69af3..374d579b57 100644
 --- a/src/calibre/gui2/add.py
 +++ b/src/calibre/gui2/add.py
 @@ -1,4 +1,4 @@
@@ -11320,8 +11321,8 @@ Index: b/src/calibre/gui2/add.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/add_filters.py
-===================================================================
+diff --git a/src/calibre/gui2/add_filters.py b/src/calibre/gui2/add_filters.py
+index 3d62e136fa..9e750de11a 100644
 --- a/src/calibre/gui2/add_filters.py
 +++ b/src/calibre/gui2/add_filters.py
 @@ -1,4 +1,4 @@
@@ -11330,8 +11331,8 @@ Index: b/src/calibre/gui2/add_filters.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/author_mapper.py
-===================================================================
+diff --git a/src/calibre/gui2/author_mapper.py b/src/calibre/gui2/author_mapper.py
+index a5f52678d1..d83889156d 100644
 --- a/src/calibre/gui2/author_mapper.py
 +++ b/src/calibre/gui2/author_mapper.py
 @@ -1,4 +1,4 @@
@@ -11340,8 +11341,8 @@ Index: b/src/calibre/gui2/author_mapper.
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/auto_add.py
-===================================================================
+diff --git a/src/calibre/gui2/auto_add.py b/src/calibre/gui2/auto_add.py
+index ed7964febd..34a01ec4b4 100644
 --- a/src/calibre/gui2/auto_add.py
 +++ b/src/calibre/gui2/auto_add.py
 @@ -1,4 +1,4 @@
@@ -11350,8 +11351,8 @@ Index: b/src/calibre/gui2/auto_add.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/bars.py
-===================================================================
+diff --git a/src/calibre/gui2/bars.py b/src/calibre/gui2/bars.py
+index 6c1459c944..d49a5472f9 100644
 --- a/src/calibre/gui2/bars.py
 +++ b/src/calibre/gui2/bars.py
 @@ -1,4 +1,4 @@
@@ -11360,8 +11361,8 @@ Index: b/src/calibre/gui2/bars.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/book_details.py
-===================================================================
+diff --git a/src/calibre/gui2/book_details.py b/src/calibre/gui2/book_details.py
+index aa7bcb064b..7c4997458f 100644
 --- a/src/calibre/gui2/book_details.py
 +++ b/src/calibre/gui2/book_details.py
 @@ -1,4 +1,4 @@
@@ -11370,8 +11371,8 @@ Index: b/src/calibre/gui2/book_details.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2010, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/catalog/catalog_bibtex.py
-===================================================================
+diff --git a/src/calibre/gui2/catalog/catalog_bibtex.py b/src/calibre/gui2/catalog/catalog_bibtex.py
+index 1bb607ae74..03d262c4ac 100644
 --- a/src/calibre/gui2/catalog/catalog_bibtex.py
 +++ b/src/calibre/gui2/catalog/catalog_bibtex.py
 @@ -1,4 +1,4 @@
@@ -11380,8 +11381,8 @@ Index: b/src/calibre/gui2/catalog/catalo
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/catalog/catalog_csv_xml.py
-===================================================================
+diff --git a/src/calibre/gui2/catalog/catalog_csv_xml.py b/src/calibre/gui2/catalog/catalog_csv_xml.py
+index fbd43eb0f7..7a63e1bbb9 100644
 --- a/src/calibre/gui2/catalog/catalog_csv_xml.py
 +++ b/src/calibre/gui2/catalog/catalog_csv_xml.py
 @@ -1,4 +1,4 @@
@@ -11390,8 +11391,8 @@ Index: b/src/calibre/gui2/catalog/catalo
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/catalog/catalog_epub_mobi.py
-===================================================================
+diff --git a/src/calibre/gui2/catalog/catalog_epub_mobi.py b/src/calibre/gui2/catalog/catalog_epub_mobi.py
+index 2353a78440..96935b0977 100644
 --- a/src/calibre/gui2/catalog/catalog_epub_mobi.py
 +++ b/src/calibre/gui2/catalog/catalog_epub_mobi.py
 @@ -1,4 +1,4 @@
@@ -11400,8 +11401,8 @@ Index: b/src/calibre/gui2/catalog/catalo
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/changes.py
-===================================================================
+diff --git a/src/calibre/gui2/changes.py b/src/calibre/gui2/changes.py
+index d51fe442e9..f3f1977868 100644
 --- a/src/calibre/gui2/changes.py
 +++ b/src/calibre/gui2/changes.py
 @@ -1,4 +1,4 @@
@@ -11410,8 +11411,8 @@ Index: b/src/calibre/gui2/changes.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/comments_editor.py
-===================================================================
+diff --git a/src/calibre/gui2/comments_editor.py b/src/calibre/gui2/comments_editor.py
+index 7d07fd92ae..f9f155f88b 100644
 --- a/src/calibre/gui2/comments_editor.py
 +++ b/src/calibre/gui2/comments_editor.py
 @@ -1,4 +1,4 @@
@@ -11420,8 +11421,8 @@ Index: b/src/calibre/gui2/comments_edito
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2010, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/complete2.py
-===================================================================
+diff --git a/src/calibre/gui2/complete2.py b/src/calibre/gui2/complete2.py
+index 70644396a1..a3b3ca88bb 100644
 --- a/src/calibre/gui2/complete2.py
 +++ b/src/calibre/gui2/complete2.py
 @@ -1,4 +1,4 @@
@@ -11430,8 +11431,8 @@ Index: b/src/calibre/gui2/complete2.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/__init__.py b/src/calibre/gui2/convert/__init__.py
+index 9230b6d673..a9c2e10420 100644
 --- a/src/calibre/gui2/convert/__init__.py
 +++ b/src/calibre/gui2/convert/__init__.py
 @@ -1,4 +1,4 @@
@@ -11440,8 +11441,8 @@ Index: b/src/calibre/gui2/convert/__init
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/azw3_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/azw3_output.py b/src/calibre/gui2/convert/azw3_output.py
+index b64c0dd27c..375e3c7687 100644
 --- a/src/calibre/gui2/convert/azw3_output.py
 +++ b/src/calibre/gui2/convert/azw3_output.py
 @@ -1,4 +1,4 @@
@@ -11450,8 +11451,8 @@ Index: b/src/calibre/gui2/convert/azw3_o
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/comic_input.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/comic_input.py b/src/calibre/gui2/convert/comic_input.py
+index 0c710431a7..0c9a8b0fd2 100644
 --- a/src/calibre/gui2/convert/comic_input.py
 +++ b/src/calibre/gui2/convert/comic_input.py
 @@ -1,4 +1,4 @@
@@ -11460,8 +11461,8 @@ Index: b/src/calibre/gui2/convert/comic_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/debug.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/debug.py b/src/calibre/gui2/convert/debug.py
+index 49bd3624bf..f39a9d7599 100644
 --- a/src/calibre/gui2/convert/debug.py
 +++ b/src/calibre/gui2/convert/debug.py
 @@ -1,4 +1,4 @@
@@ -11470,8 +11471,8 @@ Index: b/src/calibre/gui2/convert/debug.
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/docx_input.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/docx_input.py b/src/calibre/gui2/convert/docx_input.py
+index acd1357edd..dbe423faa9 100644
 --- a/src/calibre/gui2/convert/docx_input.py
 +++ b/src/calibre/gui2/convert/docx_input.py
 @@ -1,4 +1,4 @@
@@ -11480,8 +11481,8 @@ Index: b/src/calibre/gui2/convert/docx_i
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/epub_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/epub_output.py b/src/calibre/gui2/convert/epub_output.py
+index c43e2817ed..1a4bba8a5f 100644
 --- a/src/calibre/gui2/convert/epub_output.py
 +++ b/src/calibre/gui2/convert/epub_output.py
 @@ -1,4 +1,4 @@
@@ -11490,8 +11491,8 @@ Index: b/src/calibre/gui2/convert/epub_o
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/font_key.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/font_key.py b/src/calibre/gui2/convert/font_key.py
+index dc4dfbf031..5783303b2d 100644
 --- a/src/calibre/gui2/convert/font_key.py
 +++ b/src/calibre/gui2/convert/font_key.py
 @@ -1,4 +1,4 @@
@@ -11500,8 +11501,8 @@ Index: b/src/calibre/gui2/convert/font_k
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/look_and_feel.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/look_and_feel.py b/src/calibre/gui2/convert/look_and_feel.py
+index 6e76aa735c..3fe690bbdd 100644
 --- a/src/calibre/gui2/convert/look_and_feel.py
 +++ b/src/calibre/gui2/convert/look_and_feel.py
 @@ -1,4 +1,4 @@
@@ -11510,8 +11511,8 @@ Index: b/src/calibre/gui2/convert/look_a
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/lrf_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/lrf_output.py b/src/calibre/gui2/convert/lrf_output.py
+index 992266c6dc..494ee345fe 100644
 --- a/src/calibre/gui2/convert/lrf_output.py
 +++ b/src/calibre/gui2/convert/lrf_output.py
 @@ -1,4 +1,4 @@
@@ -11520,8 +11521,8 @@ Index: b/src/calibre/gui2/convert/lrf_ou
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/metadata.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/metadata.py b/src/calibre/gui2/convert/metadata.py
+index ef923cc5d0..e6a86963aa 100644
 --- a/src/calibre/gui2/convert/metadata.py
 +++ b/src/calibre/gui2/convert/metadata.py
 @@ -1,4 +1,4 @@
@@ -11530,8 +11531,8 @@ Index: b/src/calibre/gui2/convert/metada
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/mobi_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/mobi_output.py b/src/calibre/gui2/convert/mobi_output.py
+index e17431869e..45378cb2d9 100644
 --- a/src/calibre/gui2/convert/mobi_output.py
 +++ b/src/calibre/gui2/convert/mobi_output.py
 @@ -1,4 +1,4 @@
@@ -11540,8 +11541,8 @@ Index: b/src/calibre/gui2/convert/mobi_o
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/page_setup.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/page_setup.py b/src/calibre/gui2/convert/page_setup.py
+index 45b7539bba..26f8628ac1 100644
 --- a/src/calibre/gui2/convert/page_setup.py
 +++ b/src/calibre/gui2/convert/page_setup.py
 @@ -1,4 +1,4 @@
@@ -11550,8 +11551,8 @@ Index: b/src/calibre/gui2/convert/page_s
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/rtf_input.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/rtf_input.py b/src/calibre/gui2/convert/rtf_input.py
+index d0c86db01f..04d94ffd0b 100644
 --- a/src/calibre/gui2/convert/rtf_input.py
 +++ b/src/calibre/gui2/convert/rtf_input.py
 @@ -1,4 +1,4 @@
@@ -11560,8 +11561,8 @@ Index: b/src/calibre/gui2/convert/rtf_in
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/single.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/single.py b/src/calibre/gui2/convert/single.py
+index a391274e2c..763e972bb7 100644
 --- a/src/calibre/gui2/convert/single.py
 +++ b/src/calibre/gui2/convert/single.py
 @@ -1,4 +1,4 @@
@@ -11570,8 +11571,8 @@ Index: b/src/calibre/gui2/convert/single
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2009, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/convert/structure_detection.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/structure_detection.py b/src/calibre/gui2/convert/structure_detection.py
+index 2e9cd88505..418dabec19 100644
 --- a/src/calibre/gui2/convert/structure_detection.py
 +++ b/src/calibre/gui2/convert/structure_detection.py
 @@ -1,4 +1,4 @@
@@ -11580,8 +11581,8 @@ Index: b/src/calibre/gui2/convert/struct
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/toc.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/toc.py b/src/calibre/gui2/convert/toc.py
+index 34be14a83c..f75bca1279 100644
 --- a/src/calibre/gui2/convert/toc.py
 +++ b/src/calibre/gui2/convert/toc.py
 @@ -1,4 +1,4 @@
@@ -11590,8 +11591,8 @@ Index: b/src/calibre/gui2/convert/toc.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/convert/xpath_wizard.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/xpath_wizard.py b/src/calibre/gui2/convert/xpath_wizard.py
+index feb6fc123d..9789462947 100644
 --- a/src/calibre/gui2/convert/xpath_wizard.py
 +++ b/src/calibre/gui2/convert/xpath_wizard.py
 @@ -1,4 +1,4 @@
@@ -11600,8 +11601,8 @@ Index: b/src/calibre/gui2/convert/xpath_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/cover_flow.py
-===================================================================
+diff --git a/src/calibre/gui2/cover_flow.py b/src/calibre/gui2/cover_flow.py
+index 50d320ad3d..a3a397dccf 100644
 --- a/src/calibre/gui2/cover_flow.py
 +++ b/src/calibre/gui2/cover_flow.py
 @@ -1,4 +1,4 @@
@@ -11610,8 +11611,8 @@ Index: b/src/calibre/gui2/cover_flow.py
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/gui2/covers.py
-===================================================================
+diff --git a/src/calibre/gui2/covers.py b/src/calibre/gui2/covers.py
+index 7495f1049e..cb7de3af2e 100644
 --- a/src/calibre/gui2/covers.py
 +++ b/src/calibre/gui2/covers.py
 @@ -1,4 +1,4 @@
@@ -11620,8 +11621,8 @@ Index: b/src/calibre/gui2/covers.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/css_transform_rules.py
-===================================================================
+diff --git a/src/calibre/gui2/css_transform_rules.py b/src/calibre/gui2/css_transform_rules.py
+index 24a6fe6d03..6f46595d55 100644
 --- a/src/calibre/gui2/css_transform_rules.py
 +++ b/src/calibre/gui2/css_transform_rules.py
 @@ -1,4 +1,4 @@
@@ -11630,8 +11631,8 @@ Index: b/src/calibre/gui2/css_transform_
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/custom_column_widgets.py
-===================================================================
+diff --git a/src/calibre/gui2/custom_column_widgets.py b/src/calibre/gui2/custom_column_widgets.py
+index d73e3cd9d9..b0421949c9 100644
 --- a/src/calibre/gui2/custom_column_widgets.py
 +++ b/src/calibre/gui2/custom_column_widgets.py
 @@ -1,4 +1,4 @@
@@ -11640,8 +11641,8 @@ Index: b/src/calibre/gui2/custom_column_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dbus_export/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/__init__.py b/src/calibre/gui2/dbus_export/__init__.py
+index ac1e8aa532..996f48f52a 100644
 --- a/src/calibre/gui2/dbus_export/__init__.py
 +++ b/src/calibre/gui2/dbus_export/__init__.py
 @@ -1,4 +1,4 @@
@@ -11650,8 +11651,8 @@ Index: b/src/calibre/gui2/dbus_export/__
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dbus_export/demo.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/demo.py b/src/calibre/gui2/dbus_export/demo.py
+index bd0528a066..7aac2681a2 100644
 --- a/src/calibre/gui2/dbus_export/demo.py
 +++ b/src/calibre/gui2/dbus_export/demo.py
 @@ -1,4 +1,4 @@
@@ -11660,8 +11661,8 @@ Index: b/src/calibre/gui2/dbus_export/de
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dbus_export/gtk.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/gtk.py b/src/calibre/gui2/dbus_export/gtk.py
+index 391be31d2b..8d101ec49c 100644
 --- a/src/calibre/gui2/dbus_export/gtk.py
 +++ b/src/calibre/gui2/dbus_export/gtk.py
 @@ -1,4 +1,4 @@
@@ -11670,8 +11671,8 @@ Index: b/src/calibre/gui2/dbus_export/gt
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dbus_export/menu.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/menu.py b/src/calibre/gui2/dbus_export/menu.py
+index d6b4164a9e..1f0d5e9826 100644
 --- a/src/calibre/gui2/dbus_export/menu.py
 +++ b/src/calibre/gui2/dbus_export/menu.py
 @@ -1,4 +1,4 @@
@@ -11680,8 +11681,8 @@ Index: b/src/calibre/gui2/dbus_export/me
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dbus_export/menu2.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/menu2.py b/src/calibre/gui2/dbus_export/menu2.py
+index 37d6c332ec..87381c2a39 100644
 --- a/src/calibre/gui2/dbus_export/menu2.py
 +++ b/src/calibre/gui2/dbus_export/menu2.py
 @@ -1,4 +1,4 @@
@@ -11690,8 +11691,8 @@ Index: b/src/calibre/gui2/dbus_export/me
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dbus_export/tray.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/tray.py b/src/calibre/gui2/dbus_export/tray.py
+index 66c1a75538..c4db698060 100644
 --- a/src/calibre/gui2/dbus_export/tray.py
 +++ b/src/calibre/gui2/dbus_export/tray.py
 @@ -1,4 +1,4 @@
@@ -11700,8 +11701,8 @@ Index: b/src/calibre/gui2/dbus_export/tr
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dbus_export/utils.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/utils.py b/src/calibre/gui2/dbus_export/utils.py
+index e1245782c6..a0f45a69de 100644
 --- a/src/calibre/gui2/dbus_export/utils.py
 +++ b/src/calibre/gui2/dbus_export/utils.py
 @@ -1,4 +1,4 @@
@@ -11710,8 +11711,8 @@ Index: b/src/calibre/gui2/dbus_export/ut
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dbus_export/widgets.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/widgets.py b/src/calibre/gui2/dbus_export/widgets.py
+index 73b5754031..aa950a4fdb 100644
 --- a/src/calibre/gui2/dbus_export/widgets.py
 +++ b/src/calibre/gui2/dbus_export/widgets.py
 @@ -1,4 +1,4 @@
@@ -11720,8 +11721,8 @@ Index: b/src/calibre/gui2/dbus_export/wi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/device_drivers/mtp_config.py
-===================================================================
+diff --git a/src/calibre/gui2/device_drivers/mtp_config.py b/src/calibre/gui2/device_drivers/mtp_config.py
+index c957c4c1f5..61d17fe9bd 100644
 --- a/src/calibre/gui2/device_drivers/mtp_config.py
 +++ b/src/calibre/gui2/device_drivers/mtp_config.py
 @@ -1,4 +1,4 @@
@@ -11730,8 +11731,8 @@ Index: b/src/calibre/gui2/device_drivers
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/device_drivers/mtp_folder_browser.py
-===================================================================
+diff --git a/src/calibre/gui2/device_drivers/mtp_folder_browser.py b/src/calibre/gui2/device_drivers/mtp_folder_browser.py
+index bd13da7790..6a9a1a7737 100644
 --- a/src/calibre/gui2/device_drivers/mtp_folder_browser.py
 +++ b/src/calibre/gui2/device_drivers/mtp_folder_browser.py
 @@ -1,4 +1,4 @@
@@ -11740,8 +11741,8 @@ Index: b/src/calibre/gui2/device_drivers
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/device_drivers/tabbed_device_config.py
-===================================================================
+diff --git a/src/calibre/gui2/device_drivers/tabbed_device_config.py b/src/calibre/gui2/device_drivers/tabbed_device_config.py
+index 48df18bf4c..0a97e8350f 100644
 --- a/src/calibre/gui2/device_drivers/tabbed_device_config.py
 +++ b/src/calibre/gui2/device_drivers/tabbed_device_config.py
 @@ -1,4 +1,4 @@
@@ -11750,8 +11751,8 @@ Index: b/src/calibre/gui2/device_drivers
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import (unicode_literals,  # division, absolute_import,
                          print_function)
-Index: b/src/calibre/gui2/dialogs/add_empty_book.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/add_empty_book.py b/src/calibre/gui2/dialogs/add_empty_book.py
+index f7a212b7e2..ce87b28a93 100644
 --- a/src/calibre/gui2/dialogs/add_empty_book.py
 +++ b/src/calibre/gui2/dialogs/add_empty_book.py
 @@ -1,4 +1,4 @@
@@ -11760,8 +11761,8 @@ Index: b/src/calibre/gui2/dialogs/add_em
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/gui2/dialogs/add_from_isbn.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/add_from_isbn.py b/src/calibre/gui2/dialogs/add_from_isbn.py
+index ffd3776a10..4f8fca65a5 100644
 --- a/src/calibre/gui2/dialogs/add_from_isbn.py
 +++ b/src/calibre/gui2/dialogs/add_from_isbn.py
 @@ -1,4 +1,4 @@
@@ -11770,8 +11771,8 @@ Index: b/src/calibre/gui2/dialogs/add_fr
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dialogs/authors_edit.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/authors_edit.py b/src/calibre/gui2/dialogs/authors_edit.py
+index 1aecf58b94..76b87897b8 100644
 --- a/src/calibre/gui2/dialogs/authors_edit.py
 +++ b/src/calibre/gui2/dialogs/authors_edit.py
 @@ -1,4 +1,4 @@
@@ -11780,8 +11781,8 @@ Index: b/src/calibre/gui2/dialogs/author
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dialogs/book_info.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/book_info.py b/src/calibre/gui2/dialogs/book_info.py
+index 8ee43c5fd5..d1c514b339 100644
 --- a/src/calibre/gui2/dialogs/book_info.py
 +++ b/src/calibre/gui2/dialogs/book_info.py
 @@ -1,4 +1,4 @@
@@ -11790,8 +11791,8 @@ Index: b/src/calibre/gui2/dialogs/book_i
  # License: GPLv3 Copyright: 2008, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dialogs/catalog.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/catalog.py b/src/calibre/gui2/dialogs/catalog.py
+index f4701ea6cf..de0e838337 100644
 --- a/src/calibre/gui2/dialogs/catalog.py
 +++ b/src/calibre/gui2/dialogs/catalog.py
 @@ -1,4 +1,4 @@
@@ -11800,8 +11801,8 @@ Index: b/src/calibre/gui2/dialogs/catalo
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dialogs/check_library.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/check_library.py b/src/calibre/gui2/dialogs/check_library.py
+index c2008c4080..2b885ca1a3 100644
 --- a/src/calibre/gui2/dialogs/check_library.py
 +++ b/src/calibre/gui2/dialogs/check_library.py
 @@ -1,4 +1,4 @@
@@ -11810,8 +11811,8 @@ Index: b/src/calibre/gui2/dialogs/check_
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/gui2/dialogs/choose_library.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/choose_library.py b/src/calibre/gui2/dialogs/choose_library.py
+index 207bb1cf09..1ac0ff4ce1 100644
 --- a/src/calibre/gui2/dialogs/choose_library.py
 +++ b/src/calibre/gui2/dialogs/choose_library.py
 @@ -1,4 +1,4 @@
@@ -11820,8 +11821,8 @@ Index: b/src/calibre/gui2/dialogs/choose
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dialogs/choose_plugin_toolbars.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/choose_plugin_toolbars.py b/src/calibre/gui2/dialogs/choose_plugin_toolbars.py
+index 3b748c150d..7ee151f66b 100644
 --- a/src/calibre/gui2/dialogs/choose_plugin_toolbars.py
 +++ b/src/calibre/gui2/dialogs/choose_plugin_toolbars.py
 @@ -1,4 +1,4 @@
@@ -11830,8 +11831,8 @@ Index: b/src/calibre/gui2/dialogs/choose
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/dialogs/comments_dialog.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/comments_dialog.py b/src/calibre/gui2/dialogs/comments_dialog.py
+index 13c4d72b8a..557887fe4e 100644
 --- a/src/calibre/gui2/dialogs/comments_dialog.py
 +++ b/src/calibre/gui2/dialogs/comments_dialog.py
 @@ -1,4 +1,4 @@
@@ -11840,8 +11841,8 @@ Index: b/src/calibre/gui2/dialogs/commen
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/gui2/dialogs/confirm_delete.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/confirm_delete.py b/src/calibre/gui2/dialogs/confirm_delete.py
+index 6fadd8d684..5dd8feddd0 100644
 --- a/src/calibre/gui2/dialogs/confirm_delete.py
 +++ b/src/calibre/gui2/dialogs/confirm_delete.py
 @@ -1,4 +1,4 @@
@@ -11850,8 +11851,8 @@ Index: b/src/calibre/gui2/dialogs/confir
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/gui2/dialogs/confirm_delete_location.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/confirm_delete_location.py b/src/calibre/gui2/dialogs/confirm_delete_location.py
+index 12e4a78144..d280264699 100644
 --- a/src/calibre/gui2/dialogs/confirm_delete_location.py
 +++ b/src/calibre/gui2/dialogs/confirm_delete_location.py
 @@ -1,4 +1,4 @@
@@ -11860,8 +11861,8 @@ Index: b/src/calibre/gui2/dialogs/confir
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/gui2/dialogs/confirm_merge.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/confirm_merge.py b/src/calibre/gui2/dialogs/confirm_merge.py
+index 31841a2844..f7eaa12639 100644
 --- a/src/calibre/gui2/dialogs/confirm_merge.py
 +++ b/src/calibre/gui2/dialogs/confirm_merge.py
 @@ -1,4 +1,4 @@
@@ -11870,8 +11871,8 @@ Index: b/src/calibre/gui2/dialogs/confir
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dialogs/custom_recipes.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/custom_recipes.py b/src/calibre/gui2/dialogs/custom_recipes.py
+index 91727ccfa0..ba3d6ed9c6 100644
 --- a/src/calibre/gui2/dialogs/custom_recipes.py
 +++ b/src/calibre/gui2/dialogs/custom_recipes.py
 @@ -1,4 +1,4 @@
@@ -11880,7 +11881,7 @@ Index: b/src/calibre/gui2/dialogs/custom
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-@@ -143,9 +143,8 @@ def options_to_recipe_source(title, olde
+@@ -143,9 +143,8 @@ def options_to_recipe_source(title, oldest_article, max_articles_per_feed, feeds
      if feeds:
          feeds = 'feeds          = [\n%s\n    ]' % feeds
      src = textwrap.dedent('''\
@@ -11891,8 +11892,8 @@ Index: b/src/calibre/gui2/dialogs/custom
      from calibre.web.feeds.news import {base}
  
      class {classname}({base}):
-Index: b/src/calibre/gui2/dialogs/delete_matching_from_device.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/delete_matching_from_device.py b/src/calibre/gui2/dialogs/delete_matching_from_device.py
+index 04a41d22c0..456d3b042e 100644
 --- a/src/calibre/gui2/dialogs/delete_matching_from_device.py
 +++ b/src/calibre/gui2/dialogs/delete_matching_from_device.py
 @@ -1,4 +1,4 @@
@@ -11901,8 +11902,8 @@ Index: b/src/calibre/gui2/dialogs/delete
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/gui2/dialogs/drm_error.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/drm_error.py b/src/calibre/gui2/dialogs/drm_error.py
+index 195d869402..f24098f314 100644
 --- a/src/calibre/gui2/dialogs/drm_error.py
 +++ b/src/calibre/gui2/dialogs/drm_error.py
 @@ -1,4 +1,4 @@
@@ -11911,8 +11912,8 @@ Index: b/src/calibre/gui2/dialogs/drm_er
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dialogs/duplicates.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/duplicates.py b/src/calibre/gui2/dialogs/duplicates.py
+index edf4a1f0a8..f7c076aef5 100644
 --- a/src/calibre/gui2/dialogs/duplicates.py
 +++ b/src/calibre/gui2/dialogs/duplicates.py
 @@ -1,4 +1,4 @@
@@ -11921,8 +11922,8 @@ Index: b/src/calibre/gui2/dialogs/duplic
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dialogs/edit_authors_dialog.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/edit_authors_dialog.py b/src/calibre/gui2/dialogs/edit_authors_dialog.py
+index 33102201f4..4a0e5bacf5 100644
 --- a/src/calibre/gui2/dialogs/edit_authors_dialog.py
 +++ b/src/calibre/gui2/dialogs/edit_authors_dialog.py
 @@ -1,4 +1,4 @@
@@ -11931,8 +11932,8 @@ Index: b/src/calibre/gui2/dialogs/edit_a
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/gui2/dialogs/exim.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/exim.py b/src/calibre/gui2/dialogs/exim.py
+index 995711355c..9834b810d7 100644
 --- a/src/calibre/gui2/dialogs/exim.py
 +++ b/src/calibre/gui2/dialogs/exim.py
 @@ -1,4 +1,4 @@
@@ -11941,8 +11942,8 @@ Index: b/src/calibre/gui2/dialogs/exim.p
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/dialogs/match_books.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/match_books.py b/src/calibre/gui2/dialogs/match_books.py
+index d607690569..b63e315ea0 100644
 --- a/src/calibre/gui2/dialogs/match_books.py
 +++ b/src/calibre/gui2/dialogs/match_books.py
 @@ -1,4 +1,4 @@
@@ -11951,8 +11952,8 @@ Index: b/src/calibre/gui2/dialogs/match_
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dialogs/message_box.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/message_box.py b/src/calibre/gui2/dialogs/message_box.py
+index 463bdf43b3..35e46b3324 100644
 --- a/src/calibre/gui2/dialogs/message_box.py
 +++ b/src/calibre/gui2/dialogs/message_box.py
 @@ -1,4 +1,4 @@
@@ -11961,8 +11962,8 @@ Index: b/src/calibre/gui2/dialogs/messag
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dialogs/metadata_bulk.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/metadata_bulk.py b/src/calibre/gui2/dialogs/metadata_bulk.py
+index 61fbfa51bb..469b0bfcd2 100644
 --- a/src/calibre/gui2/dialogs/metadata_bulk.py
 +++ b/src/calibre/gui2/dialogs/metadata_bulk.py
 @@ -1,4 +1,4 @@
@@ -11971,8 +11972,8 @@ Index: b/src/calibre/gui2/dialogs/metada
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2008, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/dialogs/opml.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/opml.py b/src/calibre/gui2/dialogs/opml.py
+index 245d252162..92d1569271 100644
 --- a/src/calibre/gui2/dialogs/opml.py
 +++ b/src/calibre/gui2/dialogs/opml.py
 @@ -1,4 +1,4 @@
@@ -11981,8 +11982,8 @@ Index: b/src/calibre/gui2/dialogs/opml.p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dialogs/plugin_updater.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/plugin_updater.py b/src/calibre/gui2/dialogs/plugin_updater.py
+index 7e333cb87a..a439e84b79 100644
 --- a/src/calibre/gui2/dialogs/plugin_updater.py
 +++ b/src/calibre/gui2/dialogs/plugin_updater.py
 @@ -1,4 +1,4 @@
@@ -11991,8 +11992,8 @@ Index: b/src/calibre/gui2/dialogs/plugin
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dialogs/progress.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/progress.py b/src/calibre/gui2/dialogs/progress.py
+index 311ad5838f..a86fb31b24 100644
 --- a/src/calibre/gui2/dialogs/progress.py
 +++ b/src/calibre/gui2/dialogs/progress.py
 @@ -1,4 +1,4 @@
@@ -12001,8 +12002,8 @@ Index: b/src/calibre/gui2/dialogs/progre
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/gui2/dialogs/quickview.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/quickview.py b/src/calibre/gui2/dialogs/quickview.py
+index c82c60a07e..eded0a27a3 100644
 --- a/src/calibre/gui2/dialogs/quickview.py
 +++ b/src/calibre/gui2/dialogs/quickview.py
 @@ -1,4 +1,4 @@
@@ -12011,8 +12012,8 @@ Index: b/src/calibre/gui2/dialogs/quickv
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/gui2/dialogs/restore_library.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/restore_library.py b/src/calibre/gui2/dialogs/restore_library.py
+index 08cd83d477..6bc3ea5a15 100644
 --- a/src/calibre/gui2/dialogs/restore_library.py
 +++ b/src/calibre/gui2/dialogs/restore_library.py
 @@ -1,4 +1,4 @@
@@ -12021,8 +12022,8 @@ Index: b/src/calibre/gui2/dialogs/restor
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2011, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/dialogs/saved_search_editor.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/saved_search_editor.py b/src/calibre/gui2/dialogs/saved_search_editor.py
+index 1b51f8060c..6ed972d441 100644
 --- a/src/calibre/gui2/dialogs/saved_search_editor.py
 +++ b/src/calibre/gui2/dialogs/saved_search_editor.py
 @@ -1,4 +1,4 @@
@@ -12031,8 +12032,8 @@ Index: b/src/calibre/gui2/dialogs/saved_
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2008, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/dialogs/select_formats.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/select_formats.py b/src/calibre/gui2/dialogs/select_formats.py
+index 414a7824e9..6bd57a4ecf 100644
 --- a/src/calibre/gui2/dialogs/select_formats.py
 +++ b/src/calibre/gui2/dialogs/select_formats.py
 @@ -1,4 +1,4 @@
@@ -12041,8 +12042,8 @@ Index: b/src/calibre/gui2/dialogs/select
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dialogs/smartdevice.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/smartdevice.py b/src/calibre/gui2/dialogs/smartdevice.py
+index db82ebd475..e304983d23 100644
 --- a/src/calibre/gui2/dialogs/smartdevice.py
 +++ b/src/calibre/gui2/dialogs/smartdevice.py
 @@ -1,4 +1,4 @@
@@ -12051,8 +12052,8 @@ Index: b/src/calibre/gui2/dialogs/smartd
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  __license__   = 'GPL v3'
-Index: b/src/calibre/gui2/dialogs/tag_list_editor.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/tag_list_editor.py b/src/calibre/gui2/dialogs/tag_list_editor.py
+index 542ccde92d..7bac1b02f3 100644
 --- a/src/calibre/gui2/dialogs/tag_list_editor.py
 +++ b/src/calibre/gui2/dialogs/tag_list_editor.py
 @@ -1,4 +1,4 @@
@@ -12061,8 +12062,8 @@ Index: b/src/calibre/gui2/dialogs/tag_li
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2008, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/dialogs/template_dialog.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/template_dialog.py b/src/calibre/gui2/dialogs/template_dialog.py
+index a9829fcffc..d86103e4d3 100644
 --- a/src/calibre/gui2/dialogs/template_dialog.py
 +++ b/src/calibre/gui2/dialogs/template_dialog.py
 @@ -1,4 +1,4 @@
@@ -12071,8 +12072,8 @@ Index: b/src/calibre/gui2/dialogs/templa
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/gui2/dialogs/template_line_editor.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/template_line_editor.py b/src/calibre/gui2/dialogs/template_line_editor.py
+index 9db863e5c1..e3dcf6044a 100644
 --- a/src/calibre/gui2/dialogs/template_line_editor.py
 +++ b/src/calibre/gui2/dialogs/template_line_editor.py
 @@ -1,4 +1,4 @@
@@ -12081,8 +12082,8 @@ Index: b/src/calibre/gui2/dialogs/templa
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dialogs/trim_image.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/trim_image.py b/src/calibre/gui2/dialogs/trim_image.py
+index 3dcd54e172..f7c16a9c46 100644
 --- a/src/calibre/gui2/dialogs/trim_image.py
 +++ b/src/calibre/gui2/dialogs/trim_image.py
 @@ -1,4 +1,4 @@
@@ -12091,8 +12092,8 @@ Index: b/src/calibre/gui2/dialogs/trim_i
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/dnd.py
-===================================================================
+diff --git a/src/calibre/gui2/dnd.py b/src/calibre/gui2/dnd.py
+index 56d9a81443..5c9aa06de5 100644
 --- a/src/calibre/gui2/dnd.py
 +++ b/src/calibre/gui2/dnd.py
 @@ -1,4 +1,4 @@
@@ -12101,8 +12102,8 @@ Index: b/src/calibre/gui2/dnd.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/email.py
-===================================================================
+diff --git a/src/calibre/gui2/email.py b/src/calibre/gui2/email.py
+index 1f348af3f5..9b18dba840 100644
 --- a/src/calibre/gui2/email.py
 +++ b/src/calibre/gui2/email.py
 @@ -1,4 +1,4 @@
@@ -12111,8 +12112,8 @@ Index: b/src/calibre/gui2/email.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/font_family_chooser.py
-===================================================================
+diff --git a/src/calibre/gui2/font_family_chooser.py b/src/calibre/gui2/font_family_chooser.py
+index 4741cf4cfd..54a9eeafca 100644
 --- a/src/calibre/gui2/font_family_chooser.py
 +++ b/src/calibre/gui2/font_family_chooser.py
 @@ -1,4 +1,4 @@
@@ -12121,8 +12122,8 @@ Index: b/src/calibre/gui2/font_family_ch
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/gestures.py
-===================================================================
+diff --git a/src/calibre/gui2/gestures.py b/src/calibre/gui2/gestures.py
+index b841e19c98..34dfa3844d 100644
 --- a/src/calibre/gui2/gestures.py
 +++ b/src/calibre/gui2/gestures.py
 @@ -1,4 +1,4 @@
@@ -12131,8 +12132,8 @@ Index: b/src/calibre/gui2/gestures.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/icon_theme.py
-===================================================================
+diff --git a/src/calibre/gui2/icon_theme.py b/src/calibre/gui2/icon_theme.py
+index 58f0e9970c..1690cef6b3 100644
 --- a/src/calibre/gui2/icon_theme.py
 +++ b/src/calibre/gui2/icon_theme.py
 @@ -1,4 +1,4 @@
@@ -12141,8 +12142,8 @@ Index: b/src/calibre/gui2/icon_theme.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/image_popup.py
-===================================================================
+diff --git a/src/calibre/gui2/image_popup.py b/src/calibre/gui2/image_popup.py
+index c58f3440f0..ef0d4f7354 100644
 --- a/src/calibre/gui2/image_popup.py
 +++ b/src/calibre/gui2/image_popup.py
 @@ -1,4 +1,4 @@
@@ -12151,8 +12152,8 @@ Index: b/src/calibre/gui2/image_popup.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/init.py
-===================================================================
+diff --git a/src/calibre/gui2/init.py b/src/calibre/gui2/init.py
+index 4c314ae9c5..78a9512eb1 100644
 --- a/src/calibre/gui2/init.py
 +++ b/src/calibre/gui2/init.py
 @@ -1,4 +1,4 @@
@@ -12161,8 +12162,8 @@ Index: b/src/calibre/gui2/init.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/job_indicator.py
-===================================================================
+diff --git a/src/calibre/gui2/job_indicator.py b/src/calibre/gui2/job_indicator.py
+index b677183f74..f3986094ac 100644
 --- a/src/calibre/gui2/job_indicator.py
 +++ b/src/calibre/gui2/job_indicator.py
 @@ -1,4 +1,4 @@
@@ -12171,8 +12172,8 @@ Index: b/src/calibre/gui2/job_indicator.
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/jobs.py
-===================================================================
+diff --git a/src/calibre/gui2/jobs.py b/src/calibre/gui2/jobs.py
+index 2d9c8b90c1..00db8fb37f 100644
 --- a/src/calibre/gui2/jobs.py
 +++ b/src/calibre/gui2/jobs.py
 @@ -1,4 +1,4 @@
@@ -12181,8 +12182,8 @@ Index: b/src/calibre/gui2/jobs.py
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/gui2/keyboard.py
-===================================================================
+diff --git a/src/calibre/gui2/keyboard.py b/src/calibre/gui2/keyboard.py
+index 90a7b1e081..8e59ef335a 100644
 --- a/src/calibre/gui2/keyboard.py
 +++ b/src/calibre/gui2/keyboard.py
 @@ -1,4 +1,4 @@
@@ -12191,8 +12192,8 @@ Index: b/src/calibre/gui2/keyboard.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/languages.py
-===================================================================
+diff --git a/src/calibre/gui2/languages.py b/src/calibre/gui2/languages.py
+index 23620a4ac3..33b6c3d42b 100644
 --- a/src/calibre/gui2/languages.py
 +++ b/src/calibre/gui2/languages.py
 @@ -1,4 +1,4 @@
@@ -12201,8 +12202,8 @@ Index: b/src/calibre/gui2/languages.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/layout.py
-===================================================================
+diff --git a/src/calibre/gui2/layout.py b/src/calibre/gui2/layout.py
+index 18e6d748cf..6efb5808a2 100644
 --- a/src/calibre/gui2/layout.py
 +++ b/src/calibre/gui2/layout.py
 @@ -1,4 +1,4 @@
@@ -12211,8 +12212,8 @@ Index: b/src/calibre/gui2/layout.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/layout_menu.py
-===================================================================
+diff --git a/src/calibre/gui2/layout_menu.py b/src/calibre/gui2/layout_menu.py
+index 58b3c4983d..c19c38f5e1 100644
 --- a/src/calibre/gui2/layout_menu.py
 +++ b/src/calibre/gui2/layout_menu.py
 @@ -1,4 +1,4 @@
@@ -12221,8 +12222,8 @@ Index: b/src/calibre/gui2/layout_menu.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/library/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/library/__init__.py b/src/calibre/gui2/library/__init__.py
+index d298f22d07..645932c8b9 100644
 --- a/src/calibre/gui2/library/__init__.py
 +++ b/src/calibre/gui2/library/__init__.py
 @@ -1,4 +1,4 @@
@@ -12231,8 +12232,8 @@ Index: b/src/calibre/gui2/library/__init
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/library/alternate_views.py
-===================================================================
+diff --git a/src/calibre/gui2/library/alternate_views.py b/src/calibre/gui2/library/alternate_views.py
+index b6802f1fb5..179ed08887 100644
 --- a/src/calibre/gui2/library/alternate_views.py
 +++ b/src/calibre/gui2/library/alternate_views.py
 @@ -1,4 +1,4 @@
@@ -12241,8 +12242,8 @@ Index: b/src/calibre/gui2/library/altern
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/library/caches.py
-===================================================================
+diff --git a/src/calibre/gui2/library/caches.py b/src/calibre/gui2/library/caches.py
+index a18910d8bc..04667c88b0 100644
 --- a/src/calibre/gui2/library/caches.py
 +++ b/src/calibre/gui2/library/caches.py
 @@ -1,4 +1,4 @@
@@ -12251,8 +12252,8 @@ Index: b/src/calibre/gui2/library/caches
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/library/delegates.py
-===================================================================
+diff --git a/src/calibre/gui2/library/delegates.py b/src/calibre/gui2/library/delegates.py
+index 9b86fe9f9c..4635516aa1 100644
 --- a/src/calibre/gui2/library/delegates.py
 +++ b/src/calibre/gui2/library/delegates.py
 @@ -1,4 +1,4 @@
@@ -12261,8 +12262,8 @@ Index: b/src/calibre/gui2/library/delega
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/library/models.py
-===================================================================
+diff --git a/src/calibre/gui2/library/models.py b/src/calibre/gui2/library/models.py
+index 2d713f73be..6922617486 100644
 --- a/src/calibre/gui2/library/models.py
 +++ b/src/calibre/gui2/library/models.py
 @@ -1,4 +1,4 @@
@@ -12271,8 +12272,8 @@ Index: b/src/calibre/gui2/library/models
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/library/views.py
-===================================================================
+diff --git a/src/calibre/gui2/library/views.py b/src/calibre/gui2/library/views.py
+index 8d77c646ee..9bb0ad43a1 100644
 --- a/src/calibre/gui2/library/views.py
 +++ b/src/calibre/gui2/library/views.py
 @@ -1,4 +1,4 @@
@@ -12281,8 +12282,8 @@ Index: b/src/calibre/gui2/library/views.
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/linux_file_dialogs.py
-===================================================================
+diff --git a/src/calibre/gui2/linux_file_dialogs.py b/src/calibre/gui2/linux_file_dialogs.py
+index 875c87e428..01ed0266b4 100644
 --- a/src/calibre/gui2/linux_file_dialogs.py
 +++ b/src/calibre/gui2/linux_file_dialogs.py
 @@ -1,4 +1,4 @@
@@ -12291,8 +12292,8 @@ Index: b/src/calibre/gui2/linux_file_dia
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/main.py
-===================================================================
+diff --git a/src/calibre/gui2/main.py b/src/calibre/gui2/main.py
+index 3cb2202ccb..0b62cbbf68 100644
 --- a/src/calibre/gui2/main.py
 +++ b/src/calibre/gui2/main.py
 @@ -1,4 +1,4 @@
@@ -12301,8 +12302,8 @@ Index: b/src/calibre/gui2/main.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/metadata/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/__init__.py b/src/calibre/gui2/metadata/__init__.py
+index 0f9dc4e7f8..c63cb57432 100644
 --- a/src/calibre/gui2/metadata/__init__.py
 +++ b/src/calibre/gui2/metadata/__init__.py
 @@ -1,4 +1,4 @@
@@ -12311,8 +12312,8 @@ Index: b/src/calibre/gui2/metadata/__ini
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/metadata/basic_widgets.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/basic_widgets.py b/src/calibre/gui2/metadata/basic_widgets.py
+index 902945c6d2..1dcd03461c 100644
 --- a/src/calibre/gui2/metadata/basic_widgets.py
 +++ b/src/calibre/gui2/metadata/basic_widgets.py
 @@ -1,4 +1,4 @@
@@ -12321,8 +12322,8 @@ Index: b/src/calibre/gui2/metadata/basic
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/metadata/bulk_download.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/bulk_download.py b/src/calibre/gui2/metadata/bulk_download.py
+index c38b540230..36952e0768 100644
 --- a/src/calibre/gui2/metadata/bulk_download.py
 +++ b/src/calibre/gui2/metadata/bulk_download.py
 @@ -1,4 +1,4 @@
@@ -12331,8 +12332,8 @@ Index: b/src/calibre/gui2/metadata/bulk_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/metadata/config.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/config.py b/src/calibre/gui2/metadata/config.py
+index 0599181858..df64a46661 100644
 --- a/src/calibre/gui2/metadata/config.py
 +++ b/src/calibre/gui2/metadata/config.py
 @@ -1,4 +1,4 @@
@@ -12341,8 +12342,8 @@ Index: b/src/calibre/gui2/metadata/confi
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/metadata/diff.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/diff.py b/src/calibre/gui2/metadata/diff.py
+index 1c54071ad6..cab161c349 100644
 --- a/src/calibre/gui2/metadata/diff.py
 +++ b/src/calibre/gui2/metadata/diff.py
 @@ -1,4 +1,4 @@
@@ -12351,8 +12352,8 @@ Index: b/src/calibre/gui2/metadata/diff.
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/metadata/pdf_covers.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/pdf_covers.py b/src/calibre/gui2/metadata/pdf_covers.py
+index 370fa5a32c..b81b628c6d 100644
 --- a/src/calibre/gui2/metadata/pdf_covers.py
 +++ b/src/calibre/gui2/metadata/pdf_covers.py
 @@ -1,4 +1,4 @@
@@ -12361,8 +12362,8 @@ Index: b/src/calibre/gui2/metadata/pdf_c
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/metadata/single.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/single.py b/src/calibre/gui2/metadata/single.py
+index ce0785599e..8c8f927dde 100644
 --- a/src/calibre/gui2/metadata/single.py
 +++ b/src/calibre/gui2/metadata/single.py
 @@ -1,4 +1,4 @@
@@ -12371,8 +12372,8 @@ Index: b/src/calibre/gui2/metadata/singl
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/metadata/single_download.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/single_download.py b/src/calibre/gui2/metadata/single_download.py
+index d5ccd375fd..d963c5b7b0 100644
 --- a/src/calibre/gui2/metadata/single_download.py
 +++ b/src/calibre/gui2/metadata/single_download.py
 @@ -1,4 +1,4 @@
@@ -12381,8 +12382,8 @@ Index: b/src/calibre/gui2/metadata/singl
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/notify.py
-===================================================================
+diff --git a/src/calibre/gui2/notify.py b/src/calibre/gui2/notify.py
+index f1d5afd582..ac0421981f 100644
 --- a/src/calibre/gui2/notify.py
 +++ b/src/calibre/gui2/notify.py
 @@ -1,4 +1,4 @@
@@ -12391,8 +12392,8 @@ Index: b/src/calibre/gui2/notify.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/open_with.py
-===================================================================
+diff --git a/src/calibre/gui2/open_with.py b/src/calibre/gui2/open_with.py
+index 042b3e7bd1..59af75ada8 100644
 --- a/src/calibre/gui2/open_with.py
 +++ b/src/calibre/gui2/open_with.py
 @@ -1,4 +1,4 @@
@@ -12401,8 +12402,8 @@ Index: b/src/calibre/gui2/open_with.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/pin_columns.py
-===================================================================
+diff --git a/src/calibre/gui2/pin_columns.py b/src/calibre/gui2/pin_columns.py
+index 0c205784c3..1a0196ae45 100644
 --- a/src/calibre/gui2/pin_columns.py
 +++ b/src/calibre/gui2/pin_columns.py
 @@ -1,4 +1,4 @@
@@ -12411,8 +12412,8 @@ Index: b/src/calibre/gui2/pin_columns.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/preferences/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/__init__.py b/src/calibre/gui2/preferences/__init__.py
+index 65c3dd4d53..068fa5dd51 100644
 --- a/src/calibre/gui2/preferences/__init__.py
 +++ b/src/calibre/gui2/preferences/__init__.py
 @@ -1,4 +1,4 @@
@@ -12421,8 +12422,8 @@ Index: b/src/calibre/gui2/preferences/__
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/adding.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/adding.py b/src/calibre/gui2/preferences/adding.py
+index 675e9627c4..763c90ba8d 100644
 --- a/src/calibre/gui2/preferences/adding.py
 +++ b/src/calibre/gui2/preferences/adding.py
 @@ -1,4 +1,4 @@
@@ -12431,8 +12432,8 @@ Index: b/src/calibre/gui2/preferences/ad
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/behavior.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/behavior.py b/src/calibre/gui2/preferences/behavior.py
+index e93a449952..20ccb44803 100644
 --- a/src/calibre/gui2/preferences/behavior.py
 +++ b/src/calibre/gui2/preferences/behavior.py
 @@ -1,4 +1,4 @@
@@ -12441,8 +12442,8 @@ Index: b/src/calibre/gui2/preferences/be
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/coloring.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/coloring.py b/src/calibre/gui2/preferences/coloring.py
+index 162070d051..3425eb5783 100644
 --- a/src/calibre/gui2/preferences/coloring.py
 +++ b/src/calibre/gui2/preferences/coloring.py
 @@ -1,4 +1,4 @@
@@ -12451,8 +12452,8 @@ Index: b/src/calibre/gui2/preferences/co
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/columns.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/columns.py b/src/calibre/gui2/preferences/columns.py
+index 7e551be339..dc32c01d6a 100644
 --- a/src/calibre/gui2/preferences/columns.py
 +++ b/src/calibre/gui2/preferences/columns.py
 @@ -1,4 +1,4 @@
@@ -12461,8 +12462,8 @@ Index: b/src/calibre/gui2/preferences/co
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/conversion.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/conversion.py b/src/calibre/gui2/preferences/conversion.py
+index cf5891c081..b8236ed252 100644
 --- a/src/calibre/gui2/preferences/conversion.py
 +++ b/src/calibre/gui2/preferences/conversion.py
 @@ -1,4 +1,4 @@
@@ -12471,8 +12472,8 @@ Index: b/src/calibre/gui2/preferences/co
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/create_custom_column.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/create_custom_column.py b/src/calibre/gui2/preferences/create_custom_column.py
+index 150276d0f7..82b5466897 100644
 --- a/src/calibre/gui2/preferences/create_custom_column.py
 +++ b/src/calibre/gui2/preferences/create_custom_column.py
 @@ -1,4 +1,4 @@
@@ -12481,8 +12482,8 @@ Index: b/src/calibre/gui2/preferences/cr
  # vim:fileencoding=UTF-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/device_debug.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/device_debug.py b/src/calibre/gui2/preferences/device_debug.py
+index 6ea542e6e5..b7ea85b566 100644
 --- a/src/calibre/gui2/preferences/device_debug.py
 +++ b/src/calibre/gui2/preferences/device_debug.py
 @@ -1,4 +1,4 @@
@@ -12491,8 +12492,8 @@ Index: b/src/calibre/gui2/preferences/de
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/device_user_defined.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/device_user_defined.py b/src/calibre/gui2/preferences/device_user_defined.py
+index 88e02bf404..acc7e5c08b 100644
 --- a/src/calibre/gui2/preferences/device_user_defined.py
 +++ b/src/calibre/gui2/preferences/device_user_defined.py
 @@ -1,4 +1,4 @@
@@ -12501,8 +12502,8 @@ Index: b/src/calibre/gui2/preferences/de
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/emailp.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/emailp.py b/src/calibre/gui2/preferences/emailp.py
+index b03696d53b..ef0a6d3e72 100644
 --- a/src/calibre/gui2/preferences/emailp.py
 +++ b/src/calibre/gui2/preferences/emailp.py
 @@ -1,4 +1,4 @@
@@ -12511,8 +12512,8 @@ Index: b/src/calibre/gui2/preferences/em
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2010, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/preferences/history.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/history.py b/src/calibre/gui2/preferences/history.py
+index 951d3344ad..a27df1e324 100644
 --- a/src/calibre/gui2/preferences/history.py
 +++ b/src/calibre/gui2/preferences/history.py
 @@ -1,4 +1,4 @@
@@ -12521,8 +12522,8 @@ Index: b/src/calibre/gui2/preferences/hi
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/ignored_devices.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/ignored_devices.py b/src/calibre/gui2/preferences/ignored_devices.py
+index cef9ac0dc2..dcee3b3822 100644
 --- a/src/calibre/gui2/preferences/ignored_devices.py
 +++ b/src/calibre/gui2/preferences/ignored_devices.py
 @@ -1,4 +1,4 @@
@@ -12531,8 +12532,8 @@ Index: b/src/calibre/gui2/preferences/ig
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  # License: GPLv3 Copyright: 2012, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/preferences/keyboard.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/keyboard.py b/src/calibre/gui2/preferences/keyboard.py
+index 1540451590..1846a012d6 100644
 --- a/src/calibre/gui2/preferences/keyboard.py
 +++ b/src/calibre/gui2/preferences/keyboard.py
 @@ -1,4 +1,4 @@
@@ -12541,8 +12542,8 @@ Index: b/src/calibre/gui2/preferences/ke
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/look_feel.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/look_feel.py b/src/calibre/gui2/preferences/look_feel.py
+index 1e32b78402..c3cff466e6 100644
 --- a/src/calibre/gui2/preferences/look_feel.py
 +++ b/src/calibre/gui2/preferences/look_feel.py
 @@ -1,4 +1,4 @@
@@ -12551,8 +12552,8 @@ Index: b/src/calibre/gui2/preferences/lo
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/main.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/main.py b/src/calibre/gui2/preferences/main.py
+index d5473646e5..62acb94322 100644
 --- a/src/calibre/gui2/preferences/main.py
 +++ b/src/calibre/gui2/preferences/main.py
 @@ -1,4 +1,4 @@
@@ -12561,8 +12562,8 @@ Index: b/src/calibre/gui2/preferences/ma
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/metadata_sources.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/metadata_sources.py b/src/calibre/gui2/preferences/metadata_sources.py
+index 8bb556d645..e118d18f68 100644
 --- a/src/calibre/gui2/preferences/metadata_sources.py
 +++ b/src/calibre/gui2/preferences/metadata_sources.py
 @@ -1,4 +1,4 @@
@@ -12571,8 +12572,8 @@ Index: b/src/calibre/gui2/preferences/me
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/misc.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/misc.py b/src/calibre/gui2/preferences/misc.py
+index 668d79ac51..592fc29b29 100644
 --- a/src/calibre/gui2/preferences/misc.py
 +++ b/src/calibre/gui2/preferences/misc.py
 @@ -1,4 +1,4 @@
@@ -12581,8 +12582,8 @@ Index: b/src/calibre/gui2/preferences/mi
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/plugboard.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/plugboard.py b/src/calibre/gui2/preferences/plugboard.py
+index 783f2cbc47..a68f9e9092 100644
 --- a/src/calibre/gui2/preferences/plugboard.py
 +++ b/src/calibre/gui2/preferences/plugboard.py
 @@ -1,4 +1,4 @@
@@ -12591,8 +12592,8 @@ Index: b/src/calibre/gui2/preferences/pl
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/plugins.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/plugins.py b/src/calibre/gui2/preferences/plugins.py
+index 2e101965b0..07845dfcc7 100644
 --- a/src/calibre/gui2/preferences/plugins.py
 +++ b/src/calibre/gui2/preferences/plugins.py
 @@ -1,4 +1,4 @@
@@ -12601,8 +12602,8 @@ Index: b/src/calibre/gui2/preferences/pl
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/save_template.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/save_template.py b/src/calibre/gui2/preferences/save_template.py
+index 281b184d3f..ab6a2465aa 100644
 --- a/src/calibre/gui2/preferences/save_template.py
 +++ b/src/calibre/gui2/preferences/save_template.py
 @@ -1,4 +1,4 @@
@@ -12611,8 +12612,8 @@ Index: b/src/calibre/gui2/preferences/sa
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/saving.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/saving.py b/src/calibre/gui2/preferences/saving.py
+index 98093f1cbc..57cbceee56 100644
 --- a/src/calibre/gui2/preferences/saving.py
 +++ b/src/calibre/gui2/preferences/saving.py
 @@ -1,4 +1,4 @@
@@ -12621,8 +12622,8 @@ Index: b/src/calibre/gui2/preferences/sa
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/search.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/search.py b/src/calibre/gui2/preferences/search.py
+index 2df93f9ce8..ece060fb9b 100644
 --- a/src/calibre/gui2/preferences/search.py
 +++ b/src/calibre/gui2/preferences/search.py
 @@ -1,4 +1,4 @@
@@ -12631,8 +12632,8 @@ Index: b/src/calibre/gui2/preferences/se
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/sending.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/sending.py b/src/calibre/gui2/preferences/sending.py
+index 6019517487..1501f0a80b 100644
 --- a/src/calibre/gui2/preferences/sending.py
 +++ b/src/calibre/gui2/preferences/sending.py
 @@ -1,4 +1,4 @@
@@ -12641,8 +12642,8 @@ Index: b/src/calibre/gui2/preferences/se
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/server.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/server.py b/src/calibre/gui2/preferences/server.py
+index 64c02e7479..48d6fc77c0 100644
 --- a/src/calibre/gui2/preferences/server.py
 +++ b/src/calibre/gui2/preferences/server.py
 @@ -1,4 +1,4 @@
@@ -12651,8 +12652,8 @@ Index: b/src/calibre/gui2/preferences/se
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2010, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/preferences/template_functions.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/template_functions.py b/src/calibre/gui2/preferences/template_functions.py
+index d4693e3dc9..79bc815c2c 100644
 --- a/src/calibre/gui2/preferences/template_functions.py
 +++ b/src/calibre/gui2/preferences/template_functions.py
 @@ -1,4 +1,4 @@
@@ -12661,8 +12662,8 @@ Index: b/src/calibre/gui2/preferences/te
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/texture_chooser.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/texture_chooser.py b/src/calibre/gui2/preferences/texture_chooser.py
+index ba7f72f6f7..15d8e22af8 100644
 --- a/src/calibre/gui2/preferences/texture_chooser.py
 +++ b/src/calibre/gui2/preferences/texture_chooser.py
 @@ -1,4 +1,4 @@
@@ -12671,8 +12672,8 @@ Index: b/src/calibre/gui2/preferences/te
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/toolbar.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/toolbar.py b/src/calibre/gui2/preferences/toolbar.py
+index 4104f3a506..524b17b48b 100644
 --- a/src/calibre/gui2/preferences/toolbar.py
 +++ b/src/calibre/gui2/preferences/toolbar.py
 @@ -1,4 +1,4 @@
@@ -12681,8 +12682,8 @@ Index: b/src/calibre/gui2/preferences/to
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/preferences/tweaks.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/tweaks.py b/src/calibre/gui2/preferences/tweaks.py
+index 83deb99c93..5531ef9e9e 100644
 --- a/src/calibre/gui2/preferences/tweaks.py
 +++ b/src/calibre/gui2/preferences/tweaks.py
 @@ -1,4 +1,4 @@
@@ -12691,8 +12692,8 @@ Index: b/src/calibre/gui2/preferences/tw
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2010, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/proceed.py
-===================================================================
+diff --git a/src/calibre/gui2/proceed.py b/src/calibre/gui2/proceed.py
+index 977932a31e..f182298aec 100644
 --- a/src/calibre/gui2/proceed.py
 +++ b/src/calibre/gui2/proceed.py
 @@ -1,4 +1,4 @@
@@ -12701,8 +12702,8 @@ Index: b/src/calibre/gui2/proceed.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/progress_indicator/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/progress_indicator/__init__.py b/src/calibre/gui2/progress_indicator/__init__.py
+index c3cc721c94..1c2866ef87 100644
 --- a/src/calibre/gui2/progress_indicator/__init__.py
 +++ b/src/calibre/gui2/progress_indicator/__init__.py
 @@ -1,4 +1,4 @@
@@ -12711,8 +12712,8 @@ Index: b/src/calibre/gui2/progress_indic
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/qt_file_dialogs.py
-===================================================================
+diff --git a/src/calibre/gui2/qt_file_dialogs.py b/src/calibre/gui2/qt_file_dialogs.py
+index bf6cca6503..7f2d66b3d6 100644
 --- a/src/calibre/gui2/qt_file_dialogs.py
 +++ b/src/calibre/gui2/qt_file_dialogs.py
 @@ -1,4 +1,4 @@
@@ -12721,8 +12722,8 @@ Index: b/src/calibre/gui2/qt_file_dialog
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/save.py
-===================================================================
+diff --git a/src/calibre/gui2/save.py b/src/calibre/gui2/save.py
+index 3c0d71b305..5b89270979 100644
 --- a/src/calibre/gui2/save.py
 +++ b/src/calibre/gui2/save.py
 @@ -1,4 +1,4 @@
@@ -12731,8 +12732,8 @@ Index: b/src/calibre/gui2/save.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/search_box.py
-===================================================================
+diff --git a/src/calibre/gui2/search_box.py b/src/calibre/gui2/search_box.py
+index 4592d75c53..e12c383e8e 100644
 --- a/src/calibre/gui2/search_box.py
 +++ b/src/calibre/gui2/search_box.py
 @@ -1,4 +1,4 @@
@@ -12741,8 +12742,8 @@ Index: b/src/calibre/gui2/search_box.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/search_restriction_mixin.py
-===================================================================
+diff --git a/src/calibre/gui2/search_restriction_mixin.py b/src/calibre/gui2/search_restriction_mixin.py
+index 401fc016d6..96572e75b1 100644
 --- a/src/calibre/gui2/search_restriction_mixin.py
 +++ b/src/calibre/gui2/search_restriction_mixin.py
 @@ -1,4 +1,4 @@
@@ -12751,8 +12752,8 @@ Index: b/src/calibre/gui2/search_restric
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/shortcuts.py
-===================================================================
+diff --git a/src/calibre/gui2/shortcuts.py b/src/calibre/gui2/shortcuts.py
+index 4f64be603f..f81093bcc0 100644
 --- a/src/calibre/gui2/shortcuts.py
 +++ b/src/calibre/gui2/shortcuts.py
 @@ -1,4 +1,4 @@
@@ -12761,8 +12762,8 @@ Index: b/src/calibre/gui2/shortcuts.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/splash_screen.py
-===================================================================
+diff --git a/src/calibre/gui2/splash_screen.py b/src/calibre/gui2/splash_screen.py
+index fbf2618df4..1af52acf9d 100644
 --- a/src/calibre/gui2/splash_screen.py
 +++ b/src/calibre/gui2/splash_screen.py
 @@ -1,4 +1,4 @@
@@ -12771,8 +12772,8 @@ Index: b/src/calibre/gui2/splash_screen.
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/store/loader.py
-===================================================================
+diff --git a/src/calibre/gui2/store/loader.py b/src/calibre/gui2/store/loader.py
+index e235450cce..6effe76382 100644
 --- a/src/calibre/gui2/store/loader.py
 +++ b/src/calibre/gui2/store/loader.py
 @@ -1,4 +1,4 @@
@@ -12781,8 +12782,8 @@ Index: b/src/calibre/gui2/store/loader.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/store/stores/amazon_au_plugin.py
-===================================================================
+diff --git a/src/calibre/gui2/store/stores/amazon_au_plugin.py b/src/calibre/gui2/store/stores/amazon_au_plugin.py
+index 2c9bd351a8..638ae0f7ed 100644
 --- a/src/calibre/gui2/store/stores/amazon_au_plugin.py
 +++ b/src/calibre/gui2/store/stores/amazon_au_plugin.py
 @@ -1,4 +1,4 @@
@@ -12791,8 +12792,8 @@ Index: b/src/calibre/gui2/store/stores/a
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/store/stores/amazon_ca_plugin.py
-===================================================================
+diff --git a/src/calibre/gui2/store/stores/amazon_ca_plugin.py b/src/calibre/gui2/store/stores/amazon_ca_plugin.py
+index 17f2d986a6..bd4bcbde3b 100644
 --- a/src/calibre/gui2/store/stores/amazon_ca_plugin.py
 +++ b/src/calibre/gui2/store/stores/amazon_ca_plugin.py
 @@ -1,4 +1,4 @@
@@ -12801,8 +12802,8 @@ Index: b/src/calibre/gui2/store/stores/a
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/store/stores/amazon_de_plugin.py
-===================================================================
+diff --git a/src/calibre/gui2/store/stores/amazon_de_plugin.py b/src/calibre/gui2/store/stores/amazon_de_plugin.py
+index e04d1d2824..a77fa30de5 100644
 --- a/src/calibre/gui2/store/stores/amazon_de_plugin.py
 +++ b/src/calibre/gui2/store/stores/amazon_de_plugin.py
 @@ -1,4 +1,4 @@
@@ -12811,8 +12812,8 @@ Index: b/src/calibre/gui2/store/stores/a
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/store/stores/amazon_es_plugin.py
-===================================================================
+diff --git a/src/calibre/gui2/store/stores/amazon_es_plugin.py b/src/calibre/gui2/store/stores/amazon_es_plugin.py
+index a36300a43d..7014664df2 100644
 --- a/src/calibre/gui2/store/stores/amazon_es_plugin.py
 +++ b/src/calibre/gui2/store/stores/amazon_es_plugin.py
 @@ -1,4 +1,4 @@
@@ -12821,8 +12822,8 @@ Index: b/src/calibre/gui2/store/stores/a
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/store/stores/amazon_fr_plugin.py
-===================================================================
+diff --git a/src/calibre/gui2/store/stores/amazon_fr_plugin.py b/src/calibre/gui2/store/stores/amazon_fr_plugin.py
+index e094a81c35..620ce5bc46 100644
 --- a/src/calibre/gui2/store/stores/amazon_fr_plugin.py
 +++ b/src/calibre/gui2/store/stores/amazon_fr_plugin.py
 @@ -1,4 +1,4 @@
@@ -12831,8 +12832,8 @@ Index: b/src/calibre/gui2/store/stores/a
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/store/stores/amazon_in_plugin.py
-===================================================================
+diff --git a/src/calibre/gui2/store/stores/amazon_in_plugin.py b/src/calibre/gui2/store/stores/amazon_in_plugin.py
+index 9399f0ef47..1a28be4196 100644
 --- a/src/calibre/gui2/store/stores/amazon_in_plugin.py
 +++ b/src/calibre/gui2/store/stores/amazon_in_plugin.py
 @@ -1,4 +1,4 @@
@@ -12841,8 +12842,8 @@ Index: b/src/calibre/gui2/store/stores/a
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/store/stores/amazon_it_plugin.py
-===================================================================
+diff --git a/src/calibre/gui2/store/stores/amazon_it_plugin.py b/src/calibre/gui2/store/stores/amazon_it_plugin.py
+index 0fd043e799..5b14c15d8e 100644
 --- a/src/calibre/gui2/store/stores/amazon_it_plugin.py
 +++ b/src/calibre/gui2/store/stores/amazon_it_plugin.py
 @@ -1,4 +1,4 @@
@@ -12851,8 +12852,8 @@ Index: b/src/calibre/gui2/store/stores/a
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/store/stores/amazon_plugin.py
-===================================================================
+diff --git a/src/calibre/gui2/store/stores/amazon_plugin.py b/src/calibre/gui2/store/stores/amazon_plugin.py
+index 34858f1c07..a00f508b85 100644
 --- a/src/calibre/gui2/store/stores/amazon_plugin.py
 +++ b/src/calibre/gui2/store/stores/amazon_plugin.py
 @@ -1,4 +1,4 @@
@@ -12861,8 +12862,8 @@ Index: b/src/calibre/gui2/store/stores/a
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/store/stores/amazon_uk_plugin.py
-===================================================================
+diff --git a/src/calibre/gui2/store/stores/amazon_uk_plugin.py b/src/calibre/gui2/store/stores/amazon_uk_plugin.py
+index fc3fbfa0bc..d2b07b611d 100644
 --- a/src/calibre/gui2/store/stores/amazon_uk_plugin.py
 +++ b/src/calibre/gui2/store/stores/amazon_uk_plugin.py
 @@ -1,4 +1,4 @@
@@ -12871,8 +12872,8 @@ Index: b/src/calibre/gui2/store/stores/a
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/store/web_store.py
-===================================================================
+diff --git a/src/calibre/gui2/store/web_store.py b/src/calibre/gui2/store/web_store.py
+index 5f2ff6b29a..45043e1b36 100644
 --- a/src/calibre/gui2/store/web_store.py
 +++ b/src/calibre/gui2/store/web_store.py
 @@ -1,4 +1,4 @@
@@ -12881,8 +12882,8 @@ Index: b/src/calibre/gui2/store/web_stor
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/store/web_store_dialog.py
-===================================================================
+diff --git a/src/calibre/gui2/store/web_store_dialog.py b/src/calibre/gui2/store/web_store_dialog.py
+index bb0934a97f..23d01e42f6 100644
 --- a/src/calibre/gui2/store/web_store_dialog.py
 +++ b/src/calibre/gui2/store/web_store_dialog.py
 @@ -1,4 +1,4 @@
@@ -12891,8 +12892,8 @@ Index: b/src/calibre/gui2/store/web_stor
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/tag_browser/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/tag_browser/__init__.py b/src/calibre/gui2/tag_browser/__init__.py
+index 1b26a78776..ec9ca8ff95 100644
 --- a/src/calibre/gui2/tag_browser/__init__.py
 +++ b/src/calibre/gui2/tag_browser/__init__.py
 @@ -1,4 +1,4 @@
@@ -12901,8 +12902,8 @@ Index: b/src/calibre/gui2/tag_browser/__
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tag_browser/model.py
-===================================================================
+diff --git a/src/calibre/gui2/tag_browser/model.py b/src/calibre/gui2/tag_browser/model.py
+index 5db4eb7bb3..0e446de644 100644
 --- a/src/calibre/gui2/tag_browser/model.py
 +++ b/src/calibre/gui2/tag_browser/model.py
 @@ -1,4 +1,4 @@
@@ -12911,8 +12912,8 @@ Index: b/src/calibre/gui2/tag_browser/mo
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tag_browser/ui.py
-===================================================================
+diff --git a/src/calibre/gui2/tag_browser/ui.py b/src/calibre/gui2/tag_browser/ui.py
+index 67685f0122..2b4443fa95 100644
 --- a/src/calibre/gui2/tag_browser/ui.py
 +++ b/src/calibre/gui2/tag_browser/ui.py
 @@ -1,4 +1,4 @@
@@ -12921,8 +12922,8 @@ Index: b/src/calibre/gui2/tag_browser/ui
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tag_browser/view.py
-===================================================================
+diff --git a/src/calibre/gui2/tag_browser/view.py b/src/calibre/gui2/tag_browser/view.py
+index 4babbb5417..09a66d9504 100644
 --- a/src/calibre/gui2/tag_browser/view.py
 +++ b/src/calibre/gui2/tag_browser/view.py
 @@ -1,4 +1,4 @@
@@ -12931,8 +12932,8 @@ Index: b/src/calibre/gui2/tag_browser/vi
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tag_mapper.py
-===================================================================
+diff --git a/src/calibre/gui2/tag_mapper.py b/src/calibre/gui2/tag_mapper.py
+index 4745509036..4005c9bba8 100644
 --- a/src/calibre/gui2/tag_mapper.py
 +++ b/src/calibre/gui2/tag_mapper.py
 @@ -1,4 +1,4 @@
@@ -12941,8 +12942,8 @@ Index: b/src/calibre/gui2/tag_mapper.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/threaded_jobs.py
-===================================================================
+diff --git a/src/calibre/gui2/threaded_jobs.py b/src/calibre/gui2/threaded_jobs.py
+index d59dc39b5f..035eae4f13 100644
 --- a/src/calibre/gui2/threaded_jobs.py
 +++ b/src/calibre/gui2/threaded_jobs.py
 @@ -1,4 +1,4 @@
@@ -12951,8 +12952,8 @@ Index: b/src/calibre/gui2/threaded_jobs.
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/throbber.py
-===================================================================
+diff --git a/src/calibre/gui2/throbber.py b/src/calibre/gui2/throbber.py
+index fea14f8b0c..888afa46be 100644
 --- a/src/calibre/gui2/throbber.py
 +++ b/src/calibre/gui2/throbber.py
 @@ -1,4 +1,4 @@
@@ -12961,8 +12962,8 @@ Index: b/src/calibre/gui2/throbber.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/toc/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/toc/__init__.py b/src/calibre/gui2/toc/__init__.py
+index 64be92cd03..d26359eab9 100644
 --- a/src/calibre/gui2/toc/__init__.py
 +++ b/src/calibre/gui2/toc/__init__.py
 @@ -1,4 +1,4 @@
@@ -12971,8 +12972,8 @@ Index: b/src/calibre/gui2/toc/__init__.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/toc/location.py
-===================================================================
+diff --git a/src/calibre/gui2/toc/location.py b/src/calibre/gui2/toc/location.py
+index e54e0dab4d..ab283fcf41 100644
 --- a/src/calibre/gui2/toc/location.py
 +++ b/src/calibre/gui2/toc/location.py
 @@ -1,4 +1,4 @@
@@ -12981,8 +12982,8 @@ Index: b/src/calibre/gui2/toc/location.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  # License: GPLv3 Copyright: 2013, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/toc/main.py
-===================================================================
+diff --git a/src/calibre/gui2/toc/main.py b/src/calibre/gui2/toc/main.py
+index b9be2e5224..61e9b32182 100644
 --- a/src/calibre/gui2/toc/main.py
 +++ b/src/calibre/gui2/toc/main.py
 @@ -1,4 +1,4 @@
@@ -12991,8 +12992,8 @@ Index: b/src/calibre/gui2/toc/main.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  # License: GPLv3 Copyright: 2013, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/tools.py
-===================================================================
+diff --git a/src/calibre/gui2/tools.py b/src/calibre/gui2/tools.py
+index c9f1c47bdd..c2406f70a3 100644
 --- a/src/calibre/gui2/tools.py
 +++ b/src/calibre/gui2/tools.py
 @@ -1,4 +1,4 @@
@@ -13001,8 +13002,8 @@ Index: b/src/calibre/gui2/tools.py
  from __future__ import absolute_import, division, print_function, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/gui2/tweak_book/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/__init__.py b/src/calibre/gui2/tweak_book/__init__.py
+index 65c7a6901c..4833e480d5 100644
 --- a/src/calibre/gui2/tweak_book/__init__.py
 +++ b/src/calibre/gui2/tweak_book/__init__.py
 @@ -1,4 +1,4 @@
@@ -13011,8 +13012,8 @@ Index: b/src/calibre/gui2/tweak_book/__i
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/boss.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/boss.py b/src/calibre/gui2/tweak_book/boss.py
+index b933e6542c..9a29ddd5fd 100644
 --- a/src/calibre/gui2/tweak_book/boss.py
 +++ b/src/calibre/gui2/tweak_book/boss.py
 @@ -1,4 +1,4 @@
@@ -13021,8 +13022,8 @@ Index: b/src/calibre/gui2/tweak_book/bos
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2013, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/tweak_book/char_select.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/char_select.py b/src/calibre/gui2/tweak_book/char_select.py
+index 61c619f822..ea99570dfb 100644
 --- a/src/calibre/gui2/tweak_book/char_select.py
 +++ b/src/calibre/gui2/tweak_book/char_select.py
 @@ -1,4 +1,4 @@
@@ -13031,8 +13032,8 @@ Index: b/src/calibre/gui2/tweak_book/cha
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/check.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/check.py b/src/calibre/gui2/tweak_book/check.py
+index 86dd396fc7..2d5510551b 100644
 --- a/src/calibre/gui2/tweak_book/check.py
 +++ b/src/calibre/gui2/tweak_book/check.py
 @@ -1,4 +1,4 @@
@@ -13041,8 +13042,8 @@ Index: b/src/calibre/gui2/tweak_book/che
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/check_links.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/check_links.py b/src/calibre/gui2/tweak_book/check_links.py
+index 7b51f1aa6b..22d8ff0ebd 100644
 --- a/src/calibre/gui2/tweak_book/check_links.py
 +++ b/src/calibre/gui2/tweak_book/check_links.py
 @@ -1,4 +1,4 @@
@@ -13051,8 +13052,8 @@ Index: b/src/calibre/gui2/tweak_book/che
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/tweak_book/completion/basic.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/completion/basic.py b/src/calibre/gui2/tweak_book/completion/basic.py
+index a40d88a2ac..9c18ff7689 100644
 --- a/src/calibre/gui2/tweak_book/completion/basic.py
 +++ b/src/calibre/gui2/tweak_book/completion/basic.py
 @@ -1,4 +1,4 @@
@@ -13061,8 +13062,8 @@ Index: b/src/calibre/gui2/tweak_book/com
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/completion/popup.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/completion/popup.py b/src/calibre/gui2/tweak_book/completion/popup.py
+index 456de5efed..502df11daa 100644
 --- a/src/calibre/gui2/tweak_book/completion/popup.py
 +++ b/src/calibre/gui2/tweak_book/completion/popup.py
 @@ -1,4 +1,4 @@
@@ -13071,8 +13072,8 @@ Index: b/src/calibre/gui2/tweak_book/com
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/completion/utils.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/completion/utils.py b/src/calibre/gui2/tweak_book/completion/utils.py
+index aeb5a4969a..51ffe1c20a 100644
 --- a/src/calibre/gui2/tweak_book/completion/utils.py
 +++ b/src/calibre/gui2/tweak_book/completion/utils.py
 @@ -1,4 +1,4 @@
@@ -13081,8 +13082,8 @@ Index: b/src/calibre/gui2/tweak_book/com
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/completion/worker.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/completion/worker.py b/src/calibre/gui2/tweak_book/completion/worker.py
+index 5229b30433..a79b5c96db 100644
 --- a/src/calibre/gui2/tweak_book/completion/worker.py
 +++ b/src/calibre/gui2/tweak_book/completion/worker.py
 @@ -1,4 +1,4 @@
@@ -13091,8 +13092,8 @@ Index: b/src/calibre/gui2/tweak_book/com
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/diff/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/diff/__init__.py b/src/calibre/gui2/tweak_book/diff/__init__.py
+index 3245316fbf..e8ff181102 100644
 --- a/src/calibre/gui2/tweak_book/diff/__init__.py
 +++ b/src/calibre/gui2/tweak_book/diff/__init__.py
 @@ -1,4 +1,4 @@
@@ -13101,8 +13102,8 @@ Index: b/src/calibre/gui2/tweak_book/dif
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/diff/highlight.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/diff/highlight.py b/src/calibre/gui2/tweak_book/diff/highlight.py
+index c8905a8cff..6fea7f21b5 100644
 --- a/src/calibre/gui2/tweak_book/diff/highlight.py
 +++ b/src/calibre/gui2/tweak_book/diff/highlight.py
 @@ -1,4 +1,4 @@
@@ -13111,8 +13112,8 @@ Index: b/src/calibre/gui2/tweak_book/dif
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/diff/main.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/diff/main.py b/src/calibre/gui2/tweak_book/diff/main.py
+index a884aa40ae..f952170f5a 100644
 --- a/src/calibre/gui2/tweak_book/diff/main.py
 +++ b/src/calibre/gui2/tweak_book/diff/main.py
 @@ -1,4 +1,4 @@
@@ -13121,8 +13122,8 @@ Index: b/src/calibre/gui2/tweak_book/dif
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/diff/view.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/diff/view.py b/src/calibre/gui2/tweak_book/diff/view.py
+index 3963666322..d6a58ba93a 100644
 --- a/src/calibre/gui2/tweak_book/diff/view.py
 +++ b/src/calibre/gui2/tweak_book/diff/view.py
 @@ -1,4 +1,4 @@
@@ -13131,8 +13132,8 @@ Index: b/src/calibre/gui2/tweak_book/dif
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/download.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/download.py b/src/calibre/gui2/tweak_book/download.py
+index d81f66bac5..d4c7c094ed 100644
 --- a/src/calibre/gui2/tweak_book/download.py
 +++ b/src/calibre/gui2/tweak_book/download.py
 @@ -1,4 +1,4 @@
@@ -13141,8 +13142,8 @@ Index: b/src/calibre/gui2/tweak_book/dow
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/tweak_book/editor/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/__init__.py b/src/calibre/gui2/tweak_book/editor/__init__.py
+index 7eccdef8ef..3b850caf95 100644
 --- a/src/calibre/gui2/tweak_book/editor/__init__.py
 +++ b/src/calibre/gui2/tweak_book/editor/__init__.py
 @@ -1,4 +1,4 @@
@@ -13151,8 +13152,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/canvas.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/canvas.py b/src/calibre/gui2/tweak_book/editor/canvas.py
+index 01073042bc..0b7b3b2c42 100644
 --- a/src/calibre/gui2/tweak_book/editor/canvas.py
 +++ b/src/calibre/gui2/tweak_book/editor/canvas.py
 @@ -1,4 +1,4 @@
@@ -13161,8 +13162,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/comments.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/comments.py b/src/calibre/gui2/tweak_book/editor/comments.py
+index b9e7d58b4d..76a3f7207c 100644
 --- a/src/calibre/gui2/tweak_book/editor/comments.py
 +++ b/src/calibre/gui2/tweak_book/editor/comments.py
 @@ -1,4 +1,4 @@
@@ -13171,8 +13172,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/tweak_book/editor/help.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/help.py b/src/calibre/gui2/tweak_book/editor/help.py
+index 807b98648f..fca7cbe905 100644
 --- a/src/calibre/gui2/tweak_book/editor/help.py
 +++ b/src/calibre/gui2/tweak_book/editor/help.py
 @@ -1,4 +1,4 @@
@@ -13181,8 +13182,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/image.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/image.py b/src/calibre/gui2/tweak_book/editor/image.py
+index e1c2148d82..ec00f7fac5 100644
 --- a/src/calibre/gui2/tweak_book/editor/image.py
 +++ b/src/calibre/gui2/tweak_book/editor/image.py
 @@ -1,4 +1,4 @@
@@ -13191,8 +13192,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/insert_resource.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/insert_resource.py b/src/calibre/gui2/tweak_book/editor/insert_resource.py
+index 24ddc88ed5..44d44e4b3c 100644
 --- a/src/calibre/gui2/tweak_book/editor/insert_resource.py
 +++ b/src/calibre/gui2/tweak_book/editor/insert_resource.py
 @@ -1,4 +1,4 @@
@@ -13201,8 +13202,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/smarts/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/smarts/__init__.py b/src/calibre/gui2/tweak_book/editor/smarts/__init__.py
+index 1e255d779a..186097ae7d 100644
 --- a/src/calibre/gui2/tweak_book/editor/smarts/__init__.py
 +++ b/src/calibre/gui2/tweak_book/editor/smarts/__init__.py
 @@ -1,4 +1,4 @@
@@ -13211,8 +13212,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/smarts/css.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/smarts/css.py b/src/calibre/gui2/tweak_book/editor/smarts/css.py
+index 0a41e018dd..e47804a0e4 100644
 --- a/src/calibre/gui2/tweak_book/editor/smarts/css.py
 +++ b/src/calibre/gui2/tweak_book/editor/smarts/css.py
 @@ -1,4 +1,4 @@
@@ -13221,8 +13222,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/smarts/html.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/smarts/html.py b/src/calibre/gui2/tweak_book/editor/smarts/html.py
+index 45c4af2915..7196e90c06 100644
 --- a/src/calibre/gui2/tweak_book/editor/smarts/html.py
 +++ b/src/calibre/gui2/tweak_book/editor/smarts/html.py
 @@ -1,4 +1,4 @@
@@ -13231,8 +13232,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/smarts/python.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/smarts/python.py b/src/calibre/gui2/tweak_book/editor/smarts/python.py
+index cf47fa8b6f..4167171457 100644
 --- a/src/calibre/gui2/tweak_book/editor/smarts/python.py
 +++ b/src/calibre/gui2/tweak_book/editor/smarts/python.py
 @@ -1,4 +1,4 @@
@@ -13241,8 +13242,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/smarts/utils.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/smarts/utils.py b/src/calibre/gui2/tweak_book/editor/smarts/utils.py
+index bb754f0013..53ce86092c 100644
 --- a/src/calibre/gui2/tweak_book/editor/smarts/utils.py
 +++ b/src/calibre/gui2/tweak_book/editor/smarts/utils.py
 @@ -1,4 +1,4 @@
@@ -13251,8 +13252,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/snippets.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/snippets.py b/src/calibre/gui2/tweak_book/editor/snippets.py
+index a6ddf05f1f..732640f682 100644
 --- a/src/calibre/gui2/tweak_book/editor/snippets.py
 +++ b/src/calibre/gui2/tweak_book/editor/snippets.py
 @@ -1,4 +1,4 @@
@@ -13261,8 +13262,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/__init__.py b/src/calibre/gui2/tweak_book/editor/syntax/__init__.py
+index d9dc36506c..69376f9ebd 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/__init__.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/__init__.py
 @@ -1,4 +1,4 @@
@@ -13271,8 +13272,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/base.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/base.py b/src/calibre/gui2/tweak_book/editor/syntax/base.py
+index 12d7a8d291..0e2f4031be 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/base.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/base.py
 @@ -1,4 +1,4 @@
@@ -13281,8 +13282,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/css.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/css.py b/src/calibre/gui2/tweak_book/editor/syntax/css.py
+index 1f1d117221..0634c8e875 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/css.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/css.py
 @@ -1,4 +1,4 @@
@@ -13291,8 +13292,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/html.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/html.py b/src/calibre/gui2/tweak_book/editor/syntax/html.py
+index 6b246e8207..a3d5d157e9 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/html.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/html.py
 @@ -1,4 +1,4 @@
@@ -13301,8 +13302,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/javascript.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/javascript.py b/src/calibre/gui2/tweak_book/editor/syntax/javascript.py
+index 4b13636eb3..83a0af6f67 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/javascript.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/javascript.py
 @@ -1,4 +1,4 @@
@@ -13311,8 +13312,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/pygments_highlighter.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/pygments_highlighter.py b/src/calibre/gui2/tweak_book/editor/syntax/pygments_highlighter.py
+index 94887d9bc7..2b88d6984a 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/pygments_highlighter.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/pygments_highlighter.py
 @@ -1,4 +1,4 @@
@@ -13321,8 +13322,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/python.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/python.py b/src/calibre/gui2/tweak_book/editor/syntax/python.py
+index c3b1dfdee1..929f07a66d 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/python.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/python.py
 @@ -1,4 +1,4 @@
@@ -13331,8 +13332,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/utils.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/utils.py b/src/calibre/gui2/tweak_book/editor/syntax/utils.py
+index 1cf538da36..9604a044c8 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/utils.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/utils.py
 @@ -1,4 +1,4 @@
@@ -13341,8 +13342,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/xml.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/xml.py b/src/calibre/gui2/tweak_book/editor/syntax/xml.py
+index 9c475658a7..4b275e645b 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/xml.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/xml.py
 @@ -1,4 +1,4 @@
@@ -13351,8 +13352,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/text.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/text.py b/src/calibre/gui2/tweak_book/editor/text.py
+index aceaf6d154..9b5bd84480 100644
 --- a/src/calibre/gui2/tweak_book/editor/text.py
 +++ b/src/calibre/gui2/tweak_book/editor/text.py
 @@ -1,4 +1,4 @@
@@ -13361,8 +13362,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2013, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/tweak_book/editor/themes.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/themes.py b/src/calibre/gui2/tweak_book/editor/themes.py
+index 0d6cbed153..37a9c9e44a 100644
 --- a/src/calibre/gui2/tweak_book/editor/themes.py
 +++ b/src/calibre/gui2/tweak_book/editor/themes.py
 @@ -1,4 +1,4 @@
@@ -13371,8 +13372,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/editor/widget.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/widget.py b/src/calibre/gui2/tweak_book/editor/widget.py
+index 1b5999c03a..1706b17284 100644
 --- a/src/calibre/gui2/tweak_book/editor/widget.py
 +++ b/src/calibre/gui2/tweak_book/editor/widget.py
 @@ -1,4 +1,4 @@
@@ -13381,8 +13382,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/file_list.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/file_list.py b/src/calibre/gui2/tweak_book/file_list.py
+index 477aa5b451..8a036373ed 100644
 --- a/src/calibre/gui2/tweak_book/file_list.py
 +++ b/src/calibre/gui2/tweak_book/file_list.py
 @@ -1,4 +1,4 @@
@@ -13391,8 +13392,8 @@ Index: b/src/calibre/gui2/tweak_book/fil
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2013, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/tweak_book/function_replace.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/function_replace.py b/src/calibre/gui2/tweak_book/function_replace.py
+index 219719c694..e39bc1ef31 100644
 --- a/src/calibre/gui2/tweak_book/function_replace.py
 +++ b/src/calibre/gui2/tweak_book/function_replace.py
 @@ -1,4 +1,4 @@
@@ -13401,8 +13402,8 @@ Index: b/src/calibre/gui2/tweak_book/fun
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/job.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/job.py b/src/calibre/gui2/tweak_book/job.py
+index 2c77645329..8d0f98322a 100644
 --- a/src/calibre/gui2/tweak_book/job.py
 +++ b/src/calibre/gui2/tweak_book/job.py
 @@ -1,4 +1,4 @@
@@ -13411,8 +13412,8 @@ Index: b/src/calibre/gui2/tweak_book/job
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/live_css.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/live_css.py b/src/calibre/gui2/tweak_book/live_css.py
+index ae1f9960fb..501fe7f5dc 100644
 --- a/src/calibre/gui2/tweak_book/live_css.py
 +++ b/src/calibre/gui2/tweak_book/live_css.py
 @@ -1,4 +1,4 @@
@@ -13421,8 +13422,8 @@ Index: b/src/calibre/gui2/tweak_book/liv
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/main.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/main.py b/src/calibre/gui2/tweak_book/main.py
+index 76b888c765..80d7ad5724 100644
 --- a/src/calibre/gui2/tweak_book/main.py
 +++ b/src/calibre/gui2/tweak_book/main.py
 @@ -1,4 +1,4 @@
@@ -13431,8 +13432,8 @@ Index: b/src/calibre/gui2/tweak_book/mai
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/manage_fonts.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/manage_fonts.py b/src/calibre/gui2/tweak_book/manage_fonts.py
+index 49246b1462..a7bc241a93 100644
 --- a/src/calibre/gui2/tweak_book/manage_fonts.py
 +++ b/src/calibre/gui2/tweak_book/manage_fonts.py
 @@ -1,4 +1,4 @@
@@ -13441,8 +13442,8 @@ Index: b/src/calibre/gui2/tweak_book/man
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/plugin.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/plugin.py b/src/calibre/gui2/tweak_book/plugin.py
+index 76dc259808..2729b6f4a8 100644
 --- a/src/calibre/gui2/tweak_book/plugin.py
 +++ b/src/calibre/gui2/tweak_book/plugin.py
 @@ -1,4 +1,4 @@
@@ -13451,8 +13452,8 @@ Index: b/src/calibre/gui2/tweak_book/plu
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/polish.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/polish.py b/src/calibre/gui2/tweak_book/polish.py
+index 3dd6e95039..022959e176 100644
 --- a/src/calibre/gui2/tweak_book/polish.py
 +++ b/src/calibre/gui2/tweak_book/polish.py
 @@ -1,4 +1,4 @@
@@ -13461,8 +13462,8 @@ Index: b/src/calibre/gui2/tweak_book/pol
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/preferences.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/preferences.py b/src/calibre/gui2/tweak_book/preferences.py
+index 79af4714f8..cd7192fb1a 100644
 --- a/src/calibre/gui2/tweak_book/preferences.py
 +++ b/src/calibre/gui2/tweak_book/preferences.py
 @@ -1,4 +1,4 @@
@@ -13471,8 +13472,8 @@ Index: b/src/calibre/gui2/tweak_book/pre
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/preview.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/preview.py b/src/calibre/gui2/tweak_book/preview.py
+index e6804113ef..dc17eaad2e 100644
 --- a/src/calibre/gui2/tweak_book/preview.py
 +++ b/src/calibre/gui2/tweak_book/preview.py
 @@ -1,4 +1,4 @@
@@ -13481,8 +13482,8 @@ Index: b/src/calibre/gui2/tweak_book/pre
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/tweak_book/reports.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/reports.py b/src/calibre/gui2/tweak_book/reports.py
+index 323ed21602..011998de0c 100644
 --- a/src/calibre/gui2/tweak_book/reports.py
 +++ b/src/calibre/gui2/tweak_book/reports.py
 @@ -1,4 +1,4 @@
@@ -13491,8 +13492,8 @@ Index: b/src/calibre/gui2/tweak_book/rep
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/save.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/save.py b/src/calibre/gui2/tweak_book/save.py
+index 60ef6260d2..8fd5b49eec 100644
 --- a/src/calibre/gui2/tweak_book/save.py
 +++ b/src/calibre/gui2/tweak_book/save.py
 @@ -1,4 +1,4 @@
@@ -13501,8 +13502,8 @@ Index: b/src/calibre/gui2/tweak_book/sav
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/search.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/search.py b/src/calibre/gui2/tweak_book/search.py
+index 6dbf7ee92e..5e348e3999 100644
 --- a/src/calibre/gui2/tweak_book/search.py
 +++ b/src/calibre/gui2/tweak_book/search.py
 @@ -1,4 +1,4 @@
@@ -13511,8 +13512,8 @@ Index: b/src/calibre/gui2/tweak_book/sea
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2013, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/tweak_book/spell.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/spell.py b/src/calibre/gui2/tweak_book/spell.py
+index 8ceb3017c9..2f73364879 100644
 --- a/src/calibre/gui2/tweak_book/spell.py
 +++ b/src/calibre/gui2/tweak_book/spell.py
 @@ -1,4 +1,4 @@
@@ -13521,8 +13522,8 @@ Index: b/src/calibre/gui2/tweak_book/spe
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/templates.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/templates.py b/src/calibre/gui2/tweak_book/templates.py
+index 22add677b4..2e17801d90 100644
 --- a/src/calibre/gui2/tweak_book/templates.py
 +++ b/src/calibre/gui2/tweak_book/templates.py
 @@ -1,4 +1,4 @@
@@ -13531,8 +13532,8 @@ Index: b/src/calibre/gui2/tweak_book/tem
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/text_search.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/text_search.py b/src/calibre/gui2/tweak_book/text_search.py
+index 0f00763580..f8120ca121 100644
 --- a/src/calibre/gui2/tweak_book/text_search.py
 +++ b/src/calibre/gui2/tweak_book/text_search.py
 @@ -1,4 +1,4 @@
@@ -13541,8 +13542,8 @@ Index: b/src/calibre/gui2/tweak_book/tex
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/tweak_book/toc.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/toc.py b/src/calibre/gui2/tweak_book/toc.py
+index 98677c11cc..893db597f4 100644
 --- a/src/calibre/gui2/tweak_book/toc.py
 +++ b/src/calibre/gui2/tweak_book/toc.py
 @@ -1,4 +1,4 @@
@@ -13551,8 +13552,8 @@ Index: b/src/calibre/gui2/tweak_book/toc
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/ui.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/ui.py b/src/calibre/gui2/tweak_book/ui.py
+index fb6ee00b7d..c6f77c3288 100644
 --- a/src/calibre/gui2/tweak_book/ui.py
 +++ b/src/calibre/gui2/tweak_book/ui.py
 @@ -1,4 +1,4 @@
@@ -13561,8 +13562,8 @@ Index: b/src/calibre/gui2/tweak_book/ui.
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/undo.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/undo.py b/src/calibre/gui2/tweak_book/undo.py
+index 89efa642e6..8d09118200 100644
 --- a/src/calibre/gui2/tweak_book/undo.py
 +++ b/src/calibre/gui2/tweak_book/undo.py
 @@ -1,4 +1,4 @@
@@ -13571,8 +13572,8 @@ Index: b/src/calibre/gui2/tweak_book/und
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/tweak_book/widgets.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/widgets.py b/src/calibre/gui2/tweak_book/widgets.py
+index d666cdfaab..b10e3dbe0a 100644
 --- a/src/calibre/gui2/tweak_book/widgets.py
 +++ b/src/calibre/gui2/tweak_book/widgets.py
 @@ -1,4 +1,4 @@
@@ -13581,8 +13582,8 @@ Index: b/src/calibre/gui2/tweak_book/wid
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/ui.py
-===================================================================
+diff --git a/src/calibre/gui2/ui.py b/src/calibre/gui2/ui.py
+index 33aa691b82..f03e828b15 100644
 --- a/src/calibre/gui2/ui.py
 +++ b/src/calibre/gui2/ui.py
 @@ -1,4 +1,4 @@
@@ -13591,8 +13592,8 @@ Index: b/src/calibre/gui2/ui.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/viewer/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/__init__.py b/src/calibre/gui2/viewer/__init__.py
+index e8cf42d1c6..2ca91bd118 100644
 --- a/src/calibre/gui2/viewer/__init__.py
 +++ b/src/calibre/gui2/viewer/__init__.py
 @@ -1,4 +1,4 @@
@@ -13601,8 +13602,8 @@ Index: b/src/calibre/gui2/viewer/__init_
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/viewer/annotations.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/annotations.py b/src/calibre/gui2/viewer/annotations.py
+index 8758992fd5..57f41b6328 100644
 --- a/src/calibre/gui2/viewer/annotations.py
 +++ b/src/calibre/gui2/viewer/annotations.py
 @@ -1,4 +1,4 @@
@@ -13611,8 +13612,8 @@ Index: b/src/calibre/gui2/viewer/annotat
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/viewer/bookmarks.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/bookmarks.py b/src/calibre/gui2/viewer/bookmarks.py
+index 5fc42b4779..d4b297a070 100644
 --- a/src/calibre/gui2/viewer/bookmarks.py
 +++ b/src/calibre/gui2/viewer/bookmarks.py
 @@ -1,4 +1,4 @@
@@ -13621,8 +13622,8 @@ Index: b/src/calibre/gui2/viewer/bookmar
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2013, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/viewer/convert_book.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/convert_book.py b/src/calibre/gui2/viewer/convert_book.py
+index 7e1041c387..fd0647b470 100644
 --- a/src/calibre/gui2/viewer/convert_book.py
 +++ b/src/calibre/gui2/viewer/convert_book.py
 @@ -1,4 +1,4 @@
@@ -13631,8 +13632,8 @@ Index: b/src/calibre/gui2/viewer/convert
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/viewer/lookup.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/lookup.py b/src/calibre/gui2/viewer/lookup.py
+index 10187fab7c..3a55d92f51 100644
 --- a/src/calibre/gui2/viewer/lookup.py
 +++ b/src/calibre/gui2/viewer/lookup.py
 @@ -1,4 +1,4 @@
@@ -13641,8 +13642,8 @@ Index: b/src/calibre/gui2/viewer/lookup.
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/viewer/main.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/main.py b/src/calibre/gui2/viewer/main.py
+index 9f5ebe0a9d..34cb71b6d3 100644
 --- a/src/calibre/gui2/viewer/main.py
 +++ b/src/calibre/gui2/viewer/main.py
 @@ -1,4 +1,4 @@
@@ -13651,8 +13652,8 @@ Index: b/src/calibre/gui2/viewer/main.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/viewer/overlay.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/overlay.py b/src/calibre/gui2/viewer/overlay.py
+index 97b96bd60e..d21fff6ed1 100644
 --- a/src/calibre/gui2/viewer/overlay.py
 +++ b/src/calibre/gui2/viewer/overlay.py
 @@ -1,4 +1,4 @@
@@ -13661,8 +13662,8 @@ Index: b/src/calibre/gui2/viewer/overlay
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/viewer/printing.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/printing.py b/src/calibre/gui2/viewer/printing.py
+index a9c3b65a22..c54969b9ee 100644
 --- a/src/calibre/gui2/viewer/printing.py
 +++ b/src/calibre/gui2/viewer/printing.py
 @@ -1,4 +1,4 @@
@@ -13671,8 +13672,8 @@ Index: b/src/calibre/gui2/viewer/printin
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/viewer/shortcuts.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/shortcuts.py b/src/calibre/gui2/viewer/shortcuts.py
+index cc964cb7d0..610da5e0e9 100644
 --- a/src/calibre/gui2/viewer/shortcuts.py
 +++ b/src/calibre/gui2/viewer/shortcuts.py
 @@ -1,4 +1,4 @@
@@ -13681,8 +13682,8 @@ Index: b/src/calibre/gui2/viewer/shortcu
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/viewer/toc.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/toc.py b/src/calibre/gui2/viewer/toc.py
+index 90ad46449e..23da1c2557 100644
 --- a/src/calibre/gui2/viewer/toc.py
 +++ b/src/calibre/gui2/viewer/toc.py
 @@ -1,4 +1,4 @@
@@ -13691,8 +13692,8 @@ Index: b/src/calibre/gui2/viewer/toc.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/viewer/toolbars.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/toolbars.py b/src/calibre/gui2/viewer/toolbars.py
+index 8f698a84f8..9ea6e61e5e 100644
 --- a/src/calibre/gui2/viewer/toolbars.py
 +++ b/src/calibre/gui2/viewer/toolbars.py
 @@ -1,4 +1,4 @@
@@ -13701,8 +13702,8 @@ Index: b/src/calibre/gui2/viewer/toolbar
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/viewer/ui.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/ui.py b/src/calibre/gui2/viewer/ui.py
+index 8db5b89cc9..3b033c7668 100644
 --- a/src/calibre/gui2/viewer/ui.py
 +++ b/src/calibre/gui2/viewer/ui.py
 @@ -1,4 +1,4 @@
@@ -13711,8 +13712,8 @@ Index: b/src/calibre/gui2/viewer/ui.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/viewer/web_view.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/web_view.py b/src/calibre/gui2/viewer/web_view.py
+index d62a477d88..3c5b744d21 100644
 --- a/src/calibre/gui2/viewer/web_view.py
 +++ b/src/calibre/gui2/viewer/web_view.py
 @@ -1,4 +1,4 @@
@@ -13721,8 +13722,8 @@ Index: b/src/calibre/gui2/viewer/web_vie
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/webengine.py
-===================================================================
+diff --git a/src/calibre/gui2/webengine.py b/src/calibre/gui2/webengine.py
+index 2758c3518a..12beed8200 100644
 --- a/src/calibre/gui2/webengine.py
 +++ b/src/calibre/gui2/webengine.py
 @@ -1,4 +1,4 @@
@@ -13731,8 +13732,8 @@ Index: b/src/calibre/gui2/webengine.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/widgets2.py
-===================================================================
+diff --git a/src/calibre/gui2/widgets2.py b/src/calibre/gui2/widgets2.py
+index 7feef8a2ef..726b6fb265 100644
 --- a/src/calibre/gui2/widgets2.py
 +++ b/src/calibre/gui2/widgets2.py
 @@ -1,4 +1,4 @@
@@ -13741,8 +13742,8 @@ Index: b/src/calibre/gui2/widgets2.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2013, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/gui2/win_file_dialogs.py
-===================================================================
+diff --git a/src/calibre/gui2/win_file_dialogs.py b/src/calibre/gui2/win_file_dialogs.py
+index 2644cc6177..9c6a3b0bdf 100644
 --- a/src/calibre/gui2/win_file_dialogs.py
 +++ b/src/calibre/gui2/win_file_dialogs.py
 @@ -1,4 +1,4 @@
@@ -13751,8 +13752,8 @@ Index: b/src/calibre/gui2/win_file_dialo
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/gui2/wizard/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/wizard/__init__.py b/src/calibre/gui2/wizard/__init__.py
+index c807d79c32..1ddc521c7c 100644
 --- a/src/calibre/gui2/wizard/__init__.py
 +++ b/src/calibre/gui2/wizard/__init__.py
 @@ -1,4 +1,4 @@
@@ -13761,8 +13762,8 @@ Index: b/src/calibre/gui2/wizard/__init_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui2/wizard/send_email.py
-===================================================================
+diff --git a/src/calibre/gui2/wizard/send_email.py b/src/calibre/gui2/wizard/send_email.py
+index f2ca746e87..6d31f6ba75 100644
 --- a/src/calibre/gui2/wizard/send_email.py
 +++ b/src/calibre/gui2/wizard/send_email.py
 @@ -1,4 +1,4 @@
@@ -13771,8 +13772,8 @@ Index: b/src/calibre/gui2/wizard/send_em
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/gui_launch.py
-===================================================================
+diff --git a/src/calibre/gui_launch.py b/src/calibre/gui_launch.py
+index 093a1f7b7f..a53a101475 100644
 --- a/src/calibre/gui_launch.py
 +++ b/src/calibre/gui_launch.py
 @@ -1,4 +1,4 @@
@@ -13781,8 +13782,8 @@ Index: b/src/calibre/gui_launch.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/library/add_to_library.py
-===================================================================
+diff --git a/src/calibre/library/add_to_library.py b/src/calibre/library/add_to_library.py
+index c284fdb141..d5d307356e 100644
 --- a/src/calibre/library/add_to_library.py
 +++ b/src/calibre/library/add_to_library.py
 @@ -1,4 +1,4 @@
@@ -13791,8 +13792,8 @@ Index: b/src/calibre/library/add_to_libr
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/library/caches.py
-===================================================================
+diff --git a/src/calibre/library/caches.py b/src/calibre/library/caches.py
+index 86d5a65efc..9f50dd48e6 100644
 --- a/src/calibre/library/caches.py
 +++ b/src/calibre/library/caches.py
 @@ -1,4 +1,4 @@
@@ -13801,8 +13802,8 @@ Index: b/src/calibre/library/caches.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/library/catalogs/__init__.py
-===================================================================
+diff --git a/src/calibre/library/catalogs/__init__.py b/src/calibre/library/catalogs/__init__.py
+index 53303c8d91..1b05c647dc 100644
 --- a/src/calibre/library/catalogs/__init__.py
 +++ b/src/calibre/library/catalogs/__init__.py
 @@ -1,4 +1,4 @@
@@ -13811,8 +13812,8 @@ Index: b/src/calibre/library/catalogs/__
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/library/catalogs/bibtex.py
-===================================================================
+diff --git a/src/calibre/library/catalogs/bibtex.py b/src/calibre/library/catalogs/bibtex.py
+index c7f6731db4..d22390bbcc 100644
 --- a/src/calibre/library/catalogs/bibtex.py
 +++ b/src/calibre/library/catalogs/bibtex.py
 @@ -1,4 +1,4 @@
@@ -13821,8 +13822,8 @@ Index: b/src/calibre/library/catalogs/bi
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/library/catalogs/csv_xml.py
-===================================================================
+diff --git a/src/calibre/library/catalogs/csv_xml.py b/src/calibre/library/catalogs/csv_xml.py
+index e80c027384..f573b39889 100644
 --- a/src/calibre/library/catalogs/csv_xml.py
 +++ b/src/calibre/library/catalogs/csv_xml.py
 @@ -1,4 +1,4 @@
@@ -13831,8 +13832,8 @@ Index: b/src/calibre/library/catalogs/cs
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/library/catalogs/epub_mobi.py
-===================================================================
+diff --git a/src/calibre/library/catalogs/epub_mobi.py b/src/calibre/library/catalogs/epub_mobi.py
+index 112e7c91b7..5267a00dd9 100644
 --- a/src/calibre/library/catalogs/epub_mobi.py
 +++ b/src/calibre/library/catalogs/epub_mobi.py
 @@ -1,4 +1,4 @@
@@ -13841,8 +13842,8 @@ Index: b/src/calibre/library/catalogs/ep
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/library/catalogs/epub_mobi_builder.py
-===================================================================
+diff --git a/src/calibre/library/catalogs/epub_mobi_builder.py b/src/calibre/library/catalogs/epub_mobi_builder.py
+index f141f341f3..6b2e7d47b7 100644
 --- a/src/calibre/library/catalogs/epub_mobi_builder.py
 +++ b/src/calibre/library/catalogs/epub_mobi_builder.py
 @@ -1,4 +1,4 @@
@@ -13851,8 +13852,8 @@ Index: b/src/calibre/library/catalogs/ep
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2010, Greg Riker
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/library/catalogs/utils.py
-===================================================================
+diff --git a/src/calibre/library/catalogs/utils.py b/src/calibre/library/catalogs/utils.py
+index b9e5d69200..cd7521fc19 100644
 --- a/src/calibre/library/catalogs/utils.py
 +++ b/src/calibre/library/catalogs/utils.py
 @@ -1,4 +1,4 @@
@@ -13861,8 +13862,8 @@ Index: b/src/calibre/library/catalogs/ut
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/library/check_library.py
-===================================================================
+diff --git a/src/calibre/library/check_library.py b/src/calibre/library/check_library.py
+index c6bcb9fdb8..81ba156299 100644
 --- a/src/calibre/library/check_library.py
 +++ b/src/calibre/library/check_library.py
 @@ -1,4 +1,4 @@
@@ -13871,8 +13872,8 @@ Index: b/src/calibre/library/check_libra
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/library/coloring.py
-===================================================================
+diff --git a/src/calibre/library/coloring.py b/src/calibre/library/coloring.py
+index e877db474b..dc818be3db 100644
 --- a/src/calibre/library/coloring.py
 +++ b/src/calibre/library/coloring.py
 @@ -1,4 +1,4 @@
@@ -13881,8 +13882,8 @@ Index: b/src/calibre/library/coloring.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2011, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/library/comments.py
-===================================================================
+diff --git a/src/calibre/library/comments.py b/src/calibre/library/comments.py
+index 344dd99873..0f20a52edf 100644
 --- a/src/calibre/library/comments.py
 +++ b/src/calibre/library/comments.py
 @@ -1,4 +1,4 @@
@@ -13891,8 +13892,8 @@ Index: b/src/calibre/library/comments.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2010, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/library/custom_columns.py
-===================================================================
+diff --git a/src/calibre/library/custom_columns.py b/src/calibre/library/custom_columns.py
+index 843341447d..fcebc2c87a 100644
 --- a/src/calibre/library/custom_columns.py
 +++ b/src/calibre/library/custom_columns.py
 @@ -1,4 +1,4 @@
@@ -13901,8 +13902,8 @@ Index: b/src/calibre/library/custom_colu
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/library/prefs.py
-===================================================================
+diff --git a/src/calibre/library/prefs.py b/src/calibre/library/prefs.py
+index 87cbaef947..8807516013 100644
 --- a/src/calibre/library/prefs.py
 +++ b/src/calibre/library/prefs.py
 @@ -1,4 +1,4 @@
@@ -13911,8 +13912,8 @@ Index: b/src/calibre/library/prefs.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/library/restore.py
-===================================================================
+diff --git a/src/calibre/library/restore.py b/src/calibre/library/restore.py
+index 026c9526df..8d04e7e9eb 100644
 --- a/src/calibre/library/restore.py
 +++ b/src/calibre/library/restore.py
 @@ -1,4 +1,4 @@
@@ -13921,8 +13922,8 @@ Index: b/src/calibre/library/restore.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/library/save_to_disk.py
-===================================================================
+diff --git a/src/calibre/library/save_to_disk.py b/src/calibre/library/save_to_disk.py
+index a5640c7484..72b6273eb6 100644
 --- a/src/calibre/library/save_to_disk.py
 +++ b/src/calibre/library/save_to_disk.py
 @@ -1,4 +1,4 @@
@@ -13931,8 +13932,8 @@ Index: b/src/calibre/library/save_to_dis
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/library/schema_upgrades.py
-===================================================================
+diff --git a/src/calibre/library/schema_upgrades.py b/src/calibre/library/schema_upgrades.py
+index 785ddf0663..f3535ce8b3 100644
 --- a/src/calibre/library/schema_upgrades.py
 +++ b/src/calibre/library/schema_upgrades.py
 @@ -1,4 +1,4 @@
@@ -13941,8 +13942,8 @@ Index: b/src/calibre/library/schema_upgr
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/libunzip.py
-===================================================================
+diff --git a/src/calibre/libunzip.py b/src/calibre/libunzip.py
+index 85f8fd36fe..6830545750 100644
 --- a/src/calibre/libunzip.py
 +++ b/src/calibre/libunzip.py
 @@ -1,4 +1,4 @@
@@ -13951,8 +13952,8 @@ Index: b/src/calibre/libunzip.py
  from __future__ import print_function, unicode_literals
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/linux.py
-===================================================================
+diff --git a/src/calibre/linux.py b/src/calibre/linux.py
+index 9348a70450..994f707619 100644
 --- a/src/calibre/linux.py
 +++ b/src/calibre/linux.py
 @@ -1,4 +1,4 @@
@@ -13961,8 +13962,8 @@ Index: b/src/calibre/linux.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2008, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/rpdb.py
-===================================================================
+diff --git a/src/calibre/rpdb.py b/src/calibre/rpdb.py
+index 38334adb81..d15fcc2d2e 100644
 --- a/src/calibre/rpdb.py
 +++ b/src/calibre/rpdb.py
 @@ -1,4 +1,4 @@
@@ -13971,8 +13972,8 @@ Index: b/src/calibre/rpdb.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/spell/__init__.py
-===================================================================
+diff --git a/src/calibre/spell/__init__.py b/src/calibre/spell/__init__.py
+index e58ae8f6d6..68fe3c3eb2 100644
 --- a/src/calibre/spell/__init__.py
 +++ b/src/calibre/spell/__init__.py
 @@ -1,4 +1,4 @@
@@ -13981,8 +13982,8 @@ Index: b/src/calibre/spell/__init__.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/spell/break_iterator.py
-===================================================================
+diff --git a/src/calibre/spell/break_iterator.py b/src/calibre/spell/break_iterator.py
+index e82f8a25cc..980e0a434f 100644
 --- a/src/calibre/spell/break_iterator.py
 +++ b/src/calibre/spell/break_iterator.py
 @@ -1,4 +1,4 @@
@@ -13991,8 +13992,8 @@ Index: b/src/calibre/spell/break_iterato
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/spell/dictionary.py
-===================================================================
+diff --git a/src/calibre/spell/dictionary.py b/src/calibre/spell/dictionary.py
+index d64cea0a45..e8db242ffc 100644
 --- a/src/calibre/spell/dictionary.py
 +++ b/src/calibre/spell/dictionary.py
 @@ -1,4 +1,4 @@
@@ -14001,8 +14002,8 @@ Index: b/src/calibre/spell/dictionary.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2014, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/spell/import_from.py
-===================================================================
+diff --git a/src/calibre/spell/import_from.py b/src/calibre/spell/import_from.py
+index b2c54d43ea..35a1627316 100644
 --- a/src/calibre/spell/import_from.py
 +++ b/src/calibre/spell/import_from.py
 @@ -1,4 +1,4 @@
@@ -14011,8 +14012,8 @@ Index: b/src/calibre/spell/import_from.p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/ajax.py
-===================================================================
+diff --git a/src/calibre/srv/ajax.py b/src/calibre/srv/ajax.py
+index 6b5d6292b5..a48c9619a2 100644
 --- a/src/calibre/srv/ajax.py
 +++ b/src/calibre/srv/ajax.py
 @@ -1,4 +1,4 @@
@@ -14021,8 +14022,8 @@ Index: b/src/calibre/srv/ajax.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/auth.py
-===================================================================
+diff --git a/src/calibre/srv/auth.py b/src/calibre/srv/auth.py
+index 77e60d69e4..b78bd51767 100644
 --- a/src/calibre/srv/auth.py
 +++ b/src/calibre/srv/auth.py
 @@ -1,4 +1,4 @@
@@ -14031,8 +14032,8 @@ Index: b/src/calibre/srv/auth.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/auto_reload.py
-===================================================================
+diff --git a/src/calibre/srv/auto_reload.py b/src/calibre/srv/auto_reload.py
+index 6b4f2c8059..fdfc2b077e 100644
 --- a/src/calibre/srv/auto_reload.py
 +++ b/src/calibre/srv/auto_reload.py
 @@ -1,4 +1,4 @@
@@ -14041,8 +14042,8 @@ Index: b/src/calibre/srv/auto_reload.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/bonjour.py
-===================================================================
+diff --git a/src/calibre/srv/bonjour.py b/src/calibre/srv/bonjour.py
+index 6c0cc91861..05749c1665 100644
 --- a/src/calibre/srv/bonjour.py
 +++ b/src/calibre/srv/bonjour.py
 @@ -1,4 +1,4 @@
@@ -14051,8 +14052,8 @@ Index: b/src/calibre/srv/bonjour.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/books.py
-===================================================================
+diff --git a/src/calibre/srv/books.py b/src/calibre/srv/books.py
+index 25a6d5c0ce..fa0b5b9c72 100644
 --- a/src/calibre/srv/books.py
 +++ b/src/calibre/srv/books.py
 @@ -1,4 +1,4 @@
@@ -14061,8 +14062,8 @@ Index: b/src/calibre/srv/books.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/srv/cdb.py
-===================================================================
+diff --git a/src/calibre/srv/cdb.py b/src/calibre/srv/cdb.py
+index 841375355e..4e9e0efc05 100644
 --- a/src/calibre/srv/cdb.py
 +++ b/src/calibre/srv/cdb.py
 @@ -1,4 +1,4 @@
@@ -14071,8 +14072,8 @@ Index: b/src/calibre/srv/cdb.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/srv/changes.py
-===================================================================
+diff --git a/src/calibre/srv/changes.py b/src/calibre/srv/changes.py
+index 2e49dd89cf..03c7366564 100644
 --- a/src/calibre/srv/changes.py
 +++ b/src/calibre/srv/changes.py
 @@ -1,4 +1,4 @@
@@ -14081,8 +14082,8 @@ Index: b/src/calibre/srv/changes.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/srv/code.py
-===================================================================
+diff --git a/src/calibre/srv/code.py b/src/calibre/srv/code.py
+index 62795887a7..88aa69d96b 100644
 --- a/src/calibre/srv/code.py
 +++ b/src/calibre/srv/code.py
 @@ -1,4 +1,4 @@
@@ -14091,8 +14092,8 @@ Index: b/src/calibre/srv/code.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/srv/content.py
-===================================================================
+diff --git a/src/calibre/srv/content.py b/src/calibre/srv/content.py
+index 41565a1868..fc2bd1ba6f 100644
 --- a/src/calibre/srv/content.py
 +++ b/src/calibre/srv/content.py
 @@ -1,4 +1,4 @@
@@ -14101,8 +14102,8 @@ Index: b/src/calibre/srv/content.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/convert.py
-===================================================================
+diff --git a/src/calibre/srv/convert.py b/src/calibre/srv/convert.py
+index 811c8232de..87697a0103 100644
 --- a/src/calibre/srv/convert.py
 +++ b/src/calibre/srv/convert.py
 @@ -1,4 +1,4 @@
@@ -14111,8 +14112,8 @@ Index: b/src/calibre/srv/convert.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/srv/embedded.py
-===================================================================
+diff --git a/src/calibre/srv/embedded.py b/src/calibre/srv/embedded.py
+index 9403b32d37..d488aea919 100644
 --- a/src/calibre/srv/embedded.py
 +++ b/src/calibre/srv/embedded.py
 @@ -1,4 +1,4 @@
@@ -14121,8 +14122,8 @@ Index: b/src/calibre/srv/embedded.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/srv/errors.py
-===================================================================
+diff --git a/src/calibre/srv/errors.py b/src/calibre/srv/errors.py
+index 4ac804cc18..705b949791 100644
 --- a/src/calibre/srv/errors.py
 +++ b/src/calibre/srv/errors.py
 @@ -1,4 +1,4 @@
@@ -14131,8 +14132,8 @@ Index: b/src/calibre/srv/errors.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/handler.py
-===================================================================
+diff --git a/src/calibre/srv/handler.py b/src/calibre/srv/handler.py
+index 77a551e85a..a8422e49ad 100644
 --- a/src/calibre/srv/handler.py
 +++ b/src/calibre/srv/handler.py
 @@ -1,4 +1,4 @@
@@ -14141,8 +14142,8 @@ Index: b/src/calibre/srv/handler.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/srv/http_request.py
-===================================================================
+diff --git a/src/calibre/srv/http_request.py b/src/calibre/srv/http_request.py
+index 4d01aaade6..1948ffd1a2 100644
 --- a/src/calibre/srv/http_request.py
 +++ b/src/calibre/srv/http_request.py
 @@ -1,4 +1,4 @@
@@ -14151,8 +14152,8 @@ Index: b/src/calibre/srv/http_request.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/http_response.py
-===================================================================
+diff --git a/src/calibre/srv/http_response.py b/src/calibre/srv/http_response.py
+index d114f6d94e..31838f1979 100644
 --- a/src/calibre/srv/http_response.py
 +++ b/src/calibre/srv/http_response.py
 @@ -1,4 +1,4 @@
@@ -14161,8 +14162,8 @@ Index: b/src/calibre/srv/http_response.p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/jobs.py
-===================================================================
+diff --git a/src/calibre/srv/jobs.py b/src/calibre/srv/jobs.py
+index fa1c99584e..5cfe25467b 100644
 --- a/src/calibre/srv/jobs.py
 +++ b/src/calibre/srv/jobs.py
 @@ -1,4 +1,4 @@
@@ -14171,8 +14172,8 @@ Index: b/src/calibre/srv/jobs.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/srv/legacy.py
-===================================================================
+diff --git a/src/calibre/srv/legacy.py b/src/calibre/srv/legacy.py
+index 376944b04e..67f4bf713e 100644
 --- a/src/calibre/srv/legacy.py
 +++ b/src/calibre/srv/legacy.py
 @@ -1,4 +1,4 @@
@@ -14181,8 +14182,8 @@ Index: b/src/calibre/srv/legacy.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/srv/library_broker.py
-===================================================================
+diff --git a/src/calibre/srv/library_broker.py b/src/calibre/srv/library_broker.py
+index 1a76671227..facf856e9c 100644
 --- a/src/calibre/srv/library_broker.py
 +++ b/src/calibre/srv/library_broker.py
 @@ -1,4 +1,4 @@
@@ -14191,8 +14192,8 @@ Index: b/src/calibre/srv/library_broker.
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/srv/loop.py
-===================================================================
+diff --git a/src/calibre/srv/loop.py b/src/calibre/srv/loop.py
+index f0ff9fec6a..82c0053b2e 100644
 --- a/src/calibre/srv/loop.py
 +++ b/src/calibre/srv/loop.py
 @@ -1,4 +1,4 @@
@@ -14201,8 +14202,8 @@ Index: b/src/calibre/srv/loop.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/manage_users_cli.py
-===================================================================
+diff --git a/src/calibre/srv/manage_users_cli.py b/src/calibre/srv/manage_users_cli.py
+index db319232a6..2871a53a97 100644
 --- a/src/calibre/srv/manage_users_cli.py
 +++ b/src/calibre/srv/manage_users_cli.py
 @@ -1,4 +1,4 @@
@@ -14211,8 +14212,8 @@ Index: b/src/calibre/srv/manage_users_cl
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/srv/metadata.py
-===================================================================
+diff --git a/src/calibre/srv/metadata.py b/src/calibre/srv/metadata.py
+index 010acd54bb..bbf6773377 100644
 --- a/src/calibre/srv/metadata.py
 +++ b/src/calibre/srv/metadata.py
 @@ -1,4 +1,4 @@
@@ -14221,8 +14222,8 @@ Index: b/src/calibre/srv/metadata.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/srv/opds.py
-===================================================================
+diff --git a/src/calibre/srv/opds.py b/src/calibre/srv/opds.py
+index dd46b888f9..ed41a6efa7 100644
 --- a/src/calibre/srv/opds.py
 +++ b/src/calibre/srv/opds.py
 @@ -1,4 +1,4 @@
@@ -14231,8 +14232,8 @@ Index: b/src/calibre/srv/opds.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import unicode_literals
  
-Index: b/src/calibre/srv/opts.py
-===================================================================
+diff --git a/src/calibre/srv/opts.py b/src/calibre/srv/opts.py
+index 9dfb15ff57..7e5a48ca58 100644
 --- a/src/calibre/srv/opts.py
 +++ b/src/calibre/srv/opts.py
 @@ -1,4 +1,4 @@
@@ -14241,8 +14242,8 @@ Index: b/src/calibre/srv/opts.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/pool.py
-===================================================================
+diff --git a/src/calibre/srv/pool.py b/src/calibre/srv/pool.py
+index 9d7270483e..b14f6b3282 100644
 --- a/src/calibre/srv/pool.py
 +++ b/src/calibre/srv/pool.py
 @@ -1,4 +1,4 @@
@@ -14251,8 +14252,8 @@ Index: b/src/calibre/srv/pool.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/pre_activated.py
-===================================================================
+diff --git a/src/calibre/srv/pre_activated.py b/src/calibre/srv/pre_activated.py
+index 526ef9308f..e3da85d0cf 100644
 --- a/src/calibre/srv/pre_activated.py
 +++ b/src/calibre/srv/pre_activated.py
 @@ -1,4 +1,4 @@
@@ -14261,8 +14262,8 @@ Index: b/src/calibre/srv/pre_activated.p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/render_book.py
-===================================================================
+diff --git a/src/calibre/srv/render_book.py b/src/calibre/srv/render_book.py
+index 02757357e4..6005a8546e 100644
 --- a/src/calibre/srv/render_book.py
 +++ b/src/calibre/srv/render_book.py
 @@ -1,4 +1,4 @@
@@ -14271,8 +14272,8 @@ Index: b/src/calibre/srv/render_book.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/srv/routes.py
-===================================================================
+diff --git a/src/calibre/srv/routes.py b/src/calibre/srv/routes.py
+index e82384cb9c..a9c9353d3e 100644
 --- a/src/calibre/srv/routes.py
 +++ b/src/calibre/srv/routes.py
 @@ -1,4 +1,4 @@
@@ -14281,8 +14282,8 @@ Index: b/src/calibre/srv/routes.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/sendfile.py
-===================================================================
+diff --git a/src/calibre/srv/sendfile.py b/src/calibre/srv/sendfile.py
+index a0d12ebe4a..8779f8a7cc 100644
 --- a/src/calibre/srv/sendfile.py
 +++ b/src/calibre/srv/sendfile.py
 @@ -1,4 +1,4 @@
@@ -14291,8 +14292,8 @@ Index: b/src/calibre/srv/sendfile.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/standalone.py
-===================================================================
+diff --git a/src/calibre/srv/standalone.py b/src/calibre/srv/standalone.py
+index e6c650ba16..635541e723 100644
 --- a/src/calibre/srv/standalone.py
 +++ b/src/calibre/srv/standalone.py
 @@ -1,4 +1,4 @@
@@ -14301,8 +14302,8 @@ Index: b/src/calibre/srv/standalone.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/srv/tests/ajax.py
-===================================================================
+diff --git a/src/calibre/srv/tests/ajax.py b/src/calibre/srv/tests/ajax.py
+index 68dcbd90d5..23478cab24 100644
 --- a/src/calibre/srv/tests/ajax.py
 +++ b/src/calibre/srv/tests/ajax.py
 @@ -1,4 +1,4 @@
@@ -14311,8 +14312,8 @@ Index: b/src/calibre/srv/tests/ajax.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/tests/auth.py
-===================================================================
+diff --git a/src/calibre/srv/tests/auth.py b/src/calibre/srv/tests/auth.py
+index 83c6c0334e..58f54cbbd9 100644
 --- a/src/calibre/srv/tests/auth.py
 +++ b/src/calibre/srv/tests/auth.py
 @@ -1,4 +1,4 @@
@@ -14321,8 +14322,8 @@ Index: b/src/calibre/srv/tests/auth.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/tests/base.py
-===================================================================
+diff --git a/src/calibre/srv/tests/base.py b/src/calibre/srv/tests/base.py
+index ee2e87bc0b..b610675f47 100644
 --- a/src/calibre/srv/tests/base.py
 +++ b/src/calibre/srv/tests/base.py
 @@ -1,4 +1,4 @@
@@ -14331,8 +14332,8 @@ Index: b/src/calibre/srv/tests/base.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/tests/content.py
-===================================================================
+diff --git a/src/calibre/srv/tests/content.py b/src/calibre/srv/tests/content.py
+index b5e3a040d8..21ff69d10c 100644
 --- a/src/calibre/srv/tests/content.py
 +++ b/src/calibre/srv/tests/content.py
 @@ -1,4 +1,4 @@
@@ -14341,8 +14342,8 @@ Index: b/src/calibre/srv/tests/content.p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/tests/http.py
-===================================================================
+diff --git a/src/calibre/srv/tests/http.py b/src/calibre/srv/tests/http.py
+index 25870faa37..90d061fe72 100644
 --- a/src/calibre/srv/tests/http.py
 +++ b/src/calibre/srv/tests/http.py
 @@ -1,4 +1,4 @@
@@ -14351,8 +14352,8 @@ Index: b/src/calibre/srv/tests/http.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/tests/loop.py
-===================================================================
+diff --git a/src/calibre/srv/tests/loop.py b/src/calibre/srv/tests/loop.py
+index 1ecbca8b3c..a5e927579e 100644
 --- a/src/calibre/srv/tests/loop.py
 +++ b/src/calibre/srv/tests/loop.py
 @@ -1,4 +1,4 @@
@@ -14361,8 +14362,8 @@ Index: b/src/calibre/srv/tests/loop.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/tests/main.py
-===================================================================
+diff --git a/src/calibre/srv/tests/main.py b/src/calibre/srv/tests/main.py
+index a0df51b636..d5ec365d28 100644
 --- a/src/calibre/srv/tests/main.py
 +++ b/src/calibre/srv/tests/main.py
 @@ -1,4 +1,4 @@
@@ -14371,8 +14372,8 @@ Index: b/src/calibre/srv/tests/main.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/tests/routes.py
-===================================================================
+diff --git a/src/calibre/srv/tests/routes.py b/src/calibre/srv/tests/routes.py
+index 657e5d4392..11577c8d4a 100644
 --- a/src/calibre/srv/tests/routes.py
 +++ b/src/calibre/srv/tests/routes.py
 @@ -1,4 +1,4 @@
@@ -14381,8 +14382,8 @@ Index: b/src/calibre/srv/tests/routes.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/tests/web_sockets.py
-===================================================================
+diff --git a/src/calibre/srv/tests/web_sockets.py b/src/calibre/srv/tests/web_sockets.py
+index 8197407f47..faf7071b11 100644
 --- a/src/calibre/srv/tests/web_sockets.py
 +++ b/src/calibre/srv/tests/web_sockets.py
 @@ -1,4 +1,4 @@
@@ -14391,8 +14392,8 @@ Index: b/src/calibre/srv/tests/web_socke
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/srv/users.py
-===================================================================
+diff --git a/src/calibre/srv/users.py b/src/calibre/srv/users.py
+index b3a4920d4c..8c28ff4d70 100644
 --- a/src/calibre/srv/users.py
 +++ b/src/calibre/srv/users.py
 @@ -1,4 +1,4 @@
@@ -14401,8 +14402,8 @@ Index: b/src/calibre/srv/users.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/srv/users_api.py
-===================================================================
+diff --git a/src/calibre/srv/users_api.py b/src/calibre/srv/users_api.py
+index 8ceb47471c..a061881564 100644
 --- a/src/calibre/srv/users_api.py
 +++ b/src/calibre/srv/users_api.py
 @@ -1,4 +1,4 @@
@@ -14411,8 +14412,8 @@ Index: b/src/calibre/srv/users_api.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/srv/utils.py
-===================================================================
+diff --git a/src/calibre/srv/utils.py b/src/calibre/srv/utils.py
+index f66c25c189..376546a7a2 100644
 --- a/src/calibre/srv/utils.py
 +++ b/src/calibre/srv/utils.py
 @@ -1,4 +1,4 @@
@@ -14421,8 +14422,8 @@ Index: b/src/calibre/srv/utils.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/srv/web_socket.py
-===================================================================
+diff --git a/src/calibre/srv/web_socket.py b/src/calibre/srv/web_socket.py
+index 4ade8b68ca..297277ae3f 100644
 --- a/src/calibre/srv/web_socket.py
 +++ b/src/calibre/srv/web_socket.py
 @@ -1,4 +1,4 @@
@@ -14431,8 +14432,8 @@ Index: b/src/calibre/srv/web_socket.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/test_build.py
-===================================================================
+diff --git a/src/calibre/test_build.py b/src/calibre/test_build.py
+index c6b1600f20..af03323cc7 100644
 --- a/src/calibre/test_build.py
 +++ b/src/calibre/test_build.py
 @@ -1,4 +1,4 @@
@@ -14441,8 +14442,8 @@ Index: b/src/calibre/test_build.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/__init__.py b/src/calibre/utils/__init__.py
+index ca4af880d1..1f006ac780 100644
 --- a/src/calibre/utils/__init__.py
 +++ b/src/calibre/utils/__init__.py
 @@ -1,4 +1,4 @@
@@ -14451,8 +14452,8 @@ Index: b/src/calibre/utils/__init__.py
  
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/browser.py
-===================================================================
+diff --git a/src/calibre/utils/browser.py b/src/calibre/utils/browser.py
+index 222b46f3a5..9503da87a1 100644
 --- a/src/calibre/utils/browser.py
 +++ b/src/calibre/utils/browser.py
 @@ -1,4 +1,4 @@
@@ -14461,8 +14462,8 @@ Index: b/src/calibre/utils/browser.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2010, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/utils/certgen.py
-===================================================================
+diff --git a/src/calibre/utils/certgen.py b/src/calibre/utils/certgen.py
+index 30e4760dd6..681448d408 100644
 --- a/src/calibre/utils/certgen.py
 +++ b/src/calibre/utils/certgen.py
 @@ -1,4 +1,4 @@
@@ -14471,8 +14472,8 @@ Index: b/src/calibre/utils/certgen.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/cleantext.py
-===================================================================
+diff --git a/src/calibre/utils/cleantext.py b/src/calibre/utils/cleantext.py
+index d7c9d74c20..9d873cea22 100644
 --- a/src/calibre/utils/cleantext.py
 +++ b/src/calibre/utils/cleantext.py
 @@ -1,4 +1,4 @@
@@ -14481,8 +14482,8 @@ Index: b/src/calibre/utils/cleantext.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2010, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/utils/complete.py
-===================================================================
+diff --git a/src/calibre/utils/complete.py b/src/calibre/utils/complete.py
+index 01500b62e5..77fcf8fd49 100644
 --- a/src/calibre/utils/complete.py
 +++ b/src/calibre/utils/complete.py
 @@ -1,4 +1,4 @@
@@ -14491,8 +14492,8 @@ Index: b/src/calibre/utils/complete.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/config_base.py
-===================================================================
+diff --git a/src/calibre/utils/config_base.py b/src/calibre/utils/config_base.py
+index 8def5ba4be..1536068415 100644
 --- a/src/calibre/utils/config_base.py
 +++ b/src/calibre/utils/config_base.py
 @@ -1,4 +1,4 @@
@@ -14501,8 +14502,8 @@ Index: b/src/calibre/utils/config_base.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/utils/date.py
-===================================================================
+diff --git a/src/calibre/utils/date.py b/src/calibre/utils/date.py
+index 9845641062..b622abd559 100644
 --- a/src/calibre/utils/date.py
 +++ b/src/calibre/utils/date.py
 @@ -1,4 +1,4 @@
@@ -14511,8 +14512,8 @@ Index: b/src/calibre/utils/date.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/exim.py
-===================================================================
+diff --git a/src/calibre/utils/exim.py b/src/calibre/utils/exim.py
+index 5a976f6920..a9a9ebc0dd 100644
 --- a/src/calibre/utils/exim.py
 +++ b/src/calibre/utils/exim.py
 @@ -1,4 +1,4 @@
@@ -14521,8 +14522,8 @@ Index: b/src/calibre/utils/exim.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/utils/file_type_icons.py
-===================================================================
+diff --git a/src/calibre/utils/file_type_icons.py b/src/calibre/utils/file_type_icons.py
+index 735ef9c604..d6f6912617 100644
 --- a/src/calibre/utils/file_type_icons.py
 +++ b/src/calibre/utils/file_type_icons.py
 @@ -1,4 +1,4 @@
@@ -14531,8 +14532,8 @@ Index: b/src/calibre/utils/file_type_ico
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/fonts/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/__init__.py b/src/calibre/utils/fonts/__init__.py
+index 720ff711e6..a9b056d940 100644
 --- a/src/calibre/utils/fonts/__init__.py
 +++ b/src/calibre/utils/fonts/__init__.py
 @@ -1,4 +1,4 @@
@@ -14541,8 +14542,8 @@ Index: b/src/calibre/utils/fonts/__init_
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/free_type.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/free_type.py b/src/calibre/utils/fonts/free_type.py
+index c4ba84570a..f772244e28 100644
 --- a/src/calibre/utils/fonts/free_type.py
 +++ b/src/calibre/utils/fonts/free_type.py
 @@ -1,4 +1,4 @@
@@ -14551,8 +14552,8 @@ Index: b/src/calibre/utils/fonts/free_ty
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/metadata.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/metadata.py b/src/calibre/utils/fonts/metadata.py
+index aad632d1f3..7386c6dc41 100644
 --- a/src/calibre/utils/fonts/metadata.py
 +++ b/src/calibre/utils/fonts/metadata.py
 @@ -1,4 +1,4 @@
@@ -14561,8 +14562,8 @@ Index: b/src/calibre/utils/fonts/metadat
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/scanner.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/scanner.py b/src/calibre/utils/fonts/scanner.py
+index 862b537f35..a49591aad0 100644
 --- a/src/calibre/utils/fonts/scanner.py
 +++ b/src/calibre/utils/fonts/scanner.py
 @@ -1,4 +1,4 @@
@@ -14571,8 +14572,8 @@ Index: b/src/calibre/utils/fonts/scanner
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/__init__.py b/src/calibre/utils/fonts/sfnt/__init__.py
+index 16979addcb..2bf754bd0c 100644
 --- a/src/calibre/utils/fonts/sfnt/__init__.py
 +++ b/src/calibre/utils/fonts/sfnt/__init__.py
 @@ -1,4 +1,4 @@
@@ -14581,8 +14582,8 @@ Index: b/src/calibre/utils/fonts/sfnt/__
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/cff/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/cff/__init__.py b/src/calibre/utils/fonts/sfnt/cff/__init__.py
+index d7ade49452..2b86b54dc3 100644
 --- a/src/calibre/utils/fonts/sfnt/cff/__init__.py
 +++ b/src/calibre/utils/fonts/sfnt/cff/__init__.py
 @@ -1,4 +1,4 @@
@@ -14591,8 +14592,8 @@ Index: b/src/calibre/utils/fonts/sfnt/cf
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/cff/constants.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/cff/constants.py b/src/calibre/utils/fonts/sfnt/cff/constants.py
+index 62ddf05de9..e4b4907ad4 100644
 --- a/src/calibre/utils/fonts/sfnt/cff/constants.py
 +++ b/src/calibre/utils/fonts/sfnt/cff/constants.py
 @@ -1,4 +1,4 @@
@@ -14601,8 +14602,8 @@ Index: b/src/calibre/utils/fonts/sfnt/cf
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/cff/dict_data.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/cff/dict_data.py b/src/calibre/utils/fonts/sfnt/cff/dict_data.py
+index 80a87f180f..e9ecef3b88 100644
 --- a/src/calibre/utils/fonts/sfnt/cff/dict_data.py
 +++ b/src/calibre/utils/fonts/sfnt/cff/dict_data.py
 @@ -1,4 +1,4 @@
@@ -14611,8 +14612,8 @@ Index: b/src/calibre/utils/fonts/sfnt/cf
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/cff/table.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/cff/table.py b/src/calibre/utils/fonts/sfnt/cff/table.py
+index 5a76090cb0..2f653ab59f 100644
 --- a/src/calibre/utils/fonts/sfnt/cff/table.py
 +++ b/src/calibre/utils/fonts/sfnt/cff/table.py
 @@ -1,4 +1,4 @@
@@ -14621,8 +14622,8 @@ Index: b/src/calibre/utils/fonts/sfnt/cf
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/cff/writer.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/cff/writer.py b/src/calibre/utils/fonts/sfnt/cff/writer.py
+index 561399d04f..b447af68f1 100644
 --- a/src/calibre/utils/fonts/sfnt/cff/writer.py
 +++ b/src/calibre/utils/fonts/sfnt/cff/writer.py
 @@ -1,4 +1,4 @@
@@ -14631,8 +14632,8 @@ Index: b/src/calibre/utils/fonts/sfnt/cf
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/cmap.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/cmap.py b/src/calibre/utils/fonts/sfnt/cmap.py
+index e495f68613..d270b313b6 100644
 --- a/src/calibre/utils/fonts/sfnt/cmap.py
 +++ b/src/calibre/utils/fonts/sfnt/cmap.py
 @@ -1,4 +1,4 @@
@@ -14641,8 +14642,8 @@ Index: b/src/calibre/utils/fonts/sfnt/cm
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/common.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/common.py b/src/calibre/utils/fonts/sfnt/common.py
+index 91ef9dfc14..c8c9d4e5c1 100644
 --- a/src/calibre/utils/fonts/sfnt/common.py
 +++ b/src/calibre/utils/fonts/sfnt/common.py
 @@ -1,4 +1,4 @@
@@ -14651,8 +14652,8 @@ Index: b/src/calibre/utils/fonts/sfnt/co
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/container.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/container.py b/src/calibre/utils/fonts/sfnt/container.py
+index 79d879692b..bfdfddf399 100644
 --- a/src/calibre/utils/fonts/sfnt/container.py
 +++ b/src/calibre/utils/fonts/sfnt/container.py
 @@ -1,4 +1,4 @@
@@ -14661,8 +14662,8 @@ Index: b/src/calibre/utils/fonts/sfnt/co
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  # License: GPLv3 Copyright: 2012, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/utils/fonts/sfnt/errors.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/errors.py b/src/calibre/utils/fonts/sfnt/errors.py
+index e7d0e3cfb8..7859063f01 100644
 --- a/src/calibre/utils/fonts/sfnt/errors.py
 +++ b/src/calibre/utils/fonts/sfnt/errors.py
 @@ -1,4 +1,4 @@
@@ -14671,8 +14672,8 @@ Index: b/src/calibre/utils/fonts/sfnt/er
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/glyf.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/glyf.py b/src/calibre/utils/fonts/sfnt/glyf.py
+index 313b7e6643..22700b2e1d 100644
 --- a/src/calibre/utils/fonts/sfnt/glyf.py
 +++ b/src/calibre/utils/fonts/sfnt/glyf.py
 @@ -1,4 +1,4 @@
@@ -14681,8 +14682,8 @@ Index: b/src/calibre/utils/fonts/sfnt/gl
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/gsub.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/gsub.py b/src/calibre/utils/fonts/sfnt/gsub.py
+index 249e1344e2..42f8135ee2 100644
 --- a/src/calibre/utils/fonts/sfnt/gsub.py
 +++ b/src/calibre/utils/fonts/sfnt/gsub.py
 @@ -1,4 +1,4 @@
@@ -14691,8 +14692,8 @@ Index: b/src/calibre/utils/fonts/sfnt/gs
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/head.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/head.py b/src/calibre/utils/fonts/sfnt/head.py
+index 06dd711e7d..b01c296274 100644
 --- a/src/calibre/utils/fonts/sfnt/head.py
 +++ b/src/calibre/utils/fonts/sfnt/head.py
 @@ -1,4 +1,4 @@
@@ -14701,8 +14702,8 @@ Index: b/src/calibre/utils/fonts/sfnt/he
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/kern.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/kern.py b/src/calibre/utils/fonts/sfnt/kern.py
+index c4c58a21af..531249d15f 100644
 --- a/src/calibre/utils/fonts/sfnt/kern.py
 +++ b/src/calibre/utils/fonts/sfnt/kern.py
 @@ -1,4 +1,4 @@
@@ -14711,8 +14712,8 @@ Index: b/src/calibre/utils/fonts/sfnt/ke
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/loca.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/loca.py b/src/calibre/utils/fonts/sfnt/loca.py
+index 04a9c37480..e5eca29a8d 100644
 --- a/src/calibre/utils/fonts/sfnt/loca.py
 +++ b/src/calibre/utils/fonts/sfnt/loca.py
 @@ -1,4 +1,4 @@
@@ -14721,8 +14722,8 @@ Index: b/src/calibre/utils/fonts/sfnt/lo
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/maxp.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/maxp.py b/src/calibre/utils/fonts/sfnt/maxp.py
+index 4d927ee7a4..e5e769e0c1 100644
 --- a/src/calibre/utils/fonts/sfnt/maxp.py
 +++ b/src/calibre/utils/fonts/sfnt/maxp.py
 @@ -1,4 +1,4 @@
@@ -14731,8 +14732,8 @@ Index: b/src/calibre/utils/fonts/sfnt/ma
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/merge.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/merge.py b/src/calibre/utils/fonts/sfnt/merge.py
+index d86dc61cf0..cb0caf6b57 100644
 --- a/src/calibre/utils/fonts/sfnt/merge.py
 +++ b/src/calibre/utils/fonts/sfnt/merge.py
 @@ -1,4 +1,4 @@
@@ -14741,8 +14742,8 @@ Index: b/src/calibre/utils/fonts/sfnt/me
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/fonts/sfnt/metrics.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/metrics.py b/src/calibre/utils/fonts/sfnt/metrics.py
+index 5c4d11ad9b..4b397a307b 100644
 --- a/src/calibre/utils/fonts/sfnt/metrics.py
 +++ b/src/calibre/utils/fonts/sfnt/metrics.py
 @@ -1,4 +1,4 @@
@@ -14751,8 +14752,8 @@ Index: b/src/calibre/utils/fonts/sfnt/me
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/sfnt/subset.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/subset.py b/src/calibre/utils/fonts/sfnt/subset.py
+index a83a620ef6..0827d794fa 100644
 --- a/src/calibre/utils/fonts/sfnt/subset.py
 +++ b/src/calibre/utils/fonts/sfnt/subset.py
 @@ -1,4 +1,4 @@
@@ -14761,8 +14762,8 @@ Index: b/src/calibre/utils/fonts/sfnt/su
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/utils.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/utils.py b/src/calibre/utils/fonts/utils.py
+index 155298a362..2e21693b76 100644
 --- a/src/calibre/utils/fonts/utils.py
 +++ b/src/calibre/utils/fonts/utils.py
 @@ -1,4 +1,4 @@
@@ -14771,8 +14772,8 @@ Index: b/src/calibre/utils/fonts/utils.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/fonts/win_fonts.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/win_fonts.py b/src/calibre/utils/fonts/win_fonts.py
+index d7280f2051..204573a989 100644
 --- a/src/calibre/utils/fonts/win_fonts.py
 +++ b/src/calibre/utils/fonts/win_fonts.py
 @@ -1,4 +1,4 @@
@@ -14781,8 +14782,8 @@ Index: b/src/calibre/utils/fonts/win_fon
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/formatter_functions.py
-===================================================================
+diff --git a/src/calibre/utils/formatter_functions.py b/src/calibre/utils/formatter_functions.py
+index 16b4b65d16..59c07eaf76 100644
 --- a/src/calibre/utils/formatter_functions.py
 +++ b/src/calibre/utils/formatter_functions.py
 @@ -1,4 +1,4 @@
@@ -14791,8 +14792,8 @@ Index: b/src/calibre/utils/formatter_fun
  # vim:fileencoding=utf-8
  
  '''
-Index: b/src/calibre/utils/html2text.py
-===================================================================
+diff --git a/src/calibre/utils/html2text.py b/src/calibre/utils/html2text.py
+index fd832353e8..94152be69b 100644
 --- a/src/calibre/utils/html2text.py
 +++ b/src/calibre/utils/html2text.py
 @@ -1,4 +1,4 @@
@@ -14801,8 +14802,8 @@ Index: b/src/calibre/utils/html2text.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/utils/https.py
-===================================================================
+diff --git a/src/calibre/utils/https.py b/src/calibre/utils/https.py
+index 274b0ca2d0..a1716a124c 100644
 --- a/src/calibre/utils/https.py
 +++ b/src/calibre/utils/https.py
 @@ -1,4 +1,4 @@
@@ -14811,8 +14812,8 @@ Index: b/src/calibre/utils/https.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/icu.py
-===================================================================
+diff --git a/src/calibre/utils/icu.py b/src/calibre/utils/icu.py
+index 2dd15c0f07..9013b68d85 100644
 --- a/src/calibre/utils/icu.py
 +++ b/src/calibre/utils/icu.py
 @@ -1,4 +1,4 @@
@@ -14821,8 +14822,8 @@ Index: b/src/calibre/utils/icu.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/icu_test.py
-===================================================================
+diff --git a/src/calibre/utils/icu_test.py b/src/calibre/utils/icu_test.py
+index ec9169c5f3..1f7a6c3b17 100644
 --- a/src/calibre/utils/icu_test.py
 +++ b/src/calibre/utils/icu_test.py
 @@ -1,4 +1,4 @@
@@ -14831,8 +14832,8 @@ Index: b/src/calibre/utils/icu_test.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/img.py
-===================================================================
+diff --git a/src/calibre/utils/img.py b/src/calibre/utils/img.py
+index e6f14e3a62..7be7648e68 100644
 --- a/src/calibre/utils/img.py
 +++ b/src/calibre/utils/img.py
 @@ -1,4 +1,4 @@
@@ -14841,8 +14842,8 @@ Index: b/src/calibre/utils/img.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015-2019, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/utils/imghdr.py
-===================================================================
+diff --git a/src/calibre/utils/imghdr.py b/src/calibre/utils/imghdr.py
+index fa6558dda0..57c9abf84f 100644
 --- a/src/calibre/utils/imghdr.py
 +++ b/src/calibre/utils/imghdr.py
 @@ -1,4 +1,4 @@
@@ -14851,8 +14852,8 @@ Index: b/src/calibre/utils/imghdr.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/utils/inotify.py
-===================================================================
+diff --git a/src/calibre/utils/inotify.py b/src/calibre/utils/inotify.py
+index 751a2e3f1f..7c84204c86 100644
 --- a/src/calibre/utils/inotify.py
 +++ b/src/calibre/utils/inotify.py
 @@ -1,4 +1,4 @@
@@ -14861,8 +14862,8 @@ Index: b/src/calibre/utils/inotify.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/ip_routing.py
-===================================================================
+diff --git a/src/calibre/utils/ip_routing.py b/src/calibre/utils/ip_routing.py
+index 7f1ef8674e..1460de8b5e 100644
 --- a/src/calibre/utils/ip_routing.py
 +++ b/src/calibre/utils/ip_routing.py
 @@ -1,4 +1,4 @@
@@ -14871,8 +14872,8 @@ Index: b/src/calibre/utils/ip_routing.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/ipc/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/__init__.py b/src/calibre/utils/ipc/__init__.py
+index b2a8aaf8aa..f1a166209a 100644
 --- a/src/calibre/utils/ipc/__init__.py
 +++ b/src/calibre/utils/ipc/__init__.py
 @@ -1,4 +1,4 @@
@@ -14881,8 +14882,8 @@ Index: b/src/calibre/utils/ipc/__init__.
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/ipc/job.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/job.py b/src/calibre/utils/ipc/job.py
+index 28ba1aeee7..83816bc544 100644
 --- a/src/calibre/utils/ipc/job.py
 +++ b/src/calibre/utils/ipc/job.py
 @@ -1,4 +1,4 @@
@@ -14891,8 +14892,8 @@ Index: b/src/calibre/utils/ipc/job.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/ipc/launch.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/launch.py b/src/calibre/utils/ipc/launch.py
+index fddfae7cb1..fbf543b880 100644
 --- a/src/calibre/utils/ipc/launch.py
 +++ b/src/calibre/utils/ipc/launch.py
 @@ -1,4 +1,4 @@
@@ -14901,8 +14902,8 @@ Index: b/src/calibre/utils/ipc/launch.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/ipc/pool.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/pool.py b/src/calibre/utils/ipc/pool.py
+index 11fb9089fd..312d10127d 100644
 --- a/src/calibre/utils/ipc/pool.py
 +++ b/src/calibre/utils/ipc/pool.py
 @@ -1,4 +1,4 @@
@@ -14911,8 +14912,8 @@ Index: b/src/calibre/utils/ipc/pool.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/ipc/server.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/server.py b/src/calibre/utils/ipc/server.py
+index 47e40b44b0..abd35bb8ef 100644
 --- a/src/calibre/utils/ipc/server.py
 +++ b/src/calibre/utils/ipc/server.py
 @@ -1,4 +1,4 @@
@@ -14921,8 +14922,8 @@ Index: b/src/calibre/utils/ipc/server.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/ipc/simple_worker.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/simple_worker.py b/src/calibre/utils/ipc/simple_worker.py
+index 32b173c817..957e2f9299 100644
 --- a/src/calibre/utils/ipc/simple_worker.py
 +++ b/src/calibre/utils/ipc/simple_worker.py
 @@ -1,4 +1,4 @@
@@ -14931,8 +14932,8 @@ Index: b/src/calibre/utils/ipc/simple_wo
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/ipc/worker.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/worker.py b/src/calibre/utils/ipc/worker.py
+index 1f9602d837..f095713cc0 100644
 --- a/src/calibre/utils/ipc/worker.py
 +++ b/src/calibre/utils/ipc/worker.py
 @@ -1,4 +1,4 @@
@@ -14941,8 +14942,8 @@ Index: b/src/calibre/utils/ipc/worker.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/iphlpapi.py
-===================================================================
+diff --git a/src/calibre/utils/iphlpapi.py b/src/calibre/utils/iphlpapi.py
+index babe110bf5..a125f77d4d 100644
 --- a/src/calibre/utils/iphlpapi.py
 +++ b/src/calibre/utils/iphlpapi.py
 @@ -1,4 +1,4 @@
@@ -14951,8 +14952,8 @@ Index: b/src/calibre/utils/iphlpapi.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/ipython.py
-===================================================================
+diff --git a/src/calibre/utils/ipython.py b/src/calibre/utils/ipython.py
+index 19e5fc84d7..d90b945b20 100644
 --- a/src/calibre/utils/ipython.py
 +++ b/src/calibre/utils/ipython.py
 @@ -1,4 +1,4 @@
@@ -14961,8 +14962,8 @@ Index: b/src/calibre/utils/ipython.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/iso8601.py
-===================================================================
+diff --git a/src/calibre/utils/iso8601.py b/src/calibre/utils/iso8601.py
+index fc8ef91c93..516dc4260d 100644
 --- a/src/calibre/utils/iso8601.py
 +++ b/src/calibre/utils/iso8601.py
 @@ -1,4 +1,4 @@
@@ -14971,8 +14972,8 @@ Index: b/src/calibre/utils/iso8601.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/linux_trash.py
-===================================================================
+diff --git a/src/calibre/utils/linux_trash.py b/src/calibre/utils/linux_trash.py
+index 558c9aa779..4c208ed3e4 100644
 --- a/src/calibre/utils/linux_trash.py
 +++ b/src/calibre/utils/linux_trash.py
 @@ -1,4 +1,4 @@
@@ -14981,8 +14982,8 @@ Index: b/src/calibre/utils/linux_trash.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/localization.py
-===================================================================
+diff --git a/src/calibre/utils/localization.py b/src/calibre/utils/localization.py
+index c2f2613def..fa784c9b38 100644
 --- a/src/calibre/utils/localization.py
 +++ b/src/calibre/utils/localization.py
 @@ -1,4 +1,4 @@
@@ -14991,8 +14992,8 @@ Index: b/src/calibre/utils/localization.
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/localunzip.py
-===================================================================
+diff --git a/src/calibre/utils/localunzip.py b/src/calibre/utils/localunzip.py
+index b0d0ab568c..ea4e67eb62 100644
 --- a/src/calibre/utils/localunzip.py
 +++ b/src/calibre/utils/localunzip.py
 @@ -1,4 +1,4 @@
@@ -15001,8 +15002,8 @@ Index: b/src/calibre/utils/localunzip.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/lock.py
-===================================================================
+diff --git a/src/calibre/utils/lock.py b/src/calibre/utils/lock.py
+index fb37f7c8f0..4d71754e9f 100644
 --- a/src/calibre/utils/lock.py
 +++ b/src/calibre/utils/lock.py
 @@ -1,4 +1,4 @@
@@ -15011,8 +15012,8 @@ Index: b/src/calibre/utils/lock.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/magick/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/magick/__init__.py b/src/calibre/utils/magick/__init__.py
+index db4a81ebb1..11d5537216 100644
 --- a/src/calibre/utils/magick/__init__.py
 +++ b/src/calibre/utils/magick/__init__.py
 @@ -1,4 +1,4 @@
@@ -15021,8 +15022,8 @@ Index: b/src/calibre/utils/magick/__init
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/magick/draw.py
-===================================================================
+diff --git a/src/calibre/utils/magick/draw.py b/src/calibre/utils/magick/draw.py
+index 36aa37797b..e741f8dc16 100644
 --- a/src/calibre/utils/magick/draw.py
 +++ b/src/calibre/utils/magick/draw.py
 @@ -1,4 +1,4 @@
@@ -15031,8 +15032,8 @@ Index: b/src/calibre/utils/magick/draw.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/magick/legacy.py
-===================================================================
+diff --git a/src/calibre/utils/magick/legacy.py b/src/calibre/utils/magick/legacy.py
+index c6025a8d31..97b3270469 100644
 --- a/src/calibre/utils/magick/legacy.py
 +++ b/src/calibre/utils/magick/legacy.py
 @@ -1,4 +1,4 @@
@@ -15041,8 +15042,8 @@ Index: b/src/calibre/utils/magick/legacy
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/matcher.py
-===================================================================
+diff --git a/src/calibre/utils/matcher.py b/src/calibre/utils/matcher.py
+index 85f267767d..813e573105 100644
 --- a/src/calibre/utils/matcher.py
 +++ b/src/calibre/utils/matcher.py
 @@ -1,4 +1,4 @@
@@ -15051,8 +15052,8 @@ Index: b/src/calibre/utils/matcher.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/mem.py
-===================================================================
+diff --git a/src/calibre/utils/mem.py b/src/calibre/utils/mem.py
+index f48e8c0510..4313c21cb0 100644
 --- a/src/calibre/utils/mem.py
 +++ b/src/calibre/utils/mem.py
 @@ -1,4 +1,4 @@
@@ -15061,8 +15062,8 @@ Index: b/src/calibre/utils/mem.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/network.py
-===================================================================
+diff --git a/src/calibre/utils/network.py b/src/calibre/utils/network.py
+index 700a602025..5c808cf754 100644
 --- a/src/calibre/utils/network.py
 +++ b/src/calibre/utils/network.py
 @@ -1,4 +1,4 @@
@@ -15071,8 +15072,8 @@ Index: b/src/calibre/utils/network.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2010, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/open_with/linux.py
-===================================================================
+diff --git a/src/calibre/utils/open_with/linux.py b/src/calibre/utils/open_with/linux.py
+index f3405b50b0..c2847ce78f 100644
 --- a/src/calibre/utils/open_with/linux.py
 +++ b/src/calibre/utils/open_with/linux.py
 @@ -1,4 +1,4 @@
@@ -15081,8 +15082,8 @@ Index: b/src/calibre/utils/open_with/lin
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/open_with/osx.py
-===================================================================
+diff --git a/src/calibre/utils/open_with/osx.py b/src/calibre/utils/open_with/osx.py
+index 3ee0d4cb51..ed8d25c82a 100644
 --- a/src/calibre/utils/open_with/osx.py
 +++ b/src/calibre/utils/open_with/osx.py
 @@ -1,4 +1,4 @@
@@ -15091,8 +15092,8 @@ Index: b/src/calibre/utils/open_with/osx
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/open_with/windows.py
-===================================================================
+diff --git a/src/calibre/utils/open_with/windows.py b/src/calibre/utils/open_with/windows.py
+index be419d623b..81e16fec01 100644
 --- a/src/calibre/utils/open_with/windows.py
 +++ b/src/calibre/utils/open_with/windows.py
 @@ -1,4 +1,4 @@
@@ -15101,8 +15102,8 @@ Index: b/src/calibre/utils/open_with/win
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/ordered_dict.py
-===================================================================
+diff --git a/src/calibre/utils/ordered_dict.py b/src/calibre/utils/ordered_dict.py
+index 86016054e1..f3176feeea 100644
 --- a/src/calibre/utils/ordered_dict.py
 +++ b/src/calibre/utils/ordered_dict.py
 @@ -1,4 +1,4 @@
@@ -15111,8 +15112,8 @@ Index: b/src/calibre/utils/ordered_dict.
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/podofo/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/podofo/__init__.py b/src/calibre/utils/podofo/__init__.py
+index 2402dc8216..56e471b694 100644
 --- a/src/calibre/utils/podofo/__init__.py
 +++ b/src/calibre/utils/podofo/__init__.py
 @@ -1,4 +1,4 @@
@@ -15121,8 +15122,8 @@ Index: b/src/calibre/utils/podofo/__init
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  # License: GPLv3 Copyright: 2009, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/utils/random_ua.py
-===================================================================
+diff --git a/src/calibre/utils/random_ua.py b/src/calibre/utils/random_ua.py
+index 8b26a27676..34755c16b8 100644
 --- a/src/calibre/utils/random_ua.py
 +++ b/src/calibre/utils/random_ua.py
 @@ -1,4 +1,4 @@
@@ -15131,8 +15132,8 @@ Index: b/src/calibre/utils/random_ua.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/rapydscript.py
-===================================================================
+diff --git a/src/calibre/utils/rapydscript.py b/src/calibre/utils/rapydscript.py
+index ed386f7382..0acc82ed96 100644
 --- a/src/calibre/utils/rapydscript.py
 +++ b/src/calibre/utils/rapydscript.py
 @@ -1,4 +1,4 @@
@@ -15141,8 +15142,8 @@ Index: b/src/calibre/utils/rapydscript.p
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/utils/recycle_bin.py
-===================================================================
+diff --git a/src/calibre/utils/recycle_bin.py b/src/calibre/utils/recycle_bin.py
+index 9354193de5..5119a9c74c 100644
 --- a/src/calibre/utils/recycle_bin.py
 +++ b/src/calibre/utils/recycle_bin.py
 @@ -1,4 +1,4 @@
@@ -15151,8 +15152,8 @@ Index: b/src/calibre/utils/recycle_bin.p
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/resources.py
-===================================================================
+diff --git a/src/calibre/utils/resources.py b/src/calibre/utils/resources.py
+index f63b884fc3..7062db6b10 100644
 --- a/src/calibre/utils/resources.py
 +++ b/src/calibre/utils/resources.py
 @@ -1,4 +1,4 @@
@@ -15161,8 +15162,8 @@ Index: b/src/calibre/utils/resources.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/run_tests.py
-===================================================================
+diff --git a/src/calibre/utils/run_tests.py b/src/calibre/utils/run_tests.py
+index 6e2bb90151..b75896f753 100644
 --- a/src/calibre/utils/run_tests.py
 +++ b/src/calibre/utils/run_tests.py
 @@ -1,4 +1,4 @@
@@ -15171,8 +15172,8 @@ Index: b/src/calibre/utils/run_tests.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/search_query_parser.py
-===================================================================
+diff --git a/src/calibre/utils/search_query_parser.py b/src/calibre/utils/search_query_parser.py
+index 60691defea..38f53cc87c 100644
 --- a/src/calibre/utils/search_query_parser.py
 +++ b/src/calibre/utils/search_query_parser.py
 @@ -1,4 +1,4 @@
@@ -15181,8 +15182,8 @@ Index: b/src/calibre/utils/search_query_
  # encoding: utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/search_query_parser_test.py
-===================================================================
+diff --git a/src/calibre/utils/search_query_parser_test.py b/src/calibre/utils/search_query_parser_test.py
+index b7df1e3dab..36df945ee9 100644
 --- a/src/calibre/utils/search_query_parser_test.py
 +++ b/src/calibre/utils/search_query_parser_test.py
 @@ -1,4 +1,4 @@
@@ -15191,8 +15192,8 @@ Index: b/src/calibre/utils/search_query_
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/serialize.py
-===================================================================
+diff --git a/src/calibre/utils/serialize.py b/src/calibre/utils/serialize.py
+index c35ae53849..692d78eac8 100644
 --- a/src/calibre/utils/serialize.py
 +++ b/src/calibre/utils/serialize.py
 @@ -1,4 +1,4 @@
@@ -15201,8 +15202,8 @@ Index: b/src/calibre/utils/serialize.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/shared_file.py
-===================================================================
+diff --git a/src/calibre/utils/shared_file.py b/src/calibre/utils/shared_file.py
+index 836c22525e..e1fef31243 100644
 --- a/src/calibre/utils/shared_file.py
 +++ b/src/calibre/utils/shared_file.py
 @@ -1,4 +1,4 @@
@@ -15211,8 +15212,8 @@ Index: b/src/calibre/utils/shared_file.p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/short_uuid.py
-===================================================================
+diff --git a/src/calibre/utils/short_uuid.py b/src/calibre/utils/short_uuid.py
+index 0d8b40c7da..f0b5a7e31d 100644
 --- a/src/calibre/utils/short_uuid.py
 +++ b/src/calibre/utils/short_uuid.py
 @@ -1,4 +1,4 @@
@@ -15221,8 +15222,8 @@ Index: b/src/calibre/utils/short_uuid.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/utils/smartypants.py
-===================================================================
+diff --git a/src/calibre/utils/smartypants.py b/src/calibre/utils/smartypants.py
+index 7f44d06a7e..dc4ad4ec90 100644
 --- a/src/calibre/utils/smartypants.py
 +++ b/src/calibre/utils/smartypants.py
 @@ -1,4 +1,4 @@
@@ -15231,8 +15232,8 @@ Index: b/src/calibre/utils/smartypants.p
  # vim:fileencoding=utf-8
  
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/utils/smtplib.py
-===================================================================
+diff --git a/src/calibre/utils/smtplib.py b/src/calibre/utils/smtplib.py
+index 34634fbffa..25029dedbd 100644
 --- a/src/calibre/utils/smtplib.py
 +++ b/src/calibre/utils/smtplib.py
 @@ -1,4 +1,4 @@
@@ -15241,8 +15242,8 @@ Index: b/src/calibre/utils/smtplib.py
  from __future__ import print_function
  
  '''SMTP/ESMTP client class.
-Index: b/src/calibre/utils/socket_inheritance.py
-===================================================================
+diff --git a/src/calibre/utils/socket_inheritance.py b/src/calibre/utils/socket_inheritance.py
+index 6b49762f0a..5af4ce7a92 100644
 --- a/src/calibre/utils/socket_inheritance.py
 +++ b/src/calibre/utils/socket_inheritance.py
 @@ -1,4 +1,4 @@
@@ -15251,8 +15252,8 @@ Index: b/src/calibre/utils/socket_inheri
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/speedups.py
-===================================================================
+diff --git a/src/calibre/utils/speedups.py b/src/calibre/utils/speedups.py
+index e6d5acb9fc..0786456503 100644
 --- a/src/calibre/utils/speedups.py
 +++ b/src/calibre/utils/speedups.py
 @@ -1,4 +1,4 @@
@@ -15261,8 +15262,8 @@ Index: b/src/calibre/utils/speedups.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/spell/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/spell/__init__.py b/src/calibre/utils/spell/__init__.py
+index d9dc36506c..69376f9ebd 100644
 --- a/src/calibre/utils/spell/__init__.py
 +++ b/src/calibre/utils/spell/__init__.py
 @@ -1,4 +1,4 @@
@@ -15271,8 +15272,8 @@ Index: b/src/calibre/utils/spell/__init_
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/tdir_in_cache.py
-===================================================================
+diff --git a/src/calibre/utils/tdir_in_cache.py b/src/calibre/utils/tdir_in_cache.py
+index 1d8ed8dde9..a5bb58293b 100644
 --- a/src/calibre/utils/tdir_in_cache.py
 +++ b/src/calibre/utils/tdir_in_cache.py
 @@ -1,4 +1,4 @@
@@ -15281,8 +15282,8 @@ Index: b/src/calibre/utils/tdir_in_cache
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/terminal.py
-===================================================================
+diff --git a/src/calibre/utils/terminal.py b/src/calibre/utils/terminal.py
+index a436ef0716..a640c573eb 100644
 --- a/src/calibre/utils/terminal.py
 +++ b/src/calibre/utils/terminal.py
 @@ -1,4 +1,4 @@
@@ -15291,8 +15292,8 @@ Index: b/src/calibre/utils/terminal.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/test_lock.py
-===================================================================
+diff --git a/src/calibre/utils/test_lock.py b/src/calibre/utils/test_lock.py
+index f475b0b15b..6f6a2def5e 100644
 --- a/src/calibre/utils/test_lock.py
 +++ b/src/calibre/utils/test_lock.py
 @@ -1,4 +1,4 @@
@@ -15301,8 +15302,8 @@ Index: b/src/calibre/utils/test_lock.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/text2int.py
-===================================================================
+diff --git a/src/calibre/utils/text2int.py b/src/calibre/utils/text2int.py
+index c9a88946c1..1aa70916d4 100644
 --- a/src/calibre/utils/text2int.py
 +++ b/src/calibre/utils/text2int.py
 @@ -1,4 +1,4 @@
@@ -15311,8 +15312,8 @@ Index: b/src/calibre/utils/text2int.py
  
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/titlecase.py
-===================================================================
+diff --git a/src/calibre/utils/titlecase.py b/src/calibre/utils/titlecase.py
+index 2450e370d6..fec245c494 100644
 --- a/src/calibre/utils/titlecase.py
 +++ b/src/calibre/utils/titlecase.py
 @@ -1,4 +1,4 @@
@@ -15321,8 +15322,8 @@ Index: b/src/calibre/utils/titlecase.py
  # -*- coding: utf-8 -*-
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/unicode_getpass.py
-===================================================================
+diff --git a/src/calibre/utils/unicode_getpass.py b/src/calibre/utils/unicode_getpass.py
+index fa027fa1ea..d1245096f5 100644
 --- a/src/calibre/utils/unicode_getpass.py
 +++ b/src/calibre/utils/unicode_getpass.py
 @@ -1,4 +1,4 @@
@@ -15331,8 +15332,8 @@ Index: b/src/calibre/utils/unicode_getpa
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2017, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/unicode_names.py
-===================================================================
+diff --git a/src/calibre/utils/unicode_names.py b/src/calibre/utils/unicode_names.py
+index a95891dfdb..f6e4e42f9f 100644
 --- a/src/calibre/utils/unicode_names.py
 +++ b/src/calibre/utils/unicode_names.py
 @@ -1,4 +1,4 @@
@@ -15341,8 +15342,8 @@ Index: b/src/calibre/utils/unicode_names
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/unrar.py
-===================================================================
+diff --git a/src/calibre/utils/unrar.py b/src/calibre/utils/unrar.py
+index 7b196dbd11..9dc3d6d42a 100644
 --- a/src/calibre/utils/unrar.py
 +++ b/src/calibre/utils/unrar.py
 @@ -1,4 +1,4 @@
@@ -15351,8 +15352,8 @@ Index: b/src/calibre/utils/unrar.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/windows/wintest.py
-===================================================================
+diff --git a/src/calibre/utils/windows/wintest.py b/src/calibre/utils/windows/wintest.py
+index b46aee16fb..142cb7361e 100644
 --- a/src/calibre/utils/windows/wintest.py
 +++ b/src/calibre/utils/windows/wintest.py
 @@ -1,4 +1,4 @@
@@ -15361,8 +15362,8 @@ Index: b/src/calibre/utils/windows/winte
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre/utils/winreg/dde.py
-===================================================================
+diff --git a/src/calibre/utils/winreg/dde.py b/src/calibre/utils/winreg/dde.py
+index c949a8110a..d3806be481 100644
 --- a/src/calibre/utils/winreg/dde.py
 +++ b/src/calibre/utils/winreg/dde.py
 @@ -1,4 +1,4 @@
@@ -15371,8 +15372,8 @@ Index: b/src/calibre/utils/winreg/dde.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/winreg/default_programs.py
-===================================================================
+diff --git a/src/calibre/utils/winreg/default_programs.py b/src/calibre/utils/winreg/default_programs.py
+index 4a76f82feb..f597d8c36b 100644
 --- a/src/calibre/utils/winreg/default_programs.py
 +++ b/src/calibre/utils/winreg/default_programs.py
 @@ -1,4 +1,4 @@
@@ -15381,8 +15382,8 @@ Index: b/src/calibre/utils/winreg/defaul
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/winreg/lib.py
-===================================================================
+diff --git a/src/calibre/utils/winreg/lib.py b/src/calibre/utils/winreg/lib.py
+index 48c50a5c4a..1295297dea 100644
 --- a/src/calibre/utils/winreg/lib.py
 +++ b/src/calibre/utils/winreg/lib.py
 @@ -1,4 +1,4 @@
@@ -15391,8 +15392,8 @@ Index: b/src/calibre/utils/winreg/lib.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/wmf/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/wmf/__init__.py b/src/calibre/utils/wmf/__init__.py
+index 17f34c00df..3b2e3a7da4 100644
 --- a/src/calibre/utils/wmf/__init__.py
 +++ b/src/calibre/utils/wmf/__init__.py
 @@ -1,4 +1,4 @@
@@ -15401,8 +15402,8 @@ Index: b/src/calibre/utils/wmf/__init__.
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/wmf/emf.py
-===================================================================
+diff --git a/src/calibre/utils/wmf/emf.py b/src/calibre/utils/wmf/emf.py
+index 5ba6adf58d..3fec5acd01 100644
 --- a/src/calibre/utils/wmf/emf.py
 +++ b/src/calibre/utils/wmf/emf.py
 @@ -1,4 +1,4 @@
@@ -15411,8 +15412,8 @@ Index: b/src/calibre/utils/wmf/emf.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/wmf/parse.py
-===================================================================
+diff --git a/src/calibre/utils/wmf/parse.py b/src/calibre/utils/wmf/parse.py
+index 196970ed6a..85fdfd8754 100644
 --- a/src/calibre/utils/wmf/parse.py
 +++ b/src/calibre/utils/wmf/parse.py
 @@ -1,4 +1,4 @@
@@ -15421,8 +15422,8 @@ Index: b/src/calibre/utils/wmf/parse.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre/utils/wordcount.py
-===================================================================
+diff --git a/src/calibre/utils/wordcount.py b/src/calibre/utils/wordcount.py
+index 86ba2874a8..6afa979ebd 100644
 --- a/src/calibre/utils/wordcount.py
 +++ b/src/calibre/utils/wordcount.py
 @@ -1,4 +1,4 @@
@@ -15431,8 +15432,8 @@ Index: b/src/calibre/utils/wordcount.py
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  
  from __future__ import absolute_import, division, print_function, unicode_literals
-Index: b/src/calibre/web/feeds/__init__.py
-===================================================================
+diff --git a/src/calibre/web/feeds/__init__.py b/src/calibre/web/feeds/__init__.py
+index bf194337e2..02ce6cce46 100644
 --- a/src/calibre/web/feeds/__init__.py
 +++ b/src/calibre/web/feeds/__init__.py
 @@ -1,4 +1,4 @@
@@ -15441,8 +15442,8 @@ Index: b/src/calibre/web/feeds/__init__.
  
  from __future__ import print_function, unicode_literals
  __license__   = 'GPL v3'
-Index: b/src/calibre/web/feeds/recipes/__init__.py
-===================================================================
+diff --git a/src/calibre/web/feeds/recipes/__init__.py b/src/calibre/web/feeds/recipes/__init__.py
+index d65c245a33..eec8c12524 100644
 --- a/src/calibre/web/feeds/recipes/__init__.py
 +++ b/src/calibre/web/feeds/recipes/__init__.py
 @@ -1,4 +1,4 @@
@@ -15451,8 +15452,8 @@ Index: b/src/calibre/web/feeds/recipes/_
  from __future__ import unicode_literals
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/web/feeds/recipes/collection.py
-===================================================================
+diff --git a/src/calibre/web/feeds/recipes/collection.py b/src/calibre/web/feeds/recipes/collection.py
+index 0129954baf..68f2ea419f 100644
 --- a/src/calibre/web/feeds/recipes/collection.py
 +++ b/src/calibre/web/feeds/recipes/collection.py
 @@ -1,4 +1,4 @@
@@ -15461,8 +15462,8 @@ Index: b/src/calibre/web/feeds/recipes/c
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement, print_function, unicode_literals
  
-Index: b/src/calibre/web/feeds/recipes/model.py
-===================================================================
+diff --git a/src/calibre/web/feeds/recipes/model.py b/src/calibre/web/feeds/recipes/model.py
+index d6d489a632..d362bec6f0 100644
 --- a/src/calibre/web/feeds/recipes/model.py
 +++ b/src/calibre/web/feeds/recipes/model.py
 @@ -1,4 +1,4 @@
@@ -15471,8 +15472,8 @@ Index: b/src/calibre/web/feeds/recipes/m
  # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:ai
  from __future__ import with_statement, unicode_literals
  
-Index: b/src/calibre/web/feeds/templates.py
-===================================================================
+diff --git a/src/calibre/web/feeds/templates.py b/src/calibre/web/feeds/templates.py
+index 71985831a5..1c40fc64f3 100644
 --- a/src/calibre/web/feeds/templates.py
 +++ b/src/calibre/web/feeds/templates.py
 @@ -1,4 +1,4 @@
@@ -15481,8 +15482,8 @@ Index: b/src/calibre/web/feeds/templates
  from __future__ import unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/web/fetch/simple.py
-===================================================================
+diff --git a/src/calibre/web/fetch/simple.py b/src/calibre/web/fetch/simple.py
+index e0b4fefc5c..6a28d71d2e 100644
 --- a/src/calibre/web/fetch/simple.py
 +++ b/src/calibre/web/fetch/simple.py
 @@ -1,4 +1,4 @@
@@ -15491,8 +15492,8 @@ Index: b/src/calibre/web/fetch/simple.py
  from __future__ import print_function, with_statement, unicode_literals
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/web/fetch/utils.py
-===================================================================
+diff --git a/src/calibre/web/fetch/utils.py b/src/calibre/web/fetch/utils.py
+index 6c17e67a2c..1680103598 100644
 --- a/src/calibre/web/fetch/utils.py
 +++ b/src/calibre/web/fetch/utils.py
 @@ -1,4 +1,4 @@
@@ -15501,8 +15502,8 @@ Index: b/src/calibre/web/fetch/utils.py
  # vim:fileencoding=utf-8
  # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/calibre_lzma/__init__.py
-===================================================================
+diff --git a/src/calibre_lzma/__init__.py b/src/calibre_lzma/__init__.py
+index 280f29ad6d..cbf4297d76 100644
 --- a/src/calibre_lzma/__init__.py
 +++ b/src/calibre_lzma/__init__.py
 @@ -1,4 +1,4 @@
@@ -15511,8 +15512,8 @@ Index: b/src/calibre_lzma/__init__.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre_lzma/errors.py
-===================================================================
+diff --git a/src/calibre_lzma/errors.py b/src/calibre_lzma/errors.py
+index 5e4de4c739..f07f46b2a4 100644
 --- a/src/calibre_lzma/errors.py
 +++ b/src/calibre_lzma/errors.py
 @@ -1,4 +1,4 @@
@@ -15521,8 +15522,8 @@ Index: b/src/calibre_lzma/errors.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre_lzma/lzma1.py
-===================================================================
+diff --git a/src/calibre_lzma/lzma1.py b/src/calibre_lzma/lzma1.py
+index 5e842407cd..1d11d9596c 100644
 --- a/src/calibre_lzma/lzma1.py
 +++ b/src/calibre_lzma/lzma1.py
 @@ -1,4 +1,4 @@
@@ -15531,8 +15532,8 @@ Index: b/src/calibre_lzma/lzma1.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/calibre_lzma/xz.py
-===================================================================
+diff --git a/src/calibre_lzma/xz.py b/src/calibre_lzma/xz.py
+index 2e82ea85f7..73227bddc8 100644
 --- a/src/calibre_lzma/xz.py
 +++ b/src/calibre_lzma/xz.py
 @@ -1,4 +1,4 @@
@@ -15541,8 +15542,8 @@ Index: b/src/calibre_lzma/xz.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/css_selectors/__init__.py
-===================================================================
+diff --git a/src/css_selectors/__init__.py b/src/css_selectors/__init__.py
+index 24e1322fa4..d54aa48073 100644
 --- a/src/css_selectors/__init__.py
 +++ b/src/css_selectors/__init__.py
 @@ -1,4 +1,4 @@
@@ -15551,8 +15552,8 @@ Index: b/src/css_selectors/__init__.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/css_selectors/errors.py
-===================================================================
+diff --git a/src/css_selectors/errors.py b/src/css_selectors/errors.py
+index 070965ce3a..c49a71fbcc 100644
 --- a/src/css_selectors/errors.py
 +++ b/src/css_selectors/errors.py
 @@ -1,4 +1,4 @@
@@ -15561,8 +15562,8 @@ Index: b/src/css_selectors/errors.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/css_selectors/ordered_set.py
-===================================================================
+diff --git a/src/css_selectors/ordered_set.py b/src/css_selectors/ordered_set.py
+index 448a4a7db8..7a6f9e2ce5 100644
 --- a/src/css_selectors/ordered_set.py
 +++ b/src/css_selectors/ordered_set.py
 @@ -1,4 +1,4 @@
@@ -15571,8 +15572,8 @@ Index: b/src/css_selectors/ordered_set.p
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/css_selectors/parser.py
-===================================================================
+diff --git a/src/css_selectors/parser.py b/src/css_selectors/parser.py
+index 4ea3e1108d..9920b6b0fc 100644
 --- a/src/css_selectors/parser.py
 +++ b/src/css_selectors/parser.py
 @@ -1,4 +1,4 @@
@@ -15581,8 +15582,8 @@ Index: b/src/css_selectors/parser.py
  # vim:fileencoding=utf-8
  """
      Tokenizer, parser and parsed objects for CSS selectors.
-Index: b/src/css_selectors/select.py
-===================================================================
+diff --git a/src/css_selectors/select.py b/src/css_selectors/select.py
+index b6e2a1884a..0ee4471737 100644
 --- a/src/css_selectors/select.py
 +++ b/src/css_selectors/select.py
 @@ -1,4 +1,4 @@
@@ -15591,8 +15592,8 @@ Index: b/src/css_selectors/select.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/css_selectors/tests.py
-===================================================================
+diff --git a/src/css_selectors/tests.py b/src/css_selectors/tests.py
+index 0176f1db93..8a80fc6227 100644
 --- a/src/css_selectors/tests.py
 +++ b/src/css_selectors/tests.py
 @@ -1,4 +1,4 @@
@@ -15601,8 +15602,8 @@ Index: b/src/css_selectors/tests.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/odf/element.py
-===================================================================
+diff --git a/src/odf/element.py b/src/odf/element.py
+index 5ecd02a203..66083632ce 100644
 --- a/src/odf/element.py
 +++ b/src/odf/element.py
 @@ -1,4 +1,4 @@
@@ -15611,8 +15612,8 @@ Index: b/src/odf/element.py
  # -*- coding: utf-8 -*-
  # Copyright (C) 2007-2010 Søren Roug, European Environment Agency
  #
-Index: b/src/odf/elementtypes.py
-===================================================================
+diff --git a/src/odf/elementtypes.py b/src/odf/elementtypes.py
+index 221bdaf7dc..36fbb592e8 100644
 --- a/src/odf/elementtypes.py
 +++ b/src/odf/elementtypes.py
 @@ -1,4 +1,4 @@
@@ -15621,8 +15622,8 @@ Index: b/src/odf/elementtypes.py
  # -*- coding: utf-8 -*-
  # Copyright (C) 2008 Søren Roug, European Environment Agency
  #
-Index: b/src/odf/load.py
-===================================================================
+diff --git a/src/odf/load.py b/src/odf/load.py
+index cfa91f89b8..f8551ae356 100644
 --- a/src/odf/load.py
 +++ b/src/odf/load.py
 @@ -1,4 +1,4 @@
@@ -15631,8 +15632,8 @@ Index: b/src/odf/load.py
  # -*- coding: utf-8 -*-
  # Copyright (C) 2007-2008 Søren Roug, European Environment Agency
  #
-Index: b/src/odf/manifest.py
-===================================================================
+diff --git a/src/odf/manifest.py b/src/odf/manifest.py
+index 3ad29064df..e1e8d450ef 100644
 --- a/src/odf/manifest.py
 +++ b/src/odf/manifest.py
 @@ -1,4 +1,4 @@
@@ -15641,8 +15642,8 @@ Index: b/src/odf/manifest.py
  # -*- coding: utf-8 -*-
  # Copyright (C) 2006-2007 Søren Roug, European Environment Agency
  #
-Index: b/src/odf/odf2xhtml.py
-===================================================================
+diff --git a/src/odf/odf2xhtml.py b/src/odf/odf2xhtml.py
+index ca53453c1c..15e1b86bf0 100644
 --- a/src/odf/odf2xhtml.py
 +++ b/src/odf/odf2xhtml.py
 @@ -1,4 +1,4 @@
@@ -15651,8 +15652,8 @@ Index: b/src/odf/odf2xhtml.py
  # -*- coding: utf-8 -*-
  # Copyright (C) 2006-2010 Søren Roug, European Environment Agency
  #
-Index: b/src/odf/odfmanifest.py
-===================================================================
+diff --git a/src/odf/odfmanifest.py b/src/odf/odfmanifest.py
+index 0eab47baa6..e96bef2695 100644
 --- a/src/odf/odfmanifest.py
 +++ b/src/odf/odfmanifest.py
 @@ -1,4 +1,4 @@
@@ -15661,8 +15662,8 @@ Index: b/src/odf/odfmanifest.py
  # -*- coding: utf-8 -*-
  # Copyright (C) 2006-2007 Søren Roug, European Environment Agency
  #
-Index: b/src/odf/thumbnail.py
-===================================================================
+diff --git a/src/odf/thumbnail.py b/src/odf/thumbnail.py
+index 28ab5a9aaa..7e7fe38a0e 100644
 --- a/src/odf/thumbnail.py
 +++ b/src/odf/thumbnail.py
 @@ -1,4 +1,4 @@
@@ -15671,8 +15672,8 @@ Index: b/src/odf/thumbnail.py
  # -*- coding: utf-8 -*-
  # This contains a 128x128 px thumbnail in PNG format
  # Taken from https://cgit.freedesktop.org/libreoffice/core/tree/sysui/desktop/icons/hicolor/128x128/apps/main.png
-Index: b/src/odf/userfield.py
-===================================================================
+diff --git a/src/odf/userfield.py b/src/odf/userfield.py
+index 581252adc5..9d72ffc72f 100644
 --- a/src/odf/userfield.py
 +++ b/src/odf/userfield.py
 @@ -1,4 +1,4 @@
@@ -15681,8 +15682,8 @@ Index: b/src/odf/userfield.py
  # -*- coding: utf-8 -*-
  # Copyright (C) 2006-2009 Søren Roug, European Environment Agency
  #
-Index: b/src/polyglot/binary.py
-===================================================================
+diff --git a/src/polyglot/binary.py b/src/polyglot/binary.py
+index 360ac0b3ac..88c2d67f0a 100644
 --- a/src/polyglot/binary.py
 +++ b/src/polyglot/binary.py
 @@ -1,4 +1,4 @@
@@ -15691,8 +15692,8 @@ Index: b/src/polyglot/binary.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/polyglot/builtins.py
-===================================================================
+diff --git a/src/polyglot/builtins.py b/src/polyglot/builtins.py
+index cb78f7f822..0fa366d8b9 100644
 --- a/src/polyglot/builtins.py
 +++ b/src/polyglot/builtins.py
 @@ -1,4 +1,4 @@
@@ -15701,8 +15702,8 @@ Index: b/src/polyglot/builtins.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/polyglot/functools.py
-===================================================================
+diff --git a/src/polyglot/functools.py b/src/polyglot/functools.py
+index f0cdf08ca7..599e6b38b7 100644
 --- a/src/polyglot/functools.py
 +++ b/src/polyglot/functools.py
 @@ -1,4 +1,4 @@
@@ -15711,8 +15712,8 @@ Index: b/src/polyglot/functools.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/polyglot/html_entities.py
-===================================================================
+diff --git a/src/polyglot/html_entities.py b/src/polyglot/html_entities.py
+index 2e20eee7f4..c006b2941f 100644
 --- a/src/polyglot/html_entities.py
 +++ b/src/polyglot/html_entities.py
 @@ -1,4 +1,4 @@
@@ -15721,8 +15722,8 @@ Index: b/src/polyglot/html_entities.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Eli Schwartz <eschwartz@archlinux.org>
  
-Index: b/src/polyglot/http_client.py
-===================================================================
+diff --git a/src/polyglot/http_client.py b/src/polyglot/http_client.py
+index 740d9799ff..3c6126337f 100644
 --- a/src/polyglot/http_client.py
 +++ b/src/polyglot/http_client.py
 @@ -1,4 +1,4 @@
@@ -15731,8 +15732,8 @@ Index: b/src/polyglot/http_client.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Eli Schwartz <eschwartz@archlinux.org>
  
-Index: b/src/polyglot/http_cookie.py
-===================================================================
+diff --git a/src/polyglot/http_cookie.py b/src/polyglot/http_cookie.py
+index 645b8b6a3a..1c5977f74f 100644
 --- a/src/polyglot/http_cookie.py
 +++ b/src/polyglot/http_cookie.py
 @@ -1,4 +1,4 @@
@@ -15741,8 +15742,8 @@ Index: b/src/polyglot/http_cookie.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Eli Schwartz <eschwartz@archlinux.org>
  
-Index: b/src/polyglot/http_server.py
-===================================================================
+diff --git a/src/polyglot/http_server.py b/src/polyglot/http_server.py
+index 319ec9a29c..10dbbc0a20 100644
 --- a/src/polyglot/http_server.py
 +++ b/src/polyglot/http_server.py
 @@ -1,4 +1,4 @@
@@ -15751,8 +15752,8 @@ Index: b/src/polyglot/http_server.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/polyglot/io.py
-===================================================================
+diff --git a/src/polyglot/io.py b/src/polyglot/io.py
+index c5dcfe23ed..ba49423d54 100644
 --- a/src/polyglot/io.py
 +++ b/src/polyglot/io.py
 @@ -1,4 +1,4 @@
@@ -15761,8 +15762,8 @@ Index: b/src/polyglot/io.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/polyglot/plistlib.py
-===================================================================
+diff --git a/src/polyglot/plistlib.py b/src/polyglot/plistlib.py
+index a0c6a19850..5066f1f952 100644
 --- a/src/polyglot/plistlib.py
 +++ b/src/polyglot/plistlib.py
 @@ -1,4 +1,4 @@
@@ -15771,8 +15772,8 @@ Index: b/src/polyglot/plistlib.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/polyglot/queue.py
-===================================================================
+diff --git a/src/polyglot/queue.py b/src/polyglot/queue.py
+index de4cb6fbc5..51feafeaca 100644
 --- a/src/polyglot/queue.py
 +++ b/src/polyglot/queue.py
 @@ -1,4 +1,4 @@
@@ -15781,8 +15782,8 @@ Index: b/src/polyglot/queue.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Eli Schwartz <eschwartz@archlinux.org>
  
-Index: b/src/polyglot/reprlib.py
-===================================================================
+diff --git a/src/polyglot/reprlib.py b/src/polyglot/reprlib.py
+index 2444ad1788..d3b745851e 100644
 --- a/src/polyglot/reprlib.py
 +++ b/src/polyglot/reprlib.py
 @@ -1,4 +1,4 @@
@@ -15791,8 +15792,8 @@ Index: b/src/polyglot/reprlib.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Eli Schwartz <eschwartz@archlinux.org>
  
-Index: b/src/polyglot/smtplib.py
-===================================================================
+diff --git a/src/polyglot/smtplib.py b/src/polyglot/smtplib.py
+index 0ee340a85f..11bf5d76fc 100644
 --- a/src/polyglot/smtplib.py
 +++ b/src/polyglot/smtplib.py
 @@ -1,4 +1,4 @@
@@ -15801,8 +15802,8 @@ Index: b/src/polyglot/smtplib.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/polyglot/socketserver.py
-===================================================================
+diff --git a/src/polyglot/socketserver.py b/src/polyglot/socketserver.py
+index 243cbac5cd..da5c644531 100644
 --- a/src/polyglot/socketserver.py
 +++ b/src/polyglot/socketserver.py
 @@ -1,4 +1,4 @@
@@ -15811,8 +15812,8 @@ Index: b/src/polyglot/socketserver.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Eli Schwartz <eschwartz@archlinux.org>
  
-Index: b/src/polyglot/urllib.py
-===================================================================
+diff --git a/src/polyglot/urllib.py b/src/polyglot/urllib.py
+index 1d30c99eca..cfd7ab4ab1 100644
 --- a/src/polyglot/urllib.py
 +++ b/src/polyglot/urllib.py
 @@ -1,4 +1,4 @@
@@ -15821,8 +15822,8 @@ Index: b/src/polyglot/urllib.py
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
  
-Index: b/src/templite/__init__.py
-===================================================================
+diff --git a/src/templite/__init__.py b/src/templite/__init__.py
+index 8e64cc4b82..f76bf99e75 100644
 --- a/src/templite/__init__.py
 +++ b/src/templite/__init__.py
 @@ -1,4 +1,4 @@
@@ -15831,8 +15832,8 @@ Index: b/src/templite/__init__.py
  #
  #       Templite+
  #       A light-weight, fully functional, general purpose templating engine
-Index: b/src/tinycss/fonts3.py
-===================================================================
+diff --git a/src/tinycss/fonts3.py b/src/tinycss/fonts3.py
+index 60030b7584..66d65db0b6 100644
 --- a/src/tinycss/fonts3.py
 +++ b/src/tinycss/fonts3.py
 @@ -1,4 +1,4 @@
@@ -15841,8 +15842,8 @@ Index: b/src/tinycss/fonts3.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/tinycss/media3.py
-===================================================================
+diff --git a/src/tinycss/media3.py b/src/tinycss/media3.py
+index 3d4ebe146e..daa8e3a9d3 100644
 --- a/src/tinycss/media3.py
 +++ b/src/tinycss/media3.py
 @@ -1,4 +1,4 @@
@@ -15851,8 +15852,8 @@ Index: b/src/tinycss/media3.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/tinycss/tests/__init__.py
-===================================================================
+diff --git a/src/tinycss/tests/__init__.py b/src/tinycss/tests/__init__.py
+index 991303ecab..01b4731e70 100644
 --- a/src/tinycss/tests/__init__.py
 +++ b/src/tinycss/tests/__init__.py
 @@ -1,4 +1,4 @@
@@ -15861,8 +15862,8 @@ Index: b/src/tinycss/tests/__init__.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/tinycss/tests/color3.py
-===================================================================
+diff --git a/src/tinycss/tests/color3.py b/src/tinycss/tests/color3.py
+index 036c193f55..03cde0cf00 100644
 --- a/src/tinycss/tests/color3.py
 +++ b/src/tinycss/tests/color3.py
 @@ -1,4 +1,4 @@
@@ -15871,8 +15872,8 @@ Index: b/src/tinycss/tests/color3.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/tinycss/tests/css21.py
-===================================================================
+diff --git a/src/tinycss/tests/css21.py b/src/tinycss/tests/css21.py
+index 571d37ad6e..e92b76880b 100644
 --- a/src/tinycss/tests/css21.py
 +++ b/src/tinycss/tests/css21.py
 @@ -1,4 +1,4 @@
@@ -15881,8 +15882,8 @@ Index: b/src/tinycss/tests/css21.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/tinycss/tests/decoding.py
-===================================================================
+diff --git a/src/tinycss/tests/decoding.py b/src/tinycss/tests/decoding.py
+index be3dde196e..d465118d30 100644
 --- a/src/tinycss/tests/decoding.py
 +++ b/src/tinycss/tests/decoding.py
 @@ -1,4 +1,4 @@
@@ -15891,8 +15892,8 @@ Index: b/src/tinycss/tests/decoding.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/tinycss/tests/fonts3.py
-===================================================================
+diff --git a/src/tinycss/tests/fonts3.py b/src/tinycss/tests/fonts3.py
+index 08c72973f2..a5dd938116 100644
 --- a/src/tinycss/tests/fonts3.py
 +++ b/src/tinycss/tests/fonts3.py
 @@ -1,4 +1,4 @@
@@ -15901,8 +15902,8 @@ Index: b/src/tinycss/tests/fonts3.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/tinycss/tests/main.py
-===================================================================
+diff --git a/src/tinycss/tests/main.py b/src/tinycss/tests/main.py
+index 321722bab9..97d7c05796 100644
 --- a/src/tinycss/tests/main.py
 +++ b/src/tinycss/tests/main.py
 @@ -1,4 +1,4 @@
@@ -15911,8 +15912,8 @@ Index: b/src/tinycss/tests/main.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/tinycss/tests/media3.py
-===================================================================
+diff --git a/src/tinycss/tests/media3.py b/src/tinycss/tests/media3.py
+index 0d37156e0b..6b53ff204f 100644
 --- a/src/tinycss/tests/media3.py
 +++ b/src/tinycss/tests/media3.py
 @@ -1,4 +1,4 @@
@@ -15921,8 +15922,8 @@ Index: b/src/tinycss/tests/media3.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/tinycss/tests/page3.py
-===================================================================
+diff --git a/src/tinycss/tests/page3.py b/src/tinycss/tests/page3.py
+index aa3fac3180..b3d7665643 100644
 --- a/src/tinycss/tests/page3.py
 +++ b/src/tinycss/tests/page3.py
 @@ -1,4 +1,4 @@
@@ -15931,8 +15932,8 @@ Index: b/src/tinycss/tests/page3.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
-Index: b/src/tinycss/tests/tokenizing.py
-===================================================================
+diff --git a/src/tinycss/tests/tokenizing.py b/src/tinycss/tests/tokenizing.py
+index e99077dfec..b781b22e00 100644
 --- a/src/tinycss/tests/tokenizing.py
 +++ b/src/tinycss/tests/tokenizing.py
 @@ -1,4 +1,4 @@
@@ -15941,3 +15942,6 @@ Index: b/src/tinycss/tests/tokenizing.py
  # vim:fileencoding=utf-8
  from __future__ import absolute_import, division, print_function, unicode_literals
  
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0003-Remove-useless-__future__-imports.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0003-Remove-useless-__future__-imports.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0003-Remove-useless-__future__-imports.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0003-Remove-useless-__future__-imports.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,1237 +1,1237 @@
-From f471a96992035e0df2255fa7bd9287c8b773df28 Mon Sep 17 00:00:00 2001
+From 875b07dc5ba1a14df0b9c54bf90834c889b8bd8a Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Sun, 17 Nov 2019 18:27:50 +0530
-Subject: [PATCH 003/125] Remove useless __future__ imports
+Subject: [PATCH 003/201] Remove useless __future__ imports
 
 Not needed on python3
 ---
- bypy/init_env.py                                                  |    2 +-
- bypy/linux/__main__.py                                            |    2 +-
- bypy/macos/__main__.py                                            |    2 +-
- bypy/windows/__main__.py                                          |    2 +-
- icons/icns/make_iconsets.py                                       |    2 +-
- icons/make_ico_files.py                                           |    2 +-
- imgsrc/generate.py                                                |    1 -
- imgsrc/render-logo.py                                             |    2 +-
- imgsrc/srv/generate.py                                            |    2 +-
- manual/build.py                                                   |    2 +-
- manual/custom.py                                                  |    2 +-
- manual/epub.py                                                    |    2 +-
- manual/latex.py                                                   |    2 +-
- manual/plugin_examples/editor_demo/__init__.py                    |    2 +-
- manual/plugin_examples/editor_demo/main.py                        |    2 +-
- manual/plugin_examples/helloworld/__init__.py                     |    2 +-
- manual/plugin_examples/interface_demo/__init__.py                 |    2 +-
- manual/plugin_examples/interface_demo/config.py                   |    2 +-
- manual/plugin_examples/interface_demo/main.py                     |    2 +-
- manual/plugin_examples/interface_demo/ui.py                       |    2 +-
- manual/plugin_examples/webengine_demo/__init__.py                 |    2 +-
- manual/plugin_examples/webengine_demo/main.py                     |    2 +-
- manual/plugin_examples/webengine_demo/ui.py                       |    2 +-
- manual/template_ref_generate.py                                   |    2 +-
- resources/default_tweaks.py                                       |    2 +-
- setup.py                                                          |    2 +-
- setup/__init__.py                                                 |    2 +-
- setup/browser_data.py                                             |    2 +-
- setup/build.py                                                    |    4 ++--
- setup/build_environment.py                                        |    2 +-
- setup/check.py                                                    |    2 +-
- setup/commands.py                                                 |    2 +-
- setup/file-hosting-bw.py                                          |    2 +-
- setup/git_pre_commit_hook.py                                      |    2 +-
- setup/git_version.py                                              |    2 +-
- setup/gui.py                                                      |    2 +-
- setup/install.py                                                  |    2 +-
- setup/installers.py                                               |    2 +-
- setup/lc_data.py                                                  |    2 +-
- setup/linux-installer.py                                          |    2 +-
- setup/mathjax.py                                                  |    2 +-
- setup/parallel_build.py                                           |    2 +-
- setup/plugins_mirror.py                                           |    2 +-
- setup/port.py                                                     |    2 +-
- setup/publish.py                                                  |    4 ++--
- setup/resources.py                                                |    2 +-
- setup/run-calibre-worker.py                                       |    2 +-
- setup/test.py                                                     |    2 +-
- setup/translations.py                                             |    2 +-
- setup/unix-ci.py                                                  |    2 +-
- setup/upload.py                                                   |    2 +-
- setup/vcvars.py                                                   |    2 +-
- setup/win-ci.py                                                   |    2 +-
- src/backports/functools_lru_cache.py                              |    2 +-
- src/calibre/__init__.py                                           |    2 +-
- src/calibre/constants.py                                          |    1 -
- src/calibre/customize/__init__.py                                 |    2 +-
- src/calibre/customize/builtins.py                                 |    2 +-
- src/calibre/customize/conversion.py                               |    2 +-
- src/calibre/customize/profiles.py                                 |    2 +-
- src/calibre/customize/ui.py                                       |    2 +-
- src/calibre/customize/zipplugin.py                                |    2 +-
- src/calibre/db/__init__.py                                        |    2 +-
- src/calibre/db/adding.py                                          |    2 +-
- src/calibre/db/backend.py                                         |    2 +-
- src/calibre/db/backup.py                                          |    2 +-
- src/calibre/db/cache.py                                           |    2 +-
- src/calibre/db/categories.py                                      |    2 +-
- src/calibre/db/cli/__init__.py                                    |    2 +-
- src/calibre/db/cli/cmd_add.py                                     |    2 +-
- src/calibre/db/cli/cmd_add_custom_column.py                       |    2 +-
- src/calibre/db/cli/cmd_add_format.py                              |    2 +-
- src/calibre/db/cli/cmd_backup_metadata.py                         |    2 +-
- src/calibre/db/cli/cmd_catalog.py                                 |    2 +-
- src/calibre/db/cli/cmd_check_library.py                           |    2 +-
- src/calibre/db/cli/cmd_clone.py                                   |    2 +-
- src/calibre/db/cli/cmd_custom_columns.py                          |    2 +-
- src/calibre/db/cli/cmd_embed_metadata.py                          |    2 +-
- src/calibre/db/cli/cmd_export.py                                  |    2 +-
- src/calibre/db/cli/cmd_list.py                                    |    2 +-
- src/calibre/db/cli/cmd_list_categories.py                         |    2 +-
- src/calibre/db/cli/cmd_remove.py                                  |    2 +-
- src/calibre/db/cli/cmd_remove_custom_column.py                    |    2 +-
- src/calibre/db/cli/cmd_remove_format.py                           |    2 +-
- src/calibre/db/cli/cmd_restore_database.py                        |    2 +-
- src/calibre/db/cli/cmd_saved_searches.py                          |    2 +-
- src/calibre/db/cli/cmd_search.py                                  |    2 +-
- src/calibre/db/cli/cmd_set_custom.py                              |    2 +-
- src/calibre/db/cli/cmd_set_metadata.py                            |    2 +-
- src/calibre/db/cli/cmd_show_metadata.py                           |    2 +-
- src/calibre/db/cli/main.py                                        |    2 +-
- src/calibre/db/cli/tests.py                                       |    2 +-
- src/calibre/db/cli/utils.py                                       |    2 +-
- src/calibre/db/copy_to_library.py                                 |    2 +-
- src/calibre/db/delete_service.py                                  |    2 +-
- src/calibre/db/errors.py                                          |    2 +-
- src/calibre/db/fields.py                                          |    2 +-
- src/calibre/db/lazy.py                                            |    2 +-
- src/calibre/db/legacy.py                                          |    2 +-
- src/calibre/db/locking.py                                         |    2 +-
- src/calibre/db/restore.py                                         |    2 +-
- src/calibre/db/schema_upgrades.py                                 |    2 +-
- src/calibre/db/search.py                                          |    2 +-
- src/calibre/db/tables.py                                          |    2 +-
- src/calibre/db/tests/__init__.py                                  |    2 +-
- src/calibre/db/tests/add_remove.py                                |    2 +-
- src/calibre/db/tests/base.py                                      |    2 +-
- src/calibre/db/tests/filesystem.py                                |    2 +-
- src/calibre/db/tests/legacy.py                                    |    2 +-
- src/calibre/db/tests/locking.py                                   |    2 +-
- src/calibre/db/tests/main.py                                      |    2 +-
- src/calibre/db/tests/profiling.py                                 |    2 +-
- src/calibre/db/tests/reading.py                                   |    2 +-
- src/calibre/db/tests/utils.py                                     |    2 +-
- src/calibre/db/tests/writing.py                                   |    2 +-
- src/calibre/db/utils.py                                           |    2 +-
- src/calibre/db/view.py                                            |    2 +-
- src/calibre/db/write.py                                           |    2 +-
- src/calibre/debug.py                                              |    2 +-
- src/calibre/devices/__init__.py                                   |    2 +-
- src/calibre/devices/android/__init__.py                           |    2 +-
- src/calibre/devices/android/driver.py                             |    2 +-
- src/calibre/devices/binatone/driver.py                            |    2 +-
- src/calibre/devices/blackberry/__init__.py                        |    2 +-
- src/calibre/devices/blackberry/driver.py                          |    2 +-
- src/calibre/devices/boeye/driver.py                               |    2 +-
- src/calibre/devices/cli.py                                        |    2 +-
- src/calibre/devices/cybook/driver.py                              |    2 +-
- src/calibre/devices/cybook/t2b.py                                 |    2 +-
- src/calibre/devices/cybook/t4b.py                                 |    2 +-
- src/calibre/devices/eb600/driver.py                               |    2 +-
- src/calibre/devices/edge/driver.py                                |    2 +-
- src/calibre/devices/errors.py                                     |    2 +-
- src/calibre/devices/eslick/__init__.py                            |    2 +-
- src/calibre/devices/eslick/driver.py                              |    2 +-
- src/calibre/devices/folder_device/__init__.py                     |    2 +-
- src/calibre/devices/folder_device/driver.py                       |    2 +-
- src/calibre/devices/hanlin/__init__.py                            |    2 +-
- src/calibre/devices/hanlin/driver.py                              |    2 +-
- src/calibre/devices/hanvon/driver.py                              |    2 +-
- src/calibre/devices/iliad/driver.py                               |    2 +-
- src/calibre/devices/interface.py                                  |    2 +-
- src/calibre/devices/irexdr/driver.py                              |    2 +-
- src/calibre/devices/iriver/__init__.py                            |    2 +-
- src/calibre/devices/iriver/driver.py                              |    2 +-
- src/calibre/devices/jetbook/driver.py                             |    2 +-
- src/calibre/devices/kindle/apnx.py                                |    2 +-
- src/calibre/devices/kindle/bookmark.py                            |    2 +-
- src/calibre/devices/kindle/driver.py                              |    2 +-
- src/calibre/devices/kobo/__init__.py                              |    2 +-
- src/calibre/devices/kobo/bookmark.py                              |    2 +-
- src/calibre/devices/kobo/books.py                                 |    2 +-
- src/calibre/devices/kobo/driver.py                                |    2 +-
- src/calibre/devices/kobo/kobotouch_config.py                      |    2 +-
- src/calibre/devices/mime.py                                       |    2 +-
- src/calibre/devices/misc.py                                       |    2 +-
- src/calibre/devices/mtp/__init__.py                               |    2 +-
- src/calibre/devices/mtp/base.py                                   |    2 +-
- src/calibre/devices/mtp/books.py                                  |    2 +-
- src/calibre/devices/mtp/defaults.py                               |    2 +-
- src/calibre/devices/mtp/driver.py                                 |    2 +-
- src/calibre/devices/mtp/filesystem_cache.py                       |    2 +-
- src/calibre/devices/mtp/test.py                                   |    2 +-
- src/calibre/devices/mtp/unix/__init__.py                          |    2 +-
- src/calibre/devices/mtp/unix/driver.py                            |    2 +-
- src/calibre/devices/mtp/unix/sysfs.py                             |    2 +-
- src/calibre/devices/mtp/unix/upstream/update.py                   |    2 +-
- src/calibre/devices/mtp/windows/__init__.py                       |    2 +-
- src/calibre/devices/mtp/windows/driver.py                         |    2 +-
- src/calibre/devices/mtp/windows/remote.py                         |    2 +-
- src/calibre/devices/nokia/driver.py                               |    2 +-
- src/calibre/devices/nook/driver.py                                |    2 +-
- src/calibre/devices/nuut2/driver.py                               |    2 +-
- src/calibre/devices/paladin/__init__.py                           |    2 +-
- src/calibre/devices/paladin/driver.py                             |    2 +-
- src/calibre/devices/prs505/__init__.py                            |    2 +-
- src/calibre/devices/prs505/driver.py                              |    2 +-
- src/calibre/devices/prs505/sony_cache.py                          |    2 +-
- src/calibre/devices/prst1/__init__.py                             |    2 +-
- src/calibre/devices/prst1/driver.py                               |    2 +-
- src/calibre/devices/scanner.py                                    |    2 +-
- src/calibre/devices/smart_device_app/__init__.py                  |    2 +-
- src/calibre/devices/smart_device_app/driver.py                    |    2 +-
- src/calibre/devices/sne/driver.py                                 |    2 +-
- src/calibre/devices/teclast/__init__.py                           |    2 +-
- src/calibre/devices/teclast/driver.py                             |    2 +-
- src/calibre/devices/udisks.py                                     |    2 +-
- src/calibre/devices/usbms/books.py                                |    2 +-
- src/calibre/devices/usbms/cli.py                                  |    2 +-
- src/calibre/devices/usbms/device.py                               |    2 +-
- src/calibre/devices/usbms/deviceconfig.py                         |    2 +-
- src/calibre/devices/usbms/driver.py                               |    2 +-
- src/calibre/devices/user_defined/driver.py                        |    2 +-
- src/calibre/devices/utils.py                                      |    2 +-
- src/calibre/devices/winusb.py                                     |    2 +-
- src/calibre/ebooks/BeautifulSoup.py                               |    2 +-
- src/calibre/ebooks/__init__.py                                    |    2 +-
- src/calibre/ebooks/azw4/reader.py                                 |    2 +-
- src/calibre/ebooks/chardet.py                                     |    2 +-
- src/calibre/ebooks/chm/__init__.py                                |    2 +-
- src/calibre/ebooks/chm/metadata.py                                |    2 +-
- src/calibre/ebooks/chm/reader.py                                  |    2 +-
- src/calibre/ebooks/comic/__init__.py                              |    2 +-
- src/calibre/ebooks/comic/input.py                                 |    2 +-
- src/calibre/ebooks/compression/__init__.py                        |    2 +-
- src/calibre/ebooks/compression/palmdoc.py                         |    2 +-
- src/calibre/ebooks/compression/tcr.py                             |    2 +-
- src/calibre/ebooks/constants.py                                   |    2 +-
- src/calibre/ebooks/conversion/__init__.py                         |    2 +-
- src/calibre/ebooks/conversion/cli.py                              |    2 +-
- src/calibre/ebooks/conversion/config.py                           |    2 +-
- src/calibre/ebooks/conversion/plugins/__init__.py                 |    2 +-
- src/calibre/ebooks/conversion/plugins/azw4_input.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/chm_input.py                |    2 +-
- src/calibre/ebooks/conversion/plugins/comic_input.py              |    2 +-
- src/calibre/ebooks/conversion/plugins/djvu_input.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/docx_input.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/docx_output.py              |    2 +-
- src/calibre/ebooks/conversion/plugins/epub_input.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/epub_output.py              |    2 +-
- src/calibre/ebooks/conversion/plugins/fb2_input.py                |    2 +-
- src/calibre/ebooks/conversion/plugins/fb2_output.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/html_input.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/html_output.py              |    2 +-
- src/calibre/ebooks/conversion/plugins/htmlz_input.py              |    2 +-
- src/calibre/ebooks/conversion/plugins/htmlz_output.py             |    2 +-
- src/calibre/ebooks/conversion/plugins/lit_input.py                |    2 +-
- src/calibre/ebooks/conversion/plugins/lit_output.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/lrf_input.py                |    2 +-
- src/calibre/ebooks/conversion/plugins/lrf_output.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/mobi_input.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/mobi_output.py              |    2 +-
- src/calibre/ebooks/conversion/plugins/odt_input.py                |    2 +-
- src/calibre/ebooks/conversion/plugins/oeb_output.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/pdb_input.py                |    2 +-
- src/calibre/ebooks/conversion/plugins/pdb_output.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/pdf_input.py                |    2 +-
- src/calibre/ebooks/conversion/plugins/pdf_output.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/pml_input.py                |    2 +-
- src/calibre/ebooks/conversion/plugins/pml_output.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/rb_input.py                 |    2 +-
- src/calibre/ebooks/conversion/plugins/rb_output.py                |    2 +-
- src/calibre/ebooks/conversion/plugins/recipe_input.py             |    2 +-
- src/calibre/ebooks/conversion/plugins/rtf_input.py                |    2 +-
- src/calibre/ebooks/conversion/plugins/rtf_output.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/snb_input.py                |    2 +-
- src/calibre/ebooks/conversion/plugins/snb_output.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/tcr_input.py                |    2 +-
- src/calibre/ebooks/conversion/plugins/tcr_output.py               |    2 +-
- src/calibre/ebooks/conversion/plugins/txt_input.py                |    2 +-
- src/calibre/ebooks/conversion/plugins/txt_output.py               |    2 +-
- src/calibre/ebooks/conversion/plumber.py                          |    2 +-
- src/calibre/ebooks/conversion/preprocess.py                       |    2 +-
- src/calibre/ebooks/conversion/search_replace.py                   |    2 +-
- src/calibre/ebooks/conversion/utils.py                            |    2 +-
- src/calibre/ebooks/covers.py                                      |    2 +-
- src/calibre/ebooks/css_transform_rules.py                         |    2 +-
- src/calibre/ebooks/djvu/__init__.py                               |    2 +-
- src/calibre/ebooks/djvu/djvu.py                                   |    2 +-
- src/calibre/ebooks/djvu/djvubzzdec.py                             |    2 +-
- src/calibre/ebooks/docx/__init__.py                               |    2 +-
- src/calibre/ebooks/docx/block_styles.py                           |    2 +-
- src/calibre/ebooks/docx/char_styles.py                            |    2 +-
- src/calibre/ebooks/docx/cleanup.py                                |    2 +-
- src/calibre/ebooks/docx/container.py                              |    2 +-
- src/calibre/ebooks/docx/dump.py                                   |    2 +-
- src/calibre/ebooks/docx/fields.py                                 |    2 +-
- src/calibre/ebooks/docx/fonts.py                                  |    2 +-
- src/calibre/ebooks/docx/footnotes.py                              |    2 +-
- src/calibre/ebooks/docx/images.py                                 |    2 +-
- src/calibre/ebooks/docx/index.py                                  |    2 +-
- src/calibre/ebooks/docx/lcid.py                                   |    2 +-
- src/calibre/ebooks/docx/names.py                                  |    2 +-
- src/calibre/ebooks/docx/numbering.py                              |    2 +-
- src/calibre/ebooks/docx/settings.py                               |    2 +-
- src/calibre/ebooks/docx/styles.py                                 |    2 +-
- src/calibre/ebooks/docx/tables.py                                 |    2 +-
- src/calibre/ebooks/docx/theme.py                                  |    2 +-
- src/calibre/ebooks/docx/to_html.py                                |    2 +-
- src/calibre/ebooks/docx/toc.py                                    |    2 +-
- src/calibre/ebooks/docx/writer/__init__.py                        |    2 +-
- src/calibre/ebooks/docx/writer/container.py                       |    2 +-
- src/calibre/ebooks/docx/writer/fonts.py                           |    2 +-
- src/calibre/ebooks/docx/writer/from_html.py                       |    2 +-
- src/calibre/ebooks/docx/writer/images.py                          |    2 +-
- src/calibre/ebooks/docx/writer/links.py                           |    2 +-
- src/calibre/ebooks/docx/writer/lists.py                           |    2 +-
- src/calibre/ebooks/docx/writer/styles.py                          |    2 +-
- src/calibre/ebooks/docx/writer/tables.py                          |    2 +-
- src/calibre/ebooks/docx/writer/utils.py                           |    2 +-
- src/calibre/ebooks/epub/__init__.py                               |    2 +-
- src/calibre/ebooks/epub/cfi/parse.py                              |    2 +-
- src/calibre/ebooks/epub/cfi/tests.py                              |    2 +-
- src/calibre/ebooks/epub/pages.py                                  |    2 +-
- src/calibre/ebooks/epub/periodical.py                             |    2 +-
- src/calibre/ebooks/fb2/__init__.py                                |    2 +-
- src/calibre/ebooks/fb2/fb2ml.py                                   |    2 +-
- src/calibre/ebooks/html/__init__.py                               |    2 +-
- src/calibre/ebooks/html/input.py                                  |    2 +-
- src/calibre/ebooks/html/meta.py                                   |    2 +-
- src/calibre/ebooks/html/to_zip.py                                 |    2 +-
- src/calibre/ebooks/html_entities.py                               |    2 +-
- src/calibre/ebooks/htmlz/oeb2html.py                              |    2 +-
- src/calibre/ebooks/hyphenate.py                                   |    2 +-
- src/calibre/ebooks/iterator/__init__.py                           |    2 +-
- src/calibre/ebooks/lit/__init__.py                                |    2 +-
- src/calibre/ebooks/lit/lzx.py                                     |    2 +-
- src/calibre/ebooks/lit/maps/__init__.py                           |    2 +-
- src/calibre/ebooks/lit/maps/html.py                               |    2 +-
- src/calibre/ebooks/lit/maps/opf.py                                |    2 +-
- src/calibre/ebooks/lit/mssha1.py                                  |    2 +-
- src/calibre/ebooks/lit/reader.py                                  |    2 +-
- src/calibre/ebooks/lit/writer.py                                  |    2 +-
- src/calibre/ebooks/lrf/__init__.py                                |    2 +-
- src/calibre/ebooks/lrf/fonts.py                                   |    2 +-
- src/calibre/ebooks/lrf/html/__init__.py                           |    2 +-
- src/calibre/ebooks/lrf/html/color_map.py                          |    2 +-
- src/calibre/ebooks/lrf/html/convert_from.py                       |    2 +-
- src/calibre/ebooks/lrf/html/table.py                              |    2 +-
- src/calibre/ebooks/lrf/input.py                                   |    2 +-
- src/calibre/ebooks/lrf/lrfparser.py                               |    2 +-
- src/calibre/ebooks/lrf/lrs/__init__.py                            |    2 +-
- src/calibre/ebooks/lrf/lrs/convert_from.py                        |    2 +-
- src/calibre/ebooks/lrf/meta.py                                    |    2 +-
- src/calibre/ebooks/lrf/objects.py                                 |    2 +-
- src/calibre/ebooks/lrf/pylrs/__init__.py                          |    2 +-
- src/calibre/ebooks/lrf/pylrs/elements.py                          |    2 +-
- src/calibre/ebooks/lrf/pylrs/pylrf.py                             |    2 +-
- src/calibre/ebooks/lrf/pylrs/pylrfopt.py                          |    2 +-
- src/calibre/ebooks/lrf/pylrs/pylrs.py                             |    2 +-
- src/calibre/ebooks/lrf/tags.py                                    |    2 +-
- src/calibre/ebooks/metadata/__init__.py                           |    2 +-
- src/calibre/ebooks/metadata/archive.py                            |    2 +-
- src/calibre/ebooks/metadata/author_mapper.py                      |    2 +-
- src/calibre/ebooks/metadata/book/__init__.py                      |    2 +-
- src/calibre/ebooks/metadata/book/base.py                          |    2 +-
- src/calibre/ebooks/metadata/book/formatter.py                     |    2 +-
- src/calibre/ebooks/metadata/book/json_codec.py                    |    2 +-
- src/calibre/ebooks/metadata/book/render.py                        |    2 +-
- src/calibre/ebooks/metadata/book/serialize.py                     |    2 +-
- src/calibre/ebooks/metadata/cli.py                                |    2 +-
- src/calibre/ebooks/metadata/docx.py                               |    2 +-
- src/calibre/ebooks/metadata/epub.py                               |    2 +-
- src/calibre/ebooks/metadata/ereader.py                            |    2 +-
- src/calibre/ebooks/metadata/extz.py                               |    2 +-
- src/calibre/ebooks/metadata/fb2.py                                |    2 +-
- src/calibre/ebooks/metadata/haodoo.py                             |    2 +-
- src/calibre/ebooks/metadata/html.py                               |    2 +-
- src/calibre/ebooks/metadata/imp.py                                |    2 +-
- src/calibre/ebooks/metadata/kdl.py                                |    2 +-
- src/calibre/ebooks/metadata/kfx.py                                |    2 +-
- src/calibre/ebooks/metadata/lit.py                                |    2 +-
- src/calibre/ebooks/metadata/lrx.py                                |    2 +-
- src/calibre/ebooks/metadata/meta.py                               |    2 +-
- src/calibre/ebooks/metadata/mobi.py                               |    2 +-
- src/calibre/ebooks/metadata/odt.py                                |    2 +-
- src/calibre/ebooks/metadata/opf.py                                |    2 +-
- src/calibre/ebooks/metadata/opf2.py                               |    2 +-
- src/calibre/ebooks/metadata/opf3.py                               |    2 +-
- src/calibre/ebooks/metadata/opf3_test.py                          |    2 +-
- src/calibre/ebooks/metadata/opf_2_to_3.py                         |    2 +-
- src/calibre/ebooks/metadata/pdb.py                                |    2 +-
- src/calibre/ebooks/metadata/pdf.py                                |    2 +-
- src/calibre/ebooks/metadata/plucker.py                            |    2 +-
- src/calibre/ebooks/metadata/pml.py                                |    2 +-
- src/calibre/ebooks/metadata/rar.py                                |    2 +-
- src/calibre/ebooks/metadata/rb.py                                 |    2 +-
- src/calibre/ebooks/metadata/rtf.py                                |    2 +-
- src/calibre/ebooks/metadata/search_internet.py                    |    2 +-
- src/calibre/ebooks/metadata/snb.py                                |    2 +-
- src/calibre/ebooks/metadata/tag_mapper.py                         |    2 +-
- src/calibre/ebooks/metadata/toc.py                                |    2 +-
- src/calibre/ebooks/metadata/topaz.py                              |    2 +-
- src/calibre/ebooks/metadata/txt.py                                |    2 +-
- src/calibre/ebooks/metadata/utils.py                              |    2 --
- src/calibre/ebooks/metadata/worker.py                             |    2 +-
- src/calibre/ebooks/metadata/xisbn.py                              |    2 +-
- src/calibre/ebooks/metadata/xmp.py                                |    2 +-
- src/calibre/ebooks/metadata/zip.py                                |    2 +-
- src/calibre/ebooks/mobi/__init__.py                               |    2 +-
- src/calibre/ebooks/mobi/debug/__init__.py                         |    2 +-
- src/calibre/ebooks/mobi/debug/containers.py                       |    2 +-
- src/calibre/ebooks/mobi/debug/headers.py                          |    2 +-
- src/calibre/ebooks/mobi/debug/index.py                            |    2 +-
- src/calibre/ebooks/mobi/debug/main.py                             |    2 +-
- src/calibre/ebooks/mobi/debug/mobi6.py                            |    2 +-
- src/calibre/ebooks/mobi/debug/mobi8.py                            |    2 +-
- src/calibre/ebooks/mobi/huffcdic.py                               |    2 +-
- src/calibre/ebooks/mobi/langcodes.py                              |    2 +-
- src/calibre/ebooks/mobi/mobiml.py                                 |    2 +-
- src/calibre/ebooks/mobi/reader/__init__.py                        |    2 +-
- src/calibre/ebooks/mobi/reader/containers.py                      |    2 +-
- src/calibre/ebooks/mobi/reader/headers.py                         |    2 +-
- src/calibre/ebooks/mobi/reader/index.py                           |    2 +-
- src/calibre/ebooks/mobi/reader/markup.py                          |    2 +-
- src/calibre/ebooks/mobi/reader/mobi6.py                           |    2 +-
- src/calibre/ebooks/mobi/reader/mobi8.py                           |    2 +-
- src/calibre/ebooks/mobi/reader/ncx.py                             |    2 +-
- src/calibre/ebooks/mobi/tweak.py                                  |    2 +-
- src/calibre/ebooks/mobi/utils.py                                  |    2 +-
- src/calibre/ebooks/mobi/writer2/__init__.py                       |    2 +-
- src/calibre/ebooks/mobi/writer2/indexer.py                        |    2 +-
- src/calibre/ebooks/mobi/writer2/main.py                           |    2 +-
- src/calibre/ebooks/mobi/writer2/resources.py                      |    2 +-
- src/calibre/ebooks/mobi/writer2/serializer.py                     |    2 +-
- src/calibre/ebooks/mobi/writer8/__init__.py                       |    2 +-
- src/calibre/ebooks/mobi/writer8/cleanup.py                        |    2 +-
- src/calibre/ebooks/mobi/writer8/exth.py                           |    2 +-
- src/calibre/ebooks/mobi/writer8/header.py                         |    2 +-
- src/calibre/ebooks/mobi/writer8/index.py                          |    2 +-
- src/calibre/ebooks/mobi/writer8/main.py                           |    2 +-
- src/calibre/ebooks/mobi/writer8/mobi.py                           |    2 +-
- src/calibre/ebooks/mobi/writer8/skeleton.py                       |    2 +-
- src/calibre/ebooks/mobi/writer8/tbs.py                            |    2 +-
- src/calibre/ebooks/mobi/writer8/toc.py                            |    2 +-
- src/calibre/ebooks/odt/__init__.py                                |    2 +-
- src/calibre/ebooks/odt/input.py                                   |    2 +-
- src/calibre/ebooks/oeb/__init__.py                                |    2 +-
- src/calibre/ebooks/oeb/base.py                                    |    2 +-
- src/calibre/ebooks/oeb/display/__init__.py                        |    2 +-
- src/calibre/ebooks/oeb/display/webview.py                         |    2 +-
- src/calibre/ebooks/oeb/iterator/__init__.py                       |    2 +-
- src/calibre/ebooks/oeb/iterator/book.py                           |    2 +-
- src/calibre/ebooks/oeb/iterator/bookmarks.py                      |    2 +-
- src/calibre/ebooks/oeb/iterator/spine.py                          |    2 +-
- src/calibre/ebooks/oeb/normalize_css.py                           |    2 +-
- src/calibre/ebooks/oeb/parse_utils.py                             |    2 +-
- src/calibre/ebooks/oeb/polish/__init__.py                         |    2 +-
- src/calibre/ebooks/oeb/polish/cascade.py                          |    2 +-
- src/calibre/ebooks/oeb/polish/check/__init__.py                   |    2 +-
- src/calibre/ebooks/oeb/polish/check/base.py                       |    2 +-
- src/calibre/ebooks/oeb/polish/check/fonts.py                      |    2 +-
- src/calibre/ebooks/oeb/polish/check/images.py                     |    2 +-
- src/calibre/ebooks/oeb/polish/check/links.py                      |    2 +-
- src/calibre/ebooks/oeb/polish/check/main.py                       |    2 +-
- src/calibre/ebooks/oeb/polish/check/opf.py                        |    2 +-
- src/calibre/ebooks/oeb/polish/check/parsing.py                    |    2 +-
- src/calibre/ebooks/oeb/polish/container.py                        |    2 +-
- src/calibre/ebooks/oeb/polish/cover.py                            |    2 +-
- src/calibre/ebooks/oeb/polish/create.py                           |    2 +-
- src/calibre/ebooks/oeb/polish/css.py                              |    2 +-
- src/calibre/ebooks/oeb/polish/download.py                         |    2 +-
- src/calibre/ebooks/oeb/polish/embed.py                            |    2 +-
- src/calibre/ebooks/oeb/polish/errors.py                           |    2 +-
- src/calibre/ebooks/oeb/polish/fonts.py                            |    2 +-
- src/calibre/ebooks/oeb/polish/images.py                           |    2 +-
- src/calibre/ebooks/oeb/polish/import_book.py                      |    2 +-
- src/calibre/ebooks/oeb/polish/jacket.py                           |    2 +-
- src/calibre/ebooks/oeb/polish/main.py                             |    2 +-
- src/calibre/ebooks/oeb/polish/opf.py                              |    2 +-
- src/calibre/ebooks/oeb/polish/parsing.py                          |    2 +-
- src/calibre/ebooks/oeb/polish/pretty.py                           |    2 +-
- src/calibre/ebooks/oeb/polish/replace.py                          |    2 +-
- src/calibre/ebooks/oeb/polish/report.py                           |    2 +-
- src/calibre/ebooks/oeb/polish/spell.py                            |    2 +-
- src/calibre/ebooks/oeb/polish/split.py                            |    2 +-
- src/calibre/ebooks/oeb/polish/stats.py                            |    2 +-
- src/calibre/ebooks/oeb/polish/subset.py                           |    2 +-
- src/calibre/ebooks/oeb/polish/tests/__init__.py                   |    2 +-
- src/calibre/ebooks/oeb/polish/tests/base.py                       |    2 +-
- src/calibre/ebooks/oeb/polish/tests/cascade.py                    |    2 +-
- src/calibre/ebooks/oeb/polish/tests/container.py                  |    2 +-
- src/calibre/ebooks/oeb/polish/tests/main.py                       |    2 +-
- src/calibre/ebooks/oeb/polish/tests/parsing.py                    |    2 +-
- src/calibre/ebooks/oeb/polish/tests/structure.py                  |    2 +-
- src/calibre/ebooks/oeb/polish/toc.py                              |    2 +-
- src/calibre/ebooks/oeb/polish/upgrade.py                          |    2 +-
- src/calibre/ebooks/oeb/polish/utils.py                            |    2 +-
- src/calibre/ebooks/oeb/reader.py                                  |    2 +-
- src/calibre/ebooks/oeb/stylizer.py                                |    2 +-
- src/calibre/ebooks/oeb/transforms/__init__.py                     |    2 +-
- src/calibre/ebooks/oeb/transforms/cover.py                        |    2 +-
- src/calibre/ebooks/oeb/transforms/data_url.py                     |    2 +-
- src/calibre/ebooks/oeb/transforms/embed_fonts.py                  |    2 +-
- src/calibre/ebooks/oeb/transforms/filenames.py                    |    2 +-
- src/calibre/ebooks/oeb/transforms/flatcss.py                      |    2 +-
- src/calibre/ebooks/oeb/transforms/guide.py                        |    2 +-
- src/calibre/ebooks/oeb/transforms/htmltoc.py                      |    2 +-
- src/calibre/ebooks/oeb/transforms/jacket.py                       |    2 +-
- src/calibre/ebooks/oeb/transforms/linearize_tables.py             |    2 +-
- src/calibre/ebooks/oeb/transforms/manglecase.py                   |    2 +-
- src/calibre/ebooks/oeb/transforms/metadata.py                     |    2 +-
- src/calibre/ebooks/oeb/transforms/page_margin.py                  |    2 +-
- src/calibre/ebooks/oeb/transforms/rasterize.py                    |    2 +-
- src/calibre/ebooks/oeb/transforms/rescale.py                      |    2 +-
- src/calibre/ebooks/oeb/transforms/split.py                        |    2 +-
- src/calibre/ebooks/oeb/transforms/structure.py                    |    2 +-
- src/calibre/ebooks/oeb/transforms/subset.py                       |    2 +-
- src/calibre/ebooks/oeb/transforms/trimmanifest.py                 |    2 +-
- src/calibre/ebooks/oeb/transforms/unsmarten.py                    |    2 +-
- src/calibre/ebooks/oeb/writer.py                                  |    2 +-
- src/calibre/ebooks/pdb/__init__.py                                |    2 +-
- src/calibre/ebooks/pdb/ereader/__init__.py                        |    2 +-
- src/calibre/ebooks/pdb/ereader/inspector.py                       |    2 +-
- src/calibre/ebooks/pdb/ereader/reader.py                          |    2 +-
- src/calibre/ebooks/pdb/ereader/reader132.py                       |    2 +-
- src/calibre/ebooks/pdb/ereader/reader202.py                       |    2 +-
- src/calibre/ebooks/pdb/ereader/writer.py                          |    2 +-
- src/calibre/ebooks/pdb/formatreader.py                            |    2 +-
- src/calibre/ebooks/pdb/formatwriter.py                            |    2 +-
- src/calibre/ebooks/pdb/haodoo/__init__.py                         |    2 +-
- src/calibre/ebooks/pdb/haodoo/reader.py                           |    2 +-
- src/calibre/ebooks/pdb/header.py                                  |    2 +-
- src/calibre/ebooks/pdb/palmdoc/reader.py                          |    2 +-
- src/calibre/ebooks/pdb/palmdoc/writer.py                          |    2 +-
- src/calibre/ebooks/pdb/pdf/reader.py                              |    2 +-
- src/calibre/ebooks/pdb/plucker/reader.py                          |    2 +-
- src/calibre/ebooks/pdb/ztxt/__init__.py                           |    2 +-
- src/calibre/ebooks/pdb/ztxt/reader.py                             |    2 +-
- src/calibre/ebooks/pdb/ztxt/writer.py                             |    2 +-
- src/calibre/ebooks/pdf/__init__.py                                |    2 +-
- src/calibre/ebooks/pdf/develop.py                                 |    2 +-
- src/calibre/ebooks/pdf/html_writer.py                             |    2 +-
- src/calibre/ebooks/pdf/image_writer.py                            |    2 +-
- src/calibre/ebooks/pdf/pageoptions.py                             |    2 +-
- src/calibre/ebooks/pdf/pdftohtml.py                               |    2 +-
- src/calibre/ebooks/pdf/reflow.py                                  |    2 +-
- src/calibre/ebooks/pdf/render/__init__.py                         |    2 +-
- src/calibre/ebooks/pdf/render/common.py                           |    2 +-
- src/calibre/ebooks/pdf/render/fonts.py                            |    2 +-
- src/calibre/ebooks/pdf/render/gradients.py                        |    2 +-
- src/calibre/ebooks/pdf/render/graphics.py                         |    2 +-
- src/calibre/ebooks/pdf/render/links.py                            |    2 +-
- src/calibre/ebooks/pdf/render/serialize.py                        |    2 +-
- src/calibre/ebooks/pdf/test_html_writer.py                        |    2 +-
- src/calibre/ebooks/pml/__init__.py                                |    2 +-
- src/calibre/ebooks/pml/pmlconverter.py                            |    2 +-
- src/calibre/ebooks/pml/pmlml.py                                   |    2 +-
- src/calibre/ebooks/rb/__init__.py                                 |    2 +-
- src/calibre/ebooks/rb/rbml.py                                     |    2 +-
- src/calibre/ebooks/rb/reader.py                                   |    2 +-
- src/calibre/ebooks/rb/writer.py                                   |    2 +-
- src/calibre/ebooks/readability/cleaners.py                        |    2 +-
- src/calibre/ebooks/readability/debug.py                           |    2 +-
- src/calibre/ebooks/readability/htmls.py                           |    2 +-
- src/calibre/ebooks/readability/readability.py                     |    2 +-
- src/calibre/ebooks/render_html.py                                 |    2 +-
- src/calibre/ebooks/rtf/input.py                                   |    2 +-
- src/calibre/ebooks/rtf/preprocess.py                              |    2 +-
- src/calibre/ebooks/rtf/rtfml.py                                   |    2 +-
- src/calibre/ebooks/rtf2xml/ParseRtf.py                            |    2 +-
- src/calibre/ebooks/rtf2xml/__init__.py                            |    2 +-
- src/calibre/ebooks/rtf2xml/add_brackets.py                        |    2 +-
- src/calibre/ebooks/rtf2xml/body_styles.py                         |    2 +-
- src/calibre/ebooks/rtf2xml/border_parse.py                        |    2 +-
- src/calibre/ebooks/rtf2xml/char_set.py                            |    2 +-
- src/calibre/ebooks/rtf2xml/check_brackets.py                      |    2 +-
- src/calibre/ebooks/rtf2xml/check_encoding.py                      |    2 +-
- src/calibre/ebooks/rtf2xml/colors.py                              |    2 +-
- src/calibre/ebooks/rtf2xml/combine_borders.py                     |    2 +-
- src/calibre/ebooks/rtf2xml/configure_txt.py                       |    2 +-
- src/calibre/ebooks/rtf2xml/convert_to_tags.py                     |    2 +-
- src/calibre/ebooks/rtf2xml/copy.py                                |    2 +-
- src/calibre/ebooks/rtf2xml/default_encoding.py                    |    2 +-
- src/calibre/ebooks/rtf2xml/delete_info.py                         |    2 +-
- src/calibre/ebooks/rtf2xml/field_strings.py                       |    2 +-
- src/calibre/ebooks/rtf2xml/fields_large.py                        |    2 +-
- src/calibre/ebooks/rtf2xml/fields_small.py                        |    2 +-
- src/calibre/ebooks/rtf2xml/fonts.py                               |    2 +-
- src/calibre/ebooks/rtf2xml/footnote.py                            |    2 +-
- src/calibre/ebooks/rtf2xml/get_char_map.py                        |    2 +-
- src/calibre/ebooks/rtf2xml/get_options.py                         |    2 +-
- src/calibre/ebooks/rtf2xml/group_borders.py                       |    2 +-
- src/calibre/ebooks/rtf2xml/group_styles.py                        |    2 +-
- src/calibre/ebooks/rtf2xml/header.py                              |    2 +-
- src/calibre/ebooks/rtf2xml/headings_to_sections.py                |    2 +-
- src/calibre/ebooks/rtf2xml/hex_2_utf8.py                          |    2 +-
- src/calibre/ebooks/rtf2xml/info.py                                |    2 +-
- src/calibre/ebooks/rtf2xml/inline.py                              |    2 +-
- src/calibre/ebooks/rtf2xml/line_endings.py                        |    2 +-
- src/calibre/ebooks/rtf2xml/list_numbers.py                        |    2 +-
- src/calibre/ebooks/rtf2xml/list_table.py                          |    2 +-
- src/calibre/ebooks/rtf2xml/make_lists.py                          |    2 +-
- src/calibre/ebooks/rtf2xml/old_rtf.py                             |    2 +-
- src/calibre/ebooks/rtf2xml/options_trem.py                        |    4 ++--
- src/calibre/ebooks/rtf2xml/output.py                              |    2 +-
- src/calibre/ebooks/rtf2xml/override_table.py                      |    4 ++--
- src/calibre/ebooks/rtf2xml/paragraph_def.py                       |    2 +-
- src/calibre/ebooks/rtf2xml/paragraphs.py                          |    2 +-
- src/calibre/ebooks/rtf2xml/pict.py                                |    2 +-
- src/calibre/ebooks/rtf2xml/preamble_div.py                        |    4 ++--
- src/calibre/ebooks/rtf2xml/preamble_rest.py                       |    2 +-
- src/calibre/ebooks/rtf2xml/process_tokens.py                      |    2 +-
- src/calibre/ebooks/rtf2xml/replace_illegals.py                    |    2 +-
- src/calibre/ebooks/rtf2xml/sections.py                            |    2 +-
- src/calibre/ebooks/rtf2xml/styles.py                              |    2 +-
- src/calibre/ebooks/rtf2xml/table.py                               |    2 +-
- src/calibre/ebooks/rtf2xml/table_info.py                          |    2 +-
- src/calibre/ebooks/rtf2xml/tokenize.py                            |    2 +-
- src/calibre/ebooks/snb/__init__.py                                |    2 +-
- src/calibre/ebooks/snb/snbfile.py                                 |    2 +-
- src/calibre/ebooks/snb/snbml.py                                   |    2 +-
- src/calibre/ebooks/tcr/__init__.py                                |    2 +-
- src/calibre/ebooks/textile/__init__.py                            |    2 +-
- src/calibre/ebooks/textile/functions.py                           |    2 +-
- src/calibre/ebooks/textile/unsmarten.py                           |    2 +-
- src/calibre/ebooks/tweak.py                                       |    2 +-
- src/calibre/ebooks/txt/__init__.py                                |    2 +-
- src/calibre/ebooks/txt/markdownml.py                              |    2 +-
- src/calibre/ebooks/txt/newlines.py                                |    2 +-
- src/calibre/ebooks/txt/processor.py                               |    2 +-
- src/calibre/ebooks/txt/textileml.py                               |    2 +-
- src/calibre/ebooks/txt/txtml.py                                   |    2 +-
- src/calibre/ebooks/unihandecode/__init__.py                       |    2 +-
- src/calibre/ebooks/unihandecode/jacodepoints.py                   |    2 +-
- src/calibre/ebooks/unihandecode/jadecoder.py                      |    2 +-
- src/calibre/ebooks/unihandecode/krcodepoints.py                   |    2 +-
- src/calibre/ebooks/unihandecode/krdecoder.py                      |    2 +-
- src/calibre/ebooks/unihandecode/pykakasi/__init__.py              |    2 +-
- src/calibre/ebooks/unihandecode/pykakasi/h2a.py                   |    2 +-
- src/calibre/ebooks/unihandecode/pykakasi/j2h.py                   |    2 +-
- src/calibre/ebooks/unihandecode/pykakasi/jisyo.py                 |    2 +-
- src/calibre/ebooks/unihandecode/pykakasi/k2a.py                   |    2 +-
- src/calibre/ebooks/unihandecode/pykakasi/kakasi.py                |    2 +-
- src/calibre/ebooks/unihandecode/unicodepoints.py                  |    2 +-
- src/calibre/ebooks/unihandecode/unidecoder.py                     |    2 +-
- src/calibre/ebooks/unihandecode/vncodepoints.py                   |    2 +-
- src/calibre/ebooks/unihandecode/vndecoder.py                      |    2 +-
- src/calibre/ebooks/unihandecode/zhcodepoints.py                   |    2 +-
- src/calibre/gui2/__init__.py                                      |    2 +-
- src/calibre/gui2/actions/__init__.py                              |    2 +-
- src/calibre/gui2/actions/add.py                                   |    2 +-
- src/calibre/gui2/actions/add_to_library.py                        |    2 +-
- src/calibre/gui2/actions/annotate.py                              |    2 +-
- src/calibre/gui2/actions/author_mapper.py                         |    2 +-
- src/calibre/gui2/actions/catalog.py                               |    2 +-
- src/calibre/gui2/actions/choose_library.py                        |    2 +-
- src/calibre/gui2/actions/convert.py                               |    2 +-
- src/calibre/gui2/actions/copy_to_library.py                       |    2 +-
- src/calibre/gui2/actions/delete.py                                |    2 +-
- src/calibre/gui2/actions/device.py                                |    2 +-
- src/calibre/gui2/actions/edit_collections.py                      |    2 +-
- src/calibre/gui2/actions/edit_metadata.py                         |    2 +-
- src/calibre/gui2/actions/embed.py                                 |    2 +-
- src/calibre/gui2/actions/fetch_news.py                            |    2 +-
- src/calibre/gui2/actions/help.py                                  |    2 +-
- src/calibre/gui2/actions/mark_books.py                            |    2 +-
- src/calibre/gui2/actions/match_books.py                           |    2 +-
- src/calibre/gui2/actions/next_match.py                            |    2 +-
- src/calibre/gui2/actions/open.py                                  |    2 +-
- src/calibre/gui2/actions/plugin_updates.py                        |    2 +-
- src/calibre/gui2/actions/polish.py                                |    2 +-
- src/calibre/gui2/actions/preferences.py                           |    2 +-
- src/calibre/gui2/actions/random.py                                |    2 +-
- src/calibre/gui2/actions/restart.py                               |    2 +-
- src/calibre/gui2/actions/save_to_disk.py                          |    2 +-
- src/calibre/gui2/actions/show_book_details.py                     |    2 +-
- src/calibre/gui2/actions/show_quickview.py                        |    2 +-
- src/calibre/gui2/actions/show_template_tester.py                  |    2 +-
- src/calibre/gui2/actions/similar_books.py                         |    2 +-
- src/calibre/gui2/actions/sort.py                                  |    2 +-
- src/calibre/gui2/actions/store.py                                 |    2 +-
- src/calibre/gui2/actions/tag_mapper.py                            |    2 +-
- src/calibre/gui2/actions/toc_edit.py                              |    2 +-
- src/calibre/gui2/actions/tweak_epub.py                            |    2 +-
- src/calibre/gui2/actions/unpack_book.py                           |    2 +-
- src/calibre/gui2/actions/view.py                                  |    2 +-
- src/calibre/gui2/actions/virtual_library.py                       |    2 +-
- src/calibre/gui2/add.py                                           |    2 +-
- src/calibre/gui2/add_filters.py                                   |    2 +-
- src/calibre/gui2/author_mapper.py                                 |    2 +-
- src/calibre/gui2/auto_add.py                                      |    2 +-
- src/calibre/gui2/bars.py                                          |    2 +-
- src/calibre/gui2/book_details.py                                  |    2 +-
- src/calibre/gui2/catalog/catalog_bibtex.py                        |    2 +-
- src/calibre/gui2/catalog/catalog_csv_xml.py                       |    2 +-
- src/calibre/gui2/catalog/catalog_epub_mobi.py                     |    2 +-
- src/calibre/gui2/changes.py                                       |    2 +-
- src/calibre/gui2/comments_editor.py                               |    2 +-
- src/calibre/gui2/complete2.py                                     |    2 +-
- src/calibre/gui2/convert/__init__.py                              |    2 +-
- src/calibre/gui2/convert/azw3_output.py                           |    2 +-
- src/calibre/gui2/convert/bulk.py                                  |    2 +-
- src/calibre/gui2/convert/comic_input.py                           |    2 +-
- src/calibre/gui2/convert/debug.py                                 |    2 +-
- src/calibre/gui2/convert/docx_input.py                            |    2 +-
- src/calibre/gui2/convert/docx_output.py                           |    2 +-
- src/calibre/gui2/convert/epub_output.py                           |    2 +-
- src/calibre/gui2/convert/fb2_input.py                             |    2 +-
- src/calibre/gui2/convert/fb2_output.py                            |    2 +-
- src/calibre/gui2/convert/font_key.py                              |    2 +-
- src/calibre/gui2/convert/gui_conversion.py                        |    2 +-
- src/calibre/gui2/convert/heuristics.py                            |    2 +-
- src/calibre/gui2/convert/htmlz_output.py                          |    2 +-
- src/calibre/gui2/convert/look_and_feel.py                         |    2 +-
- src/calibre/gui2/convert/lrf_output.py                            |    2 +-
- src/calibre/gui2/convert/metadata.py                              |    2 +-
- src/calibre/gui2/convert/mobi_output.py                           |    2 +-
- src/calibre/gui2/convert/page_setup.py                            |    2 +-
- src/calibre/gui2/convert/pdb_output.py                            |    2 +-
- src/calibre/gui2/convert/pdf_input.py                             |    2 +-
- src/calibre/gui2/convert/pdf_output.py                            |    2 +-
- src/calibre/gui2/convert/pml_output.py                            |    2 +-
- src/calibre/gui2/convert/rb_output.py                             |    2 +-
- src/calibre/gui2/convert/regex_builder.py                         |    2 +-
- src/calibre/gui2/convert/rtf_input.py                             |    2 +-
- src/calibre/gui2/convert/search_and_replace.py                    |    2 +-
- src/calibre/gui2/convert/single.py                                |    2 +-
- src/calibre/gui2/convert/snb_output.py                            |    2 +-
- src/calibre/gui2/convert/structure_detection.py                   |    2 +-
- src/calibre/gui2/convert/toc.py                                   |    2 +-
- src/calibre/gui2/convert/txt_input.py                             |    2 +-
- src/calibre/gui2/convert/txt_output.py                            |    2 +-
- src/calibre/gui2/convert/txtz_output.py                           |    2 +-
- src/calibre/gui2/convert/xpath_wizard.py                          |    2 +-
- src/calibre/gui2/cover_flow.py                                    |    2 +-
- src/calibre/gui2/covers.py                                        |    2 +-
- src/calibre/gui2/css_transform_rules.py                           |    2 +-
- src/calibre/gui2/custom_column_widgets.py                         |    2 +-
- src/calibre/gui2/dbus_export/__init__.py                          |    2 +-
- src/calibre/gui2/dbus_export/demo.py                              |    2 +-
- src/calibre/gui2/dbus_export/gtk.py                               |    2 +-
- src/calibre/gui2/dbus_export/menu.py                              |    2 +-
- src/calibre/gui2/dbus_export/menu2.py                             |    2 +-
- src/calibre/gui2/dbus_export/tray.py                              |    2 +-
- src/calibre/gui2/dbus_export/utils.py                             |    2 +-
- src/calibre/gui2/dbus_export/widgets.py                           |    2 +-
- src/calibre/gui2/device.py                                        |    2 +-
- src/calibre/gui2/device_drivers/configwidget.py                   |    2 +-
- src/calibre/gui2/device_drivers/mtp_config.py                     |    2 +-
- src/calibre/gui2/device_drivers/mtp_folder_browser.py             |    2 +-
- src/calibre/gui2/dialogs/__init__.py                              |    2 +-
- src/calibre/gui2/dialogs/add_empty_book.py                        |    2 +-
- src/calibre/gui2/dialogs/add_from_isbn.py                         |    2 +-
- src/calibre/gui2/dialogs/authors_edit.py                          |    2 +-
- src/calibre/gui2/dialogs/book_info.py                             |    2 +-
- src/calibre/gui2/dialogs/catalog.py                               |    2 +-
- src/calibre/gui2/dialogs/check_library.py                         |    2 +-
- src/calibre/gui2/dialogs/choose_format.py                         |    2 +-
- src/calibre/gui2/dialogs/choose_format_device.py                  |    2 +-
- src/calibre/gui2/dialogs/choose_library.py                        |    2 +-
- src/calibre/gui2/dialogs/choose_plugin_toolbars.py                |    2 +-
- src/calibre/gui2/dialogs/comments_dialog.py                       |    2 +-
- src/calibre/gui2/dialogs/confirm_delete.py                        |    2 +-
- src/calibre/gui2/dialogs/confirm_delete_location.py               |    2 +-
- src/calibre/gui2/dialogs/confirm_merge.py                         |    2 +-
- src/calibre/gui2/dialogs/conversion_error.py                      |    2 +-
- src/calibre/gui2/dialogs/custom_recipes.py                        |    2 +-
- src/calibre/gui2/dialogs/delete_matching_from_device.py           |    2 +-
- src/calibre/gui2/dialogs/device_category_editor.py                |    2 +-
- src/calibre/gui2/dialogs/drm_error.py                             |    2 +-
- src/calibre/gui2/dialogs/duplicates.py                            |    2 +-
- src/calibre/gui2/dialogs/edit_authors_dialog.py                   |    2 +-
- src/calibre/gui2/dialogs/exim.py                                  |    2 +-
- src/calibre/gui2/dialogs/match_books.py                           |    2 +-
- src/calibre/gui2/dialogs/message_box.py                           |    2 +-
- src/calibre/gui2/dialogs/metadata_bulk.py                         |    2 +-
- src/calibre/gui2/dialogs/opml.py                                  |    2 +-
- src/calibre/gui2/dialogs/password.py                              |    2 +-
- src/calibre/gui2/dialogs/plugin_updater.py                        |    2 +-
- src/calibre/gui2/dialogs/progress.py                              |    2 +-
- src/calibre/gui2/dialogs/quickview.py                             |    2 +-
- src/calibre/gui2/dialogs/restore_library.py                       |    2 +-
- src/calibre/gui2/dialogs/saved_search_editor.py                   |    2 +-
- src/calibre/gui2/dialogs/scheduler.py                             |    2 +-
- src/calibre/gui2/dialogs/search.py                                |    2 +-
- src/calibre/gui2/dialogs/select_formats.py                        |    2 +-
- src/calibre/gui2/dialogs/smartdevice.py                           |    2 +-
- src/calibre/gui2/dialogs/tag_categories.py                        |    2 +-
- src/calibre/gui2/dialogs/tag_editor.py                            |    2 +-
- src/calibre/gui2/dialogs/tag_list_editor.py                       |    2 +-
- src/calibre/gui2/dialogs/template_dialog.py                       |    2 +-
- src/calibre/gui2/dialogs/template_line_editor.py                  |    2 +-
- src/calibre/gui2/dialogs/trim_image.py                            |    2 +-
- src/calibre/gui2/dnd.py                                           |    2 +-
- src/calibre/gui2/ebook_download.py                                |    2 +-
- src/calibre/gui2/email.py                                         |    2 +-
- src/calibre/gui2/font_family_chooser.py                           |    2 +-
- src/calibre/gui2/gestures.py                                      |    2 +-
- src/calibre/gui2/icon_theme.py                                    |    2 +-
- src/calibre/gui2/image_popup.py                                   |    2 +-
- src/calibre/gui2/init.py                                          |    2 +-
- src/calibre/gui2/job_indicator.py                                 |    2 +-
- src/calibre/gui2/jobs.py                                          |    2 +-
- src/calibre/gui2/keyboard.py                                      |    2 +-
- src/calibre/gui2/languages.py                                     |    2 +-
- src/calibre/gui2/layout.py                                        |    2 +-
- src/calibre/gui2/layout_menu.py                                   |    2 +-
- src/calibre/gui2/library/__init__.py                              |    2 +-
- src/calibre/gui2/library/alternate_views.py                       |    2 +-
- src/calibre/gui2/library/caches.py                                |    2 +-
- src/calibre/gui2/library/delegates.py                             |    2 +-
- src/calibre/gui2/library/models.py                                |    2 +-
- src/calibre/gui2/library/views.py                                 |    2 +-
- src/calibre/gui2/linux_file_dialogs.py                            |    2 +-
- src/calibre/gui2/lrf_renderer/__init__.py                         |    2 +-
- src/calibre/gui2/lrf_renderer/bookview.py                         |    2 +-
- src/calibre/gui2/lrf_renderer/document.py                         |    2 +-
- src/calibre/gui2/lrf_renderer/main.py                             |    2 +-
- src/calibre/gui2/lrf_renderer/text.py                             |    2 +-
- src/calibre/gui2/main.py                                          |    2 +-
- src/calibre/gui2/main_window.py                                   |    2 +-
- src/calibre/gui2/metadata/__init__.py                             |    2 +-
- src/calibre/gui2/metadata/basic_widgets.py                        |    2 +-
- src/calibre/gui2/metadata/bulk_download.py                        |    2 +-
- src/calibre/gui2/metadata/config.py                               |    2 +-
- src/calibre/gui2/metadata/diff.py                                 |    2 +-
- src/calibre/gui2/metadata/pdf_covers.py                           |    2 +-
- src/calibre/gui2/metadata/single.py                               |    2 +-
- src/calibre/gui2/metadata/single_download.py                      |    2 +-
- src/calibre/gui2/notify.py                                        |    2 +-
- src/calibre/gui2/open_with.py                                     |    2 +-
- src/calibre/gui2/pin_columns.py                                   |    2 +-
- src/calibre/gui2/preferences/__init__.py                          |    2 +-
- src/calibre/gui2/preferences/adding.py                            |    2 +-
- src/calibre/gui2/preferences/behavior.py                          |    2 +-
- src/calibre/gui2/preferences/coloring.py                          |    2 +-
- src/calibre/gui2/preferences/columns.py                           |    2 +-
- src/calibre/gui2/preferences/conversion.py                        |    2 +-
- src/calibre/gui2/preferences/create_custom_column.py              |    2 +-
- src/calibre/gui2/preferences/device_debug.py                      |    2 +-
- src/calibre/gui2/preferences/device_user_defined.py               |    2 +-
- src/calibre/gui2/preferences/emailp.py                            |    2 +-
- src/calibre/gui2/preferences/history.py                           |    2 +-
- src/calibre/gui2/preferences/ignored_devices.py                   |    2 +-
- src/calibre/gui2/preferences/keyboard.py                          |    2 +-
- src/calibre/gui2/preferences/look_feel.py                         |    2 +-
- src/calibre/gui2/preferences/main.py                              |    2 +-
- src/calibre/gui2/preferences/metadata_sources.py                  |    2 +-
- src/calibre/gui2/preferences/misc.py                              |    2 +-
- src/calibre/gui2/preferences/plugboard.py                         |    2 +-
- src/calibre/gui2/preferences/plugins.py                           |    2 +-
- src/calibre/gui2/preferences/save_template.py                     |    2 +-
- src/calibre/gui2/preferences/saving.py                            |    2 +-
- src/calibre/gui2/preferences/search.py                            |    2 +-
- src/calibre/gui2/preferences/sending.py                           |    2 +-
- src/calibre/gui2/preferences/server.py                            |    2 +-
- src/calibre/gui2/preferences/template_functions.py                |    2 +-
- src/calibre/gui2/preferences/texture_chooser.py                   |    2 +-
- src/calibre/gui2/preferences/toolbar.py                           |    2 +-
- src/calibre/gui2/preferences/tweaks.py                            |    2 +-
- src/calibre/gui2/proceed.py                                       |    2 +-
- src/calibre/gui2/progress_indicator/__init__.py                   |    2 +-
- src/calibre/gui2/qt_file_dialogs.py                               |    2 +-
- src/calibre/gui2/save.py                                          |    2 +-
- src/calibre/gui2/search_box.py                                    |    2 +-
- src/calibre/gui2/search_restriction_mixin.py                      |    2 +-
- src/calibre/gui2/shortcuts.py                                     |    2 +-
- src/calibre/gui2/splash_screen.py                                 |    2 +-
- src/calibre/gui2/store/__init__.py                                |    2 +-
- src/calibre/gui2/store/basic_config.py                            |    2 +-
- src/calibre/gui2/store/config/chooser/adv_search_builder.py       |    2 +-
- src/calibre/gui2/store/config/chooser/chooser_dialog.py           |    2 +-
- src/calibre/gui2/store/config/chooser/chooser_widget.py           |    2 +-
- src/calibre/gui2/store/config/chooser/models.py                   |    2 +-
- src/calibre/gui2/store/config/chooser/results_view.py             |    2 +-
- src/calibre/gui2/store/config/search/search_widget.py             |    2 +-
- src/calibre/gui2/store/config/store.py                            |    2 +-
- src/calibre/gui2/store/loader.py                                  |    2 +-
- src/calibre/gui2/store/opensearch_store.py                        |    2 +-
- src/calibre/gui2/store/search/adv_search_builder.py               |    2 +-
- src/calibre/gui2/store/search/download_thread.py                  |    2 +-
- src/calibre/gui2/store/search/models.py                           |    2 +-
- src/calibre/gui2/store/search/results_view.py                     |    2 +-
- src/calibre/gui2/store/search/search.py                           |    2 +-
- src/calibre/gui2/store/search_result.py                           |    2 +-
- src/calibre/gui2/store/web_store.py                               |    2 +-
- src/calibre/gui2/store/web_store_dialog.py                        |    2 +-
- src/calibre/gui2/tag_browser/__init__.py                          |    2 +-
- src/calibre/gui2/tag_browser/model.py                             |    2 +-
- src/calibre/gui2/tag_browser/ui.py                                |    2 +-
- src/calibre/gui2/tag_browser/view.py                              |    2 +-
- src/calibre/gui2/tag_mapper.py                                    |    2 +-
- src/calibre/gui2/threaded_jobs.py                                 |    2 +-
- src/calibre/gui2/throbber.py                                      |    2 +-
- src/calibre/gui2/toc/__init__.py                                  |    2 +-
- src/calibre/gui2/toc/location.py                                  |    2 +-
- src/calibre/gui2/toc/main.py                                      |    2 +-
- src/calibre/gui2/tools.py                                         |    2 +-
- src/calibre/gui2/tweak_book/__init__.py                           |    2 +-
- src/calibre/gui2/tweak_book/boss.py                               |    2 +-
- src/calibre/gui2/tweak_book/char_select.py                        |    2 +-
- src/calibre/gui2/tweak_book/check.py                              |    2 +-
- src/calibre/gui2/tweak_book/check_links.py                        |    2 +-
- src/calibre/gui2/tweak_book/completion/basic.py                   |    2 +-
- src/calibre/gui2/tweak_book/completion/popup.py                   |    2 +-
- src/calibre/gui2/tweak_book/completion/utils.py                   |    2 +-
- src/calibre/gui2/tweak_book/completion/worker.py                  |    2 +-
- src/calibre/gui2/tweak_book/diff/__init__.py                      |    2 +-
- src/calibre/gui2/tweak_book/diff/highlight.py                     |    2 +-
- src/calibre/gui2/tweak_book/diff/main.py                          |    2 +-
- src/calibre/gui2/tweak_book/diff/view.py                          |    2 +-
- src/calibre/gui2/tweak_book/download.py                           |    2 +-
- src/calibre/gui2/tweak_book/editor/__init__.py                    |    2 +-
- src/calibre/gui2/tweak_book/editor/canvas.py                      |    2 +-
- src/calibre/gui2/tweak_book/editor/comments.py                    |    2 +-
- src/calibre/gui2/tweak_book/editor/help.py                        |    2 +-
- src/calibre/gui2/tweak_book/editor/image.py                       |    2 +-
- src/calibre/gui2/tweak_book/editor/insert_resource.py             |    2 +-
- src/calibre/gui2/tweak_book/editor/smarts/__init__.py             |    2 +-
- src/calibre/gui2/tweak_book/editor/smarts/css.py                  |    2 +-
- src/calibre/gui2/tweak_book/editor/smarts/html.py                 |    2 +-
- src/calibre/gui2/tweak_book/editor/smarts/python.py               |    2 +-
- src/calibre/gui2/tweak_book/editor/smarts/utils.py                |    2 +-
- src/calibre/gui2/tweak_book/editor/snippets.py                    |    2 +-
- src/calibre/gui2/tweak_book/editor/syntax/__init__.py             |    2 +-
- src/calibre/gui2/tweak_book/editor/syntax/base.py                 |    2 +-
- src/calibre/gui2/tweak_book/editor/syntax/css.py                  |    2 +-
- src/calibre/gui2/tweak_book/editor/syntax/html.py                 |    2 +-
- src/calibre/gui2/tweak_book/editor/syntax/javascript.py           |    2 +-
- src/calibre/gui2/tweak_book/editor/syntax/pygments_highlighter.py |    2 +-
- src/calibre/gui2/tweak_book/editor/syntax/python.py               |    2 +-
- src/calibre/gui2/tweak_book/editor/syntax/utils.py                |    2 +-
- src/calibre/gui2/tweak_book/editor/syntax/xml.py                  |    2 +-
- src/calibre/gui2/tweak_book/editor/text.py                        |    2 +-
- src/calibre/gui2/tweak_book/editor/themes.py                      |    2 +-
- src/calibre/gui2/tweak_book/editor/widget.py                      |    2 +-
- src/calibre/gui2/tweak_book/file_list.py                          |    2 +-
- src/calibre/gui2/tweak_book/function_replace.py                   |    2 +-
- src/calibre/gui2/tweak_book/job.py                                |    2 +-
- src/calibre/gui2/tweak_book/live_css.py                           |    2 +-
- src/calibre/gui2/tweak_book/main.py                               |    2 +-
- src/calibre/gui2/tweak_book/manage_fonts.py                       |    2 +-
- src/calibre/gui2/tweak_book/plugin.py                             |    2 +-
- src/calibre/gui2/tweak_book/polish.py                             |    2 +-
- src/calibre/gui2/tweak_book/preferences.py                        |    2 +-
- src/calibre/gui2/tweak_book/preview.py                            |    2 +-
- src/calibre/gui2/tweak_book/reports.py                            |    2 +-
- src/calibre/gui2/tweak_book/save.py                               |    2 +-
- src/calibre/gui2/tweak_book/search.py                             |    2 +-
- src/calibre/gui2/tweak_book/spell.py                              |    2 +-
- src/calibre/gui2/tweak_book/templates.py                          |    2 +-
- src/calibre/gui2/tweak_book/text_search.py                        |    2 +-
- src/calibre/gui2/tweak_book/toc.py                                |    2 +-
- src/calibre/gui2/tweak_book/ui.py                                 |    2 +-
- src/calibre/gui2/tweak_book/undo.py                               |    2 +-
- src/calibre/gui2/tweak_book/widgets.py                            |    2 +-
- src/calibre/gui2/ui.py                                            |    2 +-
- src/calibre/gui2/update.py                                        |    2 +-
- src/calibre/gui2/viewer/__init__.py                               |    2 +-
- src/calibre/gui2/viewer/annotations.py                            |    2 +-
- src/calibre/gui2/viewer/bookmarks.py                              |    2 +-
- src/calibre/gui2/viewer/convert_book.py                           |    2 +-
- src/calibre/gui2/viewer/lookup.py                                 |    2 +-
- src/calibre/gui2/viewer/main.py                                   |    2 +-
- src/calibre/gui2/viewer/overlay.py                                |    2 +-
- src/calibre/gui2/viewer/printing.py                               |    2 +-
- src/calibre/gui2/viewer/shortcuts.py                              |    2 +-
- src/calibre/gui2/viewer/toc.py                                    |    2 +-
- src/calibre/gui2/viewer/toolbars.py                               |    2 +-
- src/calibre/gui2/viewer/ui.py                                     |    2 +-
- src/calibre/gui2/viewer/web_view.py                               |    2 +-
- src/calibre/gui2/webengine.py                                     |    2 +-
- src/calibre/gui2/widgets.py                                       |    2 +-
- src/calibre/gui2/widgets2.py                                      |    2 +-
- src/calibre/gui2/win_file_dialogs.py                              |    2 +-
- src/calibre/gui2/wizard/__init__.py                               |    2 +-
- src/calibre/gui2/wizard/send_email.py                             |    2 +-
- src/calibre/gui_launch.py                                         |    2 +-
- src/calibre/library/__init__.py                                   |    2 +-
- src/calibre/library/add_to_library.py                             |    2 +-
- src/calibre/library/caches.py                                     |    2 +-
- src/calibre/library/catalogs/__init__.py                          |    2 +-
- src/calibre/library/catalogs/bibtex.py                            |    2 +-
- src/calibre/library/catalogs/csv_xml.py                           |    2 +-
- src/calibre/library/catalogs/epub_mobi.py                         |    2 +-
- src/calibre/library/catalogs/epub_mobi_builder.py                 |    2 +-
- src/calibre/library/catalogs/utils.py                             |    2 +-
- src/calibre/library/check_library.py                              |    2 +-
- src/calibre/library/coloring.py                                   |    2 +-
- src/calibre/library/comments.py                                   |    2 +-
- src/calibre/library/custom_columns.py                             |    2 +-
- src/calibre/library/database.py                                   |    2 +-
- src/calibre/library/database2.py                                  |    2 +-
- src/calibre/library/field_metadata.py                             |    2 +-
- src/calibre/library/prefs.py                                      |    2 +-
- src/calibre/library/restore.py                                    |    2 +-
- src/calibre/library/save_to_disk.py                               |    2 +-
- src/calibre/library/schema_upgrades.py                            |    2 +-
- src/calibre/library/sqlite.py                                     |    2 +-
- src/calibre/libunzip.py                                           |    2 +-
- src/calibre/linux.py                                              |    2 +-
- src/calibre/ptempfile.py                                          |    2 +-
- src/calibre/rpdb.py                                               |    2 +-
- src/calibre/spell/__init__.py                                     |    2 +-
- src/calibre/spell/break_iterator.py                               |    2 +-
- src/calibre/spell/dictionary.py                                   |    2 +-
- src/calibre/spell/import_from.py                                  |    2 +-
- src/calibre/srv/ajax.py                                           |    2 +-
- src/calibre/srv/auth.py                                           |    2 +-
- src/calibre/srv/auto_reload.py                                    |    2 +-
- src/calibre/srv/bonjour.py                                        |    2 +-
- src/calibre/srv/books.py                                          |    2 +-
- src/calibre/srv/cdb.py                                            |    2 +-
- src/calibre/srv/changes.py                                        |    2 +-
- src/calibre/srv/code.py                                           |    2 +-
- src/calibre/srv/content.py                                        |    2 +-
- src/calibre/srv/convert.py                                        |    2 +-
- src/calibre/srv/embedded.py                                       |    2 +-
- src/calibre/srv/errors.py                                         |    2 +-
- src/calibre/srv/handler.py                                        |    2 +-
- src/calibre/srv/http_request.py                                   |    2 +-
- src/calibre/srv/http_response.py                                  |    2 +-
- src/calibre/srv/jobs.py                                           |    2 +-
- src/calibre/srv/legacy.py                                         |    2 +-
- src/calibre/srv/library_broker.py                                 |    2 +-
- src/calibre/srv/loop.py                                           |    2 +-
- src/calibre/srv/manage_users_cli.py                               |    2 +-
- src/calibre/srv/metadata.py                                       |    2 +-
- src/calibre/srv/opds.py                                           |    2 +-
- src/calibre/srv/opts.py                                           |    2 +-
- src/calibre/srv/pool.py                                           |    2 +-
- src/calibre/srv/pre_activated.py                                  |    2 +-
- src/calibre/srv/render_book.py                                    |    2 +-
- src/calibre/srv/routes.py                                         |    2 +-
- src/calibre/srv/sendfile.py                                       |    2 +-
- src/calibre/srv/standalone.py                                     |    2 +-
- src/calibre/srv/tests/ajax.py                                     |    2 +-
- src/calibre/srv/tests/auth.py                                     |    2 +-
- src/calibre/srv/tests/base.py                                     |    2 +-
- src/calibre/srv/tests/content.py                                  |    2 +-
- src/calibre/srv/tests/http.py                                     |    2 +-
- src/calibre/srv/tests/loop.py                                     |    2 +-
- src/calibre/srv/tests/main.py                                     |    2 +-
- src/calibre/srv/tests/routes.py                                   |    2 +-
- src/calibre/srv/tests/web_sockets.py                              |    2 +-
- src/calibre/srv/users.py                                          |    2 +-
- src/calibre/srv/users_api.py                                      |    2 +-
- src/calibre/srv/utils.py                                          |    2 +-
- src/calibre/srv/web_socket.py                                     |    2 +-
- src/calibre/startup.py                                            |    2 +-
- src/calibre/test_build.py                                         |    2 +-
- src/calibre/translations/__init__.py                              |    2 +-
- src/calibre/translations/dynamic.py                               |    2 +-
- src/calibre/translations/msgfmt.py                                |    2 +-
- src/calibre/utils/Zeroconf.py                                     |    2 +-
- src/calibre/utils/__init__.py                                     |    2 +-
- src/calibre/utils/bibtex.py                                       |    2 +-
- src/calibre/utils/browser.py                                      |    2 +-
- src/calibre/utils/certgen.py                                      |    2 +-
- src/calibre/utils/chm/__init__.py                                 |    2 +-
- src/calibre/utils/chm/chm.py                                      |    2 +-
- src/calibre/utils/cleantext.py                                    |    2 +-
- src/calibre/utils/complete.py                                     |    2 +-
- src/calibre/utils/config.py                                       |    2 +-
- src/calibre/utils/config_base.py                                  |    2 +-
- src/calibre/utils/date.py                                         |    2 +-
- src/calibre/utils/dbus_service.py                                 |    2 +-
- src/calibre/utils/exim.py                                         |    2 +-
- src/calibre/utils/file_type_icons.py                              |    2 +-
- src/calibre/utils/filenames.py                                    |    2 +-
- src/calibre/utils/fonts/__init__.py                               |    2 +-
- src/calibre/utils/fonts/free_type.py                              |    2 +-
- src/calibre/utils/fonts/metadata.py                               |    2 +-
- src/calibre/utils/fonts/scanner.py                                |    2 +-
- src/calibre/utils/fonts/sfnt/__init__.py                          |    2 +-
- src/calibre/utils/fonts/sfnt/cff/__init__.py                      |    2 +-
- src/calibre/utils/fonts/sfnt/cff/constants.py                     |    2 +-
- src/calibre/utils/fonts/sfnt/cff/dict_data.py                     |    2 +-
- src/calibre/utils/fonts/sfnt/cff/table.py                         |    2 +-
- src/calibre/utils/fonts/sfnt/cff/writer.py                        |    2 +-
- src/calibre/utils/fonts/sfnt/cmap.py                              |    2 +-
- src/calibre/utils/fonts/sfnt/common.py                            |    2 +-
- src/calibre/utils/fonts/sfnt/container.py                         |    2 +-
- src/calibre/utils/fonts/sfnt/errors.py                            |    2 +-
- src/calibre/utils/fonts/sfnt/glyf.py                              |    2 +-
- src/calibre/utils/fonts/sfnt/gsub.py                              |    2 +-
- src/calibre/utils/fonts/sfnt/head.py                              |    2 +-
- src/calibre/utils/fonts/sfnt/kern.py                              |    2 +-
- src/calibre/utils/fonts/sfnt/loca.py                              |    2 +-
- src/calibre/utils/fonts/sfnt/maxp.py                              |    2 +-
- src/calibre/utils/fonts/sfnt/merge.py                             |    2 +-
- src/calibre/utils/fonts/sfnt/metrics.py                           |    2 +-
- src/calibre/utils/fonts/sfnt/subset.py                            |    2 +-
- src/calibre/utils/fonts/utils.py                                  |    2 +-
- src/calibre/utils/fonts/win_fonts.py                              |    2 +-
- src/calibre/utils/formatter.py                                    |    2 +-
- src/calibre/utils/formatter_functions.py                          |    2 +-
- src/calibre/utils/html2text.py                                    |    2 +-
- src/calibre/utils/https.py                                        |    2 +-
- src/calibre/utils/icu.py                                          |    2 +-
- src/calibre/utils/icu_test.py                                     |    2 +-
- src/calibre/utils/img.py                                          |    2 +-
- src/calibre/utils/imghdr.py                                       |    2 +-
- src/calibre/utils/inotify.py                                      |    2 +-
- src/calibre/utils/ip_routing.py                                   |    2 +-
- src/calibre/utils/ipc/__init__.py                                 |    2 +-
- src/calibre/utils/ipc/job.py                                      |    2 +-
- src/calibre/utils/ipc/launch.py                                   |    2 +-
- src/calibre/utils/ipc/pool.py                                     |    2 +-
- src/calibre/utils/ipc/server.py                                   |    2 +-
- src/calibre/utils/ipc/simple_worker.py                            |    2 +-
- src/calibre/utils/ipc/worker.py                                   |    2 +-
- src/calibre/utils/iphlpapi.py                                     |    2 +-
- src/calibre/utils/ipython.py                                      |    2 +-
- src/calibre/utils/iso8601.py                                      |    2 +-
- src/calibre/utils/linux_trash.py                                  |    2 +-
- src/calibre/utils/localization.py                                 |    2 +-
- src/calibre/utils/localunzip.py                                   |    2 +-
- src/calibre/utils/lock.py                                         |    2 +-
- src/calibre/utils/logging.py                                      |    2 +-
- src/calibre/utils/magick/__init__.py                              |    2 +-
- src/calibre/utils/magick/draw.py                                  |    2 +-
- src/calibre/utils/magick/legacy.py                                |    2 +-
- src/calibre/utils/matcher.py                                      |    2 +-
- src/calibre/utils/mdns.py                                         |    2 +-
- src/calibre/utils/mem.py                                          |    2 +-
- src/calibre/utils/monotonic.py                                    |    2 +-
- src/calibre/utils/mreplace.py                                     |    2 +-
- src/calibre/utils/network.py                                      |    2 +-
- src/calibre/utils/open_with/linux.py                              |    2 +-
- src/calibre/utils/open_with/osx.py                                |    2 +-
- src/calibre/utils/open_with/windows.py                            |    2 +-
- src/calibre/utils/opensearch/__init__.py                          |    2 +-
- src/calibre/utils/opensearch/description.py                       |    2 +-
- src/calibre/utils/opensearch/query.py                             |    2 +-
- src/calibre/utils/opensearch/url.py                               |    2 +-
- src/calibre/utils/ordered_dict.py                                 |    2 +-
- src/calibre/utils/podofo/__init__.py                              |    2 +-
- src/calibre/utils/random_ua.py                                    |    2 +-
- src/calibre/utils/rapydscript.py                                  |    2 +-
- src/calibre/utils/recycle_bin.py                                  |    2 +-
- src/calibre/utils/resources.py                                    |    2 +-
- src/calibre/utils/run_tests.py                                    |    2 +-
- src/calibre/utils/search_query_parser.py                          |    2 +-
- src/calibre/utils/search_query_parser_test.py                     |    2 +-
- src/calibre/utils/serialize.py                                    |    2 +-
- src/calibre/utils/shared_file.py                                  |    2 +-
- src/calibre/utils/short_uuid.py                                   |    2 +-
- src/calibre/utils/smartypants.py                                  |    2 +-
- src/calibre/utils/smtp.py                                         |    2 +-
- src/calibre/utils/smtplib.py                                      |    2 +-
- src/calibre/utils/socket_inheritance.py                           |    2 +-
- src/calibre/utils/speedups.py                                     |    2 +-
- src/calibre/utils/spell/__init__.py                               |    2 +-
- src/calibre/utils/tdir_in_cache.py                                |    2 +-
- src/calibre/utils/terminal.py                                     |    2 +-
- src/calibre/utils/test_lock.py                                    |    2 +-
- src/calibre/utils/text2int.py                                     |    2 +-
- src/calibre/utils/threadpool.py                                   |    2 +-
- src/calibre/utils/titlecase.py                                    |    2 +-
- src/calibre/utils/unicode_getpass.py                              |    2 +-
- src/calibre/utils/unicode_names.py                                |    2 +-
- src/calibre/utils/unrar.py                                        |    2 +-
- src/calibre/utils/unsmarten.py                                    |    2 +-
- src/calibre/utils/windows/wintest.py                              |    2 +-
- src/calibre/utils/winreg/dde.py                                   |    2 +-
- src/calibre/utils/winreg/default_programs.py                      |    2 +-
- src/calibre/utils/winreg/lib.py                                   |    2 +-
- src/calibre/utils/wmf/__init__.py                                 |    2 +-
- src/calibre/utils/wmf/emf.py                                      |    2 +-
- src/calibre/utils/wmf/parse.py                                    |    2 +-
- src/calibre/utils/wordcount.py                                    |    2 +-
- src/calibre/utils/zipfile.py                                      |    2 +-
- src/calibre/web/__init__.py                                       |    2 +-
- src/calibre/web/feeds/__init__.py                                 |    2 +-
- src/calibre/web/feeds/news.py                                     |    2 +-
- src/calibre/web/feeds/recipes/__init__.py                         |    2 +-
- src/calibre/web/feeds/recipes/collection.py                       |    2 +-
- src/calibre/web/feeds/recipes/model.py                            |    2 +-
- src/calibre/web/feeds/templates.py                                |    2 +-
- src/calibre/web/fetch/__init__.py                                 |    2 +-
- src/calibre/web/fetch/simple.py                                   |    2 +-
- src/calibre/web/fetch/utils.py                                    |    2 +-
- src/calibre_lzma/__init__.py                                      |    2 +-
- src/calibre_lzma/errors.py                                        |    2 +-
- src/calibre_lzma/lzma1.py                                         |    2 +-
- src/calibre_lzma/xz.py                                            |    2 +-
- src/css_selectors/__init__.py                                     |    2 +-
- src/css_selectors/errors.py                                       |    2 +-
- src/css_selectors/ordered_set.py                                  |    2 +-
- src/css_selectors/select.py                                       |    2 +-
- src/css_selectors/tests.py                                        |    2 +-
- src/odf/__init__.py                                               |    2 +-
- src/odf/anim.py                                                   |    2 +-
- src/odf/attrconverters.py                                         |    2 +-
- src/odf/chart.py                                                  |    2 +-
- src/odf/config.py                                                 |    2 +-
- src/odf/dc.py                                                     |    2 +-
- src/odf/dr3d.py                                                   |    2 +-
- src/odf/draw.py                                                   |    2 +-
- src/odf/easyliststyle.py                                          |    2 +-
- src/odf/element.py                                                |    2 +-
- src/odf/elementtypes.py                                           |    2 +-
- src/odf/form.py                                                   |    2 +-
- src/odf/grammar.py                                                |    2 +-
- src/odf/load.py                                                   |    2 +-
- src/odf/manifest.py                                               |    2 +-
- src/odf/math.py                                                   |    2 +-
- src/odf/meta.py                                                   |    2 +-
- src/odf/namespaces.py                                             |    2 +-
- src/odf/number.py                                                 |    2 +-
- src/odf/odf2moinmoin.py                                           |    2 +-
- src/odf/odf2xhtml.py                                              |    2 +-
- src/odf/odfmanifest.py                                            |    2 +-
- src/odf/office.py                                                 |    2 +-
- src/odf/opendocument.py                                           |    2 +-
- src/odf/presentation.py                                           |    2 +-
- src/odf/script.py                                                 |    2 +-
- src/odf/style.py                                                  |    2 +-
- src/odf/svg.py                                                    |    2 +-
- src/odf/table.py                                                  |    2 +-
- src/odf/teletype.py                                               |    2 +-
- src/odf/text.py                                                   |    2 +-
- src/odf/thumbnail.py                                              |    1 -
- src/odf/userfield.py                                              |    2 +-
- src/odf/xforms.py                                                 |    2 +-
- src/polyglot/binary.py                                            |    2 +-
- src/polyglot/builtins.py                                          |    2 +-
- src/polyglot/functools.py                                         |    2 +-
- src/polyglot/http_server.py                                       |    2 +-
- src/polyglot/io.py                                                |    2 +-
- src/polyglot/plistlib.py                                          |    2 +-
- src/polyglot/smtplib.py                                           |    2 +-
- src/polyglot/urllib.py                                            |    2 +-
- src/tinycss/color3.py                                             |    2 +-
- src/tinycss/css21.py                                              |    2 +-
- src/tinycss/decoding.py                                           |    2 +-
- src/tinycss/fonts3.py                                             |    2 +-
- src/tinycss/media3.py                                             |    2 +-
- src/tinycss/page3.py                                              |    2 +-
- src/tinycss/parsing.py                                            |    2 +-
- src/tinycss/tests/__init__.py                                     |    2 +-
- src/tinycss/tests/color3.py                                       |    2 +-
- src/tinycss/tests/css21.py                                        |    2 +-
- src/tinycss/tests/decoding.py                                     |    2 +-
- src/tinycss/tests/fonts3.py                                       |    2 +-
- src/tinycss/tests/main.py                                         |    2 +-
- src/tinycss/tests/media3.py                                       |    2 +-
- src/tinycss/tests/page3.py                                        |    2 +-
- src/tinycss/tests/tokenizing.py                                   |    2 +-
- src/tinycss/token_data.py                                         |    2 +-
- src/tinycss/tokenizer.py                                          |    2 +-
+ bypy/init_env.py                                              | 2 +-
+ bypy/linux/__main__.py                                        | 2 +-
+ bypy/macos/__main__.py                                        | 2 +-
+ bypy/windows/__main__.py                                      | 2 +-
+ icons/icns/make_iconsets.py                                   | 2 +-
+ icons/make_ico_files.py                                       | 2 +-
+ imgsrc/generate.py                                            | 1 -
+ imgsrc/render-logo.py                                         | 2 +-
+ imgsrc/srv/generate.py                                        | 2 +-
+ manual/build.py                                               | 2 +-
+ manual/custom.py                                              | 2 +-
+ manual/epub.py                                                | 2 +-
+ manual/latex.py                                               | 2 +-
+ manual/plugin_examples/editor_demo/__init__.py                | 2 +-
+ manual/plugin_examples/editor_demo/main.py                    | 2 +-
+ manual/plugin_examples/helloworld/__init__.py                 | 2 +-
+ manual/plugin_examples/interface_demo/__init__.py             | 2 +-
+ manual/plugin_examples/interface_demo/config.py               | 2 +-
+ manual/plugin_examples/interface_demo/main.py                 | 2 +-
+ manual/plugin_examples/interface_demo/ui.py                   | 2 +-
+ manual/plugin_examples/webengine_demo/__init__.py             | 2 +-
+ manual/plugin_examples/webengine_demo/main.py                 | 2 +-
+ manual/plugin_examples/webengine_demo/ui.py                   | 2 +-
+ manual/template_ref_generate.py                               | 2 +-
+ resources/default_tweaks.py                                   | 2 +-
+ setup.py                                                      | 2 +-
+ setup/__init__.py                                             | 2 +-
+ setup/browser_data.py                                         | 2 +-
+ setup/build.py                                                | 4 ++--
+ setup/build_environment.py                                    | 2 +-
+ setup/check.py                                                | 2 +-
+ setup/commands.py                                             | 2 +-
+ setup/file-hosting-bw.py                                      | 2 +-
+ setup/git_pre_commit_hook.py                                  | 2 +-
+ setup/git_version.py                                          | 2 +-
+ setup/gui.py                                                  | 2 +-
+ setup/install.py                                              | 2 +-
+ setup/installers.py                                           | 2 +-
+ setup/lc_data.py                                              | 2 +-
+ setup/linux-installer.py                                      | 2 +-
+ setup/mathjax.py                                              | 2 +-
+ setup/parallel_build.py                                       | 2 +-
+ setup/plugins_mirror.py                                       | 2 +-
+ setup/port.py                                                 | 2 +-
+ setup/publish.py                                              | 4 ++--
+ setup/resources.py                                            | 2 +-
+ setup/run-calibre-worker.py                                   | 2 +-
+ setup/test.py                                                 | 2 +-
+ setup/translations.py                                         | 2 +-
+ setup/unix-ci.py                                              | 2 +-
+ setup/upload.py                                               | 2 +-
+ setup/vcvars.py                                               | 2 +-
+ setup/win-ci.py                                               | 2 +-
+ src/backports/functools_lru_cache.py                          | 2 +-
+ src/calibre/__init__.py                                       | 2 +-
+ src/calibre/constants.py                                      | 1 -
+ src/calibre/customize/__init__.py                             | 2 +-
+ src/calibre/customize/builtins.py                             | 2 +-
+ src/calibre/customize/conversion.py                           | 2 +-
+ src/calibre/customize/profiles.py                             | 2 +-
+ src/calibre/customize/ui.py                                   | 2 +-
+ src/calibre/customize/zipplugin.py                            | 2 +-
+ src/calibre/db/__init__.py                                    | 2 +-
+ src/calibre/db/adding.py                                      | 2 +-
+ src/calibre/db/backend.py                                     | 2 +-
+ src/calibre/db/backup.py                                      | 2 +-
+ src/calibre/db/cache.py                                       | 2 +-
+ src/calibre/db/categories.py                                  | 2 +-
+ src/calibre/db/cli/__init__.py                                | 2 +-
+ src/calibre/db/cli/cmd_add.py                                 | 2 +-
+ src/calibre/db/cli/cmd_add_custom_column.py                   | 2 +-
+ src/calibre/db/cli/cmd_add_format.py                          | 2 +-
+ src/calibre/db/cli/cmd_backup_metadata.py                     | 2 +-
+ src/calibre/db/cli/cmd_catalog.py                             | 2 +-
+ src/calibre/db/cli/cmd_check_library.py                       | 2 +-
+ src/calibre/db/cli/cmd_clone.py                               | 2 +-
+ src/calibre/db/cli/cmd_custom_columns.py                      | 2 +-
+ src/calibre/db/cli/cmd_embed_metadata.py                      | 2 +-
+ src/calibre/db/cli/cmd_export.py                              | 2 +-
+ src/calibre/db/cli/cmd_list.py                                | 2 +-
+ src/calibre/db/cli/cmd_list_categories.py                     | 2 +-
+ src/calibre/db/cli/cmd_remove.py                              | 2 +-
+ src/calibre/db/cli/cmd_remove_custom_column.py                | 2 +-
+ src/calibre/db/cli/cmd_remove_format.py                       | 2 +-
+ src/calibre/db/cli/cmd_restore_database.py                    | 2 +-
+ src/calibre/db/cli/cmd_saved_searches.py                      | 2 +-
+ src/calibre/db/cli/cmd_search.py                              | 2 +-
+ src/calibre/db/cli/cmd_set_custom.py                          | 2 +-
+ src/calibre/db/cli/cmd_set_metadata.py                        | 2 +-
+ src/calibre/db/cli/cmd_show_metadata.py                       | 2 +-
+ src/calibre/db/cli/main.py                                    | 2 +-
+ src/calibre/db/cli/tests.py                                   | 2 +-
+ src/calibre/db/cli/utils.py                                   | 2 +-
+ src/calibre/db/copy_to_library.py                             | 2 +-
+ src/calibre/db/delete_service.py                              | 2 +-
+ src/calibre/db/errors.py                                      | 2 +-
+ src/calibre/db/fields.py                                      | 2 +-
+ src/calibre/db/lazy.py                                        | 2 +-
+ src/calibre/db/legacy.py                                      | 2 +-
+ src/calibre/db/locking.py                                     | 2 +-
+ src/calibre/db/restore.py                                     | 2 +-
+ src/calibre/db/schema_upgrades.py                             | 2 +-
+ src/calibre/db/search.py                                      | 2 +-
+ src/calibre/db/tables.py                                      | 2 +-
+ src/calibre/db/tests/__init__.py                              | 2 +-
+ src/calibre/db/tests/add_remove.py                            | 2 +-
+ src/calibre/db/tests/base.py                                  | 2 +-
+ src/calibre/db/tests/filesystem.py                            | 2 +-
+ src/calibre/db/tests/legacy.py                                | 2 +-
+ src/calibre/db/tests/locking.py                               | 2 +-
+ src/calibre/db/tests/main.py                                  | 2 +-
+ src/calibre/db/tests/profiling.py                             | 2 +-
+ src/calibre/db/tests/reading.py                               | 2 +-
+ src/calibre/db/tests/utils.py                                 | 2 +-
+ src/calibre/db/tests/writing.py                               | 2 +-
+ src/calibre/db/utils.py                                       | 2 +-
+ src/calibre/db/view.py                                        | 2 +-
+ src/calibre/db/write.py                                       | 2 +-
+ src/calibre/debug.py                                          | 2 +-
+ src/calibre/devices/__init__.py                               | 2 +-
+ src/calibre/devices/android/__init__.py                       | 2 +-
+ src/calibre/devices/android/driver.py                         | 2 +-
+ src/calibre/devices/binatone/driver.py                        | 2 +-
+ src/calibre/devices/blackberry/__init__.py                    | 2 +-
+ src/calibre/devices/blackberry/driver.py                      | 2 +-
+ src/calibre/devices/boeye/driver.py                           | 2 +-
+ src/calibre/devices/cli.py                                    | 2 +-
+ src/calibre/devices/cybook/driver.py                          | 2 +-
+ src/calibre/devices/cybook/t2b.py                             | 2 +-
+ src/calibre/devices/cybook/t4b.py                             | 2 +-
+ src/calibre/devices/eb600/driver.py                           | 2 +-
+ src/calibre/devices/edge/driver.py                            | 2 +-
+ src/calibre/devices/errors.py                                 | 2 +-
+ src/calibre/devices/eslick/__init__.py                        | 2 +-
+ src/calibre/devices/eslick/driver.py                          | 2 +-
+ src/calibre/devices/folder_device/__init__.py                 | 2 +-
+ src/calibre/devices/folder_device/driver.py                   | 2 +-
+ src/calibre/devices/hanlin/__init__.py                        | 2 +-
+ src/calibre/devices/hanlin/driver.py                          | 2 +-
+ src/calibre/devices/hanvon/driver.py                          | 2 +-
+ src/calibre/devices/iliad/driver.py                           | 2 +-
+ src/calibre/devices/interface.py                              | 2 +-
+ src/calibre/devices/irexdr/driver.py                          | 2 +-
+ src/calibre/devices/iriver/__init__.py                        | 2 +-
+ src/calibre/devices/iriver/driver.py                          | 2 +-
+ src/calibre/devices/jetbook/driver.py                         | 2 +-
+ src/calibre/devices/kindle/apnx.py                            | 2 +-
+ src/calibre/devices/kindle/bookmark.py                        | 2 +-
+ src/calibre/devices/kindle/driver.py                          | 2 +-
+ src/calibre/devices/kobo/__init__.py                          | 2 +-
+ src/calibre/devices/kobo/bookmark.py                          | 2 +-
+ src/calibre/devices/kobo/books.py                             | 2 +-
+ src/calibre/devices/kobo/driver.py                            | 2 +-
+ src/calibre/devices/kobo/kobotouch_config.py                  | 2 +-
+ src/calibre/devices/mime.py                                   | 2 +-
+ src/calibre/devices/misc.py                                   | 2 +-
+ src/calibre/devices/mtp/__init__.py                           | 2 +-
+ src/calibre/devices/mtp/base.py                               | 2 +-
+ src/calibre/devices/mtp/books.py                              | 2 +-
+ src/calibre/devices/mtp/defaults.py                           | 2 +-
+ src/calibre/devices/mtp/driver.py                             | 2 +-
+ src/calibre/devices/mtp/filesystem_cache.py                   | 2 +-
+ src/calibre/devices/mtp/test.py                               | 2 +-
+ src/calibre/devices/mtp/unix/__init__.py                      | 2 +-
+ src/calibre/devices/mtp/unix/driver.py                        | 2 +-
+ src/calibre/devices/mtp/unix/sysfs.py                         | 2 +-
+ src/calibre/devices/mtp/unix/upstream/update.py               | 2 +-
+ src/calibre/devices/mtp/windows/__init__.py                   | 2 +-
+ src/calibre/devices/mtp/windows/driver.py                     | 2 +-
+ src/calibre/devices/mtp/windows/remote.py                     | 2 +-
+ src/calibre/devices/nokia/driver.py                           | 2 +-
+ src/calibre/devices/nook/driver.py                            | 2 +-
+ src/calibre/devices/nuut2/driver.py                           | 2 +-
+ src/calibre/devices/paladin/__init__.py                       | 2 +-
+ src/calibre/devices/paladin/driver.py                         | 2 +-
+ src/calibre/devices/prs505/__init__.py                        | 2 +-
+ src/calibre/devices/prs505/driver.py                          | 2 +-
+ src/calibre/devices/prs505/sony_cache.py                      | 2 +-
+ src/calibre/devices/prst1/__init__.py                         | 2 +-
+ src/calibre/devices/prst1/driver.py                           | 2 +-
+ src/calibre/devices/scanner.py                                | 2 +-
+ src/calibre/devices/smart_device_app/__init__.py              | 2 +-
+ src/calibre/devices/smart_device_app/driver.py                | 2 +-
+ src/calibre/devices/sne/driver.py                             | 2 +-
+ src/calibre/devices/teclast/__init__.py                       | 2 +-
+ src/calibre/devices/teclast/driver.py                         | 2 +-
+ src/calibre/devices/udisks.py                                 | 2 +-
+ src/calibre/devices/usbms/books.py                            | 2 +-
+ src/calibre/devices/usbms/cli.py                              | 2 +-
+ src/calibre/devices/usbms/device.py                           | 2 +-
+ src/calibre/devices/usbms/deviceconfig.py                     | 2 +-
+ src/calibre/devices/usbms/driver.py                           | 2 +-
+ src/calibre/devices/user_defined/driver.py                    | 2 +-
+ src/calibre/devices/utils.py                                  | 2 +-
+ src/calibre/devices/winusb.py                                 | 2 +-
+ src/calibre/ebooks/BeautifulSoup.py                           | 2 +-
+ src/calibre/ebooks/__init__.py                                | 2 +-
+ src/calibre/ebooks/azw4/reader.py                             | 2 +-
+ src/calibre/ebooks/chardet.py                                 | 2 +-
+ src/calibre/ebooks/chm/__init__.py                            | 2 +-
+ src/calibre/ebooks/chm/metadata.py                            | 2 +-
+ src/calibre/ebooks/chm/reader.py                              | 2 +-
+ src/calibre/ebooks/comic/__init__.py                          | 2 +-
+ src/calibre/ebooks/comic/input.py                             | 2 +-
+ src/calibre/ebooks/compression/__init__.py                    | 2 +-
+ src/calibre/ebooks/compression/palmdoc.py                     | 2 +-
+ src/calibre/ebooks/compression/tcr.py                         | 2 +-
+ src/calibre/ebooks/constants.py                               | 2 +-
+ src/calibre/ebooks/conversion/__init__.py                     | 2 +-
+ src/calibre/ebooks/conversion/cli.py                          | 2 +-
+ src/calibre/ebooks/conversion/config.py                       | 2 +-
+ src/calibre/ebooks/conversion/plugins/__init__.py             | 2 +-
+ src/calibre/ebooks/conversion/plugins/azw4_input.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/chm_input.py            | 2 +-
+ src/calibre/ebooks/conversion/plugins/comic_input.py          | 2 +-
+ src/calibre/ebooks/conversion/plugins/djvu_input.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/docx_input.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/docx_output.py          | 2 +-
+ src/calibre/ebooks/conversion/plugins/epub_input.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/epub_output.py          | 2 +-
+ src/calibre/ebooks/conversion/plugins/fb2_input.py            | 2 +-
+ src/calibre/ebooks/conversion/plugins/fb2_output.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/html_input.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/html_output.py          | 2 +-
+ src/calibre/ebooks/conversion/plugins/htmlz_input.py          | 2 +-
+ src/calibre/ebooks/conversion/plugins/htmlz_output.py         | 2 +-
+ src/calibre/ebooks/conversion/plugins/lit_input.py            | 2 +-
+ src/calibre/ebooks/conversion/plugins/lit_output.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/lrf_input.py            | 2 +-
+ src/calibre/ebooks/conversion/plugins/lrf_output.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/mobi_input.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/mobi_output.py          | 2 +-
+ src/calibre/ebooks/conversion/plugins/odt_input.py            | 2 +-
+ src/calibre/ebooks/conversion/plugins/oeb_output.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/pdb_input.py            | 2 +-
+ src/calibre/ebooks/conversion/plugins/pdb_output.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/pdf_input.py            | 2 +-
+ src/calibre/ebooks/conversion/plugins/pdf_output.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/pml_input.py            | 2 +-
+ src/calibre/ebooks/conversion/plugins/pml_output.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/rb_input.py             | 2 +-
+ src/calibre/ebooks/conversion/plugins/rb_output.py            | 2 +-
+ src/calibre/ebooks/conversion/plugins/recipe_input.py         | 2 +-
+ src/calibre/ebooks/conversion/plugins/rtf_input.py            | 2 +-
+ src/calibre/ebooks/conversion/plugins/rtf_output.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/snb_input.py            | 2 +-
+ src/calibre/ebooks/conversion/plugins/snb_output.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/tcr_input.py            | 2 +-
+ src/calibre/ebooks/conversion/plugins/tcr_output.py           | 2 +-
+ src/calibre/ebooks/conversion/plugins/txt_input.py            | 2 +-
+ src/calibre/ebooks/conversion/plugins/txt_output.py           | 2 +-
+ src/calibre/ebooks/conversion/plumber.py                      | 2 +-
+ src/calibre/ebooks/conversion/preprocess.py                   | 2 +-
+ src/calibre/ebooks/conversion/search_replace.py               | 2 +-
+ src/calibre/ebooks/conversion/utils.py                        | 2 +-
+ src/calibre/ebooks/covers.py                                  | 2 +-
+ src/calibre/ebooks/css_transform_rules.py                     | 2 +-
+ src/calibre/ebooks/djvu/__init__.py                           | 2 +-
+ src/calibre/ebooks/djvu/djvu.py                               | 2 +-
+ src/calibre/ebooks/djvu/djvubzzdec.py                         | 2 +-
+ src/calibre/ebooks/docx/__init__.py                           | 2 +-
+ src/calibre/ebooks/docx/block_styles.py                       | 2 +-
+ src/calibre/ebooks/docx/char_styles.py                        | 2 +-
+ src/calibre/ebooks/docx/cleanup.py                            | 2 +-
+ src/calibre/ebooks/docx/container.py                          | 2 +-
+ src/calibre/ebooks/docx/dump.py                               | 2 +-
+ src/calibre/ebooks/docx/fields.py                             | 2 +-
+ src/calibre/ebooks/docx/fonts.py                              | 2 +-
+ src/calibre/ebooks/docx/footnotes.py                          | 2 +-
+ src/calibre/ebooks/docx/images.py                             | 2 +-
+ src/calibre/ebooks/docx/index.py                              | 2 +-
+ src/calibre/ebooks/docx/lcid.py                               | 2 +-
+ src/calibre/ebooks/docx/names.py                              | 2 +-
+ src/calibre/ebooks/docx/numbering.py                          | 2 +-
+ src/calibre/ebooks/docx/settings.py                           | 2 +-
+ src/calibre/ebooks/docx/styles.py                             | 2 +-
+ src/calibre/ebooks/docx/tables.py                             | 2 +-
+ src/calibre/ebooks/docx/theme.py                              | 2 +-
+ src/calibre/ebooks/docx/to_html.py                            | 2 +-
+ src/calibre/ebooks/docx/toc.py                                | 2 +-
+ src/calibre/ebooks/docx/writer/__init__.py                    | 2 +-
+ src/calibre/ebooks/docx/writer/container.py                   | 2 +-
+ src/calibre/ebooks/docx/writer/fonts.py                       | 2 +-
+ src/calibre/ebooks/docx/writer/from_html.py                   | 2 +-
+ src/calibre/ebooks/docx/writer/images.py                      | 2 +-
+ src/calibre/ebooks/docx/writer/links.py                       | 2 +-
+ src/calibre/ebooks/docx/writer/lists.py                       | 2 +-
+ src/calibre/ebooks/docx/writer/styles.py                      | 2 +-
+ src/calibre/ebooks/docx/writer/tables.py                      | 2 +-
+ src/calibre/ebooks/docx/writer/utils.py                       | 2 +-
+ src/calibre/ebooks/epub/__init__.py                           | 2 +-
+ src/calibre/ebooks/epub/cfi/parse.py                          | 2 +-
+ src/calibre/ebooks/epub/cfi/tests.py                          | 2 +-
+ src/calibre/ebooks/epub/pages.py                              | 2 +-
+ src/calibre/ebooks/epub/periodical.py                         | 2 +-
+ src/calibre/ebooks/fb2/__init__.py                            | 2 +-
+ src/calibre/ebooks/fb2/fb2ml.py                               | 2 +-
+ src/calibre/ebooks/html/__init__.py                           | 2 +-
+ src/calibre/ebooks/html/input.py                              | 2 +-
+ src/calibre/ebooks/html/meta.py                               | 2 +-
+ src/calibre/ebooks/html/to_zip.py                             | 2 +-
+ src/calibre/ebooks/html_entities.py                           | 2 +-
+ src/calibre/ebooks/htmlz/oeb2html.py                          | 2 +-
+ src/calibre/ebooks/hyphenate.py                               | 2 +-
+ src/calibre/ebooks/iterator/__init__.py                       | 2 +-
+ src/calibre/ebooks/lit/__init__.py                            | 2 +-
+ src/calibre/ebooks/lit/lzx.py                                 | 2 +-
+ src/calibre/ebooks/lit/maps/__init__.py                       | 2 +-
+ src/calibre/ebooks/lit/maps/html.py                           | 2 +-
+ src/calibre/ebooks/lit/maps/opf.py                            | 2 +-
+ src/calibre/ebooks/lit/mssha1.py                              | 2 +-
+ src/calibre/ebooks/lit/reader.py                              | 2 +-
+ src/calibre/ebooks/lit/writer.py                              | 2 +-
+ src/calibre/ebooks/lrf/__init__.py                            | 2 +-
+ src/calibre/ebooks/lrf/fonts.py                               | 2 +-
+ src/calibre/ebooks/lrf/html/__init__.py                       | 2 +-
+ src/calibre/ebooks/lrf/html/color_map.py                      | 2 +-
+ src/calibre/ebooks/lrf/html/convert_from.py                   | 2 +-
+ src/calibre/ebooks/lrf/html/table.py                          | 2 +-
+ src/calibre/ebooks/lrf/input.py                               | 2 +-
+ src/calibre/ebooks/lrf/lrfparser.py                           | 2 +-
+ src/calibre/ebooks/lrf/lrs/__init__.py                        | 2 +-
+ src/calibre/ebooks/lrf/lrs/convert_from.py                    | 2 +-
+ src/calibre/ebooks/lrf/meta.py                                | 2 +-
+ src/calibre/ebooks/lrf/objects.py                             | 2 +-
+ src/calibre/ebooks/lrf/pylrs/__init__.py                      | 2 +-
+ src/calibre/ebooks/lrf/pylrs/elements.py                      | 2 +-
+ src/calibre/ebooks/lrf/pylrs/pylrf.py                         | 2 +-
+ src/calibre/ebooks/lrf/pylrs/pylrfopt.py                      | 2 +-
+ src/calibre/ebooks/lrf/pylrs/pylrs.py                         | 2 +-
+ src/calibre/ebooks/lrf/tags.py                                | 2 +-
+ src/calibre/ebooks/metadata/__init__.py                       | 2 +-
+ src/calibre/ebooks/metadata/archive.py                        | 2 +-
+ src/calibre/ebooks/metadata/author_mapper.py                  | 2 +-
+ src/calibre/ebooks/metadata/book/__init__.py                  | 2 +-
+ src/calibre/ebooks/metadata/book/base.py                      | 2 +-
+ src/calibre/ebooks/metadata/book/formatter.py                 | 2 +-
+ src/calibre/ebooks/metadata/book/json_codec.py                | 2 +-
+ src/calibre/ebooks/metadata/book/render.py                    | 2 +-
+ src/calibre/ebooks/metadata/book/serialize.py                 | 2 +-
+ src/calibre/ebooks/metadata/cli.py                            | 2 +-
+ src/calibre/ebooks/metadata/docx.py                           | 2 +-
+ src/calibre/ebooks/metadata/epub.py                           | 2 +-
+ src/calibre/ebooks/metadata/ereader.py                        | 2 +-
+ src/calibre/ebooks/metadata/extz.py                           | 2 +-
+ src/calibre/ebooks/metadata/fb2.py                            | 2 +-
+ src/calibre/ebooks/metadata/haodoo.py                         | 2 +-
+ src/calibre/ebooks/metadata/html.py                           | 2 +-
+ src/calibre/ebooks/metadata/imp.py                            | 2 +-
+ src/calibre/ebooks/metadata/kdl.py                            | 2 +-
+ src/calibre/ebooks/metadata/kfx.py                            | 2 +-
+ src/calibre/ebooks/metadata/lit.py                            | 2 +-
+ src/calibre/ebooks/metadata/lrx.py                            | 2 +-
+ src/calibre/ebooks/metadata/meta.py                           | 2 +-
+ src/calibre/ebooks/metadata/mobi.py                           | 2 +-
+ src/calibre/ebooks/metadata/odt.py                            | 2 +-
+ src/calibre/ebooks/metadata/opf.py                            | 2 +-
+ src/calibre/ebooks/metadata/opf2.py                           | 2 +-
+ src/calibre/ebooks/metadata/opf3.py                           | 2 +-
+ src/calibre/ebooks/metadata/opf3_test.py                      | 2 +-
+ src/calibre/ebooks/metadata/opf_2_to_3.py                     | 2 +-
+ src/calibre/ebooks/metadata/pdb.py                            | 2 +-
+ src/calibre/ebooks/metadata/pdf.py                            | 2 +-
+ src/calibre/ebooks/metadata/plucker.py                        | 2 +-
+ src/calibre/ebooks/metadata/pml.py                            | 2 +-
+ src/calibre/ebooks/metadata/rar.py                            | 2 +-
+ src/calibre/ebooks/metadata/rb.py                             | 2 +-
+ src/calibre/ebooks/metadata/rtf.py                            | 2 +-
+ src/calibre/ebooks/metadata/search_internet.py                | 2 +-
+ src/calibre/ebooks/metadata/snb.py                            | 2 +-
+ src/calibre/ebooks/metadata/tag_mapper.py                     | 2 +-
+ src/calibre/ebooks/metadata/toc.py                            | 2 +-
+ src/calibre/ebooks/metadata/topaz.py                          | 2 +-
+ src/calibre/ebooks/metadata/txt.py                            | 2 +-
+ src/calibre/ebooks/metadata/utils.py                          | 2 --
+ src/calibre/ebooks/metadata/worker.py                         | 2 +-
+ src/calibre/ebooks/metadata/xisbn.py                          | 2 +-
+ src/calibre/ebooks/metadata/xmp.py                            | 2 +-
+ src/calibre/ebooks/metadata/zip.py                            | 2 +-
+ src/calibre/ebooks/mobi/__init__.py                           | 2 +-
+ src/calibre/ebooks/mobi/debug/__init__.py                     | 2 +-
+ src/calibre/ebooks/mobi/debug/containers.py                   | 2 +-
+ src/calibre/ebooks/mobi/debug/headers.py                      | 2 +-
+ src/calibre/ebooks/mobi/debug/index.py                        | 2 +-
+ src/calibre/ebooks/mobi/debug/main.py                         | 2 +-
+ src/calibre/ebooks/mobi/debug/mobi6.py                        | 2 +-
+ src/calibre/ebooks/mobi/debug/mobi8.py                        | 2 +-
+ src/calibre/ebooks/mobi/huffcdic.py                           | 2 +-
+ src/calibre/ebooks/mobi/langcodes.py                          | 2 +-
+ src/calibre/ebooks/mobi/mobiml.py                             | 2 +-
+ src/calibre/ebooks/mobi/reader/__init__.py                    | 2 +-
+ src/calibre/ebooks/mobi/reader/containers.py                  | 2 +-
+ src/calibre/ebooks/mobi/reader/headers.py                     | 2 +-
+ src/calibre/ebooks/mobi/reader/index.py                       | 2 +-
+ src/calibre/ebooks/mobi/reader/markup.py                      | 2 +-
+ src/calibre/ebooks/mobi/reader/mobi6.py                       | 2 +-
+ src/calibre/ebooks/mobi/reader/mobi8.py                       | 2 +-
+ src/calibre/ebooks/mobi/reader/ncx.py                         | 2 +-
+ src/calibre/ebooks/mobi/tweak.py                              | 2 +-
+ src/calibre/ebooks/mobi/utils.py                              | 2 +-
+ src/calibre/ebooks/mobi/writer2/__init__.py                   | 2 +-
+ src/calibre/ebooks/mobi/writer2/indexer.py                    | 2 +-
+ src/calibre/ebooks/mobi/writer2/main.py                       | 2 +-
+ src/calibre/ebooks/mobi/writer2/resources.py                  | 2 +-
+ src/calibre/ebooks/mobi/writer2/serializer.py                 | 2 +-
+ src/calibre/ebooks/mobi/writer8/__init__.py                   | 2 +-
+ src/calibre/ebooks/mobi/writer8/cleanup.py                    | 2 +-
+ src/calibre/ebooks/mobi/writer8/exth.py                       | 2 +-
+ src/calibre/ebooks/mobi/writer8/header.py                     | 2 +-
+ src/calibre/ebooks/mobi/writer8/index.py                      | 2 +-
+ src/calibre/ebooks/mobi/writer8/main.py                       | 2 +-
+ src/calibre/ebooks/mobi/writer8/mobi.py                       | 2 +-
+ src/calibre/ebooks/mobi/writer8/skeleton.py                   | 2 +-
+ src/calibre/ebooks/mobi/writer8/tbs.py                        | 2 +-
+ src/calibre/ebooks/mobi/writer8/toc.py                        | 2 +-
+ src/calibre/ebooks/odt/__init__.py                            | 2 +-
+ src/calibre/ebooks/odt/input.py                               | 2 +-
+ src/calibre/ebooks/oeb/__init__.py                            | 2 +-
+ src/calibre/ebooks/oeb/base.py                                | 2 +-
+ src/calibre/ebooks/oeb/display/__init__.py                    | 2 +-
+ src/calibre/ebooks/oeb/display/webview.py                     | 2 +-
+ src/calibre/ebooks/oeb/iterator/__init__.py                   | 2 +-
+ src/calibre/ebooks/oeb/iterator/book.py                       | 2 +-
+ src/calibre/ebooks/oeb/iterator/bookmarks.py                  | 2 +-
+ src/calibre/ebooks/oeb/iterator/spine.py                      | 2 +-
+ src/calibre/ebooks/oeb/normalize_css.py                       | 2 +-
+ src/calibre/ebooks/oeb/parse_utils.py                         | 2 +-
+ src/calibre/ebooks/oeb/polish/__init__.py                     | 2 +-
+ src/calibre/ebooks/oeb/polish/cascade.py                      | 2 +-
+ src/calibre/ebooks/oeb/polish/check/__init__.py               | 2 +-
+ src/calibre/ebooks/oeb/polish/check/base.py                   | 2 +-
+ src/calibre/ebooks/oeb/polish/check/fonts.py                  | 2 +-
+ src/calibre/ebooks/oeb/polish/check/images.py                 | 2 +-
+ src/calibre/ebooks/oeb/polish/check/links.py                  | 2 +-
+ src/calibre/ebooks/oeb/polish/check/main.py                   | 2 +-
+ src/calibre/ebooks/oeb/polish/check/opf.py                    | 2 +-
+ src/calibre/ebooks/oeb/polish/check/parsing.py                | 2 +-
+ src/calibre/ebooks/oeb/polish/container.py                    | 2 +-
+ src/calibre/ebooks/oeb/polish/cover.py                        | 2 +-
+ src/calibre/ebooks/oeb/polish/create.py                       | 2 +-
+ src/calibre/ebooks/oeb/polish/css.py                          | 2 +-
+ src/calibre/ebooks/oeb/polish/download.py                     | 2 +-
+ src/calibre/ebooks/oeb/polish/embed.py                        | 2 +-
+ src/calibre/ebooks/oeb/polish/errors.py                       | 2 +-
+ src/calibre/ebooks/oeb/polish/fonts.py                        | 2 +-
+ src/calibre/ebooks/oeb/polish/images.py                       | 2 +-
+ src/calibre/ebooks/oeb/polish/import_book.py                  | 2 +-
+ src/calibre/ebooks/oeb/polish/jacket.py                       | 2 +-
+ src/calibre/ebooks/oeb/polish/main.py                         | 2 +-
+ src/calibre/ebooks/oeb/polish/opf.py                          | 2 +-
+ src/calibre/ebooks/oeb/polish/parsing.py                      | 2 +-
+ src/calibre/ebooks/oeb/polish/pretty.py                       | 2 +-
+ src/calibre/ebooks/oeb/polish/replace.py                      | 2 +-
+ src/calibre/ebooks/oeb/polish/report.py                       | 2 +-
+ src/calibre/ebooks/oeb/polish/spell.py                        | 2 +-
+ src/calibre/ebooks/oeb/polish/split.py                        | 2 +-
+ src/calibre/ebooks/oeb/polish/stats.py                        | 2 +-
+ src/calibre/ebooks/oeb/polish/subset.py                       | 2 +-
+ src/calibre/ebooks/oeb/polish/tests/__init__.py               | 2 +-
+ src/calibre/ebooks/oeb/polish/tests/base.py                   | 2 +-
+ src/calibre/ebooks/oeb/polish/tests/cascade.py                | 2 +-
+ src/calibre/ebooks/oeb/polish/tests/container.py              | 2 +-
+ src/calibre/ebooks/oeb/polish/tests/main.py                   | 2 +-
+ src/calibre/ebooks/oeb/polish/tests/parsing.py                | 2 +-
+ src/calibre/ebooks/oeb/polish/tests/structure.py              | 2 +-
+ src/calibre/ebooks/oeb/polish/toc.py                          | 2 +-
+ src/calibre/ebooks/oeb/polish/upgrade.py                      | 2 +-
+ src/calibre/ebooks/oeb/polish/utils.py                        | 2 +-
+ src/calibre/ebooks/oeb/reader.py                              | 2 +-
+ src/calibre/ebooks/oeb/stylizer.py                            | 2 +-
+ src/calibre/ebooks/oeb/transforms/__init__.py                 | 2 +-
+ src/calibre/ebooks/oeb/transforms/cover.py                    | 2 +-
+ src/calibre/ebooks/oeb/transforms/data_url.py                 | 2 +-
+ src/calibre/ebooks/oeb/transforms/embed_fonts.py              | 2 +-
+ src/calibre/ebooks/oeb/transforms/filenames.py                | 2 +-
+ src/calibre/ebooks/oeb/transforms/flatcss.py                  | 2 +-
+ src/calibre/ebooks/oeb/transforms/guide.py                    | 2 +-
+ src/calibre/ebooks/oeb/transforms/htmltoc.py                  | 2 +-
+ src/calibre/ebooks/oeb/transforms/jacket.py                   | 2 +-
+ src/calibre/ebooks/oeb/transforms/linearize_tables.py         | 2 +-
+ src/calibre/ebooks/oeb/transforms/manglecase.py               | 2 +-
+ src/calibre/ebooks/oeb/transforms/metadata.py                 | 2 +-
+ src/calibre/ebooks/oeb/transforms/page_margin.py              | 2 +-
+ src/calibre/ebooks/oeb/transforms/rasterize.py                | 2 +-
+ src/calibre/ebooks/oeb/transforms/rescale.py                  | 2 +-
+ src/calibre/ebooks/oeb/transforms/split.py                    | 2 +-
+ src/calibre/ebooks/oeb/transforms/structure.py                | 2 +-
+ src/calibre/ebooks/oeb/transforms/subset.py                   | 2 +-
+ src/calibre/ebooks/oeb/transforms/trimmanifest.py             | 2 +-
+ src/calibre/ebooks/oeb/transforms/unsmarten.py                | 2 +-
+ src/calibre/ebooks/oeb/writer.py                              | 2 +-
+ src/calibre/ebooks/pdb/__init__.py                            | 2 +-
+ src/calibre/ebooks/pdb/ereader/__init__.py                    | 2 +-
+ src/calibre/ebooks/pdb/ereader/inspector.py                   | 2 +-
+ src/calibre/ebooks/pdb/ereader/reader.py                      | 2 +-
+ src/calibre/ebooks/pdb/ereader/reader132.py                   | 2 +-
+ src/calibre/ebooks/pdb/ereader/reader202.py                   | 2 +-
+ src/calibre/ebooks/pdb/ereader/writer.py                      | 2 +-
+ src/calibre/ebooks/pdb/formatreader.py                        | 2 +-
+ src/calibre/ebooks/pdb/formatwriter.py                        | 2 +-
+ src/calibre/ebooks/pdb/haodoo/__init__.py                     | 2 +-
+ src/calibre/ebooks/pdb/haodoo/reader.py                       | 2 +-
+ src/calibre/ebooks/pdb/header.py                              | 2 +-
+ src/calibre/ebooks/pdb/palmdoc/reader.py                      | 2 +-
+ src/calibre/ebooks/pdb/palmdoc/writer.py                      | 2 +-
+ src/calibre/ebooks/pdb/pdf/reader.py                          | 2 +-
+ src/calibre/ebooks/pdb/plucker/reader.py                      | 2 +-
+ src/calibre/ebooks/pdb/ztxt/__init__.py                       | 2 +-
+ src/calibre/ebooks/pdb/ztxt/reader.py                         | 2 +-
+ src/calibre/ebooks/pdb/ztxt/writer.py                         | 2 +-
+ src/calibre/ebooks/pdf/__init__.py                            | 2 +-
+ src/calibre/ebooks/pdf/develop.py                             | 2 +-
+ src/calibre/ebooks/pdf/html_writer.py                         | 2 +-
+ src/calibre/ebooks/pdf/image_writer.py                        | 2 +-
+ src/calibre/ebooks/pdf/pageoptions.py                         | 2 +-
+ src/calibre/ebooks/pdf/pdftohtml.py                           | 2 +-
+ src/calibre/ebooks/pdf/reflow.py                              | 2 +-
+ src/calibre/ebooks/pdf/render/__init__.py                     | 2 +-
+ src/calibre/ebooks/pdf/render/common.py                       | 2 +-
+ src/calibre/ebooks/pdf/render/fonts.py                        | 2 +-
+ src/calibre/ebooks/pdf/render/gradients.py                    | 2 +-
+ src/calibre/ebooks/pdf/render/graphics.py                     | 2 +-
+ src/calibre/ebooks/pdf/render/links.py                        | 2 +-
+ src/calibre/ebooks/pdf/render/serialize.py                    | 2 +-
+ src/calibre/ebooks/pdf/test_html_writer.py                    | 2 +-
+ src/calibre/ebooks/pml/__init__.py                            | 2 +-
+ src/calibre/ebooks/pml/pmlconverter.py                        | 2 +-
+ src/calibre/ebooks/pml/pmlml.py                               | 2 +-
+ src/calibre/ebooks/rb/__init__.py                             | 2 +-
+ src/calibre/ebooks/rb/rbml.py                                 | 2 +-
+ src/calibre/ebooks/rb/reader.py                               | 2 +-
+ src/calibre/ebooks/rb/writer.py                               | 2 +-
+ src/calibre/ebooks/readability/cleaners.py                    | 2 +-
+ src/calibre/ebooks/readability/debug.py                       | 2 +-
+ src/calibre/ebooks/readability/htmls.py                       | 2 +-
+ src/calibre/ebooks/readability/readability.py                 | 2 +-
+ src/calibre/ebooks/render_html.py                             | 2 +-
+ src/calibre/ebooks/rtf/input.py                               | 2 +-
+ src/calibre/ebooks/rtf/preprocess.py                          | 2 +-
+ src/calibre/ebooks/rtf/rtfml.py                               | 2 +-
+ src/calibre/ebooks/rtf2xml/ParseRtf.py                        | 2 +-
+ src/calibre/ebooks/rtf2xml/__init__.py                        | 2 +-
+ src/calibre/ebooks/rtf2xml/add_brackets.py                    | 2 +-
+ src/calibre/ebooks/rtf2xml/body_styles.py                     | 2 +-
+ src/calibre/ebooks/rtf2xml/border_parse.py                    | 2 +-
+ src/calibre/ebooks/rtf2xml/char_set.py                        | 2 +-
+ src/calibre/ebooks/rtf2xml/check_brackets.py                  | 2 +-
+ src/calibre/ebooks/rtf2xml/check_encoding.py                  | 2 +-
+ src/calibre/ebooks/rtf2xml/colors.py                          | 2 +-
+ src/calibre/ebooks/rtf2xml/combine_borders.py                 | 2 +-
+ src/calibre/ebooks/rtf2xml/configure_txt.py                   | 2 +-
+ src/calibre/ebooks/rtf2xml/convert_to_tags.py                 | 2 +-
+ src/calibre/ebooks/rtf2xml/copy.py                            | 2 +-
+ src/calibre/ebooks/rtf2xml/default_encoding.py                | 2 +-
+ src/calibre/ebooks/rtf2xml/delete_info.py                     | 2 +-
+ src/calibre/ebooks/rtf2xml/field_strings.py                   | 2 +-
+ src/calibre/ebooks/rtf2xml/fields_large.py                    | 2 +-
+ src/calibre/ebooks/rtf2xml/fields_small.py                    | 2 +-
+ src/calibre/ebooks/rtf2xml/fonts.py                           | 2 +-
+ src/calibre/ebooks/rtf2xml/footnote.py                        | 2 +-
+ src/calibre/ebooks/rtf2xml/get_char_map.py                    | 2 +-
+ src/calibre/ebooks/rtf2xml/get_options.py                     | 2 +-
+ src/calibre/ebooks/rtf2xml/group_borders.py                   | 2 +-
+ src/calibre/ebooks/rtf2xml/group_styles.py                    | 2 +-
+ src/calibre/ebooks/rtf2xml/header.py                          | 2 +-
+ src/calibre/ebooks/rtf2xml/headings_to_sections.py            | 2 +-
+ src/calibre/ebooks/rtf2xml/hex_2_utf8.py                      | 2 +-
+ src/calibre/ebooks/rtf2xml/info.py                            | 2 +-
+ src/calibre/ebooks/rtf2xml/inline.py                          | 2 +-
+ src/calibre/ebooks/rtf2xml/line_endings.py                    | 2 +-
+ src/calibre/ebooks/rtf2xml/list_numbers.py                    | 2 +-
+ src/calibre/ebooks/rtf2xml/list_table.py                      | 2 +-
+ src/calibre/ebooks/rtf2xml/make_lists.py                      | 2 +-
+ src/calibre/ebooks/rtf2xml/old_rtf.py                         | 2 +-
+ src/calibre/ebooks/rtf2xml/options_trem.py                    | 4 ++--
+ src/calibre/ebooks/rtf2xml/output.py                          | 2 +-
+ src/calibre/ebooks/rtf2xml/override_table.py                  | 4 ++--
+ src/calibre/ebooks/rtf2xml/paragraph_def.py                   | 2 +-
+ src/calibre/ebooks/rtf2xml/paragraphs.py                      | 2 +-
+ src/calibre/ebooks/rtf2xml/pict.py                            | 2 +-
+ src/calibre/ebooks/rtf2xml/preamble_div.py                    | 4 ++--
+ src/calibre/ebooks/rtf2xml/preamble_rest.py                   | 2 +-
+ src/calibre/ebooks/rtf2xml/process_tokens.py                  | 2 +-
+ src/calibre/ebooks/rtf2xml/replace_illegals.py                | 2 +-
+ src/calibre/ebooks/rtf2xml/sections.py                        | 2 +-
+ src/calibre/ebooks/rtf2xml/styles.py                          | 2 +-
+ src/calibre/ebooks/rtf2xml/table.py                           | 2 +-
+ src/calibre/ebooks/rtf2xml/table_info.py                      | 2 +-
+ src/calibre/ebooks/rtf2xml/tokenize.py                        | 2 +-
+ src/calibre/ebooks/snb/__init__.py                            | 2 +-
+ src/calibre/ebooks/snb/snbfile.py                             | 2 +-
+ src/calibre/ebooks/snb/snbml.py                               | 2 +-
+ src/calibre/ebooks/tcr/__init__.py                            | 2 +-
+ src/calibre/ebooks/textile/__init__.py                        | 2 +-
+ src/calibre/ebooks/textile/functions.py                       | 2 +-
+ src/calibre/ebooks/textile/unsmarten.py                       | 2 +-
+ src/calibre/ebooks/tweak.py                                   | 2 +-
+ src/calibre/ebooks/txt/__init__.py                            | 2 +-
+ src/calibre/ebooks/txt/markdownml.py                          | 2 +-
+ src/calibre/ebooks/txt/newlines.py                            | 2 +-
+ src/calibre/ebooks/txt/processor.py                           | 2 +-
+ src/calibre/ebooks/txt/textileml.py                           | 2 +-
+ src/calibre/ebooks/txt/txtml.py                               | 2 +-
+ src/calibre/ebooks/unihandecode/__init__.py                   | 2 +-
+ src/calibre/ebooks/unihandecode/jacodepoints.py               | 2 +-
+ src/calibre/ebooks/unihandecode/jadecoder.py                  | 2 +-
+ src/calibre/ebooks/unihandecode/krcodepoints.py               | 2 +-
+ src/calibre/ebooks/unihandecode/krdecoder.py                  | 2 +-
+ src/calibre/ebooks/unihandecode/pykakasi/__init__.py          | 2 +-
+ src/calibre/ebooks/unihandecode/pykakasi/h2a.py               | 2 +-
+ src/calibre/ebooks/unihandecode/pykakasi/j2h.py               | 2 +-
+ src/calibre/ebooks/unihandecode/pykakasi/jisyo.py             | 2 +-
+ src/calibre/ebooks/unihandecode/pykakasi/k2a.py               | 2 +-
+ src/calibre/ebooks/unihandecode/pykakasi/kakasi.py            | 2 +-
+ src/calibre/ebooks/unihandecode/unicodepoints.py              | 2 +-
+ src/calibre/ebooks/unihandecode/unidecoder.py                 | 2 +-
+ src/calibre/ebooks/unihandecode/vncodepoints.py               | 2 +-
+ src/calibre/ebooks/unihandecode/vndecoder.py                  | 2 +-
+ src/calibre/ebooks/unihandecode/zhcodepoints.py               | 2 +-
+ src/calibre/gui2/__init__.py                                  | 2 +-
+ src/calibre/gui2/actions/__init__.py                          | 2 +-
+ src/calibre/gui2/actions/add.py                               | 2 +-
+ src/calibre/gui2/actions/add_to_library.py                    | 2 +-
+ src/calibre/gui2/actions/annotate.py                          | 2 +-
+ src/calibre/gui2/actions/author_mapper.py                     | 2 +-
+ src/calibre/gui2/actions/catalog.py                           | 2 +-
+ src/calibre/gui2/actions/choose_library.py                    | 2 +-
+ src/calibre/gui2/actions/convert.py                           | 2 +-
+ src/calibre/gui2/actions/copy_to_library.py                   | 2 +-
+ src/calibre/gui2/actions/delete.py                            | 2 +-
+ src/calibre/gui2/actions/device.py                            | 2 +-
+ src/calibre/gui2/actions/edit_collections.py                  | 2 +-
+ src/calibre/gui2/actions/edit_metadata.py                     | 2 +-
+ src/calibre/gui2/actions/embed.py                             | 2 +-
+ src/calibre/gui2/actions/fetch_news.py                        | 2 +-
+ src/calibre/gui2/actions/help.py                              | 2 +-
+ src/calibre/gui2/actions/mark_books.py                        | 2 +-
+ src/calibre/gui2/actions/match_books.py                       | 2 +-
+ src/calibre/gui2/actions/next_match.py                        | 2 +-
+ src/calibre/gui2/actions/open.py                              | 2 +-
+ src/calibre/gui2/actions/plugin_updates.py                    | 2 +-
+ src/calibre/gui2/actions/polish.py                            | 2 +-
+ src/calibre/gui2/actions/preferences.py                       | 2 +-
+ src/calibre/gui2/actions/random.py                            | 2 +-
+ src/calibre/gui2/actions/restart.py                           | 2 +-
+ src/calibre/gui2/actions/save_to_disk.py                      | 2 +-
+ src/calibre/gui2/actions/show_book_details.py                 | 2 +-
+ src/calibre/gui2/actions/show_quickview.py                    | 2 +-
+ src/calibre/gui2/actions/show_template_tester.py              | 2 +-
+ src/calibre/gui2/actions/similar_books.py                     | 2 +-
+ src/calibre/gui2/actions/sort.py                              | 2 +-
+ src/calibre/gui2/actions/store.py                             | 2 +-
+ src/calibre/gui2/actions/tag_mapper.py                        | 2 +-
+ src/calibre/gui2/actions/toc_edit.py                          | 2 +-
+ src/calibre/gui2/actions/tweak_epub.py                        | 2 +-
+ src/calibre/gui2/actions/unpack_book.py                       | 2 +-
+ src/calibre/gui2/actions/view.py                              | 2 +-
+ src/calibre/gui2/actions/virtual_library.py                   | 2 +-
+ src/calibre/gui2/add.py                                       | 2 +-
+ src/calibre/gui2/add_filters.py                               | 2 +-
+ src/calibre/gui2/author_mapper.py                             | 2 +-
+ src/calibre/gui2/auto_add.py                                  | 2 +-
+ src/calibre/gui2/bars.py                                      | 2 +-
+ src/calibre/gui2/book_details.py                              | 2 +-
+ src/calibre/gui2/catalog/catalog_bibtex.py                    | 2 +-
+ src/calibre/gui2/catalog/catalog_csv_xml.py                   | 2 +-
+ src/calibre/gui2/catalog/catalog_epub_mobi.py                 | 2 +-
+ src/calibre/gui2/changes.py                                   | 2 +-
+ src/calibre/gui2/comments_editor.py                           | 2 +-
+ src/calibre/gui2/complete2.py                                 | 2 +-
+ src/calibre/gui2/convert/__init__.py                          | 2 +-
+ src/calibre/gui2/convert/azw3_output.py                       | 2 +-
+ src/calibre/gui2/convert/bulk.py                              | 2 +-
+ src/calibre/gui2/convert/comic_input.py                       | 2 +-
+ src/calibre/gui2/convert/debug.py                             | 2 +-
+ src/calibre/gui2/convert/docx_input.py                        | 2 +-
+ src/calibre/gui2/convert/docx_output.py                       | 2 +-
+ src/calibre/gui2/convert/epub_output.py                       | 2 +-
+ src/calibre/gui2/convert/fb2_input.py                         | 2 +-
+ src/calibre/gui2/convert/fb2_output.py                        | 2 +-
+ src/calibre/gui2/convert/font_key.py                          | 2 +-
+ src/calibre/gui2/convert/gui_conversion.py                    | 2 +-
+ src/calibre/gui2/convert/heuristics.py                        | 2 +-
+ src/calibre/gui2/convert/htmlz_output.py                      | 2 +-
+ src/calibre/gui2/convert/look_and_feel.py                     | 2 +-
+ src/calibre/gui2/convert/lrf_output.py                        | 2 +-
+ src/calibre/gui2/convert/metadata.py                          | 2 +-
+ src/calibre/gui2/convert/mobi_output.py                       | 2 +-
+ src/calibre/gui2/convert/page_setup.py                        | 2 +-
+ src/calibre/gui2/convert/pdb_output.py                        | 2 +-
+ src/calibre/gui2/convert/pdf_input.py                         | 2 +-
+ src/calibre/gui2/convert/pdf_output.py                        | 2 +-
+ src/calibre/gui2/convert/pml_output.py                        | 2 +-
+ src/calibre/gui2/convert/rb_output.py                         | 2 +-
+ src/calibre/gui2/convert/regex_builder.py                     | 2 +-
+ src/calibre/gui2/convert/rtf_input.py                         | 2 +-
+ src/calibre/gui2/convert/search_and_replace.py                | 2 +-
+ src/calibre/gui2/convert/single.py                            | 2 +-
+ src/calibre/gui2/convert/snb_output.py                        | 2 +-
+ src/calibre/gui2/convert/structure_detection.py               | 2 +-
+ src/calibre/gui2/convert/toc.py                               | 2 +-
+ src/calibre/gui2/convert/txt_input.py                         | 2 +-
+ src/calibre/gui2/convert/txt_output.py                        | 2 +-
+ src/calibre/gui2/convert/txtz_output.py                       | 2 +-
+ src/calibre/gui2/convert/xpath_wizard.py                      | 2 +-
+ src/calibre/gui2/cover_flow.py                                | 2 +-
+ src/calibre/gui2/covers.py                                    | 2 +-
+ src/calibre/gui2/css_transform_rules.py                       | 2 +-
+ src/calibre/gui2/custom_column_widgets.py                     | 2 +-
+ src/calibre/gui2/dbus_export/__init__.py                      | 2 +-
+ src/calibre/gui2/dbus_export/demo.py                          | 2 +-
+ src/calibre/gui2/dbus_export/gtk.py                           | 2 +-
+ src/calibre/gui2/dbus_export/menu.py                          | 2 +-
+ src/calibre/gui2/dbus_export/menu2.py                         | 2 +-
+ src/calibre/gui2/dbus_export/tray.py                          | 2 +-
+ src/calibre/gui2/dbus_export/utils.py                         | 2 +-
+ src/calibre/gui2/dbus_export/widgets.py                       | 2 +-
+ src/calibre/gui2/device.py                                    | 2 +-
+ src/calibre/gui2/device_drivers/configwidget.py               | 2 +-
+ src/calibre/gui2/device_drivers/mtp_config.py                 | 2 +-
+ src/calibre/gui2/device_drivers/mtp_folder_browser.py         | 2 +-
+ src/calibre/gui2/dialogs/__init__.py                          | 2 +-
+ src/calibre/gui2/dialogs/add_empty_book.py                    | 2 +-
+ src/calibre/gui2/dialogs/add_from_isbn.py                     | 2 +-
+ src/calibre/gui2/dialogs/authors_edit.py                      | 2 +-
+ src/calibre/gui2/dialogs/book_info.py                         | 2 +-
+ src/calibre/gui2/dialogs/catalog.py                           | 2 +-
+ src/calibre/gui2/dialogs/check_library.py                     | 2 +-
+ src/calibre/gui2/dialogs/choose_format.py                     | 2 +-
+ src/calibre/gui2/dialogs/choose_format_device.py              | 2 +-
+ src/calibre/gui2/dialogs/choose_library.py                    | 2 +-
+ src/calibre/gui2/dialogs/choose_plugin_toolbars.py            | 2 +-
+ src/calibre/gui2/dialogs/comments_dialog.py                   | 2 +-
+ src/calibre/gui2/dialogs/confirm_delete.py                    | 2 +-
+ src/calibre/gui2/dialogs/confirm_delete_location.py           | 2 +-
+ src/calibre/gui2/dialogs/confirm_merge.py                     | 2 +-
+ src/calibre/gui2/dialogs/conversion_error.py                  | 2 +-
+ src/calibre/gui2/dialogs/custom_recipes.py                    | 2 +-
+ src/calibre/gui2/dialogs/delete_matching_from_device.py       | 2 +-
+ src/calibre/gui2/dialogs/device_category_editor.py            | 2 +-
+ src/calibre/gui2/dialogs/drm_error.py                         | 2 +-
+ src/calibre/gui2/dialogs/duplicates.py                        | 2 +-
+ src/calibre/gui2/dialogs/edit_authors_dialog.py               | 2 +-
+ src/calibre/gui2/dialogs/exim.py                              | 2 +-
+ src/calibre/gui2/dialogs/match_books.py                       | 2 +-
+ src/calibre/gui2/dialogs/message_box.py                       | 2 +-
+ src/calibre/gui2/dialogs/metadata_bulk.py                     | 2 +-
+ src/calibre/gui2/dialogs/opml.py                              | 2 +-
+ src/calibre/gui2/dialogs/password.py                          | 2 +-
+ src/calibre/gui2/dialogs/plugin_updater.py                    | 2 +-
+ src/calibre/gui2/dialogs/progress.py                          | 2 +-
+ src/calibre/gui2/dialogs/quickview.py                         | 2 +-
+ src/calibre/gui2/dialogs/restore_library.py                   | 2 +-
+ src/calibre/gui2/dialogs/saved_search_editor.py               | 2 +-
+ src/calibre/gui2/dialogs/scheduler.py                         | 2 +-
+ src/calibre/gui2/dialogs/search.py                            | 2 +-
+ src/calibre/gui2/dialogs/select_formats.py                    | 2 +-
+ src/calibre/gui2/dialogs/smartdevice.py                       | 2 +-
+ src/calibre/gui2/dialogs/tag_categories.py                    | 2 +-
+ src/calibre/gui2/dialogs/tag_editor.py                        | 2 +-
+ src/calibre/gui2/dialogs/tag_list_editor.py                   | 2 +-
+ src/calibre/gui2/dialogs/template_dialog.py                   | 2 +-
+ src/calibre/gui2/dialogs/template_line_editor.py              | 2 +-
+ src/calibre/gui2/dialogs/trim_image.py                        | 2 +-
+ src/calibre/gui2/dnd.py                                       | 2 +-
+ src/calibre/gui2/ebook_download.py                            | 2 +-
+ src/calibre/gui2/email.py                                     | 2 +-
+ src/calibre/gui2/font_family_chooser.py                       | 2 +-
+ src/calibre/gui2/gestures.py                                  | 2 +-
+ src/calibre/gui2/icon_theme.py                                | 2 +-
+ src/calibre/gui2/image_popup.py                               | 2 +-
+ src/calibre/gui2/init.py                                      | 2 +-
+ src/calibre/gui2/job_indicator.py                             | 2 +-
+ src/calibre/gui2/jobs.py                                      | 2 +-
+ src/calibre/gui2/keyboard.py                                  | 2 +-
+ src/calibre/gui2/languages.py                                 | 2 +-
+ src/calibre/gui2/layout.py                                    | 2 +-
+ src/calibre/gui2/layout_menu.py                               | 2 +-
+ src/calibre/gui2/library/__init__.py                          | 2 +-
+ src/calibre/gui2/library/alternate_views.py                   | 2 +-
+ src/calibre/gui2/library/caches.py                            | 2 +-
+ src/calibre/gui2/library/delegates.py                         | 2 +-
+ src/calibre/gui2/library/models.py                            | 2 +-
+ src/calibre/gui2/library/views.py                             | 2 +-
+ src/calibre/gui2/linux_file_dialogs.py                        | 2 +-
+ src/calibre/gui2/lrf_renderer/__init__.py                     | 2 +-
+ src/calibre/gui2/lrf_renderer/bookview.py                     | 2 +-
+ src/calibre/gui2/lrf_renderer/document.py                     | 2 +-
+ src/calibre/gui2/lrf_renderer/main.py                         | 2 +-
+ src/calibre/gui2/lrf_renderer/text.py                         | 2 +-
+ src/calibre/gui2/main.py                                      | 2 +-
+ src/calibre/gui2/main_window.py                               | 2 +-
+ src/calibre/gui2/metadata/__init__.py                         | 2 +-
+ src/calibre/gui2/metadata/basic_widgets.py                    | 2 +-
+ src/calibre/gui2/metadata/bulk_download.py                    | 2 +-
+ src/calibre/gui2/metadata/config.py                           | 2 +-
+ src/calibre/gui2/metadata/diff.py                             | 2 +-
+ src/calibre/gui2/metadata/pdf_covers.py                       | 2 +-
+ src/calibre/gui2/metadata/single.py                           | 2 +-
+ src/calibre/gui2/metadata/single_download.py                  | 2 +-
+ src/calibre/gui2/notify.py                                    | 2 +-
+ src/calibre/gui2/open_with.py                                 | 2 +-
+ src/calibre/gui2/pin_columns.py                               | 2 +-
+ src/calibre/gui2/preferences/__init__.py                      | 2 +-
+ src/calibre/gui2/preferences/adding.py                        | 2 +-
+ src/calibre/gui2/preferences/behavior.py                      | 2 +-
+ src/calibre/gui2/preferences/coloring.py                      | 2 +-
+ src/calibre/gui2/preferences/columns.py                       | 2 +-
+ src/calibre/gui2/preferences/conversion.py                    | 2 +-
+ src/calibre/gui2/preferences/create_custom_column.py          | 2 +-
+ src/calibre/gui2/preferences/device_debug.py                  | 2 +-
+ src/calibre/gui2/preferences/device_user_defined.py           | 2 +-
+ src/calibre/gui2/preferences/emailp.py                        | 2 +-
+ src/calibre/gui2/preferences/history.py                       | 2 +-
+ src/calibre/gui2/preferences/ignored_devices.py               | 2 +-
+ src/calibre/gui2/preferences/keyboard.py                      | 2 +-
+ src/calibre/gui2/preferences/look_feel.py                     | 2 +-
+ src/calibre/gui2/preferences/main.py                          | 2 +-
+ src/calibre/gui2/preferences/metadata_sources.py              | 2 +-
+ src/calibre/gui2/preferences/misc.py                          | 2 +-
+ src/calibre/gui2/preferences/plugboard.py                     | 2 +-
+ src/calibre/gui2/preferences/plugins.py                       | 2 +-
+ src/calibre/gui2/preferences/save_template.py                 | 2 +-
+ src/calibre/gui2/preferences/saving.py                        | 2 +-
+ src/calibre/gui2/preferences/search.py                        | 2 +-
+ src/calibre/gui2/preferences/sending.py                       | 2 +-
+ src/calibre/gui2/preferences/server.py                        | 2 +-
+ src/calibre/gui2/preferences/template_functions.py            | 2 +-
+ src/calibre/gui2/preferences/texture_chooser.py               | 2 +-
+ src/calibre/gui2/preferences/toolbar.py                       | 2 +-
+ src/calibre/gui2/preferences/tweaks.py                        | 2 +-
+ src/calibre/gui2/proceed.py                                   | 2 +-
+ src/calibre/gui2/progress_indicator/__init__.py               | 2 +-
+ src/calibre/gui2/qt_file_dialogs.py                           | 2 +-
+ src/calibre/gui2/save.py                                      | 2 +-
+ src/calibre/gui2/search_box.py                                | 2 +-
+ src/calibre/gui2/search_restriction_mixin.py                  | 2 +-
+ src/calibre/gui2/shortcuts.py                                 | 2 +-
+ src/calibre/gui2/splash_screen.py                             | 2 +-
+ src/calibre/gui2/store/__init__.py                            | 2 +-
+ src/calibre/gui2/store/basic_config.py                        | 2 +-
+ src/calibre/gui2/store/config/chooser/adv_search_builder.py   | 2 +-
+ src/calibre/gui2/store/config/chooser/chooser_dialog.py       | 2 +-
+ src/calibre/gui2/store/config/chooser/chooser_widget.py       | 2 +-
+ src/calibre/gui2/store/config/chooser/models.py               | 2 +-
+ src/calibre/gui2/store/config/chooser/results_view.py         | 2 +-
+ src/calibre/gui2/store/config/search/search_widget.py         | 2 +-
+ src/calibre/gui2/store/config/store.py                        | 2 +-
+ src/calibre/gui2/store/loader.py                              | 2 +-
+ src/calibre/gui2/store/opensearch_store.py                    | 2 +-
+ src/calibre/gui2/store/search/adv_search_builder.py           | 2 +-
+ src/calibre/gui2/store/search/download_thread.py              | 2 +-
+ src/calibre/gui2/store/search/models.py                       | 2 +-
+ src/calibre/gui2/store/search/results_view.py                 | 2 +-
+ src/calibre/gui2/store/search/search.py                       | 2 +-
+ src/calibre/gui2/store/search_result.py                       | 2 +-
+ src/calibre/gui2/store/web_store.py                           | 2 +-
+ src/calibre/gui2/store/web_store_dialog.py                    | 2 +-
+ src/calibre/gui2/tag_browser/__init__.py                      | 2 +-
+ src/calibre/gui2/tag_browser/model.py                         | 2 +-
+ src/calibre/gui2/tag_browser/ui.py                            | 2 +-
+ src/calibre/gui2/tag_browser/view.py                          | 2 +-
+ src/calibre/gui2/tag_mapper.py                                | 2 +-
+ src/calibre/gui2/threaded_jobs.py                             | 2 +-
+ src/calibre/gui2/throbber.py                                  | 2 +-
+ src/calibre/gui2/toc/__init__.py                              | 2 +-
+ src/calibre/gui2/toc/location.py                              | 2 +-
+ src/calibre/gui2/toc/main.py                                  | 2 +-
+ src/calibre/gui2/tools.py                                     | 2 +-
+ src/calibre/gui2/tweak_book/__init__.py                       | 2 +-
+ src/calibre/gui2/tweak_book/boss.py                           | 2 +-
+ src/calibre/gui2/tweak_book/char_select.py                    | 2 +-
+ src/calibre/gui2/tweak_book/check.py                          | 2 +-
+ src/calibre/gui2/tweak_book/check_links.py                    | 2 +-
+ src/calibre/gui2/tweak_book/completion/basic.py               | 2 +-
+ src/calibre/gui2/tweak_book/completion/popup.py               | 2 +-
+ src/calibre/gui2/tweak_book/completion/utils.py               | 2 +-
+ src/calibre/gui2/tweak_book/completion/worker.py              | 2 +-
+ src/calibre/gui2/tweak_book/diff/__init__.py                  | 2 +-
+ src/calibre/gui2/tweak_book/diff/highlight.py                 | 2 +-
+ src/calibre/gui2/tweak_book/diff/main.py                      | 2 +-
+ src/calibre/gui2/tweak_book/diff/view.py                      | 2 +-
+ src/calibre/gui2/tweak_book/download.py                       | 2 +-
+ src/calibre/gui2/tweak_book/editor/__init__.py                | 2 +-
+ src/calibre/gui2/tweak_book/editor/canvas.py                  | 2 +-
+ src/calibre/gui2/tweak_book/editor/comments.py                | 2 +-
+ src/calibre/gui2/tweak_book/editor/help.py                    | 2 +-
+ src/calibre/gui2/tweak_book/editor/image.py                   | 2 +-
+ src/calibre/gui2/tweak_book/editor/insert_resource.py         | 2 +-
+ src/calibre/gui2/tweak_book/editor/smarts/__init__.py         | 2 +-
+ src/calibre/gui2/tweak_book/editor/smarts/css.py              | 2 +-
+ src/calibre/gui2/tweak_book/editor/smarts/html.py             | 2 +-
+ src/calibre/gui2/tweak_book/editor/smarts/python.py           | 2 +-
+ src/calibre/gui2/tweak_book/editor/smarts/utils.py            | 2 +-
+ src/calibre/gui2/tweak_book/editor/snippets.py                | 2 +-
+ src/calibre/gui2/tweak_book/editor/syntax/__init__.py         | 2 +-
+ src/calibre/gui2/tweak_book/editor/syntax/base.py             | 2 +-
+ src/calibre/gui2/tweak_book/editor/syntax/css.py              | 2 +-
+ src/calibre/gui2/tweak_book/editor/syntax/html.py             | 2 +-
+ src/calibre/gui2/tweak_book/editor/syntax/javascript.py       | 2 +-
+ .../gui2/tweak_book/editor/syntax/pygments_highlighter.py     | 2 +-
+ src/calibre/gui2/tweak_book/editor/syntax/python.py           | 2 +-
+ src/calibre/gui2/tweak_book/editor/syntax/utils.py            | 2 +-
+ src/calibre/gui2/tweak_book/editor/syntax/xml.py              | 2 +-
+ src/calibre/gui2/tweak_book/editor/text.py                    | 2 +-
+ src/calibre/gui2/tweak_book/editor/themes.py                  | 2 +-
+ src/calibre/gui2/tweak_book/editor/widget.py                  | 2 +-
+ src/calibre/gui2/tweak_book/file_list.py                      | 2 +-
+ src/calibre/gui2/tweak_book/function_replace.py               | 2 +-
+ src/calibre/gui2/tweak_book/job.py                            | 2 +-
+ src/calibre/gui2/tweak_book/live_css.py                       | 2 +-
+ src/calibre/gui2/tweak_book/main.py                           | 2 +-
+ src/calibre/gui2/tweak_book/manage_fonts.py                   | 2 +-
+ src/calibre/gui2/tweak_book/plugin.py                         | 2 +-
+ src/calibre/gui2/tweak_book/polish.py                         | 2 +-
+ src/calibre/gui2/tweak_book/preferences.py                    | 2 +-
+ src/calibre/gui2/tweak_book/preview.py                        | 2 +-
+ src/calibre/gui2/tweak_book/reports.py                        | 2 +-
+ src/calibre/gui2/tweak_book/save.py                           | 2 +-
+ src/calibre/gui2/tweak_book/search.py                         | 2 +-
+ src/calibre/gui2/tweak_book/spell.py                          | 2 +-
+ src/calibre/gui2/tweak_book/templates.py                      | 2 +-
+ src/calibre/gui2/tweak_book/text_search.py                    | 2 +-
+ src/calibre/gui2/tweak_book/toc.py                            | 2 +-
+ src/calibre/gui2/tweak_book/ui.py                             | 2 +-
+ src/calibre/gui2/tweak_book/undo.py                           | 2 +-
+ src/calibre/gui2/tweak_book/widgets.py                        | 2 +-
+ src/calibre/gui2/ui.py                                        | 2 +-
+ src/calibre/gui2/update.py                                    | 2 +-
+ src/calibre/gui2/viewer/__init__.py                           | 2 +-
+ src/calibre/gui2/viewer/annotations.py                        | 2 +-
+ src/calibre/gui2/viewer/bookmarks.py                          | 2 +-
+ src/calibre/gui2/viewer/convert_book.py                       | 2 +-
+ src/calibre/gui2/viewer/lookup.py                             | 2 +-
+ src/calibre/gui2/viewer/main.py                               | 2 +-
+ src/calibre/gui2/viewer/overlay.py                            | 2 +-
+ src/calibre/gui2/viewer/printing.py                           | 2 +-
+ src/calibre/gui2/viewer/shortcuts.py                          | 2 +-
+ src/calibre/gui2/viewer/toc.py                                | 2 +-
+ src/calibre/gui2/viewer/toolbars.py                           | 2 +-
+ src/calibre/gui2/viewer/ui.py                                 | 2 +-
+ src/calibre/gui2/viewer/web_view.py                           | 2 +-
+ src/calibre/gui2/webengine.py                                 | 2 +-
+ src/calibre/gui2/widgets.py                                   | 2 +-
+ src/calibre/gui2/widgets2.py                                  | 2 +-
+ src/calibre/gui2/win_file_dialogs.py                          | 2 +-
+ src/calibre/gui2/wizard/__init__.py                           | 2 +-
+ src/calibre/gui2/wizard/send_email.py                         | 2 +-
+ src/calibre/gui_launch.py                                     | 2 +-
+ src/calibre/library/__init__.py                               | 2 +-
+ src/calibre/library/add_to_library.py                         | 2 +-
+ src/calibre/library/caches.py                                 | 2 +-
+ src/calibre/library/catalogs/__init__.py                      | 2 +-
+ src/calibre/library/catalogs/bibtex.py                        | 2 +-
+ src/calibre/library/catalogs/csv_xml.py                       | 2 +-
+ src/calibre/library/catalogs/epub_mobi.py                     | 2 +-
+ src/calibre/library/catalogs/epub_mobi_builder.py             | 2 +-
+ src/calibre/library/catalogs/utils.py                         | 2 +-
+ src/calibre/library/check_library.py                          | 2 +-
+ src/calibre/library/coloring.py                               | 2 +-
+ src/calibre/library/comments.py                               | 2 +-
+ src/calibre/library/custom_columns.py                         | 2 +-
+ src/calibre/library/database.py                               | 2 +-
+ src/calibre/library/database2.py                              | 2 +-
+ src/calibre/library/field_metadata.py                         | 2 +-
+ src/calibre/library/prefs.py                                  | 2 +-
+ src/calibre/library/restore.py                                | 2 +-
+ src/calibre/library/save_to_disk.py                           | 2 +-
+ src/calibre/library/schema_upgrades.py                        | 2 +-
+ src/calibre/library/sqlite.py                                 | 2 +-
+ src/calibre/libunzip.py                                       | 2 +-
+ src/calibre/linux.py                                          | 2 +-
+ src/calibre/ptempfile.py                                      | 2 +-
+ src/calibre/rpdb.py                                           | 2 +-
+ src/calibre/spell/__init__.py                                 | 2 +-
+ src/calibre/spell/break_iterator.py                           | 2 +-
+ src/calibre/spell/dictionary.py                               | 2 +-
+ src/calibre/spell/import_from.py                              | 2 +-
+ src/calibre/srv/ajax.py                                       | 2 +-
+ src/calibre/srv/auth.py                                       | 2 +-
+ src/calibre/srv/auto_reload.py                                | 2 +-
+ src/calibre/srv/bonjour.py                                    | 2 +-
+ src/calibre/srv/books.py                                      | 2 +-
+ src/calibre/srv/cdb.py                                        | 2 +-
+ src/calibre/srv/changes.py                                    | 2 +-
+ src/calibre/srv/code.py                                       | 2 +-
+ src/calibre/srv/content.py                                    | 2 +-
+ src/calibre/srv/convert.py                                    | 2 +-
+ src/calibre/srv/embedded.py                                   | 2 +-
+ src/calibre/srv/errors.py                                     | 2 +-
+ src/calibre/srv/handler.py                                    | 2 +-
+ src/calibre/srv/http_request.py                               | 2 +-
+ src/calibre/srv/http_response.py                              | 2 +-
+ src/calibre/srv/jobs.py                                       | 2 +-
+ src/calibre/srv/legacy.py                                     | 2 +-
+ src/calibre/srv/library_broker.py                             | 2 +-
+ src/calibre/srv/loop.py                                       | 2 +-
+ src/calibre/srv/manage_users_cli.py                           | 2 +-
+ src/calibre/srv/metadata.py                                   | 2 +-
+ src/calibre/srv/opds.py                                       | 2 +-
+ src/calibre/srv/opts.py                                       | 2 +-
+ src/calibre/srv/pool.py                                       | 2 +-
+ src/calibre/srv/pre_activated.py                              | 2 +-
+ src/calibre/srv/render_book.py                                | 2 +-
+ src/calibre/srv/routes.py                                     | 2 +-
+ src/calibre/srv/sendfile.py                                   | 2 +-
+ src/calibre/srv/standalone.py                                 | 2 +-
+ src/calibre/srv/tests/ajax.py                                 | 2 +-
+ src/calibre/srv/tests/auth.py                                 | 2 +-
+ src/calibre/srv/tests/base.py                                 | 2 +-
+ src/calibre/srv/tests/content.py                              | 2 +-
+ src/calibre/srv/tests/http.py                                 | 2 +-
+ src/calibre/srv/tests/loop.py                                 | 2 +-
+ src/calibre/srv/tests/main.py                                 | 2 +-
+ src/calibre/srv/tests/routes.py                               | 2 +-
+ src/calibre/srv/tests/web_sockets.py                          | 2 +-
+ src/calibre/srv/users.py                                      | 2 +-
+ src/calibre/srv/users_api.py                                  | 2 +-
+ src/calibre/srv/utils.py                                      | 2 +-
+ src/calibre/srv/web_socket.py                                 | 2 +-
+ src/calibre/startup.py                                        | 2 +-
+ src/calibre/test_build.py                                     | 2 +-
+ src/calibre/translations/__init__.py                          | 2 +-
+ src/calibre/translations/dynamic.py                           | 2 +-
+ src/calibre/translations/msgfmt.py                            | 2 +-
+ src/calibre/utils/Zeroconf.py                                 | 2 +-
+ src/calibre/utils/__init__.py                                 | 2 +-
+ src/calibre/utils/bibtex.py                                   | 2 +-
+ src/calibre/utils/browser.py                                  | 2 +-
+ src/calibre/utils/certgen.py                                  | 2 +-
+ src/calibre/utils/chm/__init__.py                             | 2 +-
+ src/calibre/utils/chm/chm.py                                  | 2 +-
+ src/calibre/utils/cleantext.py                                | 2 +-
+ src/calibre/utils/complete.py                                 | 2 +-
+ src/calibre/utils/config.py                                   | 2 +-
+ src/calibre/utils/config_base.py                              | 2 +-
+ src/calibre/utils/date.py                                     | 2 +-
+ src/calibre/utils/dbus_service.py                             | 2 +-
+ src/calibre/utils/exim.py                                     | 2 +-
+ src/calibre/utils/file_type_icons.py                          | 2 +-
+ src/calibre/utils/filenames.py                                | 2 +-
+ src/calibre/utils/fonts/__init__.py                           | 2 +-
+ src/calibre/utils/fonts/free_type.py                          | 2 +-
+ src/calibre/utils/fonts/metadata.py                           | 2 +-
+ src/calibre/utils/fonts/scanner.py                            | 2 +-
+ src/calibre/utils/fonts/sfnt/__init__.py                      | 2 +-
+ src/calibre/utils/fonts/sfnt/cff/__init__.py                  | 2 +-
+ src/calibre/utils/fonts/sfnt/cff/constants.py                 | 2 +-
+ src/calibre/utils/fonts/sfnt/cff/dict_data.py                 | 2 +-
+ src/calibre/utils/fonts/sfnt/cff/table.py                     | 2 +-
+ src/calibre/utils/fonts/sfnt/cff/writer.py                    | 2 +-
+ src/calibre/utils/fonts/sfnt/cmap.py                          | 2 +-
+ src/calibre/utils/fonts/sfnt/common.py                        | 2 +-
+ src/calibre/utils/fonts/sfnt/container.py                     | 2 +-
+ src/calibre/utils/fonts/sfnt/errors.py                        | 2 +-
+ src/calibre/utils/fonts/sfnt/glyf.py                          | 2 +-
+ src/calibre/utils/fonts/sfnt/gsub.py                          | 2 +-
+ src/calibre/utils/fonts/sfnt/head.py                          | 2 +-
+ src/calibre/utils/fonts/sfnt/kern.py                          | 2 +-
+ src/calibre/utils/fonts/sfnt/loca.py                          | 2 +-
+ src/calibre/utils/fonts/sfnt/maxp.py                          | 2 +-
+ src/calibre/utils/fonts/sfnt/merge.py                         | 2 +-
+ src/calibre/utils/fonts/sfnt/metrics.py                       | 2 +-
+ src/calibre/utils/fonts/sfnt/subset.py                        | 2 +-
+ src/calibre/utils/fonts/utils.py                              | 2 +-
+ src/calibre/utils/fonts/win_fonts.py                          | 2 +-
+ src/calibre/utils/formatter.py                                | 2 +-
+ src/calibre/utils/formatter_functions.py                      | 2 +-
+ src/calibre/utils/html2text.py                                | 2 +-
+ src/calibre/utils/https.py                                    | 2 +-
+ src/calibre/utils/icu.py                                      | 2 +-
+ src/calibre/utils/icu_test.py                                 | 2 +-
+ src/calibre/utils/img.py                                      | 2 +-
+ src/calibre/utils/imghdr.py                                   | 2 +-
+ src/calibre/utils/inotify.py                                  | 2 +-
+ src/calibre/utils/ip_routing.py                               | 2 +-
+ src/calibre/utils/ipc/__init__.py                             | 2 +-
+ src/calibre/utils/ipc/job.py                                  | 2 +-
+ src/calibre/utils/ipc/launch.py                               | 2 +-
+ src/calibre/utils/ipc/pool.py                                 | 2 +-
+ src/calibre/utils/ipc/server.py                               | 2 +-
+ src/calibre/utils/ipc/simple_worker.py                        | 2 +-
+ src/calibre/utils/ipc/worker.py                               | 2 +-
+ src/calibre/utils/iphlpapi.py                                 | 2 +-
+ src/calibre/utils/ipython.py                                  | 2 +-
+ src/calibre/utils/iso8601.py                                  | 2 +-
+ src/calibre/utils/linux_trash.py                              | 2 +-
+ src/calibre/utils/localization.py                             | 2 +-
+ src/calibre/utils/localunzip.py                               | 2 +-
+ src/calibre/utils/lock.py                                     | 2 +-
+ src/calibre/utils/logging.py                                  | 2 +-
+ src/calibre/utils/magick/__init__.py                          | 2 +-
+ src/calibre/utils/magick/draw.py                              | 2 +-
+ src/calibre/utils/magick/legacy.py                            | 2 +-
+ src/calibre/utils/matcher.py                                  | 2 +-
+ src/calibre/utils/mdns.py                                     | 2 +-
+ src/calibre/utils/mem.py                                      | 2 +-
+ src/calibre/utils/monotonic.py                                | 2 +-
+ src/calibre/utils/mreplace.py                                 | 2 +-
+ src/calibre/utils/network.py                                  | 2 +-
+ src/calibre/utils/open_with/linux.py                          | 2 +-
+ src/calibre/utils/open_with/osx.py                            | 2 +-
+ src/calibre/utils/open_with/windows.py                        | 2 +-
+ src/calibre/utils/opensearch/__init__.py                      | 2 +-
+ src/calibre/utils/opensearch/description.py                   | 2 +-
+ src/calibre/utils/opensearch/query.py                         | 2 +-
+ src/calibre/utils/opensearch/url.py                           | 2 +-
+ src/calibre/utils/ordered_dict.py                             | 2 +-
+ src/calibre/utils/podofo/__init__.py                          | 2 +-
+ src/calibre/utils/random_ua.py                                | 2 +-
+ src/calibre/utils/rapydscript.py                              | 2 +-
+ src/calibre/utils/recycle_bin.py                              | 2 +-
+ src/calibre/utils/resources.py                                | 2 +-
+ src/calibre/utils/run_tests.py                                | 2 +-
+ src/calibre/utils/search_query_parser.py                      | 2 +-
+ src/calibre/utils/search_query_parser_test.py                 | 2 +-
+ src/calibre/utils/serialize.py                                | 2 +-
+ src/calibre/utils/shared_file.py                              | 2 +-
+ src/calibre/utils/short_uuid.py                               | 2 +-
+ src/calibre/utils/smartypants.py                              | 2 +-
+ src/calibre/utils/smtp.py                                     | 2 +-
+ src/calibre/utils/smtplib.py                                  | 2 +-
+ src/calibre/utils/socket_inheritance.py                       | 2 +-
+ src/calibre/utils/speedups.py                                 | 2 +-
+ src/calibre/utils/spell/__init__.py                           | 2 +-
+ src/calibre/utils/tdir_in_cache.py                            | 2 +-
+ src/calibre/utils/terminal.py                                 | 2 +-
+ src/calibre/utils/test_lock.py                                | 2 +-
+ src/calibre/utils/text2int.py                                 | 2 +-
+ src/calibre/utils/threadpool.py                               | 2 +-
+ src/calibre/utils/titlecase.py                                | 2 +-
+ src/calibre/utils/unicode_getpass.py                          | 2 +-
+ src/calibre/utils/unicode_names.py                            | 2 +-
+ src/calibre/utils/unrar.py                                    | 2 +-
+ src/calibre/utils/unsmarten.py                                | 2 +-
+ src/calibre/utils/windows/wintest.py                          | 2 +-
+ src/calibre/utils/winreg/dde.py                               | 2 +-
+ src/calibre/utils/winreg/default_programs.py                  | 2 +-
+ src/calibre/utils/winreg/lib.py                               | 2 +-
+ src/calibre/utils/wmf/__init__.py                             | 2 +-
+ src/calibre/utils/wmf/emf.py                                  | 2 +-
+ src/calibre/utils/wmf/parse.py                                | 2 +-
+ src/calibre/utils/wordcount.py                                | 2 +-
+ src/calibre/utils/zipfile.py                                  | 2 +-
+ src/calibre/web/__init__.py                                   | 2 +-
+ src/calibre/web/feeds/__init__.py                             | 2 +-
+ src/calibre/web/feeds/news.py                                 | 2 +-
+ src/calibre/web/feeds/recipes/__init__.py                     | 2 +-
+ src/calibre/web/feeds/recipes/collection.py                   | 2 +-
+ src/calibre/web/feeds/recipes/model.py                        | 2 +-
+ src/calibre/web/feeds/templates.py                            | 2 +-
+ src/calibre/web/fetch/__init__.py                             | 2 +-
+ src/calibre/web/fetch/simple.py                               | 2 +-
+ src/calibre/web/fetch/utils.py                                | 2 +-
+ src/calibre_lzma/__init__.py                                  | 2 +-
+ src/calibre_lzma/errors.py                                    | 2 +-
+ src/calibre_lzma/lzma1.py                                     | 2 +-
+ src/calibre_lzma/xz.py                                        | 2 +-
+ src/css_selectors/__init__.py                                 | 2 +-
+ src/css_selectors/errors.py                                   | 2 +-
+ src/css_selectors/ordered_set.py                              | 2 +-
+ src/css_selectors/select.py                                   | 2 +-
+ src/css_selectors/tests.py                                    | 2 +-
+ src/odf/__init__.py                                           | 2 +-
+ src/odf/anim.py                                               | 2 +-
+ src/odf/attrconverters.py                                     | 2 +-
+ src/odf/chart.py                                              | 2 +-
+ src/odf/config.py                                             | 2 +-
+ src/odf/dc.py                                                 | 2 +-
+ src/odf/dr3d.py                                               | 2 +-
+ src/odf/draw.py                                               | 2 +-
+ src/odf/easyliststyle.py                                      | 2 +-
+ src/odf/element.py                                            | 2 +-
+ src/odf/elementtypes.py                                       | 2 +-
+ src/odf/form.py                                               | 2 +-
+ src/odf/grammar.py                                            | 2 +-
+ src/odf/load.py                                               | 2 +-
+ src/odf/manifest.py                                           | 2 +-
+ src/odf/math.py                                               | 2 +-
+ src/odf/meta.py                                               | 2 +-
+ src/odf/namespaces.py                                         | 2 +-
+ src/odf/number.py                                             | 2 +-
+ src/odf/odf2moinmoin.py                                       | 2 +-
+ src/odf/odf2xhtml.py                                          | 2 +-
+ src/odf/odfmanifest.py                                        | 2 +-
+ src/odf/office.py                                             | 2 +-
+ src/odf/opendocument.py                                       | 2 +-
+ src/odf/presentation.py                                       | 2 +-
+ src/odf/script.py                                             | 2 +-
+ src/odf/style.py                                              | 2 +-
+ src/odf/svg.py                                                | 2 +-
+ src/odf/table.py                                              | 2 +-
+ src/odf/teletype.py                                           | 2 +-
+ src/odf/text.py                                               | 2 +-
+ src/odf/thumbnail.py                                          | 1 -
+ src/odf/userfield.py                                          | 2 +-
+ src/odf/xforms.py                                             | 2 +-
+ src/polyglot/binary.py                                        | 2 +-
+ src/polyglot/builtins.py                                      | 2 +-
+ src/polyglot/functools.py                                     | 2 +-
+ src/polyglot/http_server.py                                   | 2 +-
+ src/polyglot/io.py                                            | 2 +-
+ src/polyglot/plistlib.py                                      | 2 +-
+ src/polyglot/smtplib.py                                       | 2 +-
+ src/polyglot/urllib.py                                        | 2 +-
+ src/tinycss/color3.py                                         | 2 +-
+ src/tinycss/css21.py                                          | 2 +-
+ src/tinycss/decoding.py                                       | 2 +-
+ src/tinycss/fonts3.py                                         | 2 +-
+ src/tinycss/media3.py                                         | 2 +-
+ src/tinycss/page3.py                                          | 2 +-
+ src/tinycss/parsing.py                                        | 2 +-
+ src/tinycss/tests/__init__.py                                 | 2 +-
+ src/tinycss/tests/color3.py                                   | 2 +-
+ src/tinycss/tests/css21.py                                    | 2 +-
+ src/tinycss/tests/decoding.py                                 | 2 +-
+ src/tinycss/tests/fonts3.py                                   | 2 +-
+ src/tinycss/tests/main.py                                     | 2 +-
+ src/tinycss/tests/media3.py                                   | 2 +-
+ src/tinycss/tests/page3.py                                    | 2 +-
+ src/tinycss/tests/tokenizing.py                               | 2 +-
+ src/tinycss/token_data.py                                     | 2 +-
+ src/tinycss/tokenizer.py                                      | 2 +-
  1223 files changed, 1224 insertions(+), 1229 deletions(-)
 
-Index: b/bypy/init_env.py
-===================================================================
+diff --git a/bypy/init_env.py b/bypy/init_env.py
+index 4f0588bfe3..bd5c6d223c 100644
 --- a/bypy/init_env.py
 +++ b/bypy/init_env.py
 @@ -2,7 +2,7 @@
@@ -1243,8 +1243,8 @@ Index: b/bypy/init_env.py
  
  import json
  import os
-Index: b/bypy/linux/__main__.py
-===================================================================
+diff --git a/bypy/linux/__main__.py b/bypy/linux/__main__.py
+index f4e928dc87..4b411e4a6d 100644
 --- a/bypy/linux/__main__.py
 +++ b/bypy/linux/__main__.py
 @@ -2,7 +2,7 @@
@@ -1256,8 +1256,8 @@ Index: b/bypy/linux/__main__.py
  
  import errno
  import glob
-Index: b/bypy/macos/__main__.py
-===================================================================
+diff --git a/bypy/macos/__main__.py b/bypy/macos/__main__.py
+index 4e8496de2e..4f8b621b5d 100644
 --- a/bypy/macos/__main__.py
 +++ b/bypy/macos/__main__.py
 @@ -2,7 +2,7 @@
@@ -1269,8 +1269,8 @@ Index: b/bypy/macos/__main__.py
  
  import errno
  import glob
-Index: b/bypy/windows/__main__.py
-===================================================================
+diff --git a/bypy/windows/__main__.py b/bypy/windows/__main__.py
+index 7d4fe06ac3..e0032c8670 100644
 --- a/bypy/windows/__main__.py
 +++ b/bypy/windows/__main__.py
 @@ -2,7 +2,7 @@
@@ -1282,8 +1282,8 @@ Index: b/bypy/windows/__main__.py
  
  import errno
  import glob
-Index: b/icons/icns/make_iconsets.py
-===================================================================
+diff --git a/icons/icns/make_iconsets.py b/icons/icns/make_iconsets.py
+index fa4153e424..b81705865e 100644
 --- a/icons/icns/make_iconsets.py
 +++ b/icons/icns/make_iconsets.py
 @@ -1,6 +1,6 @@
@@ -1294,8 +1294,8 @@ Index: b/icons/icns/make_iconsets.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/icons/make_ico_files.py
-===================================================================
+diff --git a/icons/make_ico_files.py b/icons/make_ico_files.py
+index e50d5368bf..23378e7d6f 100644
 --- a/icons/make_ico_files.py
 +++ b/icons/make_ico_files.py
 @@ -1,6 +1,6 @@
@@ -1306,8 +1306,8 @@ Index: b/icons/make_ico_files.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/imgsrc/generate.py
-===================================================================
+diff --git a/imgsrc/generate.py b/imgsrc/generate.py
+index 898772e25a..c0d41a639d 100755
 --- a/imgsrc/generate.py
 +++ b/imgsrc/generate.py
 @@ -2,7 +2,6 @@
@@ -1318,8 +1318,8 @@ Index: b/imgsrc/generate.py
  import os, glob, subprocess, argparse, json, hashlib
  
  duplicates = {
-Index: b/imgsrc/render-logo.py
-===================================================================
+diff --git a/imgsrc/render-logo.py b/imgsrc/render-logo.py
+index 3ad02cdb1e..806aa6cf5e 100755
 --- a/imgsrc/render-logo.py
 +++ b/imgsrc/render-logo.py
 @@ -2,7 +2,7 @@
@@ -1331,8 +1331,8 @@ Index: b/imgsrc/render-logo.py
  import os, subprocess, sys, shutil
  
  j = os.path.join
-Index: b/imgsrc/srv/generate.py
-===================================================================
+diff --git a/imgsrc/srv/generate.py b/imgsrc/srv/generate.py
+index 6d480d4804..bc043fb432 100644
 --- a/imgsrc/srv/generate.py
 +++ b/imgsrc/srv/generate.py
 @@ -2,7 +2,7 @@
@@ -1344,8 +1344,8 @@ Index: b/imgsrc/srv/generate.py
  import os, re, sys
  
  from lxml import etree
-Index: b/manual/build.py
-===================================================================
+diff --git a/manual/build.py b/manual/build.py
+index 4434a32180..c48a07eb53 100755
 --- a/manual/build.py
 +++ b/manual/build.py
 @@ -1,6 +1,6 @@
@@ -1356,8 +1356,8 @@ Index: b/manual/build.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/manual/custom.py
-===================================================================
+diff --git a/manual/custom.py b/manual/custom.py
+index c9a0307deb..2170166ca3 100644
 --- a/manual/custom.py
 +++ b/manual/custom.py
 @@ -1,7 +1,7 @@
@@ -1369,8 +1369,8 @@ Index: b/manual/custom.py
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  import os, re, textwrap
-Index: b/manual/epub.py
-===================================================================
+diff --git a/manual/epub.py b/manual/epub.py
+index 317565f85d..a77d4f59d6 100644
 --- a/manual/epub.py
 +++ b/manual/epub.py
 @@ -1,6 +1,6 @@
@@ -1381,8 +1381,8 @@ Index: b/manual/epub.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/manual/latex.py
-===================================================================
+diff --git a/manual/latex.py b/manual/latex.py
+index 58f187c1f5..3ff1a66b80 100644
 --- a/manual/latex.py
 +++ b/manual/latex.py
 @@ -1,6 +1,6 @@
@@ -1393,8 +1393,8 @@ Index: b/manual/latex.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/manual/plugin_examples/editor_demo/__init__.py
-===================================================================
+diff --git a/manual/plugin_examples/editor_demo/__init__.py b/manual/plugin_examples/editor_demo/__init__.py
+index 90a14601ee..a6c63eadf0 100644
 --- a/manual/plugin_examples/editor_demo/__init__.py
 +++ b/manual/plugin_examples/editor_demo/__init__.py
 @@ -1,6 +1,6 @@
@@ -1405,8 +1405,8 @@ Index: b/manual/plugin_examples/editor_d
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/manual/plugin_examples/editor_demo/main.py
-===================================================================
+diff --git a/manual/plugin_examples/editor_demo/main.py b/manual/plugin_examples/editor_demo/main.py
+index 9cccf34ed9..a354d35695 100644
 --- a/manual/plugin_examples/editor_demo/main.py
 +++ b/manual/plugin_examples/editor_demo/main.py
 @@ -1,6 +1,6 @@
@@ -1417,8 +1417,8 @@ Index: b/manual/plugin_examples/editor_d
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/manual/plugin_examples/helloworld/__init__.py
-===================================================================
+diff --git a/manual/plugin_examples/helloworld/__init__.py b/manual/plugin_examples/helloworld/__init__.py
+index 1306ac8fdd..c075e106ad 100644
 --- a/manual/plugin_examples/helloworld/__init__.py
 +++ b/manual/plugin_examples/helloworld/__init__.py
 @@ -1,6 +1,6 @@
@@ -1429,8 +1429,8 @@ Index: b/manual/plugin_examples/hellowor
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/manual/plugin_examples/interface_demo/__init__.py
-===================================================================
+diff --git a/manual/plugin_examples/interface_demo/__init__.py b/manual/plugin_examples/interface_demo/__init__.py
+index d992200658..1aa5d4fbf2 100644
 --- a/manual/plugin_examples/interface_demo/__init__.py
 +++ b/manual/plugin_examples/interface_demo/__init__.py
 @@ -1,6 +1,6 @@
@@ -1441,8 +1441,8 @@ Index: b/manual/plugin_examples/interfac
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/manual/plugin_examples/interface_demo/config.py
-===================================================================
+diff --git a/manual/plugin_examples/interface_demo/config.py b/manual/plugin_examples/interface_demo/config.py
+index a9e784c61a..80b6769c53 100644
 --- a/manual/plugin_examples/interface_demo/config.py
 +++ b/manual/plugin_examples/interface_demo/config.py
 @@ -1,6 +1,6 @@
@@ -1453,8 +1453,8 @@ Index: b/manual/plugin_examples/interfac
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/manual/plugin_examples/interface_demo/main.py
-===================================================================
+diff --git a/manual/plugin_examples/interface_demo/main.py b/manual/plugin_examples/interface_demo/main.py
+index f8446b7c21..ad218f4e3a 100644
 --- a/manual/plugin_examples/interface_demo/main.py
 +++ b/manual/plugin_examples/interface_demo/main.py
 @@ -1,6 +1,6 @@
@@ -1465,8 +1465,8 @@ Index: b/manual/plugin_examples/interfac
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/manual/plugin_examples/interface_demo/ui.py
-===================================================================
+diff --git a/manual/plugin_examples/interface_demo/ui.py b/manual/plugin_examples/interface_demo/ui.py
+index 77f4944515..53b2c63820 100644
 --- a/manual/plugin_examples/interface_demo/ui.py
 +++ b/manual/plugin_examples/interface_demo/ui.py
 @@ -1,6 +1,6 @@
@@ -1477,8 +1477,8 @@ Index: b/manual/plugin_examples/interfac
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/manual/plugin_examples/webengine_demo/__init__.py
-===================================================================
+diff --git a/manual/plugin_examples/webengine_demo/__init__.py b/manual/plugin_examples/webengine_demo/__init__.py
+index 370bf626e8..1270276351 100644
 --- a/manual/plugin_examples/webengine_demo/__init__.py
 +++ b/manual/plugin_examples/webengine_demo/__init__.py
 @@ -1,7 +1,7 @@
@@ -1490,8 +1490,8 @@ Index: b/manual/plugin_examples/webengin
  
  
  # The class that all Interface Action plugin wrappers must inherit from
-Index: b/manual/plugin_examples/webengine_demo/main.py
-===================================================================
+diff --git a/manual/plugin_examples/webengine_demo/main.py b/manual/plugin_examples/webengine_demo/main.py
+index a0ea96fe63..42fe1faad7 100644
 --- a/manual/plugin_examples/webengine_demo/main.py
 +++ b/manual/plugin_examples/webengine_demo/main.py
 @@ -2,7 +2,7 @@
@@ -1503,8 +1503,8 @@ Index: b/manual/plugin_examples/webengin
  
  from PyQt5.Qt import QUrl
  from PyQt5.QtWebEngineWidgets import QWebEngineView
-Index: b/manual/plugin_examples/webengine_demo/ui.py
-===================================================================
+diff --git a/manual/plugin_examples/webengine_demo/ui.py b/manual/plugin_examples/webengine_demo/ui.py
+index 6f5dd9b83e..fcfe14ac88 100644
 --- a/manual/plugin_examples/webengine_demo/ui.py
 +++ b/manual/plugin_examples/webengine_demo/ui.py
 @@ -1,6 +1,6 @@
@@ -1515,8 +1515,8 @@ Index: b/manual/plugin_examples/webengin
  # License: GPLv3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
  if False:
-Index: b/manual/template_ref_generate.py
-===================================================================
+diff --git a/manual/template_ref_generate.py b/manual/template_ref_generate.py
+index e342bdb6e3..6ce7138991 100644
 --- a/manual/template_ref_generate.py
 +++ b/manual/template_ref_generate.py
 @@ -1,6 +1,6 @@
@@ -1527,8 +1527,8 @@ Index: b/manual/template_ref_generate.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/resources/default_tweaks.py
-===================================================================
+diff --git a/resources/default_tweaks.py b/resources/default_tweaks.py
+index 65d8855e6f..d1e8b216cf 100644
 --- a/resources/default_tweaks.py
 +++ b/resources/default_tweaks.py
 @@ -1,7 +1,7 @@
@@ -1540,8 +1540,8 @@ Index: b/resources/default_tweaks.py
  
  # Contains various tweaks that affect calibre behavior. Only edit this file if
  # you know what you are doing. If you delete this file, it will be recreated from
-Index: b/setup.py
-===================================================================
+diff --git a/setup.py b/setup.py
+index 64f52484ba..bfcbc49d2c 100755
 --- a/setup.py
 +++ b/setup.py
 @@ -1,6 +1,6 @@
@@ -1552,8 +1552,8 @@ Index: b/setup.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/setup/__init__.py
-===================================================================
+diff --git a/setup/__init__.py b/setup/__init__.py
+index d1c1a0c854..9b12fb5d95 100644
 --- a/setup/__init__.py
 +++ b/setup/__init__.py
 @@ -1,6 +1,6 @@
@@ -1564,8 +1564,8 @@ Index: b/setup/__init__.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/setup/browser_data.py
-===================================================================
+diff --git a/setup/browser_data.py b/setup/browser_data.py
+index b8ea77b941..6882649511 100644
 --- a/setup/browser_data.py
 +++ b/setup/browser_data.py
 @@ -2,7 +2,7 @@
@@ -1577,8 +1577,8 @@ Index: b/setup/browser_data.py
  
  import os
  import json
-Index: b/setup/build.py
-===================================================================
+diff --git a/setup/build.py b/setup/build.py
+index adf173bb53..8dd1f15726 100644
 --- a/setup/build.py
 +++ b/setup/build.py
 @@ -1,7 +1,7 @@
@@ -1591,8 +1591,8 @@ Index: b/setup/build.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/setup/build_environment.py
-===================================================================
+diff --git a/setup/build_environment.py b/setup/build_environment.py
+index b4dacb013f..b5bfee12a1 100644
 --- a/setup/build_environment.py
 +++ b/setup/build_environment.py
 @@ -1,6 +1,6 @@
@@ -1603,8 +1603,8 @@ Index: b/setup/build_environment.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/setup/check.py
-===================================================================
+diff --git a/setup/check.py b/setup/check.py
+index b6635a3403..86b98bf8a8 100644
 --- a/setup/check.py
 +++ b/setup/check.py
 @@ -1,6 +1,6 @@
@@ -1615,8 +1615,8 @@ Index: b/setup/check.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/setup/commands.py
-===================================================================
+diff --git a/setup/commands.py b/setup/commands.py
+index a95c6403e6..d9e741e937 100644
 --- a/setup/commands.py
 +++ b/setup/commands.py
 @@ -1,6 +1,6 @@
@@ -1627,8 +1627,8 @@ Index: b/setup/commands.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/setup/file-hosting-bw.py
-===================================================================
+diff --git a/setup/file-hosting-bw.py b/setup/file-hosting-bw.py
+index 75238b246b..c6a7a34304 100644
 --- a/setup/file-hosting-bw.py
 +++ b/setup/file-hosting-bw.py
 @@ -1,6 +1,6 @@
@@ -1639,8 +1639,8 @@ Index: b/setup/file-hosting-bw.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/setup/git_pre_commit_hook.py
-===================================================================
+diff --git a/setup/git_pre_commit_hook.py b/setup/git_pre_commit_hook.py
+index 99113de762..cdcfe1f633 100755
 --- a/setup/git_pre_commit_hook.py
 +++ b/setup/git_pre_commit_hook.py
 @@ -1,7 +1,7 @@
@@ -1652,8 +1652,8 @@ Index: b/setup/git_pre_commit_hook.py
  
  import importlib
  import json
-Index: b/setup/git_version.py
-===================================================================
+diff --git a/setup/git_version.py b/setup/git_version.py
+index c8f1ead1c3..787bfd5bee 100755
 --- a/setup/git_version.py
 +++ b/setup/git_version.py
 @@ -2,7 +2,7 @@
@@ -1665,8 +1665,8 @@ Index: b/setup/git_version.py
  
  import re
  import subprocess
-Index: b/setup/gui.py
-===================================================================
+diff --git a/setup/gui.py b/setup/gui.py
+index 2a0c1ecf24..17c880d122 100644
 --- a/setup/gui.py
 +++ b/setup/gui.py
 @@ -1,6 +1,6 @@
@@ -1677,8 +1677,8 @@ Index: b/setup/gui.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/setup/install.py
-===================================================================
+diff --git a/setup/install.py b/setup/install.py
+index 852bbdc385..15f1d47665 100644
 --- a/setup/install.py
 +++ b/setup/install.py
 @@ -2,7 +2,7 @@
@@ -1690,8 +1690,8 @@ Index: b/setup/install.py
  
  import atexit
  import glob
-Index: b/setup/installers.py
-===================================================================
+diff --git a/setup/installers.py b/setup/installers.py
+index 65d6ad8ab7..c3ad5bfe18 100644
 --- a/setup/installers.py
 +++ b/setup/installers.py
 @@ -1,7 +1,7 @@
@@ -1703,8 +1703,8 @@ Index: b/setup/installers.py
  
  import os, sys, subprocess, binascii, json
  
-Index: b/setup/lc_data.py
-===================================================================
+diff --git a/setup/lc_data.py b/setup/lc_data.py
+index 77df405378..a843bab3bb 100644
 --- a/setup/lc_data.py
 +++ b/setup/lc_data.py
 @@ -1,6 +1,6 @@
@@ -1715,8 +1715,8 @@ Index: b/setup/lc_data.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/setup/linux-installer.py
-===================================================================
+diff --git a/setup/linux-installer.py b/setup/linux-installer.py
+index 03d573cef6..672f3ce5af 100644
 --- a/setup/linux-installer.py
 +++ b/setup/linux-installer.py
 @@ -1,7 +1,7 @@
@@ -1728,8 +1728,8 @@ Index: b/setup/linux-installer.py
  
  import errno
  import hashlib
-Index: b/setup/mathjax.py
-===================================================================
+diff --git a/setup/mathjax.py b/setup/mathjax.py
+index 3b02ba5df3..80647ce220 100644
 --- a/setup/mathjax.py
 +++ b/setup/mathjax.py
 @@ -1,6 +1,6 @@
@@ -1740,8 +1740,8 @@ Index: b/setup/mathjax.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/setup/parallel_build.py
-===================================================================
+diff --git a/setup/parallel_build.py b/setup/parallel_build.py
+index d6bd5c63a2..448a5bd695 100644
 --- a/setup/parallel_build.py
 +++ b/setup/parallel_build.py
 @@ -1,6 +1,6 @@
@@ -1752,8 +1752,8 @@ Index: b/setup/parallel_build.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/setup/plugins_mirror.py
-===================================================================
+diff --git a/setup/plugins_mirror.py b/setup/plugins_mirror.py
+index fea2f84007..f7f556b20d 100644
 --- a/setup/plugins_mirror.py
 +++ b/setup/plugins_mirror.py
 @@ -2,7 +2,7 @@
@@ -1765,8 +1765,8 @@ Index: b/setup/plugins_mirror.py
  
  import ast
  import atexit
-Index: b/setup/port.py
-===================================================================
+diff --git a/setup/port.py b/setup/port.py
+index 6267e4515d..8ee737d914 100644
 --- a/setup/port.py
 +++ b/setup/port.py
 @@ -2,7 +2,7 @@
@@ -1778,8 +1778,8 @@ Index: b/setup/port.py
  
  import errno
  import hashlib
-Index: b/setup/publish.py
-===================================================================
+diff --git a/setup/publish.py b/setup/publish.py
+index 50e593722b..f9b8e381f3 100644
 --- a/setup/publish.py
 +++ b/setup/publish.py
 @@ -1,7 +1,7 @@
@@ -1792,8 +1792,8 @@ Index: b/setup/publish.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/setup/resources.py
-===================================================================
+diff --git a/setup/resources.py b/setup/resources.py
+index 053b8a00e2..2c7b41e3f6 100644
 --- a/setup/resources.py
 +++ b/setup/resources.py
 @@ -1,6 +1,6 @@
@@ -1804,8 +1804,8 @@ Index: b/setup/resources.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/setup/run-calibre-worker.py
-===================================================================
+diff --git a/setup/run-calibre-worker.py b/setup/run-calibre-worker.py
+index 92bbef855f..c5f6cd7c52 100644
 --- a/setup/run-calibre-worker.py
 +++ b/setup/run-calibre-worker.py
 @@ -2,7 +2,7 @@
@@ -1817,8 +1817,8 @@ Index: b/setup/run-calibre-worker.py
  import sys, os
  sys.setup_dir = os.path.dirname(os.path.abspath(__file__))
  SRC = os.path.abspath(os.path.join(os.path.dirname(sys.setup_dir), 'src'))
-Index: b/setup/test.py
-===================================================================
+diff --git a/setup/test.py b/setup/test.py
+index 10f28f7001..d333f2e06c 100644
 --- a/setup/test.py
 +++ b/setup/test.py
 @@ -2,7 +2,7 @@
@@ -1830,8 +1830,8 @@ Index: b/setup/test.py
  
  import os
  import unittest
-Index: b/setup/translations.py
-===================================================================
+diff --git a/setup/translations.py b/setup/translations.py
+index d986b9a4a1..81623bc1bc 100644
 --- a/setup/translations.py
 +++ b/setup/translations.py
 @@ -1,6 +1,6 @@
@@ -1842,8 +1842,8 @@ Index: b/setup/translations.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/setup/unix-ci.py
-===================================================================
+diff --git a/setup/unix-ci.py b/setup/unix-ci.py
+index 260baff1a8..2a10d6e431 100644
 --- a/setup/unix-ci.py
 +++ b/setup/unix-ci.py
 @@ -2,7 +2,7 @@
@@ -1855,8 +1855,8 @@ Index: b/setup/unix-ci.py
  
  import os
  import shlex
-Index: b/setup/upload.py
-===================================================================
+diff --git a/setup/upload.py b/setup/upload.py
+index 7e4f022d6f..44e38a2f23 100644
 --- a/setup/upload.py
 +++ b/setup/upload.py
 @@ -1,7 +1,7 @@
@@ -1868,8 +1868,8 @@ Index: b/setup/upload.py
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
  __docformat__ = 'restructuredtext en'
-Index: b/setup/vcvars.py
-===================================================================
+diff --git a/setup/vcvars.py b/setup/vcvars.py
+index 7fa3b0fb50..1409861c27 100644
 --- a/setup/vcvars.py
 +++ b/setup/vcvars.py
 @@ -1,6 +1,6 @@
@@ -1880,8 +1880,8 @@ Index: b/setup/vcvars.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/setup/win-ci.py
-===================================================================
+diff --git a/setup/win-ci.py b/setup/win-ci.py
+index 62a2ca34c4..d97f584706 100644
 --- a/setup/win-ci.py
 +++ b/setup/win-ci.py
 @@ -2,7 +2,7 @@
@@ -1893,8 +1893,8 @@ Index: b/setup/win-ci.py
  
  import io
  import os
-Index: b/src/backports/functools_lru_cache.py
-===================================================================
+diff --git a/src/backports/functools_lru_cache.py b/src/backports/functools_lru_cache.py
+index cf53cd4110..dd4335273c 100644
 --- a/src/backports/functools_lru_cache.py
 +++ b/src/backports/functools_lru_cache.py
 @@ -2,7 +2,7 @@
@@ -1906,8 +1906,8 @@ Index: b/src/backports/functools_lru_cac
  
  import functools
  from collections import namedtuple
-Index: b/src/calibre/__init__.py
-===================================================================
+diff --git a/src/calibre/__init__.py b/src/calibre/__init__.py
+index 30d38f621c..65155fb3db 100644
 --- a/src/calibre/__init__.py
 +++ b/src/calibre/__init__.py
 @@ -1,4 +1,4 @@
@@ -1916,8 +1916,8 @@ Index: b/src/calibre/__init__.py
  ''' E-book management software'''
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/constants.py
-===================================================================
+diff --git a/src/calibre/constants.py b/src/calibre/constants.py
+index e99507a013..2c4d17dad0 100644
 --- a/src/calibre/constants.py
 +++ b/src/calibre/constants.py
 @@ -1,7 +1,6 @@
@@ -1928,8 +1928,8 @@ Index: b/src/calibre/constants.py
  from polyglot.builtins import map, unicode_type, environ_item, hasenv, getenv, as_unicode, native_string_type
  import sys, locale, codecs, os, importlib, collections
  
-Index: b/src/calibre/customize/__init__.py
-===================================================================
+diff --git a/src/calibre/customize/__init__.py b/src/calibre/customize/__init__.py
+index 8878fb8a69..8de6759c98 100644
 --- a/src/calibre/customize/__init__.py
 +++ b/src/calibre/customize/__init__.py
 @@ -1,4 +1,4 @@
@@ -1938,8 +1938,8 @@ Index: b/src/calibre/customize/__init__.
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  
-Index: b/src/calibre/customize/builtins.py
-===================================================================
+diff --git a/src/calibre/customize/builtins.py b/src/calibre/customize/builtins.py
+index 4a3af02002..8012323821 100644
 --- a/src/calibre/customize/builtins.py
 +++ b/src/calibre/customize/builtins.py
 @@ -1,5 +1,5 @@
@@ -1949,8 +1949,8 @@ Index: b/src/calibre/customize/builtins.
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/customize/conversion.py
-===================================================================
+diff --git a/src/calibre/customize/conversion.py b/src/calibre/customize/conversion.py
+index ba8112f569..4b33f77ec1 100644
 --- a/src/calibre/customize/conversion.py
 +++ b/src/calibre/customize/conversion.py
 @@ -1,5 +1,5 @@
@@ -1960,8 +1960,8 @@ Index: b/src/calibre/customize/conversio
  '''
  Defines the plugin system for conversions.
  '''
-Index: b/src/calibre/customize/profiles.py
-===================================================================
+diff --git a/src/calibre/customize/profiles.py b/src/calibre/customize/profiles.py
+index cfefb09400..999a40e867 100644
 --- a/src/calibre/customize/profiles.py
 +++ b/src/calibre/customize/profiles.py
 @@ -1,5 +1,5 @@
@@ -1971,8 +1971,8 @@ Index: b/src/calibre/customize/profiles.
  __license__ = 'GPL 3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/customize/ui.py
-===================================================================
+diff --git a/src/calibre/customize/ui.py b/src/calibre/customize/ui.py
+index 53cdfd180a..dbab8adb56 100644
 --- a/src/calibre/customize/ui.py
 +++ b/src/calibre/customize/ui.py
 @@ -1,4 +1,4 @@
@@ -1981,8 +1981,8 @@ Index: b/src/calibre/customize/ui.py
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  
-Index: b/src/calibre/customize/zipplugin.py
-===================================================================
+diff --git a/src/calibre/customize/zipplugin.py b/src/calibre/customize/zipplugin.py
+index 8f73d1d9ad..45a664f43c 100644
 --- a/src/calibre/customize/zipplugin.py
 +++ b/src/calibre/customize/zipplugin.py
 @@ -1,6 +1,6 @@
@@ -1993,8 +1993,8 @@ Index: b/src/calibre/customize/zipplugin
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/__init__.py
-===================================================================
+diff --git a/src/calibre/db/__init__.py b/src/calibre/db/__init__.py
+index daef9300aa..73c707727c 100644
 --- a/src/calibre/db/__init__.py
 +++ b/src/calibre/db/__init__.py
 @@ -1,6 +1,6 @@
@@ -2005,8 +2005,8 @@ Index: b/src/calibre/db/__init__.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/adding.py
-===================================================================
+diff --git a/src/calibre/db/adding.py b/src/calibre/db/adding.py
+index 73da7b52ec..dbe723bb72 100644
 --- a/src/calibre/db/adding.py
 +++ b/src/calibre/db/adding.py
 @@ -1,6 +1,6 @@
@@ -2017,8 +2017,8 @@ Index: b/src/calibre/db/adding.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/backend.py
-===================================================================
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index 999e26a921..959bd84dbb 100644
 --- a/src/calibre/db/backend.py
 +++ b/src/calibre/db/backend.py
 @@ -1,6 +1,6 @@
@@ -2029,8 +2029,8 @@ Index: b/src/calibre/db/backend.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/backup.py
-===================================================================
+diff --git a/src/calibre/db/backup.py b/src/calibre/db/backup.py
+index 4acf367089..e103769564 100644
 --- a/src/calibre/db/backup.py
 +++ b/src/calibre/db/backup.py
 @@ -1,6 +1,6 @@
@@ -2041,8 +2041,8 @@ Index: b/src/calibre/db/backup.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/cache.py
-===================================================================
+diff --git a/src/calibre/db/cache.py b/src/calibre/db/cache.py
+index c382e4873a..9aa1f258db 100644
 --- a/src/calibre/db/cache.py
 +++ b/src/calibre/db/cache.py
 @@ -1,6 +1,6 @@
@@ -2053,8 +2053,8 @@ Index: b/src/calibre/db/cache.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/categories.py
-===================================================================
+diff --git a/src/calibre/db/categories.py b/src/calibre/db/categories.py
+index c3c682e92b..bc972a1ba9 100644
 --- a/src/calibre/db/categories.py
 +++ b/src/calibre/db/categories.py
 @@ -1,6 +1,6 @@
@@ -2065,8 +2065,8 @@ Index: b/src/calibre/db/categories.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/cli/__init__.py
-===================================================================
+diff --git a/src/calibre/db/cli/__init__.py b/src/calibre/db/cli/__init__.py
+index 0df30da4ca..45ef2b323c 100644
 --- a/src/calibre/db/cli/__init__.py
 +++ b/src/calibre/db/cli/__init__.py
 @@ -2,7 +2,7 @@
@@ -2078,8 +2078,8 @@ Index: b/src/calibre/db/cli/__init__.py
  
  import importlib
  
-Index: b/src/calibre/db/cli/cmd_add.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_add.py b/src/calibre/db/cli/cmd_add.py
+index dcb5bfb93c..6c13802b7a 100644
 --- a/src/calibre/db/cli/cmd_add.py
 +++ b/src/calibre/db/cli/cmd_add.py
 @@ -2,7 +2,7 @@
@@ -2091,8 +2091,8 @@ Index: b/src/calibre/db/cli/cmd_add.py
  
  import os
  import sys
-Index: b/src/calibre/db/cli/cmd_add_custom_column.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_add_custom_column.py b/src/calibre/db/cli/cmd_add_custom_column.py
+index 46514d0c27..ca217d8607 100644
 --- a/src/calibre/db/cli/cmd_add_custom_column.py
 +++ b/src/calibre/db/cli/cmd_add_custom_column.py
 @@ -2,7 +2,7 @@
@@ -2104,8 +2104,8 @@ Index: b/src/calibre/db/cli/cmd_add_cust
  
  import json
  
-Index: b/src/calibre/db/cli/cmd_add_format.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_add_format.py b/src/calibre/db/cli/cmd_add_format.py
+index b47e37e0af..39408b03ee 100644
 --- a/src/calibre/db/cli/cmd_add_format.py
 +++ b/src/calibre/db/cli/cmd_add_format.py
 @@ -2,7 +2,7 @@
@@ -2117,8 +2117,8 @@ Index: b/src/calibre/db/cli/cmd_add_form
  
  import os
  from io import BytesIO
-Index: b/src/calibre/db/cli/cmd_backup_metadata.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_backup_metadata.py b/src/calibre/db/cli/cmd_backup_metadata.py
+index 3660e89cbd..a961d5bc6e 100644
 --- a/src/calibre/db/cli/cmd_backup_metadata.py
 +++ b/src/calibre/db/cli/cmd_backup_metadata.py
 @@ -2,7 +2,7 @@
@@ -2130,8 +2130,8 @@ Index: b/src/calibre/db/cli/cmd_backup_m
  
  from calibre import prints
  
-Index: b/src/calibre/db/cli/cmd_catalog.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_catalog.py b/src/calibre/db/cli/cmd_catalog.py
+index 5325707b79..c4b7456681 100644
 --- a/src/calibre/db/cli/cmd_catalog.py
 +++ b/src/calibre/db/cli/cmd_catalog.py
 @@ -2,7 +2,7 @@
@@ -2143,8 +2143,8 @@ Index: b/src/calibre/db/cli/cmd_catalog.
  
  import os
  
-Index: b/src/calibre/db/cli/cmd_check_library.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_check_library.py b/src/calibre/db/cli/cmd_check_library.py
+index 216bb7bfe1..29a08b0755 100644
 --- a/src/calibre/db/cli/cmd_check_library.py
 +++ b/src/calibre/db/cli/cmd_check_library.py
 @@ -2,7 +2,7 @@
@@ -2156,8 +2156,8 @@ Index: b/src/calibre/db/cli/cmd_check_li
  
  import csv
  import sys
-Index: b/src/calibre/db/cli/cmd_clone.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_clone.py b/src/calibre/db/cli/cmd_clone.py
+index 70f821ca55..3d66fa5710 100644
 --- a/src/calibre/db/cli/cmd_clone.py
 +++ b/src/calibre/db/cli/cmd_clone.py
 @@ -2,7 +2,7 @@
@@ -2169,8 +2169,8 @@ Index: b/src/calibre/db/cli/cmd_clone.py
  
  import os
  
-Index: b/src/calibre/db/cli/cmd_custom_columns.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_custom_columns.py b/src/calibre/db/cli/cmd_custom_columns.py
+index ae2e209c5e..adeb142028 100644
 --- a/src/calibre/db/cli/cmd_custom_columns.py
 +++ b/src/calibre/db/cli/cmd_custom_columns.py
 @@ -2,7 +2,7 @@
@@ -2182,8 +2182,8 @@ Index: b/src/calibre/db/cli/cmd_custom_c
  
  from pprint import pformat
  
-Index: b/src/calibre/db/cli/cmd_embed_metadata.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_embed_metadata.py b/src/calibre/db/cli/cmd_embed_metadata.py
+index 2de056f0d9..fc5378a483 100644
 --- a/src/calibre/db/cli/cmd_embed_metadata.py
 +++ b/src/calibre/db/cli/cmd_embed_metadata.py
 @@ -2,7 +2,7 @@
@@ -2195,8 +2195,8 @@ Index: b/src/calibre/db/cli/cmd_embed_me
  
  from calibre import prints
  from calibre.db.cli import integers_from_string
-Index: b/src/calibre/db/cli/cmd_export.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_export.py b/src/calibre/db/cli/cmd_export.py
+index ff72595d4b..b0a778e270 100644
 --- a/src/calibre/db/cli/cmd_export.py
 +++ b/src/calibre/db/cli/cmd_export.py
 @@ -2,7 +2,7 @@
@@ -2208,8 +2208,8 @@ Index: b/src/calibre/db/cli/cmd_export.p
  
  import os
  
-Index: b/src/calibre/db/cli/cmd_list.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_list.py b/src/calibre/db/cli/cmd_list.py
+index 4e66333c2d..79655632c8 100644
 --- a/src/calibre/db/cli/cmd_list.py
 +++ b/src/calibre/db/cli/cmd_list.py
 @@ -2,7 +2,7 @@
@@ -2221,8 +2221,8 @@ Index: b/src/calibre/db/cli/cmd_list.py
  
  import json
  import os
-Index: b/src/calibre/db/cli/cmd_list_categories.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_list_categories.py b/src/calibre/db/cli/cmd_list_categories.py
+index a858c61588..6ba23754d5 100644
 --- a/src/calibre/db/cli/cmd_list_categories.py
 +++ b/src/calibre/db/cli/cmd_list_categories.py
 @@ -2,7 +2,7 @@
@@ -2234,8 +2234,8 @@ Index: b/src/calibre/db/cli/cmd_list_cat
  
  import csv
  import sys
-Index: b/src/calibre/db/cli/cmd_remove.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_remove.py b/src/calibre/db/cli/cmd_remove.py
+index 0477b4ce4b..01daf54b63 100644
 --- a/src/calibre/db/cli/cmd_remove.py
 +++ b/src/calibre/db/cli/cmd_remove.py
 @@ -2,7 +2,7 @@
@@ -2247,8 +2247,8 @@ Index: b/src/calibre/db/cli/cmd_remove.p
  
  from calibre.db.cli import integers_from_string
  from calibre.db.delete_service import delete_service
-Index: b/src/calibre/db/cli/cmd_remove_custom_column.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_remove_custom_column.py b/src/calibre/db/cli/cmd_remove_custom_column.py
+index 451caa57a8..534ba204f5 100644
 --- a/src/calibre/db/cli/cmd_remove_custom_column.py
 +++ b/src/calibre/db/cli/cmd_remove_custom_column.py
 @@ -2,7 +2,7 @@
@@ -2260,8 +2260,8 @@ Index: b/src/calibre/db/cli/cmd_remove_c
  
  import sys
  from calibre import prints
-Index: b/src/calibre/db/cli/cmd_remove_format.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_remove_format.py b/src/calibre/db/cli/cmd_remove_format.py
+index 0661519169..b360e2f43c 100644
 --- a/src/calibre/db/cli/cmd_remove_format.py
 +++ b/src/calibre/db/cli/cmd_remove_format.py
 @@ -2,7 +2,7 @@
@@ -2273,8 +2273,8 @@ Index: b/src/calibre/db/cli/cmd_remove_f
  
  from calibre.db.delete_service import delete_service
  from calibre.srv.changes import formats_removed
-Index: b/src/calibre/db/cli/cmd_restore_database.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_restore_database.py b/src/calibre/db/cli/cmd_restore_database.py
+index 91bb9827e0..c2d854cc81 100644
 --- a/src/calibre/db/cli/cmd_restore_database.py
 +++ b/src/calibre/db/cli/cmd_restore_database.py
 @@ -2,7 +2,7 @@
@@ -2286,8 +2286,8 @@ Index: b/src/calibre/db/cli/cmd_restore_
  
  from calibre import prints
  from calibre.db.restore import Restore
-Index: b/src/calibre/db/cli/cmd_saved_searches.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_saved_searches.py b/src/calibre/db/cli/cmd_saved_searches.py
+index d87d3516d7..b8360f3e38 100644
 --- a/src/calibre/db/cli/cmd_saved_searches.py
 +++ b/src/calibre/db/cli/cmd_saved_searches.py
 @@ -2,7 +2,7 @@
@@ -2299,8 +2299,8 @@ Index: b/src/calibre/db/cli/cmd_saved_se
  
  readonly = False
  version = 0  # change this if you change signature of implementation()
-Index: b/src/calibre/db/cli/cmd_search.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_search.py b/src/calibre/db/cli/cmd_search.py
+index 685689cb68..31a46f3630 100644
 --- a/src/calibre/db/cli/cmd_search.py
 +++ b/src/calibre/db/cli/cmd_search.py
 @@ -2,7 +2,7 @@
@@ -2312,8 +2312,8 @@ Index: b/src/calibre/db/cli/cmd_search.p
  
  from calibre import prints
  
-Index: b/src/calibre/db/cli/cmd_set_custom.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_set_custom.py b/src/calibre/db/cli/cmd_set_custom.py
+index 7e7841a0d5..4c184c4697 100644
 --- a/src/calibre/db/cli/cmd_set_custom.py
 +++ b/src/calibre/db/cli/cmd_set_custom.py
 @@ -2,7 +2,7 @@
@@ -2325,8 +2325,8 @@ Index: b/src/calibre/db/cli/cmd_set_cust
  
  from calibre import prints
  from calibre.db import _get_series_values
-Index: b/src/calibre/db/cli/cmd_set_metadata.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_set_metadata.py b/src/calibre/db/cli/cmd_set_metadata.py
+index 708ffd9bca..b48f153039 100644
 --- a/src/calibre/db/cli/cmd_set_metadata.py
 +++ b/src/calibre/db/cli/cmd_set_metadata.py
 @@ -2,7 +2,7 @@
@@ -2338,8 +2338,8 @@ Index: b/src/calibre/db/cli/cmd_set_meta
  
  import os
  
-Index: b/src/calibre/db/cli/cmd_show_metadata.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_show_metadata.py b/src/calibre/db/cli/cmd_show_metadata.py
+index 7cb2cc4153..36177639c8 100644
 --- a/src/calibre/db/cli/cmd_show_metadata.py
 +++ b/src/calibre/db/cli/cmd_show_metadata.py
 @@ -2,7 +2,7 @@
@@ -2351,8 +2351,8 @@ Index: b/src/calibre/db/cli/cmd_show_met
  
  import sys
  
-Index: b/src/calibre/db/cli/main.py
-===================================================================
+diff --git a/src/calibre/db/cli/main.py b/src/calibre/db/cli/main.py
+index 312b303f7d..f78be8b3f9 100644
 --- a/src/calibre/db/cli/main.py
 +++ b/src/calibre/db/cli/main.py
 @@ -2,7 +2,7 @@
@@ -2364,8 +2364,8 @@ Index: b/src/calibre/db/cli/main.py
  
  import json
  import os
-Index: b/src/calibre/db/cli/tests.py
-===================================================================
+diff --git a/src/calibre/db/cli/tests.py b/src/calibre/db/cli/tests.py
+index 98b8775ed3..80e44c4536 100644
 --- a/src/calibre/db/cli/tests.py
 +++ b/src/calibre/db/cli/tests.py
 @@ -1,6 +1,6 @@
@@ -2376,8 +2376,8 @@ Index: b/src/calibre/db/cli/tests.py
  
  __license__ = 'GPL v3'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/db/cli/utils.py
-===================================================================
+diff --git a/src/calibre/db/cli/utils.py b/src/calibre/db/cli/utils.py
+index ec64af4349..2825a5dff0 100644
 --- a/src/calibre/db/cli/utils.py
 +++ b/src/calibre/db/cli/utils.py
 @@ -2,7 +2,7 @@
@@ -2389,8 +2389,8 @@ Index: b/src/calibre/db/cli/utils.py
  
  from polyglot.builtins import map
  
-Index: b/src/calibre/db/copy_to_library.py
-===================================================================
+diff --git a/src/calibre/db/copy_to_library.py b/src/calibre/db/copy_to_library.py
+index 6896f93c15..caeb86bc9d 100644
 --- a/src/calibre/db/copy_to_library.py
 +++ b/src/calibre/db/copy_to_library.py
 @@ -2,7 +2,7 @@
@@ -2402,8 +2402,8 @@ Index: b/src/calibre/db/copy_to_library.
  
  from calibre.db.utils import find_identical_books
  from calibre.utils.config import tweaks
-Index: b/src/calibre/db/delete_service.py
-===================================================================
+diff --git a/src/calibre/db/delete_service.py b/src/calibre/db/delete_service.py
+index 8b984f41c4..8be9cd4ffd 100644
 --- a/src/calibre/db/delete_service.py
 +++ b/src/calibre/db/delete_service.py
 @@ -1,6 +1,6 @@
@@ -2414,8 +2414,8 @@ Index: b/src/calibre/db/delete_service.p
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/errors.py
-===================================================================
+diff --git a/src/calibre/db/errors.py b/src/calibre/db/errors.py
+index 616f86f0e7..564e58c822 100644
 --- a/src/calibre/db/errors.py
 +++ b/src/calibre/db/errors.py
 @@ -1,6 +1,6 @@
@@ -2426,8 +2426,8 @@ Index: b/src/calibre/db/errors.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/fields.py
-===================================================================
+diff --git a/src/calibre/db/fields.py b/src/calibre/db/fields.py
+index 94bf61dbd7..e0d0fcd807 100644
 --- a/src/calibre/db/fields.py
 +++ b/src/calibre/db/fields.py
 @@ -1,6 +1,6 @@
@@ -2438,8 +2438,8 @@ Index: b/src/calibre/db/fields.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/lazy.py
-===================================================================
+diff --git a/src/calibre/db/lazy.py b/src/calibre/db/lazy.py
+index dbc6584174..9ad3aba57d 100644
 --- a/src/calibre/db/lazy.py
 +++ b/src/calibre/db/lazy.py
 @@ -1,6 +1,6 @@
@@ -2450,8 +2450,8 @@ Index: b/src/calibre/db/lazy.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/legacy.py
-===================================================================
+diff --git a/src/calibre/db/legacy.py b/src/calibre/db/legacy.py
+index 7a420e0295..e88b499ffb 100644
 --- a/src/calibre/db/legacy.py
 +++ b/src/calibre/db/legacy.py
 @@ -1,6 +1,6 @@
@@ -2462,8 +2462,8 @@ Index: b/src/calibre/db/legacy.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/locking.py
-===================================================================
+diff --git a/src/calibre/db/locking.py b/src/calibre/db/locking.py
+index 52e9c954a6..e0830f46d8 100644
 --- a/src/calibre/db/locking.py
 +++ b/src/calibre/db/locking.py
 @@ -1,6 +1,6 @@
@@ -2474,8 +2474,8 @@ Index: b/src/calibre/db/locking.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/restore.py
-===================================================================
+diff --git a/src/calibre/db/restore.py b/src/calibre/db/restore.py
+index c3d7003807..0840bb0470 100644
 --- a/src/calibre/db/restore.py
 +++ b/src/calibre/db/restore.py
 @@ -1,7 +1,7 @@
@@ -2487,8 +2487,8 @@ Index: b/src/calibre/db/restore.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/schema_upgrades.py
-===================================================================
+diff --git a/src/calibre/db/schema_upgrades.py b/src/calibre/db/schema_upgrades.py
+index ab849ca189..acd7a20178 100644
 --- a/src/calibre/db/schema_upgrades.py
 +++ b/src/calibre/db/schema_upgrades.py
 @@ -1,6 +1,6 @@
@@ -2499,8 +2499,8 @@ Index: b/src/calibre/db/schema_upgrades.
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/search.py
-===================================================================
+diff --git a/src/calibre/db/search.py b/src/calibre/db/search.py
+index e73633baeb..336e46e78a 100644
 --- a/src/calibre/db/search.py
 +++ b/src/calibre/db/search.py
 @@ -1,6 +1,6 @@
@@ -2511,8 +2511,8 @@ Index: b/src/calibre/db/search.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/tables.py
-===================================================================
+diff --git a/src/calibre/db/tables.py b/src/calibre/db/tables.py
+index d203a423b9..c81cae5ce0 100644
 --- a/src/calibre/db/tables.py
 +++ b/src/calibre/db/tables.py
 @@ -1,6 +1,6 @@
@@ -2523,8 +2523,8 @@ Index: b/src/calibre/db/tables.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/tests/__init__.py
-===================================================================
+diff --git a/src/calibre/db/tests/__init__.py b/src/calibre/db/tests/__init__.py
+index ec9ca8ff95..219dc1f99c 100644
 --- a/src/calibre/db/tests/__init__.py
 +++ b/src/calibre/db/tests/__init__.py
 @@ -1,6 +1,6 @@
@@ -2535,8 +2535,8 @@ Index: b/src/calibre/db/tests/__init__.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/tests/add_remove.py
-===================================================================
+diff --git a/src/calibre/db/tests/add_remove.py b/src/calibre/db/tests/add_remove.py
+index 803fc5edc0..f2f94f6d0e 100644
 --- a/src/calibre/db/tests/add_remove.py
 +++ b/src/calibre/db/tests/add_remove.py
 @@ -1,6 +1,6 @@
@@ -2547,8 +2547,8 @@ Index: b/src/calibre/db/tests/add_remove
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/tests/base.py
-===================================================================
+diff --git a/src/calibre/db/tests/base.py b/src/calibre/db/tests/base.py
+index 388b9df244..9c3c36713b 100644
 --- a/src/calibre/db/tests/base.py
 +++ b/src/calibre/db/tests/base.py
 @@ -1,6 +1,6 @@
@@ -2559,8 +2559,8 @@ Index: b/src/calibre/db/tests/base.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/tests/filesystem.py
-===================================================================
+diff --git a/src/calibre/db/tests/filesystem.py b/src/calibre/db/tests/filesystem.py
+index 7df945fc11..0254c80cfd 100644
 --- a/src/calibre/db/tests/filesystem.py
 +++ b/src/calibre/db/tests/filesystem.py
 @@ -1,6 +1,6 @@
@@ -2571,8 +2571,8 @@ Index: b/src/calibre/db/tests/filesystem
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/tests/legacy.py
-===================================================================
+diff --git a/src/calibre/db/tests/legacy.py b/src/calibre/db/tests/legacy.py
+index 5f5af062e5..30a4656c31 100644
 --- a/src/calibre/db/tests/legacy.py
 +++ b/src/calibre/db/tests/legacy.py
 @@ -1,6 +1,6 @@
@@ -2583,8 +2583,8 @@ Index: b/src/calibre/db/tests/legacy.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/tests/locking.py
-===================================================================
+diff --git a/src/calibre/db/tests/locking.py b/src/calibre/db/tests/locking.py
+index b0ba047153..aa046ffbe5 100644
 --- a/src/calibre/db/tests/locking.py
 +++ b/src/calibre/db/tests/locking.py
 @@ -1,6 +1,6 @@
@@ -2595,8 +2595,8 @@ Index: b/src/calibre/db/tests/locking.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/tests/main.py
-===================================================================
+diff --git a/src/calibre/db/tests/main.py b/src/calibre/db/tests/main.py
+index d8bee0ec7e..85f358a383 100644
 --- a/src/calibre/db/tests/main.py
 +++ b/src/calibre/db/tests/main.py
 @@ -1,6 +1,6 @@
@@ -2607,8 +2607,8 @@ Index: b/src/calibre/db/tests/main.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/tests/profiling.py
-===================================================================
+diff --git a/src/calibre/db/tests/profiling.py b/src/calibre/db/tests/profiling.py
+index a75bd19d40..4c52282972 100644
 --- a/src/calibre/db/tests/profiling.py
 +++ b/src/calibre/db/tests/profiling.py
 @@ -1,6 +1,6 @@
@@ -2619,8 +2619,8 @@ Index: b/src/calibre/db/tests/profiling.
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/tests/reading.py
-===================================================================
+diff --git a/src/calibre/db/tests/reading.py b/src/calibre/db/tests/reading.py
+index 665767723c..34ef6d28c0 100644
 --- a/src/calibre/db/tests/reading.py
 +++ b/src/calibre/db/tests/reading.py
 @@ -1,6 +1,6 @@
@@ -2631,8 +2631,8 @@ Index: b/src/calibre/db/tests/reading.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/tests/utils.py
-===================================================================
+diff --git a/src/calibre/db/tests/utils.py b/src/calibre/db/tests/utils.py
+index 1b28319440..dcf8eba5b3 100644
 --- a/src/calibre/db/tests/utils.py
 +++ b/src/calibre/db/tests/utils.py
 @@ -1,6 +1,6 @@
@@ -2643,8 +2643,8 @@ Index: b/src/calibre/db/tests/utils.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/tests/writing.py
-===================================================================
+diff --git a/src/calibre/db/tests/writing.py b/src/calibre/db/tests/writing.py
+index e1416b1eb8..da6404cc75 100644
 --- a/src/calibre/db/tests/writing.py
 +++ b/src/calibre/db/tests/writing.py
 @@ -1,6 +1,6 @@
@@ -2655,8 +2655,8 @@ Index: b/src/calibre/db/tests/writing.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/utils.py
-===================================================================
+diff --git a/src/calibre/db/utils.py b/src/calibre/db/utils.py
+index 3c0127f647..f216990c18 100644
 --- a/src/calibre/db/utils.py
 +++ b/src/calibre/db/utils.py
 @@ -1,6 +1,6 @@
@@ -2667,8 +2667,8 @@ Index: b/src/calibre/db/utils.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/db/view.py
-===================================================================
+diff --git a/src/calibre/db/view.py b/src/calibre/db/view.py
+index 7d750abece..1a9a5ef33d 100644
 --- a/src/calibre/db/view.py
 +++ b/src/calibre/db/view.py
 @@ -1,6 +1,6 @@
@@ -2679,8 +2679,8 @@ Index: b/src/calibre/db/view.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/db/write.py
-===================================================================
+diff --git a/src/calibre/db/write.py b/src/calibre/db/write.py
+index e08da0416f..222e88dafa 100644
 --- a/src/calibre/db/write.py
 +++ b/src/calibre/db/write.py
 @@ -1,6 +1,6 @@
@@ -2691,8 +2691,8 @@ Index: b/src/calibre/db/write.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/debug.py
-===================================================================
+diff --git a/src/calibre/debug.py b/src/calibre/debug.py
+index c792f422eb..4454e7b720 100644
 --- a/src/calibre/debug.py
 +++ b/src/calibre/debug.py
 @@ -1,5 +1,5 @@
@@ -2702,8 +2702,8 @@ Index: b/src/calibre/debug.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/__init__.py b/src/calibre/devices/__init__.py
+index a32fd45c09..d423be27cd 100644
 --- a/src/calibre/devices/__init__.py
 +++ b/src/calibre/devices/__init__.py
 @@ -1,4 +1,4 @@
@@ -2712,8 +2712,8 @@ Index: b/src/calibre/devices/__init__.py
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  
-Index: b/src/calibre/devices/android/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/android/__init__.py b/src/calibre/devices/android/__init__.py
+index a9b056d940..d8edc6064a 100644
 --- a/src/calibre/devices/android/__init__.py
 +++ b/src/calibre/devices/android/__init__.py
 @@ -1,6 +1,6 @@
@@ -2724,8 +2724,8 @@ Index: b/src/calibre/devices/android/__i
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/android/driver.py
-===================================================================
+diff --git a/src/calibre/devices/android/driver.py b/src/calibre/devices/android/driver.py
+index f615afd704..f4b4137141 100644
 --- a/src/calibre/devices/android/driver.py
 +++ b/src/calibre/devices/android/driver.py
 @@ -1,5 +1,5 @@
@@ -2735,8 +2735,8 @@ Index: b/src/calibre/devices/android/dri
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/binatone/driver.py
-===================================================================
+diff --git a/src/calibre/devices/binatone/driver.py b/src/calibre/devices/binatone/driver.py
+index ec6e7a70b1..53a91bcc8c 100644
 --- a/src/calibre/devices/binatone/driver.py
 +++ b/src/calibre/devices/binatone/driver.py
 @@ -1,5 +1,5 @@
@@ -2746,8 +2746,8 @@ Index: b/src/calibre/devices/binatone/dr
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john at nachtimwald.com>'
-Index: b/src/calibre/devices/blackberry/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/blackberry/__init__.py b/src/calibre/devices/blackberry/__init__.py
+index e4919c22e9..f0a799e860 100644
 --- a/src/calibre/devices/blackberry/__init__.py
 +++ b/src/calibre/devices/blackberry/__init__.py
 @@ -1,4 +1,4 @@
@@ -2756,8 +2756,8 @@ Index: b/src/calibre/devices/blackberry/
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/blackberry/driver.py
-===================================================================
+diff --git a/src/calibre/devices/blackberry/driver.py b/src/calibre/devices/blackberry/driver.py
+index 0054be93a0..7f6eeaae90 100644
 --- a/src/calibre/devices/blackberry/driver.py
 +++ b/src/calibre/devices/blackberry/driver.py
 @@ -1,5 +1,5 @@
@@ -2767,8 +2767,8 @@ Index: b/src/calibre/devices/blackberry/
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/boeye/driver.py
-===================================================================
+diff --git a/src/calibre/devices/boeye/driver.py b/src/calibre/devices/boeye/driver.py
+index 17af18005d..d261670dbd 100644
 --- a/src/calibre/devices/boeye/driver.py
 +++ b/src/calibre/devices/boeye/driver.py
 @@ -1,4 +1,4 @@
@@ -2777,8 +2777,8 @@ Index: b/src/calibre/devices/boeye/drive
  
  __license__   = 'GPL v3'
  __copyright__ = '2011,  Ken <ken at szboeye.com>'
-Index: b/src/calibre/devices/cli.py
-===================================================================
+diff --git a/src/calibre/devices/cli.py b/src/calibre/devices/cli.py
+index ea4afdf7c1..1d8b465b5c 100755
 --- a/src/calibre/devices/cli.py
 +++ b/src/calibre/devices/cli.py
 @@ -1,6 +1,6 @@
@@ -2789,8 +2789,8 @@ Index: b/src/calibre/devices/cli.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/cybook/driver.py
-===================================================================
+diff --git a/src/calibre/devices/cybook/driver.py b/src/calibre/devices/cybook/driver.py
+index 6048387483..07f9f4d4a6 100644
 --- a/src/calibre/devices/cybook/driver.py
 +++ b/src/calibre/devices/cybook/driver.py
 @@ -1,5 +1,5 @@
@@ -2800,8 +2800,8 @@ Index: b/src/calibre/devices/cybook/driv
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john at nachtimwald.com>'
-Index: b/src/calibre/devices/cybook/t2b.py
-===================================================================
+diff --git a/src/calibre/devices/cybook/t2b.py b/src/calibre/devices/cybook/t2b.py
+index 444c251580..48ad9bcb87 100644
 --- a/src/calibre/devices/cybook/t2b.py
 +++ b/src/calibre/devices/cybook/t2b.py
 @@ -1,4 +1,4 @@
@@ -2810,8 +2810,8 @@ Index: b/src/calibre/devices/cybook/t2b.
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john at nachtimwald.com>'
-Index: b/src/calibre/devices/cybook/t4b.py
-===================================================================
+diff --git a/src/calibre/devices/cybook/t4b.py b/src/calibre/devices/cybook/t4b.py
+index 8f71354fa5..dca767e9df 100644
 --- a/src/calibre/devices/cybook/t4b.py
 +++ b/src/calibre/devices/cybook/t4b.py
 @@ -1,5 +1,5 @@
@@ -2821,8 +2821,8 @@ Index: b/src/calibre/devices/cybook/t4b.
  __license__   = 'GPL v3'
  __copyright__ = '2013, Jellby <jellby at yahoo.com>'
  '''
-Index: b/src/calibre/devices/eb600/driver.py
-===================================================================
+diff --git a/src/calibre/devices/eb600/driver.py b/src/calibre/devices/eb600/driver.py
+index 739c56159e..b2de821336 100644
 --- a/src/calibre/devices/eb600/driver.py
 +++ b/src/calibre/devices/eb600/driver.py
 @@ -1,5 +1,5 @@
@@ -2832,8 +2832,8 @@ Index: b/src/calibre/devices/eb600/drive
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/edge/driver.py
-===================================================================
+diff --git a/src/calibre/devices/edge/driver.py b/src/calibre/devices/edge/driver.py
+index e39ff579f2..d4bd1a7364 100644
 --- a/src/calibre/devices/edge/driver.py
 +++ b/src/calibre/devices/edge/driver.py
 @@ -1,5 +1,5 @@
@@ -2843,8 +2843,8 @@ Index: b/src/calibre/devices/edge/driver
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal'
-Index: b/src/calibre/devices/errors.py
-===================================================================
+diff --git a/src/calibre/devices/errors.py b/src/calibre/devices/errors.py
+index 95877fc72c..a0d0b61ce8 100644
 --- a/src/calibre/devices/errors.py
 +++ b/src/calibre/devices/errors.py
 @@ -1,4 +1,4 @@
@@ -2853,8 +2853,8 @@ Index: b/src/calibre/devices/errors.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/eslick/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/eslick/__init__.py b/src/calibre/devices/eslick/__init__.py
+index a9b056d940..d8edc6064a 100644
 --- a/src/calibre/devices/eslick/__init__.py
 +++ b/src/calibre/devices/eslick/__init__.py
 @@ -1,6 +1,6 @@
@@ -2865,8 +2865,8 @@ Index: b/src/calibre/devices/eslick/__in
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/eslick/driver.py
-===================================================================
+diff --git a/src/calibre/devices/eslick/driver.py b/src/calibre/devices/eslick/driver.py
+index fc1ec0d393..328bddac5a 100644
 --- a/src/calibre/devices/eslick/driver.py
 +++ b/src/calibre/devices/eslick/driver.py
 @@ -1,6 +1,6 @@
@@ -2877,8 +2877,8 @@ Index: b/src/calibre/devices/eslick/driv
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/folder_device/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/folder_device/__init__.py b/src/calibre/devices/folder_device/__init__.py
+index a9b056d940..d8edc6064a 100644
 --- a/src/calibre/devices/folder_device/__init__.py
 +++ b/src/calibre/devices/folder_device/__init__.py
 @@ -1,6 +1,6 @@
@@ -2889,8 +2889,8 @@ Index: b/src/calibre/devices/folder_devi
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/folder_device/driver.py
-===================================================================
+diff --git a/src/calibre/devices/folder_device/driver.py b/src/calibre/devices/folder_device/driver.py
+index af9cc8c562..94366d5e1a 100644
 --- a/src/calibre/devices/folder_device/driver.py
 +++ b/src/calibre/devices/folder_device/driver.py
 @@ -1,4 +1,4 @@
@@ -2899,8 +2899,8 @@ Index: b/src/calibre/devices/folder_devi
  
  '''
  Created on 15 May 2010
-Index: b/src/calibre/devices/hanlin/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/hanlin/__init__.py b/src/calibre/devices/hanlin/__init__.py
+index 15c918adaa..accbf2eede 100644
 --- a/src/calibre/devices/hanlin/__init__.py
 +++ b/src/calibre/devices/hanlin/__init__.py
 @@ -1,4 +1,4 @@
@@ -2909,8 +2909,8 @@ Index: b/src/calibre/devices/hanlin/__in
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Tijmen Ruizendaal <tijmen at mybebook.com>'
-Index: b/src/calibre/devices/hanlin/driver.py
-===================================================================
+diff --git a/src/calibre/devices/hanlin/driver.py b/src/calibre/devices/hanlin/driver.py
+index 011fce8e5a..a0349cb24a 100644
 --- a/src/calibre/devices/hanlin/driver.py
 +++ b/src/calibre/devices/hanlin/driver.py
 @@ -1,5 +1,5 @@
@@ -2920,8 +2920,8 @@ Index: b/src/calibre/devices/hanlin/driv
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Tijmen Ruizendaal <tijmen at mybebook.com>'
-Index: b/src/calibre/devices/hanvon/driver.py
-===================================================================
+diff --git a/src/calibre/devices/hanvon/driver.py b/src/calibre/devices/hanvon/driver.py
+index ef74181db2..420fc4d7fa 100644
 --- a/src/calibre/devices/hanvon/driver.py
 +++ b/src/calibre/devices/hanvon/driver.py
 @@ -1,5 +1,5 @@
@@ -2931,8 +2931,8 @@ Index: b/src/calibre/devices/hanvon/driv
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john at nachtimwald.com>'
-Index: b/src/calibre/devices/iliad/driver.py
-===================================================================
+diff --git a/src/calibre/devices/iliad/driver.py b/src/calibre/devices/iliad/driver.py
+index 64a8e00b22..e63c38d965 100644
 --- a/src/calibre/devices/iliad/driver.py
 +++ b/src/calibre/devices/iliad/driver.py
 @@ -1,5 +1,5 @@
@@ -2942,8 +2942,8 @@ Index: b/src/calibre/devices/iliad/drive
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/devices/interface.py
-===================================================================
+diff --git a/src/calibre/devices/interface.py b/src/calibre/devices/interface.py
+index 1b1071d534..c593d45e20 100644
 --- a/src/calibre/devices/interface.py
 +++ b/src/calibre/devices/interface.py
 @@ -1,4 +1,4 @@
@@ -2952,8 +2952,8 @@ Index: b/src/calibre/devices/interface.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/irexdr/driver.py
-===================================================================
+diff --git a/src/calibre/devices/irexdr/driver.py b/src/calibre/devices/irexdr/driver.py
+index 305ba90032..d18ae315a7 100644
 --- a/src/calibre/devices/irexdr/driver.py
 +++ b/src/calibre/devices/irexdr/driver.py
 @@ -1,5 +1,5 @@
@@ -2963,8 +2963,8 @@ Index: b/src/calibre/devices/irexdr/driv
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/devices/iriver/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/iriver/__init__.py b/src/calibre/devices/iriver/__init__.py
+index a9b056d940..d8edc6064a 100644
 --- a/src/calibre/devices/iriver/__init__.py
 +++ b/src/calibre/devices/iriver/__init__.py
 @@ -1,6 +1,6 @@
@@ -2975,8 +2975,8 @@ Index: b/src/calibre/devices/iriver/__in
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/iriver/driver.py
-===================================================================
+diff --git a/src/calibre/devices/iriver/driver.py b/src/calibre/devices/iriver/driver.py
+index 36834464e7..83467f1bb8 100644
 --- a/src/calibre/devices/iriver/driver.py
 +++ b/src/calibre/devices/iriver/driver.py
 @@ -1,6 +1,6 @@
@@ -2987,8 +2987,8 @@ Index: b/src/calibre/devices/iriver/driv
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/jetbook/driver.py
-===================================================================
+diff --git a/src/calibre/devices/jetbook/driver.py b/src/calibre/devices/jetbook/driver.py
+index edad664029..2683570808 100644
 --- a/src/calibre/devices/jetbook/driver.py
 +++ b/src/calibre/devices/jetbook/driver.py
 @@ -1,5 +1,5 @@
@@ -2998,8 +2998,8 @@ Index: b/src/calibre/devices/jetbook/dri
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, James Ralston <jralston at mindspring.com>'
-Index: b/src/calibre/devices/kindle/apnx.py
-===================================================================
+diff --git a/src/calibre/devices/kindle/apnx.py b/src/calibre/devices/kindle/apnx.py
+index e9a8639d0a..6a0faccf53 100644
 --- a/src/calibre/devices/kindle/apnx.py
 +++ b/src/calibre/devices/kindle/apnx.py
 @@ -1,5 +1,5 @@
@@ -3009,8 +3009,8 @@ Index: b/src/calibre/devices/kindle/apnx
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, John Schember <john at nachtimwald.com>'
-Index: b/src/calibre/devices/kindle/bookmark.py
-===================================================================
+diff --git a/src/calibre/devices/kindle/bookmark.py b/src/calibre/devices/kindle/bookmark.py
+index d01e10e251..2537906773 100644
 --- a/src/calibre/devices/kindle/bookmark.py
 +++ b/src/calibre/devices/kindle/bookmark.py
 @@ -1,6 +1,6 @@
@@ -3021,8 +3021,8 @@ Index: b/src/calibre/devices/kindle/book
  
  __license__   = 'GPL v3'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/devices/kindle/driver.py
-===================================================================
+diff --git a/src/calibre/devices/kindle/driver.py b/src/calibre/devices/kindle/driver.py
+index 6527626374..14f328cbf1 100644
 --- a/src/calibre/devices/kindle/driver.py
 +++ b/src/calibre/devices/kindle/driver.py
 @@ -1,5 +1,5 @@
@@ -3032,8 +3032,8 @@ Index: b/src/calibre/devices/kindle/driv
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john at nachtimwald.com>'
-Index: b/src/calibre/devices/kobo/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/kobo/__init__.py b/src/calibre/devices/kobo/__init__.py
+index 078ddb1bf4..b09471af7e 100644
 --- a/src/calibre/devices/kobo/__init__.py
 +++ b/src/calibre/devices/kobo/__init__.py
 @@ -1,7 +1,7 @@
@@ -3045,8 +3045,8 @@ Index: b/src/calibre/devices/kobo/__init
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/kobo/bookmark.py
-===================================================================
+diff --git a/src/calibre/devices/kobo/bookmark.py b/src/calibre/devices/kobo/bookmark.py
+index 625f1be6d7..8de1b66944 100644
 --- a/src/calibre/devices/kobo/bookmark.py
 +++ b/src/calibre/devices/kobo/bookmark.py
 @@ -1,5 +1,5 @@
@@ -3056,8 +3056,8 @@ Index: b/src/calibre/devices/kobo/bookma
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Timothy Legge <timlegge@gmail.com> and Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/kobo/books.py
-===================================================================
+diff --git a/src/calibre/devices/kobo/books.py b/src/calibre/devices/kobo/books.py
+index f3561807fe..9a8d06798c 100644
 --- a/src/calibre/devices/kobo/books.py
 +++ b/src/calibre/devices/kobo/books.py
 @@ -1,4 +1,4 @@
@@ -3066,8 +3066,8 @@ Index: b/src/calibre/devices/kobo/books.
  __license__   = 'GPL v3'
  __copyright__ = '2010-2012, , Timothy Legge <timlegge at gmail.com> and David Forrester <davidfor@internode.on.net>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/devices/kobo/driver.py
-===================================================================
+diff --git a/src/calibre/devices/kobo/driver.py b/src/calibre/devices/kobo/driver.py
+index aeff7d4d88..23085c6985 100644
 --- a/src/calibre/devices/kobo/driver.py
 +++ b/src/calibre/devices/kobo/driver.py
 @@ -1,6 +1,6 @@
@@ -3078,8 +3078,8 @@ Index: b/src/calibre/devices/kobo/driver
  
  __license__   = 'GPL v3'
  __copyright__ = '2010-2019, Timothy Legge <timlegge@gmail.com>, Kovid Goyal <kovid@kovidgoyal.net> and David Forrester <davidfor@internode.on.net>'
-Index: b/src/calibre/devices/kobo/kobotouch_config.py
-===================================================================
+diff --git a/src/calibre/devices/kobo/kobotouch_config.py b/src/calibre/devices/kobo/kobotouch_config.py
+index c8a6623b76..3df355521e 100644
 --- a/src/calibre/devices/kobo/kobotouch_config.py
 +++ b/src/calibre/devices/kobo/kobotouch_config.py
 @@ -1,6 +1,6 @@
@@ -3090,8 +3090,8 @@ Index: b/src/calibre/devices/kobo/koboto
  
  __license__   = 'GPL v3'
  __copyright__ = '2015-2019, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/mime.py
-===================================================================
+diff --git a/src/calibre/devices/mime.py b/src/calibre/devices/mime.py
+index 0762ea7809..1853d40c2f 100644
 --- a/src/calibre/devices/mime.py
 +++ b/src/calibre/devices/mime.py
 @@ -1,4 +1,4 @@
@@ -3100,8 +3100,8 @@ Index: b/src/calibre/devices/mime.py
  __license__ = 'GPL 3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/devices/misc.py
-===================================================================
+diff --git a/src/calibre/devices/misc.py b/src/calibre/devices/misc.py
+index 7ee7fb15df..1d32426f00 100644
 --- a/src/calibre/devices/misc.py
 +++ b/src/calibre/devices/misc.py
 @@ -1,6 +1,6 @@
@@ -3112,8 +3112,8 @@ Index: b/src/calibre/devices/misc.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/mtp/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/__init__.py b/src/calibre/devices/mtp/__init__.py
+index 5f6c324bfc..6b2910c3df 100644
 --- a/src/calibre/devices/mtp/__init__.py
 +++ b/src/calibre/devices/mtp/__init__.py
 @@ -1,6 +1,6 @@
@@ -3124,8 +3124,8 @@ Index: b/src/calibre/devices/mtp/__init_
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/mtp/base.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/base.py b/src/calibre/devices/mtp/base.py
+index 79d342c86f..eaf199671d 100644
 --- a/src/calibre/devices/mtp/base.py
 +++ b/src/calibre/devices/mtp/base.py
 @@ -1,6 +1,6 @@
@@ -3136,8 +3136,8 @@ Index: b/src/calibre/devices/mtp/base.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/mtp/books.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/books.py b/src/calibre/devices/mtp/books.py
+index 3f65d80d1d..e58fab1af9 100644
 --- a/src/calibre/devices/mtp/books.py
 +++ b/src/calibre/devices/mtp/books.py
 @@ -1,6 +1,6 @@
@@ -3148,8 +3148,8 @@ Index: b/src/calibre/devices/mtp/books.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/mtp/defaults.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/defaults.py b/src/calibre/devices/mtp/defaults.py
+index 9c1d66c461..33a730f539 100644
 --- a/src/calibre/devices/mtp/defaults.py
 +++ b/src/calibre/devices/mtp/defaults.py
 @@ -1,6 +1,6 @@
@@ -3160,8 +3160,8 @@ Index: b/src/calibre/devices/mtp/default
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/mtp/driver.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/driver.py b/src/calibre/devices/mtp/driver.py
+index 0a13169373..e35d3d996b 100644
 --- a/src/calibre/devices/mtp/driver.py
 +++ b/src/calibre/devices/mtp/driver.py
 @@ -1,6 +1,6 @@
@@ -3172,8 +3172,8 @@ Index: b/src/calibre/devices/mtp/driver.
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/mtp/filesystem_cache.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/filesystem_cache.py b/src/calibre/devices/mtp/filesystem_cache.py
+index 1789e3b399..b43361583e 100644
 --- a/src/calibre/devices/mtp/filesystem_cache.py
 +++ b/src/calibre/devices/mtp/filesystem_cache.py
 @@ -1,6 +1,6 @@
@@ -3184,8 +3184,8 @@ Index: b/src/calibre/devices/mtp/filesys
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/mtp/test.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/test.py b/src/calibre/devices/mtp/test.py
+index f36ffeacec..b39170e2f0 100644
 --- a/src/calibre/devices/mtp/test.py
 +++ b/src/calibre/devices/mtp/test.py
 @@ -1,6 +1,6 @@
@@ -3196,8 +3196,8 @@ Index: b/src/calibre/devices/mtp/test.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/mtp/unix/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/unix/__init__.py b/src/calibre/devices/mtp/unix/__init__.py
+index 4fc65986b7..004e23d52d 100644
 --- a/src/calibre/devices/mtp/unix/__init__.py
 +++ b/src/calibre/devices/mtp/unix/__init__.py
 @@ -1,6 +1,6 @@
@@ -3208,8 +3208,8 @@ Index: b/src/calibre/devices/mtp/unix/__
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/mtp/unix/driver.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/unix/driver.py b/src/calibre/devices/mtp/unix/driver.py
+index 47e1d5c392..bb5b235e8a 100644
 --- a/src/calibre/devices/mtp/unix/driver.py
 +++ b/src/calibre/devices/mtp/unix/driver.py
 @@ -1,6 +1,6 @@
@@ -3220,8 +3220,8 @@ Index: b/src/calibre/devices/mtp/unix/dr
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/mtp/unix/sysfs.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/unix/sysfs.py b/src/calibre/devices/mtp/unix/sysfs.py
+index 5ec178f9fa..577d4f6688 100644
 --- a/src/calibre/devices/mtp/unix/sysfs.py
 +++ b/src/calibre/devices/mtp/unix/sysfs.py
 @@ -1,6 +1,6 @@
@@ -3232,8 +3232,8 @@ Index: b/src/calibre/devices/mtp/unix/sy
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/mtp/unix/upstream/update.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/unix/upstream/update.py b/src/calibre/devices/mtp/unix/upstream/update.py
+index 43b8d1aa1c..54e17e5c23 100755
 --- a/src/calibre/devices/mtp/unix/upstream/update.py
 +++ b/src/calibre/devices/mtp/unix/upstream/update.py
 @@ -1,6 +1,6 @@
@@ -3244,8 +3244,8 @@ Index: b/src/calibre/devices/mtp/unix/up
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/mtp/windows/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/windows/__init__.py b/src/calibre/devices/mtp/windows/__init__.py
+index 2b86b54dc3..3610d3374c 100644
 --- a/src/calibre/devices/mtp/windows/__init__.py
 +++ b/src/calibre/devices/mtp/windows/__init__.py
 @@ -1,6 +1,6 @@
@@ -3256,8 +3256,8 @@ Index: b/src/calibre/devices/mtp/windows
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/mtp/windows/driver.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/windows/driver.py b/src/calibre/devices/mtp/windows/driver.py
+index cc2d4ce238..712f895248 100644
 --- a/src/calibre/devices/mtp/windows/driver.py
 +++ b/src/calibre/devices/mtp/windows/driver.py
 @@ -1,6 +1,6 @@
@@ -3268,8 +3268,8 @@ Index: b/src/calibre/devices/mtp/windows
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/mtp/windows/remote.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/windows/remote.py b/src/calibre/devices/mtp/windows/remote.py
+index 80b892302c..2bbe8ae766 100644
 --- a/src/calibre/devices/mtp/windows/remote.py
 +++ b/src/calibre/devices/mtp/windows/remote.py
 @@ -1,6 +1,6 @@
@@ -3280,8 +3280,8 @@ Index: b/src/calibre/devices/mtp/windows
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/nokia/driver.py
-===================================================================
+diff --git a/src/calibre/devices/nokia/driver.py b/src/calibre/devices/nokia/driver.py
+index 4041b44afb..b3b9b8a94d 100644
 --- a/src/calibre/devices/nokia/driver.py
 +++ b/src/calibre/devices/nokia/driver.py
 @@ -1,5 +1,5 @@
@@ -3291,8 +3291,8 @@ Index: b/src/calibre/devices/nokia/drive
  
  __license__   = 'GPL v3'
  __copyright__ = '2009-2014, John Schember <john at nachtimwald.com> and Andres Gomez <agomez at igalia.com>'
-Index: b/src/calibre/devices/nook/driver.py
-===================================================================
+diff --git a/src/calibre/devices/nook/driver.py b/src/calibre/devices/nook/driver.py
+index 1bf1101467..23a5e81b83 100644
 --- a/src/calibre/devices/nook/driver.py
 +++ b/src/calibre/devices/nook/driver.py
 @@ -1,5 +1,5 @@
@@ -3302,8 +3302,8 @@ Index: b/src/calibre/devices/nook/driver
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john at nachtimwald.com>'
-Index: b/src/calibre/devices/nuut2/driver.py
-===================================================================
+diff --git a/src/calibre/devices/nuut2/driver.py b/src/calibre/devices/nuut2/driver.py
+index 3c8b21c07c..7a4c76b5a0 100644
 --- a/src/calibre/devices/nuut2/driver.py
 +++ b/src/calibre/devices/nuut2/driver.py
 @@ -1,5 +1,5 @@
@@ -3313,8 +3313,8 @@ Index: b/src/calibre/devices/nuut2/drive
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/paladin/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/paladin/__init__.py b/src/calibre/devices/paladin/__init__.py
+index c63cb57432..463ad37bb2 100644
 --- a/src/calibre/devices/paladin/__init__.py
 +++ b/src/calibre/devices/paladin/__init__.py
 @@ -1,6 +1,6 @@
@@ -3325,8 +3325,8 @@ Index: b/src/calibre/devices/paladin/__i
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/paladin/driver.py
-===================================================================
+diff --git a/src/calibre/devices/paladin/driver.py b/src/calibre/devices/paladin/driver.py
+index 4cfc6b3616..75a1a545c4 100644
 --- a/src/calibre/devices/paladin/driver.py
 +++ b/src/calibre/devices/paladin/driver.py
 @@ -2,7 +2,7 @@
@@ -3338,8 +3338,8 @@ Index: b/src/calibre/devices/paladin/dri
  '''
  Device driver for the Paladin devices
  '''
-Index: b/src/calibre/devices/prs505/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/prs505/__init__.py b/src/calibre/devices/prs505/__init__.py
+index f0290e7e27..7b237f281b 100644
 --- a/src/calibre/devices/prs505/__init__.py
 +++ b/src/calibre/devices/prs505/__init__.py
 @@ -1,4 +1,4 @@
@@ -3348,8 +3348,8 @@ Index: b/src/calibre/devices/prs505/__in
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/prs505/driver.py
-===================================================================
+diff --git a/src/calibre/devices/prs505/driver.py b/src/calibre/devices/prs505/driver.py
+index 2a11f661e6..fd3e5d2176 100644
 --- a/src/calibre/devices/prs505/driver.py
 +++ b/src/calibre/devices/prs505/driver.py
 @@ -1,4 +1,4 @@
@@ -3358,8 +3358,8 @@ Index: b/src/calibre/devices/prs505/driv
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/prs505/sony_cache.py
-===================================================================
+diff --git a/src/calibre/devices/prs505/sony_cache.py b/src/calibre/devices/prs505/sony_cache.py
+index 1ce4a3fe58..d6aff913ce 100644
 --- a/src/calibre/devices/prs505/sony_cache.py
 +++ b/src/calibre/devices/prs505/sony_cache.py
 @@ -1,6 +1,6 @@
@@ -3370,8 +3370,8 @@ Index: b/src/calibre/devices/prs505/sony
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/prst1/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/prst1/__init__.py b/src/calibre/devices/prst1/__init__.py
+index c63cb57432..463ad37bb2 100644
 --- a/src/calibre/devices/prst1/__init__.py
 +++ b/src/calibre/devices/prst1/__init__.py
 @@ -1,6 +1,6 @@
@@ -3382,8 +3382,8 @@ Index: b/src/calibre/devices/prst1/__ini
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/prst1/driver.py
-===================================================================
+diff --git a/src/calibre/devices/prst1/driver.py b/src/calibre/devices/prst1/driver.py
+index 399186eb9e..b9dfc65406 100644
 --- a/src/calibre/devices/prst1/driver.py
 +++ b/src/calibre/devices/prst1/driver.py
 @@ -1,6 +1,6 @@
@@ -3394,8 +3394,8 @@ Index: b/src/calibre/devices/prst1/drive
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/scanner.py
-===================================================================
+diff --git a/src/calibre/devices/scanner.py b/src/calibre/devices/scanner.py
+index 33e0287b24..924091605f 100644
 --- a/src/calibre/devices/scanner.py
 +++ b/src/calibre/devices/scanner.py
 @@ -1,4 +1,4 @@
@@ -3404,8 +3404,8 @@ Index: b/src/calibre/devices/scanner.py
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  '''
-Index: b/src/calibre/devices/smart_device_app/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/smart_device_app/__init__.py b/src/calibre/devices/smart_device_app/__init__.py
+index 078ddb1bf4..b09471af7e 100644
 --- a/src/calibre/devices/smart_device_app/__init__.py
 +++ b/src/calibre/devices/smart_device_app/__init__.py
 @@ -1,7 +1,7 @@
@@ -3417,8 +3417,8 @@ Index: b/src/calibre/devices/smart_devic
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/smart_device_app/driver.py
-===================================================================
+diff --git a/src/calibre/devices/smart_device_app/driver.py b/src/calibre/devices/smart_device_app/driver.py
+index b6abf365ab..8274432a1a 100644
 --- a/src/calibre/devices/smart_device_app/driver.py
 +++ b/src/calibre/devices/smart_device_app/driver.py
 @@ -1,6 +1,6 @@
@@ -3429,8 +3429,8 @@ Index: b/src/calibre/devices/smart_devic
  '''
  Created on 29 Jun 2012
  
-Index: b/src/calibre/devices/sne/driver.py
-===================================================================
+diff --git a/src/calibre/devices/sne/driver.py b/src/calibre/devices/sne/driver.py
+index 3d79ccab6a..357b7ea511 100644
 --- a/src/calibre/devices/sne/driver.py
 +++ b/src/calibre/devices/sne/driver.py
 @@ -1,5 +1,5 @@
@@ -3440,8 +3440,8 @@ Index: b/src/calibre/devices/sne/driver.
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john at nachtimwald.com>'
-Index: b/src/calibre/devices/teclast/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/teclast/__init__.py b/src/calibre/devices/teclast/__init__.py
+index 3e2240e94d..c227aeaca5 100644
 --- a/src/calibre/devices/teclast/__init__.py
 +++ b/src/calibre/devices/teclast/__init__.py
 @@ -1,6 +1,6 @@
@@ -3452,8 +3452,8 @@ Index: b/src/calibre/devices/teclast/__i
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/teclast/driver.py
-===================================================================
+diff --git a/src/calibre/devices/teclast/driver.py b/src/calibre/devices/teclast/driver.py
+index 1de803da8c..81c65e7d6d 100644
 --- a/src/calibre/devices/teclast/driver.py
 +++ b/src/calibre/devices/teclast/driver.py
 @@ -1,4 +1,4 @@
@@ -3462,8 +3462,8 @@ Index: b/src/calibre/devices/teclast/dri
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/udisks.py
-===================================================================
+diff --git a/src/calibre/devices/udisks.py b/src/calibre/devices/udisks.py
+index 13711b60eb..46d6741bf3 100644
 --- a/src/calibre/devices/udisks.py
 +++ b/src/calibre/devices/udisks.py
 @@ -1,6 +1,6 @@
@@ -3474,8 +3474,8 @@ Index: b/src/calibre/devices/udisks.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/usbms/books.py
-===================================================================
+diff --git a/src/calibre/devices/usbms/books.py b/src/calibre/devices/usbms/books.py
+index bbb89e316c..692190c1b6 100644
 --- a/src/calibre/devices/usbms/books.py
 +++ b/src/calibre/devices/usbms/books.py
 @@ -1,6 +1,6 @@
@@ -3486,8 +3486,8 @@ Index: b/src/calibre/devices/usbms/books
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/devices/usbms/cli.py
-===================================================================
+diff --git a/src/calibre/devices/usbms/cli.py b/src/calibre/devices/usbms/cli.py
+index 20319c23b3..7a4dc0f893 100644
 --- a/src/calibre/devices/usbms/cli.py
 +++ b/src/calibre/devices/usbms/cli.py
 @@ -1,5 +1,5 @@
@@ -3497,8 +3497,8 @@ Index: b/src/calibre/devices/usbms/cli.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/devices/usbms/device.py
-===================================================================
+diff --git a/src/calibre/devices/usbms/device.py b/src/calibre/devices/usbms/device.py
+index 2a474fd1d2..67f45964ba 100644
 --- a/src/calibre/devices/usbms/device.py
 +++ b/src/calibre/devices/usbms/device.py
 @@ -1,5 +1,5 @@
@@ -3508,8 +3508,8 @@ Index: b/src/calibre/devices/usbms/devic
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john at nachtimwald.com> ' \
-Index: b/src/calibre/devices/usbms/deviceconfig.py
-===================================================================
+diff --git a/src/calibre/devices/usbms/deviceconfig.py b/src/calibre/devices/usbms/deviceconfig.py
+index 0ec0d5a27f..0f1cb37b7f 100644
 --- a/src/calibre/devices/usbms/deviceconfig.py
 +++ b/src/calibre/devices/usbms/deviceconfig.py
 @@ -1,5 +1,5 @@
@@ -3519,8 +3519,8 @@ Index: b/src/calibre/devices/usbms/devic
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/devices/usbms/driver.py
-===================================================================
+diff --git a/src/calibre/devices/usbms/driver.py b/src/calibre/devices/usbms/driver.py
+index 95907abcbf..d8c8ada680 100644
 --- a/src/calibre/devices/usbms/driver.py
 +++ b/src/calibre/devices/usbms/driver.py
 @@ -1,5 +1,5 @@
@@ -3530,8 +3530,8 @@ Index: b/src/calibre/devices/usbms/drive
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john at nachtimwald.com>'
-Index: b/src/calibre/devices/user_defined/driver.py
-===================================================================
+diff --git a/src/calibre/devices/user_defined/driver.py b/src/calibre/devices/user_defined/driver.py
+index 8886510de3..fcaf24364d 100644
 --- a/src/calibre/devices/user_defined/driver.py
 +++ b/src/calibre/devices/user_defined/driver.py
 @@ -1,5 +1,5 @@
@@ -3541,8 +3541,8 @@ Index: b/src/calibre/devices/user_define
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/devices/utils.py
-===================================================================
+diff --git a/src/calibre/devices/utils.py b/src/calibre/devices/utils.py
+index 401fc860e7..0cb0ad1bd9 100644
 --- a/src/calibre/devices/utils.py
 +++ b/src/calibre/devices/utils.py
 @@ -1,6 +1,6 @@
@@ -3553,8 +3553,8 @@ Index: b/src/calibre/devices/utils.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/devices/winusb.py
-===================================================================
+diff --git a/src/calibre/devices/winusb.py b/src/calibre/devices/winusb.py
+index f3256c7a68..207507d323 100644
 --- a/src/calibre/devices/winusb.py
 +++ b/src/calibre/devices/winusb.py
 @@ -2,7 +2,7 @@
@@ -3566,8 +3566,8 @@ Index: b/src/calibre/devices/winusb.py
  
  import os, string, re, sys
  from collections import namedtuple, defaultdict
-Index: b/src/calibre/ebooks/BeautifulSoup.py
-===================================================================
+diff --git a/src/calibre/ebooks/BeautifulSoup.py b/src/calibre/ebooks/BeautifulSoup.py
+index 038e98620b..ed0a43b4f1 100644
 --- a/src/calibre/ebooks/BeautifulSoup.py
 +++ b/src/calibre/ebooks/BeautifulSoup.py
 @@ -2,7 +2,7 @@
@@ -3579,8 +3579,8 @@ Index: b/src/calibre/ebooks/BeautifulSou
  
  import bs4
  from bs4 import (  # noqa
-Index: b/src/calibre/ebooks/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/__init__.py b/src/calibre/ebooks/__init__.py
+index a88f7519f6..6e5eac642b 100644
 --- a/src/calibre/ebooks/__init__.py
 +++ b/src/calibre/ebooks/__init__.py
 @@ -1,4 +1,4 @@
@@ -3589,8 +3589,8 @@ Index: b/src/calibre/ebooks/__init__.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/azw4/reader.py
-===================================================================
+diff --git a/src/calibre/ebooks/azw4/reader.py b/src/calibre/ebooks/azw4/reader.py
+index 6726e7b32d..c07b620d63 100644
 --- a/src/calibre/ebooks/azw4/reader.py
 +++ b/src/calibre/ebooks/azw4/reader.py
 @@ -1,5 +1,5 @@
@@ -3600,8 +3600,8 @@ Index: b/src/calibre/ebooks/azw4/reader.
  
  '''
  Read content from azw4 file.
-Index: b/src/calibre/ebooks/chardet.py
-===================================================================
+diff --git a/src/calibre/ebooks/chardet.py b/src/calibre/ebooks/chardet.py
+index b6104a26b2..56bbe69de6 100644
 --- a/src/calibre/ebooks/chardet.py
 +++ b/src/calibre/ebooks/chardet.py
 @@ -1,6 +1,6 @@
@@ -3612,8 +3612,8 @@ Index: b/src/calibre/ebooks/chardet.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/chm/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/chm/__init__.py b/src/calibre/ebooks/chm/__init__.py
+index 9c0d7f81fe..5f42cd2ed7 100644
 --- a/src/calibre/ebooks/chm/__init__.py
 +++ b/src/calibre/ebooks/chm/__init__.py
 @@ -1,5 +1,5 @@
@@ -3623,8 +3623,8 @@ Index: b/src/calibre/ebooks/chm/__init__
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/ebooks/chm/metadata.py
-===================================================================
+diff --git a/src/calibre/ebooks/chm/metadata.py b/src/calibre/ebooks/chm/metadata.py
+index fb134088ee..9278f758bd 100644
 --- a/src/calibre/ebooks/chm/metadata.py
 +++ b/src/calibre/ebooks/chm/metadata.py
 @@ -1,6 +1,6 @@
@@ -3635,8 +3635,8 @@ Index: b/src/calibre/ebooks/chm/metadata
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/chm/reader.py
-===================================================================
+diff --git a/src/calibre/ebooks/chm/reader.py b/src/calibre/ebooks/chm/reader.py
+index b5ce8981be..31a04223db 100644
 --- a/src/calibre/ebooks/chm/reader.py
 +++ b/src/calibre/ebooks/chm/reader.py
 @@ -1,4 +1,4 @@
@@ -3645,8 +3645,8 @@ Index: b/src/calibre/ebooks/chm/reader.p
  
  ''' CHM File decoding support '''
  __license__ = 'GPL v3'
-Index: b/src/calibre/ebooks/comic/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/comic/__init__.py b/src/calibre/ebooks/comic/__init__.py
+index 4307a071a3..64342a0920 100644
 --- a/src/calibre/ebooks/comic/__init__.py
 +++ b/src/calibre/ebooks/comic/__init__.py
 @@ -1,5 +1,5 @@
@@ -3656,8 +3656,8 @@ Index: b/src/calibre/ebooks/comic/__init
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/ebooks/comic/input.py
-===================================================================
+diff --git a/src/calibre/ebooks/comic/input.py b/src/calibre/ebooks/comic/input.py
+index 8512b30b97..13cfb8af0d 100644
 --- a/src/calibre/ebooks/comic/input.py
 +++ b/src/calibre/ebooks/comic/input.py
 @@ -1,4 +1,4 @@
@@ -3666,8 +3666,8 @@ Index: b/src/calibre/ebooks/comic/input.
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/ebooks/compression/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/compression/__init__.py b/src/calibre/ebooks/compression/__init__.py
+index c2b701674a..c8ab3b77a5 100644
 --- a/src/calibre/ebooks/compression/__init__.py
 +++ b/src/calibre/ebooks/compression/__init__.py
 @@ -1,5 +1,5 @@
@@ -3677,8 +3677,8 @@ Index: b/src/calibre/ebooks/compression/
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/compression/palmdoc.py
-===================================================================
+diff --git a/src/calibre/ebooks/compression/palmdoc.py b/src/calibre/ebooks/compression/palmdoc.py
+index 8d2a19783c..01f70bd67b 100644
 --- a/src/calibre/ebooks/compression/palmdoc.py
 +++ b/src/calibre/ebooks/compression/palmdoc.py
 @@ -1,6 +1,6 @@
@@ -3689,8 +3689,8 @@ Index: b/src/calibre/ebooks/compression/
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/compression/tcr.py
-===================================================================
+diff --git a/src/calibre/ebooks/compression/tcr.py b/src/calibre/ebooks/compression/tcr.py
+index 3080084196..453e14395a 100644
 --- a/src/calibre/ebooks/compression/tcr.py
 +++ b/src/calibre/ebooks/compression/tcr.py
 @@ -1,5 +1,5 @@
@@ -3700,8 +3700,8 @@ Index: b/src/calibre/ebooks/compression/
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/constants.py
-===================================================================
+diff --git a/src/calibre/ebooks/constants.py b/src/calibre/ebooks/constants.py
+index 02d27f6a9f..8cc5d43e27 100644
 --- a/src/calibre/ebooks/constants.py
 +++ b/src/calibre/ebooks/constants.py
 @@ -1,6 +1,6 @@
@@ -3712,8 +3712,8 @@ Index: b/src/calibre/ebooks/constants.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/__init__.py b/src/calibre/ebooks/conversion/__init__.py
+index be49b37591..d48f093caf 100644
 --- a/src/calibre/ebooks/conversion/__init__.py
 +++ b/src/calibre/ebooks/conversion/__init__.py
 @@ -1,5 +1,5 @@
@@ -3723,8 +3723,8 @@ Index: b/src/calibre/ebooks/conversion/_
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/cli.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/cli.py b/src/calibre/ebooks/conversion/cli.py
+index ce706aea73..9bdb34ee6d 100644
 --- a/src/calibre/ebooks/conversion/cli.py
 +++ b/src/calibre/ebooks/conversion/cli.py
 @@ -1,4 +1,4 @@
@@ -3733,8 +3733,8 @@ Index: b/src/calibre/ebooks/conversion/c
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/config.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/config.py b/src/calibre/ebooks/conversion/config.py
+index ee1dc6e708..459caab0d3 100644
 --- a/src/calibre/ebooks/conversion/config.py
 +++ b/src/calibre/ebooks/conversion/config.py
 @@ -1,6 +1,6 @@
@@ -3745,8 +3745,8 @@ Index: b/src/calibre/ebooks/conversion/c
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/__init__.py b/src/calibre/ebooks/conversion/plugins/__init__.py
+index 5f6c324bfc..6b2910c3df 100644
 --- a/src/calibre/ebooks/conversion/plugins/__init__.py
 +++ b/src/calibre/ebooks/conversion/plugins/__init__.py
 @@ -1,6 +1,6 @@
@@ -3757,8 +3757,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/azw4_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/azw4_input.py b/src/calibre/ebooks/conversion/plugins/azw4_input.py
+index d3a7e6a5f9..c381e9809c 100644
 --- a/src/calibre/ebooks/conversion/plugins/azw4_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/azw4_input.py
 @@ -1,5 +1,5 @@
@@ -3768,8 +3768,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/chm_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/chm_input.py b/src/calibre/ebooks/conversion/plugins/chm_input.py
+index 44f5de5f88..7ba0c601a4 100644
 --- a/src/calibre/ebooks/conversion/plugins/chm_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/chm_input.py
 @@ -1,4 +1,4 @@
@@ -3778,8 +3778,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  ''' CHM File decoding support '''
  __license__ = 'GPL v3'
-Index: b/src/calibre/ebooks/conversion/plugins/comic_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/comic_input.py b/src/calibre/ebooks/conversion/plugins/comic_input.py
+index 033a35cdf7..4a373ba340 100644
 --- a/src/calibre/ebooks/conversion/plugins/comic_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/comic_input.py
 @@ -1,4 +1,4 @@
@@ -3788,8 +3788,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/ebooks/conversion/plugins/djvu_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/djvu_input.py b/src/calibre/ebooks/conversion/plugins/djvu_input.py
+index ed61ff04d3..d9d22cf6b9 100644
 --- a/src/calibre/ebooks/conversion/plugins/djvu_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/djvu_input.py
 @@ -1,6 +1,6 @@
@@ -3800,8 +3800,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2011, Anthon van der Neut <anthon@mnt.org>'
-Index: b/src/calibre/ebooks/conversion/plugins/docx_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/docx_input.py b/src/calibre/ebooks/conversion/plugins/docx_input.py
+index bb08884eb8..e69cef7407 100644
 --- a/src/calibre/ebooks/conversion/plugins/docx_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/docx_input.py
 @@ -1,6 +1,6 @@
@@ -3812,8 +3812,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/docx_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/docx_output.py b/src/calibre/ebooks/conversion/plugins/docx_output.py
+index e5fd2f42ac..b8aa8002fb 100644
 --- a/src/calibre/ebooks/conversion/plugins/docx_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/docx_output.py
 @@ -1,6 +1,6 @@
@@ -3824,8 +3824,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/epub_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/epub_input.py b/src/calibre/ebooks/conversion/plugins/epub_input.py
+index 7c60b0e606..1ad6d8d290 100644
 --- a/src/calibre/ebooks/conversion/plugins/epub_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/epub_input.py
 @@ -1,4 +1,4 @@
@@ -3834,8 +3834,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/epub_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/epub_output.py b/src/calibre/ebooks/conversion/plugins/epub_output.py
+index 9b0efce177..1607d4fe42 100644
 --- a/src/calibre/ebooks/conversion/plugins/epub_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/epub_output.py
 @@ -1,6 +1,6 @@
@@ -3846,8 +3846,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/fb2_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/fb2_input.py b/src/calibre/ebooks/conversion/plugins/fb2_input.py
+index d82220d021..3a63a91b4b 100644
 --- a/src/calibre/ebooks/conversion/plugins/fb2_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/fb2_input.py
 @@ -1,4 +1,4 @@
@@ -3856,8 +3856,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Anatoly Shipitsin <norguhtar at gmail.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/fb2_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/fb2_output.py b/src/calibre/ebooks/conversion/plugins/fb2_output.py
+index ce99457d0c..2c99437846 100644
 --- a/src/calibre/ebooks/conversion/plugins/fb2_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/fb2_output.py
 @@ -1,5 +1,5 @@
@@ -3867,8 +3867,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/html_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/html_input.py b/src/calibre/ebooks/conversion/plugins/html_input.py
+index 7474ab7906..3350ad43fa 100644
 --- a/src/calibre/ebooks/conversion/plugins/html_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/html_input.py
 @@ -1,6 +1,6 @@
@@ -3879,8 +3879,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/html_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/html_output.py b/src/calibre/ebooks/conversion/plugins/html_output.py
+index b45c3c61f0..1aa29c86d5 100644
 --- a/src/calibre/ebooks/conversion/plugins/html_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/html_output.py
 @@ -1,4 +1,4 @@
@@ -3889,8 +3889,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2010, Fabian Grassl <fg@jusmeum.de>'
-Index: b/src/calibre/ebooks/conversion/plugins/htmlz_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/htmlz_input.py b/src/calibre/ebooks/conversion/plugins/htmlz_input.py
+index baed0c1ac7..05c6f52faa 100644
 --- a/src/calibre/ebooks/conversion/plugins/htmlz_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/htmlz_input.py
 @@ -1,5 +1,5 @@
@@ -3900,8 +3900,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/ebooks/conversion/plugins/htmlz_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/htmlz_output.py b/src/calibre/ebooks/conversion/plugins/htmlz_output.py
+index c72fd09adf..ee63954dd8 100644
 --- a/src/calibre/ebooks/conversion/plugins/htmlz_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/htmlz_output.py
 @@ -1,5 +1,5 @@
@@ -3911,8 +3911,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/ebooks/conversion/plugins/lit_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/lit_input.py b/src/calibre/ebooks/conversion/plugins/lit_input.py
+index 65b94d0119..16a3c376d5 100644
 --- a/src/calibre/ebooks/conversion/plugins/lit_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/lit_input.py
 @@ -1,6 +1,6 @@
@@ -3923,8 +3923,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/lit_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/lit_output.py b/src/calibre/ebooks/conversion/plugins/lit_output.py
+index 9c266ffc70..46e3c22e13 100644
 --- a/src/calibre/ebooks/conversion/plugins/lit_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/lit_output.py
 @@ -1,6 +1,6 @@
@@ -3935,8 +3935,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/lrf_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/lrf_input.py b/src/calibre/ebooks/conversion/plugins/lrf_input.py
+index 8052e32c76..e3d5e6cc25 100644
 --- a/src/calibre/ebooks/conversion/plugins/lrf_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/lrf_input.py
 @@ -1,6 +1,6 @@
@@ -3947,8 +3947,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/lrf_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/lrf_output.py b/src/calibre/ebooks/conversion/plugins/lrf_output.py
+index 2797347cf1..26650a8a69 100644
 --- a/src/calibre/ebooks/conversion/plugins/lrf_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/lrf_output.py
 @@ -1,6 +1,6 @@
@@ -3959,8 +3959,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/mobi_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/mobi_input.py b/src/calibre/ebooks/conversion/plugins/mobi_input.py
+index 34e0f466ff..457ece8bca 100644
 --- a/src/calibre/ebooks/conversion/plugins/mobi_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/mobi_input.py
 @@ -1,4 +1,4 @@
@@ -3969,8 +3969,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/mobi_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/mobi_output.py b/src/calibre/ebooks/conversion/plugins/mobi_output.py
+index 0ff7a8cd9a..6151abfc68 100644
 --- a/src/calibre/ebooks/conversion/plugins/mobi_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/mobi_output.py
 @@ -1,6 +1,6 @@
@@ -3981,8 +3981,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/odt_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/odt_input.py b/src/calibre/ebooks/conversion/plugins/odt_input.py
+index f2f045b977..33989d16af 100644
 --- a/src/calibre/ebooks/conversion/plugins/odt_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/odt_input.py
 @@ -1,4 +1,4 @@
@@ -3991,8 +3991,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/ebooks/conversion/plugins/oeb_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/oeb_output.py b/src/calibre/ebooks/conversion/plugins/oeb_output.py
+index df1aa4ef08..8d2ae95bdb 100644
 --- a/src/calibre/ebooks/conversion/plugins/oeb_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/oeb_output.py
 @@ -1,4 +1,4 @@
@@ -4001,8 +4001,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/pdb_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/pdb_input.py b/src/calibre/ebooks/conversion/plugins/pdb_input.py
+index a55a4ffec3..c0115b0a93 100644
 --- a/src/calibre/ebooks/conversion/plugins/pdb_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/pdb_input.py
 @@ -1,5 +1,5 @@
@@ -4012,8 +4012,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/pdb_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/pdb_output.py b/src/calibre/ebooks/conversion/plugins/pdb_output.py
+index b4c67f1139..9e41476798 100644
 --- a/src/calibre/ebooks/conversion/plugins/pdb_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/pdb_output.py
 @@ -1,5 +1,5 @@
@@ -4023,8 +4023,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/pdf_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/pdf_input.py b/src/calibre/ebooks/conversion/plugins/pdf_input.py
+index f5eab986e6..792623e752 100644
 --- a/src/calibre/ebooks/conversion/plugins/pdf_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/pdf_input.py
 @@ -1,5 +1,5 @@
@@ -4034,8 +4034,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/pdf_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/pdf_output.py b/src/calibre/ebooks/conversion/plugins/pdf_output.py
+index 81971289dc..738f83e3d0 100644
 --- a/src/calibre/ebooks/conversion/plugins/pdf_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/pdf_output.py
 @@ -1,5 +1,5 @@
@@ -4045,8 +4045,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/pml_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/pml_input.py b/src/calibre/ebooks/conversion/plugins/pml_input.py
+index 927b7747df..78fd8791ef 100644
 --- a/src/calibre/ebooks/conversion/plugins/pml_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/pml_input.py
 @@ -1,5 +1,5 @@
@@ -4056,8 +4056,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/pml_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/pml_output.py b/src/calibre/ebooks/conversion/plugins/pml_output.py
+index 2876c07555..4daf944d75 100644
 --- a/src/calibre/ebooks/conversion/plugins/pml_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/pml_output.py
 @@ -1,5 +1,5 @@
@@ -4067,8 +4067,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/rb_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/rb_input.py b/src/calibre/ebooks/conversion/plugins/rb_input.py
+index f8a0377df5..68d072da9a 100644
 --- a/src/calibre/ebooks/conversion/plugins/rb_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/rb_input.py
 @@ -1,5 +1,5 @@
@@ -4078,8 +4078,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/rb_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/rb_output.py b/src/calibre/ebooks/conversion/plugins/rb_output.py
+index 4ddfd29085..6a83f0c91d 100644
 --- a/src/calibre/ebooks/conversion/plugins/rb_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/rb_output.py
 @@ -1,5 +1,5 @@
@@ -4089,8 +4089,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/recipe_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/recipe_input.py b/src/calibre/ebooks/conversion/plugins/recipe_input.py
+index fb55c01e9d..ca3ba5b1b0 100644
 --- a/src/calibre/ebooks/conversion/plugins/recipe_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/recipe_input.py
 @@ -1,6 +1,6 @@
@@ -4101,8 +4101,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/plugins/rtf_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/rtf_input.py b/src/calibre/ebooks/conversion/plugins/rtf_input.py
+index 952898d1d0..b09e48e83e 100644
 --- a/src/calibre/ebooks/conversion/plugins/rtf_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/rtf_input.py
 @@ -1,4 +1,4 @@
@@ -4111,8 +4111,8 @@ Index: b/src/calibre/ebooks/conversion/p
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  
-Index: b/src/calibre/ebooks/conversion/plugins/rtf_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/rtf_output.py b/src/calibre/ebooks/conversion/plugins/rtf_output.py
+index bafb67c9f9..e8b40b53e8 100644
 --- a/src/calibre/ebooks/conversion/plugins/rtf_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/rtf_output.py
 @@ -1,5 +1,5 @@
@@ -4122,8 +4122,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/snb_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/snb_input.py b/src/calibre/ebooks/conversion/plugins/snb_input.py
+index 23ac302e1c..f92b36e553 100644
 --- a/src/calibre/ebooks/conversion/plugins/snb_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/snb_input.py
 @@ -1,5 +1,5 @@
@@ -4133,8 +4133,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2010, Li Fanxi <lifanxi@freemindworld.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/snb_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/snb_output.py b/src/calibre/ebooks/conversion/plugins/snb_output.py
+index 460e806999..3dd9aace8c 100644
 --- a/src/calibre/ebooks/conversion/plugins/snb_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/snb_output.py
 @@ -1,5 +1,5 @@
@@ -4144,8 +4144,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2010, Li Fanxi <lifanxi@freemindworld.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/tcr_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/tcr_input.py b/src/calibre/ebooks/conversion/plugins/tcr_input.py
+index e996715f91..3b2f33551c 100644
 --- a/src/calibre/ebooks/conversion/plugins/tcr_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/tcr_input.py
 @@ -1,5 +1,5 @@
@@ -4155,8 +4155,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/tcr_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/tcr_output.py b/src/calibre/ebooks/conversion/plugins/tcr_output.py
+index a49627f65e..a697966fc9 100644
 --- a/src/calibre/ebooks/conversion/plugins/tcr_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/tcr_output.py
 @@ -1,5 +1,5 @@
@@ -4166,8 +4166,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/txt_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/txt_input.py b/src/calibre/ebooks/conversion/plugins/txt_input.py
+index ded07e0e13..a2794813e0 100644
 --- a/src/calibre/ebooks/conversion/plugins/txt_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/txt_input.py
 @@ -1,5 +1,5 @@
@@ -4177,8 +4177,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/conversion/plugins/txt_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/txt_output.py b/src/calibre/ebooks/conversion/plugins/txt_output.py
+index d9328691bf..ef1b3dbad1 100644
 --- a/src/calibre/ebooks/conversion/plugins/txt_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/txt_output.py
 @@ -1,5 +1,5 @@
@@ -4188,8 +4188,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/conversion/plumber.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plumber.py b/src/calibre/ebooks/conversion/plumber.py
+index a9720505a9..77dedb13b7 100644
 --- a/src/calibre/ebooks/conversion/plumber.py
 +++ b/src/calibre/ebooks/conversion/plumber.py
 @@ -1,5 +1,5 @@
@@ -4199,8 +4199,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/preprocess.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/preprocess.py b/src/calibre/ebooks/conversion/preprocess.py
+index 4f2a8ce52e..e3e6983742 100644
 --- a/src/calibre/ebooks/conversion/preprocess.py
 +++ b/src/calibre/ebooks/conversion/preprocess.py
 @@ -1,6 +1,6 @@
@@ -4211,8 +4211,8 @@ Index: b/src/calibre/ebooks/conversion/p
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/conversion/search_replace.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/search_replace.py b/src/calibre/ebooks/conversion/search_replace.py
+index 27fd2c395f..f7226fa2a2 100644
 --- a/src/calibre/ebooks/conversion/search_replace.py
 +++ b/src/calibre/ebooks/conversion/search_replace.py
 @@ -2,7 +2,7 @@
@@ -4224,8 +4224,8 @@ Index: b/src/calibre/ebooks/conversion/s
  
  import regex
  
-Index: b/src/calibre/ebooks/conversion/utils.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/utils.py b/src/calibre/ebooks/conversion/utils.py
+index 4d23933a98..3bff52730a 100644
 --- a/src/calibre/ebooks/conversion/utils.py
 +++ b/src/calibre/ebooks/conversion/utils.py
 @@ -1,6 +1,6 @@
@@ -4236,8 +4236,8 @@ Index: b/src/calibre/ebooks/conversion/u
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/covers.py
-===================================================================
+diff --git a/src/calibre/ebooks/covers.py b/src/calibre/ebooks/covers.py
+index 7d3c428e4a..3d401932f2 100644
 --- a/src/calibre/ebooks/covers.py
 +++ b/src/calibre/ebooks/covers.py
 @@ -1,6 +1,6 @@
@@ -4248,8 +4248,8 @@ Index: b/src/calibre/ebooks/covers.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/css_transform_rules.py
-===================================================================
+diff --git a/src/calibre/ebooks/css_transform_rules.py b/src/calibre/ebooks/css_transform_rules.py
+index 9d2cd2ec84..136bdab4e2 100644
 --- a/src/calibre/ebooks/css_transform_rules.py
 +++ b/src/calibre/ebooks/css_transform_rules.py
 @@ -1,7 +1,7 @@
@@ -4261,8 +4261,8 @@ Index: b/src/calibre/ebooks/css_transfor
  
  from functools import partial
  from collections import OrderedDict
-Index: b/src/calibre/ebooks/djvu/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/djvu/__init__.py b/src/calibre/ebooks/djvu/__init__.py
+index 5d3a0cd140..1d58fcfdd7 100644
 --- a/src/calibre/ebooks/djvu/__init__.py
 +++ b/src/calibre/ebooks/djvu/__init__.py
 @@ -1,5 +1,5 @@
@@ -4272,8 +4272,8 @@ Index: b/src/calibre/ebooks/djvu/__init_
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Anthon van der Neut <anthon@mnt.org>'
-Index: b/src/calibre/ebooks/djvu/djvu.py
-===================================================================
+diff --git a/src/calibre/ebooks/djvu/djvu.py b/src/calibre/ebooks/djvu/djvu.py
+index fa58f8fc49..fc73178aba 100644
 --- a/src/calibre/ebooks/djvu/djvu.py
 +++ b/src/calibre/ebooks/djvu/djvu.py
 @@ -1,6 +1,6 @@
@@ -4284,8 +4284,8 @@ Index: b/src/calibre/ebooks/djvu/djvu.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Anthon van der Neut <A.van.der.Neut@ruamel.eu>'
-Index: b/src/calibre/ebooks/djvu/djvubzzdec.py
-===================================================================
+diff --git a/src/calibre/ebooks/djvu/djvubzzdec.py b/src/calibre/ebooks/djvu/djvubzzdec.py
+index a4ac518976..135e6d1cf4 100644
 --- a/src/calibre/ebooks/djvu/djvubzzdec.py
 +++ b/src/calibre/ebooks/djvu/djvubzzdec.py
 @@ -1,6 +1,6 @@
@@ -4296,8 +4296,8 @@ Index: b/src/calibre/ebooks/djvu/djvubzz
  
  from polyglot.builtins import range
  
-Index: b/src/calibre/ebooks/docx/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/__init__.py b/src/calibre/ebooks/docx/__init__.py
+index 57bfd7d760..5572220196 100644
 --- a/src/calibre/ebooks/docx/__init__.py
 +++ b/src/calibre/ebooks/docx/__init__.py
 @@ -1,6 +1,6 @@
@@ -4308,8 +4308,8 @@ Index: b/src/calibre/ebooks/docx/__init_
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/block_styles.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/block_styles.py b/src/calibre/ebooks/docx/block_styles.py
+index 4e196e819d..2af9aa5943 100644
 --- a/src/calibre/ebooks/docx/block_styles.py
 +++ b/src/calibre/ebooks/docx/block_styles.py
 @@ -1,6 +1,6 @@
@@ -4320,8 +4320,8 @@ Index: b/src/calibre/ebooks/docx/block_s
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/char_styles.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/char_styles.py b/src/calibre/ebooks/docx/char_styles.py
+index 61d13c7809..d82715e341 100644
 --- a/src/calibre/ebooks/docx/char_styles.py
 +++ b/src/calibre/ebooks/docx/char_styles.py
 @@ -1,6 +1,6 @@
@@ -4332,8 +4332,8 @@ Index: b/src/calibre/ebooks/docx/char_st
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/cleanup.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/cleanup.py b/src/calibre/ebooks/docx/cleanup.py
+index c68feb4736..983133200d 100644
 --- a/src/calibre/ebooks/docx/cleanup.py
 +++ b/src/calibre/ebooks/docx/cleanup.py
 @@ -1,6 +1,6 @@
@@ -4344,8 +4344,8 @@ Index: b/src/calibre/ebooks/docx/cleanup
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/container.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/container.py b/src/calibre/ebooks/docx/container.py
+index 9411e20780..5494cee916 100644
 --- a/src/calibre/ebooks/docx/container.py
 +++ b/src/calibre/ebooks/docx/container.py
 @@ -1,6 +1,6 @@
@@ -4356,8 +4356,8 @@ Index: b/src/calibre/ebooks/docx/contain
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/dump.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/dump.py b/src/calibre/ebooks/docx/dump.py
+index 726c29feef..c4191057bb 100644
 --- a/src/calibre/ebooks/docx/dump.py
 +++ b/src/calibre/ebooks/docx/dump.py
 @@ -1,6 +1,6 @@
@@ -4368,8 +4368,8 @@ Index: b/src/calibre/ebooks/docx/dump.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/fields.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/fields.py b/src/calibre/ebooks/docx/fields.py
+index 8ff5d28859..445c6c5dad 100644
 --- a/src/calibre/ebooks/docx/fields.py
 +++ b/src/calibre/ebooks/docx/fields.py
 @@ -1,6 +1,6 @@
@@ -4380,8 +4380,8 @@ Index: b/src/calibre/ebooks/docx/fields.
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/fonts.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/fonts.py b/src/calibre/ebooks/docx/fonts.py
+index bd0ad51bc0..4d85968272 100644
 --- a/src/calibre/ebooks/docx/fonts.py
 +++ b/src/calibre/ebooks/docx/fonts.py
 @@ -1,6 +1,6 @@
@@ -4392,8 +4392,8 @@ Index: b/src/calibre/ebooks/docx/fonts.p
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/footnotes.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/footnotes.py b/src/calibre/ebooks/docx/footnotes.py
+index 22f8ed82d4..d8c6b73468 100644
 --- a/src/calibre/ebooks/docx/footnotes.py
 +++ b/src/calibre/ebooks/docx/footnotes.py
 @@ -1,6 +1,6 @@
@@ -4404,8 +4404,8 @@ Index: b/src/calibre/ebooks/docx/footnot
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/images.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/images.py b/src/calibre/ebooks/docx/images.py
+index b82cf6fa9c..31ca932ed9 100644
 --- a/src/calibre/ebooks/docx/images.py
 +++ b/src/calibre/ebooks/docx/images.py
 @@ -1,6 +1,6 @@
@@ -4416,8 +4416,8 @@ Index: b/src/calibre/ebooks/docx/images.
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/index.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/index.py b/src/calibre/ebooks/docx/index.py
+index 38b8431dc0..c9db68004d 100644
 --- a/src/calibre/ebooks/docx/index.py
 +++ b/src/calibre/ebooks/docx/index.py
 @@ -1,6 +1,6 @@
@@ -4428,8 +4428,8 @@ Index: b/src/calibre/ebooks/docx/index.p
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/lcid.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/lcid.py b/src/calibre/ebooks/docx/lcid.py
+index f9de87eb84..1e365f0321 100644
 --- a/src/calibre/ebooks/docx/lcid.py
 +++ b/src/calibre/ebooks/docx/lcid.py
 @@ -1,6 +1,6 @@
@@ -4440,8 +4440,8 @@ Index: b/src/calibre/ebooks/docx/lcid.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/names.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/names.py b/src/calibre/ebooks/docx/names.py
+index 039bc5b80e..22a362710b 100644
 --- a/src/calibre/ebooks/docx/names.py
 +++ b/src/calibre/ebooks/docx/names.py
 @@ -1,6 +1,6 @@
@@ -4452,8 +4452,8 @@ Index: b/src/calibre/ebooks/docx/names.p
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/numbering.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/numbering.py b/src/calibre/ebooks/docx/numbering.py
+index 294c627935..65738a29b6 100644
 --- a/src/calibre/ebooks/docx/numbering.py
 +++ b/src/calibre/ebooks/docx/numbering.py
 @@ -1,6 +1,6 @@
@@ -4464,8 +4464,8 @@ Index: b/src/calibre/ebooks/docx/numberi
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/settings.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/settings.py b/src/calibre/ebooks/docx/settings.py
+index 6271692433..adc0060ddd 100644
 --- a/src/calibre/ebooks/docx/settings.py
 +++ b/src/calibre/ebooks/docx/settings.py
 @@ -1,6 +1,6 @@
@@ -4476,8 +4476,8 @@ Index: b/src/calibre/ebooks/docx/setting
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/styles.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/styles.py b/src/calibre/ebooks/docx/styles.py
+index cf9288c040..7ac4746632 100644
 --- a/src/calibre/ebooks/docx/styles.py
 +++ b/src/calibre/ebooks/docx/styles.py
 @@ -1,6 +1,6 @@
@@ -4488,8 +4488,8 @@ Index: b/src/calibre/ebooks/docx/styles.
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/tables.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/tables.py b/src/calibre/ebooks/docx/tables.py
+index 01f5995975..1e7b108ec4 100644
 --- a/src/calibre/ebooks/docx/tables.py
 +++ b/src/calibre/ebooks/docx/tables.py
 @@ -1,6 +1,6 @@
@@ -4500,8 +4500,8 @@ Index: b/src/calibre/ebooks/docx/tables.
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/theme.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/theme.py b/src/calibre/ebooks/docx/theme.py
+index 3f0fc5db1f..cbd7367f14 100644
 --- a/src/calibre/ebooks/docx/theme.py
 +++ b/src/calibre/ebooks/docx/theme.py
 @@ -1,6 +1,6 @@
@@ -4512,8 +4512,8 @@ Index: b/src/calibre/ebooks/docx/theme.p
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/to_html.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/to_html.py b/src/calibre/ebooks/docx/to_html.py
+index eb9c9087f0..4113d855c1 100644
 --- a/src/calibre/ebooks/docx/to_html.py
 +++ b/src/calibre/ebooks/docx/to_html.py
 @@ -1,6 +1,6 @@
@@ -4524,8 +4524,8 @@ Index: b/src/calibre/ebooks/docx/to_html
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/toc.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/toc.py b/src/calibre/ebooks/docx/toc.py
+index 0bec436eda..0fb2e7ea8b 100644
 --- a/src/calibre/ebooks/docx/toc.py
 +++ b/src/calibre/ebooks/docx/toc.py
 @@ -1,6 +1,6 @@
@@ -4536,8 +4536,8 @@ Index: b/src/calibre/ebooks/docx/toc.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/writer/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/__init__.py b/src/calibre/ebooks/docx/writer/__init__.py
+index 69376f9ebd..e4102b4b10 100644
 --- a/src/calibre/ebooks/docx/writer/__init__.py
 +++ b/src/calibre/ebooks/docx/writer/__init__.py
 @@ -1,6 +1,6 @@
@@ -4548,8 +4548,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/writer/container.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/container.py b/src/calibre/ebooks/docx/writer/container.py
+index 08262a4fe7..eff0f2bffa 100644
 --- a/src/calibre/ebooks/docx/writer/container.py
 +++ b/src/calibre/ebooks/docx/writer/container.py
 @@ -1,6 +1,6 @@
@@ -4560,8 +4560,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/writer/fonts.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/fonts.py b/src/calibre/ebooks/docx/writer/fonts.py
+index 559613c38d..25ad2738f8 100644
 --- a/src/calibre/ebooks/docx/writer/fonts.py
 +++ b/src/calibre/ebooks/docx/writer/fonts.py
 @@ -1,6 +1,6 @@
@@ -4572,8 +4572,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/writer/from_html.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/from_html.py b/src/calibre/ebooks/docx/writer/from_html.py
+index 8a3dfb84c6..76274cfd90 100644
 --- a/src/calibre/ebooks/docx/writer/from_html.py
 +++ b/src/calibre/ebooks/docx/writer/from_html.py
 @@ -1,6 +1,6 @@
@@ -4584,8 +4584,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/writer/images.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/images.py b/src/calibre/ebooks/docx/writer/images.py
+index d0066022da..a98f462267 100644
 --- a/src/calibre/ebooks/docx/writer/images.py
 +++ b/src/calibre/ebooks/docx/writer/images.py
 @@ -1,6 +1,6 @@
@@ -4596,8 +4596,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/writer/links.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/links.py b/src/calibre/ebooks/docx/writer/links.py
+index 640f0d44cb..d45405acb0 100644
 --- a/src/calibre/ebooks/docx/writer/links.py
 +++ b/src/calibre/ebooks/docx/writer/links.py
 @@ -1,6 +1,6 @@
@@ -4608,8 +4608,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/writer/lists.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/lists.py b/src/calibre/ebooks/docx/writer/lists.py
+index c7649480cc..4118bfbcd1 100644
 --- a/src/calibre/ebooks/docx/writer/lists.py
 +++ b/src/calibre/ebooks/docx/writer/lists.py
 @@ -1,6 +1,6 @@
@@ -4620,8 +4620,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/writer/styles.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/styles.py b/src/calibre/ebooks/docx/writer/styles.py
+index dfd6939a1c..6b832e3273 100644
 --- a/src/calibre/ebooks/docx/writer/styles.py
 +++ b/src/calibre/ebooks/docx/writer/styles.py
 @@ -1,6 +1,6 @@
@@ -4632,8 +4632,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/writer/tables.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/tables.py b/src/calibre/ebooks/docx/writer/tables.py
+index 12cb981064..7f16295148 100644
 --- a/src/calibre/ebooks/docx/writer/tables.py
 +++ b/src/calibre/ebooks/docx/writer/tables.py
 @@ -1,6 +1,6 @@
@@ -4644,8 +4644,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/docx/writer/utils.py
-===================================================================
+diff --git a/src/calibre/ebooks/docx/writer/utils.py b/src/calibre/ebooks/docx/writer/utils.py
+index b8a18cf78f..a05ea69062 100644
 --- a/src/calibre/ebooks/docx/writer/utils.py
 +++ b/src/calibre/ebooks/docx/writer/utils.py
 @@ -1,6 +1,6 @@
@@ -4656,8 +4656,8 @@ Index: b/src/calibre/ebooks/docx/writer/
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/epub/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/epub/__init__.py b/src/calibre/ebooks/epub/__init__.py
+index 4629218f4a..02cad97ff5 100644
 --- a/src/calibre/ebooks/epub/__init__.py
 +++ b/src/calibre/ebooks/epub/__init__.py
 @@ -1,4 +1,4 @@
@@ -4666,8 +4666,8 @@ Index: b/src/calibre/ebooks/epub/__init_
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/ebooks/epub/cfi/parse.py
-===================================================================
+diff --git a/src/calibre/ebooks/epub/cfi/parse.py b/src/calibre/ebooks/epub/cfi/parse.py
+index f9e5fc89fd..cbcd3bf78b 100644
 --- a/src/calibre/ebooks/epub/cfi/parse.py
 +++ b/src/calibre/ebooks/epub/cfi/parse.py
 @@ -1,6 +1,6 @@
@@ -4678,8 +4678,8 @@ Index: b/src/calibre/ebooks/epub/cfi/par
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/epub/cfi/tests.py
-===================================================================
+diff --git a/src/calibre/ebooks/epub/cfi/tests.py b/src/calibre/ebooks/epub/cfi/tests.py
+index 40e8ec62c1..5ebce70935 100644
 --- a/src/calibre/ebooks/epub/cfi/tests.py
 +++ b/src/calibre/ebooks/epub/cfi/tests.py
 @@ -1,6 +1,6 @@
@@ -4690,8 +4690,8 @@ Index: b/src/calibre/ebooks/epub/cfi/tes
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/epub/pages.py
-===================================================================
+diff --git a/src/calibre/ebooks/epub/pages.py b/src/calibre/ebooks/epub/pages.py
+index 613821337e..d1eb64d90e 100644
 --- a/src/calibre/ebooks/epub/pages.py
 +++ b/src/calibre/ebooks/epub/pages.py
 @@ -2,7 +2,7 @@
@@ -4703,8 +4703,8 @@ Index: b/src/calibre/ebooks/epub/pages.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Marshall T. Vandegrift <llasram@gmail.com>'
-Index: b/src/calibre/ebooks/epub/periodical.py
-===================================================================
+diff --git a/src/calibre/ebooks/epub/periodical.py b/src/calibre/ebooks/epub/periodical.py
+index b5acc4a03e..97fb17ccdb 100644
 --- a/src/calibre/ebooks/epub/periodical.py
 +++ b/src/calibre/ebooks/epub/periodical.py
 @@ -1,6 +1,6 @@
@@ -4715,8 +4715,8 @@ Index: b/src/calibre/ebooks/epub/periodi
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/fb2/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/fb2/__init__.py b/src/calibre/ebooks/fb2/__init__.py
+index 7f70b39cff..c623df2d9c 100644
 --- a/src/calibre/ebooks/fb2/__init__.py
 +++ b/src/calibre/ebooks/fb2/__init__.py
 @@ -1,6 +1,6 @@
@@ -4727,8 +4727,8 @@ Index: b/src/calibre/ebooks/fb2/__init__
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/fb2/fb2ml.py
-===================================================================
+diff --git a/src/calibre/ebooks/fb2/fb2ml.py b/src/calibre/ebooks/fb2/fb2ml.py
+index d8a0098fb2..46e52fdd13 100644
 --- a/src/calibre/ebooks/fb2/fb2ml.py
 +++ b/src/calibre/ebooks/fb2/fb2ml.py
 @@ -1,5 +1,5 @@
@@ -4738,8 +4738,8 @@ Index: b/src/calibre/ebooks/fb2/fb2ml.py
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/html/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/html/__init__.py b/src/calibre/ebooks/html/__init__.py
+index a9b056d940..d8edc6064a 100644
 --- a/src/calibre/ebooks/html/__init__.py
 +++ b/src/calibre/ebooks/html/__init__.py
 @@ -1,6 +1,6 @@
@@ -4750,8 +4750,8 @@ Index: b/src/calibre/ebooks/html/__init_
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/html/input.py
-===================================================================
+diff --git a/src/calibre/ebooks/html/input.py b/src/calibre/ebooks/html/input.py
+index 80ad1f84ab..8e85b23dde 100644
 --- a/src/calibre/ebooks/html/input.py
 +++ b/src/calibre/ebooks/html/input.py
 @@ -1,6 +1,6 @@
@@ -4762,8 +4762,8 @@ Index: b/src/calibre/ebooks/html/input.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/html/meta.py
-===================================================================
+diff --git a/src/calibre/ebooks/html/meta.py b/src/calibre/ebooks/html/meta.py
+index 7cc9010a38..5d542382aa 100644
 --- a/src/calibre/ebooks/html/meta.py
 +++ b/src/calibre/ebooks/html/meta.py
 @@ -1,4 +1,4 @@
@@ -4772,8 +4772,8 @@ Index: b/src/calibre/ebooks/html/meta.py
  
  __license__ = 'GPL 3'
  __copyright__ = '2010, Fabian Grassl <fg@jusmeum.de>'
-Index: b/src/calibre/ebooks/html/to_zip.py
-===================================================================
+diff --git a/src/calibre/ebooks/html/to_zip.py b/src/calibre/ebooks/html/to_zip.py
+index 4a0173f947..c205e0cc8c 100644
 --- a/src/calibre/ebooks/html/to_zip.py
 +++ b/src/calibre/ebooks/html/to_zip.py
 @@ -1,6 +1,6 @@
@@ -4784,8 +4784,8 @@ Index: b/src/calibre/ebooks/html/to_zip.
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/html_entities.py
-===================================================================
+diff --git a/src/calibre/ebooks/html_entities.py b/src/calibre/ebooks/html_entities.py
+index 18ff8ad7e6..265ebe10c0 100644
 --- a/src/calibre/ebooks/html_entities.py
 +++ b/src/calibre/ebooks/html_entities.py
 @@ -1,7 +1,7 @@
@@ -4797,8 +4797,8 @@ Index: b/src/calibre/ebooks/html_entitie
  
  html5_entities = {
  # ENTITY_DATA {{{
-Index: b/src/calibre/ebooks/htmlz/oeb2html.py
-===================================================================
+diff --git a/src/calibre/ebooks/htmlz/oeb2html.py b/src/calibre/ebooks/htmlz/oeb2html.py
+index b99f3fe40b..71bbafc41d 100644
 --- a/src/calibre/ebooks/htmlz/oeb2html.py
 +++ b/src/calibre/ebooks/htmlz/oeb2html.py
 @@ -1,5 +1,5 @@
@@ -4808,8 +4808,8 @@ Index: b/src/calibre/ebooks/htmlz/oeb2ht
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/ebooks/hyphenate.py
-===================================================================
+diff --git a/src/calibre/ebooks/hyphenate.py b/src/calibre/ebooks/hyphenate.py
+index a244151739..5815c68b96 100644
 --- a/src/calibre/ebooks/hyphenate.py
 +++ b/src/calibre/ebooks/hyphenate.py
 @@ -1,4 +1,4 @@
@@ -4818,8 +4818,8 @@ Index: b/src/calibre/ebooks/hyphenate.py
  
  """ Hyphenation, using Frank Liang's algorithm.
  
-Index: b/src/calibre/ebooks/iterator/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/iterator/__init__.py b/src/calibre/ebooks/iterator/__init__.py
+index 3e2240e94d..c227aeaca5 100644
 --- a/src/calibre/ebooks/iterator/__init__.py
 +++ b/src/calibre/ebooks/iterator/__init__.py
 @@ -1,6 +1,6 @@
@@ -4830,8 +4830,8 @@ Index: b/src/calibre/ebooks/iterator/__i
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/lit/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/lit/__init__.py b/src/calibre/ebooks/lit/__init__.py
+index 3a4904f419..98e16efde0 100644
 --- a/src/calibre/ebooks/lit/__init__.py
 +++ b/src/calibre/ebooks/lit/__init__.py
 @@ -1,4 +1,4 @@
@@ -4840,8 +4840,8 @@ Index: b/src/calibre/ebooks/lit/__init__
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Marshall T. Vandegrift <llasram@gmail.com>'
-Index: b/src/calibre/ebooks/lit/lzx.py
-===================================================================
+diff --git a/src/calibre/ebooks/lit/lzx.py b/src/calibre/ebooks/lit/lzx.py
+index aea602f6f9..3995bb9023 100644
 --- a/src/calibre/ebooks/lit/lzx.py
 +++ b/src/calibre/ebooks/lit/lzx.py
 @@ -1,4 +1,4 @@
@@ -4850,8 +4850,8 @@ Index: b/src/calibre/ebooks/lit/lzx.py
  
  '''
  LZX compression/decompression wrapper.
-Index: b/src/calibre/ebooks/lit/maps/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/lit/maps/__init__.py b/src/calibre/ebooks/lit/maps/__init__.py
+index e9997944e5..47b1ac0be1 100644
 --- a/src/calibre/ebooks/lit/maps/__init__.py
 +++ b/src/calibre/ebooks/lit/maps/__init__.py
 @@ -1,4 +1,4 @@
@@ -4860,8 +4860,8 @@ Index: b/src/calibre/ebooks/lit/maps/__i
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Marshall T. Vandegrift <llasram@gmail.com>'
-Index: b/src/calibre/ebooks/lit/maps/html.py
-===================================================================
+diff --git a/src/calibre/ebooks/lit/maps/html.py b/src/calibre/ebooks/lit/maps/html.py
+index 9502092779..2b294242eb 100644
 --- a/src/calibre/ebooks/lit/maps/html.py
 +++ b/src/calibre/ebooks/lit/maps/html.py
 @@ -1,4 +1,4 @@
@@ -4870,8 +4870,8 @@ Index: b/src/calibre/ebooks/lit/maps/htm
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Marshall T. Vandegrift <llasram@gmail.com>'
-Index: b/src/calibre/ebooks/lit/maps/opf.py
-===================================================================
+diff --git a/src/calibre/ebooks/lit/maps/opf.py b/src/calibre/ebooks/lit/maps/opf.py
+index 8f5626842b..94882c7de2 100644
 --- a/src/calibre/ebooks/lit/maps/opf.py
 +++ b/src/calibre/ebooks/lit/maps/opf.py
 @@ -1,4 +1,4 @@
@@ -4880,8 +4880,8 @@ Index: b/src/calibre/ebooks/lit/maps/opf
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Marshall T. Vandegrift <llasram@gmail.com>'
-Index: b/src/calibre/ebooks/lit/mssha1.py
-===================================================================
+diff --git a/src/calibre/ebooks/lit/mssha1.py b/src/calibre/ebooks/lit/mssha1.py
+index 7c82a561de..e94096f5bf 100644
 --- a/src/calibre/ebooks/lit/mssha1.py
 +++ b/src/calibre/ebooks/lit/mssha1.py
 @@ -1,4 +1,4 @@
@@ -4890,8 +4890,8 @@ Index: b/src/calibre/ebooks/lit/mssha1.p
  """
  Modified version of SHA-1 used in Microsoft LIT files.
  
-Index: b/src/calibre/ebooks/lit/reader.py
-===================================================================
+diff --git a/src/calibre/ebooks/lit/reader.py b/src/calibre/ebooks/lit/reader.py
+index 86b0b94b3b..367daf3042 100644
 --- a/src/calibre/ebooks/lit/reader.py
 +++ b/src/calibre/ebooks/lit/reader.py
 @@ -1,4 +1,4 @@
@@ -4900,8 +4900,8 @@ Index: b/src/calibre/ebooks/lit/reader.p
  '''
  Support for reading LIT files.
  '''
-Index: b/src/calibre/ebooks/lit/writer.py
-===================================================================
+diff --git a/src/calibre/ebooks/lit/writer.py b/src/calibre/ebooks/lit/writer.py
+index 534570fd19..f37de4cc02 100644
 --- a/src/calibre/ebooks/lit/writer.py
 +++ b/src/calibre/ebooks/lit/writer.py
 @@ -1,4 +1,4 @@
@@ -4910,8 +4910,8 @@ Index: b/src/calibre/ebooks/lit/writer.p
  '''
  Basic support for writing LIT files.
  '''
-Index: b/src/calibre/ebooks/lrf/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/__init__.py b/src/calibre/ebooks/lrf/__init__.py
+index 6be9e69e13..58015b118d 100644
 --- a/src/calibre/ebooks/lrf/__init__.py
 +++ b/src/calibre/ebooks/lrf/__init__.py
 @@ -1,4 +1,4 @@
@@ -4920,8 +4920,8 @@ Index: b/src/calibre/ebooks/lrf/__init__
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/lrf/fonts.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/fonts.py b/src/calibre/ebooks/lrf/fonts.py
+index 0cbff70503..6c4bee40ce 100644
 --- a/src/calibre/ebooks/lrf/fonts.py
 +++ b/src/calibre/ebooks/lrf/fonts.py
 @@ -1,4 +1,4 @@
@@ -4930,8 +4930,8 @@ Index: b/src/calibre/ebooks/lrf/fonts.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/lrf/html/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/html/__init__.py b/src/calibre/ebooks/lrf/html/__init__.py
+index cb4d4686eb..108bfed51c 100644
 --- a/src/calibre/ebooks/lrf/html/__init__.py
 +++ b/src/calibre/ebooks/lrf/html/__init__.py
 @@ -1,4 +1,4 @@
@@ -4940,8 +4940,8 @@ Index: b/src/calibre/ebooks/lrf/html/__i
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/lrf/html/color_map.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/html/color_map.py b/src/calibre/ebooks/lrf/html/color_map.py
+index ce4af2d71d..2443b914c2 100644
 --- a/src/calibre/ebooks/lrf/html/color_map.py
 +++ b/src/calibre/ebooks/lrf/html/color_map.py
 @@ -1,4 +1,4 @@
@@ -4950,8 +4950,8 @@ Index: b/src/calibre/ebooks/lrf/html/col
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/lrf/html/convert_from.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/html/convert_from.py b/src/calibre/ebooks/lrf/html/convert_from.py
+index 285acc3bde..7f95ef2d63 100644
 --- a/src/calibre/ebooks/lrf/html/convert_from.py
 +++ b/src/calibre/ebooks/lrf/html/convert_from.py
 @@ -1,6 +1,6 @@
@@ -4962,8 +4962,8 @@ Index: b/src/calibre/ebooks/lrf/html/con
  
  import copy
  import glob
-Index: b/src/calibre/ebooks/lrf/html/table.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/html/table.py b/src/calibre/ebooks/lrf/html/table.py
+index 3542056988..eaa1d75d99 100644
 --- a/src/calibre/ebooks/lrf/html/table.py
 +++ b/src/calibre/ebooks/lrf/html/table.py
 @@ -1,4 +1,4 @@
@@ -4972,8 +4972,8 @@ Index: b/src/calibre/ebooks/lrf/html/tab
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/lrf/input.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/input.py b/src/calibre/ebooks/lrf/input.py
+index 108f2dfc05..aff106875d 100644
 --- a/src/calibre/ebooks/lrf/input.py
 +++ b/src/calibre/ebooks/lrf/input.py
 @@ -1,6 +1,6 @@
@@ -4984,8 +4984,8 @@ Index: b/src/calibre/ebooks/lrf/input.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/lrf/lrfparser.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/lrfparser.py b/src/calibre/ebooks/lrf/lrfparser.py
+index 923630c9c1..ed103b1e51 100644
 --- a/src/calibre/ebooks/lrf/lrfparser.py
 +++ b/src/calibre/ebooks/lrf/lrfparser.py
 @@ -1,4 +1,4 @@
@@ -4994,8 +4994,8 @@ Index: b/src/calibre/ebooks/lrf/lrfparse
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/lrf/lrs/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/lrs/__init__.py b/src/calibre/ebooks/lrf/lrs/__init__.py
+index 205df68b90..eca3b37146 100644
 --- a/src/calibre/ebooks/lrf/lrs/__init__.py
 +++ b/src/calibre/ebooks/lrf/lrs/__init__.py
 @@ -1,4 +1,4 @@
@@ -5004,8 +5004,8 @@ Index: b/src/calibre/ebooks/lrf/lrs/__in
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/lrf/lrs/convert_from.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/lrs/convert_from.py b/src/calibre/ebooks/lrf/lrs/convert_from.py
+index cb53ad23ce..0202563073 100644
 --- a/src/calibre/ebooks/lrf/lrs/convert_from.py
 +++ b/src/calibre/ebooks/lrf/lrs/convert_from.py
 @@ -1,4 +1,4 @@
@@ -5014,8 +5014,8 @@ Index: b/src/calibre/ebooks/lrf/lrs/conv
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/lrf/meta.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/meta.py b/src/calibre/ebooks/lrf/meta.py
+index f76ba91d01..48d000ee68 100644
 --- a/src/calibre/ebooks/lrf/meta.py
 +++ b/src/calibre/ebooks/lrf/meta.py
 @@ -1,4 +1,4 @@
@@ -5024,8 +5024,8 @@ Index: b/src/calibre/ebooks/lrf/meta.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/lrf/objects.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/objects.py b/src/calibre/ebooks/lrf/objects.py
+index 67b0b77642..1d9de79a3a 100644
 --- a/src/calibre/ebooks/lrf/objects.py
 +++ b/src/calibre/ebooks/lrf/objects.py
 @@ -1,4 +1,4 @@
@@ -5034,8 +5034,8 @@ Index: b/src/calibre/ebooks/lrf/objects.
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/lrf/pylrs/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/pylrs/__init__.py b/src/calibre/ebooks/lrf/pylrs/__init__.py
+index 72b8c8d968..c7354ae57b 100644
 --- a/src/calibre/ebooks/lrf/pylrs/__init__.py
 +++ b/src/calibre/ebooks/lrf/pylrs/__init__.py
 @@ -1,4 +1,4 @@
@@ -5044,8 +5044,8 @@ Index: b/src/calibre/ebooks/lrf/pylrs/__
  
  """
  This package contains code to generate ebooks in the SONY LRS/F format. It was
-Index: b/src/calibre/ebooks/lrf/pylrs/elements.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/pylrs/elements.py b/src/calibre/ebooks/lrf/pylrs/elements.py
+index fa2b8a0b21..9e5042266d 100644
 --- a/src/calibre/ebooks/lrf/pylrs/elements.py
 +++ b/src/calibre/ebooks/lrf/pylrs/elements.py
 @@ -1,4 +1,4 @@
@@ -5054,8 +5054,8 @@ Index: b/src/calibre/ebooks/lrf/pylrs/el
  
  """ elements.py -- replacements and helpers for ElementTree """
  
-Index: b/src/calibre/ebooks/lrf/pylrs/pylrf.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/pylrs/pylrf.py b/src/calibre/ebooks/lrf/pylrs/pylrf.py
+index 16aa0d730b..d514d359dd 100644
 --- a/src/calibre/ebooks/lrf/pylrs/pylrf.py
 +++ b/src/calibre/ebooks/lrf/pylrs/pylrf.py
 @@ -1,5 +1,5 @@
@@ -5065,8 +5065,8 @@ Index: b/src/calibre/ebooks/lrf/pylrs/py
  
  """
      pylrf.py -- very low level interface to create lrf files.  See pylrs for
-Index: b/src/calibre/ebooks/lrf/pylrs/pylrfopt.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/pylrs/pylrfopt.py b/src/calibre/ebooks/lrf/pylrs/pylrfopt.py
+index b9a1e8101a..1ddf80d556 100644
 --- a/src/calibre/ebooks/lrf/pylrs/pylrfopt.py
 +++ b/src/calibre/ebooks/lrf/pylrs/pylrfopt.py
 @@ -1,4 +1,4 @@
@@ -5075,8 +5075,8 @@ Index: b/src/calibre/ebooks/lrf/pylrs/py
  
  
  def _optimize(tagList, tagName, conversion):
-Index: b/src/calibre/ebooks/lrf/pylrs/pylrs.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/pylrs/pylrs.py b/src/calibre/ebooks/lrf/pylrs/pylrs.py
+index 8816cbc311..3be64978a9 100644
 --- a/src/calibre/ebooks/lrf/pylrs/pylrs.py
 +++ b/src/calibre/ebooks/lrf/pylrs/pylrs.py
 @@ -1,4 +1,4 @@
@@ -5085,8 +5085,8 @@ Index: b/src/calibre/ebooks/lrf/pylrs/py
  
  # Copyright (c) 2007 Mike Higgins (Falstaff)
  # Modifications from the original:
-Index: b/src/calibre/ebooks/lrf/tags.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/tags.py b/src/calibre/ebooks/lrf/tags.py
+index 5f36ca950d..0586b06161 100644
 --- a/src/calibre/ebooks/lrf/tags.py
 +++ b/src/calibre/ebooks/lrf/tags.py
 @@ -1,4 +1,4 @@
@@ -5095,8 +5095,8 @@ Index: b/src/calibre/ebooks/lrf/tags.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/__init__.py b/src/calibre/ebooks/metadata/__init__.py
+index f51eb17725..609918588e 100644
 --- a/src/calibre/ebooks/metadata/__init__.py
 +++ b/src/calibre/ebooks/metadata/__init__.py
 @@ -1,6 +1,6 @@
@@ -5107,8 +5107,8 @@ Index: b/src/calibre/ebooks/metadata/__i
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/ebooks/metadata/archive.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/archive.py b/src/calibre/ebooks/metadata/archive.py
+index 2b5e52916e..b04c1bdb35 100644
 --- a/src/calibre/ebooks/metadata/archive.py
 +++ b/src/calibre/ebooks/metadata/archive.py
 @@ -1,6 +1,6 @@
@@ -5119,8 +5119,8 @@ Index: b/src/calibre/ebooks/metadata/arc
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/author_mapper.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/author_mapper.py b/src/calibre/ebooks/metadata/author_mapper.py
+index faeb3b2728..922ca7770c 100644
 --- a/src/calibre/ebooks/metadata/author_mapper.py
 +++ b/src/calibre/ebooks/metadata/author_mapper.py
 @@ -1,7 +1,7 @@
@@ -5132,8 +5132,8 @@ Index: b/src/calibre/ebooks/metadata/aut
  
  import re
  from collections import deque
-Index: b/src/calibre/ebooks/metadata/book/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/book/__init__.py b/src/calibre/ebooks/metadata/book/__init__.py
+index 59aedfd267..794f0c87b2 100644
 --- a/src/calibre/ebooks/metadata/book/__init__.py
 +++ b/src/calibre/ebooks/metadata/book/__init__.py
 @@ -1,6 +1,6 @@
@@ -5144,8 +5144,8 @@ Index: b/src/calibre/ebooks/metadata/boo
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/book/base.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/book/base.py b/src/calibre/ebooks/metadata/book/base.py
+index 8908cae003..0821a664a6 100644
 --- a/src/calibre/ebooks/metadata/book/base.py
 +++ b/src/calibre/ebooks/metadata/book/base.py
 @@ -1,6 +1,6 @@
@@ -5156,8 +5156,8 @@ Index: b/src/calibre/ebooks/metadata/boo
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/book/formatter.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/book/formatter.py b/src/calibre/ebooks/metadata/book/formatter.py
+index 17fe32ddc0..7edba76fb2 100644
 --- a/src/calibre/ebooks/metadata/book/formatter.py
 +++ b/src/calibre/ebooks/metadata/book/formatter.py
 @@ -1,6 +1,6 @@
@@ -5168,8 +5168,8 @@ Index: b/src/calibre/ebooks/metadata/boo
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/book/json_codec.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/book/json_codec.py b/src/calibre/ebooks/metadata/book/json_codec.py
+index 7df3b8be98..2eb23a6d0e 100644
 --- a/src/calibre/ebooks/metadata/book/json_codec.py
 +++ b/src/calibre/ebooks/metadata/book/json_codec.py
 @@ -1,4 +1,4 @@
@@ -5178,8 +5178,8 @@ Index: b/src/calibre/ebooks/metadata/boo
  
  '''
  Created on 4 Jun 2010
-Index: b/src/calibre/ebooks/metadata/book/render.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/book/render.py b/src/calibre/ebooks/metadata/book/render.py
+index 3dd6d72ce3..f5b94368c8 100644
 --- a/src/calibre/ebooks/metadata/book/render.py
 +++ b/src/calibre/ebooks/metadata/book/render.py
 @@ -1,6 +1,6 @@
@@ -5190,8 +5190,8 @@ Index: b/src/calibre/ebooks/metadata/boo
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/book/serialize.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/book/serialize.py b/src/calibre/ebooks/metadata/book/serialize.py
+index 41f4caf7bf..12a76c18dc 100644
 --- a/src/calibre/ebooks/metadata/book/serialize.py
 +++ b/src/calibre/ebooks/metadata/book/serialize.py
 @@ -2,7 +2,7 @@
@@ -5203,8 +5203,8 @@ Index: b/src/calibre/ebooks/metadata/boo
  
  
  from calibre.constants import preferred_encoding
-Index: b/src/calibre/ebooks/metadata/cli.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/cli.py b/src/calibre/ebooks/metadata/cli.py
+index 3b88027861..15b9612602 100644
 --- a/src/calibre/ebooks/metadata/cli.py
 +++ b/src/calibre/ebooks/metadata/cli.py
 @@ -1,4 +1,4 @@
@@ -5213,8 +5213,8 @@ Index: b/src/calibre/ebooks/metadata/cli
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/ebooks/metadata/docx.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/docx.py b/src/calibre/ebooks/metadata/docx.py
+index 054f774d48..aceb41addc 100644
 --- a/src/calibre/ebooks/metadata/docx.py
 +++ b/src/calibre/ebooks/metadata/docx.py
 @@ -1,6 +1,6 @@
@@ -5225,8 +5225,8 @@ Index: b/src/calibre/ebooks/metadata/doc
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/epub.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/epub.py b/src/calibre/ebooks/metadata/epub.py
+index c23ee7e028..8fb7b01493 100644
 --- a/src/calibre/ebooks/metadata/epub.py
 +++ b/src/calibre/ebooks/metadata/epub.py
 @@ -1,5 +1,5 @@
@@ -5236,8 +5236,8 @@ Index: b/src/calibre/ebooks/metadata/epu
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/ereader.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/ereader.py b/src/calibre/ebooks/metadata/ereader.py
+index 1d516e3382..76a2f5860a 100644
 --- a/src/calibre/ebooks/metadata/ereader.py
 +++ b/src/calibre/ebooks/metadata/ereader.py
 @@ -1,5 +1,5 @@
@@ -5247,8 +5247,8 @@ Index: b/src/calibre/ebooks/metadata/ere
  
  '''
  Read meta information from eReader pdb files.
-Index: b/src/calibre/ebooks/metadata/extz.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/extz.py b/src/calibre/ebooks/metadata/extz.py
+index 771ae83c03..9ada262840 100644
 --- a/src/calibre/ebooks/metadata/extz.py
 +++ b/src/calibre/ebooks/metadata/extz.py
 @@ -1,5 +1,5 @@
@@ -5258,8 +5258,8 @@ Index: b/src/calibre/ebooks/metadata/ext
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/metadata/fb2.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/fb2.py b/src/calibre/ebooks/metadata/fb2.py
+index 4473c87e96..5367eaea42 100644
 --- a/src/calibre/ebooks/metadata/fb2.py
 +++ b/src/calibre/ebooks/metadata/fb2.py
 @@ -1,6 +1,6 @@
@@ -5270,8 +5270,8 @@ Index: b/src/calibre/ebooks/metadata/fb2
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Roman Mukhin <ramses_ru at hotmail.com>, '\
-Index: b/src/calibre/ebooks/metadata/haodoo.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/haodoo.py b/src/calibre/ebooks/metadata/haodoo.py
+index a5be356682..25c357682e 100644
 --- a/src/calibre/ebooks/metadata/haodoo.py
 +++ b/src/calibre/ebooks/metadata/haodoo.py
 @@ -1,5 +1,5 @@
@@ -5281,8 +5281,8 @@ Index: b/src/calibre/ebooks/metadata/hao
  
  '''
  Read meta information from Haodoo.net pdb files.
-Index: b/src/calibre/ebooks/metadata/html.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/html.py b/src/calibre/ebooks/metadata/html.py
+index 1ebcf76d32..abaa230eb7 100644
 --- a/src/calibre/ebooks/metadata/html.py
 +++ b/src/calibre/ebooks/metadata/html.py
 @@ -1,6 +1,6 @@
@@ -5293,8 +5293,8 @@ Index: b/src/calibre/ebooks/metadata/htm
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/imp.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/imp.py b/src/calibre/ebooks/metadata/imp.py
+index 7dc0378475..d026168b5d 100644
 --- a/src/calibre/ebooks/metadata/imp.py
 +++ b/src/calibre/ebooks/metadata/imp.py
 @@ -1,4 +1,4 @@
@@ -5303,8 +5303,8 @@ Index: b/src/calibre/ebooks/metadata/imp
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Ashish Kulkarni <kulkarni.ashish@gmail.com>'
-Index: b/src/calibre/ebooks/metadata/kdl.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/kdl.py b/src/calibre/ebooks/metadata/kdl.py
+index 33362a9c68..104894b514 100644
 --- a/src/calibre/ebooks/metadata/kdl.py
 +++ b/src/calibre/ebooks/metadata/kdl.py
 @@ -1,6 +1,6 @@
@@ -5315,8 +5315,8 @@ Index: b/src/calibre/ebooks/metadata/kdl
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/kfx.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/kfx.py b/src/calibre/ebooks/metadata/kfx.py
+index 46472d6f54..7de15265af 100644
 --- a/src/calibre/ebooks/metadata/kfx.py
 +++ b/src/calibre/ebooks/metadata/kfx.py
 @@ -2,7 +2,7 @@
@@ -5328,8 +5328,8 @@ Index: b/src/calibre/ebooks/metadata/kfx
  
  # Based on work of John Howell reversing the KFX format
  # https://www.mobileread.com/forums/showpost.php?p=3176029&postcount=89
-Index: b/src/calibre/ebooks/metadata/lit.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/lit.py b/src/calibre/ebooks/metadata/lit.py
+index cd197f9941..3492bdba4f 100644
 --- a/src/calibre/ebooks/metadata/lit.py
 +++ b/src/calibre/ebooks/metadata/lit.py
 @@ -1,4 +1,4 @@
@@ -5338,8 +5338,8 @@ Index: b/src/calibre/ebooks/metadata/lit
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/lrx.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/lrx.py b/src/calibre/ebooks/metadata/lrx.py
+index 0e0f900507..71d631cf02 100644
 --- a/src/calibre/ebooks/metadata/lrx.py
 +++ b/src/calibre/ebooks/metadata/lrx.py
 @@ -1,5 +1,5 @@
@@ -5349,8 +5349,8 @@ Index: b/src/calibre/ebooks/metadata/lrx
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/ebooks/metadata/meta.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/meta.py b/src/calibre/ebooks/metadata/meta.py
+index f1dcc5d7c2..8a1e1fa512 100644
 --- a/src/calibre/ebooks/metadata/meta.py
 +++ b/src/calibre/ebooks/metadata/meta.py
 @@ -1,4 +1,4 @@
@@ -5359,8 +5359,8 @@ Index: b/src/calibre/ebooks/metadata/met
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/mobi.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/mobi.py b/src/calibre/ebooks/metadata/mobi.py
+index 407aadf33f..143af8f332 100644
 --- a/src/calibre/ebooks/metadata/mobi.py
 +++ b/src/calibre/ebooks/metadata/mobi.py
 @@ -1,7 +1,7 @@
@@ -5372,8 +5372,8 @@ Index: b/src/calibre/ebooks/metadata/mob
  
  import io
  import numbers
-Index: b/src/calibre/ebooks/metadata/odt.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/odt.py b/src/calibre/ebooks/metadata/odt.py
+index a9adb766b0..5673f6c47c 100644
 --- a/src/calibre/ebooks/metadata/odt.py
 +++ b/src/calibre/ebooks/metadata/odt.py
 @@ -18,7 +18,7 @@
@@ -5385,8 +5385,8 @@ Index: b/src/calibre/ebooks/metadata/odt
  
  import io
  import json
-Index: b/src/calibre/ebooks/metadata/opf.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/opf.py b/src/calibre/ebooks/metadata/opf.py
+index 0cd6c68b13..081af8f140 100644
 --- a/src/calibre/ebooks/metadata/opf.py
 +++ b/src/calibre/ebooks/metadata/opf.py
 @@ -2,7 +2,7 @@
@@ -5398,8 +5398,8 @@ Index: b/src/calibre/ebooks/metadata/opf
  
  from lxml import etree
  
-Index: b/src/calibre/ebooks/metadata/opf2.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/opf2.py b/src/calibre/ebooks/metadata/opf2.py
+index 70dfd4af12..0225be63dd 100644
 --- a/src/calibre/ebooks/metadata/opf2.py
 +++ b/src/calibre/ebooks/metadata/opf2.py
 @@ -1,5 +1,5 @@
@@ -5409,8 +5409,8 @@ Index: b/src/calibre/ebooks/metadata/opf
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/ebooks/metadata/opf3.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/opf3.py b/src/calibre/ebooks/metadata/opf3.py
+index baed7232d9..e09efb4346 100644
 --- a/src/calibre/ebooks/metadata/opf3.py
 +++ b/src/calibre/ebooks/metadata/opf3.py
 @@ -2,7 +2,7 @@
@@ -5422,8 +5422,8 @@ Index: b/src/calibre/ebooks/metadata/opf
  
  import json
  import re
-Index: b/src/calibre/ebooks/metadata/opf3_test.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/opf3_test.py b/src/calibre/ebooks/metadata/opf3_test.py
+index de5c509904..b1a9dac4c4 100644
 --- a/src/calibre/ebooks/metadata/opf3_test.py
 +++ b/src/calibre/ebooks/metadata/opf3_test.py
 @@ -2,7 +2,7 @@
@@ -5435,8 +5435,8 @@ Index: b/src/calibre/ebooks/metadata/opf
  from collections import defaultdict
  from io import BytesIO
  import unittest
-Index: b/src/calibre/ebooks/metadata/opf_2_to_3.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/opf_2_to_3.py b/src/calibre/ebooks/metadata/opf_2_to_3.py
+index 26c4002404..601effd9f5 100644
 --- a/src/calibre/ebooks/metadata/opf_2_to_3.py
 +++ b/src/calibre/ebooks/metadata/opf_2_to_3.py
 @@ -2,7 +2,7 @@
@@ -5448,8 +5448,8 @@ Index: b/src/calibre/ebooks/metadata/opf
  
  from lxml import etree
  
-Index: b/src/calibre/ebooks/metadata/pdb.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/pdb.py b/src/calibre/ebooks/metadata/pdb.py
+index 29a1b00018..d947502e4c 100644
 --- a/src/calibre/ebooks/metadata/pdb.py
 +++ b/src/calibre/ebooks/metadata/pdb.py
 @@ -1,5 +1,5 @@
@@ -5459,8 +5459,8 @@ Index: b/src/calibre/ebooks/metadata/pdb
  
  '''
  Read meta information from pdb files.
-Index: b/src/calibre/ebooks/metadata/pdf.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/pdf.py b/src/calibre/ebooks/metadata/pdf.py
+index 4f7486db9d..fb2376d08d 100644
 --- a/src/calibre/ebooks/metadata/pdf.py
 +++ b/src/calibre/ebooks/metadata/pdf.py
 @@ -1,4 +1,4 @@
@@ -5469,8 +5469,8 @@ Index: b/src/calibre/ebooks/metadata/pdf
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/plucker.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/plucker.py b/src/calibre/ebooks/metadata/plucker.py
+index e9acca83be..3fe3b0e6ff 100644
 --- a/src/calibre/ebooks/metadata/plucker.py
 +++ b/src/calibre/ebooks/metadata/plucker.py
 @@ -1,5 +1,5 @@
@@ -5480,8 +5480,8 @@ Index: b/src/calibre/ebooks/metadata/plu
  
  
  '''
-Index: b/src/calibre/ebooks/metadata/pml.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/pml.py b/src/calibre/ebooks/metadata/pml.py
+index 24b1108f0b..cab23eb411 100644
 --- a/src/calibre/ebooks/metadata/pml.py
 +++ b/src/calibre/ebooks/metadata/pml.py
 @@ -1,5 +1,5 @@
@@ -5491,8 +5491,8 @@ Index: b/src/calibre/ebooks/metadata/pml
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/metadata/rar.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/rar.py b/src/calibre/ebooks/metadata/rar.py
+index b770f0d423..724ac579b5 100644
 --- a/src/calibre/ebooks/metadata/rar.py
 +++ b/src/calibre/ebooks/metadata/rar.py
 @@ -1,5 +1,5 @@
@@ -5502,8 +5502,8 @@ Index: b/src/calibre/ebooks/metadata/rar
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/ebooks/metadata/rb.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/rb.py b/src/calibre/ebooks/metadata/rb.py
+index 5361a15517..9869f2cd30 100644
 --- a/src/calibre/ebooks/metadata/rb.py
 +++ b/src/calibre/ebooks/metadata/rb.py
 @@ -1,4 +1,4 @@
@@ -5512,8 +5512,8 @@ Index: b/src/calibre/ebooks/metadata/rb.
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Ashish Kulkarni <kulkarni.ashish@gmail.com>'
-Index: b/src/calibre/ebooks/metadata/rtf.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/rtf.py b/src/calibre/ebooks/metadata/rtf.py
+index e62fc293e2..b888f81844 100644
 --- a/src/calibre/ebooks/metadata/rtf.py
 +++ b/src/calibre/ebooks/metadata/rtf.py
 @@ -5,7 +5,7 @@
@@ -5525,8 +5525,8 @@ Index: b/src/calibre/ebooks/metadata/rtf
  import codecs
  import re
  
-Index: b/src/calibre/ebooks/metadata/search_internet.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/search_internet.py b/src/calibre/ebooks/metadata/search_internet.py
+index 48dcbe908c..6a46b0daf9 100644
 --- a/src/calibre/ebooks/metadata/search_internet.py
 +++ b/src/calibre/ebooks/metadata/search_internet.py
 @@ -2,7 +2,7 @@
@@ -5538,8 +5538,8 @@ Index: b/src/calibre/ebooks/metadata/sea
  
  from polyglot.builtins import iteritems
  from polyglot.urllib import quote, quote_plus
-Index: b/src/calibre/ebooks/metadata/snb.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/snb.py b/src/calibre/ebooks/metadata/snb.py
+index fc2aa47510..fee88a0d3b 100644
 --- a/src/calibre/ebooks/metadata/snb.py
 +++ b/src/calibre/ebooks/metadata/snb.py
 @@ -1,6 +1,6 @@
@@ -5550,8 +5550,8 @@ Index: b/src/calibre/ebooks/metadata/snb
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Li Fanxi <lifanxi@freemindworld.com>'
-Index: b/src/calibre/ebooks/metadata/tag_mapper.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/tag_mapper.py b/src/calibre/ebooks/metadata/tag_mapper.py
+index 808289efae..740733fc4e 100644
 --- a/src/calibre/ebooks/metadata/tag_mapper.py
 +++ b/src/calibre/ebooks/metadata/tag_mapper.py
 @@ -1,7 +1,7 @@
@@ -5563,8 +5563,8 @@ Index: b/src/calibre/ebooks/metadata/tag
  
  from collections import deque
  
-Index: b/src/calibre/ebooks/metadata/toc.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/toc.py b/src/calibre/ebooks/metadata/toc.py
+index b04368a1d9..a0dccc2274 100644
 --- a/src/calibre/ebooks/metadata/toc.py
 +++ b/src/calibre/ebooks/metadata/toc.py
 @@ -1,5 +1,5 @@
@@ -5574,8 +5574,8 @@ Index: b/src/calibre/ebooks/metadata/toc
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/topaz.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/topaz.py b/src/calibre/ebooks/metadata/topaz.py
+index 9ea6def0d5..6b29590022 100644
 --- a/src/calibre/ebooks/metadata/topaz.py
 +++ b/src/calibre/ebooks/metadata/topaz.py
 @@ -1,4 +1,4 @@
@@ -5584,8 +5584,8 @@ Index: b/src/calibre/ebooks/metadata/top
  
  __license__ = 'GPL 3'
  __copyright__ = '2010, Greg Riker <griker@hotmail.com>'
-Index: b/src/calibre/ebooks/metadata/txt.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/txt.py b/src/calibre/ebooks/metadata/txt.py
+index 253d844de0..8c624053e5 100644
 --- a/src/calibre/ebooks/metadata/txt.py
 +++ b/src/calibre/ebooks/metadata/txt.py
 @@ -1,5 +1,5 @@
@@ -5595,8 +5595,8 @@ Index: b/src/calibre/ebooks/metadata/txt
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/metadata/utils.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/utils.py b/src/calibre/ebooks/metadata/utils.py
+index 4f7e89d363..3bfff79b38 100644
 --- a/src/calibre/ebooks/metadata/utils.py
 +++ b/src/calibre/ebooks/metadata/utils.py
 @@ -2,8 +2,6 @@
@@ -5608,8 +5608,8 @@ Index: b/src/calibre/ebooks/metadata/uti
  from collections import namedtuple
  
  from calibre.ebooks.chardet import xml_to_unicode
-Index: b/src/calibre/ebooks/metadata/worker.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/worker.py b/src/calibre/ebooks/metadata/worker.py
+index 8b58325cbf..a54be67769 100644
 --- a/src/calibre/ebooks/metadata/worker.py
 +++ b/src/calibre/ebooks/metadata/worker.py
 @@ -1,6 +1,6 @@
@@ -5620,8 +5620,8 @@ Index: b/src/calibre/ebooks/metadata/wor
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/xisbn.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/xisbn.py b/src/calibre/ebooks/metadata/xisbn.py
+index 2e2095a6fc..1001321ebd 100644
 --- a/src/calibre/ebooks/metadata/xisbn.py
 +++ b/src/calibre/ebooks/metadata/xisbn.py
 @@ -1,6 +1,6 @@
@@ -5632,8 +5632,8 @@ Index: b/src/calibre/ebooks/metadata/xis
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/xmp.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/xmp.py b/src/calibre/ebooks/metadata/xmp.py
+index 72c5b9a7d6..873f342366 100644
 --- a/src/calibre/ebooks/metadata/xmp.py
 +++ b/src/calibre/ebooks/metadata/xmp.py
 @@ -1,6 +1,6 @@
@@ -5644,8 +5644,8 @@ Index: b/src/calibre/ebooks/metadata/xmp
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/metadata/zip.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/zip.py b/src/calibre/ebooks/metadata/zip.py
+index c3d85089e4..025e03e7f8 100644
 --- a/src/calibre/ebooks/metadata/zip.py
 +++ b/src/calibre/ebooks/metadata/zip.py
 @@ -1,4 +1,4 @@
@@ -5654,8 +5654,8 @@ Index: b/src/calibre/ebooks/metadata/zip
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/__init__.py b/src/calibre/ebooks/mobi/__init__.py
+index 429c2be583..8c2c1b6db6 100644
 --- a/src/calibre/ebooks/mobi/__init__.py
 +++ b/src/calibre/ebooks/mobi/__init__.py
 @@ -1,6 +1,6 @@
@@ -5666,8 +5666,8 @@ Index: b/src/calibre/ebooks/mobi/__init_
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/debug/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/debug/__init__.py b/src/calibre/ebooks/mobi/debug/__init__.py
+index 5643be08b8..bde05e4f59 100644
 --- a/src/calibre/ebooks/mobi/debug/__init__.py
 +++ b/src/calibre/ebooks/mobi/debug/__init__.py
 @@ -1,6 +1,6 @@
@@ -5678,8 +5678,8 @@ Index: b/src/calibre/ebooks/mobi/debug/_
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/debug/containers.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/debug/containers.py b/src/calibre/ebooks/mobi/debug/containers.py
+index f1e01cd4e0..54721b5735 100644
 --- a/src/calibre/ebooks/mobi/debug/containers.py
 +++ b/src/calibre/ebooks/mobi/debug/containers.py
 @@ -1,6 +1,6 @@
@@ -5690,8 +5690,8 @@ Index: b/src/calibre/ebooks/mobi/debug/c
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/debug/headers.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/debug/headers.py b/src/calibre/ebooks/mobi/debug/headers.py
+index 7cc39aa943..5130327ec4 100644
 --- a/src/calibre/ebooks/mobi/debug/headers.py
 +++ b/src/calibre/ebooks/mobi/debug/headers.py
 @@ -1,6 +1,6 @@
@@ -5702,8 +5702,8 @@ Index: b/src/calibre/ebooks/mobi/debug/h
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/debug/index.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/debug/index.py b/src/calibre/ebooks/mobi/debug/index.py
+index c9c320de46..778ec34185 100644
 --- a/src/calibre/ebooks/mobi/debug/index.py
 +++ b/src/calibre/ebooks/mobi/debug/index.py
 @@ -1,6 +1,6 @@
@@ -5714,8 +5714,8 @@ Index: b/src/calibre/ebooks/mobi/debug/i
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/debug/main.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/debug/main.py b/src/calibre/ebooks/mobi/debug/main.py
+index d82240d104..82cf818863 100644
 --- a/src/calibre/ebooks/mobi/debug/main.py
 +++ b/src/calibre/ebooks/mobi/debug/main.py
 @@ -1,6 +1,6 @@
@@ -5726,8 +5726,8 @@ Index: b/src/calibre/ebooks/mobi/debug/m
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/debug/mobi6.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/debug/mobi6.py b/src/calibre/ebooks/mobi/debug/mobi6.py
+index c8958f4ebd..06a41018f4 100644
 --- a/src/calibre/ebooks/mobi/debug/mobi6.py
 +++ b/src/calibre/ebooks/mobi/debug/mobi6.py
 @@ -1,6 +1,6 @@
@@ -5738,8 +5738,8 @@ Index: b/src/calibre/ebooks/mobi/debug/m
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/debug/mobi8.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/debug/mobi8.py b/src/calibre/ebooks/mobi/debug/mobi8.py
+index 0cccbc3552..c4deb83b02 100644
 --- a/src/calibre/ebooks/mobi/debug/mobi8.py
 +++ b/src/calibre/ebooks/mobi/debug/mobi8.py
 @@ -1,6 +1,6 @@
@@ -5750,8 +5750,8 @@ Index: b/src/calibre/ebooks/mobi/debug/m
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/huffcdic.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/huffcdic.py b/src/calibre/ebooks/mobi/huffcdic.py
+index b69e4ec1cf..a8ef2bd975 100644
 --- a/src/calibre/ebooks/mobi/huffcdic.py
 +++ b/src/calibre/ebooks/mobi/huffcdic.py
 @@ -1,6 +1,6 @@
@@ -5762,8 +5762,8 @@ Index: b/src/calibre/ebooks/mobi/huffcdi
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/langcodes.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/langcodes.py b/src/calibre/ebooks/mobi/langcodes.py
+index 5505504a9f..7f027de127 100644
 --- a/src/calibre/ebooks/mobi/langcodes.py
 +++ b/src/calibre/ebooks/mobi/langcodes.py
 @@ -1,5 +1,5 @@
@@ -5773,8 +5773,8 @@ Index: b/src/calibre/ebooks/mobi/langcod
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/ebooks/mobi/mobiml.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/mobiml.py b/src/calibre/ebooks/mobi/mobiml.py
+index 94c8114e85..432f78d027 100644
 --- a/src/calibre/ebooks/mobi/mobiml.py
 +++ b/src/calibre/ebooks/mobi/mobiml.py
 @@ -1,4 +1,4 @@
@@ -5783,8 +5783,8 @@ Index: b/src/calibre/ebooks/mobi/mobiml.
  
  '''
  Transform XHTML/OPS-ish content into Mobipocket HTML 3.2.
-Index: b/src/calibre/ebooks/mobi/reader/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/__init__.py b/src/calibre/ebooks/mobi/reader/__init__.py
+index 5f6c324bfc..6b2910c3df 100644
 --- a/src/calibre/ebooks/mobi/reader/__init__.py
 +++ b/src/calibre/ebooks/mobi/reader/__init__.py
 @@ -1,6 +1,6 @@
@@ -5795,8 +5795,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/reader/containers.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/containers.py b/src/calibre/ebooks/mobi/reader/containers.py
+index 614553ba8c..c0ba5a4a8d 100644
 --- a/src/calibre/ebooks/mobi/reader/containers.py
 +++ b/src/calibre/ebooks/mobi/reader/containers.py
 @@ -1,6 +1,6 @@
@@ -5807,8 +5807,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/reader/headers.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/headers.py b/src/calibre/ebooks/mobi/reader/headers.py
+index dcd2f384a1..4d63b800d8 100644
 --- a/src/calibre/ebooks/mobi/reader/headers.py
 +++ b/src/calibre/ebooks/mobi/reader/headers.py
 @@ -1,6 +1,6 @@
@@ -5819,8 +5819,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/reader/index.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/index.py b/src/calibre/ebooks/mobi/reader/index.py
+index 4623958667..eda8e76f4b 100644
 --- a/src/calibre/ebooks/mobi/reader/index.py
 +++ b/src/calibre/ebooks/mobi/reader/index.py
 @@ -1,6 +1,6 @@
@@ -5831,8 +5831,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/reader/markup.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/markup.py b/src/calibre/ebooks/mobi/reader/markup.py
+index 099027fe61..0566ac64ec 100644
 --- a/src/calibre/ebooks/mobi/reader/markup.py
 +++ b/src/calibre/ebooks/mobi/reader/markup.py
 @@ -1,6 +1,6 @@
@@ -5843,8 +5843,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/reader/mobi6.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/mobi6.py b/src/calibre/ebooks/mobi/reader/mobi6.py
+index add06c7fb4..5498d1714f 100644
 --- a/src/calibre/ebooks/mobi/reader/mobi6.py
 +++ b/src/calibre/ebooks/mobi/reader/mobi6.py
 @@ -1,6 +1,6 @@
@@ -5855,8 +5855,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/reader/mobi8.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/mobi8.py b/src/calibre/ebooks/mobi/reader/mobi8.py
+index 8d3dfbbbfa..e87c3369bc 100644
 --- a/src/calibre/ebooks/mobi/reader/mobi8.py
 +++ b/src/calibre/ebooks/mobi/reader/mobi8.py
 @@ -1,6 +1,6 @@
@@ -5867,8 +5867,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/reader/ncx.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/reader/ncx.py b/src/calibre/ebooks/mobi/reader/ncx.py
+index 132d7eadd7..37520378c2 100644
 --- a/src/calibre/ebooks/mobi/reader/ncx.py
 +++ b/src/calibre/ebooks/mobi/reader/ncx.py
 @@ -1,6 +1,6 @@
@@ -5879,8 +5879,8 @@ Index: b/src/calibre/ebooks/mobi/reader/
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/tweak.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/tweak.py b/src/calibre/ebooks/mobi/tweak.py
+index 6c213cfd5c..591c4cd528 100644
 --- a/src/calibre/ebooks/mobi/tweak.py
 +++ b/src/calibre/ebooks/mobi/tweak.py
 @@ -1,6 +1,6 @@
@@ -5891,8 +5891,8 @@ Index: b/src/calibre/ebooks/mobi/tweak.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/utils.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/utils.py b/src/calibre/ebooks/mobi/utils.py
+index b64b16ded0..ff8c51f2cc 100644
 --- a/src/calibre/ebooks/mobi/utils.py
 +++ b/src/calibre/ebooks/mobi/utils.py
 @@ -1,6 +1,6 @@
@@ -5903,8 +5903,8 @@ Index: b/src/calibre/ebooks/mobi/utils.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/writer2/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer2/__init__.py b/src/calibre/ebooks/mobi/writer2/__init__.py
+index cdbcb90597..792a0f633e 100644
 --- a/src/calibre/ebooks/mobi/writer2/__init__.py
 +++ b/src/calibre/ebooks/mobi/writer2/__init__.py
 @@ -1,6 +1,6 @@
@@ -5915,8 +5915,8 @@ Index: b/src/calibre/ebooks/mobi/writer2
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/writer2/indexer.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer2/indexer.py b/src/calibre/ebooks/mobi/writer2/indexer.py
+index d8135a7041..0963bd0186 100644
 --- a/src/calibre/ebooks/mobi/writer2/indexer.py
 +++ b/src/calibre/ebooks/mobi/writer2/indexer.py
 @@ -1,6 +1,6 @@
@@ -5927,8 +5927,8 @@ Index: b/src/calibre/ebooks/mobi/writer2
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/writer2/main.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer2/main.py b/src/calibre/ebooks/mobi/writer2/main.py
+index 9b90db03f6..a4aa8988c9 100644
 --- a/src/calibre/ebooks/mobi/writer2/main.py
 +++ b/src/calibre/ebooks/mobi/writer2/main.py
 @@ -1,6 +1,6 @@
@@ -5939,8 +5939,8 @@ Index: b/src/calibre/ebooks/mobi/writer2
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/writer2/resources.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer2/resources.py b/src/calibre/ebooks/mobi/writer2/resources.py
+index fc34e4efd8..33b1a17d80 100644
 --- a/src/calibre/ebooks/mobi/writer2/resources.py
 +++ b/src/calibre/ebooks/mobi/writer2/resources.py
 @@ -1,6 +1,6 @@
@@ -5951,8 +5951,8 @@ Index: b/src/calibre/ebooks/mobi/writer2
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/writer2/serializer.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer2/serializer.py b/src/calibre/ebooks/mobi/writer2/serializer.py
+index 0ba8d1ca5c..a09dca7a47 100644
 --- a/src/calibre/ebooks/mobi/writer2/serializer.py
 +++ b/src/calibre/ebooks/mobi/writer2/serializer.py
 @@ -1,6 +1,6 @@
@@ -5963,8 +5963,8 @@ Index: b/src/calibre/ebooks/mobi/writer2
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/writer8/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/__init__.py b/src/calibre/ebooks/mobi/writer8/__init__.py
+index 5f6c324bfc..6b2910c3df 100644
 --- a/src/calibre/ebooks/mobi/writer8/__init__.py
 +++ b/src/calibre/ebooks/mobi/writer8/__init__.py
 @@ -1,6 +1,6 @@
@@ -5975,8 +5975,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/writer8/cleanup.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/cleanup.py b/src/calibre/ebooks/mobi/writer8/cleanup.py
+index 3a4c63bb5a..f108b7e62e 100644
 --- a/src/calibre/ebooks/mobi/writer8/cleanup.py
 +++ b/src/calibre/ebooks/mobi/writer8/cleanup.py
 @@ -1,6 +1,6 @@
@@ -5987,8 +5987,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/writer8/exth.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/exth.py b/src/calibre/ebooks/mobi/writer8/exth.py
+index 337f0d02d2..9f737456a0 100644
 --- a/src/calibre/ebooks/mobi/writer8/exth.py
 +++ b/src/calibre/ebooks/mobi/writer8/exth.py
 @@ -1,6 +1,6 @@
@@ -5999,8 +5999,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/writer8/header.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/header.py b/src/calibre/ebooks/mobi/writer8/header.py
+index 53c26cf3f3..a07fe7f6a1 100644
 --- a/src/calibre/ebooks/mobi/writer8/header.py
 +++ b/src/calibre/ebooks/mobi/writer8/header.py
 @@ -1,6 +1,6 @@
@@ -6011,8 +6011,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/writer8/index.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/index.py b/src/calibre/ebooks/mobi/writer8/index.py
+index 26d999eb49..87555502fb 100644
 --- a/src/calibre/ebooks/mobi/writer8/index.py
 +++ b/src/calibre/ebooks/mobi/writer8/index.py
 @@ -1,6 +1,6 @@
@@ -6023,8 +6023,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  from polyglot.builtins import map
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/mobi/writer8/main.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/main.py b/src/calibre/ebooks/mobi/writer8/main.py
+index 827c57c52d..edacc43ff8 100644
 --- a/src/calibre/ebooks/mobi/writer8/main.py
 +++ b/src/calibre/ebooks/mobi/writer8/main.py
 @@ -1,6 +1,6 @@
@@ -6035,8 +6035,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/writer8/mobi.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/mobi.py b/src/calibre/ebooks/mobi/writer8/mobi.py
+index 1ebbe4fedc..d1c7460635 100644
 --- a/src/calibre/ebooks/mobi/writer8/mobi.py
 +++ b/src/calibre/ebooks/mobi/writer8/mobi.py
 @@ -1,6 +1,6 @@
@@ -6047,8 +6047,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/writer8/skeleton.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/skeleton.py b/src/calibre/ebooks/mobi/writer8/skeleton.py
+index cb5610a3c9..d560d7fe13 100644
 --- a/src/calibre/ebooks/mobi/writer8/skeleton.py
 +++ b/src/calibre/ebooks/mobi/writer8/skeleton.py
 @@ -1,6 +1,6 @@
@@ -6059,8 +6059,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/writer8/tbs.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/tbs.py b/src/calibre/ebooks/mobi/writer8/tbs.py
+index c618d43c67..f5a28ea638 100644
 --- a/src/calibre/ebooks/mobi/writer8/tbs.py
 +++ b/src/calibre/ebooks/mobi/writer8/tbs.py
 @@ -1,6 +1,6 @@
@@ -6071,8 +6071,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/mobi/writer8/toc.py
-===================================================================
+diff --git a/src/calibre/ebooks/mobi/writer8/toc.py b/src/calibre/ebooks/mobi/writer8/toc.py
+index 50218fdbaf..f8bd2855a2 100644
 --- a/src/calibre/ebooks/mobi/writer8/toc.py
 +++ b/src/calibre/ebooks/mobi/writer8/toc.py
 @@ -1,6 +1,6 @@
@@ -6083,8 +6083,8 @@ Index: b/src/calibre/ebooks/mobi/writer8
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/odt/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/odt/__init__.py b/src/calibre/ebooks/odt/__init__.py
+index 08118467a1..cf7aa05a2a 100644
 --- a/src/calibre/ebooks/odt/__init__.py
 +++ b/src/calibre/ebooks/odt/__init__.py
 @@ -1,5 +1,5 @@
@@ -6094,8 +6094,8 @@ Index: b/src/calibre/ebooks/odt/__init__
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/ebooks/odt/input.py
-===================================================================
+diff --git a/src/calibre/ebooks/odt/input.py b/src/calibre/ebooks/odt/input.py
+index 00121cfcb3..e5714b0250 100644
 --- a/src/calibre/ebooks/odt/input.py
 +++ b/src/calibre/ebooks/odt/input.py
 @@ -1,4 +1,4 @@
@@ -6104,8 +6104,8 @@ Index: b/src/calibre/ebooks/odt/input.py
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/ebooks/oeb/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/__init__.py b/src/calibre/ebooks/oeb/__init__.py
+index 57af3199b4..62cfe31800 100644
 --- a/src/calibre/ebooks/oeb/__init__.py
 +++ b/src/calibre/ebooks/oeb/__init__.py
 @@ -1,4 +1,4 @@
@@ -6114,8 +6114,8 @@ Index: b/src/calibre/ebooks/oeb/__init__
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Marshall T. Vandegrift <llasram@gmail.com>'
-Index: b/src/calibre/ebooks/oeb/base.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/base.py b/src/calibre/ebooks/oeb/base.py
+index e415d0a84b..acc7876dcd 100644
 --- a/src/calibre/ebooks/oeb/base.py
 +++ b/src/calibre/ebooks/oeb/base.py
 @@ -1,4 +1,4 @@
@@ -6124,8 +6124,8 @@ Index: b/src/calibre/ebooks/oeb/base.py
  '''
  Basic support for manipulating OEB 1.x/2.0 content and metadata.
  '''
-Index: b/src/calibre/ebooks/oeb/display/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/display/__init__.py b/src/calibre/ebooks/oeb/display/__init__.py
+index 5f6c324bfc..6b2910c3df 100644
 --- a/src/calibre/ebooks/oeb/display/__init__.py
 +++ b/src/calibre/ebooks/oeb/display/__init__.py
 @@ -1,6 +1,6 @@
@@ -6136,8 +6136,8 @@ Index: b/src/calibre/ebooks/oeb/display/
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/display/webview.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/display/webview.py b/src/calibre/ebooks/oeb/display/webview.py
+index 6255d82459..c563009ddc 100644
 --- a/src/calibre/ebooks/oeb/display/webview.py
 +++ b/src/calibre/ebooks/oeb/display/webview.py
 @@ -1,6 +1,6 @@
@@ -6148,8 +6148,8 @@ Index: b/src/calibre/ebooks/oeb/display/
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/iterator/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/iterator/__init__.py b/src/calibre/ebooks/oeb/iterator/__init__.py
+index a7aaee54d8..128613218e 100644
 --- a/src/calibre/ebooks/oeb/iterator/__init__.py
 +++ b/src/calibre/ebooks/oeb/iterator/__init__.py
 @@ -1,6 +1,6 @@
@@ -6160,8 +6160,8 @@ Index: b/src/calibre/ebooks/oeb/iterator
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/iterator/book.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/iterator/book.py b/src/calibre/ebooks/oeb/iterator/book.py
+index a3bd54c67d..3a9b987acc 100644
 --- a/src/calibre/ebooks/oeb/iterator/book.py
 +++ b/src/calibre/ebooks/oeb/iterator/book.py
 @@ -1,6 +1,6 @@
@@ -6172,8 +6172,8 @@ Index: b/src/calibre/ebooks/oeb/iterator
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/iterator/bookmarks.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/iterator/bookmarks.py b/src/calibre/ebooks/oeb/iterator/bookmarks.py
+index 7e69497012..09e621dae4 100644
 --- a/src/calibre/ebooks/oeb/iterator/bookmarks.py
 +++ b/src/calibre/ebooks/oeb/iterator/bookmarks.py
 @@ -1,6 +1,6 @@
@@ -6184,8 +6184,8 @@ Index: b/src/calibre/ebooks/oeb/iterator
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/iterator/spine.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/iterator/spine.py b/src/calibre/ebooks/oeb/iterator/spine.py
+index fb1e0c096b..6260d107c6 100644
 --- a/src/calibre/ebooks/oeb/iterator/spine.py
 +++ b/src/calibre/ebooks/oeb/iterator/spine.py
 @@ -1,6 +1,6 @@
@@ -6196,8 +6196,8 @@ Index: b/src/calibre/ebooks/oeb/iterator
  from polyglot.builtins import map, unicode_type
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/oeb/normalize_css.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/normalize_css.py b/src/calibre/ebooks/oeb/normalize_css.py
+index cdbae020f3..f1481fb991 100644
 --- a/src/calibre/ebooks/oeb/normalize_css.py
 +++ b/src/calibre/ebooks/oeb/normalize_css.py
 @@ -1,6 +1,6 @@
@@ -6208,8 +6208,8 @@ Index: b/src/calibre/ebooks/oeb/normaliz
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/parse_utils.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/parse_utils.py b/src/calibre/ebooks/oeb/parse_utils.py
+index 4a9726d5dd..b7e96a4b01 100644
 --- a/src/calibre/ebooks/oeb/parse_utils.py
 +++ b/src/calibre/ebooks/oeb/parse_utils.py
 @@ -1,6 +1,6 @@
@@ -6220,8 +6220,8 @@ Index: b/src/calibre/ebooks/oeb/parse_ut
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/__init__.py b/src/calibre/ebooks/oeb/polish/__init__.py
+index d26359eab9..409db9d8ca 100644
 --- a/src/calibre/ebooks/oeb/polish/__init__.py
 +++ b/src/calibre/ebooks/oeb/polish/__init__.py
 @@ -1,6 +1,6 @@
@@ -6232,8 +6232,8 @@ Index: b/src/calibre/ebooks/oeb/polish/_
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/cascade.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/cascade.py b/src/calibre/ebooks/oeb/polish/cascade.py
+index d40fd07430..2475c906f9 100644
 --- a/src/calibre/ebooks/oeb/polish/cascade.py
 +++ b/src/calibre/ebooks/oeb/polish/cascade.py
 @@ -2,7 +2,7 @@
@@ -6245,8 +6245,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  from collections import defaultdict, namedtuple
  from functools import partial
  from itertools import count
-Index: b/src/calibre/ebooks/oeb/polish/check/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/__init__.py b/src/calibre/ebooks/oeb/polish/check/__init__.py
+index 69376f9ebd..e4102b4b10 100644
 --- a/src/calibre/ebooks/oeb/polish/check/__init__.py
 +++ b/src/calibre/ebooks/oeb/polish/check/__init__.py
 @@ -1,6 +1,6 @@
@@ -6257,8 +6257,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/check/base.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/base.py b/src/calibre/ebooks/oeb/polish/check/base.py
+index db34c95a57..7f1b8b5eb2 100644
 --- a/src/calibre/ebooks/oeb/polish/check/base.py
 +++ b/src/calibre/ebooks/oeb/polish/check/base.py
 @@ -1,6 +1,6 @@
@@ -6269,8 +6269,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/check/fonts.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/fonts.py b/src/calibre/ebooks/oeb/polish/check/fonts.py
+index 7fd393183a..c942436084 100644
 --- a/src/calibre/ebooks/oeb/polish/check/fonts.py
 +++ b/src/calibre/ebooks/oeb/polish/check/fonts.py
 @@ -1,6 +1,6 @@
@@ -6281,8 +6281,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/check/images.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/images.py b/src/calibre/ebooks/oeb/polish/check/images.py
+index 4923a23f0e..2ed25977d4 100644
 --- a/src/calibre/ebooks/oeb/polish/check/images.py
 +++ b/src/calibre/ebooks/oeb/polish/check/images.py
 @@ -1,6 +1,6 @@
@@ -6293,8 +6293,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/check/links.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/links.py b/src/calibre/ebooks/oeb/polish/check/links.py
+index 7627432a78..5a03e5c734 100644
 --- a/src/calibre/ebooks/oeb/polish/check/links.py
 +++ b/src/calibre/ebooks/oeb/polish/check/links.py
 @@ -1,6 +1,6 @@
@@ -6305,8 +6305,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/check/main.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/main.py b/src/calibre/ebooks/oeb/polish/check/main.py
+index 241bdfc246..e8d6ef05db 100644
 --- a/src/calibre/ebooks/oeb/polish/check/main.py
 +++ b/src/calibre/ebooks/oeb/polish/check/main.py
 @@ -1,6 +1,6 @@
@@ -6317,8 +6317,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/check/opf.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/opf.py b/src/calibre/ebooks/oeb/polish/check/opf.py
+index bb2d00cf96..e2827e0a37 100644
 --- a/src/calibre/ebooks/oeb/polish/check/opf.py
 +++ b/src/calibre/ebooks/oeb/polish/check/opf.py
 @@ -1,6 +1,6 @@
@@ -6329,8 +6329,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/check/parsing.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/check/parsing.py b/src/calibre/ebooks/oeb/polish/check/parsing.py
+index f2df70ce3e..1473b00378 100644
 --- a/src/calibre/ebooks/oeb/polish/check/parsing.py
 +++ b/src/calibre/ebooks/oeb/polish/check/parsing.py
 @@ -1,6 +1,6 @@
@@ -6341,8 +6341,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/container.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/container.py b/src/calibre/ebooks/oeb/polish/container.py
+index b63464d8d4..ac4ebff4ba 100644
 --- a/src/calibre/ebooks/oeb/polish/container.py
 +++ b/src/calibre/ebooks/oeb/polish/container.py
 @@ -1,7 +1,7 @@
@@ -6354,8 +6354,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  
  import errno
  import hashlib
-Index: b/src/calibre/ebooks/oeb/polish/cover.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/cover.py b/src/calibre/ebooks/oeb/polish/cover.py
+index 205b486f2d..44f9ea6792 100644
 --- a/src/calibre/ebooks/oeb/polish/cover.py
 +++ b/src/calibre/ebooks/oeb/polish/cover.py
 @@ -1,5 +1,5 @@
@@ -6365,8 +6365,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/create.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/create.py b/src/calibre/ebooks/oeb/polish/create.py
+index e10dd2490d..03fc894b01 100644
 --- a/src/calibre/ebooks/oeb/polish/create.py
 +++ b/src/calibre/ebooks/oeb/polish/create.py
 @@ -1,6 +1,6 @@
@@ -6377,8 +6377,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/css.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/css.py b/src/calibre/ebooks/oeb/polish/css.py
+index 6fb376e97c..3e228a5b68 100644
 --- a/src/calibre/ebooks/oeb/polish/css.py
 +++ b/src/calibre/ebooks/oeb/polish/css.py
 @@ -1,6 +1,6 @@
@@ -6389,8 +6389,8 @@ Index: b/src/calibre/ebooks/oeb/polish/c
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/download.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/download.py b/src/calibre/ebooks/oeb/polish/download.py
+index 794eacbf19..fa5891fbd1 100644
 --- a/src/calibre/ebooks/oeb/polish/download.py
 +++ b/src/calibre/ebooks/oeb/polish/download.py
 @@ -2,7 +2,7 @@
@@ -6402,8 +6402,8 @@ Index: b/src/calibre/ebooks/oeb/polish/d
  
  import cgi
  import mimetypes
-Index: b/src/calibre/ebooks/oeb/polish/embed.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/embed.py b/src/calibre/ebooks/oeb/polish/embed.py
+index f24c89155e..7937ce7f89 100644
 --- a/src/calibre/ebooks/oeb/polish/embed.py
 +++ b/src/calibre/ebooks/oeb/polish/embed.py
 @@ -1,6 +1,6 @@
@@ -6414,8 +6414,8 @@ Index: b/src/calibre/ebooks/oeb/polish/e
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/errors.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/errors.py b/src/calibre/ebooks/oeb/polish/errors.py
+index 52eb164de0..c2c27747e9 100644
 --- a/src/calibre/ebooks/oeb/polish/errors.py
 +++ b/src/calibre/ebooks/oeb/polish/errors.py
 @@ -1,6 +1,6 @@
@@ -6426,8 +6426,8 @@ Index: b/src/calibre/ebooks/oeb/polish/e
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/fonts.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/fonts.py b/src/calibre/ebooks/oeb/polish/fonts.py
+index be381be9fd..6af8921457 100644
 --- a/src/calibre/ebooks/oeb/polish/fonts.py
 +++ b/src/calibre/ebooks/oeb/polish/fonts.py
 @@ -1,6 +1,6 @@
@@ -6438,8 +6438,8 @@ Index: b/src/calibre/ebooks/oeb/polish/f
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/images.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/images.py b/src/calibre/ebooks/oeb/polish/images.py
+index 958c9c4976..1b62a5ff83 100644
 --- a/src/calibre/ebooks/oeb/polish/images.py
 +++ b/src/calibre/ebooks/oeb/polish/images.py
 @@ -2,7 +2,7 @@
@@ -6451,8 +6451,8 @@ Index: b/src/calibre/ebooks/oeb/polish/i
  import os
  from functools import partial
  from threading import Thread, Event
-Index: b/src/calibre/ebooks/oeb/polish/import_book.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/import_book.py b/src/calibre/ebooks/oeb/polish/import_book.py
+index 6699a91650..b65c612b3c 100644
 --- a/src/calibre/ebooks/oeb/polish/import_book.py
 +++ b/src/calibre/ebooks/oeb/polish/import_book.py
 @@ -1,6 +1,6 @@
@@ -6463,8 +6463,8 @@ Index: b/src/calibre/ebooks/oeb/polish/i
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/jacket.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/jacket.py b/src/calibre/ebooks/oeb/polish/jacket.py
+index a43f5dc82c..348a9eda8d 100644
 --- a/src/calibre/ebooks/oeb/polish/jacket.py
 +++ b/src/calibre/ebooks/oeb/polish/jacket.py
 @@ -1,6 +1,6 @@
@@ -6475,8 +6475,8 @@ Index: b/src/calibre/ebooks/oeb/polish/j
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/main.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/main.py b/src/calibre/ebooks/oeb/polish/main.py
+index 452244404d..049b73a857 100644
 --- a/src/calibre/ebooks/oeb/polish/main.py
 +++ b/src/calibre/ebooks/oeb/polish/main.py
 @@ -1,6 +1,6 @@
@@ -6487,8 +6487,8 @@ Index: b/src/calibre/ebooks/oeb/polish/m
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/opf.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/opf.py b/src/calibre/ebooks/oeb/polish/opf.py
+index 12eba587fc..95e5a76cf4 100644
 --- a/src/calibre/ebooks/oeb/polish/opf.py
 +++ b/src/calibre/ebooks/oeb/polish/opf.py
 @@ -1,6 +1,6 @@
@@ -6499,8 +6499,8 @@ Index: b/src/calibre/ebooks/oeb/polish/o
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/parsing.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/parsing.py b/src/calibre/ebooks/oeb/polish/parsing.py
+index 66500357c0..097b7a53bd 100644
 --- a/src/calibre/ebooks/oeb/polish/parsing.py
 +++ b/src/calibre/ebooks/oeb/polish/parsing.py
 @@ -1,6 +1,6 @@
@@ -6511,8 +6511,8 @@ Index: b/src/calibre/ebooks/oeb/polish/p
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/pretty.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/pretty.py b/src/calibre/ebooks/oeb/polish/pretty.py
+index b6a195924a..a5dcb13a0c 100644
 --- a/src/calibre/ebooks/oeb/polish/pretty.py
 +++ b/src/calibre/ebooks/oeb/polish/pretty.py
 @@ -1,6 +1,6 @@
@@ -6523,8 +6523,8 @@ Index: b/src/calibre/ebooks/oeb/polish/p
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/replace.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/replace.py b/src/calibre/ebooks/oeb/polish/replace.py
+index 86ab5ae2be..18c90f29e8 100644
 --- a/src/calibre/ebooks/oeb/polish/replace.py
 +++ b/src/calibre/ebooks/oeb/polish/replace.py
 @@ -1,6 +1,6 @@
@@ -6535,8 +6535,8 @@ Index: b/src/calibre/ebooks/oeb/polish/r
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/report.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/report.py b/src/calibre/ebooks/oeb/polish/report.py
+index cec2ffb217..0c65c98acb 100644
 --- a/src/calibre/ebooks/oeb/polish/report.py
 +++ b/src/calibre/ebooks/oeb/polish/report.py
 @@ -1,6 +1,6 @@
@@ -6547,8 +6547,8 @@ Index: b/src/calibre/ebooks/oeb/polish/r
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/spell.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/spell.py b/src/calibre/ebooks/oeb/polish/spell.py
+index ad97ccc7c5..bcea3d6e41 100644
 --- a/src/calibre/ebooks/oeb/polish/spell.py
 +++ b/src/calibre/ebooks/oeb/polish/spell.py
 @@ -1,6 +1,6 @@
@@ -6559,8 +6559,8 @@ Index: b/src/calibre/ebooks/oeb/polish/s
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/split.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/split.py b/src/calibre/ebooks/oeb/polish/split.py
+index 4e3cfd8a0c..55db21389d 100644
 --- a/src/calibre/ebooks/oeb/polish/split.py
 +++ b/src/calibre/ebooks/oeb/polish/split.py
 @@ -1,6 +1,6 @@
@@ -6571,8 +6571,8 @@ Index: b/src/calibre/ebooks/oeb/polish/s
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/stats.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/stats.py b/src/calibre/ebooks/oeb/polish/stats.py
+index 5a0aa55f8d..65c220e630 100644
 --- a/src/calibre/ebooks/oeb/polish/stats.py
 +++ b/src/calibre/ebooks/oeb/polish/stats.py
 @@ -1,6 +1,6 @@
@@ -6583,8 +6583,8 @@ Index: b/src/calibre/ebooks/oeb/polish/s
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/subset.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/subset.py b/src/calibre/ebooks/oeb/polish/subset.py
+index 18cbefc8c5..ffbbf7da27 100644
 --- a/src/calibre/ebooks/oeb/polish/subset.py
 +++ b/src/calibre/ebooks/oeb/polish/subset.py
 @@ -1,6 +1,6 @@
@@ -6595,8 +6595,8 @@ Index: b/src/calibre/ebooks/oeb/polish/s
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/tests/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/tests/__init__.py b/src/calibre/ebooks/oeb/polish/tests/__init__.py
+index 69376f9ebd..e4102b4b10 100644
 --- a/src/calibre/ebooks/oeb/polish/tests/__init__.py
 +++ b/src/calibre/ebooks/oeb/polish/tests/__init__.py
 @@ -1,6 +1,6 @@
@@ -6607,8 +6607,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/tests/base.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/tests/base.py b/src/calibre/ebooks/oeb/polish/tests/base.py
+index 7801600698..806ab9ae5c 100644
 --- a/src/calibre/ebooks/oeb/polish/tests/base.py
 +++ b/src/calibre/ebooks/oeb/polish/tests/base.py
 @@ -1,6 +1,6 @@
@@ -6619,8 +6619,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/tests/cascade.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/tests/cascade.py b/src/calibre/ebooks/oeb/polish/tests/cascade.py
+index f1368bbbc5..3b60a8bfb8 100644
 --- a/src/calibre/ebooks/oeb/polish/tests/cascade.py
 +++ b/src/calibre/ebooks/oeb/polish/tests/cascade.py
 @@ -1,6 +1,6 @@
@@ -6631,8 +6631,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  
  __license__ = 'GPL v3'
  __copyright__ = '2016, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/tests/container.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/tests/container.py b/src/calibre/ebooks/oeb/polish/tests/container.py
+index 5335711ce3..5f54f94059 100644
 --- a/src/calibre/ebooks/oeb/polish/tests/container.py
 +++ b/src/calibre/ebooks/oeb/polish/tests/container.py
 @@ -1,6 +1,6 @@
@@ -6643,8 +6643,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/tests/main.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/tests/main.py b/src/calibre/ebooks/oeb/polish/tests/main.py
+index 81b084b6c1..33aa02bc8d 100644
 --- a/src/calibre/ebooks/oeb/polish/tests/main.py
 +++ b/src/calibre/ebooks/oeb/polish/tests/main.py
 @@ -1,6 +1,6 @@
@@ -6655,8 +6655,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/tests/parsing.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/tests/parsing.py b/src/calibre/ebooks/oeb/polish/tests/parsing.py
+index 73eca065ab..383057465a 100644
 --- a/src/calibre/ebooks/oeb/polish/tests/parsing.py
 +++ b/src/calibre/ebooks/oeb/polish/tests/parsing.py
 @@ -1,6 +1,6 @@
@@ -6667,8 +6667,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/tests/structure.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/tests/structure.py b/src/calibre/ebooks/oeb/polish/tests/structure.py
+index 94e34b1638..aaf24fe470 100644
 --- a/src/calibre/ebooks/oeb/polish/tests/structure.py
 +++ b/src/calibre/ebooks/oeb/polish/tests/structure.py
 @@ -2,7 +2,7 @@
@@ -6680,8 +6680,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  from io import BytesIO
  from itertools import count
  from functools import partial
-Index: b/src/calibre/ebooks/oeb/polish/toc.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/toc.py b/src/calibre/ebooks/oeb/polish/toc.py
+index cd314db547..55a244f18f 100644
 --- a/src/calibre/ebooks/oeb/polish/toc.py
 +++ b/src/calibre/ebooks/oeb/polish/toc.py
 @@ -1,6 +1,6 @@
@@ -6692,8 +6692,8 @@ Index: b/src/calibre/ebooks/oeb/polish/t
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/polish/upgrade.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/upgrade.py b/src/calibre/ebooks/oeb/polish/upgrade.py
+index 602be884e4..0385bed485 100644
 --- a/src/calibre/ebooks/oeb/polish/upgrade.py
 +++ b/src/calibre/ebooks/oeb/polish/upgrade.py
 @@ -2,7 +2,7 @@
@@ -6705,8 +6705,8 @@ Index: b/src/calibre/ebooks/oeb/polish/u
  
  import sys
  
-Index: b/src/calibre/ebooks/oeb/polish/utils.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/utils.py b/src/calibre/ebooks/oeb/polish/utils.py
+index a1cdfa35ed..5787a6dc4c 100644
 --- a/src/calibre/ebooks/oeb/polish/utils.py
 +++ b/src/calibre/ebooks/oeb/polish/utils.py
 @@ -1,6 +1,6 @@
@@ -6717,8 +6717,8 @@ Index: b/src/calibre/ebooks/oeb/polish/u
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/reader.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/reader.py b/src/calibre/ebooks/oeb/reader.py
+index 2c248a8c1c..48d9dadd1b 100644
 --- a/src/calibre/ebooks/oeb/reader.py
 +++ b/src/calibre/ebooks/oeb/reader.py
 @@ -1,7 +1,7 @@
@@ -6730,8 +6730,8 @@ Index: b/src/calibre/ebooks/oeb/reader.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Marshall T. Vandegrift <llasram@gmail.com>'
-Index: b/src/calibre/ebooks/oeb/stylizer.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/stylizer.py b/src/calibre/ebooks/oeb/stylizer.py
+index 109cccd06f..3019ae2d3e 100644
 --- a/src/calibre/ebooks/oeb/stylizer.py
 +++ b/src/calibre/ebooks/oeb/stylizer.py
 @@ -1,5 +1,5 @@
@@ -6741,8 +6741,8 @@ Index: b/src/calibre/ebooks/oeb/stylizer
  
  '''
  CSS property propagation class.
-Index: b/src/calibre/ebooks/oeb/transforms/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/__init__.py b/src/calibre/ebooks/oeb/transforms/__init__.py
+index a9b056d940..d8edc6064a 100644
 --- a/src/calibre/ebooks/oeb/transforms/__init__.py
 +++ b/src/calibre/ebooks/oeb/transforms/__init__.py
 @@ -1,6 +1,6 @@
@@ -6753,8 +6753,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/transforms/cover.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/cover.py b/src/calibre/ebooks/oeb/transforms/cover.py
+index 3f948195a1..b36c4c6362 100644
 --- a/src/calibre/ebooks/oeb/transforms/cover.py
 +++ b/src/calibre/ebooks/oeb/transforms/cover.py
 @@ -1,6 +1,6 @@
@@ -6765,8 +6765,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/transforms/data_url.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/data_url.py b/src/calibre/ebooks/oeb/transforms/data_url.py
+index 0ff3de7727..7d56ba75e4 100644
 --- a/src/calibre/ebooks/oeb/transforms/data_url.py
 +++ b/src/calibre/ebooks/oeb/transforms/data_url.py
 @@ -1,6 +1,6 @@
@@ -6777,8 +6777,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/transforms/embed_fonts.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/embed_fonts.py b/src/calibre/ebooks/oeb/transforms/embed_fonts.py
+index 14c94d807e..34d8ca4fac 100644
 --- a/src/calibre/ebooks/oeb/transforms/embed_fonts.py
 +++ b/src/calibre/ebooks/oeb/transforms/embed_fonts.py
 @@ -1,6 +1,6 @@
@@ -6789,8 +6789,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/transforms/filenames.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/filenames.py b/src/calibre/ebooks/oeb/transforms/filenames.py
+index 69c3ae59cf..7cb6550370 100644
 --- a/src/calibre/ebooks/oeb/transforms/filenames.py
 +++ b/src/calibre/ebooks/oeb/transforms/filenames.py
 @@ -1,6 +1,6 @@
@@ -6801,8 +6801,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/transforms/flatcss.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/flatcss.py b/src/calibre/ebooks/oeb/transforms/flatcss.py
+index 43c2b191ca..b9b90cbd02 100644
 --- a/src/calibre/ebooks/oeb/transforms/flatcss.py
 +++ b/src/calibre/ebooks/oeb/transforms/flatcss.py
 @@ -1,7 +1,7 @@
@@ -6814,8 +6814,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Marshall T. Vandegrift <llasram@gmail.com>'
-Index: b/src/calibre/ebooks/oeb/transforms/guide.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/guide.py b/src/calibre/ebooks/oeb/transforms/guide.py
+index dbd1a9c595..8a1dfca3c2 100644
 --- a/src/calibre/ebooks/oeb/transforms/guide.py
 +++ b/src/calibre/ebooks/oeb/transforms/guide.py
 @@ -1,6 +1,6 @@
@@ -6826,8 +6826,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/transforms/htmltoc.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/htmltoc.py b/src/calibre/ebooks/oeb/transforms/htmltoc.py
+index df6f69925e..566cc01c69 100644
 --- a/src/calibre/ebooks/oeb/transforms/htmltoc.py
 +++ b/src/calibre/ebooks/oeb/transforms/htmltoc.py
 @@ -1,4 +1,4 @@
@@ -6836,8 +6836,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  '''
  HTML-TOC-adding transform.
  '''
-Index: b/src/calibre/ebooks/oeb/transforms/jacket.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/jacket.py b/src/calibre/ebooks/oeb/transforms/jacket.py
+index 4d687e369c..145ecf366f 100644
 --- a/src/calibre/ebooks/oeb/transforms/jacket.py
 +++ b/src/calibre/ebooks/oeb/transforms/jacket.py
 @@ -1,6 +1,6 @@
@@ -6848,8 +6848,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/transforms/linearize_tables.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/linearize_tables.py b/src/calibre/ebooks/oeb/transforms/linearize_tables.py
+index 8dc70d3040..24a843fe8d 100644
 --- a/src/calibre/ebooks/oeb/transforms/linearize_tables.py
 +++ b/src/calibre/ebooks/oeb/transforms/linearize_tables.py
 @@ -1,6 +1,6 @@
@@ -6860,8 +6860,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/transforms/manglecase.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/manglecase.py b/src/calibre/ebooks/oeb/transforms/manglecase.py
+index 24c1a9aaca..5e86d8d3bf 100644
 --- a/src/calibre/ebooks/oeb/transforms/manglecase.py
 +++ b/src/calibre/ebooks/oeb/transforms/manglecase.py
 @@ -1,4 +1,4 @@
@@ -6870,8 +6870,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  '''
  CSS case-mangling transform.
  '''
-Index: b/src/calibre/ebooks/oeb/transforms/metadata.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/metadata.py b/src/calibre/ebooks/oeb/transforms/metadata.py
+index a7de238371..bd8ba8d3a6 100644
 --- a/src/calibre/ebooks/oeb/transforms/metadata.py
 +++ b/src/calibre/ebooks/oeb/transforms/metadata.py
 @@ -1,6 +1,6 @@
@@ -6882,8 +6882,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/transforms/page_margin.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/page_margin.py b/src/calibre/ebooks/oeb/transforms/page_margin.py
+index e2992a95af..39c99090bc 100644
 --- a/src/calibre/ebooks/oeb/transforms/page_margin.py
 +++ b/src/calibre/ebooks/oeb/transforms/page_margin.py
 @@ -1,6 +1,6 @@
@@ -6894,8 +6894,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/transforms/rasterize.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/rasterize.py b/src/calibre/ebooks/oeb/transforms/rasterize.py
+index 0a58dc6695..c500e7276e 100644
 --- a/src/calibre/ebooks/oeb/transforms/rasterize.py
 +++ b/src/calibre/ebooks/oeb/transforms/rasterize.py
 @@ -1,4 +1,4 @@
@@ -6904,8 +6904,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  '''
  SVG rasterization transform.
  '''
-Index: b/src/calibre/ebooks/oeb/transforms/rescale.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/rescale.py b/src/calibre/ebooks/oeb/transforms/rescale.py
+index df9172da3d..382f647ab3 100644
 --- a/src/calibre/ebooks/oeb/transforms/rescale.py
 +++ b/src/calibre/ebooks/oeb/transforms/rescale.py
 @@ -1,6 +1,6 @@
@@ -6916,8 +6916,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/transforms/split.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/split.py b/src/calibre/ebooks/oeb/transforms/split.py
+index 3124561a2b..2aa750df23 100644
 --- a/src/calibre/ebooks/oeb/transforms/split.py
 +++ b/src/calibre/ebooks/oeb/transforms/split.py
 @@ -1,4 +1,4 @@
@@ -6926,8 +6926,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/ebooks/oeb/transforms/structure.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/structure.py b/src/calibre/ebooks/oeb/transforms/structure.py
+index 0de0994728..24df662695 100644
 --- a/src/calibre/ebooks/oeb/transforms/structure.py
 +++ b/src/calibre/ebooks/oeb/transforms/structure.py
 @@ -1,6 +1,6 @@
@@ -6938,8 +6938,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/transforms/subset.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/subset.py b/src/calibre/ebooks/oeb/transforms/subset.py
+index 47c43c8e08..6c3772cd15 100644
 --- a/src/calibre/ebooks/oeb/transforms/subset.py
 +++ b/src/calibre/ebooks/oeb/transforms/subset.py
 @@ -1,6 +1,6 @@
@@ -6950,8 +6950,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/oeb/transforms/trimmanifest.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/trimmanifest.py b/src/calibre/ebooks/oeb/transforms/trimmanifest.py
+index d67f0e471c..d93f6dbc54 100644
 --- a/src/calibre/ebooks/oeb/transforms/trimmanifest.py
 +++ b/src/calibre/ebooks/oeb/transforms/trimmanifest.py
 @@ -1,7 +1,7 @@
@@ -6963,8 +6963,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Marshall T. Vandegrift <llasram@gmail.com>'
-Index: b/src/calibre/ebooks/oeb/transforms/unsmarten.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/unsmarten.py b/src/calibre/ebooks/oeb/transforms/unsmarten.py
+index e10c9d4141..e247309df2 100644
 --- a/src/calibre/ebooks/oeb/transforms/unsmarten.py
 +++ b/src/calibre/ebooks/oeb/transforms/unsmarten.py
 @@ -1,5 +1,5 @@
@@ -6974,8 +6974,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/ebooks/oeb/writer.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/writer.py b/src/calibre/ebooks/oeb/writer.py
+index 953c4924da..258f04d62b 100644
 --- a/src/calibre/ebooks/oeb/writer.py
 +++ b/src/calibre/ebooks/oeb/writer.py
 @@ -1,7 +1,7 @@
@@ -6987,8 +6987,8 @@ Index: b/src/calibre/ebooks/oeb/writer.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Marshall T. Vandegrift <llasram@gmail.com>'
-Index: b/src/calibre/ebooks/pdb/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/__init__.py b/src/calibre/ebooks/pdb/__init__.py
+index 599744fe06..059cebda30 100644
 --- a/src/calibre/ebooks/pdb/__init__.py
 +++ b/src/calibre/ebooks/pdb/__init__.py
 @@ -1,5 +1,5 @@
@@ -6998,8 +6998,8 @@ Index: b/src/calibre/ebooks/pdb/__init__
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/pdb/ereader/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/ereader/__init__.py b/src/calibre/ebooks/pdb/ereader/__init__.py
+index 84661e862e..4d8c509cec 100644
 --- a/src/calibre/ebooks/pdb/ereader/__init__.py
 +++ b/src/calibre/ebooks/pdb/ereader/__init__.py
 @@ -1,5 +1,5 @@
@@ -7009,8 +7009,8 @@ Index: b/src/calibre/ebooks/pdb/ereader/
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/pdb/ereader/inspector.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/ereader/inspector.py b/src/calibre/ebooks/pdb/ereader/inspector.py
+index ab816c6cc5..85a0d1cad3 100644
 --- a/src/calibre/ebooks/pdb/ereader/inspector.py
 +++ b/src/calibre/ebooks/pdb/ereader/inspector.py
 @@ -2,7 +2,7 @@
@@ -7022,8 +7022,8 @@ Index: b/src/calibre/ebooks/pdb/ereader/
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/pdb/ereader/reader.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/ereader/reader.py b/src/calibre/ebooks/pdb/ereader/reader.py
+index bd2bb976f5..15a39070e2 100644
 --- a/src/calibre/ebooks/pdb/ereader/reader.py
 +++ b/src/calibre/ebooks/pdb/ereader/reader.py
 @@ -1,5 +1,5 @@
@@ -7033,8 +7033,8 @@ Index: b/src/calibre/ebooks/pdb/ereader/
  
  '''
  Read content from ereader pdb file.
-Index: b/src/calibre/ebooks/pdb/ereader/reader132.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/ereader/reader132.py b/src/calibre/ebooks/pdb/ereader/reader132.py
+index b98c5e8356..152cb6b89d 100644
 --- a/src/calibre/ebooks/pdb/ereader/reader132.py
 +++ b/src/calibre/ebooks/pdb/ereader/reader132.py
 @@ -1,5 +1,5 @@
@@ -7044,8 +7044,8 @@ Index: b/src/calibre/ebooks/pdb/ereader/
  
  '''
  Read content from ereader pdb file with a 132 byte header created by Dropbook.
-Index: b/src/calibre/ebooks/pdb/ereader/reader202.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/ereader/reader202.py b/src/calibre/ebooks/pdb/ereader/reader202.py
+index fd69b19eed..a970d15c8a 100644
 --- a/src/calibre/ebooks/pdb/ereader/reader202.py
 +++ b/src/calibre/ebooks/pdb/ereader/reader202.py
 @@ -1,6 +1,6 @@
@@ -7056,8 +7056,8 @@ Index: b/src/calibre/ebooks/pdb/ereader/
  
  '''
  Read content from ereader pdb file with a 116 and 202 byte header created by Makebook.
-Index: b/src/calibre/ebooks/pdb/ereader/writer.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/ereader/writer.py b/src/calibre/ebooks/pdb/ereader/writer.py
+index e31af7af6b..4239d448c7 100644
 --- a/src/calibre/ebooks/pdb/ereader/writer.py
 +++ b/src/calibre/ebooks/pdb/ereader/writer.py
 @@ -1,5 +1,5 @@
@@ -7067,8 +7067,8 @@ Index: b/src/calibre/ebooks/pdb/ereader/
  
  '''
  Write content to ereader pdb file.
-Index: b/src/calibre/ebooks/pdb/formatreader.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/formatreader.py b/src/calibre/ebooks/pdb/formatreader.py
+index 1d14c630de..d67c12adfa 100644
 --- a/src/calibre/ebooks/pdb/formatreader.py
 +++ b/src/calibre/ebooks/pdb/formatreader.py
 @@ -1,5 +1,5 @@
@@ -7078,8 +7078,8 @@ Index: b/src/calibre/ebooks/pdb/formatre
  
  '''
  Interface defining the necessary public functions for a pdb format reader.
-Index: b/src/calibre/ebooks/pdb/formatwriter.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/formatwriter.py b/src/calibre/ebooks/pdb/formatwriter.py
+index 11e80c8757..7e9aeeec76 100644
 --- a/src/calibre/ebooks/pdb/formatwriter.py
 +++ b/src/calibre/ebooks/pdb/formatwriter.py
 @@ -1,5 +1,5 @@
@@ -7089,8 +7089,8 @@ Index: b/src/calibre/ebooks/pdb/formatwr
  
  '''
  Interface defining the necessary public functions for a pdb format writer.
-Index: b/src/calibre/ebooks/pdb/haodoo/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/haodoo/__init__.py b/src/calibre/ebooks/pdb/haodoo/__init__.py
+index 5f6c324bfc..6b2910c3df 100644
 --- a/src/calibre/ebooks/pdb/haodoo/__init__.py
 +++ b/src/calibre/ebooks/pdb/haodoo/__init__.py
 @@ -1,6 +1,6 @@
@@ -7101,8 +7101,8 @@ Index: b/src/calibre/ebooks/pdb/haodoo/_
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/pdb/haodoo/reader.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/haodoo/reader.py b/src/calibre/ebooks/pdb/haodoo/reader.py
+index dc4497fa13..a27d0cba0d 100644
 --- a/src/calibre/ebooks/pdb/haodoo/reader.py
 +++ b/src/calibre/ebooks/pdb/haodoo/reader.py
 @@ -1,5 +1,5 @@
@@ -7112,8 +7112,8 @@ Index: b/src/calibre/ebooks/pdb/haodoo/r
  
  '''
  Read content from Haodoo.net pdb file.
-Index: b/src/calibre/ebooks/pdb/header.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/header.py b/src/calibre/ebooks/pdb/header.py
+index afe7fda08a..8194175f95 100644
 --- a/src/calibre/ebooks/pdb/header.py
 +++ b/src/calibre/ebooks/pdb/header.py
 @@ -1,6 +1,6 @@
@@ -7124,8 +7124,8 @@ Index: b/src/calibre/ebooks/pdb/header.p
  
  '''
  Read the header data from a pdb file.
-Index: b/src/calibre/ebooks/pdb/palmdoc/reader.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/palmdoc/reader.py b/src/calibre/ebooks/pdb/palmdoc/reader.py
+index 8f84dc7782..16dd80d90b 100644
 --- a/src/calibre/ebooks/pdb/palmdoc/reader.py
 +++ b/src/calibre/ebooks/pdb/palmdoc/reader.py
 @@ -1,5 +1,5 @@
@@ -7135,8 +7135,8 @@ Index: b/src/calibre/ebooks/pdb/palmdoc/
  
  '''
  Read content from palmdoc pdb file.
-Index: b/src/calibre/ebooks/pdb/palmdoc/writer.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/palmdoc/writer.py b/src/calibre/ebooks/pdb/palmdoc/writer.py
+index 272e991b41..90d57313df 100644
 --- a/src/calibre/ebooks/pdb/palmdoc/writer.py
 +++ b/src/calibre/ebooks/pdb/palmdoc/writer.py
 @@ -1,5 +1,5 @@
@@ -7146,8 +7146,8 @@ Index: b/src/calibre/ebooks/pdb/palmdoc/
  
  '''
  Writer content to palmdoc pdb file.
-Index: b/src/calibre/ebooks/pdb/pdf/reader.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/pdf/reader.py b/src/calibre/ebooks/pdb/pdf/reader.py
+index df0af2cfbd..f683621e25 100644
 --- a/src/calibre/ebooks/pdb/pdf/reader.py
 +++ b/src/calibre/ebooks/pdb/pdf/reader.py
 @@ -1,5 +1,5 @@
@@ -7157,8 +7157,8 @@ Index: b/src/calibre/ebooks/pdb/pdf/read
  
  '''
  Read content from palmdoc pdb file.
-Index: b/src/calibre/ebooks/pdb/plucker/reader.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/plucker/reader.py b/src/calibre/ebooks/pdb/plucker/reader.py
+index 43d8a99471..b92dd6a8e2 100644
 --- a/src/calibre/ebooks/pdb/plucker/reader.py
 +++ b/src/calibre/ebooks/pdb/plucker/reader.py
 @@ -1,5 +1,5 @@
@@ -7168,8 +7168,8 @@ Index: b/src/calibre/ebooks/pdb/plucker/
  
  
  __license__   = 'GPL v3'
-Index: b/src/calibre/ebooks/pdb/ztxt/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/ztxt/__init__.py b/src/calibre/ebooks/pdb/ztxt/__init__.py
+index 18d4da97be..9c80210a38 100644
 --- a/src/calibre/ebooks/pdb/ztxt/__init__.py
 +++ b/src/calibre/ebooks/pdb/ztxt/__init__.py
 @@ -1,5 +1,5 @@
@@ -7179,8 +7179,8 @@ Index: b/src/calibre/ebooks/pdb/ztxt/__i
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/pdb/ztxt/reader.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/ztxt/reader.py b/src/calibre/ebooks/pdb/ztxt/reader.py
+index a1c36cf808..547ba23dab 100644
 --- a/src/calibre/ebooks/pdb/ztxt/reader.py
 +++ b/src/calibre/ebooks/pdb/ztxt/reader.py
 @@ -1,5 +1,5 @@
@@ -7190,8 +7190,8 @@ Index: b/src/calibre/ebooks/pdb/ztxt/rea
  
  '''
  Read content from ztxt pdb file.
-Index: b/src/calibre/ebooks/pdb/ztxt/writer.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/ztxt/writer.py b/src/calibre/ebooks/pdb/ztxt/writer.py
+index 05805c4253..0f18ab8b77 100644
 --- a/src/calibre/ebooks/pdb/ztxt/writer.py
 +++ b/src/calibre/ebooks/pdb/ztxt/writer.py
 @@ -1,5 +1,5 @@
@@ -7201,8 +7201,8 @@ Index: b/src/calibre/ebooks/pdb/ztxt/wri
  
  '''
  Writer content to ztxt pdb file.
-Index: b/src/calibre/ebooks/pdf/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/__init__.py b/src/calibre/ebooks/pdf/__init__.py
+index 7719a77e95..1abd04f443 100644
 --- a/src/calibre/ebooks/pdf/__init__.py
 +++ b/src/calibre/ebooks/pdf/__init__.py
 @@ -1,5 +1,5 @@
@@ -7212,8 +7212,8 @@ Index: b/src/calibre/ebooks/pdf/__init__
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/ebooks/pdf/develop.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/develop.py b/src/calibre/ebooks/pdf/develop.py
+index 928184f194..67ad81f2c9 100644
 --- a/src/calibre/ebooks/pdf/develop.py
 +++ b/src/calibre/ebooks/pdf/develop.py
 @@ -2,7 +2,7 @@
@@ -7225,8 +7225,8 @@ Index: b/src/calibre/ebooks/pdf/develop.
  
  import sys
  
-Index: b/src/calibre/ebooks/pdf/html_writer.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/html_writer.py b/src/calibre/ebooks/pdf/html_writer.py
+index a8d85f04d4..9f71ed28e8 100644
 --- a/src/calibre/ebooks/pdf/html_writer.py
 +++ b/src/calibre/ebooks/pdf/html_writer.py
 @@ -3,7 +3,7 @@
@@ -7238,8 +7238,8 @@ Index: b/src/calibre/ebooks/pdf/html_wri
  
  import copy
  import json
-Index: b/src/calibre/ebooks/pdf/image_writer.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/image_writer.py b/src/calibre/ebooks/pdf/image_writer.py
+index d76ccb533c..51bb7439c1 100644
 --- a/src/calibre/ebooks/pdf/image_writer.py
 +++ b/src/calibre/ebooks/pdf/image_writer.py
 @@ -2,7 +2,7 @@
@@ -7251,8 +7251,8 @@ Index: b/src/calibre/ebooks/pdf/image_wr
  
  from PyQt5.Qt import QMarginsF, QPageLayout, QPageSize, QSize
  
-Index: b/src/calibre/ebooks/pdf/pageoptions.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/pageoptions.py b/src/calibre/ebooks/pdf/pageoptions.py
+index fd63da24f7..6dccf2f14f 100644
 --- a/src/calibre/ebooks/pdf/pageoptions.py
 +++ b/src/calibre/ebooks/pdf/pageoptions.py
 @@ -1,5 +1,5 @@
@@ -7262,8 +7262,8 @@ Index: b/src/calibre/ebooks/pdf/pageopti
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/pdf/pdftohtml.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/pdftohtml.py b/src/calibre/ebooks/pdf/pdftohtml.py
+index bee3ba4599..9eedf39a9c 100644
 --- a/src/calibre/ebooks/pdf/pdftohtml.py
 +++ b/src/calibre/ebooks/pdf/pdftohtml.py
 @@ -2,7 +2,7 @@
@@ -7275,8 +7275,8 @@ Index: b/src/calibre/ebooks/pdf/pdftohtm
  
  import errno
  import os
-Index: b/src/calibre/ebooks/pdf/reflow.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/reflow.py b/src/calibre/ebooks/pdf/reflow.py
+index 842a09cd69..60486a2618 100644
 --- a/src/calibre/ebooks/pdf/reflow.py
 +++ b/src/calibre/ebooks/pdf/reflow.py
 @@ -1,6 +1,6 @@
@@ -7287,8 +7287,8 @@ Index: b/src/calibre/ebooks/pdf/reflow.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/pdf/render/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/__init__.py b/src/calibre/ebooks/pdf/render/__init__.py
+index 2b86b54dc3..3610d3374c 100644
 --- a/src/calibre/ebooks/pdf/render/__init__.py
 +++ b/src/calibre/ebooks/pdf/render/__init__.py
 @@ -1,6 +1,6 @@
@@ -7299,8 +7299,8 @@ Index: b/src/calibre/ebooks/pdf/render/_
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/pdf/render/common.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/common.py b/src/calibre/ebooks/pdf/render/common.py
+index f4496af042..0c607fd947 100644
 --- a/src/calibre/ebooks/pdf/render/common.py
 +++ b/src/calibre/ebooks/pdf/render/common.py
 @@ -1,6 +1,6 @@
@@ -7311,8 +7311,8 @@ Index: b/src/calibre/ebooks/pdf/render/c
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/pdf/render/fonts.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/fonts.py b/src/calibre/ebooks/pdf/render/fonts.py
+index 9319597c88..7d0dd05e10 100644
 --- a/src/calibre/ebooks/pdf/render/fonts.py
 +++ b/src/calibre/ebooks/pdf/render/fonts.py
 @@ -1,6 +1,6 @@
@@ -7323,8 +7323,8 @@ Index: b/src/calibre/ebooks/pdf/render/f
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/pdf/render/gradients.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/gradients.py b/src/calibre/ebooks/pdf/render/gradients.py
+index c23eac0f0c..5cdac4e624 100644
 --- a/src/calibre/ebooks/pdf/render/gradients.py
 +++ b/src/calibre/ebooks/pdf/render/gradients.py
 @@ -1,6 +1,6 @@
@@ -7335,8 +7335,8 @@ Index: b/src/calibre/ebooks/pdf/render/g
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/pdf/render/graphics.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/graphics.py b/src/calibre/ebooks/pdf/render/graphics.py
+index f1c788ffb2..0f641ceba5 100644
 --- a/src/calibre/ebooks/pdf/render/graphics.py
 +++ b/src/calibre/ebooks/pdf/render/graphics.py
 @@ -1,6 +1,6 @@
@@ -7347,8 +7347,8 @@ Index: b/src/calibre/ebooks/pdf/render/g
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/pdf/render/links.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/links.py b/src/calibre/ebooks/pdf/render/links.py
+index 51457d5483..6f090785a8 100644
 --- a/src/calibre/ebooks/pdf/render/links.py
 +++ b/src/calibre/ebooks/pdf/render/links.py
 @@ -1,6 +1,6 @@
@@ -7359,8 +7359,8 @@ Index: b/src/calibre/ebooks/pdf/render/l
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/pdf/render/serialize.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/serialize.py b/src/calibre/ebooks/pdf/render/serialize.py
+index 4d3e22628c..8d6a5cb9c1 100644
 --- a/src/calibre/ebooks/pdf/render/serialize.py
 +++ b/src/calibre/ebooks/pdf/render/serialize.py
 @@ -1,6 +1,6 @@
@@ -7371,8 +7371,8 @@ Index: b/src/calibre/ebooks/pdf/render/s
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/pdf/test_html_writer.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/test_html_writer.py b/src/calibre/ebooks/pdf/test_html_writer.py
+index a8c1937b32..4527f0295d 100644
 --- a/src/calibre/ebooks/pdf/test_html_writer.py
 +++ b/src/calibre/ebooks/pdf/test_html_writer.py
 @@ -2,7 +2,7 @@
@@ -7384,8 +7384,8 @@ Index: b/src/calibre/ebooks/pdf/test_htm
  
  import unittest
  from .html_writer import merge_w_arrays, merge_cmaps
-Index: b/src/calibre/ebooks/pml/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/pml/__init__.py b/src/calibre/ebooks/pml/__init__.py
+index d3d90c74e4..e4091d8e48 100644
 --- a/src/calibre/ebooks/pml/__init__.py
 +++ b/src/calibre/ebooks/pml/__init__.py
 @@ -1,5 +1,5 @@
@@ -7395,8 +7395,8 @@ Index: b/src/calibre/ebooks/pml/__init__
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/pml/pmlconverter.py
-===================================================================
+diff --git a/src/calibre/ebooks/pml/pmlconverter.py b/src/calibre/ebooks/pml/pmlconverter.py
+index 23ee41ba07..ecc6473e14 100644
 --- a/src/calibre/ebooks/pml/pmlconverter.py
 +++ b/src/calibre/ebooks/pml/pmlconverter.py
 @@ -1,5 +1,5 @@
@@ -7406,8 +7406,8 @@ Index: b/src/calibre/ebooks/pml/pmlconve
  
  '''
  Convert pml markup to and from html
-Index: b/src/calibre/ebooks/pml/pmlml.py
-===================================================================
+diff --git a/src/calibre/ebooks/pml/pmlml.py b/src/calibre/ebooks/pml/pmlml.py
+index 6474656b94..13ae4af57c 100644
 --- a/src/calibre/ebooks/pml/pmlml.py
 +++ b/src/calibre/ebooks/pml/pmlml.py
 @@ -1,5 +1,5 @@
@@ -7417,8 +7417,8 @@ Index: b/src/calibre/ebooks/pml/pmlml.py
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/rb/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/rb/__init__.py b/src/calibre/ebooks/rb/__init__.py
+index f942dc3eb2..4a44bf10e3 100644
 --- a/src/calibre/ebooks/rb/__init__.py
 +++ b/src/calibre/ebooks/rb/__init__.py
 @@ -1,5 +1,5 @@
@@ -7428,8 +7428,8 @@ Index: b/src/calibre/ebooks/rb/__init__.
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/rb/rbml.py
-===================================================================
+diff --git a/src/calibre/ebooks/rb/rbml.py b/src/calibre/ebooks/rb/rbml.py
+index 54d631f546..e8bba03127 100644
 --- a/src/calibre/ebooks/rb/rbml.py
 +++ b/src/calibre/ebooks/rb/rbml.py
 @@ -1,5 +1,5 @@
@@ -7439,8 +7439,8 @@ Index: b/src/calibre/ebooks/rb/rbml.py
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/rb/reader.py
-===================================================================
+diff --git a/src/calibre/ebooks/rb/reader.py b/src/calibre/ebooks/rb/reader.py
+index bbbc647871..88672ad819 100644
 --- a/src/calibre/ebooks/rb/reader.py
 +++ b/src/calibre/ebooks/rb/reader.py
 @@ -1,5 +1,5 @@
@@ -7450,8 +7450,8 @@ Index: b/src/calibre/ebooks/rb/reader.py
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/rb/writer.py
-===================================================================
+diff --git a/src/calibre/ebooks/rb/writer.py b/src/calibre/ebooks/rb/writer.py
+index 294bd19b6e..42a004101c 100644
 --- a/src/calibre/ebooks/rb/writer.py
 +++ b/src/calibre/ebooks/rb/writer.py
 @@ -1,5 +1,5 @@
@@ -7461,8 +7461,8 @@ Index: b/src/calibre/ebooks/rb/writer.py
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/readability/cleaners.py
-===================================================================
+diff --git a/src/calibre/ebooks/readability/cleaners.py b/src/calibre/ebooks/readability/cleaners.py
+index ee160f594b..aa6a25a5b0 100644
 --- a/src/calibre/ebooks/readability/cleaners.py
 +++ b/src/calibre/ebooks/readability/cleaners.py
 @@ -1,4 +1,4 @@
@@ -7471,8 +7471,8 @@ Index: b/src/calibre/ebooks/readability/
  
  # strip out a set of nuisance html attributes that can mess up rendering in RSS feeds
  import re
-Index: b/src/calibre/ebooks/readability/debug.py
-===================================================================
+diff --git a/src/calibre/ebooks/readability/debug.py b/src/calibre/ebooks/readability/debug.py
+index d8557b606e..1a74948ba5 100644
 --- a/src/calibre/ebooks/readability/debug.py
 +++ b/src/calibre/ebooks/readability/debug.py
 @@ -1,4 +1,4 @@
@@ -7481,8 +7481,8 @@ Index: b/src/calibre/ebooks/readability/
  
  
  def save_to_file(text, filename):
-Index: b/src/calibre/ebooks/readability/htmls.py
-===================================================================
+diff --git a/src/calibre/ebooks/readability/htmls.py b/src/calibre/ebooks/readability/htmls.py
+index 56aa159508..4a72f053f7 100644
 --- a/src/calibre/ebooks/readability/htmls.py
 +++ b/src/calibre/ebooks/readability/htmls.py
 @@ -1,4 +1,4 @@
@@ -7491,8 +7491,8 @@ Index: b/src/calibre/ebooks/readability/
  
  import re
  
-Index: b/src/calibre/ebooks/readability/readability.py
-===================================================================
+diff --git a/src/calibre/ebooks/readability/readability.py b/src/calibre/ebooks/readability/readability.py
+index 9ffd484e10..96aa347899 100644
 --- a/src/calibre/ebooks/readability/readability.py
 +++ b/src/calibre/ebooks/readability/readability.py
 @@ -1,6 +1,6 @@
@@ -7503,8 +7503,8 @@ Index: b/src/calibre/ebooks/readability/
  
  import re, sys
  from collections import defaultdict
-Index: b/src/calibre/ebooks/render_html.py
-===================================================================
+diff --git a/src/calibre/ebooks/render_html.py b/src/calibre/ebooks/render_html.py
+index 158b5891eb..4b6858d950 100644
 --- a/src/calibre/ebooks/render_html.py
 +++ b/src/calibre/ebooks/render_html.py
 @@ -2,7 +2,7 @@
@@ -7516,8 +7516,8 @@ Index: b/src/calibre/ebooks/render_html.
  
  import os
  import sys
-Index: b/src/calibre/ebooks/rtf/input.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf/input.py b/src/calibre/ebooks/rtf/input.py
+index 075eaaa36b..fd0fcad91e 100644
 --- a/src/calibre/ebooks/rtf/input.py
 +++ b/src/calibre/ebooks/rtf/input.py
 @@ -1,4 +1,4 @@
@@ -7526,8 +7526,8 @@ Index: b/src/calibre/ebooks/rtf/input.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/ebooks/rtf/preprocess.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf/preprocess.py b/src/calibre/ebooks/rtf/preprocess.py
+index f78089c4ba..d827889cd7 100644
 --- a/src/calibre/ebooks/rtf/preprocess.py
 +++ b/src/calibre/ebooks/rtf/preprocess.py
 @@ -1,6 +1,6 @@
@@ -7538,8 +7538,8 @@ Index: b/src/calibre/ebooks/rtf/preproce
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Gerendi Sandor Attila'
-Index: b/src/calibre/ebooks/rtf/rtfml.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf/rtfml.py b/src/calibre/ebooks/rtf/rtfml.py
+index 9098038f32..93c56c4e6a 100644
 --- a/src/calibre/ebooks/rtf/rtfml.py
 +++ b/src/calibre/ebooks/rtf/rtfml.py
 @@ -1,5 +1,5 @@
@@ -7549,8 +7549,8 @@ Index: b/src/calibre/ebooks/rtf/rtfml.py
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/rtf2xml/ParseRtf.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/ParseRtf.py b/src/calibre/ebooks/rtf2xml/ParseRtf.py
+index 91737da2a3..c7bc4fa0f6 100644
 --- a/src/calibre/ebooks/rtf2xml/ParseRtf.py
 +++ b/src/calibre/ebooks/rtf2xml/ParseRtf.py
 @@ -1,4 +1,4 @@
@@ -7559,8 +7559,8 @@ Index: b/src/calibre/ebooks/rtf2xml/Pars
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/__init__.py b/src/calibre/ebooks/rtf2xml/__init__.py
+index a106fe9eca..c02bcf8676 100644
 --- a/src/calibre/ebooks/rtf2xml/__init__.py
 +++ b/src/calibre/ebooks/rtf2xml/__init__.py
 @@ -1,4 +1,4 @@
@@ -7569,8 +7569,8 @@ Index: b/src/calibre/ebooks/rtf2xml/__in
  
  import io
  
-Index: b/src/calibre/ebooks/rtf2xml/add_brackets.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/add_brackets.py b/src/calibre/ebooks/rtf2xml/add_brackets.py
+index 3f991d5e34..88db2c0064 100644
 --- a/src/calibre/ebooks/rtf2xml/add_brackets.py
 +++ b/src/calibre/ebooks/rtf2xml/add_brackets.py
 @@ -1,4 +1,4 @@
@@ -7579,8 +7579,8 @@ Index: b/src/calibre/ebooks/rtf2xml/add_
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/body_styles.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/body_styles.py b/src/calibre/ebooks/rtf2xml/body_styles.py
+index ec78443a75..27ace8fd58 100644
 --- a/src/calibre/ebooks/rtf2xml/body_styles.py
 +++ b/src/calibre/ebooks/rtf2xml/body_styles.py
 @@ -1,4 +1,4 @@
@@ -7589,8 +7589,8 @@ Index: b/src/calibre/ebooks/rtf2xml/body
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/border_parse.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/border_parse.py b/src/calibre/ebooks/rtf2xml/border_parse.py
+index 782b0b8cbb..8c0e9beb36 100644
 --- a/src/calibre/ebooks/rtf2xml/border_parse.py
 +++ b/src/calibre/ebooks/rtf2xml/border_parse.py
 @@ -1,4 +1,4 @@
@@ -7599,8 +7599,8 @@ Index: b/src/calibre/ebooks/rtf2xml/bord
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/char_set.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/char_set.py b/src/calibre/ebooks/rtf2xml/char_set.py
+index 5ad6950856..a680ba365a 100644
 --- a/src/calibre/ebooks/rtf2xml/char_set.py
 +++ b/src/calibre/ebooks/rtf2xml/char_set.py
 @@ -1,4 +1,4 @@
@@ -7609,8 +7609,8 @@ Index: b/src/calibre/ebooks/rtf2xml/char
  char_set = """
  <ms_standard>
  NON-BREAKING HYPEHN:_:8290:&#x2011;
-Index: b/src/calibre/ebooks/rtf2xml/check_brackets.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/check_brackets.py b/src/calibre/ebooks/rtf2xml/check_brackets.py
+index c3ebfcde32..e82ca1c471 100644
 --- a/src/calibre/ebooks/rtf2xml/check_brackets.py
 +++ b/src/calibre/ebooks/rtf2xml/check_brackets.py
 @@ -1,4 +1,4 @@
@@ -7619,8 +7619,8 @@ Index: b/src/calibre/ebooks/rtf2xml/chec
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/check_encoding.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/check_encoding.py b/src/calibre/ebooks/rtf2xml/check_encoding.py
+index 4b37d7a987..1c14d66c3f 100644
 --- a/src/calibre/ebooks/rtf2xml/check_encoding.py
 +++ b/src/calibre/ebooks/rtf2xml/check_encoding.py
 @@ -1,5 +1,5 @@
@@ -7630,8 +7630,8 @@ Index: b/src/calibre/ebooks/rtf2xml/chec
  
  import sys
  
-Index: b/src/calibre/ebooks/rtf2xml/colors.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/colors.py b/src/calibre/ebooks/rtf2xml/colors.py
+index 7530e7bd0c..06374e152a 100644
 --- a/src/calibre/ebooks/rtf2xml/colors.py
 +++ b/src/calibre/ebooks/rtf2xml/colors.py
 @@ -1,4 +1,4 @@
@@ -7640,8 +7640,8 @@ Index: b/src/calibre/ebooks/rtf2xml/colo
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/combine_borders.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/combine_borders.py b/src/calibre/ebooks/rtf2xml/combine_borders.py
+index 547f7d709f..81576c07d7 100644
 --- a/src/calibre/ebooks/rtf2xml/combine_borders.py
 +++ b/src/calibre/ebooks/rtf2xml/combine_borders.py
 @@ -1,4 +1,4 @@
@@ -7650,8 +7650,8 @@ Index: b/src/calibre/ebooks/rtf2xml/comb
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/configure_txt.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/configure_txt.py b/src/calibre/ebooks/rtf2xml/configure_txt.py
+index 2ce8f94a77..7c0c1c78b3 100644
 --- a/src/calibre/ebooks/rtf2xml/configure_txt.py
 +++ b/src/calibre/ebooks/rtf2xml/configure_txt.py
 @@ -1,4 +1,4 @@
@@ -7660,8 +7660,8 @@ Index: b/src/calibre/ebooks/rtf2xml/conf
  import os, sys
  from . import open_for_read
  
-Index: b/src/calibre/ebooks/rtf2xml/convert_to_tags.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/convert_to_tags.py b/src/calibre/ebooks/rtf2xml/convert_to_tags.py
+index b9c11754da..b2885feb45 100644
 --- a/src/calibre/ebooks/rtf2xml/convert_to_tags.py
 +++ b/src/calibre/ebooks/rtf2xml/convert_to_tags.py
 @@ -1,4 +1,4 @@
@@ -7670,8 +7670,8 @@ Index: b/src/calibre/ebooks/rtf2xml/conv
  import os, sys
  
  from calibre.ebooks.rtf2xml import copy, check_encoding
-Index: b/src/calibre/ebooks/rtf2xml/copy.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/copy.py b/src/calibre/ebooks/rtf2xml/copy.py
+index f81cc505b3..5f378367c6 100644
 --- a/src/calibre/ebooks/rtf2xml/copy.py
 +++ b/src/calibre/ebooks/rtf2xml/copy.py
 @@ -1,4 +1,4 @@
@@ -7680,8 +7680,8 @@ Index: b/src/calibre/ebooks/rtf2xml/copy
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/default_encoding.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/default_encoding.py b/src/calibre/ebooks/rtf2xml/default_encoding.py
+index a1b701953c..c3745dc822 100644
 --- a/src/calibre/ebooks/rtf2xml/default_encoding.py
 +++ b/src/calibre/ebooks/rtf2xml/default_encoding.py
 @@ -1,4 +1,4 @@
@@ -7690,8 +7690,8 @@ Index: b/src/calibre/ebooks/rtf2xml/defa
  #########################################################################
  #                                                                       #
  #   copyright 2002 Paul Henry Tremblay                                  #
-Index: b/src/calibre/ebooks/rtf2xml/delete_info.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/delete_info.py b/src/calibre/ebooks/rtf2xml/delete_info.py
+index fe92139156..fdcf0fccfe 100644
 --- a/src/calibre/ebooks/rtf2xml/delete_info.py
 +++ b/src/calibre/ebooks/rtf2xml/delete_info.py
 @@ -1,4 +1,4 @@
@@ -7700,8 +7700,8 @@ Index: b/src/calibre/ebooks/rtf2xml/dele
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/field_strings.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/field_strings.py b/src/calibre/ebooks/rtf2xml/field_strings.py
+index a43f4a6992..4bdd9ad1ce 100644
 --- a/src/calibre/ebooks/rtf2xml/field_strings.py
 +++ b/src/calibre/ebooks/rtf2xml/field_strings.py
 @@ -1,4 +1,4 @@
@@ -7710,8 +7710,8 @@ Index: b/src/calibre/ebooks/rtf2xml/fiel
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/fields_large.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/fields_large.py b/src/calibre/ebooks/rtf2xml/fields_large.py
+index 6216217a15..78df869ddd 100644
 --- a/src/calibre/ebooks/rtf2xml/fields_large.py
 +++ b/src/calibre/ebooks/rtf2xml/fields_large.py
 @@ -1,4 +1,4 @@
@@ -7720,8 +7720,8 @@ Index: b/src/calibre/ebooks/rtf2xml/fiel
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/fields_small.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/fields_small.py b/src/calibre/ebooks/rtf2xml/fields_small.py
+index d9ac4b78cb..53235aca74 100644
 --- a/src/calibre/ebooks/rtf2xml/fields_small.py
 +++ b/src/calibre/ebooks/rtf2xml/fields_small.py
 @@ -1,4 +1,4 @@
@@ -7730,8 +7730,8 @@ Index: b/src/calibre/ebooks/rtf2xml/fiel
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/fonts.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/fonts.py b/src/calibre/ebooks/rtf2xml/fonts.py
+index 20c6151d2c..6312bd3442 100644
 --- a/src/calibre/ebooks/rtf2xml/fonts.py
 +++ b/src/calibre/ebooks/rtf2xml/fonts.py
 @@ -1,4 +1,4 @@
@@ -7740,8 +7740,8 @@ Index: b/src/calibre/ebooks/rtf2xml/font
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/footnote.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/footnote.py b/src/calibre/ebooks/rtf2xml/footnote.py
+index 36e7624134..c6b7c8fdb2 100644
 --- a/src/calibre/ebooks/rtf2xml/footnote.py
 +++ b/src/calibre/ebooks/rtf2xml/footnote.py
 @@ -1,4 +1,4 @@
@@ -7750,8 +7750,8 @@ Index: b/src/calibre/ebooks/rtf2xml/foot
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/get_char_map.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/get_char_map.py b/src/calibre/ebooks/rtf2xml/get_char_map.py
+index 9b6734761c..7fe1384580 100644
 --- a/src/calibre/ebooks/rtf2xml/get_char_map.py
 +++ b/src/calibre/ebooks/rtf2xml/get_char_map.py
 @@ -1,4 +1,4 @@
@@ -7760,8 +7760,8 @@ Index: b/src/calibre/ebooks/rtf2xml/get_
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/get_options.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/get_options.py b/src/calibre/ebooks/rtf2xml/get_options.py
+index c99a0d86ed..1ffc61b8d7 100644
 --- a/src/calibre/ebooks/rtf2xml/get_options.py
 +++ b/src/calibre/ebooks/rtf2xml/get_options.py
 @@ -1,4 +1,4 @@
@@ -7770,8 +7770,8 @@ Index: b/src/calibre/ebooks/rtf2xml/get_
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/group_borders.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/group_borders.py b/src/calibre/ebooks/rtf2xml/group_borders.py
+index bc34c99a32..f666d10f20 100644
 --- a/src/calibre/ebooks/rtf2xml/group_borders.py
 +++ b/src/calibre/ebooks/rtf2xml/group_borders.py
 @@ -1,4 +1,4 @@
@@ -7780,8 +7780,8 @@ Index: b/src/calibre/ebooks/rtf2xml/grou
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/group_styles.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/group_styles.py b/src/calibre/ebooks/rtf2xml/group_styles.py
+index e0c0b4444f..dc71615c38 100644
 --- a/src/calibre/ebooks/rtf2xml/group_styles.py
 +++ b/src/calibre/ebooks/rtf2xml/group_styles.py
 @@ -1,4 +1,4 @@
@@ -7790,8 +7790,8 @@ Index: b/src/calibre/ebooks/rtf2xml/grou
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/header.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/header.py b/src/calibre/ebooks/rtf2xml/header.py
+index 05a4783172..c88bb7b597 100644
 --- a/src/calibre/ebooks/rtf2xml/header.py
 +++ b/src/calibre/ebooks/rtf2xml/header.py
 @@ -1,4 +1,4 @@
@@ -7800,8 +7800,8 @@ Index: b/src/calibre/ebooks/rtf2xml/head
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/headings_to_sections.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/headings_to_sections.py b/src/calibre/ebooks/rtf2xml/headings_to_sections.py
+index f9bc59ba3c..c012479b88 100644
 --- a/src/calibre/ebooks/rtf2xml/headings_to_sections.py
 +++ b/src/calibre/ebooks/rtf2xml/headings_to_sections.py
 @@ -1,4 +1,4 @@
@@ -7810,8 +7810,8 @@ Index: b/src/calibre/ebooks/rtf2xml/head
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/hex_2_utf8.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/hex_2_utf8.py b/src/calibre/ebooks/rtf2xml/hex_2_utf8.py
+index 71d0f25496..38b0dfee42 100644
 --- a/src/calibre/ebooks/rtf2xml/hex_2_utf8.py
 +++ b/src/calibre/ebooks/rtf2xml/hex_2_utf8.py
 @@ -1,4 +1,4 @@
@@ -7820,8 +7820,8 @@ Index: b/src/calibre/ebooks/rtf2xml/hex_
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/info.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/info.py b/src/calibre/ebooks/rtf2xml/info.py
+index 37a1bf7c65..03ca7b8aaa 100644
 --- a/src/calibre/ebooks/rtf2xml/info.py
 +++ b/src/calibre/ebooks/rtf2xml/info.py
 @@ -1,4 +1,4 @@
@@ -7830,8 +7830,8 @@ Index: b/src/calibre/ebooks/rtf2xml/info
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/inline.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/inline.py b/src/calibre/ebooks/rtf2xml/inline.py
+index 301c7eae4d..58f96c84da 100644
 --- a/src/calibre/ebooks/rtf2xml/inline.py
 +++ b/src/calibre/ebooks/rtf2xml/inline.py
 @@ -1,4 +1,4 @@
@@ -7840,8 +7840,8 @@ Index: b/src/calibre/ebooks/rtf2xml/inli
  import sys, os
  
  from calibre.ebooks.rtf2xml import copy
-Index: b/src/calibre/ebooks/rtf2xml/line_endings.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/line_endings.py b/src/calibre/ebooks/rtf2xml/line_endings.py
+index 4660097c6e..11840279fd 100644
 --- a/src/calibre/ebooks/rtf2xml/line_endings.py
 +++ b/src/calibre/ebooks/rtf2xml/line_endings.py
 @@ -1,4 +1,4 @@
@@ -7850,8 +7850,8 @@ Index: b/src/calibre/ebooks/rtf2xml/line
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/list_numbers.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/list_numbers.py b/src/calibre/ebooks/rtf2xml/list_numbers.py
+index 7e074f107e..2ce48babe9 100644
 --- a/src/calibre/ebooks/rtf2xml/list_numbers.py
 +++ b/src/calibre/ebooks/rtf2xml/list_numbers.py
 @@ -1,4 +1,4 @@
@@ -7860,8 +7860,8 @@ Index: b/src/calibre/ebooks/rtf2xml/list
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/list_table.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/list_table.py b/src/calibre/ebooks/rtf2xml/list_table.py
+index 8688430cf1..47fe52e3c8 100644
 --- a/src/calibre/ebooks/rtf2xml/list_table.py
 +++ b/src/calibre/ebooks/rtf2xml/list_table.py
 @@ -1,4 +1,4 @@
@@ -7870,8 +7870,8 @@ Index: b/src/calibre/ebooks/rtf2xml/list
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/make_lists.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/make_lists.py b/src/calibre/ebooks/rtf2xml/make_lists.py
+index 7cfd07beae..c5d7657a00 100644
 --- a/src/calibre/ebooks/rtf2xml/make_lists.py
 +++ b/src/calibre/ebooks/rtf2xml/make_lists.py
 @@ -1,4 +1,4 @@
@@ -7880,8 +7880,8 @@ Index: b/src/calibre/ebooks/rtf2xml/make
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/old_rtf.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/old_rtf.py b/src/calibre/ebooks/rtf2xml/old_rtf.py
+index 65137b55dc..8ed2cd6177 100644
 --- a/src/calibre/ebooks/rtf2xml/old_rtf.py
 +++ b/src/calibre/ebooks/rtf2xml/old_rtf.py
 @@ -1,4 +1,4 @@
@@ -7890,8 +7890,8 @@ Index: b/src/calibre/ebooks/rtf2xml/old_
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/options_trem.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/options_trem.py b/src/calibre/ebooks/rtf2xml/options_trem.py
+index d8fdf7d3dd..d2ceb5c282 100644
 --- a/src/calibre/ebooks/rtf2xml/options_trem.py
 +++ b/src/calibre/ebooks/rtf2xml/options_trem.py
 @@ -1,5 +1,5 @@
@@ -7902,8 +7902,8 @@ Index: b/src/calibre/ebooks/rtf2xml/opti
  import sys
  
  
-Index: b/src/calibre/ebooks/rtf2xml/output.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/output.py b/src/calibre/ebooks/rtf2xml/output.py
+index 7e653fee1a..2af1af1506 100644
 --- a/src/calibre/ebooks/rtf2xml/output.py
 +++ b/src/calibre/ebooks/rtf2xml/output.py
 @@ -1,4 +1,4 @@
@@ -7912,8 +7912,8 @@ Index: b/src/calibre/ebooks/rtf2xml/outp
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/override_table.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/override_table.py b/src/calibre/ebooks/rtf2xml/override_table.py
+index 3ae53097c9..cb733b9a80 100644
 --- a/src/calibre/ebooks/rtf2xml/override_table.py
 +++ b/src/calibre/ebooks/rtf2xml/override_table.py
 @@ -1,5 +1,5 @@
@@ -7924,8 +7924,8 @@ Index: b/src/calibre/ebooks/rtf2xml/over
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/paragraph_def.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/paragraph_def.py b/src/calibre/ebooks/rtf2xml/paragraph_def.py
+index f5aab5df05..fe9dddc3a3 100644
 --- a/src/calibre/ebooks/rtf2xml/paragraph_def.py
 +++ b/src/calibre/ebooks/rtf2xml/paragraph_def.py
 @@ -1,4 +1,4 @@
@@ -7934,8 +7934,8 @@ Index: b/src/calibre/ebooks/rtf2xml/para
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/paragraphs.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/paragraphs.py b/src/calibre/ebooks/rtf2xml/paragraphs.py
+index 5962c9298d..8c4fa6dfe9 100644
 --- a/src/calibre/ebooks/rtf2xml/paragraphs.py
 +++ b/src/calibre/ebooks/rtf2xml/paragraphs.py
 @@ -1,4 +1,4 @@
@@ -7944,8 +7944,8 @@ Index: b/src/calibre/ebooks/rtf2xml/para
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/pict.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/pict.py b/src/calibre/ebooks/rtf2xml/pict.py
+index f3b1f74f18..2298dc98fc 100644
 --- a/src/calibre/ebooks/rtf2xml/pict.py
 +++ b/src/calibre/ebooks/rtf2xml/pict.py
 @@ -1,4 +1,4 @@
@@ -7954,8 +7954,8 @@ Index: b/src/calibre/ebooks/rtf2xml/pict
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/preamble_div.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/preamble_div.py b/src/calibre/ebooks/rtf2xml/preamble_div.py
+index cd7bcbef0a..7fb2c49781 100644
 --- a/src/calibre/ebooks/rtf2xml/preamble_div.py
 +++ b/src/calibre/ebooks/rtf2xml/preamble_div.py
 @@ -1,5 +1,5 @@
@@ -7966,8 +7966,8 @@ Index: b/src/calibre/ebooks/rtf2xml/prea
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/preamble_rest.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/preamble_rest.py b/src/calibre/ebooks/rtf2xml/preamble_rest.py
+index 9a828799a7..0bbf6c50b5 100644
 --- a/src/calibre/ebooks/rtf2xml/preamble_rest.py
 +++ b/src/calibre/ebooks/rtf2xml/preamble_rest.py
 @@ -1,4 +1,4 @@
@@ -7976,8 +7976,8 @@ Index: b/src/calibre/ebooks/rtf2xml/prea
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/process_tokens.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/process_tokens.py b/src/calibre/ebooks/rtf2xml/process_tokens.py
+index e64fba4d8c..f77316d699 100644
 --- a/src/calibre/ebooks/rtf2xml/process_tokens.py
 +++ b/src/calibre/ebooks/rtf2xml/process_tokens.py
 @@ -1,4 +1,4 @@
@@ -7986,8 +7986,8 @@ Index: b/src/calibre/ebooks/rtf2xml/proc
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/replace_illegals.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/replace_illegals.py b/src/calibre/ebooks/rtf2xml/replace_illegals.py
+index 38616c0c8c..cb38251a5f 100644
 --- a/src/calibre/ebooks/rtf2xml/replace_illegals.py
 +++ b/src/calibre/ebooks/rtf2xml/replace_illegals.py
 @@ -1,4 +1,4 @@
@@ -7996,8 +7996,8 @@ Index: b/src/calibre/ebooks/rtf2xml/repl
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/sections.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/sections.py b/src/calibre/ebooks/rtf2xml/sections.py
+index fdc0ed4eb6..738b79dc7a 100644
 --- a/src/calibre/ebooks/rtf2xml/sections.py
 +++ b/src/calibre/ebooks/rtf2xml/sections.py
 @@ -1,4 +1,4 @@
@@ -8006,8 +8006,8 @@ Index: b/src/calibre/ebooks/rtf2xml/sect
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/styles.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/styles.py b/src/calibre/ebooks/rtf2xml/styles.py
+index d86e26782f..0f0d1b9a1a 100644
 --- a/src/calibre/ebooks/rtf2xml/styles.py
 +++ b/src/calibre/ebooks/rtf2xml/styles.py
 @@ -1,4 +1,4 @@
@@ -8016,8 +8016,8 @@ Index: b/src/calibre/ebooks/rtf2xml/styl
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/table.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/table.py b/src/calibre/ebooks/rtf2xml/table.py
+index 139dea4971..2070644daa 100644
 --- a/src/calibre/ebooks/rtf2xml/table.py
 +++ b/src/calibre/ebooks/rtf2xml/table.py
 @@ -1,4 +1,4 @@
@@ -8026,8 +8026,8 @@ Index: b/src/calibre/ebooks/rtf2xml/tabl
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/table_info.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/table_info.py b/src/calibre/ebooks/rtf2xml/table_info.py
+index cb4bc5e64f..c6df02425b 100644
 --- a/src/calibre/ebooks/rtf2xml/table_info.py
 +++ b/src/calibre/ebooks/rtf2xml/table_info.py
 @@ -1,4 +1,4 @@
@@ -8036,8 +8036,8 @@ Index: b/src/calibre/ebooks/rtf2xml/tabl
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/rtf2xml/tokenize.py
-===================================================================
+diff --git a/src/calibre/ebooks/rtf2xml/tokenize.py b/src/calibre/ebooks/rtf2xml/tokenize.py
+index be7d6b2b00..752a3ec82d 100644
 --- a/src/calibre/ebooks/rtf2xml/tokenize.py
 +++ b/src/calibre/ebooks/rtf2xml/tokenize.py
 @@ -1,4 +1,4 @@
@@ -8046,8 +8046,8 @@ Index: b/src/calibre/ebooks/rtf2xml/toke
  #########################################################################
  #                                                                       #
  #                                                                       #
-Index: b/src/calibre/ebooks/snb/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/snb/__init__.py b/src/calibre/ebooks/snb/__init__.py
+index 8960b40971..2dbe0801dc 100644
 --- a/src/calibre/ebooks/snb/__init__.py
 +++ b/src/calibre/ebooks/snb/__init__.py
 @@ -1,5 +1,5 @@
@@ -8057,8 +8057,8 @@ Index: b/src/calibre/ebooks/snb/__init__
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Li Fanxi <lifanxi@freemindworld.com>'
-Index: b/src/calibre/ebooks/snb/snbfile.py
-===================================================================
+diff --git a/src/calibre/ebooks/snb/snbfile.py b/src/calibre/ebooks/snb/snbfile.py
+index 8cfe99b680..f905156291 100644
 --- a/src/calibre/ebooks/snb/snbfile.py
 +++ b/src/calibre/ebooks/snb/snbfile.py
 @@ -1,6 +1,6 @@
@@ -8069,8 +8069,8 @@ Index: b/src/calibre/ebooks/snb/snbfile.
  __license__   = 'GPL v3'
  __copyright__ = '2010, Li Fanxi <lifanxi@freemindworld.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/ebooks/snb/snbml.py
-===================================================================
+diff --git a/src/calibre/ebooks/snb/snbml.py b/src/calibre/ebooks/snb/snbml.py
+index 4936587ae5..f967edf9eb 100644
 --- a/src/calibre/ebooks/snb/snbml.py
 +++ b/src/calibre/ebooks/snb/snbml.py
 @@ -1,5 +1,5 @@
@@ -8080,8 +8080,8 @@ Index: b/src/calibre/ebooks/snb/snbml.py
  
  __license__ = 'GPL 3'
  __copyright__ = '2010, Li Fanxi <lifanxi@freemindworld.com>'
-Index: b/src/calibre/ebooks/tcr/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/tcr/__init__.py b/src/calibre/ebooks/tcr/__init__.py
+index c2b701674a..c8ab3b77a5 100644
 --- a/src/calibre/ebooks/tcr/__init__.py
 +++ b/src/calibre/ebooks/tcr/__init__.py
 @@ -1,5 +1,5 @@
@@ -8091,8 +8091,8 @@ Index: b/src/calibre/ebooks/tcr/__init__
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/textile/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/textile/__init__.py b/src/calibre/ebooks/textile/__init__.py
+index 5a0a767bd2..b8f48e442d 100644
 --- a/src/calibre/ebooks/textile/__init__.py
 +++ b/src/calibre/ebooks/textile/__init__.py
 @@ -1,4 +1,4 @@
@@ -8101,8 +8101,8 @@ Index: b/src/calibre/ebooks/textile/__in
  from .functions import textile, textile_restricted, Textile
  
  if False:
-Index: b/src/calibre/ebooks/textile/functions.py
-===================================================================
+diff --git a/src/calibre/ebooks/textile/functions.py b/src/calibre/ebooks/textile/functions.py
+index 46ada607d5..efb889558f 100644
 --- a/src/calibre/ebooks/textile/functions.py
 +++ b/src/calibre/ebooks/textile/functions.py
 @@ -1,6 +1,6 @@
@@ -8113,8 +8113,8 @@ Index: b/src/calibre/ebooks/textile/func
  
  """
  PyTextile
-Index: b/src/calibre/ebooks/textile/unsmarten.py
-===================================================================
+diff --git a/src/calibre/ebooks/textile/unsmarten.py b/src/calibre/ebooks/textile/unsmarten.py
+index ff05227842..07ed152319 100644
 --- a/src/calibre/ebooks/textile/unsmarten.py
 +++ b/src/calibre/ebooks/textile/unsmarten.py
 @@ -1,5 +1,5 @@
@@ -8124,8 +8124,8 @@ Index: b/src/calibre/ebooks/textile/unsm
  
  __license__ = 'GPL 3'
  __copyright__ = '2011, Leigh Parry <leighparry@blueyonder.co.uk>'
-Index: b/src/calibre/ebooks/tweak.py
-===================================================================
+diff --git a/src/calibre/ebooks/tweak.py b/src/calibre/ebooks/tweak.py
+index 6a6cd59ae5..ffac9654ac 100644
 --- a/src/calibre/ebooks/tweak.py
 +++ b/src/calibre/ebooks/tweak.py
 @@ -1,6 +1,6 @@
@@ -8136,8 +8136,8 @@ Index: b/src/calibre/ebooks/tweak.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/ebooks/txt/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/txt/__init__.py b/src/calibre/ebooks/txt/__init__.py
+index 226ecb3c60..ca69497050 100644
 --- a/src/calibre/ebooks/txt/__init__.py
 +++ b/src/calibre/ebooks/txt/__init__.py
 @@ -1,5 +1,5 @@
@@ -8147,8 +8147,8 @@ Index: b/src/calibre/ebooks/txt/__init__
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, John Schember john@nachtimwald.com'
-Index: b/src/calibre/ebooks/txt/markdownml.py
-===================================================================
+diff --git a/src/calibre/ebooks/txt/markdownml.py b/src/calibre/ebooks/txt/markdownml.py
+index 4c25c47c1c..44d288358d 100644
 --- a/src/calibre/ebooks/txt/markdownml.py
 +++ b/src/calibre/ebooks/txt/markdownml.py
 @@ -1,5 +1,5 @@
@@ -8158,8 +8158,8 @@ Index: b/src/calibre/ebooks/txt/markdown
  
  __license__ = 'GPL 3'
  __copyright__ = '''2011, John Schember <john@nachtimwald.com>
-Index: b/src/calibre/ebooks/txt/newlines.py
-===================================================================
+diff --git a/src/calibre/ebooks/txt/newlines.py b/src/calibre/ebooks/txt/newlines.py
+index 56a890cadf..45e58d2bb9 100644
 --- a/src/calibre/ebooks/txt/newlines.py
 +++ b/src/calibre/ebooks/txt/newlines.py
 @@ -1,5 +1,5 @@
@@ -8169,8 +8169,8 @@ Index: b/src/calibre/ebooks/txt/newlines
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/txt/processor.py
-===================================================================
+diff --git a/src/calibre/ebooks/txt/processor.py b/src/calibre/ebooks/txt/processor.py
+index dbe6dfe9db..b2f4cc9bf0 100644
 --- a/src/calibre/ebooks/txt/processor.py
 +++ b/src/calibre/ebooks/txt/processor.py
 @@ -1,5 +1,5 @@
@@ -8180,8 +8180,8 @@ Index: b/src/calibre/ebooks/txt/processo
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/txt/textileml.py
-===================================================================
+diff --git a/src/calibre/ebooks/txt/textileml.py b/src/calibre/ebooks/txt/textileml.py
+index e9eecfcc8e..b4ed4cdbc3 100644
 --- a/src/calibre/ebooks/txt/textileml.py
 +++ b/src/calibre/ebooks/txt/textileml.py
 @@ -1,5 +1,5 @@
@@ -8191,8 +8191,8 @@ Index: b/src/calibre/ebooks/txt/textilem
  
  __license__ = 'GPL 3'
  __copyright__ = '2011, Leigh Parry <leighparry@blueyonder.co.uk>'
-Index: b/src/calibre/ebooks/txt/txtml.py
-===================================================================
+diff --git a/src/calibre/ebooks/txt/txtml.py b/src/calibre/ebooks/txt/txtml.py
+index 14cc7d8c5f..a6bdd91226 100644
 --- a/src/calibre/ebooks/txt/txtml.py
 +++ b/src/calibre/ebooks/txt/txtml.py
 @@ -1,5 +1,5 @@
@@ -8202,8 +8202,8 @@ Index: b/src/calibre/ebooks/txt/txtml.py
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/unihandecode/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/__init__.py b/src/calibre/ebooks/unihandecode/__init__.py
+index 91238eddaa..8794775562 100644
 --- a/src/calibre/ebooks/unihandecode/__init__.py
 +++ b/src/calibre/ebooks/unihandecode/__init__.py
 @@ -1,5 +1,5 @@
@@ -8213,8 +8213,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  __license__ = 'GPL 3'
  __copyright__ = '2010, Hiroshi Miura <miurahr@linux.com>'
-Index: b/src/calibre/ebooks/unihandecode/jacodepoints.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/jacodepoints.py b/src/calibre/ebooks/unihandecode/jacodepoints.py
+index 89d83d94b6..324e265343 100644
 --- a/src/calibre/ebooks/unihandecode/jacodepoints.py
 +++ b/src/calibre/ebooks/unihandecode/jacodepoints.py
 @@ -1,5 +1,5 @@
@@ -8224,8 +8224,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  __license__ = 'GPL 3'
  __copyright__ = '2010 Hiroshi Miura <miurahr@linux.com>'
-Index: b/src/calibre/ebooks/unihandecode/jadecoder.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/jadecoder.py b/src/calibre/ebooks/unihandecode/jadecoder.py
+index d6318c270d..9f838c02a0 100644
 --- a/src/calibre/ebooks/unihandecode/jadecoder.py
 +++ b/src/calibre/ebooks/unihandecode/jadecoder.py
 @@ -1,5 +1,5 @@
@@ -8235,8 +8235,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  __license__ = 'GPL 3'
  __copyright__ = '2010, Hiroshi Miura <miurahr@linux.com>'
-Index: b/src/calibre/ebooks/unihandecode/krcodepoints.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/krcodepoints.py b/src/calibre/ebooks/unihandecode/krcodepoints.py
+index bca8e3f4b4..0940db6698 100644
 --- a/src/calibre/ebooks/unihandecode/krcodepoints.py
 +++ b/src/calibre/ebooks/unihandecode/krcodepoints.py
 @@ -1,5 +1,5 @@
@@ -8246,8 +8246,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  __license__ = 'GPL 3'
  __copyright__ = '2010 Hiroshi Miura <miurahr@linux.com>'
-Index: b/src/calibre/ebooks/unihandecode/krdecoder.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/krdecoder.py b/src/calibre/ebooks/unihandecode/krdecoder.py
+index 914f6f41c6..ab60b7865a 100644
 --- a/src/calibre/ebooks/unihandecode/krdecoder.py
 +++ b/src/calibre/ebooks/unihandecode/krdecoder.py
 @@ -1,5 +1,5 @@
@@ -8257,8 +8257,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  __license__ = 'GPL 3'
  __copyright__ = '2010, Hiroshi Miura <miurahr@linux.com>'
-Index: b/src/calibre/ebooks/unihandecode/pykakasi/__init__.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/pykakasi/__init__.py b/src/calibre/ebooks/unihandecode/pykakasi/__init__.py
+index 4995491752..b7fc7265e7 100644
 --- a/src/calibre/ebooks/unihandecode/pykakasi/__init__.py
 +++ b/src/calibre/ebooks/unihandecode/pykakasi/__init__.py
 @@ -1,4 +1,4 @@
@@ -8267,8 +8267,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  from calibre.ebooks.unihandecode.pykakasi.kakasi import kakasi
  kakasi
-Index: b/src/calibre/ebooks/unihandecode/pykakasi/h2a.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/pykakasi/h2a.py b/src/calibre/ebooks/unihandecode/pykakasi/h2a.py
+index ebbf06fdf3..06cb6803f6 100644
 --- a/src/calibre/ebooks/unihandecode/pykakasi/h2a.py
 +++ b/src/calibre/ebooks/unihandecode/pykakasi/h2a.py
 @@ -20,7 +20,7 @@
@@ -8280,8 +8280,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  from polyglot.builtins import range
  
-Index: b/src/calibre/ebooks/unihandecode/pykakasi/j2h.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/pykakasi/j2h.py b/src/calibre/ebooks/unihandecode/pykakasi/j2h.py
+index 3a9d836df2..f264795862 100644
 --- a/src/calibre/ebooks/unihandecode/pykakasi/j2h.py
 +++ b/src/calibre/ebooks/unihandecode/pykakasi/j2h.py
 @@ -20,7 +20,7 @@
@@ -8293,8 +8293,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  import re
  
-Index: b/src/calibre/ebooks/unihandecode/pykakasi/jisyo.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/pykakasi/jisyo.py b/src/calibre/ebooks/unihandecode/pykakasi/jisyo.py
+index 2c1c95f32a..45608e9c98 100644
 --- a/src/calibre/ebooks/unihandecode/pykakasi/jisyo.py
 +++ b/src/calibre/ebooks/unihandecode/pykakasi/jisyo.py
 @@ -2,7 +2,7 @@
@@ -8306,8 +8306,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  from zlib import decompress
  
-Index: b/src/calibre/ebooks/unihandecode/pykakasi/k2a.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/pykakasi/k2a.py b/src/calibre/ebooks/unihandecode/pykakasi/k2a.py
+index fb5b5da1ac..0e7833dbd0 100644
 --- a/src/calibre/ebooks/unihandecode/pykakasi/k2a.py
 +++ b/src/calibre/ebooks/unihandecode/pykakasi/k2a.py
 @@ -20,7 +20,7 @@
@@ -8319,8 +8319,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  from calibre.ebooks.unihandecode.pykakasi.jisyo import jisyo
  from polyglot.builtins import range
-Index: b/src/calibre/ebooks/unihandecode/pykakasi/kakasi.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/pykakasi/kakasi.py b/src/calibre/ebooks/unihandecode/pykakasi/kakasi.py
+index 47a8c026f8..8d1ee785ff 100644
 --- a/src/calibre/ebooks/unihandecode/pykakasi/kakasi.py
 +++ b/src/calibre/ebooks/unihandecode/pykakasi/kakasi.py
 @@ -20,7 +20,7 @@
@@ -8332,8 +8332,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  from calibre.ebooks.unihandecode.pykakasi.j2h import J2H
  from calibre.ebooks.unihandecode.pykakasi.h2a import H2a
-Index: b/src/calibre/ebooks/unihandecode/unicodepoints.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/unicodepoints.py b/src/calibre/ebooks/unihandecode/unicodepoints.py
+index 13eeed2e03..2586b6f313 100644
 --- a/src/calibre/ebooks/unihandecode/unicodepoints.py
 +++ b/src/calibre/ebooks/unihandecode/unicodepoints.py
 @@ -1,5 +1,5 @@
@@ -8343,8 +8343,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/ebooks/unihandecode/unidecoder.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/unidecoder.py b/src/calibre/ebooks/unihandecode/unidecoder.py
+index e66a11da2f..e80d6b04d1 100644
 --- a/src/calibre/ebooks/unihandecode/unidecoder.py
 +++ b/src/calibre/ebooks/unihandecode/unidecoder.py
 @@ -1,5 +1,5 @@
@@ -8354,8 +8354,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  __license__ = 'GPL 3'
  __copyright__ = '2010, Hiroshi Miura <miurahr@linux.com>'
-Index: b/src/calibre/ebooks/unihandecode/vncodepoints.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/vncodepoints.py b/src/calibre/ebooks/unihandecode/vncodepoints.py
+index 2a74bb157b..831f3bf8ab 100644
 --- a/src/calibre/ebooks/unihandecode/vncodepoints.py
 +++ b/src/calibre/ebooks/unihandecode/vncodepoints.py
 @@ -1,5 +1,5 @@
@@ -8365,8 +8365,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  __license__ = 'GPL 3'
  __copyright__ = '2010 Hiroshi Miura <miurahr@linux.com>'
-Index: b/src/calibre/ebooks/unihandecode/vndecoder.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/vndecoder.py b/src/calibre/ebooks/unihandecode/vndecoder.py
+index 60ee7fbdf9..2201e749e1 100644
 --- a/src/calibre/ebooks/unihandecode/vndecoder.py
 +++ b/src/calibre/ebooks/unihandecode/vndecoder.py
 @@ -1,5 +1,5 @@
@@ -8376,8 +8376,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  __license__ = 'GPL 3'
  __copyright__ = '2010, Hiroshi Miura <miurahr@linux.com>'
-Index: b/src/calibre/ebooks/unihandecode/zhcodepoints.py
-===================================================================
+diff --git a/src/calibre/ebooks/unihandecode/zhcodepoints.py b/src/calibre/ebooks/unihandecode/zhcodepoints.py
+index 57e4de3326..67f866bdfb 100644
 --- a/src/calibre/ebooks/unihandecode/zhcodepoints.py
 +++ b/src/calibre/ebooks/unihandecode/zhcodepoints.py
 @@ -1,5 +1,5 @@
@@ -8387,8 +8387,8 @@ Index: b/src/calibre/ebooks/unihandecode
  
  __license__ = 'GPL 3'
  __copyright__ = '2010 Hiroshi Miura <miurahr@linux.com>'
-Index: b/src/calibre/gui2/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/__init__.py b/src/calibre/gui2/__init__.py
+index a7806a00c8..ba8a369d1f 100644
 --- a/src/calibre/gui2/__init__.py
 +++ b/src/calibre/gui2/__init__.py
 @@ -1,4 +1,4 @@
@@ -8397,8 +8397,8 @@ Index: b/src/calibre/gui2/__init__.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/__init__.py b/src/calibre/gui2/actions/__init__.py
+index ebfe600c7c..9f30b5f997 100644
 --- a/src/calibre/gui2/actions/__init__.py
 +++ b/src/calibre/gui2/actions/__init__.py
 @@ -1,6 +1,6 @@
@@ -8409,8 +8409,8 @@ Index: b/src/calibre/gui2/actions/__init
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/add.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/add.py b/src/calibre/gui2/actions/add.py
+index 3ab0425971..a1ff257a60 100644
 --- a/src/calibre/gui2/actions/add.py
 +++ b/src/calibre/gui2/actions/add.py
 @@ -1,6 +1,6 @@
@@ -8421,8 +8421,8 @@ Index: b/src/calibre/gui2/actions/add.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/add_to_library.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/add_to_library.py b/src/calibre/gui2/actions/add_to_library.py
+index bf406a2ef4..f8e54900af 100644
 --- a/src/calibre/gui2/actions/add_to_library.py
 +++ b/src/calibre/gui2/actions/add_to_library.py
 @@ -1,6 +1,6 @@
@@ -8433,8 +8433,8 @@ Index: b/src/calibre/gui2/actions/add_to
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/annotate.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/annotate.py b/src/calibre/gui2/actions/annotate.py
+index 516c4d209c..eaa4ab9512 100644
 --- a/src/calibre/gui2/actions/annotate.py
 +++ b/src/calibre/gui2/actions/annotate.py
 @@ -1,6 +1,6 @@
@@ -8445,8 +8445,8 @@ Index: b/src/calibre/gui2/actions/annota
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/author_mapper.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/author_mapper.py b/src/calibre/gui2/actions/author_mapper.py
+index 8d708a8b10..8fd4c658bf 100644
 --- a/src/calibre/gui2/actions/author_mapper.py
 +++ b/src/calibre/gui2/actions/author_mapper.py
 @@ -2,7 +2,7 @@
@@ -8458,8 +8458,8 @@ Index: b/src/calibre/gui2/actions/author
  
  from calibre.gui2 import gprefs
  from calibre.gui2.actions import InterfaceAction
-Index: b/src/calibre/gui2/actions/catalog.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/catalog.py b/src/calibre/gui2/actions/catalog.py
+index 942b27ff60..19996655f5 100644
 --- a/src/calibre/gui2/actions/catalog.py
 +++ b/src/calibre/gui2/actions/catalog.py
 @@ -1,6 +1,6 @@
@@ -8470,8 +8470,8 @@ Index: b/src/calibre/gui2/actions/catalo
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/choose_library.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/choose_library.py b/src/calibre/gui2/actions/choose_library.py
+index f3960669b3..e2638d6bb2 100644
 --- a/src/calibre/gui2/actions/choose_library.py
 +++ b/src/calibre/gui2/actions/choose_library.py
 @@ -1,6 +1,6 @@
@@ -8482,8 +8482,8 @@ Index: b/src/calibre/gui2/actions/choose
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/convert.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/convert.py b/src/calibre/gui2/actions/convert.py
+index 1063e729c7..946c72d50a 100644
 --- a/src/calibre/gui2/actions/convert.py
 +++ b/src/calibre/gui2/actions/convert.py
 @@ -1,6 +1,6 @@
@@ -8494,8 +8494,8 @@ Index: b/src/calibre/gui2/actions/conver
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/copy_to_library.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/copy_to_library.py b/src/calibre/gui2/actions/copy_to_library.py
+index 64889cf945..e8f6f9c227 100644
 --- a/src/calibre/gui2/actions/copy_to_library.py
 +++ b/src/calibre/gui2/actions/copy_to_library.py
 @@ -1,6 +1,6 @@
@@ -8506,8 +8506,8 @@ Index: b/src/calibre/gui2/actions/copy_t
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/delete.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/delete.py b/src/calibre/gui2/actions/delete.py
+index f2ad6ca4b6..6577812fc0 100644
 --- a/src/calibre/gui2/actions/delete.py
 +++ b/src/calibre/gui2/actions/delete.py
 @@ -1,6 +1,6 @@
@@ -8518,8 +8518,8 @@ Index: b/src/calibre/gui2/actions/delete
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/device.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/device.py b/src/calibre/gui2/actions/device.py
+index 8928b5febc..09920d42b2 100644
 --- a/src/calibre/gui2/actions/device.py
 +++ b/src/calibre/gui2/actions/device.py
 @@ -1,6 +1,6 @@
@@ -8530,8 +8530,8 @@ Index: b/src/calibre/gui2/actions/device
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/edit_collections.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/edit_collections.py b/src/calibre/gui2/actions/edit_collections.py
+index 2428bd42d9..19c281d712 100644
 --- a/src/calibre/gui2/actions/edit_collections.py
 +++ b/src/calibre/gui2/actions/edit_collections.py
 @@ -1,6 +1,6 @@
@@ -8542,8 +8542,8 @@ Index: b/src/calibre/gui2/actions/edit_c
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/edit_metadata.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/edit_metadata.py b/src/calibre/gui2/actions/edit_metadata.py
+index 52113ef5c7..d27aebb4ad 100644
 --- a/src/calibre/gui2/actions/edit_metadata.py
 +++ b/src/calibre/gui2/actions/edit_metadata.py
 @@ -1,6 +1,6 @@
@@ -8554,8 +8554,8 @@ Index: b/src/calibre/gui2/actions/edit_m
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/embed.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/embed.py b/src/calibre/gui2/actions/embed.py
+index 8baea5f958..65016db497 100644
 --- a/src/calibre/gui2/actions/embed.py
 +++ b/src/calibre/gui2/actions/embed.py
 @@ -1,6 +1,6 @@
@@ -8566,8 +8566,8 @@ Index: b/src/calibre/gui2/actions/embed.
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/fetch_news.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/fetch_news.py b/src/calibre/gui2/actions/fetch_news.py
+index a2e263a5cf..cfc860f0be 100644
 --- a/src/calibre/gui2/actions/fetch_news.py
 +++ b/src/calibre/gui2/actions/fetch_news.py
 @@ -1,6 +1,6 @@
@@ -8578,8 +8578,8 @@ Index: b/src/calibre/gui2/actions/fetch_
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/help.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/help.py b/src/calibre/gui2/actions/help.py
+index c1c6176146..e8bf9832e5 100644
 --- a/src/calibre/gui2/actions/help.py
 +++ b/src/calibre/gui2/actions/help.py
 @@ -1,6 +1,6 @@
@@ -8590,8 +8590,8 @@ Index: b/src/calibre/gui2/actions/help.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/mark_books.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/mark_books.py b/src/calibre/gui2/actions/mark_books.py
+index 3e967c6581..83f9841b66 100644
 --- a/src/calibre/gui2/actions/mark_books.py
 +++ b/src/calibre/gui2/actions/mark_books.py
 @@ -1,6 +1,6 @@
@@ -8602,8 +8602,8 @@ Index: b/src/calibre/gui2/actions/mark_b
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/match_books.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/match_books.py b/src/calibre/gui2/actions/match_books.py
+index a1240018c5..cff2add270 100644
 --- a/src/calibre/gui2/actions/match_books.py
 +++ b/src/calibre/gui2/actions/match_books.py
 @@ -1,6 +1,6 @@
@@ -8614,8 +8614,8 @@ Index: b/src/calibre/gui2/actions/match_
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/next_match.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/next_match.py b/src/calibre/gui2/actions/next_match.py
+index 648e9f856d..f87d3e9289 100644
 --- a/src/calibre/gui2/actions/next_match.py
 +++ b/src/calibre/gui2/actions/next_match.py
 @@ -1,6 +1,6 @@
@@ -8626,8 +8626,8 @@ Index: b/src/calibre/gui2/actions/next_m
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/open.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/open.py b/src/calibre/gui2/actions/open.py
+index 73ddc4768e..6447f29a8f 100644
 --- a/src/calibre/gui2/actions/open.py
 +++ b/src/calibre/gui2/actions/open.py
 @@ -1,6 +1,6 @@
@@ -8638,8 +8638,8 @@ Index: b/src/calibre/gui2/actions/open.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/plugin_updates.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/plugin_updates.py b/src/calibre/gui2/actions/plugin_updates.py
+index c24723a887..d22c5a2693 100644
 --- a/src/calibre/gui2/actions/plugin_updates.py
 +++ b/src/calibre/gui2/actions/plugin_updates.py
 @@ -1,6 +1,6 @@
@@ -8650,8 +8650,8 @@ Index: b/src/calibre/gui2/actions/plugin
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Grant Drake <grant.drake@gmail.com>'
-Index: b/src/calibre/gui2/actions/polish.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/polish.py b/src/calibre/gui2/actions/polish.py
+index dfb4e73148..e1c3676c07 100644
 --- a/src/calibre/gui2/actions/polish.py
 +++ b/src/calibre/gui2/actions/polish.py
 @@ -1,6 +1,6 @@
@@ -8662,8 +8662,8 @@ Index: b/src/calibre/gui2/actions/polish
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/preferences.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/preferences.py b/src/calibre/gui2/actions/preferences.py
+index 4656885c8e..b9e120b4c1 100644
 --- a/src/calibre/gui2/actions/preferences.py
 +++ b/src/calibre/gui2/actions/preferences.py
 @@ -1,6 +1,6 @@
@@ -8674,8 +8674,8 @@ Index: b/src/calibre/gui2/actions/prefer
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/random.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/random.py b/src/calibre/gui2/actions/random.py
+index cde02427f7..dc2a8a3728 100644
 --- a/src/calibre/gui2/actions/random.py
 +++ b/src/calibre/gui2/actions/random.py
 @@ -1,6 +1,6 @@
@@ -8686,8 +8686,8 @@ Index: b/src/calibre/gui2/actions/random
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/restart.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/restart.py b/src/calibre/gui2/actions/restart.py
+index 8428f69d33..36ba43b3a4 100644
 --- a/src/calibre/gui2/actions/restart.py
 +++ b/src/calibre/gui2/actions/restart.py
 @@ -1,6 +1,6 @@
@@ -8698,8 +8698,8 @@ Index: b/src/calibre/gui2/actions/restar
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/save_to_disk.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/save_to_disk.py b/src/calibre/gui2/actions/save_to_disk.py
+index b4818591e0..18ad774ae0 100644
 --- a/src/calibre/gui2/actions/save_to_disk.py
 +++ b/src/calibre/gui2/actions/save_to_disk.py
 @@ -1,6 +1,6 @@
@@ -8710,8 +8710,8 @@ Index: b/src/calibre/gui2/actions/save_t
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/show_book_details.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/show_book_details.py b/src/calibre/gui2/actions/show_book_details.py
+index 8d62f67c86..75d4eef7f2 100644
 --- a/src/calibre/gui2/actions/show_book_details.py
 +++ b/src/calibre/gui2/actions/show_book_details.py
 @@ -1,6 +1,6 @@
@@ -8722,8 +8722,8 @@ Index: b/src/calibre/gui2/actions/show_b
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/show_quickview.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/show_quickview.py b/src/calibre/gui2/actions/show_quickview.py
+index 72ea24783e..2322f2c9a9 100644
 --- a/src/calibre/gui2/actions/show_quickview.py
 +++ b/src/calibre/gui2/actions/show_quickview.py
 @@ -1,6 +1,6 @@
@@ -8734,8 +8734,8 @@ Index: b/src/calibre/gui2/actions/show_q
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/show_template_tester.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/show_template_tester.py b/src/calibre/gui2/actions/show_template_tester.py
+index af78359570..371fe16d71 100644
 --- a/src/calibre/gui2/actions/show_template_tester.py
 +++ b/src/calibre/gui2/actions/show_template_tester.py
 @@ -1,6 +1,6 @@
@@ -8746,8 +8746,8 @@ Index: b/src/calibre/gui2/actions/show_t
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/similar_books.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/similar_books.py b/src/calibre/gui2/actions/similar_books.py
+index 879d888648..c655f05700 100644
 --- a/src/calibre/gui2/actions/similar_books.py
 +++ b/src/calibre/gui2/actions/similar_books.py
 @@ -1,6 +1,6 @@
@@ -8758,8 +8758,8 @@ Index: b/src/calibre/gui2/actions/simila
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/sort.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/sort.py b/src/calibre/gui2/actions/sort.py
+index 890ac4c709..99d988370f 100644
 --- a/src/calibre/gui2/actions/sort.py
 +++ b/src/calibre/gui2/actions/sort.py
 @@ -1,6 +1,6 @@
@@ -8770,8 +8770,8 @@ Index: b/src/calibre/gui2/actions/sort.p
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/store.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/store.py b/src/calibre/gui2/actions/store.py
+index 7b889ec51b..5d4681b5e5 100644
 --- a/src/calibre/gui2/actions/store.py
 +++ b/src/calibre/gui2/actions/store.py
 @@ -1,5 +1,5 @@
@@ -8781,8 +8781,8 @@ Index: b/src/calibre/gui2/actions/store.
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/actions/tag_mapper.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/tag_mapper.py b/src/calibre/gui2/actions/tag_mapper.py
+index 785ba911f8..770666b955 100644
 --- a/src/calibre/gui2/actions/tag_mapper.py
 +++ b/src/calibre/gui2/actions/tag_mapper.py
 @@ -2,7 +2,7 @@
@@ -8794,8 +8794,8 @@ Index: b/src/calibre/gui2/actions/tag_ma
  from polyglot.builtins import iteritems, map, range
  
  from calibre.gui2 import gprefs
-Index: b/src/calibre/gui2/actions/toc_edit.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/toc_edit.py b/src/calibre/gui2/actions/toc_edit.py
+index 0cd79d27b4..91819999cd 100644
 --- a/src/calibre/gui2/actions/toc_edit.py
 +++ b/src/calibre/gui2/actions/toc_edit.py
 @@ -1,6 +1,6 @@
@@ -8806,8 +8806,8 @@ Index: b/src/calibre/gui2/actions/toc_ed
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/tweak_epub.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/tweak_epub.py b/src/calibre/gui2/actions/tweak_epub.py
+index 5cab1405cd..405b2eea5a 100644
 --- a/src/calibre/gui2/actions/tweak_epub.py
 +++ b/src/calibre/gui2/actions/tweak_epub.py
 @@ -1,6 +1,6 @@
@@ -8818,8 +8818,8 @@ Index: b/src/calibre/gui2/actions/tweak_
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/unpack_book.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/unpack_book.py b/src/calibre/gui2/actions/unpack_book.py
+index 1fa4c96fb8..278cb968e0 100644
 --- a/src/calibre/gui2/actions/unpack_book.py
 +++ b/src/calibre/gui2/actions/unpack_book.py
 @@ -1,6 +1,6 @@
@@ -8830,8 +8830,8 @@ Index: b/src/calibre/gui2/actions/unpack
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/view.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/view.py b/src/calibre/gui2/actions/view.py
+index 6592277465..23c880a871 100644
 --- a/src/calibre/gui2/actions/view.py
 +++ b/src/calibre/gui2/actions/view.py
 @@ -1,6 +1,6 @@
@@ -8842,8 +8842,8 @@ Index: b/src/calibre/gui2/actions/view.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/actions/virtual_library.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/virtual_library.py b/src/calibre/gui2/actions/virtual_library.py
+index 4efdf345ef..c17b08b49e 100644
 --- a/src/calibre/gui2/actions/virtual_library.py
 +++ b/src/calibre/gui2/actions/virtual_library.py
 @@ -2,7 +2,7 @@
@@ -8855,8 +8855,8 @@ Index: b/src/calibre/gui2/actions/virtua
  
  from PyQt5.Qt import QToolButton, QAction
  
-Index: b/src/calibre/gui2/add.py
-===================================================================
+diff --git a/src/calibre/gui2/add.py b/src/calibre/gui2/add.py
+index 374d579b57..1e440c9ffa 100644
 --- a/src/calibre/gui2/add.py
 +++ b/src/calibre/gui2/add.py
 @@ -1,6 +1,6 @@
@@ -8867,8 +8867,8 @@ Index: b/src/calibre/gui2/add.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/add_filters.py
-===================================================================
+diff --git a/src/calibre/gui2/add_filters.py b/src/calibre/gui2/add_filters.py
+index 9e750de11a..06bbea5e42 100644
 --- a/src/calibre/gui2/add_filters.py
 +++ b/src/calibre/gui2/add_filters.py
 @@ -2,7 +2,7 @@
@@ -8880,8 +8880,8 @@ Index: b/src/calibre/gui2/add_filters.py
  
  from collections import OrderedDict
  from polyglot.builtins import map, unicode_type
-Index: b/src/calibre/gui2/author_mapper.py
-===================================================================
+diff --git a/src/calibre/gui2/author_mapper.py b/src/calibre/gui2/author_mapper.py
+index d83889156d..0d5a436814 100644
 --- a/src/calibre/gui2/author_mapper.py
 +++ b/src/calibre/gui2/author_mapper.py
 @@ -2,7 +2,7 @@
@@ -8893,8 +8893,8 @@ Index: b/src/calibre/gui2/author_mapper.
  
  from collections import OrderedDict
  
-Index: b/src/calibre/gui2/auto_add.py
-===================================================================
+diff --git a/src/calibre/gui2/auto_add.py b/src/calibre/gui2/auto_add.py
+index 34a01ec4b4..ccd0f12d30 100644
 --- a/src/calibre/gui2/auto_add.py
 +++ b/src/calibre/gui2/auto_add.py
 @@ -1,6 +1,6 @@
@@ -8905,8 +8905,8 @@ Index: b/src/calibre/gui2/auto_add.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/bars.py
-===================================================================
+diff --git a/src/calibre/gui2/bars.py b/src/calibre/gui2/bars.py
+index d49a5472f9..f4aec49b84 100644
 --- a/src/calibre/gui2/bars.py
 +++ b/src/calibre/gui2/bars.py
 @@ -1,6 +1,6 @@
@@ -8917,8 +8917,8 @@ Index: b/src/calibre/gui2/bars.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/book_details.py
-===================================================================
+diff --git a/src/calibre/gui2/book_details.py b/src/calibre/gui2/book_details.py
+index 7c4997458f..d499ca52e3 100644
 --- a/src/calibre/gui2/book_details.py
 +++ b/src/calibre/gui2/book_details.py
 @@ -1,7 +1,7 @@
@@ -8930,8 +8930,8 @@ Index: b/src/calibre/gui2/book_details.p
  
  import re, os
  from collections import namedtuple
-Index: b/src/calibre/gui2/catalog/catalog_bibtex.py
-===================================================================
+diff --git a/src/calibre/gui2/catalog/catalog_bibtex.py b/src/calibre/gui2/catalog/catalog_bibtex.py
+index 03d262c4ac..dc279c36aa 100644
 --- a/src/calibre/gui2/catalog/catalog_bibtex.py
 +++ b/src/calibre/gui2/catalog/catalog_bibtex.py
 @@ -1,6 +1,6 @@
@@ -8942,8 +8942,8 @@ Index: b/src/calibre/gui2/catalog/catalo
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/catalog/catalog_csv_xml.py
-===================================================================
+diff --git a/src/calibre/gui2/catalog/catalog_csv_xml.py b/src/calibre/gui2/catalog/catalog_csv_xml.py
+index 7a63e1bbb9..903656ddb3 100644
 --- a/src/calibre/gui2/catalog/catalog_csv_xml.py
 +++ b/src/calibre/gui2/catalog/catalog_csv_xml.py
 @@ -1,6 +1,6 @@
@@ -8954,8 +8954,8 @@ Index: b/src/calibre/gui2/catalog/catalo
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/catalog/catalog_epub_mobi.py
-===================================================================
+diff --git a/src/calibre/gui2/catalog/catalog_epub_mobi.py b/src/calibre/gui2/catalog/catalog_epub_mobi.py
+index 96935b0977..0db35a4353 100644
 --- a/src/calibre/gui2/catalog/catalog_epub_mobi.py
 +++ b/src/calibre/gui2/catalog/catalog_epub_mobi.py
 @@ -1,6 +1,6 @@
@@ -8966,8 +8966,8 @@ Index: b/src/calibre/gui2/catalog/catalo
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/changes.py
-===================================================================
+diff --git a/src/calibre/gui2/changes.py b/src/calibre/gui2/changes.py
+index f3f1977868..6a49327eda 100644
 --- a/src/calibre/gui2/changes.py
 +++ b/src/calibre/gui2/changes.py
 @@ -2,7 +2,7 @@
@@ -8979,8 +8979,8 @@ Index: b/src/calibre/gui2/changes.py
  
  from calibre.srv.changes import (
      BooksAdded, BooksDeleted, FormatsAdded, FormatsRemoved, MetadataChanged,
-Index: b/src/calibre/gui2/comments_editor.py
-===================================================================
+diff --git a/src/calibre/gui2/comments_editor.py b/src/calibre/gui2/comments_editor.py
+index f9f155f88b..77837a03dc 100644
 --- a/src/calibre/gui2/comments_editor.py
 +++ b/src/calibre/gui2/comments_editor.py
 @@ -1,7 +1,7 @@
@@ -8992,8 +8992,8 @@ Index: b/src/calibre/gui2/comments_edito
  
  import os
  import re
-Index: b/src/calibre/gui2/complete2.py
-===================================================================
+diff --git a/src/calibre/gui2/complete2.py b/src/calibre/gui2/complete2.py
+index a3b3ca88bb..42d90a0d30 100644
 --- a/src/calibre/gui2/complete2.py
 +++ b/src/calibre/gui2/complete2.py
 @@ -1,6 +1,6 @@
@@ -9004,8 +9004,8 @@ Index: b/src/calibre/gui2/complete2.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/__init__.py b/src/calibre/gui2/convert/__init__.py
+index a9c2e10420..c66bc6ec89 100644
 --- a/src/calibre/gui2/convert/__init__.py
 +++ b/src/calibre/gui2/convert/__init__.py
 @@ -1,6 +1,6 @@
@@ -9016,8 +9016,8 @@ Index: b/src/calibre/gui2/convert/__init
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/azw3_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/azw3_output.py b/src/calibre/gui2/convert/azw3_output.py
+index 375e3c7687..0efc9aa2df 100644
 --- a/src/calibre/gui2/convert/azw3_output.py
 +++ b/src/calibre/gui2/convert/azw3_output.py
 @@ -1,6 +1,6 @@
@@ -9028,8 +9028,8 @@ Index: b/src/calibre/gui2/convert/azw3_o
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/bulk.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/bulk.py b/src/calibre/gui2/convert/bulk.py
+index be9641e4c5..9bd737f4d9 100644
 --- a/src/calibre/gui2/convert/bulk.py
 +++ b/src/calibre/gui2/convert/bulk.py
 @@ -1,5 +1,5 @@
@@ -9039,8 +9039,8 @@ Index: b/src/calibre/gui2/convert/bulk.p
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/comic_input.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/comic_input.py b/src/calibre/gui2/convert/comic_input.py
+index 0c9a8b0fd2..af9da5b1e5 100644
 --- a/src/calibre/gui2/convert/comic_input.py
 +++ b/src/calibre/gui2/convert/comic_input.py
 @@ -1,6 +1,6 @@
@@ -9051,8 +9051,8 @@ Index: b/src/calibre/gui2/convert/comic_
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/debug.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/debug.py b/src/calibre/gui2/convert/debug.py
+index f39a9d7599..b3378b6fb6 100644
 --- a/src/calibre/gui2/convert/debug.py
 +++ b/src/calibre/gui2/convert/debug.py
 @@ -1,6 +1,6 @@
@@ -9063,8 +9063,8 @@ Index: b/src/calibre/gui2/convert/debug.
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/docx_input.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/docx_input.py b/src/calibre/gui2/convert/docx_input.py
+index dbe423faa9..19ed13b7ff 100644
 --- a/src/calibre/gui2/convert/docx_input.py
 +++ b/src/calibre/gui2/convert/docx_input.py
 @@ -1,6 +1,6 @@
@@ -9075,8 +9075,8 @@ Index: b/src/calibre/gui2/convert/docx_i
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/docx_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/docx_output.py b/src/calibre/gui2/convert/docx_output.py
+index 6633152550..f4a740b797 100644
 --- a/src/calibre/gui2/convert/docx_output.py
 +++ b/src/calibre/gui2/convert/docx_output.py
 @@ -1,5 +1,5 @@
@@ -9086,8 +9086,8 @@ Index: b/src/calibre/gui2/convert/docx_o
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/epub_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/epub_output.py b/src/calibre/gui2/convert/epub_output.py
+index 1a4bba8a5f..bafdba58e4 100644
 --- a/src/calibre/gui2/convert/epub_output.py
 +++ b/src/calibre/gui2/convert/epub_output.py
 @@ -1,6 +1,6 @@
@@ -9098,8 +9098,8 @@ Index: b/src/calibre/gui2/convert/epub_o
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/fb2_input.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/fb2_input.py b/src/calibre/gui2/convert/fb2_input.py
+index 076c40cbc7..a905f6b71c 100644
 --- a/src/calibre/gui2/convert/fb2_input.py
 +++ b/src/calibre/gui2/convert/fb2_input.py
 @@ -1,5 +1,5 @@
@@ -9109,8 +9109,8 @@ Index: b/src/calibre/gui2/convert/fb2_in
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/fb2_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/fb2_output.py b/src/calibre/gui2/convert/fb2_output.py
+index 937737a1b9..a340a23dad 100644
 --- a/src/calibre/gui2/convert/fb2_output.py
 +++ b/src/calibre/gui2/convert/fb2_output.py
 @@ -1,5 +1,5 @@
@@ -9120,8 +9120,8 @@ Index: b/src/calibre/gui2/convert/fb2_ou
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/font_key.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/font_key.py b/src/calibre/gui2/convert/font_key.py
+index 5783303b2d..d62954b201 100644
 --- a/src/calibre/gui2/convert/font_key.py
 +++ b/src/calibre/gui2/convert/font_key.py
 @@ -1,6 +1,6 @@
@@ -9132,8 +9132,8 @@ Index: b/src/calibre/gui2/convert/font_k
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/gui_conversion.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/gui_conversion.py b/src/calibre/gui2/convert/gui_conversion.py
+index aed1ca2774..c459c7255f 100644
 --- a/src/calibre/gui2/convert/gui_conversion.py
 +++ b/src/calibre/gui2/convert/gui_conversion.py
 @@ -1,5 +1,5 @@
@@ -9143,8 +9143,8 @@ Index: b/src/calibre/gui2/convert/gui_co
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/heuristics.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/heuristics.py b/src/calibre/gui2/convert/heuristics.py
+index e83da26eca..cd83dbfc86 100644
 --- a/src/calibre/gui2/convert/heuristics.py
 +++ b/src/calibre/gui2/convert/heuristics.py
 @@ -1,5 +1,5 @@
@@ -9154,8 +9154,8 @@ Index: b/src/calibre/gui2/convert/heuris
  
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/htmlz_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/htmlz_output.py b/src/calibre/gui2/convert/htmlz_output.py
+index 524d2e8536..aabbe44934 100644
 --- a/src/calibre/gui2/convert/htmlz_output.py
 +++ b/src/calibre/gui2/convert/htmlz_output.py
 @@ -1,5 +1,5 @@
@@ -9165,8 +9165,8 @@ Index: b/src/calibre/gui2/convert/htmlz_
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/look_and_feel.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/look_and_feel.py b/src/calibre/gui2/convert/look_and_feel.py
+index 3fe690bbdd..dbc6c286fb 100644
 --- a/src/calibre/gui2/convert/look_and_feel.py
 +++ b/src/calibre/gui2/convert/look_and_feel.py
 @@ -1,6 +1,6 @@
@@ -9177,8 +9177,8 @@ Index: b/src/calibre/gui2/convert/look_a
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/lrf_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/lrf_output.py b/src/calibre/gui2/convert/lrf_output.py
+index 494ee345fe..8f10ff0878 100644
 --- a/src/calibre/gui2/convert/lrf_output.py
 +++ b/src/calibre/gui2/convert/lrf_output.py
 @@ -1,6 +1,6 @@
@@ -9189,8 +9189,8 @@ Index: b/src/calibre/gui2/convert/lrf_ou
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/metadata.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/metadata.py b/src/calibre/gui2/convert/metadata.py
+index e6a86963aa..d3e5cbf284 100644
 --- a/src/calibre/gui2/convert/metadata.py
 +++ b/src/calibre/gui2/convert/metadata.py
 @@ -1,6 +1,6 @@
@@ -9201,8 +9201,8 @@ Index: b/src/calibre/gui2/convert/metada
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/mobi_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/mobi_output.py b/src/calibre/gui2/convert/mobi_output.py
+index 45378cb2d9..398f5f7934 100644
 --- a/src/calibre/gui2/convert/mobi_output.py
 +++ b/src/calibre/gui2/convert/mobi_output.py
 @@ -1,6 +1,6 @@
@@ -9213,8 +9213,8 @@ Index: b/src/calibre/gui2/convert/mobi_o
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/page_setup.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/page_setup.py b/src/calibre/gui2/convert/page_setup.py
+index 26f8628ac1..1887e29458 100644
 --- a/src/calibre/gui2/convert/page_setup.py
 +++ b/src/calibre/gui2/convert/page_setup.py
 @@ -1,6 +1,6 @@
@@ -9225,8 +9225,8 @@ Index: b/src/calibre/gui2/convert/page_s
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/pdb_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/pdb_output.py b/src/calibre/gui2/convert/pdb_output.py
+index a48e2056bf..c7937ce36f 100644
 --- a/src/calibre/gui2/convert/pdb_output.py
 +++ b/src/calibre/gui2/convert/pdb_output.py
 @@ -1,5 +1,5 @@
@@ -9236,8 +9236,8 @@ Index: b/src/calibre/gui2/convert/pdb_ou
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/pdf_input.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/pdf_input.py b/src/calibre/gui2/convert/pdf_input.py
+index 764e29417f..4bb40c55cc 100644
 --- a/src/calibre/gui2/convert/pdf_input.py
 +++ b/src/calibre/gui2/convert/pdf_input.py
 @@ -1,5 +1,5 @@
@@ -9247,8 +9247,8 @@ Index: b/src/calibre/gui2/convert/pdf_in
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/pdf_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/pdf_output.py b/src/calibre/gui2/convert/pdf_output.py
+index 280d14b95f..5c98b19442 100644
 --- a/src/calibre/gui2/convert/pdf_output.py
 +++ b/src/calibre/gui2/convert/pdf_output.py
 @@ -1,5 +1,5 @@
@@ -9258,8 +9258,8 @@ Index: b/src/calibre/gui2/convert/pdf_ou
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/pml_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/pml_output.py b/src/calibre/gui2/convert/pml_output.py
+index 8102697e75..6d637e8eea 100644
 --- a/src/calibre/gui2/convert/pml_output.py
 +++ b/src/calibre/gui2/convert/pml_output.py
 @@ -1,5 +1,5 @@
@@ -9269,8 +9269,8 @@ Index: b/src/calibre/gui2/convert/pml_ou
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/rb_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/rb_output.py b/src/calibre/gui2/convert/rb_output.py
+index 4414a0ddd7..1e0e7761e0 100644
 --- a/src/calibre/gui2/convert/rb_output.py
 +++ b/src/calibre/gui2/convert/rb_output.py
 @@ -1,5 +1,5 @@
@@ -9280,8 +9280,8 @@ Index: b/src/calibre/gui2/convert/rb_out
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/regex_builder.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/regex_builder.py b/src/calibre/gui2/convert/regex_builder.py
+index 9ac5385dbd..740986dff1 100644
 --- a/src/calibre/gui2/convert/regex_builder.py
 +++ b/src/calibre/gui2/convert/regex_builder.py
 @@ -1,5 +1,5 @@
@@ -9291,8 +9291,8 @@ Index: b/src/calibre/gui2/convert/regex_
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/rtf_input.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/rtf_input.py b/src/calibre/gui2/convert/rtf_input.py
+index 04d94ffd0b..9243a07c33 100644
 --- a/src/calibre/gui2/convert/rtf_input.py
 +++ b/src/calibre/gui2/convert/rtf_input.py
 @@ -1,6 +1,6 @@
@@ -9303,8 +9303,8 @@ Index: b/src/calibre/gui2/convert/rtf_in
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/search_and_replace.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/search_and_replace.py b/src/calibre/gui2/convert/search_and_replace.py
+index c53440ee50..0cce946ed7 100644
 --- a/src/calibre/gui2/convert/search_and_replace.py
 +++ b/src/calibre/gui2/convert/search_and_replace.py
 @@ -1,5 +1,5 @@
@@ -9314,8 +9314,8 @@ Index: b/src/calibre/gui2/convert/search
  
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>, 2012 Eli Algranti <idea00@hotmail.com>'
-Index: b/src/calibre/gui2/convert/single.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/single.py b/src/calibre/gui2/convert/single.py
+index 763e972bb7..6d0d5240a6 100644
 --- a/src/calibre/gui2/convert/single.py
 +++ b/src/calibre/gui2/convert/single.py
 @@ -2,7 +2,7 @@
@@ -9327,8 +9327,8 @@ Index: b/src/calibre/gui2/convert/single
  
  import shutil
  
-Index: b/src/calibre/gui2/convert/snb_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/snb_output.py b/src/calibre/gui2/convert/snb_output.py
+index b47e7eb493..dd7d917caa 100644
 --- a/src/calibre/gui2/convert/snb_output.py
 +++ b/src/calibre/gui2/convert/snb_output.py
 @@ -1,5 +1,5 @@
@@ -9338,8 +9338,8 @@ Index: b/src/calibre/gui2/convert/snb_ou
  
  __license__ = 'GPL 3'
  __copyright__ = '2010, Li Fanxi <lifanxi@freemindworld.com>'
-Index: b/src/calibre/gui2/convert/structure_detection.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/structure_detection.py b/src/calibre/gui2/convert/structure_detection.py
+index 418dabec19..6be65cdb89 100644
 --- a/src/calibre/gui2/convert/structure_detection.py
 +++ b/src/calibre/gui2/convert/structure_detection.py
 @@ -1,6 +1,6 @@
@@ -9350,8 +9350,8 @@ Index: b/src/calibre/gui2/convert/struct
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/toc.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/toc.py b/src/calibre/gui2/convert/toc.py
+index f75bca1279..2a7961548f 100644
 --- a/src/calibre/gui2/convert/toc.py
 +++ b/src/calibre/gui2/convert/toc.py
 @@ -1,6 +1,6 @@
@@ -9362,8 +9362,8 @@ Index: b/src/calibre/gui2/convert/toc.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/convert/txt_input.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/txt_input.py b/src/calibre/gui2/convert/txt_input.py
+index 01c7b5d42e..1838b915e0 100644
 --- a/src/calibre/gui2/convert/txt_input.py
 +++ b/src/calibre/gui2/convert/txt_input.py
 @@ -1,5 +1,5 @@
@@ -9373,8 +9373,8 @@ Index: b/src/calibre/gui2/convert/txt_in
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/txt_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/txt_output.py b/src/calibre/gui2/convert/txt_output.py
+index 5837ce9b2f..1e03381a44 100644
 --- a/src/calibre/gui2/convert/txt_output.py
 +++ b/src/calibre/gui2/convert/txt_output.py
 @@ -1,5 +1,5 @@
@@ -9384,8 +9384,8 @@ Index: b/src/calibre/gui2/convert/txt_ou
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/txtz_output.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/txtz_output.py b/src/calibre/gui2/convert/txtz_output.py
+index 0d764a76de..caa85147d5 100644
 --- a/src/calibre/gui2/convert/txtz_output.py
 +++ b/src/calibre/gui2/convert/txtz_output.py
 @@ -1,5 +1,5 @@
@@ -9395,8 +9395,8 @@ Index: b/src/calibre/gui2/convert/txtz_o
  
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/convert/xpath_wizard.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/xpath_wizard.py b/src/calibre/gui2/convert/xpath_wizard.py
+index 9789462947..b5a7ca05b2 100644
 --- a/src/calibre/gui2/convert/xpath_wizard.py
 +++ b/src/calibre/gui2/convert/xpath_wizard.py
 @@ -1,6 +1,6 @@
@@ -9407,8 +9407,8 @@ Index: b/src/calibre/gui2/convert/xpath_
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/cover_flow.py
-===================================================================
+diff --git a/src/calibre/gui2/cover_flow.py b/src/calibre/gui2/cover_flow.py
+index a3a397dccf..fae8dbeeef 100644
 --- a/src/calibre/gui2/cover_flow.py
 +++ b/src/calibre/gui2/cover_flow.py
 @@ -1,5 +1,5 @@
@@ -9418,8 +9418,8 @@ Index: b/src/calibre/gui2/cover_flow.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/gui2/covers.py
-===================================================================
+diff --git a/src/calibre/gui2/covers.py b/src/calibre/gui2/covers.py
+index cb7de3af2e..a82c329766 100644
 --- a/src/calibre/gui2/covers.py
 +++ b/src/calibre/gui2/covers.py
 @@ -1,6 +1,6 @@
@@ -9430,8 +9430,8 @@ Index: b/src/calibre/gui2/covers.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/css_transform_rules.py
-===================================================================
+diff --git a/src/calibre/gui2/css_transform_rules.py b/src/calibre/gui2/css_transform_rules.py
+index 6f46595d55..1c461422cd 100644
 --- a/src/calibre/gui2/css_transform_rules.py
 +++ b/src/calibre/gui2/css_transform_rules.py
 @@ -2,7 +2,7 @@
@@ -9443,8 +9443,8 @@ Index: b/src/calibre/gui2/css_transform_
  
  from PyQt5.Qt import (
      QWidget, QVBoxLayout, QHBoxLayout, QLabel, QComboBox, QLineEdit,
-Index: b/src/calibre/gui2/custom_column_widgets.py
-===================================================================
+diff --git a/src/calibre/gui2/custom_column_widgets.py b/src/calibre/gui2/custom_column_widgets.py
+index b0421949c9..1d203dd55b 100644
 --- a/src/calibre/gui2/custom_column_widgets.py
 +++ b/src/calibre/gui2/custom_column_widgets.py
 @@ -1,6 +1,6 @@
@@ -9455,8 +9455,8 @@ Index: b/src/calibre/gui2/custom_column_
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/dbus_export/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/__init__.py b/src/calibre/gui2/dbus_export/__init__.py
+index 996f48f52a..a33a31c735 100644
 --- a/src/calibre/gui2/dbus_export/__init__.py
 +++ b/src/calibre/gui2/dbus_export/__init__.py
 @@ -1,6 +1,6 @@
@@ -9467,8 +9467,8 @@ Index: b/src/calibre/gui2/dbus_export/__
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dbus_export/demo.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/demo.py b/src/calibre/gui2/dbus_export/demo.py
+index 7aac2681a2..aac3e88236 100644
 --- a/src/calibre/gui2/dbus_export/demo.py
 +++ b/src/calibre/gui2/dbus_export/demo.py
 @@ -1,6 +1,6 @@
@@ -9479,8 +9479,8 @@ Index: b/src/calibre/gui2/dbus_export/de
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dbus_export/gtk.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/gtk.py b/src/calibre/gui2/dbus_export/gtk.py
+index 8d101ec49c..2b7c387f40 100644
 --- a/src/calibre/gui2/dbus_export/gtk.py
 +++ b/src/calibre/gui2/dbus_export/gtk.py
 @@ -1,6 +1,6 @@
@@ -9491,8 +9491,8 @@ Index: b/src/calibre/gui2/dbus_export/gt
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dbus_export/menu.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/menu.py b/src/calibre/gui2/dbus_export/menu.py
+index 1f0d5e9826..3187b9bb59 100644
 --- a/src/calibre/gui2/dbus_export/menu.py
 +++ b/src/calibre/gui2/dbus_export/menu.py
 @@ -1,6 +1,6 @@
@@ -9503,8 +9503,8 @@ Index: b/src/calibre/gui2/dbus_export/me
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dbus_export/menu2.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/menu2.py b/src/calibre/gui2/dbus_export/menu2.py
+index 87381c2a39..531146d16f 100644
 --- a/src/calibre/gui2/dbus_export/menu2.py
 +++ b/src/calibre/gui2/dbus_export/menu2.py
 @@ -1,6 +1,6 @@
@@ -9515,8 +9515,8 @@ Index: b/src/calibre/gui2/dbus_export/me
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dbus_export/tray.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/tray.py b/src/calibre/gui2/dbus_export/tray.py
+index c4db698060..36a10e2150 100644
 --- a/src/calibre/gui2/dbus_export/tray.py
 +++ b/src/calibre/gui2/dbus_export/tray.py
 @@ -1,6 +1,6 @@
@@ -9527,8 +9527,8 @@ Index: b/src/calibre/gui2/dbus_export/tr
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dbus_export/utils.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/utils.py b/src/calibre/gui2/dbus_export/utils.py
+index a0f45a69de..7e0d499aff 100644
 --- a/src/calibre/gui2/dbus_export/utils.py
 +++ b/src/calibre/gui2/dbus_export/utils.py
 @@ -1,6 +1,6 @@
@@ -9539,8 +9539,8 @@ Index: b/src/calibre/gui2/dbus_export/ut
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dbus_export/widgets.py
-===================================================================
+diff --git a/src/calibre/gui2/dbus_export/widgets.py b/src/calibre/gui2/dbus_export/widgets.py
+index aa950a4fdb..9930d76ac1 100644
 --- a/src/calibre/gui2/dbus_export/widgets.py
 +++ b/src/calibre/gui2/dbus_export/widgets.py
 @@ -1,6 +1,6 @@
@@ -9551,8 +9551,8 @@ Index: b/src/calibre/gui2/dbus_export/wi
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/device.py
-===================================================================
+diff --git a/src/calibre/gui2/device.py b/src/calibre/gui2/device.py
+index 6c1fa0c4fb..1bca2347d5 100644
 --- a/src/calibre/gui2/device.py
 +++ b/src/calibre/gui2/device.py
 @@ -1,4 +1,4 @@
@@ -9561,8 +9561,8 @@ Index: b/src/calibre/gui2/device.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/device_drivers/configwidget.py
-===================================================================
+diff --git a/src/calibre/gui2/device_drivers/configwidget.py b/src/calibre/gui2/device_drivers/configwidget.py
+index 6948a29431..c8b5efb062 100644
 --- a/src/calibre/gui2/device_drivers/configwidget.py
 +++ b/src/calibre/gui2/device_drivers/configwidget.py
 @@ -1,5 +1,5 @@
@@ -9572,8 +9572,8 @@ Index: b/src/calibre/gui2/device_drivers
  
  __license__ = 'GPL 3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/device_drivers/mtp_config.py
-===================================================================
+diff --git a/src/calibre/gui2/device_drivers/mtp_config.py b/src/calibre/gui2/device_drivers/mtp_config.py
+index 61d17fe9bd..3c6fde9d38 100644
 --- a/src/calibre/gui2/device_drivers/mtp_config.py
 +++ b/src/calibre/gui2/device_drivers/mtp_config.py
 @@ -1,6 +1,6 @@
@@ -9584,8 +9584,8 @@ Index: b/src/calibre/gui2/device_drivers
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/device_drivers/mtp_folder_browser.py
-===================================================================
+diff --git a/src/calibre/gui2/device_drivers/mtp_folder_browser.py b/src/calibre/gui2/device_drivers/mtp_folder_browser.py
+index 6a9a1a7737..cc5062c7ff 100644
 --- a/src/calibre/gui2/device_drivers/mtp_folder_browser.py
 +++ b/src/calibre/gui2/device_drivers/mtp_folder_browser.py
 @@ -1,6 +1,6 @@
@@ -9596,8 +9596,8 @@ Index: b/src/calibre/gui2/device_drivers
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/__init__.py b/src/calibre/gui2/dialogs/__init__.py
+index 891411dd71..b2d51aa5f5 100644
 --- a/src/calibre/gui2/dialogs/__init__.py
 +++ b/src/calibre/gui2/dialogs/__init__.py
 @@ -1,4 +1,4 @@
@@ -9606,8 +9606,8 @@ Index: b/src/calibre/gui2/dialogs/__init
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/add_empty_book.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/add_empty_book.py b/src/calibre/gui2/dialogs/add_empty_book.py
+index ce87b28a93..ea4bc0ef3c 100644
 --- a/src/calibre/gui2/dialogs/add_empty_book.py
 +++ b/src/calibre/gui2/dialogs/add_empty_book.py
 @@ -1,5 +1,5 @@
@@ -9617,8 +9617,8 @@ Index: b/src/calibre/gui2/dialogs/add_em
  
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/dialogs/add_from_isbn.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/add_from_isbn.py b/src/calibre/gui2/dialogs/add_from_isbn.py
+index 4f8fca65a5..f2a5ec164f 100644
 --- a/src/calibre/gui2/dialogs/add_from_isbn.py
 +++ b/src/calibre/gui2/dialogs/add_from_isbn.py
 @@ -1,6 +1,6 @@
@@ -9629,8 +9629,8 @@ Index: b/src/calibre/gui2/dialogs/add_fr
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/authors_edit.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/authors_edit.py b/src/calibre/gui2/dialogs/authors_edit.py
+index 76b87897b8..d5f8b81a86 100644
 --- a/src/calibre/gui2/dialogs/authors_edit.py
 +++ b/src/calibre/gui2/dialogs/authors_edit.py
 @@ -1,6 +1,6 @@
@@ -9641,8 +9641,8 @@ Index: b/src/calibre/gui2/dialogs/author
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/book_info.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/book_info.py b/src/calibre/gui2/dialogs/book_info.py
+index d1c514b339..c35bcde615 100644
 --- a/src/calibre/gui2/dialogs/book_info.py
 +++ b/src/calibre/gui2/dialogs/book_info.py
 @@ -1,6 +1,6 @@
@@ -9653,8 +9653,8 @@ Index: b/src/calibre/gui2/dialogs/book_i
  
  import textwrap
  
-Index: b/src/calibre/gui2/dialogs/catalog.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/catalog.py b/src/calibre/gui2/dialogs/catalog.py
+index de0e838337..b03f102a32 100644
 --- a/src/calibre/gui2/dialogs/catalog.py
 +++ b/src/calibre/gui2/dialogs/catalog.py
 @@ -1,6 +1,6 @@
@@ -9665,8 +9665,8 @@ Index: b/src/calibre/gui2/dialogs/catalo
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/check_library.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/check_library.py b/src/calibre/gui2/dialogs/check_library.py
+index 2b885ca1a3..241d2d51b3 100644
 --- a/src/calibre/gui2/dialogs/check_library.py
 +++ b/src/calibre/gui2/dialogs/check_library.py
 @@ -1,5 +1,5 @@
@@ -9676,8 +9676,8 @@ Index: b/src/calibre/gui2/dialogs/check_
  
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/dialogs/choose_format.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/choose_format.py b/src/calibre/gui2/dialogs/choose_format.py
+index f8c3d54d1f..b0eb82aa33 100644
 --- a/src/calibre/gui2/dialogs/choose_format.py
 +++ b/src/calibre/gui2/dialogs/choose_format.py
 @@ -1,4 +1,4 @@
@@ -9686,8 +9686,8 @@ Index: b/src/calibre/gui2/dialogs/choose
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/choose_format_device.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/choose_format_device.py b/src/calibre/gui2/dialogs/choose_format_device.py
+index 76b0c2e3c1..132df5f37b 100644
 --- a/src/calibre/gui2/dialogs/choose_format_device.py
 +++ b/src/calibre/gui2/dialogs/choose_format_device.py
 @@ -1,4 +1,4 @@
@@ -9696,8 +9696,8 @@ Index: b/src/calibre/gui2/dialogs/choose
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
-Index: b/src/calibre/gui2/dialogs/choose_library.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/choose_library.py b/src/calibre/gui2/dialogs/choose_library.py
+index 1ac0ff4ce1..da2d51fcc6 100644
 --- a/src/calibre/gui2/dialogs/choose_library.py
 +++ b/src/calibre/gui2/dialogs/choose_library.py
 @@ -1,6 +1,6 @@
@@ -9708,8 +9708,8 @@ Index: b/src/calibre/gui2/dialogs/choose
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/choose_plugin_toolbars.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/choose_plugin_toolbars.py b/src/calibre/gui2/dialogs/choose_plugin_toolbars.py
+index 7ee151f66b..12dea16a91 100644
 --- a/src/calibre/gui2/dialogs/choose_plugin_toolbars.py
 +++ b/src/calibre/gui2/dialogs/choose_plugin_toolbars.py
 @@ -1,7 +1,7 @@
@@ -9721,8 +9721,8 @@ Index: b/src/calibre/gui2/dialogs/choose
  
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/dialogs/comments_dialog.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/comments_dialog.py b/src/calibre/gui2/dialogs/comments_dialog.py
+index 557887fe4e..efa4833787 100644
 --- a/src/calibre/gui2/dialogs/comments_dialog.py
 +++ b/src/calibre/gui2/dialogs/comments_dialog.py
 @@ -1,5 +1,5 @@
@@ -9732,8 +9732,8 @@ Index: b/src/calibre/gui2/dialogs/commen
  
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/dialogs/confirm_delete.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/confirm_delete.py b/src/calibre/gui2/dialogs/confirm_delete.py
+index 5dd8feddd0..93ac5c1425 100644
 --- a/src/calibre/gui2/dialogs/confirm_delete.py
 +++ b/src/calibre/gui2/dialogs/confirm_delete.py
 @@ -1,5 +1,5 @@
@@ -9743,8 +9743,8 @@ Index: b/src/calibre/gui2/dialogs/confir
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/gui2/dialogs/confirm_delete_location.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/confirm_delete_location.py b/src/calibre/gui2/dialogs/confirm_delete_location.py
+index d280264699..a605e56e81 100644
 --- a/src/calibre/gui2/dialogs/confirm_delete_location.py
 +++ b/src/calibre/gui2/dialogs/confirm_delete_location.py
 @@ -1,5 +1,5 @@
@@ -9754,8 +9754,8 @@ Index: b/src/calibre/gui2/dialogs/confir
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net' \
-Index: b/src/calibre/gui2/dialogs/confirm_merge.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/confirm_merge.py b/src/calibre/gui2/dialogs/confirm_merge.py
+index f7eaa12639..a3d7fa91bd 100644
 --- a/src/calibre/gui2/dialogs/confirm_merge.py
 +++ b/src/calibre/gui2/dialogs/confirm_merge.py
 @@ -1,6 +1,6 @@
@@ -9766,8 +9766,8 @@ Index: b/src/calibre/gui2/dialogs/confir
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/conversion_error.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/conversion_error.py b/src/calibre/gui2/dialogs/conversion_error.py
+index e876120743..2bf85113a2 100644
 --- a/src/calibre/gui2/dialogs/conversion_error.py
 +++ b/src/calibre/gui2/dialogs/conversion_error.py
 @@ -1,4 +1,4 @@
@@ -9776,8 +9776,8 @@ Index: b/src/calibre/gui2/dialogs/conver
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/custom_recipes.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/custom_recipes.py b/src/calibre/gui2/dialogs/custom_recipes.py
+index ba3d6ed9c6..7f49ef86ee 100644
 --- a/src/calibre/gui2/dialogs/custom_recipes.py
 +++ b/src/calibre/gui2/dialogs/custom_recipes.py
 @@ -1,6 +1,6 @@
@@ -9788,8 +9788,8 @@ Index: b/src/calibre/gui2/dialogs/custom
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/delete_matching_from_device.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/delete_matching_from_device.py b/src/calibre/gui2/dialogs/delete_matching_from_device.py
+index 456d3b042e..0d04650d2d 100644
 --- a/src/calibre/gui2/dialogs/delete_matching_from_device.py
 +++ b/src/calibre/gui2/dialogs/delete_matching_from_device.py
 @@ -1,5 +1,5 @@
@@ -9799,8 +9799,8 @@ Index: b/src/calibre/gui2/dialogs/delete
  
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/dialogs/device_category_editor.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/device_category_editor.py b/src/calibre/gui2/dialogs/device_category_editor.py
+index 3addf5e8c4..c0edd8378b 100644
 --- a/src/calibre/gui2/dialogs/device_category_editor.py
 +++ b/src/calibre/gui2/dialogs/device_category_editor.py
 @@ -1,4 +1,4 @@
@@ -9809,8 +9809,8 @@ Index: b/src/calibre/gui2/dialogs/device
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/drm_error.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/drm_error.py b/src/calibre/gui2/dialogs/drm_error.py
+index f24098f314..ba5d45c7eb 100644
 --- a/src/calibre/gui2/dialogs/drm_error.py
 +++ b/src/calibre/gui2/dialogs/drm_error.py
 @@ -1,6 +1,6 @@
@@ -9821,8 +9821,8 @@ Index: b/src/calibre/gui2/dialogs/drm_er
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/duplicates.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/duplicates.py b/src/calibre/gui2/dialogs/duplicates.py
+index f7c076aef5..57c9402e1b 100644
 --- a/src/calibre/gui2/dialogs/duplicates.py
 +++ b/src/calibre/gui2/dialogs/duplicates.py
 @@ -1,6 +1,6 @@
@@ -9833,8 +9833,8 @@ Index: b/src/calibre/gui2/dialogs/duplic
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/edit_authors_dialog.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/edit_authors_dialog.py b/src/calibre/gui2/dialogs/edit_authors_dialog.py
+index 4a0e5bacf5..73139bd39c 100644
 --- a/src/calibre/gui2/dialogs/edit_authors_dialog.py
 +++ b/src/calibre/gui2/dialogs/edit_authors_dialog.py
 @@ -1,5 +1,5 @@
@@ -9844,8 +9844,8 @@ Index: b/src/calibre/gui2/dialogs/edit_a
  
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/dialogs/exim.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/exim.py b/src/calibre/gui2/dialogs/exim.py
+index 9834b810d7..0509e6d844 100644
 --- a/src/calibre/gui2/dialogs/exim.py
 +++ b/src/calibre/gui2/dialogs/exim.py
 @@ -2,7 +2,7 @@
@@ -9857,8 +9857,8 @@ Index: b/src/calibre/gui2/dialogs/exim.p
  from functools import partial
  from threading import Thread, Event
  import os, stat
-Index: b/src/calibre/gui2/dialogs/match_books.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/match_books.py b/src/calibre/gui2/dialogs/match_books.py
+index b63e315ea0..395f5da753 100644
 --- a/src/calibre/gui2/dialogs/match_books.py
 +++ b/src/calibre/gui2/dialogs/match_books.py
 @@ -1,6 +1,6 @@
@@ -9869,8 +9869,8 @@ Index: b/src/calibre/gui2/dialogs/match_
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/gui2/dialogs/message_box.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/message_box.py b/src/calibre/gui2/dialogs/message_box.py
+index 35e46b3324..0ba49cbe64 100644
 --- a/src/calibre/gui2/dialogs/message_box.py
 +++ b/src/calibre/gui2/dialogs/message_box.py
 @@ -1,6 +1,6 @@
@@ -9881,8 +9881,8 @@ Index: b/src/calibre/gui2/dialogs/messag
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/metadata_bulk.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/metadata_bulk.py b/src/calibre/gui2/dialogs/metadata_bulk.py
+index 469b0bfcd2..4167481370 100644
 --- a/src/calibre/gui2/dialogs/metadata_bulk.py
 +++ b/src/calibre/gui2/dialogs/metadata_bulk.py
 @@ -1,7 +1,7 @@
@@ -9894,8 +9894,8 @@ Index: b/src/calibre/gui2/dialogs/metada
  
  import re, numbers
  from collections import defaultdict, namedtuple
-Index: b/src/calibre/gui2/dialogs/opml.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/opml.py b/src/calibre/gui2/dialogs/opml.py
+index 92d1569271..ad384d2bf1 100644
 --- a/src/calibre/gui2/dialogs/opml.py
 +++ b/src/calibre/gui2/dialogs/opml.py
 @@ -1,6 +1,6 @@
@@ -9906,8 +9906,8 @@ Index: b/src/calibre/gui2/dialogs/opml.p
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/password.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/password.py b/src/calibre/gui2/dialogs/password.py
+index 6c1d3580a6..585a00da63 100644
 --- a/src/calibre/gui2/dialogs/password.py
 +++ b/src/calibre/gui2/dialogs/password.py
 @@ -1,4 +1,4 @@
@@ -9916,8 +9916,8 @@ Index: b/src/calibre/gui2/dialogs/passwo
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/plugin_updater.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/plugin_updater.py b/src/calibre/gui2/dialogs/plugin_updater.py
+index a439e84b79..1068cb0999 100644
 --- a/src/calibre/gui2/dialogs/plugin_updater.py
 +++ b/src/calibre/gui2/dialogs/plugin_updater.py
 @@ -1,6 +1,6 @@
@@ -9928,8 +9928,8 @@ Index: b/src/calibre/gui2/dialogs/plugin
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Grant Drake <grant.drake@gmail.com>'
-Index: b/src/calibre/gui2/dialogs/progress.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/progress.py b/src/calibre/gui2/dialogs/progress.py
+index a86fb31b24..35c5dfefbf 100644
 --- a/src/calibre/gui2/dialogs/progress.py
 +++ b/src/calibre/gui2/dialogs/progress.py
 @@ -1,5 +1,5 @@
@@ -9939,8 +9939,8 @@ Index: b/src/calibre/gui2/dialogs/progre
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/gui2/dialogs/quickview.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/quickview.py b/src/calibre/gui2/dialogs/quickview.py
+index eded0a27a3..c4b780b3f7 100644
 --- a/src/calibre/gui2/dialogs/quickview.py
 +++ b/src/calibre/gui2/dialogs/quickview.py
 @@ -1,5 +1,5 @@
@@ -9950,8 +9950,8 @@ Index: b/src/calibre/gui2/dialogs/quickv
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/gui2/dialogs/restore_library.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/restore_library.py b/src/calibre/gui2/dialogs/restore_library.py
+index 6bc3ea5a15..f4353fe4a2 100644
 --- a/src/calibre/gui2/dialogs/restore_library.py
 +++ b/src/calibre/gui2/dialogs/restore_library.py
 @@ -2,7 +2,7 @@
@@ -9963,8 +9963,8 @@ Index: b/src/calibre/gui2/dialogs/restor
  
  from PyQt5.Qt import (QDialog, QLabel, QVBoxLayout, QDialogButtonBox,
          QProgressBar, QSize, QTimer, pyqtSignal, Qt)
-Index: b/src/calibre/gui2/dialogs/saved_search_editor.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/saved_search_editor.py b/src/calibre/gui2/dialogs/saved_search_editor.py
+index 6ed972d441..9f02e773ac 100644
 --- a/src/calibre/gui2/dialogs/saved_search_editor.py
 +++ b/src/calibre/gui2/dialogs/saved_search_editor.py
 @@ -1,7 +1,7 @@
@@ -9976,8 +9976,8 @@ Index: b/src/calibre/gui2/dialogs/saved_
  
  
  from PyQt5.Qt import (
-Index: b/src/calibre/gui2/dialogs/scheduler.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/scheduler.py b/src/calibre/gui2/dialogs/scheduler.py
+index ce2464e6ca..75e9232458 100644
 --- a/src/calibre/gui2/dialogs/scheduler.py
 +++ b/src/calibre/gui2/dialogs/scheduler.py
 @@ -1,4 +1,4 @@
@@ -9986,8 +9986,8 @@ Index: b/src/calibre/gui2/dialogs/schedu
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/gui2/dialogs/search.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/search.py b/src/calibre/gui2/dialogs/search.py
+index f3cace7f82..ba1d015e72 100644
 --- a/src/calibre/gui2/dialogs/search.py
 +++ b/src/calibre/gui2/dialogs/search.py
 @@ -1,4 +1,4 @@
@@ -9996,8 +9996,8 @@ Index: b/src/calibre/gui2/dialogs/search
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/select_formats.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/select_formats.py b/src/calibre/gui2/dialogs/select_formats.py
+index 6bd57a4ecf..14b68282d6 100644
 --- a/src/calibre/gui2/dialogs/select_formats.py
 +++ b/src/calibre/gui2/dialogs/select_formats.py
 @@ -1,6 +1,6 @@
@@ -10008,8 +10008,8 @@ Index: b/src/calibre/gui2/dialogs/select
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/smartdevice.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/smartdevice.py b/src/calibre/gui2/dialogs/smartdevice.py
+index e304983d23..6d5a79e9fd 100644
 --- a/src/calibre/gui2/dialogs/smartdevice.py
 +++ b/src/calibre/gui2/dialogs/smartdevice.py
 @@ -1,6 +1,6 @@
@@ -10020,8 +10020,8 @@ Index: b/src/calibre/gui2/dialogs/smartd
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  
-Index: b/src/calibre/gui2/dialogs/tag_categories.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/tag_categories.py b/src/calibre/gui2/dialogs/tag_categories.py
+index efb840b169..e6d8dd424a 100644
 --- a/src/calibre/gui2/dialogs/tag_categories.py
 +++ b/src/calibre/gui2/dialogs/tag_categories.py
 @@ -1,4 +1,4 @@
@@ -10030,8 +10030,8 @@ Index: b/src/calibre/gui2/dialogs/tag_ca
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/tag_editor.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/tag_editor.py b/src/calibre/gui2/dialogs/tag_editor.py
+index 54ff3951b3..f193775864 100644
 --- a/src/calibre/gui2/dialogs/tag_editor.py
 +++ b/src/calibre/gui2/dialogs/tag_editor.py
 @@ -1,4 +1,4 @@
@@ -10040,8 +10040,8 @@ Index: b/src/calibre/gui2/dialogs/tag_ed
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/tag_list_editor.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/tag_list_editor.py b/src/calibre/gui2/dialogs/tag_list_editor.py
+index 7bac1b02f3..f74180830f 100644
 --- a/src/calibre/gui2/dialogs/tag_list_editor.py
 +++ b/src/calibre/gui2/dialogs/tag_list_editor.py
 @@ -1,7 +1,7 @@
@@ -10053,8 +10053,8 @@ Index: b/src/calibre/gui2/dialogs/tag_li
  
  from PyQt5.Qt import (Qt, QDialog, QTableWidgetItem, QIcon, QByteArray, QSize,
                        QDialogButtonBox, QTableWidget, QItemDelegate, QApplication,
-Index: b/src/calibre/gui2/dialogs/template_dialog.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/template_dialog.py b/src/calibre/gui2/dialogs/template_dialog.py
+index d86103e4d3..5f94525f0f 100644
 --- a/src/calibre/gui2/dialogs/template_dialog.py
 +++ b/src/calibre/gui2/dialogs/template_dialog.py
 @@ -1,5 +1,5 @@
@@ -10064,8 +10064,8 @@ Index: b/src/calibre/gui2/dialogs/templa
  
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/dialogs/template_line_editor.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/template_line_editor.py b/src/calibre/gui2/dialogs/template_line_editor.py
+index e3dcf6044a..e3f27402b4 100644
 --- a/src/calibre/gui2/dialogs/template_line_editor.py
 +++ b/src/calibre/gui2/dialogs/template_line_editor.py
 @@ -1,6 +1,6 @@
@@ -10076,8 +10076,8 @@ Index: b/src/calibre/gui2/dialogs/templa
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/dialogs/trim_image.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/trim_image.py b/src/calibre/gui2/dialogs/trim_image.py
+index f7c16a9c46..576faf4ea8 100644
 --- a/src/calibre/gui2/dialogs/trim_image.py
 +++ b/src/calibre/gui2/dialogs/trim_image.py
 @@ -1,6 +1,6 @@
@@ -10088,8 +10088,8 @@ Index: b/src/calibre/gui2/dialogs/trim_i
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/dnd.py
-===================================================================
+diff --git a/src/calibre/gui2/dnd.py b/src/calibre/gui2/dnd.py
+index 5c9aa06de5..a8d3971da9 100644
 --- a/src/calibre/gui2/dnd.py
 +++ b/src/calibre/gui2/dnd.py
 @@ -1,6 +1,6 @@
@@ -10100,8 +10100,8 @@ Index: b/src/calibre/gui2/dnd.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/ebook_download.py
-===================================================================
+diff --git a/src/calibre/gui2/ebook_download.py b/src/calibre/gui2/ebook_download.py
+index 25899cd210..eb6acc31af 100644
 --- a/src/calibre/gui2/ebook_download.py
 +++ b/src/calibre/gui2/ebook_download.py
 @@ -1,5 +1,5 @@
@@ -10111,8 +10111,8 @@ Index: b/src/calibre/gui2/ebook_download
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/email.py
-===================================================================
+diff --git a/src/calibre/gui2/email.py b/src/calibre/gui2/email.py
+index 9b18dba840..d6dacc6a61 100644
 --- a/src/calibre/gui2/email.py
 +++ b/src/calibre/gui2/email.py
 @@ -1,6 +1,6 @@
@@ -10123,8 +10123,8 @@ Index: b/src/calibre/gui2/email.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/font_family_chooser.py
-===================================================================
+diff --git a/src/calibre/gui2/font_family_chooser.py b/src/calibre/gui2/font_family_chooser.py
+index 54a9eeafca..f92d998ad3 100644
 --- a/src/calibre/gui2/font_family_chooser.py
 +++ b/src/calibre/gui2/font_family_chooser.py
 @@ -1,6 +1,6 @@
@@ -10135,8 +10135,8 @@ Index: b/src/calibre/gui2/font_family_ch
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/gestures.py
-===================================================================
+diff --git a/src/calibre/gui2/gestures.py b/src/calibre/gui2/gestures.py
+index 34dfa3844d..b25600344b 100644
 --- a/src/calibre/gui2/gestures.py
 +++ b/src/calibre/gui2/gestures.py
 @@ -1,7 +1,7 @@
@@ -10148,8 +10148,8 @@ Index: b/src/calibre/gui2/gestures.py
  
  import sys, os
  
-Index: b/src/calibre/gui2/icon_theme.py
-===================================================================
+diff --git a/src/calibre/gui2/icon_theme.py b/src/calibre/gui2/icon_theme.py
+index 1690cef6b3..278e147eb1 100644
 --- a/src/calibre/gui2/icon_theme.py
 +++ b/src/calibre/gui2/icon_theme.py
 @@ -1,6 +1,6 @@
@@ -10160,8 +10160,8 @@ Index: b/src/calibre/gui2/icon_theme.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/image_popup.py
-===================================================================
+diff --git a/src/calibre/gui2/image_popup.py b/src/calibre/gui2/image_popup.py
+index ef0d4f7354..5ba8eaace0 100644
 --- a/src/calibre/gui2/image_popup.py
 +++ b/src/calibre/gui2/image_popup.py
 @@ -1,6 +1,6 @@
@@ -10172,8 +10172,8 @@ Index: b/src/calibre/gui2/image_popup.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/init.py
-===================================================================
+diff --git a/src/calibre/gui2/init.py b/src/calibre/gui2/init.py
+index 78a9512eb1..aa174d45b4 100644
 --- a/src/calibre/gui2/init.py
 +++ b/src/calibre/gui2/init.py
 @@ -1,6 +1,6 @@
@@ -10184,8 +10184,8 @@ Index: b/src/calibre/gui2/init.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/job_indicator.py
-===================================================================
+diff --git a/src/calibre/gui2/job_indicator.py b/src/calibre/gui2/job_indicator.py
+index f3986094ac..59f35c469e 100644
 --- a/src/calibre/gui2/job_indicator.py
 +++ b/src/calibre/gui2/job_indicator.py
 @@ -1,6 +1,6 @@
@@ -10196,8 +10196,8 @@ Index: b/src/calibre/gui2/job_indicator.
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/jobs.py
-===================================================================
+diff --git a/src/calibre/gui2/jobs.py b/src/calibre/gui2/jobs.py
+index 00db8fb37f..ef7c13be13 100644
 --- a/src/calibre/gui2/jobs.py
 +++ b/src/calibre/gui2/jobs.py
 @@ -1,5 +1,5 @@
@@ -10207,8 +10207,8 @@ Index: b/src/calibre/gui2/jobs.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/gui2/keyboard.py
-===================================================================
+diff --git a/src/calibre/gui2/keyboard.py b/src/calibre/gui2/keyboard.py
+index 8e59ef335a..f4b4ce9fc9 100644
 --- a/src/calibre/gui2/keyboard.py
 +++ b/src/calibre/gui2/keyboard.py
 @@ -1,6 +1,6 @@
@@ -10219,8 +10219,8 @@ Index: b/src/calibre/gui2/keyboard.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/languages.py
-===================================================================
+diff --git a/src/calibre/gui2/languages.py b/src/calibre/gui2/languages.py
+index 33b6c3d42b..ed38960d17 100644
 --- a/src/calibre/gui2/languages.py
 +++ b/src/calibre/gui2/languages.py
 @@ -1,6 +1,6 @@
@@ -10231,8 +10231,8 @@ Index: b/src/calibre/gui2/languages.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/layout.py
-===================================================================
+diff --git a/src/calibre/gui2/layout.py b/src/calibre/gui2/layout.py
+index 6efb5808a2..56376d9f48 100644
 --- a/src/calibre/gui2/layout.py
 +++ b/src/calibre/gui2/layout.py
 @@ -1,6 +1,6 @@
@@ -10243,8 +10243,8 @@ Index: b/src/calibre/gui2/layout.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/layout_menu.py
-===================================================================
+diff --git a/src/calibre/gui2/layout_menu.py b/src/calibre/gui2/layout_menu.py
+index c19c38f5e1..c0319384b6 100644
 --- a/src/calibre/gui2/layout_menu.py
 +++ b/src/calibre/gui2/layout_menu.py
 @@ -2,7 +2,7 @@
@@ -10256,8 +10256,8 @@ Index: b/src/calibre/gui2/layout_menu.py
  
  from PyQt5.Qt import (
      QFontMetrics, QHBoxLayout, QIcon, QMenu, QPainter, QPushButton, QSize,
-Index: b/src/calibre/gui2/library/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/library/__init__.py b/src/calibre/gui2/library/__init__.py
+index 645932c8b9..086cf66194 100644
 --- a/src/calibre/gui2/library/__init__.py
 +++ b/src/calibre/gui2/library/__init__.py
 @@ -1,6 +1,6 @@
@@ -10268,8 +10268,8 @@ Index: b/src/calibre/gui2/library/__init
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/library/alternate_views.py
-===================================================================
+diff --git a/src/calibre/gui2/library/alternate_views.py b/src/calibre/gui2/library/alternate_views.py
+index 179ed08887..cf96c93d5a 100644
 --- a/src/calibre/gui2/library/alternate_views.py
 +++ b/src/calibre/gui2/library/alternate_views.py
 @@ -1,6 +1,6 @@
@@ -10280,8 +10280,8 @@ Index: b/src/calibre/gui2/library/altern
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/library/caches.py
-===================================================================
+diff --git a/src/calibre/gui2/library/caches.py b/src/calibre/gui2/library/caches.py
+index 04667c88b0..cb6a3a9876 100644
 --- a/src/calibre/gui2/library/caches.py
 +++ b/src/calibre/gui2/library/caches.py
 @@ -1,6 +1,6 @@
@@ -10292,8 +10292,8 @@ Index: b/src/calibre/gui2/library/caches
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/library/delegates.py
-===================================================================
+diff --git a/src/calibre/gui2/library/delegates.py b/src/calibre/gui2/library/delegates.py
+index 4635516aa1..3a4b17dc04 100644
 --- a/src/calibre/gui2/library/delegates.py
 +++ b/src/calibre/gui2/library/delegates.py
 @@ -1,6 +1,6 @@
@@ -10304,8 +10304,8 @@ Index: b/src/calibre/gui2/library/delega
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/library/models.py
-===================================================================
+diff --git a/src/calibre/gui2/library/models.py b/src/calibre/gui2/library/models.py
+index 6922617486..37a7890ad2 100644
 --- a/src/calibre/gui2/library/models.py
 +++ b/src/calibre/gui2/library/models.py
 @@ -1,6 +1,6 @@
@@ -10316,8 +10316,8 @@ Index: b/src/calibre/gui2/library/models
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/library/views.py
-===================================================================
+diff --git a/src/calibre/gui2/library/views.py b/src/calibre/gui2/library/views.py
+index 9bb0ad43a1..0459930cea 100644
 --- a/src/calibre/gui2/library/views.py
 +++ b/src/calibre/gui2/library/views.py
 @@ -1,6 +1,6 @@
@@ -10328,8 +10328,8 @@ Index: b/src/calibre/gui2/library/views.
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/linux_file_dialogs.py
-===================================================================
+diff --git a/src/calibre/gui2/linux_file_dialogs.py b/src/calibre/gui2/linux_file_dialogs.py
+index 01ed0266b4..89bb295a76 100644
 --- a/src/calibre/gui2/linux_file_dialogs.py
 +++ b/src/calibre/gui2/linux_file_dialogs.py
 @@ -2,7 +2,7 @@
@@ -10341,8 +10341,8 @@ Index: b/src/calibre/gui2/linux_file_dia
  
  import functools
  import os
-Index: b/src/calibre/gui2/lrf_renderer/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/lrf_renderer/__init__.py b/src/calibre/gui2/lrf_renderer/__init__.py
+index bffa3c0e04..86422d565c 100644
 --- a/src/calibre/gui2/lrf_renderer/__init__.py
 +++ b/src/calibre/gui2/lrf_renderer/__init__.py
 @@ -1,4 +1,4 @@
@@ -10351,8 +10351,8 @@ Index: b/src/calibre/gui2/lrf_renderer/_
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/lrf_renderer/bookview.py
-===================================================================
+diff --git a/src/calibre/gui2/lrf_renderer/bookview.py b/src/calibre/gui2/lrf_renderer/bookview.py
+index 9fdbbda97d..b4cfe4a239 100644
 --- a/src/calibre/gui2/lrf_renderer/bookview.py
 +++ b/src/calibre/gui2/lrf_renderer/bookview.py
 @@ -1,4 +1,4 @@
@@ -10361,8 +10361,8 @@ Index: b/src/calibre/gui2/lrf_renderer/b
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/lrf_renderer/document.py
-===================================================================
+diff --git a/src/calibre/gui2/lrf_renderer/document.py b/src/calibre/gui2/lrf_renderer/document.py
+index 653f38866c..c55e0bec96 100644
 --- a/src/calibre/gui2/lrf_renderer/document.py
 +++ b/src/calibre/gui2/lrf_renderer/document.py
 @@ -1,4 +1,4 @@
@@ -10371,8 +10371,8 @@ Index: b/src/calibre/gui2/lrf_renderer/d
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/lrf_renderer/main.py
-===================================================================
+diff --git a/src/calibre/gui2/lrf_renderer/main.py b/src/calibre/gui2/lrf_renderer/main.py
+index 925fc08579..848daf1793 100644
 --- a/src/calibre/gui2/lrf_renderer/main.py
 +++ b/src/calibre/gui2/lrf_renderer/main.py
 @@ -1,4 +1,4 @@
@@ -10381,8 +10381,8 @@ Index: b/src/calibre/gui2/lrf_renderer/m
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/lrf_renderer/text.py
-===================================================================
+diff --git a/src/calibre/gui2/lrf_renderer/text.py b/src/calibre/gui2/lrf_renderer/text.py
+index 7014c1be1f..e19555294f 100644
 --- a/src/calibre/gui2/lrf_renderer/text.py
 +++ b/src/calibre/gui2/lrf_renderer/text.py
 @@ -1,4 +1,4 @@
@@ -10391,8 +10391,8 @@ Index: b/src/calibre/gui2/lrf_renderer/t
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/main.py
-===================================================================
+diff --git a/src/calibre/gui2/main.py b/src/calibre/gui2/main.py
+index 0b62cbbf68..1805ac6ff4 100644
 --- a/src/calibre/gui2/main.py
 +++ b/src/calibre/gui2/main.py
 @@ -1,7 +1,7 @@
@@ -10404,8 +10404,8 @@ Index: b/src/calibre/gui2/main.py
  
  import os
  import re
-Index: b/src/calibre/gui2/main_window.py
-===================================================================
+diff --git a/src/calibre/gui2/main_window.py b/src/calibre/gui2/main_window.py
+index e55677868c..2e59cdf6e5 100644
 --- a/src/calibre/gui2/main_window.py
 +++ b/src/calibre/gui2/main_window.py
 @@ -1,4 +1,4 @@
@@ -10414,8 +10414,8 @@ Index: b/src/calibre/gui2/main_window.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/metadata/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/__init__.py b/src/calibre/gui2/metadata/__init__.py
+index c63cb57432..463ad37bb2 100644
 --- a/src/calibre/gui2/metadata/__init__.py
 +++ b/src/calibre/gui2/metadata/__init__.py
 @@ -1,6 +1,6 @@
@@ -10426,8 +10426,8 @@ Index: b/src/calibre/gui2/metadata/__ini
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/metadata/basic_widgets.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/basic_widgets.py b/src/calibre/gui2/metadata/basic_widgets.py
+index 1dcd03461c..f94fe966b6 100644
 --- a/src/calibre/gui2/metadata/basic_widgets.py
 +++ b/src/calibre/gui2/metadata/basic_widgets.py
 @@ -1,6 +1,6 @@
@@ -10438,8 +10438,8 @@ Index: b/src/calibre/gui2/metadata/basic
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/metadata/bulk_download.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/bulk_download.py b/src/calibre/gui2/metadata/bulk_download.py
+index 36952e0768..6f06d92bf2 100644
 --- a/src/calibre/gui2/metadata/bulk_download.py
 +++ b/src/calibre/gui2/metadata/bulk_download.py
 @@ -1,6 +1,6 @@
@@ -10450,8 +10450,8 @@ Index: b/src/calibre/gui2/metadata/bulk_
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/metadata/config.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/config.py b/src/calibre/gui2/metadata/config.py
+index df64a46661..2d77dc8e4d 100644
 --- a/src/calibre/gui2/metadata/config.py
 +++ b/src/calibre/gui2/metadata/config.py
 @@ -1,6 +1,6 @@
@@ -10462,8 +10462,8 @@ Index: b/src/calibre/gui2/metadata/confi
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/metadata/diff.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/diff.py b/src/calibre/gui2/metadata/diff.py
+index cab161c349..41c1168c0d 100644
 --- a/src/calibre/gui2/metadata/diff.py
 +++ b/src/calibre/gui2/metadata/diff.py
 @@ -1,6 +1,6 @@
@@ -10474,8 +10474,8 @@ Index: b/src/calibre/gui2/metadata/diff.
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/metadata/pdf_covers.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/pdf_covers.py b/src/calibre/gui2/metadata/pdf_covers.py
+index b81b628c6d..ca1c964640 100644
 --- a/src/calibre/gui2/metadata/pdf_covers.py
 +++ b/src/calibre/gui2/metadata/pdf_covers.py
 @@ -1,6 +1,6 @@
@@ -10486,8 +10486,8 @@ Index: b/src/calibre/gui2/metadata/pdf_c
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/metadata/single.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/single.py b/src/calibre/gui2/metadata/single.py
+index 8c8f927dde..f3de859ef9 100644
 --- a/src/calibre/gui2/metadata/single.py
 +++ b/src/calibre/gui2/metadata/single.py
 @@ -1,6 +1,6 @@
@@ -10498,8 +10498,8 @@ Index: b/src/calibre/gui2/metadata/singl
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/metadata/single_download.py
-===================================================================
+diff --git a/src/calibre/gui2/metadata/single_download.py b/src/calibre/gui2/metadata/single_download.py
+index d963c5b7b0..9c32cbf0f9 100644
 --- a/src/calibre/gui2/metadata/single_download.py
 +++ b/src/calibre/gui2/metadata/single_download.py
 @@ -1,6 +1,6 @@
@@ -10510,8 +10510,8 @@ Index: b/src/calibre/gui2/metadata/singl
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/notify.py
-===================================================================
+diff --git a/src/calibre/gui2/notify.py b/src/calibre/gui2/notify.py
+index ac0421981f..84653b1940 100644
 --- a/src/calibre/gui2/notify.py
 +++ b/src/calibre/gui2/notify.py
 @@ -1,6 +1,6 @@
@@ -10522,8 +10522,8 @@ Index: b/src/calibre/gui2/notify.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/open_with.py
-===================================================================
+diff --git a/src/calibre/gui2/open_with.py b/src/calibre/gui2/open_with.py
+index 59af75ada8..66388a1f50 100644
 --- a/src/calibre/gui2/open_with.py
 +++ b/src/calibre/gui2/open_with.py
 @@ -1,6 +1,6 @@
@@ -10534,8 +10534,8 @@ Index: b/src/calibre/gui2/open_with.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/pin_columns.py
-===================================================================
+diff --git a/src/calibre/gui2/pin_columns.py b/src/calibre/gui2/pin_columns.py
+index 1a0196ae45..33e11d599e 100644
 --- a/src/calibre/gui2/pin_columns.py
 +++ b/src/calibre/gui2/pin_columns.py
 @@ -2,7 +2,7 @@
@@ -10547,8 +10547,8 @@ Index: b/src/calibre/gui2/pin_columns.py
  
  from PyQt5.Qt import QSplitter, QTableView
  
-Index: b/src/calibre/gui2/preferences/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/__init__.py b/src/calibre/gui2/preferences/__init__.py
+index 068fa5dd51..60d5f13f3a 100644
 --- a/src/calibre/gui2/preferences/__init__.py
 +++ b/src/calibre/gui2/preferences/__init__.py
 @@ -1,6 +1,6 @@
@@ -10559,8 +10559,8 @@ Index: b/src/calibre/gui2/preferences/__
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/adding.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/adding.py b/src/calibre/gui2/preferences/adding.py
+index 763c90ba8d..cf57c8e4ce 100644
 --- a/src/calibre/gui2/preferences/adding.py
 +++ b/src/calibre/gui2/preferences/adding.py
 @@ -1,6 +1,6 @@
@@ -10571,8 +10571,8 @@ Index: b/src/calibre/gui2/preferences/ad
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/behavior.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/behavior.py b/src/calibre/gui2/preferences/behavior.py
+index 20ccb44803..d5c4ab8779 100644
 --- a/src/calibre/gui2/preferences/behavior.py
 +++ b/src/calibre/gui2/preferences/behavior.py
 @@ -1,6 +1,6 @@
@@ -10583,8 +10583,8 @@ Index: b/src/calibre/gui2/preferences/be
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/coloring.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/coloring.py b/src/calibre/gui2/preferences/coloring.py
+index 3425eb5783..f2e9c948af 100644
 --- a/src/calibre/gui2/preferences/coloring.py
 +++ b/src/calibre/gui2/preferences/coloring.py
 @@ -1,6 +1,6 @@
@@ -10595,8 +10595,8 @@ Index: b/src/calibre/gui2/preferences/co
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/columns.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/columns.py b/src/calibre/gui2/preferences/columns.py
+index dc32c01d6a..8fdefa6cd5 100644
 --- a/src/calibre/gui2/preferences/columns.py
 +++ b/src/calibre/gui2/preferences/columns.py
 @@ -1,6 +1,6 @@
@@ -10607,8 +10607,8 @@ Index: b/src/calibre/gui2/preferences/co
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/conversion.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/conversion.py b/src/calibre/gui2/preferences/conversion.py
+index b8236ed252..1a41bb6086 100644
 --- a/src/calibre/gui2/preferences/conversion.py
 +++ b/src/calibre/gui2/preferences/conversion.py
 @@ -1,6 +1,6 @@
@@ -10619,8 +10619,8 @@ Index: b/src/calibre/gui2/preferences/co
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/create_custom_column.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/create_custom_column.py b/src/calibre/gui2/preferences/create_custom_column.py
+index 82b5466897..2295cd008d 100644
 --- a/src/calibre/gui2/preferences/create_custom_column.py
 +++ b/src/calibre/gui2/preferences/create_custom_column.py
 @@ -1,6 +1,6 @@
@@ -10631,8 +10631,8 @@ Index: b/src/calibre/gui2/preferences/cr
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/device_debug.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/device_debug.py b/src/calibre/gui2/preferences/device_debug.py
+index b7ea85b566..7d48941ddf 100644
 --- a/src/calibre/gui2/preferences/device_debug.py
 +++ b/src/calibre/gui2/preferences/device_debug.py
 @@ -1,6 +1,6 @@
@@ -10643,8 +10643,8 @@ Index: b/src/calibre/gui2/preferences/de
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/device_user_defined.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/device_user_defined.py b/src/calibre/gui2/preferences/device_user_defined.py
+index acc7e5c08b..94ea58a70d 100644
 --- a/src/calibre/gui2/preferences/device_user_defined.py
 +++ b/src/calibre/gui2/preferences/device_user_defined.py
 @@ -1,6 +1,6 @@
@@ -10655,8 +10655,8 @@ Index: b/src/calibre/gui2/preferences/de
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/emailp.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/emailp.py b/src/calibre/gui2/preferences/emailp.py
+index ef0a6d3e72..c38e884025 100644
 --- a/src/calibre/gui2/preferences/emailp.py
 +++ b/src/calibre/gui2/preferences/emailp.py
 @@ -1,7 +1,7 @@
@@ -10668,8 +10668,8 @@ Index: b/src/calibre/gui2/preferences/em
  
  
  import re
-Index: b/src/calibre/gui2/preferences/history.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/history.py b/src/calibre/gui2/preferences/history.py
+index a27df1e324..63bd638e71 100644
 --- a/src/calibre/gui2/preferences/history.py
 +++ b/src/calibre/gui2/preferences/history.py
 @@ -1,6 +1,6 @@
@@ -10680,8 +10680,8 @@ Index: b/src/calibre/gui2/preferences/hi
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/ignored_devices.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/ignored_devices.py b/src/calibre/gui2/preferences/ignored_devices.py
+index dcee3b3822..40dd646da7 100644
 --- a/src/calibre/gui2/preferences/ignored_devices.py
 +++ b/src/calibre/gui2/preferences/ignored_devices.py
 @@ -1,7 +1,7 @@
@@ -10693,8 +10693,8 @@ Index: b/src/calibre/gui2/preferences/ig
  
  import textwrap
  
-Index: b/src/calibre/gui2/preferences/keyboard.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/keyboard.py b/src/calibre/gui2/preferences/keyboard.py
+index 1846a012d6..457edb3aca 100644
 --- a/src/calibre/gui2/preferences/keyboard.py
 +++ b/src/calibre/gui2/preferences/keyboard.py
 @@ -1,6 +1,6 @@
@@ -10705,8 +10705,8 @@ Index: b/src/calibre/gui2/preferences/ke
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/look_feel.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/look_feel.py b/src/calibre/gui2/preferences/look_feel.py
+index c3cff466e6..141b20dc4d 100644
 --- a/src/calibre/gui2/preferences/look_feel.py
 +++ b/src/calibre/gui2/preferences/look_feel.py
 @@ -1,6 +1,6 @@
@@ -10717,8 +10717,8 @@ Index: b/src/calibre/gui2/preferences/lo
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/main.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/main.py b/src/calibre/gui2/preferences/main.py
+index 62acb94322..a07a30461c 100644
 --- a/src/calibre/gui2/preferences/main.py
 +++ b/src/calibre/gui2/preferences/main.py
 @@ -1,6 +1,6 @@
@@ -10729,8 +10729,8 @@ Index: b/src/calibre/gui2/preferences/ma
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/metadata_sources.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/metadata_sources.py b/src/calibre/gui2/preferences/metadata_sources.py
+index e118d18f68..97855eab14 100644
 --- a/src/calibre/gui2/preferences/metadata_sources.py
 +++ b/src/calibre/gui2/preferences/metadata_sources.py
 @@ -1,6 +1,6 @@
@@ -10741,8 +10741,8 @@ Index: b/src/calibre/gui2/preferences/me
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/misc.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/misc.py b/src/calibre/gui2/preferences/misc.py
+index 592fc29b29..d5581e8be3 100644
 --- a/src/calibre/gui2/preferences/misc.py
 +++ b/src/calibre/gui2/preferences/misc.py
 @@ -1,6 +1,6 @@
@@ -10753,8 +10753,8 @@ Index: b/src/calibre/gui2/preferences/mi
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/plugboard.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/plugboard.py b/src/calibre/gui2/preferences/plugboard.py
+index a68f9e9092..877964878f 100644
 --- a/src/calibre/gui2/preferences/plugboard.py
 +++ b/src/calibre/gui2/preferences/plugboard.py
 @@ -1,6 +1,6 @@
@@ -10765,8 +10765,8 @@ Index: b/src/calibre/gui2/preferences/pl
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/plugins.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/plugins.py b/src/calibre/gui2/preferences/plugins.py
+index 07845dfcc7..060bb12192 100644
 --- a/src/calibre/gui2/preferences/plugins.py
 +++ b/src/calibre/gui2/preferences/plugins.py
 @@ -1,6 +1,6 @@
@@ -10777,8 +10777,8 @@ Index: b/src/calibre/gui2/preferences/pl
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/save_template.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/save_template.py b/src/calibre/gui2/preferences/save_template.py
+index ab6a2465aa..94d5a568cb 100644
 --- a/src/calibre/gui2/preferences/save_template.py
 +++ b/src/calibre/gui2/preferences/save_template.py
 @@ -1,6 +1,6 @@
@@ -10789,8 +10789,8 @@ Index: b/src/calibre/gui2/preferences/sa
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/saving.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/saving.py b/src/calibre/gui2/preferences/saving.py
+index 57cbceee56..79dda54497 100644
 --- a/src/calibre/gui2/preferences/saving.py
 +++ b/src/calibre/gui2/preferences/saving.py
 @@ -1,6 +1,6 @@
@@ -10801,8 +10801,8 @@ Index: b/src/calibre/gui2/preferences/sa
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/search.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/search.py b/src/calibre/gui2/preferences/search.py
+index ece060fb9b..0b4b7b6f29 100644
 --- a/src/calibre/gui2/preferences/search.py
 +++ b/src/calibre/gui2/preferences/search.py
 @@ -1,6 +1,6 @@
@@ -10813,8 +10813,8 @@ Index: b/src/calibre/gui2/preferences/se
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/sending.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/sending.py b/src/calibre/gui2/preferences/sending.py
+index 1501f0a80b..d25b620251 100644
 --- a/src/calibre/gui2/preferences/sending.py
 +++ b/src/calibre/gui2/preferences/sending.py
 @@ -1,6 +1,6 @@
@@ -10825,8 +10825,8 @@ Index: b/src/calibre/gui2/preferences/se
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/server.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/server.py b/src/calibre/gui2/preferences/server.py
+index 48d6fc77c0..0bf4318ed5 100644
 --- a/src/calibre/gui2/preferences/server.py
 +++ b/src/calibre/gui2/preferences/server.py
 @@ -2,7 +2,7 @@
@@ -10838,8 +10838,8 @@ Index: b/src/calibre/gui2/preferences/se
  
  import errno
  import json
-Index: b/src/calibre/gui2/preferences/template_functions.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/template_functions.py b/src/calibre/gui2/preferences/template_functions.py
+index 79bc815c2c..f1ade855af 100644
 --- a/src/calibre/gui2/preferences/template_functions.py
 +++ b/src/calibre/gui2/preferences/template_functions.py
 @@ -1,6 +1,6 @@
@@ -10850,8 +10850,8 @@ Index: b/src/calibre/gui2/preferences/te
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/texture_chooser.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/texture_chooser.py b/src/calibre/gui2/preferences/texture_chooser.py
+index 15d8e22af8..b61f68031a 100644
 --- a/src/calibre/gui2/preferences/texture_chooser.py
 +++ b/src/calibre/gui2/preferences/texture_chooser.py
 @@ -1,6 +1,6 @@
@@ -10862,8 +10862,8 @@ Index: b/src/calibre/gui2/preferences/te
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/toolbar.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/toolbar.py b/src/calibre/gui2/preferences/toolbar.py
+index 524b17b48b..817893379d 100644
 --- a/src/calibre/gui2/preferences/toolbar.py
 +++ b/src/calibre/gui2/preferences/toolbar.py
 @@ -1,6 +1,6 @@
@@ -10874,8 +10874,8 @@ Index: b/src/calibre/gui2/preferences/to
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/preferences/tweaks.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/tweaks.py b/src/calibre/gui2/preferences/tweaks.py
+index 5531ef9e9e..7ac430b014 100644
 --- a/src/calibre/gui2/preferences/tweaks.py
 +++ b/src/calibre/gui2/preferences/tweaks.py
 @@ -1,7 +1,7 @@
@@ -10887,8 +10887,8 @@ Index: b/src/calibre/gui2/preferences/tw
  
  
  import textwrap
-Index: b/src/calibre/gui2/proceed.py
-===================================================================
+diff --git a/src/calibre/gui2/proceed.py b/src/calibre/gui2/proceed.py
+index f182298aec..9e6e585eeb 100644
 --- a/src/calibre/gui2/proceed.py
 +++ b/src/calibre/gui2/proceed.py
 @@ -1,6 +1,6 @@
@@ -10899,8 +10899,8 @@ Index: b/src/calibre/gui2/proceed.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/progress_indicator/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/progress_indicator/__init__.py b/src/calibre/gui2/progress_indicator/__init__.py
+index 1c2866ef87..6d9fc45e9d 100644
 --- a/src/calibre/gui2/progress_indicator/__init__.py
 +++ b/src/calibre/gui2/progress_indicator/__init__.py
 @@ -2,7 +2,7 @@
@@ -10912,8 +10912,8 @@ Index: b/src/calibre/gui2/progress_indic
  
  from PyQt5.Qt import (
      QDialog, QLabel, QSizePolicy, QStackedLayout, QStackedWidget, Qt, QVBoxLayout,
-Index: b/src/calibre/gui2/qt_file_dialogs.py
-===================================================================
+diff --git a/src/calibre/gui2/qt_file_dialogs.py b/src/calibre/gui2/qt_file_dialogs.py
+index 7f2d66b3d6..635e3631c5 100644
 --- a/src/calibre/gui2/qt_file_dialogs.py
 +++ b/src/calibre/gui2/qt_file_dialogs.py
 @@ -2,7 +2,7 @@
@@ -10925,8 +10925,8 @@ Index: b/src/calibre/gui2/qt_file_dialog
  
  import os
  
-Index: b/src/calibre/gui2/save.py
-===================================================================
+diff --git a/src/calibre/gui2/save.py b/src/calibre/gui2/save.py
+index 5b89270979..92913a6896 100644
 --- a/src/calibre/gui2/save.py
 +++ b/src/calibre/gui2/save.py
 @@ -1,6 +1,6 @@
@@ -10937,8 +10937,8 @@ Index: b/src/calibre/gui2/save.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/search_box.py
-===================================================================
+diff --git a/src/calibre/gui2/search_box.py b/src/calibre/gui2/search_box.py
+index e12c383e8e..0a1f5aa261 100644
 --- a/src/calibre/gui2/search_box.py
 +++ b/src/calibre/gui2/search_box.py
 @@ -1,6 +1,6 @@
@@ -10949,8 +10949,8 @@ Index: b/src/calibre/gui2/search_box.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/search_restriction_mixin.py
-===================================================================
+diff --git a/src/calibre/gui2/search_restriction_mixin.py b/src/calibre/gui2/search_restriction_mixin.py
+index 96572e75b1..fb6f564bbb 100644
 --- a/src/calibre/gui2/search_restriction_mixin.py
 +++ b/src/calibre/gui2/search_restriction_mixin.py
 @@ -1,6 +1,6 @@
@@ -10961,8 +10961,8 @@ Index: b/src/calibre/gui2/search_restric
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/shortcuts.py
-===================================================================
+diff --git a/src/calibre/gui2/shortcuts.py b/src/calibre/gui2/shortcuts.py
+index f81093bcc0..5fd667c6dc 100644
 --- a/src/calibre/gui2/shortcuts.py
 +++ b/src/calibre/gui2/shortcuts.py
 @@ -1,6 +1,6 @@
@@ -10973,8 +10973,8 @@ Index: b/src/calibre/gui2/shortcuts.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/splash_screen.py
-===================================================================
+diff --git a/src/calibre/gui2/splash_screen.py b/src/calibre/gui2/splash_screen.py
+index 1af52acf9d..580565c6eb 100644
 --- a/src/calibre/gui2/splash_screen.py
 +++ b/src/calibre/gui2/splash_screen.py
 @@ -2,7 +2,7 @@
@@ -10986,8 +10986,8 @@ Index: b/src/calibre/gui2/splash_screen.
  
  from PyQt5.Qt import (
      QApplication, QBrush, QColor, QFont, QFontMetrics, QPen, QPixmap, QSplashScreen,
-Index: b/src/calibre/gui2/store/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/store/__init__.py b/src/calibre/gui2/store/__init__.py
+index 7e4e923651..61facb0f18 100644
 --- a/src/calibre/gui2/store/__init__.py
 +++ b/src/calibre/gui2/store/__init__.py
 @@ -1,5 +1,5 @@
@@ -10997,8 +10997,8 @@ Index: b/src/calibre/gui2/store/__init__
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/basic_config.py
-===================================================================
+diff --git a/src/calibre/gui2/store/basic_config.py b/src/calibre/gui2/store/basic_config.py
+index 33d91e5d70..089380c7ba 100644
 --- a/src/calibre/gui2/store/basic_config.py
 +++ b/src/calibre/gui2/store/basic_config.py
 @@ -1,5 +1,5 @@
@@ -11008,8 +11008,8 @@ Index: b/src/calibre/gui2/store/basic_co
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/config/chooser/adv_search_builder.py
-===================================================================
+diff --git a/src/calibre/gui2/store/config/chooser/adv_search_builder.py b/src/calibre/gui2/store/config/chooser/adv_search_builder.py
+index 3592023fdd..575f40b280 100644
 --- a/src/calibre/gui2/store/config/chooser/adv_search_builder.py
 +++ b/src/calibre/gui2/store/config/chooser/adv_search_builder.py
 @@ -1,5 +1,5 @@
@@ -11019,8 +11019,8 @@ Index: b/src/calibre/gui2/store/config/c
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/config/chooser/chooser_dialog.py
-===================================================================
+diff --git a/src/calibre/gui2/store/config/chooser/chooser_dialog.py b/src/calibre/gui2/store/config/chooser/chooser_dialog.py
+index 6a6fee5dff..502f70ec70 100644
 --- a/src/calibre/gui2/store/config/chooser/chooser_dialog.py
 +++ b/src/calibre/gui2/store/config/chooser/chooser_dialog.py
 @@ -1,5 +1,5 @@
@@ -11030,8 +11030,8 @@ Index: b/src/calibre/gui2/store/config/c
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/config/chooser/chooser_widget.py
-===================================================================
+diff --git a/src/calibre/gui2/store/config/chooser/chooser_widget.py b/src/calibre/gui2/store/config/chooser/chooser_widget.py
+index 22be225be3..3ad9c64c14 100644
 --- a/src/calibre/gui2/store/config/chooser/chooser_widget.py
 +++ b/src/calibre/gui2/store/config/chooser/chooser_widget.py
 @@ -1,5 +1,5 @@
@@ -11041,8 +11041,8 @@ Index: b/src/calibre/gui2/store/config/c
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/config/chooser/models.py
-===================================================================
+diff --git a/src/calibre/gui2/store/config/chooser/models.py b/src/calibre/gui2/store/config/chooser/models.py
+index f1a3dd47c8..73dd26cc51 100644
 --- a/src/calibre/gui2/store/config/chooser/models.py
 +++ b/src/calibre/gui2/store/config/chooser/models.py
 @@ -1,5 +1,5 @@
@@ -11052,8 +11052,8 @@ Index: b/src/calibre/gui2/store/config/c
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/config/chooser/results_view.py
-===================================================================
+diff --git a/src/calibre/gui2/store/config/chooser/results_view.py b/src/calibre/gui2/store/config/chooser/results_view.py
+index 208d23e64d..991529f022 100644
 --- a/src/calibre/gui2/store/config/chooser/results_view.py
 +++ b/src/calibre/gui2/store/config/chooser/results_view.py
 @@ -1,5 +1,5 @@
@@ -11063,8 +11063,8 @@ Index: b/src/calibre/gui2/store/config/c
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/config/search/search_widget.py
-===================================================================
+diff --git a/src/calibre/gui2/store/config/search/search_widget.py b/src/calibre/gui2/store/config/search/search_widget.py
+index 435d5bdfc0..ec2e29a288 100644
 --- a/src/calibre/gui2/store/config/search/search_widget.py
 +++ b/src/calibre/gui2/store/config/search/search_widget.py
 @@ -1,5 +1,5 @@
@@ -11074,8 +11074,8 @@ Index: b/src/calibre/gui2/store/config/s
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/config/store.py
-===================================================================
+diff --git a/src/calibre/gui2/store/config/store.py b/src/calibre/gui2/store/config/store.py
+index a54ba1345a..de0fbff74c 100644
 --- a/src/calibre/gui2/store/config/store.py
 +++ b/src/calibre/gui2/store/config/store.py
 @@ -1,5 +1,5 @@
@@ -11085,8 +11085,8 @@ Index: b/src/calibre/gui2/store/config/s
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/loader.py
-===================================================================
+diff --git a/src/calibre/gui2/store/loader.py b/src/calibre/gui2/store/loader.py
+index 6effe76382..a8dd3f147b 100644
 --- a/src/calibre/gui2/store/loader.py
 +++ b/src/calibre/gui2/store/loader.py
 @@ -1,6 +1,6 @@
@@ -11097,8 +11097,8 @@ Index: b/src/calibre/gui2/store/loader.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/store/opensearch_store.py
-===================================================================
+diff --git a/src/calibre/gui2/store/opensearch_store.py b/src/calibre/gui2/store/opensearch_store.py
+index d51e36514e..745607776a 100644
 --- a/src/calibre/gui2/store/opensearch_store.py
 +++ b/src/calibre/gui2/store/opensearch_store.py
 @@ -1,5 +1,5 @@
@@ -11108,8 +11108,8 @@ Index: b/src/calibre/gui2/store/opensear
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/search/adv_search_builder.py
-===================================================================
+diff --git a/src/calibre/gui2/store/search/adv_search_builder.py b/src/calibre/gui2/store/search/adv_search_builder.py
+index 04b999a91c..7c5c7e9a43 100644
 --- a/src/calibre/gui2/store/search/adv_search_builder.py
 +++ b/src/calibre/gui2/store/search/adv_search_builder.py
 @@ -1,5 +1,5 @@
@@ -11119,8 +11119,8 @@ Index: b/src/calibre/gui2/store/search/a
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/search/download_thread.py
-===================================================================
+diff --git a/src/calibre/gui2/store/search/download_thread.py b/src/calibre/gui2/store/search/download_thread.py
+index 5ffe0d21f5..075a29c57d 100644
 --- a/src/calibre/gui2/store/search/download_thread.py
 +++ b/src/calibre/gui2/store/search/download_thread.py
 @@ -1,5 +1,5 @@
@@ -11130,8 +11130,8 @@ Index: b/src/calibre/gui2/store/search/d
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/search/models.py
-===================================================================
+diff --git a/src/calibre/gui2/store/search/models.py b/src/calibre/gui2/store/search/models.py
+index ea41016248..e03b21cef7 100644
 --- a/src/calibre/gui2/store/search/models.py
 +++ b/src/calibre/gui2/store/search/models.py
 @@ -1,5 +1,5 @@
@@ -11141,8 +11141,8 @@ Index: b/src/calibre/gui2/store/search/m
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/search/results_view.py
-===================================================================
+diff --git a/src/calibre/gui2/store/search/results_view.py b/src/calibre/gui2/store/search/results_view.py
+index f32587b965..514c4f3c86 100644
 --- a/src/calibre/gui2/store/search/results_view.py
 +++ b/src/calibre/gui2/store/search/results_view.py
 @@ -1,5 +1,5 @@
@@ -11152,8 +11152,8 @@ Index: b/src/calibre/gui2/store/search/r
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/search/search.py
-===================================================================
+diff --git a/src/calibre/gui2/store/search/search.py b/src/calibre/gui2/store/search/search.py
+index 09eb34c472..4be78798f3 100644
 --- a/src/calibre/gui2/store/search/search.py
 +++ b/src/calibre/gui2/store/search/search.py
 @@ -1,5 +1,5 @@
@@ -11163,8 +11163,8 @@ Index: b/src/calibre/gui2/store/search/s
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/search_result.py
-===================================================================
+diff --git a/src/calibre/gui2/store/search_result.py b/src/calibre/gui2/store/search_result.py
+index 32d4c9f1d8..c050e8605c 100644
 --- a/src/calibre/gui2/store/search_result.py
 +++ b/src/calibre/gui2/store/search_result.py
 @@ -1,5 +1,5 @@
@@ -11174,8 +11174,8 @@ Index: b/src/calibre/gui2/store/search_r
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/gui2/store/web_store.py
-===================================================================
+diff --git a/src/calibre/gui2/store/web_store.py b/src/calibre/gui2/store/web_store.py
+index 45043e1b36..9524615fc6 100644
 --- a/src/calibre/gui2/store/web_store.py
 +++ b/src/calibre/gui2/store/web_store.py
 @@ -2,7 +2,7 @@
@@ -11187,8 +11187,8 @@ Index: b/src/calibre/gui2/store/web_stor
  
  import json
  import os
-Index: b/src/calibre/gui2/store/web_store_dialog.py
-===================================================================
+diff --git a/src/calibre/gui2/store/web_store_dialog.py b/src/calibre/gui2/store/web_store_dialog.py
+index 23d01e42f6..3f8f17ea8f 100644
 --- a/src/calibre/gui2/store/web_store_dialog.py
 +++ b/src/calibre/gui2/store/web_store_dialog.py
 @@ -2,7 +2,7 @@
@@ -11200,8 +11200,8 @@ Index: b/src/calibre/gui2/store/web_stor
  
  import json
  from base64 import standard_b64encode
-Index: b/src/calibre/gui2/tag_browser/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/tag_browser/__init__.py b/src/calibre/gui2/tag_browser/__init__.py
+index ec9ca8ff95..219dc1f99c 100644
 --- a/src/calibre/gui2/tag_browser/__init__.py
 +++ b/src/calibre/gui2/tag_browser/__init__.py
 @@ -1,6 +1,6 @@
@@ -11212,8 +11212,8 @@ Index: b/src/calibre/gui2/tag_browser/__
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/tag_browser/model.py
-===================================================================
+diff --git a/src/calibre/gui2/tag_browser/model.py b/src/calibre/gui2/tag_browser/model.py
+index 0e446de644..4abb2f0c0a 100644
 --- a/src/calibre/gui2/tag_browser/model.py
 +++ b/src/calibre/gui2/tag_browser/model.py
 @@ -1,6 +1,6 @@
@@ -11224,8 +11224,8 @@ Index: b/src/calibre/gui2/tag_browser/mo
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/tag_browser/ui.py
-===================================================================
+diff --git a/src/calibre/gui2/tag_browser/ui.py b/src/calibre/gui2/tag_browser/ui.py
+index 2b4443fa95..1c100e1316 100644
 --- a/src/calibre/gui2/tag_browser/ui.py
 +++ b/src/calibre/gui2/tag_browser/ui.py
 @@ -1,6 +1,6 @@
@@ -11236,8 +11236,8 @@ Index: b/src/calibre/gui2/tag_browser/ui
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/tag_browser/view.py
-===================================================================
+diff --git a/src/calibre/gui2/tag_browser/view.py b/src/calibre/gui2/tag_browser/view.py
+index 09a66d9504..a35131aa16 100644
 --- a/src/calibre/gui2/tag_browser/view.py
 +++ b/src/calibre/gui2/tag_browser/view.py
 @@ -1,6 +1,6 @@
@@ -11248,8 +11248,8 @@ Index: b/src/calibre/gui2/tag_browser/vi
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/tag_mapper.py
-===================================================================
+diff --git a/src/calibre/gui2/tag_mapper.py b/src/calibre/gui2/tag_mapper.py
+index 4005c9bba8..12c84d4011 100644
 --- a/src/calibre/gui2/tag_mapper.py
 +++ b/src/calibre/gui2/tag_mapper.py
 @@ -2,7 +2,7 @@
@@ -11261,8 +11261,8 @@ Index: b/src/calibre/gui2/tag_mapper.py
  
  from collections import OrderedDict
  import textwrap
-Index: b/src/calibre/gui2/threaded_jobs.py
-===================================================================
+diff --git a/src/calibre/gui2/threaded_jobs.py b/src/calibre/gui2/threaded_jobs.py
+index 035eae4f13..70006d19b4 100644
 --- a/src/calibre/gui2/threaded_jobs.py
 +++ b/src/calibre/gui2/threaded_jobs.py
 @@ -1,6 +1,6 @@
@@ -11273,8 +11273,8 @@ Index: b/src/calibre/gui2/threaded_jobs.
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/throbber.py
-===================================================================
+diff --git a/src/calibre/gui2/throbber.py b/src/calibre/gui2/throbber.py
+index 888afa46be..6ab4cedda0 100644
 --- a/src/calibre/gui2/throbber.py
 +++ b/src/calibre/gui2/throbber.py
 @@ -1,6 +1,6 @@
@@ -11285,8 +11285,8 @@ Index: b/src/calibre/gui2/throbber.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/toc/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/toc/__init__.py b/src/calibre/gui2/toc/__init__.py
+index d26359eab9..409db9d8ca 100644
 --- a/src/calibre/gui2/toc/__init__.py
 +++ b/src/calibre/gui2/toc/__init__.py
 @@ -1,6 +1,6 @@
@@ -11297,8 +11297,8 @@ Index: b/src/calibre/gui2/toc/__init__.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/toc/location.py
-===================================================================
+diff --git a/src/calibre/gui2/toc/location.py b/src/calibre/gui2/toc/location.py
+index ab283fcf41..0fec94b75b 100644
 --- a/src/calibre/gui2/toc/location.py
 +++ b/src/calibre/gui2/toc/location.py
 @@ -1,7 +1,7 @@
@@ -11310,8 +11310,8 @@ Index: b/src/calibre/gui2/toc/location.p
  
  import json
  
-Index: b/src/calibre/gui2/toc/main.py
-===================================================================
+diff --git a/src/calibre/gui2/toc/main.py b/src/calibre/gui2/toc/main.py
+index 61e9b32182..f9bf0e73f3 100644
 --- a/src/calibre/gui2/toc/main.py
 +++ b/src/calibre/gui2/toc/main.py
 @@ -2,7 +2,7 @@
@@ -11323,8 +11323,8 @@ Index: b/src/calibre/gui2/toc/main.py
  
  import os
  import sys
-Index: b/src/calibre/gui2/tools.py
-===================================================================
+diff --git a/src/calibre/gui2/tools.py b/src/calibre/gui2/tools.py
+index c2406f70a3..077cf2bcc7 100644
 --- a/src/calibre/gui2/tools.py
 +++ b/src/calibre/gui2/tools.py
 @@ -1,5 +1,5 @@
@@ -11334,8 +11334,8 @@ Index: b/src/calibre/gui2/tools.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/gui2/tweak_book/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/__init__.py b/src/calibre/gui2/tweak_book/__init__.py
+index 4833e480d5..9e36987ad4 100644
 --- a/src/calibre/gui2/tweak_book/__init__.py
 +++ b/src/calibre/gui2/tweak_book/__init__.py
 @@ -1,6 +1,6 @@
@@ -11346,8 +11346,8 @@ Index: b/src/calibre/gui2/tweak_book/__i
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/boss.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/boss.py b/src/calibre/gui2/tweak_book/boss.py
+index 9a29ddd5fd..da2475f704 100644
 --- a/src/calibre/gui2/tweak_book/boss.py
 +++ b/src/calibre/gui2/tweak_book/boss.py
 @@ -1,7 +1,7 @@
@@ -11359,8 +11359,8 @@ Index: b/src/calibre/gui2/tweak_book/bos
  
  import errno
  import os
-Index: b/src/calibre/gui2/tweak_book/char_select.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/char_select.py b/src/calibre/gui2/tweak_book/char_select.py
+index ea99570dfb..16971ed54a 100644
 --- a/src/calibre/gui2/tweak_book/char_select.py
 +++ b/src/calibre/gui2/tweak_book/char_select.py
 @@ -1,6 +1,6 @@
@@ -11371,8 +11371,8 @@ Index: b/src/calibre/gui2/tweak_book/cha
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/check.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/check.py b/src/calibre/gui2/tweak_book/check.py
+index 2d5510551b..b350a6c0e2 100644
 --- a/src/calibre/gui2/tweak_book/check.py
 +++ b/src/calibre/gui2/tweak_book/check.py
 @@ -1,6 +1,6 @@
@@ -11383,8 +11383,8 @@ Index: b/src/calibre/gui2/tweak_book/che
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/check_links.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/check_links.py b/src/calibre/gui2/tweak_book/check_links.py
+index 22d8ff0ebd..750c4eacac 100644
 --- a/src/calibre/gui2/tweak_book/check_links.py
 +++ b/src/calibre/gui2/tweak_book/check_links.py
 @@ -2,7 +2,7 @@
@@ -11396,8 +11396,8 @@ Index: b/src/calibre/gui2/tweak_book/che
  
  from collections import defaultdict
  from threading import Thread
-Index: b/src/calibre/gui2/tweak_book/completion/basic.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/completion/basic.py b/src/calibre/gui2/tweak_book/completion/basic.py
+index 9c18ff7689..766629a1d9 100644
 --- a/src/calibre/gui2/tweak_book/completion/basic.py
 +++ b/src/calibre/gui2/tweak_book/completion/basic.py
 @@ -1,6 +1,6 @@
@@ -11408,8 +11408,8 @@ Index: b/src/calibre/gui2/tweak_book/com
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/completion/popup.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/completion/popup.py b/src/calibre/gui2/tweak_book/completion/popup.py
+index 502df11daa..b9cdcacb46 100644
 --- a/src/calibre/gui2/tweak_book/completion/popup.py
 +++ b/src/calibre/gui2/tweak_book/completion/popup.py
 @@ -1,6 +1,6 @@
@@ -11420,8 +11420,8 @@ Index: b/src/calibre/gui2/tweak_book/com
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/completion/utils.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/completion/utils.py b/src/calibre/gui2/tweak_book/completion/utils.py
+index 51ffe1c20a..6270a5a6a5 100644
 --- a/src/calibre/gui2/tweak_book/completion/utils.py
 +++ b/src/calibre/gui2/tweak_book/completion/utils.py
 @@ -1,6 +1,6 @@
@@ -11432,8 +11432,8 @@ Index: b/src/calibre/gui2/tweak_book/com
  
  from polyglot.builtins import unicode_type
  
-Index: b/src/calibre/gui2/tweak_book/completion/worker.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/completion/worker.py b/src/calibre/gui2/tweak_book/completion/worker.py
+index a79b5c96db..12a5c45ace 100644
 --- a/src/calibre/gui2/tweak_book/completion/worker.py
 +++ b/src/calibre/gui2/tweak_book/completion/worker.py
 @@ -1,6 +1,6 @@
@@ -11444,8 +11444,8 @@ Index: b/src/calibre/gui2/tweak_book/com
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/diff/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/diff/__init__.py b/src/calibre/gui2/tweak_book/diff/__init__.py
+index e8ff181102..1d7ee75f5b 100644
 --- a/src/calibre/gui2/tweak_book/diff/__init__.py
 +++ b/src/calibre/gui2/tweak_book/diff/__init__.py
 @@ -1,6 +1,6 @@
@@ -11456,8 +11456,8 @@ Index: b/src/calibre/gui2/tweak_book/dif
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/diff/highlight.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/diff/highlight.py b/src/calibre/gui2/tweak_book/diff/highlight.py
+index 6fea7f21b5..c533a3869e 100644
 --- a/src/calibre/gui2/tweak_book/diff/highlight.py
 +++ b/src/calibre/gui2/tweak_book/diff/highlight.py
 @@ -1,6 +1,6 @@
@@ -11468,8 +11468,8 @@ Index: b/src/calibre/gui2/tweak_book/dif
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/diff/main.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/diff/main.py b/src/calibre/gui2/tweak_book/diff/main.py
+index f952170f5a..6d57d8187c 100644
 --- a/src/calibre/gui2/tweak_book/diff/main.py
 +++ b/src/calibre/gui2/tweak_book/diff/main.py
 @@ -1,6 +1,6 @@
@@ -11480,8 +11480,8 @@ Index: b/src/calibre/gui2/tweak_book/dif
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/diff/view.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/diff/view.py b/src/calibre/gui2/tweak_book/diff/view.py
+index d6a58ba93a..cceb92860b 100644
 --- a/src/calibre/gui2/tweak_book/diff/view.py
 +++ b/src/calibre/gui2/tweak_book/diff/view.py
 @@ -1,6 +1,6 @@
@@ -11492,8 +11492,8 @@ Index: b/src/calibre/gui2/tweak_book/dif
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/download.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/download.py b/src/calibre/gui2/tweak_book/download.py
+index d4c7c094ed..90794c0b5c 100644
 --- a/src/calibre/gui2/tweak_book/download.py
 +++ b/src/calibre/gui2/tweak_book/download.py
 @@ -2,7 +2,7 @@
@@ -11505,8 +11505,8 @@ Index: b/src/calibre/gui2/tweak_book/dow
  from threading import Thread
  
  from PyQt5.Qt import (
-Index: b/src/calibre/gui2/tweak_book/editor/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/__init__.py b/src/calibre/gui2/tweak_book/editor/__init__.py
+index 3b850caf95..0c11c32fdb 100644
 --- a/src/calibre/gui2/tweak_book/editor/__init__.py
 +++ b/src/calibre/gui2/tweak_book/editor/__init__.py
 @@ -1,6 +1,6 @@
@@ -11517,8 +11517,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/canvas.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/canvas.py b/src/calibre/gui2/tweak_book/editor/canvas.py
+index 0b7b3b2c42..c033e9e41e 100644
 --- a/src/calibre/gui2/tweak_book/editor/canvas.py
 +++ b/src/calibre/gui2/tweak_book/editor/canvas.py
 @@ -1,6 +1,6 @@
@@ -11529,8 +11529,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/comments.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/comments.py b/src/calibre/gui2/tweak_book/editor/comments.py
+index 76a3f7207c..985ecf1faa 100644
 --- a/src/calibre/gui2/tweak_book/editor/comments.py
 +++ b/src/calibre/gui2/tweak_book/editor/comments.py
 @@ -2,7 +2,7 @@
@@ -11542,8 +11542,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  from PyQt5.Qt import QTextCursor
  
-Index: b/src/calibre/gui2/tweak_book/editor/help.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/help.py b/src/calibre/gui2/tweak_book/editor/help.py
+index fca7cbe905..4245dbc7b4 100644
 --- a/src/calibre/gui2/tweak_book/editor/help.py
 +++ b/src/calibre/gui2/tweak_book/editor/help.py
 @@ -1,6 +1,6 @@
@@ -11554,8 +11554,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/image.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/image.py b/src/calibre/gui2/tweak_book/editor/image.py
+index ec00f7fac5..6a9eb15ff3 100644
 --- a/src/calibre/gui2/tweak_book/editor/image.py
 +++ b/src/calibre/gui2/tweak_book/editor/image.py
 @@ -1,6 +1,6 @@
@@ -11566,8 +11566,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/insert_resource.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/insert_resource.py b/src/calibre/gui2/tweak_book/editor/insert_resource.py
+index 44d44e4b3c..5ab6ad9609 100644
 --- a/src/calibre/gui2/tweak_book/editor/insert_resource.py
 +++ b/src/calibre/gui2/tweak_book/editor/insert_resource.py
 @@ -1,6 +1,6 @@
@@ -11578,8 +11578,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/smarts/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/smarts/__init__.py b/src/calibre/gui2/tweak_book/editor/smarts/__init__.py
+index 186097ae7d..8774aab529 100644
 --- a/src/calibre/gui2/tweak_book/editor/smarts/__init__.py
 +++ b/src/calibre/gui2/tweak_book/editor/smarts/__init__.py
 @@ -1,6 +1,6 @@
@@ -11590,8 +11590,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/smarts/css.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/smarts/css.py b/src/calibre/gui2/tweak_book/editor/smarts/css.py
+index e47804a0e4..bc1a19be74 100644
 --- a/src/calibre/gui2/tweak_book/editor/smarts/css.py
 +++ b/src/calibre/gui2/tweak_book/editor/smarts/css.py
 @@ -1,6 +1,6 @@
@@ -11602,8 +11602,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/smarts/html.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/smarts/html.py b/src/calibre/gui2/tweak_book/editor/smarts/html.py
+index 7196e90c06..cf267b3af8 100644
 --- a/src/calibre/gui2/tweak_book/editor/smarts/html.py
 +++ b/src/calibre/gui2/tweak_book/editor/smarts/html.py
 @@ -1,6 +1,6 @@
@@ -11614,8 +11614,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/smarts/python.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/smarts/python.py b/src/calibre/gui2/tweak_book/editor/smarts/python.py
+index 4167171457..2c46a4c677 100644
 --- a/src/calibre/gui2/tweak_book/editor/smarts/python.py
 +++ b/src/calibre/gui2/tweak_book/editor/smarts/python.py
 @@ -1,6 +1,6 @@
@@ -11626,8 +11626,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/smarts/utils.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/smarts/utils.py b/src/calibre/gui2/tweak_book/editor/smarts/utils.py
+index 53ce86092c..633995c989 100644
 --- a/src/calibre/gui2/tweak_book/editor/smarts/utils.py
 +++ b/src/calibre/gui2/tweak_book/editor/smarts/utils.py
 @@ -1,6 +1,6 @@
@@ -11638,8 +11638,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/snippets.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/snippets.py b/src/calibre/gui2/tweak_book/editor/snippets.py
+index 732640f682..50a735f2af 100644
 --- a/src/calibre/gui2/tweak_book/editor/snippets.py
 +++ b/src/calibre/gui2/tweak_book/editor/snippets.py
 @@ -1,6 +1,6 @@
@@ -11650,8 +11650,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/__init__.py b/src/calibre/gui2/tweak_book/editor/syntax/__init__.py
+index 69376f9ebd..e4102b4b10 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/__init__.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/__init__.py
 @@ -1,6 +1,6 @@
@@ -11662,8 +11662,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/base.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/base.py b/src/calibre/gui2/tweak_book/editor/syntax/base.py
+index 0e2f4031be..f8a73953b6 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/base.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/base.py
 @@ -1,6 +1,6 @@
@@ -11674,8 +11674,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/css.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/css.py b/src/calibre/gui2/tweak_book/editor/syntax/css.py
+index 0634c8e875..80b40d1e09 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/css.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/css.py
 @@ -1,6 +1,6 @@
@@ -11686,8 +11686,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/html.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/html.py b/src/calibre/gui2/tweak_book/editor/syntax/html.py
+index a3d5d157e9..d52a220fde 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/html.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/html.py
 @@ -1,6 +1,6 @@
@@ -11698,8 +11698,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/javascript.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/javascript.py b/src/calibre/gui2/tweak_book/editor/syntax/javascript.py
+index 83a0af6f67..0581678825 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/javascript.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/javascript.py
 @@ -1,6 +1,6 @@
@@ -11710,8 +11710,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/pygments_highlighter.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/pygments_highlighter.py b/src/calibre/gui2/tweak_book/editor/syntax/pygments_highlighter.py
+index 2b88d6984a..64f7385ad0 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/pygments_highlighter.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/pygments_highlighter.py
 @@ -1,6 +1,6 @@
@@ -11722,8 +11722,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/python.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/python.py b/src/calibre/gui2/tweak_book/editor/syntax/python.py
+index 929f07a66d..e81c58046e 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/python.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/python.py
 @@ -1,6 +1,6 @@
@@ -11734,8 +11734,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/utils.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/utils.py b/src/calibre/gui2/tweak_book/editor/syntax/utils.py
+index 9604a044c8..7a18ebee7a 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/utils.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/utils.py
 @@ -1,6 +1,6 @@
@@ -11746,8 +11746,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/syntax/xml.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/syntax/xml.py b/src/calibre/gui2/tweak_book/editor/syntax/xml.py
+index 4b275e645b..e503f3538b 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/xml.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/xml.py
 @@ -1,6 +1,6 @@
@@ -11758,8 +11758,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/text.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/text.py b/src/calibre/gui2/tweak_book/editor/text.py
+index 9b5bd84480..c30b55fd3c 100644
 --- a/src/calibre/gui2/tweak_book/editor/text.py
 +++ b/src/calibre/gui2/tweak_book/editor/text.py
 @@ -1,7 +1,7 @@
@@ -11771,8 +11771,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  import importlib
  import os
-Index: b/src/calibre/gui2/tweak_book/editor/themes.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/themes.py b/src/calibre/gui2/tweak_book/editor/themes.py
+index 37a9c9e44a..37da479b1a 100644
 --- a/src/calibre/gui2/tweak_book/editor/themes.py
 +++ b/src/calibre/gui2/tweak_book/editor/themes.py
 @@ -1,6 +1,6 @@
@@ -11783,8 +11783,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/editor/widget.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/widget.py b/src/calibre/gui2/tweak_book/editor/widget.py
+index 1706b17284..18f697c0ee 100644
 --- a/src/calibre/gui2/tweak_book/editor/widget.py
 +++ b/src/calibre/gui2/tweak_book/editor/widget.py
 @@ -1,6 +1,6 @@
@@ -11795,8 +11795,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/file_list.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/file_list.py b/src/calibre/gui2/tweak_book/file_list.py
+index 8a036373ed..4340cb1b9e 100644
 --- a/src/calibre/gui2/tweak_book/file_list.py
 +++ b/src/calibre/gui2/tweak_book/file_list.py
 @@ -1,7 +1,7 @@
@@ -11808,8 +11808,8 @@ Index: b/src/calibre/gui2/tweak_book/fil
  
  import os
  import posixpath
-Index: b/src/calibre/gui2/tweak_book/function_replace.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/function_replace.py b/src/calibre/gui2/tweak_book/function_replace.py
+index e39bc1ef31..527ad776f3 100644
 --- a/src/calibre/gui2/tweak_book/function_replace.py
 +++ b/src/calibre/gui2/tweak_book/function_replace.py
 @@ -1,6 +1,6 @@
@@ -11820,8 +11820,8 @@ Index: b/src/calibre/gui2/tweak_book/fun
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/job.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/job.py b/src/calibre/gui2/tweak_book/job.py
+index 8d0f98322a..884a06ff48 100644
 --- a/src/calibre/gui2/tweak_book/job.py
 +++ b/src/calibre/gui2/tweak_book/job.py
 @@ -1,6 +1,6 @@
@@ -11832,8 +11832,8 @@ Index: b/src/calibre/gui2/tweak_book/job
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/live_css.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/live_css.py b/src/calibre/gui2/tweak_book/live_css.py
+index 501fe7f5dc..4c35761b29 100644
 --- a/src/calibre/gui2/tweak_book/live_css.py
 +++ b/src/calibre/gui2/tweak_book/live_css.py
 @@ -1,6 +1,6 @@
@@ -11844,8 +11844,8 @@ Index: b/src/calibre/gui2/tweak_book/liv
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/main.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/main.py b/src/calibre/gui2/tweak_book/main.py
+index 80d7ad5724..505498be84 100644
 --- a/src/calibre/gui2/tweak_book/main.py
 +++ b/src/calibre/gui2/tweak_book/main.py
 @@ -1,6 +1,6 @@
@@ -11856,8 +11856,8 @@ Index: b/src/calibre/gui2/tweak_book/mai
  
  import importlib
  import os
-Index: b/src/calibre/gui2/tweak_book/manage_fonts.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/manage_fonts.py b/src/calibre/gui2/tweak_book/manage_fonts.py
+index a7bc241a93..83306f0e46 100644
 --- a/src/calibre/gui2/tweak_book/manage_fonts.py
 +++ b/src/calibre/gui2/tweak_book/manage_fonts.py
 @@ -1,6 +1,6 @@
@@ -11868,8 +11868,8 @@ Index: b/src/calibre/gui2/tweak_book/man
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/plugin.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/plugin.py b/src/calibre/gui2/tweak_book/plugin.py
+index 2729b6f4a8..18b17fa88f 100644
 --- a/src/calibre/gui2/tweak_book/plugin.py
 +++ b/src/calibre/gui2/tweak_book/plugin.py
 @@ -1,6 +1,6 @@
@@ -11880,8 +11880,8 @@ Index: b/src/calibre/gui2/tweak_book/plu
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/polish.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/polish.py b/src/calibre/gui2/tweak_book/polish.py
+index 022959e176..a72263fb4f 100644
 --- a/src/calibre/gui2/tweak_book/polish.py
 +++ b/src/calibre/gui2/tweak_book/polish.py
 @@ -1,6 +1,6 @@
@@ -11892,8 +11892,8 @@ Index: b/src/calibre/gui2/tweak_book/pol
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/preferences.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/preferences.py b/src/calibre/gui2/tweak_book/preferences.py
+index cd7192fb1a..5ebfdd0ede 100644
 --- a/src/calibre/gui2/tweak_book/preferences.py
 +++ b/src/calibre/gui2/tweak_book/preferences.py
 @@ -1,6 +1,6 @@
@@ -11904,8 +11904,8 @@ Index: b/src/calibre/gui2/tweak_book/pre
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/preview.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/preview.py b/src/calibre/gui2/tweak_book/preview.py
+index dc17eaad2e..f064fae985 100644
 --- a/src/calibre/gui2/tweak_book/preview.py
 +++ b/src/calibre/gui2/tweak_book/preview.py
 @@ -1,7 +1,7 @@
@@ -11917,8 +11917,8 @@ Index: b/src/calibre/gui2/tweak_book/pre
  
  import textwrap
  import time
-Index: b/src/calibre/gui2/tweak_book/reports.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/reports.py b/src/calibre/gui2/tweak_book/reports.py
+index 011998de0c..9575ca2b0a 100644
 --- a/src/calibre/gui2/tweak_book/reports.py
 +++ b/src/calibre/gui2/tweak_book/reports.py
 @@ -1,6 +1,6 @@
@@ -11929,8 +11929,8 @@ Index: b/src/calibre/gui2/tweak_book/rep
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/save.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/save.py b/src/calibre/gui2/tweak_book/save.py
+index 8fd5b49eec..064e0d2fd9 100644
 --- a/src/calibre/gui2/tweak_book/save.py
 +++ b/src/calibre/gui2/tweak_book/save.py
 @@ -1,6 +1,6 @@
@@ -11941,8 +11941,8 @@ Index: b/src/calibre/gui2/tweak_book/sav
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/search.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/search.py b/src/calibre/gui2/tweak_book/search.py
+index 5e348e3999..e10c66546e 100644
 --- a/src/calibre/gui2/tweak_book/search.py
 +++ b/src/calibre/gui2/tweak_book/search.py
 @@ -1,7 +1,7 @@
@@ -11954,8 +11954,8 @@ Index: b/src/calibre/gui2/tweak_book/sea
  
  import copy
  import json
-Index: b/src/calibre/gui2/tweak_book/spell.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/spell.py b/src/calibre/gui2/tweak_book/spell.py
+index 2f73364879..a200f6649d 100644
 --- a/src/calibre/gui2/tweak_book/spell.py
 +++ b/src/calibre/gui2/tweak_book/spell.py
 @@ -1,6 +1,6 @@
@@ -11966,8 +11966,8 @@ Index: b/src/calibre/gui2/tweak_book/spe
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/templates.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/templates.py b/src/calibre/gui2/tweak_book/templates.py
+index 2e17801d90..01eb56f1a0 100644
 --- a/src/calibre/gui2/tweak_book/templates.py
 +++ b/src/calibre/gui2/tweak_book/templates.py
 @@ -1,6 +1,6 @@
@@ -11978,8 +11978,8 @@ Index: b/src/calibre/gui2/tweak_book/tem
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/text_search.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/text_search.py b/src/calibre/gui2/tweak_book/text_search.py
+index f8120ca121..93eb3fd294 100644
 --- a/src/calibre/gui2/tweak_book/text_search.py
 +++ b/src/calibre/gui2/tweak_book/text_search.py
 @@ -2,7 +2,7 @@
@@ -11991,8 +11991,8 @@ Index: b/src/calibre/gui2/tweak_book/tex
  
  from PyQt5.Qt import (
      QWidget, QHBoxLayout, QVBoxLayout, QLabel, QComboBox, QPushButton, QIcon,
-Index: b/src/calibre/gui2/tweak_book/toc.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/toc.py b/src/calibre/gui2/tweak_book/toc.py
+index 893db597f4..7809bf153d 100644
 --- a/src/calibre/gui2/tweak_book/toc.py
 +++ b/src/calibre/gui2/tweak_book/toc.py
 @@ -1,6 +1,6 @@
@@ -12003,8 +12003,8 @@ Index: b/src/calibre/gui2/tweak_book/toc
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/ui.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/ui.py b/src/calibre/gui2/tweak_book/ui.py
+index c6f77c3288..869cb39e93 100644
 --- a/src/calibre/gui2/tweak_book/ui.py
 +++ b/src/calibre/gui2/tweak_book/ui.py
 @@ -1,6 +1,6 @@
@@ -12015,8 +12015,8 @@ Index: b/src/calibre/gui2/tweak_book/ui.
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/undo.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/undo.py b/src/calibre/gui2/tweak_book/undo.py
+index 8d09118200..be77d80ad0 100644
 --- a/src/calibre/gui2/tweak_book/undo.py
 +++ b/src/calibre/gui2/tweak_book/undo.py
 @@ -1,6 +1,6 @@
@@ -12027,8 +12027,8 @@ Index: b/src/calibre/gui2/tweak_book/und
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/tweak_book/widgets.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/widgets.py b/src/calibre/gui2/tweak_book/widgets.py
+index b10e3dbe0a..2b38c13257 100644
 --- a/src/calibre/gui2/tweak_book/widgets.py
 +++ b/src/calibre/gui2/tweak_book/widgets.py
 @@ -1,6 +1,6 @@
@@ -12039,8 +12039,8 @@ Index: b/src/calibre/gui2/tweak_book/wid
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/ui.py
-===================================================================
+diff --git a/src/calibre/gui2/ui.py b/src/calibre/gui2/ui.py
+index f03e828b15..383d9a9a74 100644
 --- a/src/calibre/gui2/ui.py
 +++ b/src/calibre/gui2/ui.py
 @@ -1,6 +1,6 @@
@@ -12051,8 +12051,8 @@ Index: b/src/calibre/gui2/ui.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/update.py
-===================================================================
+diff --git a/src/calibre/gui2/update.py b/src/calibre/gui2/update.py
+index 1c3aa90ebf..9576b6443b 100644
 --- a/src/calibre/gui2/update.py
 +++ b/src/calibre/gui2/update.py
 @@ -1,4 +1,4 @@
@@ -12061,8 +12061,8 @@ Index: b/src/calibre/gui2/update.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/viewer/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/__init__.py b/src/calibre/gui2/viewer/__init__.py
+index 2ca91bd118..635349d71f 100644
 --- a/src/calibre/gui2/viewer/__init__.py
 +++ b/src/calibre/gui2/viewer/__init__.py
 @@ -2,4 +2,4 @@
@@ -12071,8 +12071,8 @@ Index: b/src/calibre/gui2/viewer/__init_
  
 -from __future__ import absolute_import, division, print_function, unicode_literals
 +
-Index: b/src/calibre/gui2/viewer/annotations.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/annotations.py b/src/calibre/gui2/viewer/annotations.py
+index 57f41b6328..f46819a5c0 100644
 --- a/src/calibre/gui2/viewer/annotations.py
 +++ b/src/calibre/gui2/viewer/annotations.py
 @@ -2,7 +2,7 @@
@@ -12084,8 +12084,8 @@ Index: b/src/calibre/gui2/viewer/annotat
  
  from collections import defaultdict
  from io import BytesIO
-Index: b/src/calibre/gui2/viewer/bookmarks.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/bookmarks.py b/src/calibre/gui2/viewer/bookmarks.py
+index d4b297a070..b5187362e4 100644
 --- a/src/calibre/gui2/viewer/bookmarks.py
 +++ b/src/calibre/gui2/viewer/bookmarks.py
 @@ -2,7 +2,7 @@
@@ -12097,8 +12097,8 @@ Index: b/src/calibre/gui2/viewer/bookmar
  
  import json
  
-Index: b/src/calibre/gui2/viewer/convert_book.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/convert_book.py b/src/calibre/gui2/viewer/convert_book.py
+index fd0647b470..7c043908cf 100644
 --- a/src/calibre/gui2/viewer/convert_book.py
 +++ b/src/calibre/gui2/viewer/convert_book.py
 @@ -2,7 +2,7 @@
@@ -12110,8 +12110,8 @@ Index: b/src/calibre/gui2/viewer/convert
  
  import errno
  import json
-Index: b/src/calibre/gui2/viewer/lookup.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/lookup.py b/src/calibre/gui2/viewer/lookup.py
+index 3a55d92f51..2c614b9480 100644
 --- a/src/calibre/gui2/viewer/lookup.py
 +++ b/src/calibre/gui2/viewer/lookup.py
 @@ -2,7 +2,7 @@
@@ -12123,8 +12123,8 @@ Index: b/src/calibre/gui2/viewer/lookup.
  
  import os
  import sys
-Index: b/src/calibre/gui2/viewer/main.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/main.py b/src/calibre/gui2/viewer/main.py
+index 34cb71b6d3..745c698907 100644
 --- a/src/calibre/gui2/viewer/main.py
 +++ b/src/calibre/gui2/viewer/main.py
 @@ -2,7 +2,7 @@
@@ -12136,8 +12136,8 @@ Index: b/src/calibre/gui2/viewer/main.py
  
  import os
  import sys
-Index: b/src/calibre/gui2/viewer/overlay.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/overlay.py b/src/calibre/gui2/viewer/overlay.py
+index d21fff6ed1..9b6e105507 100644
 --- a/src/calibre/gui2/viewer/overlay.py
 +++ b/src/calibre/gui2/viewer/overlay.py
 @@ -2,7 +2,7 @@
@@ -12149,8 +12149,8 @@ Index: b/src/calibre/gui2/viewer/overlay
  
  from PyQt5.Qt import QWidget, Qt, QFontInfo, QLabel, QVBoxLayout
  
-Index: b/src/calibre/gui2/viewer/printing.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/printing.py b/src/calibre/gui2/viewer/printing.py
+index c54969b9ee..379ba86267 100644
 --- a/src/calibre/gui2/viewer/printing.py
 +++ b/src/calibre/gui2/viewer/printing.py
 @@ -1,7 +1,7 @@
@@ -12162,8 +12162,8 @@ Index: b/src/calibre/gui2/viewer/printin
  
  import os
  import subprocess
-Index: b/src/calibre/gui2/viewer/shortcuts.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/shortcuts.py b/src/calibre/gui2/viewer/shortcuts.py
+index 610da5e0e9..c05a1acb20 100644
 --- a/src/calibre/gui2/viewer/shortcuts.py
 +++ b/src/calibre/gui2/viewer/shortcuts.py
 @@ -2,7 +2,7 @@
@@ -12175,8 +12175,8 @@ Index: b/src/calibre/gui2/viewer/shortcu
  
  from PyQt5.Qt import QKeySequence, QMainWindow, Qt
  
-Index: b/src/calibre/gui2/viewer/toc.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/toc.py b/src/calibre/gui2/viewer/toc.py
+index 23da1c2557..fe5a190c36 100644
 --- a/src/calibre/gui2/viewer/toc.py
 +++ b/src/calibre/gui2/viewer/toc.py
 @@ -2,7 +2,7 @@
@@ -12188,8 +12188,8 @@ Index: b/src/calibre/gui2/viewer/toc.py
  
  import re
  from functools import partial
-Index: b/src/calibre/gui2/viewer/toolbars.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/toolbars.py b/src/calibre/gui2/viewer/toolbars.py
+index 9ea6e61e5e..d5633805fb 100644
 --- a/src/calibre/gui2/viewer/toolbars.py
 +++ b/src/calibre/gui2/viewer/toolbars.py
 @@ -2,7 +2,7 @@
@@ -12201,8 +12201,8 @@ Index: b/src/calibre/gui2/viewer/toolbar
  
  import os
  from functools import partial
-Index: b/src/calibre/gui2/viewer/ui.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/ui.py b/src/calibre/gui2/viewer/ui.py
+index 3b033c7668..f3b3ec8db9 100644
 --- a/src/calibre/gui2/viewer/ui.py
 +++ b/src/calibre/gui2/viewer/ui.py
 @@ -2,7 +2,7 @@
@@ -12214,8 +12214,8 @@ Index: b/src/calibre/gui2/viewer/ui.py
  
  import json
  import os
-Index: b/src/calibre/gui2/viewer/web_view.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/web_view.py b/src/calibre/gui2/viewer/web_view.py
+index 3c5b744d21..ff029d8a0a 100644
 --- a/src/calibre/gui2/viewer/web_view.py
 +++ b/src/calibre/gui2/viewer/web_view.py
 @@ -2,7 +2,7 @@
@@ -12227,8 +12227,8 @@ Index: b/src/calibre/gui2/viewer/web_vie
  
  import os
  import shutil
-Index: b/src/calibre/gui2/webengine.py
-===================================================================
+diff --git a/src/calibre/gui2/webengine.py b/src/calibre/gui2/webengine.py
+index 12beed8200..939ce93fb5 100644
 --- a/src/calibre/gui2/webengine.py
 +++ b/src/calibre/gui2/webengine.py
 @@ -2,7 +2,7 @@
@@ -12240,8 +12240,8 @@ Index: b/src/calibre/gui2/webengine.py
  
  import json
  
-Index: b/src/calibre/gui2/widgets.py
-===================================================================
+diff --git a/src/calibre/gui2/widgets.py b/src/calibre/gui2/widgets.py
+index 5ef65a5d1c..583b306b32 100644
 --- a/src/calibre/gui2/widgets.py
 +++ b/src/calibre/gui2/widgets.py
 @@ -1,4 +1,4 @@
@@ -12250,8 +12250,8 @@ Index: b/src/calibre/gui2/widgets.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/gui2/widgets2.py
-===================================================================
+diff --git a/src/calibre/gui2/widgets2.py b/src/calibre/gui2/widgets2.py
+index 726b6fb265..262e38af22 100644
 --- a/src/calibre/gui2/widgets2.py
 +++ b/src/calibre/gui2/widgets2.py
 @@ -2,7 +2,7 @@
@@ -12263,8 +12263,8 @@ Index: b/src/calibre/gui2/widgets2.py
  
  import weakref
  
-Index: b/src/calibre/gui2/win_file_dialogs.py
-===================================================================
+diff --git a/src/calibre/gui2/win_file_dialogs.py b/src/calibre/gui2/win_file_dialogs.py
+index 9c6a3b0bdf..bf308a3824 100644
 --- a/src/calibre/gui2/win_file_dialogs.py
 +++ b/src/calibre/gui2/win_file_dialogs.py
 @@ -1,7 +1,7 @@
@@ -12276,8 +12276,8 @@ Index: b/src/calibre/gui2/win_file_dialo
  
  import os
  import struct
-Index: b/src/calibre/gui2/wizard/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/wizard/__init__.py b/src/calibre/gui2/wizard/__init__.py
+index 1ddc521c7c..54b5e6d683 100644
 --- a/src/calibre/gui2/wizard/__init__.py
 +++ b/src/calibre/gui2/wizard/__init__.py
 @@ -1,6 +1,6 @@
@@ -12288,8 +12288,8 @@ Index: b/src/calibre/gui2/wizard/__init_
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui2/wizard/send_email.py
-===================================================================
+diff --git a/src/calibre/gui2/wizard/send_email.py b/src/calibre/gui2/wizard/send_email.py
+index 6d31f6ba75..dd683ff001 100644
 --- a/src/calibre/gui2/wizard/send_email.py
 +++ b/src/calibre/gui2/wizard/send_email.py
 @@ -1,6 +1,6 @@
@@ -12300,8 +12300,8 @@ Index: b/src/calibre/gui2/wizard/send_em
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/gui_launch.py
-===================================================================
+diff --git a/src/calibre/gui_launch.py b/src/calibre/gui_launch.py
+index a53a101475..320460ae3c 100644
 --- a/src/calibre/gui_launch.py
 +++ b/src/calibre/gui_launch.py
 @@ -1,6 +1,6 @@
@@ -12312,8 +12312,8 @@ Index: b/src/calibre/gui_launch.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/library/__init__.py
-===================================================================
+diff --git a/src/calibre/library/__init__.py b/src/calibre/library/__init__.py
+index 655ca84169..c70078bd93 100644
 --- a/src/calibre/library/__init__.py
 +++ b/src/calibre/library/__init__.py
 @@ -1,4 +1,4 @@
@@ -12322,8 +12322,8 @@ Index: b/src/calibre/library/__init__.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/library/add_to_library.py
-===================================================================
+diff --git a/src/calibre/library/add_to_library.py b/src/calibre/library/add_to_library.py
+index d5d307356e..3535042580 100644
 --- a/src/calibre/library/add_to_library.py
 +++ b/src/calibre/library/add_to_library.py
 @@ -1,6 +1,6 @@
@@ -12334,8 +12334,8 @@ Index: b/src/calibre/library/add_to_libr
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/library/caches.py
-===================================================================
+diff --git a/src/calibre/library/caches.py b/src/calibre/library/caches.py
+index 9f50dd48e6..731bbea6bd 100644
 --- a/src/calibre/library/caches.py
 +++ b/src/calibre/library/caches.py
 @@ -1,6 +1,6 @@
@@ -12346,8 +12346,8 @@ Index: b/src/calibre/library/caches.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/library/catalogs/__init__.py
-===================================================================
+diff --git a/src/calibre/library/catalogs/__init__.py b/src/calibre/library/catalogs/__init__.py
+index 1b05c647dc..c916618c05 100644
 --- a/src/calibre/library/catalogs/__init__.py
 +++ b/src/calibre/library/catalogs/__init__.py
 @@ -1,6 +1,6 @@
@@ -12358,8 +12358,8 @@ Index: b/src/calibre/library/catalogs/__
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/library/catalogs/bibtex.py
-===================================================================
+diff --git a/src/calibre/library/catalogs/bibtex.py b/src/calibre/library/catalogs/bibtex.py
+index d22390bbcc..cc3137e931 100644
 --- a/src/calibre/library/catalogs/bibtex.py
 +++ b/src/calibre/library/catalogs/bibtex.py
 @@ -1,6 +1,6 @@
@@ -12370,8 +12370,8 @@ Index: b/src/calibre/library/catalogs/bi
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/library/catalogs/csv_xml.py
-===================================================================
+diff --git a/src/calibre/library/catalogs/csv_xml.py b/src/calibre/library/catalogs/csv_xml.py
+index f573b39889..2e828e50e4 100644
 --- a/src/calibre/library/catalogs/csv_xml.py
 +++ b/src/calibre/library/catalogs/csv_xml.py
 @@ -1,6 +1,6 @@
@@ -12382,8 +12382,8 @@ Index: b/src/calibre/library/catalogs/cs
  
  __license__ = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/library/catalogs/epub_mobi.py
-===================================================================
+diff --git a/src/calibre/library/catalogs/epub_mobi.py b/src/calibre/library/catalogs/epub_mobi.py
+index 5267a00dd9..91160ffd44 100644
 --- a/src/calibre/library/catalogs/epub_mobi.py
 +++ b/src/calibre/library/catalogs/epub_mobi.py
 @@ -1,6 +1,6 @@
@@ -12394,8 +12394,8 @@ Index: b/src/calibre/library/catalogs/ep
  
  __license__ = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/library/catalogs/epub_mobi_builder.py
-===================================================================
+diff --git a/src/calibre/library/catalogs/epub_mobi_builder.py b/src/calibre/library/catalogs/epub_mobi_builder.py
+index 6b2e7d47b7..494c786aa6 100644
 --- a/src/calibre/library/catalogs/epub_mobi_builder.py
 +++ b/src/calibre/library/catalogs/epub_mobi_builder.py
 @@ -1,7 +1,7 @@
@@ -12407,8 +12407,8 @@ Index: b/src/calibre/library/catalogs/ep
  
  import datetime
  import os
-Index: b/src/calibre/library/catalogs/utils.py
-===================================================================
+diff --git a/src/calibre/library/catalogs/utils.py b/src/calibre/library/catalogs/utils.py
+index cd7521fc19..a4cb12f576 100644
 --- a/src/calibre/library/catalogs/utils.py
 +++ b/src/calibre/library/catalogs/utils.py
 @@ -1,6 +1,6 @@
@@ -12419,8 +12419,8 @@ Index: b/src/calibre/library/catalogs/ut
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Greg Riker'
-Index: b/src/calibre/library/check_library.py
-===================================================================
+diff --git a/src/calibre/library/check_library.py b/src/calibre/library/check_library.py
+index 81ba156299..0757b98f5b 100644
 --- a/src/calibre/library/check_library.py
 +++ b/src/calibre/library/check_library.py
 @@ -1,6 +1,6 @@
@@ -12431,8 +12431,8 @@ Index: b/src/calibre/library/check_libra
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/library/coloring.py
-===================================================================
+diff --git a/src/calibre/library/coloring.py b/src/calibre/library/coloring.py
+index dc818be3db..48043053cd 100644
 --- a/src/calibre/library/coloring.py
 +++ b/src/calibre/library/coloring.py
 @@ -1,7 +1,7 @@
@@ -12444,8 +12444,8 @@ Index: b/src/calibre/library/coloring.py
  
  import json
  import re
-Index: b/src/calibre/library/comments.py
-===================================================================
+diff --git a/src/calibre/library/comments.py b/src/calibre/library/comments.py
+index 0f20a52edf..1fefa181b2 100644
 --- a/src/calibre/library/comments.py
 +++ b/src/calibre/library/comments.py
 @@ -2,7 +2,7 @@
@@ -12457,8 +12457,8 @@ Index: b/src/calibre/library/comments.py
  
  import re
  
-Index: b/src/calibre/library/custom_columns.py
-===================================================================
+diff --git a/src/calibre/library/custom_columns.py b/src/calibre/library/custom_columns.py
+index fcebc2c87a..14e5c6707e 100644
 --- a/src/calibre/library/custom_columns.py
 +++ b/src/calibre/library/custom_columns.py
 @@ -1,6 +1,6 @@
@@ -12469,8 +12469,8 @@ Index: b/src/calibre/library/custom_colu
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/library/database.py
-===================================================================
+diff --git a/src/calibre/library/database.py b/src/calibre/library/database.py
+index 48b13667b1..2a8ea8ec68 100644
 --- a/src/calibre/library/database.py
 +++ b/src/calibre/library/database.py
 @@ -1,4 +1,4 @@
@@ -12479,8 +12479,8 @@ Index: b/src/calibre/library/database.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/library/database2.py
-===================================================================
+diff --git a/src/calibre/library/database2.py b/src/calibre/library/database2.py
+index 7afb407602..653f5f83c5 100644
 --- a/src/calibre/library/database2.py
 +++ b/src/calibre/library/database2.py
 @@ -1,4 +1,4 @@
@@ -12489,8 +12489,8 @@ Index: b/src/calibre/library/database2.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/library/field_metadata.py
-===================================================================
+diff --git a/src/calibre/library/field_metadata.py b/src/calibre/library/field_metadata.py
+index 5e385b9a9f..e6df9b48fa 100644
 --- a/src/calibre/library/field_metadata.py
 +++ b/src/calibre/library/field_metadata.py
 @@ -1,4 +1,4 @@
@@ -12499,8 +12499,8 @@ Index: b/src/calibre/library/field_metad
  
  '''
  Created on 25 May 2010
-Index: b/src/calibre/library/prefs.py
-===================================================================
+diff --git a/src/calibre/library/prefs.py b/src/calibre/library/prefs.py
+index 8807516013..9e1556eb98 100644
 --- a/src/calibre/library/prefs.py
 +++ b/src/calibre/library/prefs.py
 @@ -1,6 +1,6 @@
@@ -12511,8 +12511,8 @@ Index: b/src/calibre/library/prefs.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/library/restore.py
-===================================================================
+diff --git a/src/calibre/library/restore.py b/src/calibre/library/restore.py
+index 8d04e7e9eb..9648f94097 100644
 --- a/src/calibre/library/restore.py
 +++ b/src/calibre/library/restore.py
 @@ -1,6 +1,6 @@
@@ -12523,8 +12523,8 @@ Index: b/src/calibre/library/restore.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/library/save_to_disk.py
-===================================================================
+diff --git a/src/calibre/library/save_to_disk.py b/src/calibre/library/save_to_disk.py
+index 72b6273eb6..7b370b67f8 100644
 --- a/src/calibre/library/save_to_disk.py
 +++ b/src/calibre/library/save_to_disk.py
 @@ -1,6 +1,6 @@
@@ -12535,8 +12535,8 @@ Index: b/src/calibre/library/save_to_dis
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/library/schema_upgrades.py
-===================================================================
+diff --git a/src/calibre/library/schema_upgrades.py b/src/calibre/library/schema_upgrades.py
+index f3535ce8b3..7685d3cdfa 100644
 --- a/src/calibre/library/schema_upgrades.py
 +++ b/src/calibre/library/schema_upgrades.py
 @@ -1,6 +1,6 @@
@@ -12547,8 +12547,8 @@ Index: b/src/calibre/library/schema_upgr
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/library/sqlite.py
-===================================================================
+diff --git a/src/calibre/library/sqlite.py b/src/calibre/library/sqlite.py
+index b237b013ff..52004c4648 100644
 --- a/src/calibre/library/sqlite.py
 +++ b/src/calibre/library/sqlite.py
 @@ -1,4 +1,4 @@
@@ -12557,8 +12557,8 @@ Index: b/src/calibre/library/sqlite.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/libunzip.py
-===================================================================
+diff --git a/src/calibre/libunzip.py b/src/calibre/libunzip.py
+index 6830545750..37e35f89ad 100644
 --- a/src/calibre/libunzip.py
 +++ b/src/calibre/libunzip.py
 @@ -1,5 +1,5 @@
@@ -12568,8 +12568,8 @@ Index: b/src/calibre/libunzip.py
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/linux.py
-===================================================================
+diff --git a/src/calibre/linux.py b/src/calibre/linux.py
+index 994f707619..0e7d96692a 100644
 --- a/src/calibre/linux.py
 +++ b/src/calibre/linux.py
 @@ -2,7 +2,7 @@
@@ -12581,8 +12581,8 @@ Index: b/src/calibre/linux.py
  
  ''' Post installation script for linux '''
  
-Index: b/src/calibre/ptempfile.py
-===================================================================
+diff --git a/src/calibre/ptempfile.py b/src/calibre/ptempfile.py
+index 9d9bf81d42..8f94eb8e81 100644
 --- a/src/calibre/ptempfile.py
 +++ b/src/calibre/ptempfile.py
 @@ -1,4 +1,4 @@
@@ -12591,8 +12591,8 @@ Index: b/src/calibre/ptempfile.py
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  """
-Index: b/src/calibre/rpdb.py
-===================================================================
+diff --git a/src/calibre/rpdb.py b/src/calibre/rpdb.py
+index d15fcc2d2e..5cc8fbe871 100644
 --- a/src/calibre/rpdb.py
 +++ b/src/calibre/rpdb.py
 @@ -1,6 +1,6 @@
@@ -12603,8 +12603,8 @@ Index: b/src/calibre/rpdb.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/spell/__init__.py
-===================================================================
+diff --git a/src/calibre/spell/__init__.py b/src/calibre/spell/__init__.py
+index 68fe3c3eb2..5ebde414fd 100644
 --- a/src/calibre/spell/__init__.py
 +++ b/src/calibre/spell/__init__.py
 @@ -1,6 +1,6 @@
@@ -12615,8 +12615,8 @@ Index: b/src/calibre/spell/__init__.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/spell/break_iterator.py
-===================================================================
+diff --git a/src/calibre/spell/break_iterator.py b/src/calibre/spell/break_iterator.py
+index 980e0a434f..581ba1d6df 100644
 --- a/src/calibre/spell/break_iterator.py
 +++ b/src/calibre/spell/break_iterator.py
 @@ -1,6 +1,6 @@
@@ -12627,8 +12627,8 @@ Index: b/src/calibre/spell/break_iterato
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/spell/dictionary.py
-===================================================================
+diff --git a/src/calibre/spell/dictionary.py b/src/calibre/spell/dictionary.py
+index e8db242ffc..52a23c03fe 100644
 --- a/src/calibre/spell/dictionary.py
 +++ b/src/calibre/spell/dictionary.py
 @@ -1,7 +1,7 @@
@@ -12640,8 +12640,8 @@ Index: b/src/calibre/spell/dictionary.py
  
  import glob
  import os
-Index: b/src/calibre/spell/import_from.py
-===================================================================
+diff --git a/src/calibre/spell/import_from.py b/src/calibre/spell/import_from.py
+index 35a1627316..c4e9e4f106 100644
 --- a/src/calibre/spell/import_from.py
 +++ b/src/calibre/spell/import_from.py
 @@ -1,6 +1,6 @@
@@ -12652,8 +12652,8 @@ Index: b/src/calibre/spell/import_from.p
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/ajax.py
-===================================================================
+diff --git a/src/calibre/srv/ajax.py b/src/calibre/srv/ajax.py
+index a48c9619a2..74507f7f19 100644
 --- a/src/calibre/srv/ajax.py
 +++ b/src/calibre/srv/ajax.py
 @@ -1,6 +1,6 @@
@@ -12664,8 +12664,8 @@ Index: b/src/calibre/srv/ajax.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/auth.py
-===================================================================
+diff --git a/src/calibre/srv/auth.py b/src/calibre/srv/auth.py
+index b78bd51767..62428c1597 100644
 --- a/src/calibre/srv/auth.py
 +++ b/src/calibre/srv/auth.py
 @@ -1,6 +1,6 @@
@@ -12676,8 +12676,8 @@ Index: b/src/calibre/srv/auth.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/auto_reload.py
-===================================================================
+diff --git a/src/calibre/srv/auto_reload.py b/src/calibre/srv/auto_reload.py
+index fdfc2b077e..3001dfd573 100644
 --- a/src/calibre/srv/auto_reload.py
 +++ b/src/calibre/srv/auto_reload.py
 @@ -1,6 +1,6 @@
@@ -12688,8 +12688,8 @@ Index: b/src/calibre/srv/auto_reload.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/bonjour.py
-===================================================================
+diff --git a/src/calibre/srv/bonjour.py b/src/calibre/srv/bonjour.py
+index 05749c1665..7bac6ef7bf 100644
 --- a/src/calibre/srv/bonjour.py
 +++ b/src/calibre/srv/bonjour.py
 @@ -1,6 +1,6 @@
@@ -12700,8 +12700,8 @@ Index: b/src/calibre/srv/bonjour.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/books.py
-===================================================================
+diff --git a/src/calibre/srv/books.py b/src/calibre/srv/books.py
+index fa0b5b9c72..8fbeb36a84 100644
 --- a/src/calibre/srv/books.py
 +++ b/src/calibre/srv/books.py
 @@ -2,7 +2,7 @@
@@ -12713,8 +12713,8 @@ Index: b/src/calibre/srv/books.py
  
  import errno
  import json as jsonlib
-Index: b/src/calibre/srv/cdb.py
-===================================================================
+diff --git a/src/calibre/srv/cdb.py b/src/calibre/srv/cdb.py
+index 4e9e0efc05..c5756af1ba 100644
 --- a/src/calibre/srv/cdb.py
 +++ b/src/calibre/srv/cdb.py
 @@ -2,7 +2,7 @@
@@ -12726,8 +12726,8 @@ Index: b/src/calibre/srv/cdb.py
  
  import os
  from functools import partial
-Index: b/src/calibre/srv/changes.py
-===================================================================
+diff --git a/src/calibre/srv/changes.py b/src/calibre/srv/changes.py
+index 03c7366564..5ac6907dbe 100644
 --- a/src/calibre/srv/changes.py
 +++ b/src/calibre/srv/changes.py
 @@ -2,7 +2,7 @@
@@ -12739,8 +12739,8 @@ Index: b/src/calibre/srv/changes.py
  from polyglot.builtins import map
  
  
-Index: b/src/calibre/srv/code.py
-===================================================================
+diff --git a/src/calibre/srv/code.py b/src/calibre/srv/code.py
+index 88aa69d96b..3ebb748427 100644
 --- a/src/calibre/srv/code.py
 +++ b/src/calibre/srv/code.py
 @@ -2,7 +2,7 @@
@@ -12752,8 +12752,8 @@ Index: b/src/calibre/srv/code.py
  
  import hashlib
  import os
-Index: b/src/calibre/srv/content.py
-===================================================================
+diff --git a/src/calibre/srv/content.py b/src/calibre/srv/content.py
+index fc2bd1ba6f..85b50ea3a0 100644
 --- a/src/calibre/srv/content.py
 +++ b/src/calibre/srv/content.py
 @@ -1,6 +1,6 @@
@@ -12764,8 +12764,8 @@ Index: b/src/calibre/srv/content.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/convert.py
-===================================================================
+diff --git a/src/calibre/srv/convert.py b/src/calibre/srv/convert.py
+index 87697a0103..f586e8dbef 100644
 --- a/src/calibre/srv/convert.py
 +++ b/src/calibre/srv/convert.py
 @@ -2,7 +2,7 @@
@@ -12777,8 +12777,8 @@ Index: b/src/calibre/srv/convert.py
  
  import os
  import shutil
-Index: b/src/calibre/srv/embedded.py
-===================================================================
+diff --git a/src/calibre/srv/embedded.py b/src/calibre/srv/embedded.py
+index d488aea919..65558c3122 100644
 --- a/src/calibre/srv/embedded.py
 +++ b/src/calibre/srv/embedded.py
 @@ -1,7 +1,7 @@
@@ -12790,8 +12790,8 @@ Index: b/src/calibre/srv/embedded.py
  
  import errno
  import json
-Index: b/src/calibre/srv/errors.py
-===================================================================
+diff --git a/src/calibre/srv/errors.py b/src/calibre/srv/errors.py
+index 705b949791..375ad7e583 100644
 --- a/src/calibre/srv/errors.py
 +++ b/src/calibre/srv/errors.py
 @@ -1,6 +1,6 @@
@@ -12802,8 +12802,8 @@ Index: b/src/calibre/srv/errors.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/handler.py
-===================================================================
+diff --git a/src/calibre/srv/handler.py b/src/calibre/srv/handler.py
+index a8422e49ad..61c595d017 100644
 --- a/src/calibre/srv/handler.py
 +++ b/src/calibre/srv/handler.py
 @@ -1,7 +1,7 @@
@@ -12815,8 +12815,8 @@ Index: b/src/calibre/srv/handler.py
  
  import json
  from functools import partial
-Index: b/src/calibre/srv/http_request.py
-===================================================================
+diff --git a/src/calibre/srv/http_request.py b/src/calibre/srv/http_request.py
+index 1948ffd1a2..3866edab0b 100644
 --- a/src/calibre/srv/http_request.py
 +++ b/src/calibre/srv/http_request.py
 @@ -1,6 +1,6 @@
@@ -12827,8 +12827,8 @@ Index: b/src/calibre/srv/http_request.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/http_response.py
-===================================================================
+diff --git a/src/calibre/srv/http_response.py b/src/calibre/srv/http_response.py
+index 31838f1979..1fd74e3c73 100644
 --- a/src/calibre/srv/http_response.py
 +++ b/src/calibre/srv/http_response.py
 @@ -1,6 +1,6 @@
@@ -12839,8 +12839,8 @@ Index: b/src/calibre/srv/http_response.p
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/jobs.py
-===================================================================
+diff --git a/src/calibre/srv/jobs.py b/src/calibre/srv/jobs.py
+index 5cfe25467b..f3e41078a9 100644
 --- a/src/calibre/srv/jobs.py
 +++ b/src/calibre/srv/jobs.py
 @@ -2,7 +2,7 @@
@@ -12852,8 +12852,8 @@ Index: b/src/calibre/srv/jobs.py
  import os, time
  from itertools import count
  from collections import namedtuple, deque
-Index: b/src/calibre/srv/legacy.py
-===================================================================
+diff --git a/src/calibre/srv/legacy.py b/src/calibre/srv/legacy.py
+index 67f4bf713e..a6b863c629 100644
 --- a/src/calibre/srv/legacy.py
 +++ b/src/calibre/srv/legacy.py
 @@ -2,7 +2,7 @@
@@ -12865,8 +12865,8 @@ Index: b/src/calibre/srv/legacy.py
  
  from functools import partial
  
-Index: b/src/calibre/srv/library_broker.py
-===================================================================
+diff --git a/src/calibre/srv/library_broker.py b/src/calibre/srv/library_broker.py
+index facf856e9c..b56bf029a3 100644
 --- a/src/calibre/srv/library_broker.py
 +++ b/src/calibre/srv/library_broker.py
 @@ -2,7 +2,7 @@
@@ -12878,8 +12878,8 @@ Index: b/src/calibre/srv/library_broker.
  
  import os
  from collections import OrderedDict, defaultdict
-Index: b/src/calibre/srv/loop.py
-===================================================================
+diff --git a/src/calibre/srv/loop.py b/src/calibre/srv/loop.py
+index 82c0053b2e..2023e023d5 100644
 --- a/src/calibre/srv/loop.py
 +++ b/src/calibre/srv/loop.py
 @@ -1,6 +1,6 @@
@@ -12890,8 +12890,8 @@ Index: b/src/calibre/srv/loop.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/manage_users_cli.py
-===================================================================
+diff --git a/src/calibre/srv/manage_users_cli.py b/src/calibre/srv/manage_users_cli.py
+index 2871a53a97..a6ee4f6b94 100644
 --- a/src/calibre/srv/manage_users_cli.py
 +++ b/src/calibre/srv/manage_users_cli.py
 @@ -2,7 +2,7 @@
@@ -12903,8 +12903,8 @@ Index: b/src/calibre/srv/manage_users_cl
  
  import sys
  from functools import partial
-Index: b/src/calibre/srv/metadata.py
-===================================================================
+diff --git a/src/calibre/srv/metadata.py b/src/calibre/srv/metadata.py
+index bbf6773377..806d009b48 100644
 --- a/src/calibre/srv/metadata.py
 +++ b/src/calibre/srv/metadata.py
 @@ -2,7 +2,7 @@
@@ -12916,8 +12916,8 @@ Index: b/src/calibre/srv/metadata.py
  import os
  from copy import copy
  from collections import namedtuple
-Index: b/src/calibre/srv/opds.py
-===================================================================
+diff --git a/src/calibre/srv/opds.py b/src/calibre/srv/opds.py
+index ed41a6efa7..205e8bc834 100644
 --- a/src/calibre/srv/opds.py
 +++ b/src/calibre/srv/opds.py
 @@ -1,6 +1,6 @@
@@ -12928,8 +12928,8 @@ Index: b/src/calibre/srv/opds.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/srv/opts.py
-===================================================================
+diff --git a/src/calibre/srv/opts.py b/src/calibre/srv/opts.py
+index 7e5a48ca58..e1a69d1a10 100644
 --- a/src/calibre/srv/opts.py
 +++ b/src/calibre/srv/opts.py
 @@ -1,6 +1,6 @@
@@ -12940,8 +12940,8 @@ Index: b/src/calibre/srv/opts.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/pool.py
-===================================================================
+diff --git a/src/calibre/srv/pool.py b/src/calibre/srv/pool.py
+index b14f6b3282..c658788be8 100644
 --- a/src/calibre/srv/pool.py
 +++ b/src/calibre/srv/pool.py
 @@ -1,6 +1,6 @@
@@ -12952,8 +12952,8 @@ Index: b/src/calibre/srv/pool.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/pre_activated.py
-===================================================================
+diff --git a/src/calibre/srv/pre_activated.py b/src/calibre/srv/pre_activated.py
+index e3da85d0cf..183cba1571 100644
 --- a/src/calibre/srv/pre_activated.py
 +++ b/src/calibre/srv/pre_activated.py
 @@ -1,6 +1,6 @@
@@ -12964,8 +12964,8 @@ Index: b/src/calibre/srv/pre_activated.p
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/render_book.py
-===================================================================
+diff --git a/src/calibre/srv/render_book.py b/src/calibre/srv/render_book.py
+index 6005a8546e..1de49da445 100644
 --- a/src/calibre/srv/render_book.py
 +++ b/src/calibre/srv/render_book.py
 @@ -2,7 +2,7 @@
@@ -12977,8 +12977,8 @@ Index: b/src/calibre/srv/render_book.py
  
  import json
  import os
-Index: b/src/calibre/srv/routes.py
-===================================================================
+diff --git a/src/calibre/srv/routes.py b/src/calibre/srv/routes.py
+index a9c9353d3e..62ef365a78 100644
 --- a/src/calibre/srv/routes.py
 +++ b/src/calibre/srv/routes.py
 @@ -1,6 +1,6 @@
@@ -12989,8 +12989,8 @@ Index: b/src/calibre/srv/routes.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/sendfile.py
-===================================================================
+diff --git a/src/calibre/srv/sendfile.py b/src/calibre/srv/sendfile.py
+index 8779f8a7cc..d3fbbd5c2f 100644
 --- a/src/calibre/srv/sendfile.py
 +++ b/src/calibre/srv/sendfile.py
 @@ -1,6 +1,6 @@
@@ -13001,8 +13001,8 @@ Index: b/src/calibre/srv/sendfile.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/standalone.py
-===================================================================
+diff --git a/src/calibre/srv/standalone.py b/src/calibre/srv/standalone.py
+index 635541e723..8d38e1ea0a 100644
 --- a/src/calibre/srv/standalone.py
 +++ b/src/calibre/srv/standalone.py
 @@ -1,7 +1,7 @@
@@ -13014,8 +13014,8 @@ Index: b/src/calibre/srv/standalone.py
  
  import json
  import os
-Index: b/src/calibre/srv/tests/ajax.py
-===================================================================
+diff --git a/src/calibre/srv/tests/ajax.py b/src/calibre/srv/tests/ajax.py
+index 23478cab24..ea821a36a7 100644
 --- a/src/calibre/srv/tests/ajax.py
 +++ b/src/calibre/srv/tests/ajax.py
 @@ -1,6 +1,6 @@
@@ -13026,8 +13026,8 @@ Index: b/src/calibre/srv/tests/ajax.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/tests/auth.py
-===================================================================
+diff --git a/src/calibre/srv/tests/auth.py b/src/calibre/srv/tests/auth.py
+index 58f54cbbd9..469a9582ed 100644
 --- a/src/calibre/srv/tests/auth.py
 +++ b/src/calibre/srv/tests/auth.py
 @@ -1,6 +1,6 @@
@@ -13038,8 +13038,8 @@ Index: b/src/calibre/srv/tests/auth.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/tests/base.py
-===================================================================
+diff --git a/src/calibre/srv/tests/base.py b/src/calibre/srv/tests/base.py
+index b610675f47..325c5c8456 100644
 --- a/src/calibre/srv/tests/base.py
 +++ b/src/calibre/srv/tests/base.py
 @@ -1,6 +1,6 @@
@@ -13050,8 +13050,8 @@ Index: b/src/calibre/srv/tests/base.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/srv/tests/content.py
-===================================================================
+diff --git a/src/calibre/srv/tests/content.py b/src/calibre/srv/tests/content.py
+index 21ff69d10c..4df6eb1891 100644
 --- a/src/calibre/srv/tests/content.py
 +++ b/src/calibre/srv/tests/content.py
 @@ -1,6 +1,6 @@
@@ -13062,8 +13062,8 @@ Index: b/src/calibre/srv/tests/content.p
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/tests/http.py
-===================================================================
+diff --git a/src/calibre/srv/tests/http.py b/src/calibre/srv/tests/http.py
+index 90d061fe72..e32f7dbcc7 100644
 --- a/src/calibre/srv/tests/http.py
 +++ b/src/calibre/srv/tests/http.py
 @@ -1,6 +1,6 @@
@@ -13074,8 +13074,8 @@ Index: b/src/calibre/srv/tests/http.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/tests/loop.py
-===================================================================
+diff --git a/src/calibre/srv/tests/loop.py b/src/calibre/srv/tests/loop.py
+index a5e927579e..8b25e7b448 100644
 --- a/src/calibre/srv/tests/loop.py
 +++ b/src/calibre/srv/tests/loop.py
 @@ -1,6 +1,6 @@
@@ -13086,8 +13086,8 @@ Index: b/src/calibre/srv/tests/loop.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/tests/main.py
-===================================================================
+diff --git a/src/calibre/srv/tests/main.py b/src/calibre/srv/tests/main.py
+index d5ec365d28..4da0b0a6e3 100644
 --- a/src/calibre/srv/tests/main.py
 +++ b/src/calibre/srv/tests/main.py
 @@ -1,6 +1,6 @@
@@ -13098,8 +13098,8 @@ Index: b/src/calibre/srv/tests/main.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/tests/routes.py
-===================================================================
+diff --git a/src/calibre/srv/tests/routes.py b/src/calibre/srv/tests/routes.py
+index 11577c8d4a..1250f003a3 100644
 --- a/src/calibre/srv/tests/routes.py
 +++ b/src/calibre/srv/tests/routes.py
 @@ -1,6 +1,6 @@
@@ -13110,8 +13110,8 @@ Index: b/src/calibre/srv/tests/routes.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/tests/web_sockets.py
-===================================================================
+diff --git a/src/calibre/srv/tests/web_sockets.py b/src/calibre/srv/tests/web_sockets.py
+index faf7071b11..1620fb7b5f 100644
 --- a/src/calibre/srv/tests/web_sockets.py
 +++ b/src/calibre/srv/tests/web_sockets.py
 @@ -1,7 +1,7 @@
@@ -13123,8 +13123,8 @@ Index: b/src/calibre/srv/tests/web_socke
  
  import socket, os, struct, errno, numbers
  from collections import deque, namedtuple
-Index: b/src/calibre/srv/users.py
-===================================================================
+diff --git a/src/calibre/srv/users.py b/src/calibre/srv/users.py
+index 8c28ff4d70..657d6dac80 100644
 --- a/src/calibre/srv/users.py
 +++ b/src/calibre/srv/users.py
 @@ -2,7 +2,7 @@
@@ -13136,8 +13136,8 @@ Index: b/src/calibre/srv/users.py
  import os, json, re
  from threading import RLock
  
-Index: b/src/calibre/srv/users_api.py
-===================================================================
+diff --git a/src/calibre/srv/users_api.py b/src/calibre/srv/users_api.py
+index a061881564..37ddb86cd7 100644
 --- a/src/calibre/srv/users_api.py
 +++ b/src/calibre/srv/users_api.py
 @@ -2,7 +2,7 @@
@@ -13149,8 +13149,8 @@ Index: b/src/calibre/srv/users_api.py
  
  import json
  
-Index: b/src/calibre/srv/utils.py
-===================================================================
+diff --git a/src/calibre/srv/utils.py b/src/calibre/srv/utils.py
+index 376546a7a2..ffd3aee0f0 100644
 --- a/src/calibre/srv/utils.py
 +++ b/src/calibre/srv/utils.py
 @@ -1,6 +1,6 @@
@@ -13161,8 +13161,8 @@ Index: b/src/calibre/srv/utils.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/srv/web_socket.py
-===================================================================
+diff --git a/src/calibre/srv/web_socket.py b/src/calibre/srv/web_socket.py
+index 297277ae3f..0fb2302fe5 100644
 --- a/src/calibre/srv/web_socket.py
 +++ b/src/calibre/srv/web_socket.py
 @@ -2,7 +2,7 @@
@@ -13174,8 +13174,8 @@ Index: b/src/calibre/srv/web_socket.py
  
  import os
  import socket
-Index: b/src/calibre/startup.py
-===================================================================
+diff --git a/src/calibre/startup.py b/src/calibre/startup.py
+index 7508b24395..ea7837600b 100644
 --- a/src/calibre/startup.py
 +++ b/src/calibre/startup.py
 @@ -1,4 +1,4 @@
@@ -13184,8 +13184,8 @@ Index: b/src/calibre/startup.py
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/test_build.py
-===================================================================
+diff --git a/src/calibre/test_build.py b/src/calibre/test_build.py
+index af03323cc7..71885930c0 100644
 --- a/src/calibre/test_build.py
 +++ b/src/calibre/test_build.py
 @@ -1,6 +1,6 @@
@@ -13196,15 +13196,15 @@ Index: b/src/calibre/test_build.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/translations/__init__.py
-===================================================================
+diff --git a/src/calibre/translations/__init__.py b/src/calibre/translations/__init__.py
+index bb409a2f36..8b13789179 100644
 --- a/src/calibre/translations/__init__.py
 +++ b/src/calibre/translations/__init__.py
 @@ -1 +1 @@
 -from __future__ import absolute_import, division, print_function, unicode_literals
 +
-Index: b/src/calibre/translations/dynamic.py
-===================================================================
+diff --git a/src/calibre/translations/dynamic.py b/src/calibre/translations/dynamic.py
+index e55e5bbbf2..fb2001d72b 100644
 --- a/src/calibre/translations/dynamic.py
 +++ b/src/calibre/translations/dynamic.py
 @@ -1,4 +1,4 @@
@@ -13213,8 +13213,8 @@ Index: b/src/calibre/translations/dynami
  '''
  Dynamic language lookup of translations for user-visible strings.
  '''
-Index: b/src/calibre/translations/msgfmt.py
-===================================================================
+diff --git a/src/calibre/translations/msgfmt.py b/src/calibre/translations/msgfmt.py
+index 681a1d8482..989ceca5e7 100644
 --- a/src/calibre/translations/msgfmt.py
 +++ b/src/calibre/translations/msgfmt.py
 @@ -2,7 +2,7 @@
@@ -13226,8 +13226,8 @@ Index: b/src/calibre/translations/msgfmt
  
  """Generate binary message catalog from textual translation description.
  
-Index: b/src/calibre/utils/Zeroconf.py
-===================================================================
+diff --git a/src/calibre/utils/Zeroconf.py b/src/calibre/utils/Zeroconf.py
+index ee7157c076..62537988c5 100644
 --- a/src/calibre/utils/Zeroconf.py
 +++ b/src/calibre/utils/Zeroconf.py
 @@ -19,7 +19,7 @@
@@ -13239,8 +13239,8 @@ Index: b/src/calibre/utils/Zeroconf.py
  
  """0.13 update - fix IPv6 support
                   some cleanups in code"""
-Index: b/src/calibre/utils/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/__init__.py b/src/calibre/utils/__init__.py
+index 1f006ac780..8b1eff4899 100644
 --- a/src/calibre/utils/__init__.py
 +++ b/src/calibre/utils/__init__.py
 @@ -1,6 +1,6 @@
@@ -13251,8 +13251,8 @@ Index: b/src/calibre/utils/__init__.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/utils/bibtex.py
-===================================================================
+diff --git a/src/calibre/utils/bibtex.py b/src/calibre/utils/bibtex.py
+index a6cc1ae9f4..5a8c726548 100644
 --- a/src/calibre/utils/bibtex.py
 +++ b/src/calibre/utils/bibtex.py
 @@ -1,4 +1,4 @@
@@ -13261,8 +13261,8 @@ Index: b/src/calibre/utils/bibtex.py
  
  """ Collection of python utility-methodes commonly used by other
      bibliograph packages.
-Index: b/src/calibre/utils/browser.py
-===================================================================
+diff --git a/src/calibre/utils/browser.py b/src/calibre/utils/browser.py
+index 9503da87a1..12f1c6fec9 100644
 --- a/src/calibre/utils/browser.py
 +++ b/src/calibre/utils/browser.py
 @@ -1,7 +1,7 @@
@@ -13274,8 +13274,8 @@ Index: b/src/calibre/utils/browser.py
  
  import copy
  import ssl
-Index: b/src/calibre/utils/certgen.py
-===================================================================
+diff --git a/src/calibre/utils/certgen.py b/src/calibre/utils/certgen.py
+index 681448d408..babfc249ae 100644
 --- a/src/calibre/utils/certgen.py
 +++ b/src/calibre/utils/certgen.py
 @@ -1,6 +1,6 @@
@@ -13286,8 +13286,8 @@ Index: b/src/calibre/utils/certgen.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/chm/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/chm/__init__.py b/src/calibre/utils/chm/__init__.py
+index 20f51ca699..3d329d9152 100644
 --- a/src/calibre/utils/chm/__init__.py
 +++ b/src/calibre/utils/chm/__init__.py
 @@ -11,7 +11,7 @@
@@ -13299,8 +13299,8 @@ Index: b/src/calibre/utils/chm/__init__.
  
  '''
     chm - A package to manipulate CHM files
-Index: b/src/calibre/utils/chm/chm.py
-===================================================================
+diff --git a/src/calibre/utils/chm/chm.py b/src/calibre/utils/chm/chm.py
+index fbcecfd150..4791d90ee8 100644
 --- a/src/calibre/utils/chm/chm.py
 +++ b/src/calibre/utils/chm/chm.py
 @@ -14,7 +14,7 @@
@@ -13312,8 +13312,8 @@ Index: b/src/calibre/utils/chm/chm.py
  
  '''
     chm - A high-level front end for the chmlib python module.
-Index: b/src/calibre/utils/cleantext.py
-===================================================================
+diff --git a/src/calibre/utils/cleantext.py b/src/calibre/utils/cleantext.py
+index 9d873cea22..9b272288ab 100644
 --- a/src/calibre/utils/cleantext.py
 +++ b/src/calibre/utils/cleantext.py
 @@ -1,7 +1,7 @@
@@ -13325,8 +13325,8 @@ Index: b/src/calibre/utils/cleantext.py
  
  import re
  from polyglot.builtins import codepoint_to_chr, map, range, filter
-Index: b/src/calibre/utils/complete.py
-===================================================================
+diff --git a/src/calibre/utils/complete.py b/src/calibre/utils/complete.py
+index 77fcf8fd49..9bfe5e9b19 100644
 --- a/src/calibre/utils/complete.py
 +++ b/src/calibre/utils/complete.py
 @@ -1,6 +1,6 @@
@@ -13337,8 +13337,8 @@ Index: b/src/calibre/utils/complete.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/config.py
-===================================================================
+diff --git a/src/calibre/utils/config.py b/src/calibre/utils/config.py
+index 6c242d8b6f..5be19df88a 100644
 --- a/src/calibre/utils/config.py
 +++ b/src/calibre/utils/config.py
 @@ -1,4 +1,4 @@
@@ -13347,8 +13347,8 @@ Index: b/src/calibre/utils/config.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/utils/config_base.py
-===================================================================
+diff --git a/src/calibre/utils/config_base.py b/src/calibre/utils/config_base.py
+index 1536068415..04e65bd95b 100644
 --- a/src/calibre/utils/config_base.py
 +++ b/src/calibre/utils/config_base.py
 @@ -1,7 +1,7 @@
@@ -13360,8 +13360,8 @@ Index: b/src/calibre/utils/config_base.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/date.py
-===================================================================
+diff --git a/src/calibre/utils/date.py b/src/calibre/utils/date.py
+index b622abd559..3d84d2ee82 100644
 --- a/src/calibre/utils/date.py
 +++ b/src/calibre/utils/date.py
 @@ -1,6 +1,6 @@
@@ -13372,8 +13372,8 @@ Index: b/src/calibre/utils/date.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/dbus_service.py
-===================================================================
+diff --git a/src/calibre/utils/dbus_service.py b/src/calibre/utils/dbus_service.py
+index 2d14506260..feac589e1a 100644
 --- a/src/calibre/utils/dbus_service.py
 +++ b/src/calibre/utils/dbus_service.py
 @@ -1,4 +1,4 @@
@@ -13382,8 +13382,8 @@ Index: b/src/calibre/utils/dbus_service.
  
  # Copyright (C) 2003-2006 Red Hat Inc. <http://www.redhat.com/>
  # Copyright (C) 2003 David Zeuthen
-Index: b/src/calibre/utils/exim.py
-===================================================================
+diff --git a/src/calibre/utils/exim.py b/src/calibre/utils/exim.py
+index a9a9ebc0dd..0e6749c2d6 100644
 --- a/src/calibre/utils/exim.py
 +++ b/src/calibre/utils/exim.py
 @@ -1,7 +1,7 @@
@@ -13395,8 +13395,8 @@ Index: b/src/calibre/utils/exim.py
  
  import os, json, struct, hashlib, sys, errno, tempfile, time, shutil, uuid
  from collections import Counter
-Index: b/src/calibre/utils/file_type_icons.py
-===================================================================
+diff --git a/src/calibre/utils/file_type_icons.py b/src/calibre/utils/file_type_icons.py
+index d6f6912617..afa069bbf1 100644
 --- a/src/calibre/utils/file_type_icons.py
 +++ b/src/calibre/utils/file_type_icons.py
 @@ -2,7 +2,7 @@
@@ -13408,8 +13408,8 @@ Index: b/src/calibre/utils/file_type_ico
  
  EXT_MAP = {
      'default' : 'unknown',
-Index: b/src/calibre/utils/filenames.py
-===================================================================
+diff --git a/src/calibre/utils/filenames.py b/src/calibre/utils/filenames.py
+index 7b322b26c9..8ab1c2a460 100644
 --- a/src/calibre/utils/filenames.py
 +++ b/src/calibre/utils/filenames.py
 @@ -1,4 +1,4 @@
@@ -13418,8 +13418,8 @@ Index: b/src/calibre/utils/filenames.py
  '''
  Make strings safe for use as ASCII filenames, while trying to preserve as much
  meaning as possible.
-Index: b/src/calibre/utils/fonts/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/__init__.py b/src/calibre/utils/fonts/__init__.py
+index a9b056d940..d8edc6064a 100644
 --- a/src/calibre/utils/fonts/__init__.py
 +++ b/src/calibre/utils/fonts/__init__.py
 @@ -1,6 +1,6 @@
@@ -13430,8 +13430,8 @@ Index: b/src/calibre/utils/fonts/__init_
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/free_type.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/free_type.py b/src/calibre/utils/fonts/free_type.py
+index f772244e28..1a62d34652 100644
 --- a/src/calibre/utils/fonts/free_type.py
 +++ b/src/calibre/utils/fonts/free_type.py
 @@ -1,6 +1,6 @@
@@ -13442,8 +13442,8 @@ Index: b/src/calibre/utils/fonts/free_ty
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/metadata.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/metadata.py b/src/calibre/utils/fonts/metadata.py
+index 7386c6dc41..8171702881 100644
 --- a/src/calibre/utils/fonts/metadata.py
 +++ b/src/calibre/utils/fonts/metadata.py
 @@ -1,6 +1,6 @@
@@ -13454,8 +13454,8 @@ Index: b/src/calibre/utils/fonts/metadat
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/scanner.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/scanner.py b/src/calibre/utils/fonts/scanner.py
+index a49591aad0..b7194c54b1 100644
 --- a/src/calibre/utils/fonts/scanner.py
 +++ b/src/calibre/utils/fonts/scanner.py
 @@ -1,6 +1,6 @@
@@ -13466,8 +13466,8 @@ Index: b/src/calibre/utils/fonts/scanner
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/__init__.py b/src/calibre/utils/fonts/sfnt/__init__.py
+index 2bf754bd0c..c37f44c3ed 100644
 --- a/src/calibre/utils/fonts/sfnt/__init__.py
 +++ b/src/calibre/utils/fonts/sfnt/__init__.py
 @@ -1,6 +1,6 @@
@@ -13478,8 +13478,8 @@ Index: b/src/calibre/utils/fonts/sfnt/__
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/cff/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/cff/__init__.py b/src/calibre/utils/fonts/sfnt/cff/__init__.py
+index 2b86b54dc3..3610d3374c 100644
 --- a/src/calibre/utils/fonts/sfnt/cff/__init__.py
 +++ b/src/calibre/utils/fonts/sfnt/cff/__init__.py
 @@ -1,6 +1,6 @@
@@ -13490,8 +13490,8 @@ Index: b/src/calibre/utils/fonts/sfnt/cf
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/cff/constants.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/cff/constants.py b/src/calibre/utils/fonts/sfnt/cff/constants.py
+index e4b4907ad4..8f5e729254 100644
 --- a/src/calibre/utils/fonts/sfnt/cff/constants.py
 +++ b/src/calibre/utils/fonts/sfnt/cff/constants.py
 @@ -1,6 +1,6 @@
@@ -13502,8 +13502,8 @@ Index: b/src/calibre/utils/fonts/sfnt/cf
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/cff/dict_data.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/cff/dict_data.py b/src/calibre/utils/fonts/sfnt/cff/dict_data.py
+index e9ecef3b88..47d1457e55 100644
 --- a/src/calibre/utils/fonts/sfnt/cff/dict_data.py
 +++ b/src/calibre/utils/fonts/sfnt/cff/dict_data.py
 @@ -1,6 +1,6 @@
@@ -13514,8 +13514,8 @@ Index: b/src/calibre/utils/fonts/sfnt/cf
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/cff/table.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/cff/table.py b/src/calibre/utils/fonts/sfnt/cff/table.py
+index 2f653ab59f..1afa3781b3 100644
 --- a/src/calibre/utils/fonts/sfnt/cff/table.py
 +++ b/src/calibre/utils/fonts/sfnt/cff/table.py
 @@ -1,6 +1,6 @@
@@ -13526,8 +13526,8 @@ Index: b/src/calibre/utils/fonts/sfnt/cf
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/cff/writer.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/cff/writer.py b/src/calibre/utils/fonts/sfnt/cff/writer.py
+index b447af68f1..b6add7dc98 100644
 --- a/src/calibre/utils/fonts/sfnt/cff/writer.py
 +++ b/src/calibre/utils/fonts/sfnt/cff/writer.py
 @@ -1,6 +1,6 @@
@@ -13538,8 +13538,8 @@ Index: b/src/calibre/utils/fonts/sfnt/cf
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/cmap.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/cmap.py b/src/calibre/utils/fonts/sfnt/cmap.py
+index d270b313b6..102152ea9b 100644
 --- a/src/calibre/utils/fonts/sfnt/cmap.py
 +++ b/src/calibre/utils/fonts/sfnt/cmap.py
 @@ -1,6 +1,6 @@
@@ -13550,8 +13550,8 @@ Index: b/src/calibre/utils/fonts/sfnt/cm
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/common.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/common.py b/src/calibre/utils/fonts/sfnt/common.py
+index c8c9d4e5c1..46889ebdb6 100644
 --- a/src/calibre/utils/fonts/sfnt/common.py
 +++ b/src/calibre/utils/fonts/sfnt/common.py
 @@ -1,6 +1,6 @@
@@ -13562,8 +13562,8 @@ Index: b/src/calibre/utils/fonts/sfnt/co
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/container.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/container.py b/src/calibre/utils/fonts/sfnt/container.py
+index bfdfddf399..1ed38d63cf 100644
 --- a/src/calibre/utils/fonts/sfnt/container.py
 +++ b/src/calibre/utils/fonts/sfnt/container.py
 @@ -1,7 +1,7 @@
@@ -13575,8 +13575,8 @@ Index: b/src/calibre/utils/fonts/sfnt/co
  
  from collections import OrderedDict
  from io import BytesIO
-Index: b/src/calibre/utils/fonts/sfnt/errors.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/errors.py b/src/calibre/utils/fonts/sfnt/errors.py
+index 7859063f01..0b9bddbeb2 100644
 --- a/src/calibre/utils/fonts/sfnt/errors.py
 +++ b/src/calibre/utils/fonts/sfnt/errors.py
 @@ -1,6 +1,6 @@
@@ -13587,8 +13587,8 @@ Index: b/src/calibre/utils/fonts/sfnt/er
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/glyf.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/glyf.py b/src/calibre/utils/fonts/sfnt/glyf.py
+index 22700b2e1d..8bd5e6b0b7 100644
 --- a/src/calibre/utils/fonts/sfnt/glyf.py
 +++ b/src/calibre/utils/fonts/sfnt/glyf.py
 @@ -1,6 +1,6 @@
@@ -13599,8 +13599,8 @@ Index: b/src/calibre/utils/fonts/sfnt/gl
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/gsub.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/gsub.py b/src/calibre/utils/fonts/sfnt/gsub.py
+index 42f8135ee2..3328979bc4 100644
 --- a/src/calibre/utils/fonts/sfnt/gsub.py
 +++ b/src/calibre/utils/fonts/sfnt/gsub.py
 @@ -1,6 +1,6 @@
@@ -13611,8 +13611,8 @@ Index: b/src/calibre/utils/fonts/sfnt/gs
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/head.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/head.py b/src/calibre/utils/fonts/sfnt/head.py
+index b01c296274..e6807cebcf 100644
 --- a/src/calibre/utils/fonts/sfnt/head.py
 +++ b/src/calibre/utils/fonts/sfnt/head.py
 @@ -1,6 +1,6 @@
@@ -13623,8 +13623,8 @@ Index: b/src/calibre/utils/fonts/sfnt/he
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/kern.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/kern.py b/src/calibre/utils/fonts/sfnt/kern.py
+index 531249d15f..983e49beb3 100644
 --- a/src/calibre/utils/fonts/sfnt/kern.py
 +++ b/src/calibre/utils/fonts/sfnt/kern.py
 @@ -1,6 +1,6 @@
@@ -13635,8 +13635,8 @@ Index: b/src/calibre/utils/fonts/sfnt/ke
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/loca.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/loca.py b/src/calibre/utils/fonts/sfnt/loca.py
+index e5eca29a8d..dee0462015 100644
 --- a/src/calibre/utils/fonts/sfnt/loca.py
 +++ b/src/calibre/utils/fonts/sfnt/loca.py
 @@ -1,6 +1,6 @@
@@ -13647,8 +13647,8 @@ Index: b/src/calibre/utils/fonts/sfnt/lo
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/maxp.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/maxp.py b/src/calibre/utils/fonts/sfnt/maxp.py
+index e5e769e0c1..9d5b69d94b 100644
 --- a/src/calibre/utils/fonts/sfnt/maxp.py
 +++ b/src/calibre/utils/fonts/sfnt/maxp.py
 @@ -1,6 +1,6 @@
@@ -13659,8 +13659,8 @@ Index: b/src/calibre/utils/fonts/sfnt/ma
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/merge.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/merge.py b/src/calibre/utils/fonts/sfnt/merge.py
+index cb0caf6b57..66b61626b5 100644
 --- a/src/calibre/utils/fonts/sfnt/merge.py
 +++ b/src/calibre/utils/fonts/sfnt/merge.py
 @@ -2,7 +2,7 @@
@@ -13672,8 +13672,8 @@ Index: b/src/calibre/utils/fonts/sfnt/me
  
  from collections import OrderedDict
  from functools import partial
-Index: b/src/calibre/utils/fonts/sfnt/metrics.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/metrics.py b/src/calibre/utils/fonts/sfnt/metrics.py
+index 4b397a307b..bdfef6bd3e 100644
 --- a/src/calibre/utils/fonts/sfnt/metrics.py
 +++ b/src/calibre/utils/fonts/sfnt/metrics.py
 @@ -1,6 +1,6 @@
@@ -13684,8 +13684,8 @@ Index: b/src/calibre/utils/fonts/sfnt/me
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/sfnt/subset.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/subset.py b/src/calibre/utils/fonts/sfnt/subset.py
+index 0827d794fa..6652fe4c96 100644
 --- a/src/calibre/utils/fonts/sfnt/subset.py
 +++ b/src/calibre/utils/fonts/sfnt/subset.py
 @@ -1,6 +1,6 @@
@@ -13696,8 +13696,8 @@ Index: b/src/calibre/utils/fonts/sfnt/su
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/utils.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/utils.py b/src/calibre/utils/fonts/utils.py
+index 2e21693b76..8a281f1722 100644
 --- a/src/calibre/utils/fonts/utils.py
 +++ b/src/calibre/utils/fonts/utils.py
 @@ -1,6 +1,6 @@
@@ -13708,8 +13708,8 @@ Index: b/src/calibre/utils/fonts/utils.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/fonts/win_fonts.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/win_fonts.py b/src/calibre/utils/fonts/win_fonts.py
+index 204573a989..9826d2709a 100644
 --- a/src/calibre/utils/fonts/win_fonts.py
 +++ b/src/calibre/utils/fonts/win_fonts.py
 @@ -1,6 +1,6 @@
@@ -13720,8 +13720,8 @@ Index: b/src/calibre/utils/fonts/win_fon
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/formatter.py
-===================================================================
+diff --git a/src/calibre/utils/formatter.py b/src/calibre/utils/formatter.py
+index a82e08c5a9..f3f615a035 100644
 --- a/src/calibre/utils/formatter.py
 +++ b/src/calibre/utils/formatter.py
 @@ -1,4 +1,4 @@
@@ -13730,8 +13730,8 @@ Index: b/src/calibre/utils/formatter.py
  '''
  Created on 23 Sep 2010
  
-Index: b/src/calibre/utils/formatter_functions.py
-===================================================================
+diff --git a/src/calibre/utils/formatter_functions.py b/src/calibre/utils/formatter_functions.py
+index 59c07eaf76..7b0017b92a 100644
 --- a/src/calibre/utils/formatter_functions.py
 +++ b/src/calibre/utils/formatter_functions.py
 @@ -6,7 +6,7 @@ Created on 13 Jan 2011
@@ -13743,8 +13743,8 @@ Index: b/src/calibre/utils/formatter_fun
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/html2text.py
-===================================================================
+diff --git a/src/calibre/utils/html2text.py b/src/calibre/utils/html2text.py
+index 94152be69b..b34f9965ad 100644
 --- a/src/calibre/utils/html2text.py
 +++ b/src/calibre/utils/html2text.py
 @@ -1,7 +1,7 @@
@@ -13756,8 +13756,8 @@ Index: b/src/calibre/utils/html2text.py
  
  
  def html2text(html):
-Index: b/src/calibre/utils/https.py
-===================================================================
+diff --git a/src/calibre/utils/https.py b/src/calibre/utils/https.py
+index a1716a124c..634cc6ba4a 100644
 --- a/src/calibre/utils/https.py
 +++ b/src/calibre/utils/https.py
 @@ -1,6 +1,6 @@
@@ -13768,8 +13768,8 @@ Index: b/src/calibre/utils/https.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/icu.py
-===================================================================
+diff --git a/src/calibre/utils/icu.py b/src/calibre/utils/icu.py
+index 9013b68d85..edb6e6c662 100644
 --- a/src/calibre/utils/icu.py
 +++ b/src/calibre/utils/icu.py
 @@ -1,6 +1,6 @@
@@ -13780,8 +13780,8 @@ Index: b/src/calibre/utils/icu.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/icu_test.py
-===================================================================
+diff --git a/src/calibre/utils/icu_test.py b/src/calibre/utils/icu_test.py
+index 1f7a6c3b17..ba87e155f7 100644
 --- a/src/calibre/utils/icu_test.py
 +++ b/src/calibre/utils/icu_test.py
 @@ -1,6 +1,6 @@
@@ -13792,8 +13792,8 @@ Index: b/src/calibre/utils/icu_test.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/img.py
-===================================================================
+diff --git a/src/calibre/utils/img.py b/src/calibre/utils/img.py
+index 7be7648e68..a1b2ddc9e2 100644
 --- a/src/calibre/utils/img.py
 +++ b/src/calibre/utils/img.py
 @@ -1,7 +1,7 @@
@@ -13805,8 +13805,8 @@ Index: b/src/calibre/utils/img.py
  
  import errno
  import os
-Index: b/src/calibre/utils/imghdr.py
-===================================================================
+diff --git a/src/calibre/utils/imghdr.py b/src/calibre/utils/imghdr.py
+index 57c9abf84f..72221e4939 100644
 --- a/src/calibre/utils/imghdr.py
 +++ b/src/calibre/utils/imghdr.py
 @@ -1,7 +1,7 @@
@@ -13818,8 +13818,8 @@ Index: b/src/calibre/utils/imghdr.py
  
  from struct import unpack, error
  import os
-Index: b/src/calibre/utils/inotify.py
-===================================================================
+diff --git a/src/calibre/utils/inotify.py b/src/calibre/utils/inotify.py
+index 7c84204c86..4d318374d4 100644
 --- a/src/calibre/utils/inotify.py
 +++ b/src/calibre/utils/inotify.py
 @@ -1,6 +1,6 @@
@@ -13830,8 +13830,8 @@ Index: b/src/calibre/utils/inotify.py
  
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/utils/ip_routing.py
-===================================================================
+diff --git a/src/calibre/utils/ip_routing.py b/src/calibre/utils/ip_routing.py
+index 1460de8b5e..0f91f0001d 100644
 --- a/src/calibre/utils/ip_routing.py
 +++ b/src/calibre/utils/ip_routing.py
 @@ -2,7 +2,7 @@
@@ -13843,8 +13843,8 @@ Index: b/src/calibre/utils/ip_routing.py
  import subprocess, re
  from calibre.constants import iswindows, isosx
  
-Index: b/src/calibre/utils/ipc/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/__init__.py b/src/calibre/utils/ipc/__init__.py
+index f1a166209a..a2355fb7e3 100644
 --- a/src/calibre/utils/ipc/__init__.py
 +++ b/src/calibre/utils/ipc/__init__.py
 @@ -1,6 +1,6 @@
@@ -13855,8 +13855,8 @@ Index: b/src/calibre/utils/ipc/__init__.
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/ipc/job.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/job.py b/src/calibre/utils/ipc/job.py
+index 83816bc544..a36de1a276 100644
 --- a/src/calibre/utils/ipc/job.py
 +++ b/src/calibre/utils/ipc/job.py
 @@ -1,6 +1,6 @@
@@ -13867,8 +13867,8 @@ Index: b/src/calibre/utils/ipc/job.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/ipc/launch.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/launch.py b/src/calibre/utils/ipc/launch.py
+index fbf543b880..88b112c4b0 100644
 --- a/src/calibre/utils/ipc/launch.py
 +++ b/src/calibre/utils/ipc/launch.py
 @@ -1,6 +1,6 @@
@@ -13879,8 +13879,8 @@ Index: b/src/calibre/utils/ipc/launch.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/ipc/pool.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/pool.py b/src/calibre/utils/ipc/pool.py
+index 312d10127d..4e4f28afef 100644
 --- a/src/calibre/utils/ipc/pool.py
 +++ b/src/calibre/utils/ipc/pool.py
 @@ -1,6 +1,6 @@
@@ -13891,8 +13891,8 @@ Index: b/src/calibre/utils/ipc/pool.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/ipc/server.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/server.py b/src/calibre/utils/ipc/server.py
+index abd35bb8ef..97a9ba84aa 100644
 --- a/src/calibre/utils/ipc/server.py
 +++ b/src/calibre/utils/ipc/server.py
 @@ -1,6 +1,6 @@
@@ -13903,8 +13903,8 @@ Index: b/src/calibre/utils/ipc/server.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/ipc/simple_worker.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/simple_worker.py b/src/calibre/utils/ipc/simple_worker.py
+index 957e2f9299..91076187e1 100644
 --- a/src/calibre/utils/ipc/simple_worker.py
 +++ b/src/calibre/utils/ipc/simple_worker.py
 @@ -1,6 +1,6 @@
@@ -13915,8 +13915,8 @@ Index: b/src/calibre/utils/ipc/simple_wo
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/ipc/worker.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/worker.py b/src/calibre/utils/ipc/worker.py
+index f095713cc0..4756ca2cc5 100644
 --- a/src/calibre/utils/ipc/worker.py
 +++ b/src/calibre/utils/ipc/worker.py
 @@ -1,6 +1,6 @@
@@ -13927,8 +13927,8 @@ Index: b/src/calibre/utils/ipc/worker.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/iphlpapi.py
-===================================================================
+diff --git a/src/calibre/utils/iphlpapi.py b/src/calibre/utils/iphlpapi.py
+index a125f77d4d..fa62d71bad 100644
 --- a/src/calibre/utils/iphlpapi.py
 +++ b/src/calibre/utils/iphlpapi.py
 @@ -2,7 +2,7 @@
@@ -13940,8 +13940,8 @@ Index: b/src/calibre/utils/iphlpapi.py
  import ctypes
  from ctypes import windll
  from ctypes import wintypes
-Index: b/src/calibre/utils/ipython.py
-===================================================================
+diff --git a/src/calibre/utils/ipython.py b/src/calibre/utils/ipython.py
+index d90b945b20..3b7656dc53 100644
 --- a/src/calibre/utils/ipython.py
 +++ b/src/calibre/utils/ipython.py
 @@ -1,6 +1,6 @@
@@ -13952,8 +13952,8 @@ Index: b/src/calibre/utils/ipython.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/iso8601.py
-===================================================================
+diff --git a/src/calibre/utils/iso8601.py b/src/calibre/utils/iso8601.py
+index 516dc4260d..78d9954206 100644
 --- a/src/calibre/utils/iso8601.py
 +++ b/src/calibre/utils/iso8601.py
 @@ -2,7 +2,7 @@
@@ -13965,8 +13965,8 @@ Index: b/src/calibre/utils/iso8601.py
  from datetime import datetime
  
  from dateutil.tz import tzlocal, tzutc, tzoffset
-Index: b/src/calibre/utils/linux_trash.py
-===================================================================
+diff --git a/src/calibre/utils/linux_trash.py b/src/calibre/utils/linux_trash.py
+index 4c208ed3e4..13bf248b80 100644
 --- a/src/calibre/utils/linux_trash.py
 +++ b/src/calibre/utils/linux_trash.py
 @@ -1,6 +1,6 @@
@@ -13977,8 +13977,8 @@ Index: b/src/calibre/utils/linux_trash.p
  
  # Copyright 2010 Hardcoded Software (http://www.hardcoded.net)
  
-Index: b/src/calibre/utils/localization.py
-===================================================================
+diff --git a/src/calibre/utils/localization.py b/src/calibre/utils/localization.py
+index fa784c9b38..11189f099f 100644
 --- a/src/calibre/utils/localization.py
 +++ b/src/calibre/utils/localization.py
 @@ -1,6 +1,6 @@
@@ -13989,8 +13989,8 @@ Index: b/src/calibre/utils/localization.
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/localunzip.py
-===================================================================
+diff --git a/src/calibre/utils/localunzip.py b/src/calibre/utils/localunzip.py
+index ea4e67eb62..95d6fa485e 100644
 --- a/src/calibre/utils/localunzip.py
 +++ b/src/calibre/utils/localunzip.py
 @@ -1,6 +1,6 @@
@@ -14001,8 +14001,8 @@ Index: b/src/calibre/utils/localunzip.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/lock.py
-===================================================================
+diff --git a/src/calibre/utils/lock.py b/src/calibre/utils/lock.py
+index 4d71754e9f..c1115af6cb 100644
 --- a/src/calibre/utils/lock.py
 +++ b/src/calibre/utils/lock.py
 @@ -2,7 +2,7 @@
@@ -14014,8 +14014,8 @@ Index: b/src/calibre/utils/lock.py
  
  import atexit
  import errno
-Index: b/src/calibre/utils/logging.py
-===================================================================
+diff --git a/src/calibre/utils/logging.py b/src/calibre/utils/logging.py
+index 1f8a5d71a9..e6449caf3f 100644
 --- a/src/calibre/utils/logging.py
 +++ b/src/calibre/utils/logging.py
 @@ -1,4 +1,4 @@
@@ -14024,8 +14024,8 @@ Index: b/src/calibre/utils/logging.py
  __license__ = 'GPL 3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/utils/magick/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/magick/__init__.py b/src/calibre/utils/magick/__init__.py
+index 11d5537216..dcf0f69273 100644
 --- a/src/calibre/utils/magick/__init__.py
 +++ b/src/calibre/utils/magick/__init__.py
 @@ -1,6 +1,6 @@
@@ -14036,8 +14036,8 @@ Index: b/src/calibre/utils/magick/__init
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/magick/draw.py
-===================================================================
+diff --git a/src/calibre/utils/magick/draw.py b/src/calibre/utils/magick/draw.py
+index e741f8dc16..76f8493f5c 100644
 --- a/src/calibre/utils/magick/draw.py
 +++ b/src/calibre/utils/magick/draw.py
 @@ -1,6 +1,6 @@
@@ -14048,8 +14048,8 @@ Index: b/src/calibre/utils/magick/draw.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/magick/legacy.py
-===================================================================
+diff --git a/src/calibre/utils/magick/legacy.py b/src/calibre/utils/magick/legacy.py
+index 97b3270469..a75dbcbc4b 100644
 --- a/src/calibre/utils/magick/legacy.py
 +++ b/src/calibre/utils/magick/legacy.py
 @@ -2,7 +2,7 @@
@@ -14061,8 +14061,8 @@ Index: b/src/calibre/utils/magick/legacy
  import os
  from io import BytesIO
  
-Index: b/src/calibre/utils/matcher.py
-===================================================================
+diff --git a/src/calibre/utils/matcher.py b/src/calibre/utils/matcher.py
+index 813e573105..a91d5a6a39 100644
 --- a/src/calibre/utils/matcher.py
 +++ b/src/calibre/utils/matcher.py
 @@ -1,6 +1,6 @@
@@ -14073,8 +14073,8 @@ Index: b/src/calibre/utils/matcher.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/mdns.py
-===================================================================
+diff --git a/src/calibre/utils/mdns.py b/src/calibre/utils/mdns.py
+index b1435e1d15..a25e3f2d8b 100644
 --- a/src/calibre/utils/mdns.py
 +++ b/src/calibre/utils/mdns.py
 @@ -1,4 +1,4 @@
@@ -14083,8 +14083,8 @@ Index: b/src/calibre/utils/mdns.py
  __license__ = 'GPL 3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/utils/mem.py
-===================================================================
+diff --git a/src/calibre/utils/mem.py b/src/calibre/utils/mem.py
+index 4313c21cb0..672dd54587 100644
 --- a/src/calibre/utils/mem.py
 +++ b/src/calibre/utils/mem.py
 @@ -1,6 +1,6 @@
@@ -14095,8 +14095,8 @@ Index: b/src/calibre/utils/mem.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/monotonic.py
-===================================================================
+diff --git a/src/calibre/utils/monotonic.py b/src/calibre/utils/monotonic.py
+index 9d5840daff..1bb4f3fe72 100644
 --- a/src/calibre/utils/monotonic.py
 +++ b/src/calibre/utils/monotonic.py
 @@ -1,5 +1,5 @@
@@ -14106,8 +14106,8 @@ Index: b/src/calibre/utils/monotonic.py
  
  try:
      from time import monotonic
-Index: b/src/calibre/utils/mreplace.py
-===================================================================
+diff --git a/src/calibre/utils/mreplace.py b/src/calibre/utils/mreplace.py
+index eb2059f0d3..7c0af13730 100644
 --- a/src/calibre/utils/mreplace.py
 +++ b/src/calibre/utils/mreplace.py
 @@ -1,5 +1,5 @@
@@ -14117,8 +14117,8 @@ Index: b/src/calibre/utils/mreplace.py
  __license__   = 'GPL v3'
  __copyright__ = '2010, sengian <sengian1 @ gmail.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/utils/network.py
-===================================================================
+diff --git a/src/calibre/utils/network.py b/src/calibre/utils/network.py
+index 5c808cf754..25d69ef552 100644
 --- a/src/calibre/utils/network.py
 +++ b/src/calibre/utils/network.py
 @@ -2,7 +2,7 @@
@@ -14130,8 +14130,8 @@ Index: b/src/calibre/utils/network.py
  
  from calibre.constants import iswindows, islinux, isbsd
  from calibre.utils.config_base import tweaks
-Index: b/src/calibre/utils/open_with/linux.py
-===================================================================
+diff --git a/src/calibre/utils/open_with/linux.py b/src/calibre/utils/open_with/linux.py
+index c2847ce78f..8e2bd27b36 100644
 --- a/src/calibre/utils/open_with/linux.py
 +++ b/src/calibre/utils/open_with/linux.py
 @@ -1,6 +1,6 @@
@@ -14142,8 +14142,8 @@ Index: b/src/calibre/utils/open_with/lin
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/open_with/osx.py
-===================================================================
+diff --git a/src/calibre/utils/open_with/osx.py b/src/calibre/utils/open_with/osx.py
+index ed8d25c82a..c297f3e37f 100644
 --- a/src/calibre/utils/open_with/osx.py
 +++ b/src/calibre/utils/open_with/osx.py
 @@ -1,6 +1,6 @@
@@ -14154,8 +14154,8 @@ Index: b/src/calibre/utils/open_with/osx
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/open_with/windows.py
-===================================================================
+diff --git a/src/calibre/utils/open_with/windows.py b/src/calibre/utils/open_with/windows.py
+index 81e16fec01..8e8bdafd2a 100644
 --- a/src/calibre/utils/open_with/windows.py
 +++ b/src/calibre/utils/open_with/windows.py
 @@ -1,6 +1,6 @@
@@ -14166,8 +14166,8 @@ Index: b/src/calibre/utils/open_with/win
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/opensearch/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/opensearch/__init__.py b/src/calibre/utils/opensearch/__init__.py
+index 81963d5ac2..b364b9dbac 100644
 --- a/src/calibre/utils/opensearch/__init__.py
 +++ b/src/calibre/utils/opensearch/__init__.py
 @@ -1,4 +1,4 @@
@@ -14176,8 +14176,8 @@ Index: b/src/calibre/utils/opensearch/__
  
  '''
  Based on the OpenSearch Python module by Ed Summers <ehs@pobox.com> from
-Index: b/src/calibre/utils/opensearch/description.py
-===================================================================
+diff --git a/src/calibre/utils/opensearch/description.py b/src/calibre/utils/opensearch/description.py
+index c5f90671ab..68d331114d 100644
 --- a/src/calibre/utils/opensearch/description.py
 +++ b/src/calibre/utils/opensearch/description.py
 @@ -1,5 +1,5 @@
@@ -14187,8 +14187,8 @@ Index: b/src/calibre/utils/opensearch/de
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/utils/opensearch/query.py
-===================================================================
+diff --git a/src/calibre/utils/opensearch/query.py b/src/calibre/utils/opensearch/query.py
+index 786fe22623..643cf5827e 100644
 --- a/src/calibre/utils/opensearch/query.py
 +++ b/src/calibre/utils/opensearch/query.py
 @@ -1,5 +1,5 @@
@@ -14198,8 +14198,8 @@ Index: b/src/calibre/utils/opensearch/qu
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/utils/opensearch/url.py
-===================================================================
+diff --git a/src/calibre/utils/opensearch/url.py b/src/calibre/utils/opensearch/url.py
+index 5d1cb18e90..2e8a23e91c 100644
 --- a/src/calibre/utils/opensearch/url.py
 +++ b/src/calibre/utils/opensearch/url.py
 @@ -1,5 +1,5 @@
@@ -14209,8 +14209,8 @@ Index: b/src/calibre/utils/opensearch/ur
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/utils/ordered_dict.py
-===================================================================
+diff --git a/src/calibre/utils/ordered_dict.py b/src/calibre/utils/ordered_dict.py
+index f3176feeea..47fc1ce803 100644
 --- a/src/calibre/utils/ordered_dict.py
 +++ b/src/calibre/utils/ordered_dict.py
 @@ -1,6 +1,6 @@
@@ -14221,8 +14221,8 @@ Index: b/src/calibre/utils/ordered_dict.
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/podofo/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/podofo/__init__.py b/src/calibre/utils/podofo/__init__.py
+index 56e471b694..92f6286dfb 100644
 --- a/src/calibre/utils/podofo/__init__.py
 +++ b/src/calibre/utils/podofo/__init__.py
 @@ -1,7 +1,7 @@
@@ -14234,8 +14234,8 @@ Index: b/src/calibre/utils/podofo/__init
  
  import os
  import shutil
-Index: b/src/calibre/utils/random_ua.py
-===================================================================
+diff --git a/src/calibre/utils/random_ua.py b/src/calibre/utils/random_ua.py
+index 34755c16b8..e24f51dc74 100644
 --- a/src/calibre/utils/random_ua.py
 +++ b/src/calibre/utils/random_ua.py
 @@ -2,7 +2,7 @@
@@ -14247,8 +14247,8 @@ Index: b/src/calibre/utils/random_ua.py
  
  import json
  import random
-Index: b/src/calibre/utils/rapydscript.py
-===================================================================
+diff --git a/src/calibre/utils/rapydscript.py b/src/calibre/utils/rapydscript.py
+index 0acc82ed96..e4a20c87c8 100644
 --- a/src/calibre/utils/rapydscript.py
 +++ b/src/calibre/utils/rapydscript.py
 @@ -1,7 +1,7 @@
@@ -14260,8 +14260,8 @@ Index: b/src/calibre/utils/rapydscript.p
  
  import errno
  import json
-Index: b/src/calibre/utils/recycle_bin.py
-===================================================================
+diff --git a/src/calibre/utils/recycle_bin.py b/src/calibre/utils/recycle_bin.py
+index 5119a9c74c..923a51920f 100644
 --- a/src/calibre/utils/recycle_bin.py
 +++ b/src/calibre/utils/recycle_bin.py
 @@ -1,6 +1,6 @@
@@ -14272,8 +14272,8 @@ Index: b/src/calibre/utils/recycle_bin.p
  
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/resources.py
-===================================================================
+diff --git a/src/calibre/utils/resources.py b/src/calibre/utils/resources.py
+index 7062db6b10..3b594c896a 100644
 --- a/src/calibre/utils/resources.py
 +++ b/src/calibre/utils/resources.py
 @@ -1,6 +1,6 @@
@@ -14284,8 +14284,8 @@ Index: b/src/calibre/utils/resources.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/run_tests.py
-===================================================================
+diff --git a/src/calibre/utils/run_tests.py b/src/calibre/utils/run_tests.py
+index b75896f753..9cf8689141 100644
 --- a/src/calibre/utils/run_tests.py
 +++ b/src/calibre/utils/run_tests.py
 @@ -2,7 +2,7 @@
@@ -14297,8 +14297,8 @@ Index: b/src/calibre/utils/run_tests.py
  import unittest, functools, os, importlib, zipfile
  from calibre.utils.monotonic import monotonic
  
-Index: b/src/calibre/utils/search_query_parser.py
-===================================================================
+diff --git a/src/calibre/utils/search_query_parser.py b/src/calibre/utils/search_query_parser.py
+index 38f53cc87c..3dc68f6580 100644
 --- a/src/calibre/utils/search_query_parser.py
 +++ b/src/calibre/utils/search_query_parser.py
 @@ -1,6 +1,6 @@
@@ -14309,8 +14309,8 @@ Index: b/src/calibre/utils/search_query_
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
-Index: b/src/calibre/utils/search_query_parser_test.py
-===================================================================
+diff --git a/src/calibre/utils/search_query_parser_test.py b/src/calibre/utils/search_query_parser_test.py
+index 36df945ee9..b204e369e1 100644
 --- a/src/calibre/utils/search_query_parser_test.py
 +++ b/src/calibre/utils/search_query_parser_test.py
 @@ -2,7 +2,7 @@
@@ -14322,8 +14322,8 @@ Index: b/src/calibre/utils/search_query_
  
  import operator
  import unittest
-Index: b/src/calibre/utils/serialize.py
-===================================================================
+diff --git a/src/calibre/utils/serialize.py b/src/calibre/utils/serialize.py
+index 692d78eac8..1f9e0b38be 100644
 --- a/src/calibre/utils/serialize.py
 +++ b/src/calibre/utils/serialize.py
 @@ -2,7 +2,7 @@
@@ -14335,8 +14335,8 @@ Index: b/src/calibre/utils/serialize.py
  
  from polyglot.builtins import unicode_type
  from calibre.constants import ispy3
-Index: b/src/calibre/utils/shared_file.py
-===================================================================
+diff --git a/src/calibre/utils/shared_file.py b/src/calibre/utils/shared_file.py
+index e1fef31243..44aac391bf 100644
 --- a/src/calibre/utils/shared_file.py
 +++ b/src/calibre/utils/shared_file.py
 @@ -1,6 +1,6 @@
@@ -14347,8 +14347,8 @@ Index: b/src/calibre/utils/shared_file.p
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/short_uuid.py
-===================================================================
+diff --git a/src/calibre/utils/short_uuid.py b/src/calibre/utils/short_uuid.py
+index f0b5a7e31d..345ddb2647 100644
 --- a/src/calibre/utils/short_uuid.py
 +++ b/src/calibre/utils/short_uuid.py
 @@ -1,7 +1,7 @@
@@ -14360,8 +14360,8 @@ Index: b/src/calibre/utils/short_uuid.py
  
  '''
  Generate UUID encoded using a user specified alphabet.
-Index: b/src/calibre/utils/smartypants.py
-===================================================================
+diff --git a/src/calibre/utils/smartypants.py b/src/calibre/utils/smartypants.py
+index dc4ad4ec90..eaf548f4f6 100644
 --- a/src/calibre/utils/smartypants.py
 +++ b/src/calibre/utils/smartypants.py
 @@ -1,7 +1,7 @@
@@ -14373,8 +14373,8 @@ Index: b/src/calibre/utils/smartypants.p
  
  __author__ = "Chad Miller <smartypantspy@chad.org>, Kovid Goyal <kovid at kovidgoyal.net>"
  __description__ = "Smart-quotes, smart-ellipses, and smart-dashes for weblog entries in pyblosxom"
-Index: b/src/calibre/utils/smtp.py
-===================================================================
+diff --git a/src/calibre/utils/smtp.py b/src/calibre/utils/smtp.py
+index 4dd11eca54..f945f361c9 100644
 --- a/src/calibre/utils/smtp.py
 +++ b/src/calibre/utils/smtp.py
 @@ -1,4 +1,4 @@
@@ -14383,8 +14383,8 @@ Index: b/src/calibre/utils/smtp.py
  
  __license__ = 'GPL 3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/smtplib.py
-===================================================================
+diff --git a/src/calibre/utils/smtplib.py b/src/calibre/utils/smtplib.py
+index 25029dedbd..437519b8ac 100644
 --- a/src/calibre/utils/smtplib.py
 +++ b/src/calibre/utils/smtplib.py
 @@ -1,5 +1,5 @@
@@ -14394,8 +14394,8 @@ Index: b/src/calibre/utils/smtplib.py
  
  '''SMTP/ESMTP client class.
  
-Index: b/src/calibre/utils/socket_inheritance.py
-===================================================================
+diff --git a/src/calibre/utils/socket_inheritance.py b/src/calibre/utils/socket_inheritance.py
+index 5af4ce7a92..649f647229 100644
 --- a/src/calibre/utils/socket_inheritance.py
 +++ b/src/calibre/utils/socket_inheritance.py
 @@ -1,6 +1,6 @@
@@ -14406,8 +14406,8 @@ Index: b/src/calibre/utils/socket_inheri
  
  '''
  Created on 29 Nov 2013
-Index: b/src/calibre/utils/speedups.py
-===================================================================
+diff --git a/src/calibre/utils/speedups.py b/src/calibre/utils/speedups.py
+index 0786456503..a8874cde5f 100644
 --- a/src/calibre/utils/speedups.py
 +++ b/src/calibre/utils/speedups.py
 @@ -2,7 +2,7 @@
@@ -14419,8 +14419,8 @@ Index: b/src/calibre/utils/speedups.py
  
  import os
  from polyglot.builtins import range, unicode_type
-Index: b/src/calibre/utils/spell/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/spell/__init__.py b/src/calibre/utils/spell/__init__.py
+index 69376f9ebd..e4102b4b10 100644
 --- a/src/calibre/utils/spell/__init__.py
 +++ b/src/calibre/utils/spell/__init__.py
 @@ -1,6 +1,6 @@
@@ -14431,8 +14431,8 @@ Index: b/src/calibre/utils/spell/__init_
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/tdir_in_cache.py
-===================================================================
+diff --git a/src/calibre/utils/tdir_in_cache.py b/src/calibre/utils/tdir_in_cache.py
+index a5bb58293b..d297022486 100644
 --- a/src/calibre/utils/tdir_in_cache.py
 +++ b/src/calibre/utils/tdir_in_cache.py
 @@ -2,7 +2,7 @@
@@ -14444,8 +14444,8 @@ Index: b/src/calibre/utils/tdir_in_cache
  
  import atexit
  import errno
-Index: b/src/calibre/utils/terminal.py
-===================================================================
+diff --git a/src/calibre/utils/terminal.py b/src/calibre/utils/terminal.py
+index a640c573eb..d945da9e56 100644
 --- a/src/calibre/utils/terminal.py
 +++ b/src/calibre/utils/terminal.py
 @@ -1,6 +1,6 @@
@@ -14456,8 +14456,8 @@ Index: b/src/calibre/utils/terminal.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/test_lock.py
-===================================================================
+diff --git a/src/calibre/utils/test_lock.py b/src/calibre/utils/test_lock.py
+index 6f6a2def5e..625bd431a8 100644
 --- a/src/calibre/utils/test_lock.py
 +++ b/src/calibre/utils/test_lock.py
 @@ -2,7 +2,7 @@
@@ -14469,8 +14469,8 @@ Index: b/src/calibre/utils/test_lock.py
  
  import os
  import shutil
-Index: b/src/calibre/utils/text2int.py
-===================================================================
+diff --git a/src/calibre/utils/text2int.py b/src/calibre/utils/text2int.py
+index 1aa70916d4..27c3061b90 100644
 --- a/src/calibre/utils/text2int.py
 +++ b/src/calibre/utils/text2int.py
 @@ -1,6 +1,6 @@
@@ -14481,8 +14481,8 @@ Index: b/src/calibre/utils/text2int.py
  
  __author__ = "stackoverflow community"
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/utils/threadpool.py
-===================================================================
+diff --git a/src/calibre/utils/threadpool.py b/src/calibre/utils/threadpool.py
+index 173009d33f..4eed2b8b8b 100644
 --- a/src/calibre/utils/threadpool.py
 +++ b/src/calibre/utils/threadpool.py
 @@ -1,4 +1,4 @@
@@ -14491,8 +14491,8 @@ Index: b/src/calibre/utils/threadpool.py
  
  """Easy to use object-oriented thread pool framework.
  
-Index: b/src/calibre/utils/titlecase.py
-===================================================================
+diff --git a/src/calibre/utils/titlecase.py b/src/calibre/utils/titlecase.py
+index fec245c494..04544a4dcd 100644
 --- a/src/calibre/utils/titlecase.py
 +++ b/src/calibre/utils/titlecase.py
 @@ -1,6 +1,6 @@
@@ -14503,8 +14503,8 @@ Index: b/src/calibre/utils/titlecase.py
  
  """
  Original Perl version by: John Gruber https://daringfireball.net/ 10 May 2008
-Index: b/src/calibre/utils/unicode_getpass.py
-===================================================================
+diff --git a/src/calibre/utils/unicode_getpass.py b/src/calibre/utils/unicode_getpass.py
+index d1245096f5..2c36ca9968 100644
 --- a/src/calibre/utils/unicode_getpass.py
 +++ b/src/calibre/utils/unicode_getpass.py
 @@ -2,7 +2,7 @@
@@ -14516,8 +14516,8 @@ Index: b/src/calibre/utils/unicode_getpa
  
  import sys
  
-Index: b/src/calibre/utils/unicode_names.py
-===================================================================
+diff --git a/src/calibre/utils/unicode_names.py b/src/calibre/utils/unicode_names.py
+index f6e4e42f9f..443e07f0b2 100644
 --- a/src/calibre/utils/unicode_names.py
 +++ b/src/calibre/utils/unicode_names.py
 @@ -2,7 +2,7 @@
@@ -14529,8 +14529,8 @@ Index: b/src/calibre/utils/unicode_names
  
  from collections import defaultdict
  
-Index: b/src/calibre/utils/unrar.py
-===================================================================
+diff --git a/src/calibre/utils/unrar.py b/src/calibre/utils/unrar.py
+index 9dc3d6d42a..b248de03e0 100644
 --- a/src/calibre/utils/unrar.py
 +++ b/src/calibre/utils/unrar.py
 @@ -1,6 +1,6 @@
@@ -14541,8 +14541,8 @@ Index: b/src/calibre/utils/unrar.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/unsmarten.py
-===================================================================
+diff --git a/src/calibre/utils/unsmarten.py b/src/calibre/utils/unsmarten.py
+index 10cf0bdfc0..b9b460e266 100644
 --- a/src/calibre/utils/unsmarten.py
 +++ b/src/calibre/utils/unsmarten.py
 @@ -1,5 +1,5 @@
@@ -14552,8 +14552,8 @@ Index: b/src/calibre/utils/unsmarten.py
  
  
  __license__ = 'GPL 3'
-Index: b/src/calibre/utils/windows/wintest.py
-===================================================================
+diff --git a/src/calibre/utils/windows/wintest.py b/src/calibre/utils/windows/wintest.py
+index 142cb7361e..907ba88501 100644
 --- a/src/calibre/utils/windows/wintest.py
 +++ b/src/calibre/utils/windows/wintest.py
 @@ -2,7 +2,7 @@
@@ -14565,8 +14565,8 @@ Index: b/src/calibre/utils/windows/winte
  
  import os
  import unittest
-Index: b/src/calibre/utils/winreg/dde.py
-===================================================================
+diff --git a/src/calibre/utils/winreg/dde.py b/src/calibre/utils/winreg/dde.py
+index d3806be481..fb5a399cb6 100644
 --- a/src/calibre/utils/winreg/dde.py
 +++ b/src/calibre/utils/winreg/dde.py
 @@ -1,6 +1,6 @@
@@ -14577,8 +14577,8 @@ Index: b/src/calibre/utils/winreg/dde.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/winreg/default_programs.py
-===================================================================
+diff --git a/src/calibre/utils/winreg/default_programs.py b/src/calibre/utils/winreg/default_programs.py
+index f597d8c36b..55b55c0665 100644
 --- a/src/calibre/utils/winreg/default_programs.py
 +++ b/src/calibre/utils/winreg/default_programs.py
 @@ -1,6 +1,6 @@
@@ -14589,8 +14589,8 @@ Index: b/src/calibre/utils/winreg/defaul
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/winreg/lib.py
-===================================================================
+diff --git a/src/calibre/utils/winreg/lib.py b/src/calibre/utils/winreg/lib.py
+index 1295297dea..71298b3e94 100644
 --- a/src/calibre/utils/winreg/lib.py
 +++ b/src/calibre/utils/winreg/lib.py
 @@ -1,6 +1,6 @@
@@ -14601,8 +14601,8 @@ Index: b/src/calibre/utils/winreg/lib.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/wmf/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/wmf/__init__.py b/src/calibre/utils/wmf/__init__.py
+index 3b2e3a7da4..65c0e05acd 100644
 --- a/src/calibre/utils/wmf/__init__.py
 +++ b/src/calibre/utils/wmf/__init__.py
 @@ -1,6 +1,6 @@
@@ -14613,8 +14613,8 @@ Index: b/src/calibre/utils/wmf/__init__.
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/wmf/emf.py
-===================================================================
+diff --git a/src/calibre/utils/wmf/emf.py b/src/calibre/utils/wmf/emf.py
+index 3fec5acd01..575785eb22 100644
 --- a/src/calibre/utils/wmf/emf.py
 +++ b/src/calibre/utils/wmf/emf.py
 @@ -1,6 +1,6 @@
@@ -14625,8 +14625,8 @@ Index: b/src/calibre/utils/wmf/emf.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2013, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/utils/wmf/parse.py
-===================================================================
+diff --git a/src/calibre/utils/wmf/parse.py b/src/calibre/utils/wmf/parse.py
+index 85fdfd8754..e77018d0f7 100644
 --- a/src/calibre/utils/wmf/parse.py
 +++ b/src/calibre/utils/wmf/parse.py
 @@ -1,6 +1,6 @@
@@ -14637,8 +14637,8 @@ Index: b/src/calibre/utils/wmf/parse.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2011, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/utils/wordcount.py
-===================================================================
+diff --git a/src/calibre/utils/wordcount.py b/src/calibre/utils/wordcount.py
+index 6afa979ebd..1efb61ba38 100644
 --- a/src/calibre/utils/wordcount.py
 +++ b/src/calibre/utils/wordcount.py
 @@ -1,7 +1,7 @@
@@ -14650,8 +14650,8 @@ Index: b/src/calibre/utils/wordcount.py
  
  """
  Get word, character, and Asian character counts
-Index: b/src/calibre/utils/zipfile.py
-===================================================================
+diff --git a/src/calibre/utils/zipfile.py b/src/calibre/utils/zipfile.py
+index 93034cbcba..34172cf0b0 100644
 --- a/src/calibre/utils/zipfile.py
 +++ b/src/calibre/utils/zipfile.py
 @@ -1,4 +1,4 @@
@@ -14660,8 +14660,8 @@ Index: b/src/calibre/utils/zipfile.py
  """
  Read and write ZIP files. Modified by Kovid Goyal to support replacing files in
  a zip archive, detecting filename encoding, updating zip files, etc.
-Index: b/src/calibre/web/__init__.py
-===================================================================
+diff --git a/src/calibre/web/__init__.py b/src/calibre/web/__init__.py
+index 9d0db56732..5a29c44bd1 100644
 --- a/src/calibre/web/__init__.py
 +++ b/src/calibre/web/__init__.py
 @@ -1,4 +1,4 @@
@@ -14670,8 +14670,8 @@ Index: b/src/calibre/web/__init__.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/web/feeds/__init__.py
-===================================================================
+diff --git a/src/calibre/web/feeds/__init__.py b/src/calibre/web/feeds/__init__.py
+index 02ce6cce46..88fc1dc822 100644
 --- a/src/calibre/web/feeds/__init__.py
 +++ b/src/calibre/web/feeds/__init__.py
 @@ -1,6 +1,6 @@
@@ -14682,8 +14682,8 @@ Index: b/src/calibre/web/feeds/__init__.
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  '''
-Index: b/src/calibre/web/feeds/news.py
-===================================================================
+diff --git a/src/calibre/web/feeds/news.py b/src/calibre/web/feeds/news.py
+index 7410ea022c..c57c68c536 100644
 --- a/src/calibre/web/feeds/news.py
 +++ b/src/calibre/web/feeds/news.py
 @@ -1,4 +1,4 @@
@@ -14692,8 +14692,8 @@ Index: b/src/calibre/web/feeds/news.py
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  '''
-Index: b/src/calibre/web/feeds/recipes/__init__.py
-===================================================================
+diff --git a/src/calibre/web/feeds/recipes/__init__.py b/src/calibre/web/feeds/recipes/__init__.py
+index eec8c12524..48277847da 100644
 --- a/src/calibre/web/feeds/recipes/__init__.py
 +++ b/src/calibre/web/feeds/recipes/__init__.py
 @@ -1,5 +1,5 @@
@@ -14703,8 +14703,8 @@ Index: b/src/calibre/web/feeds/recipes/_
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  '''
-Index: b/src/calibre/web/feeds/recipes/collection.py
-===================================================================
+diff --git a/src/calibre/web/feeds/recipes/collection.py b/src/calibre/web/feeds/recipes/collection.py
+index 68f2ea419f..6fa17973a2 100644
 --- a/src/calibre/web/feeds/recipes/collection.py
 +++ b/src/calibre/web/feeds/recipes/collection.py
 @@ -1,6 +1,6 @@
@@ -14715,8 +14715,8 @@ Index: b/src/calibre/web/feeds/recipes/c
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/web/feeds/recipes/model.py
-===================================================================
+diff --git a/src/calibre/web/feeds/recipes/model.py b/src/calibre/web/feeds/recipes/model.py
+index d362bec6f0..3db2bc31fe 100644
 --- a/src/calibre/web/feeds/recipes/model.py
 +++ b/src/calibre/web/feeds/recipes/model.py
 @@ -1,6 +1,6 @@
@@ -14727,8 +14727,8 @@ Index: b/src/calibre/web/feeds/recipes/m
  
  __license__   = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
-Index: b/src/calibre/web/feeds/templates.py
-===================================================================
+diff --git a/src/calibre/web/feeds/templates.py b/src/calibre/web/feeds/templates.py
+index 1c40fc64f3..94815080a3 100644
 --- a/src/calibre/web/feeds/templates.py
 +++ b/src/calibre/web/feeds/templates.py
 @@ -1,5 +1,5 @@
@@ -14738,8 +14738,8 @@ Index: b/src/calibre/web/feeds/templates
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/web/fetch/__init__.py
-===================================================================
+diff --git a/src/calibre/web/fetch/__init__.py b/src/calibre/web/fetch/__init__.py
+index 6e201b0e36..9d7bde35f7 100644
 --- a/src/calibre/web/fetch/__init__.py
 +++ b/src/calibre/web/fetch/__init__.py
 @@ -1,3 +1,3 @@
@@ -14747,8 +14747,8 @@ Index: b/src/calibre/web/fetch/__init__.
 +
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/web/fetch/simple.py
-===================================================================
+diff --git a/src/calibre/web/fetch/simple.py b/src/calibre/web/fetch/simple.py
+index 6a28d71d2e..606eb1e29b 100644
 --- a/src/calibre/web/fetch/simple.py
 +++ b/src/calibre/web/fetch/simple.py
 @@ -1,5 +1,5 @@
@@ -14758,8 +14758,8 @@ Index: b/src/calibre/web/fetch/simple.py
  
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre/web/fetch/utils.py
-===================================================================
+diff --git a/src/calibre/web/fetch/utils.py b/src/calibre/web/fetch/utils.py
+index 1680103598..a3e2068693 100644
 --- a/src/calibre/web/fetch/utils.py
 +++ b/src/calibre/web/fetch/utils.py
 @@ -2,7 +2,7 @@
@@ -14771,8 +14771,8 @@ Index: b/src/calibre/web/fetch/utils.py
  from calibre.utils.img import image_from_data, scale_image, image_to_data, blend_on_canvas
  
  
-Index: b/src/calibre_lzma/__init__.py
-===================================================================
+diff --git a/src/calibre_lzma/__init__.py b/src/calibre_lzma/__init__.py
+index cbf4297d76..437c828c1d 100644
 --- a/src/calibre_lzma/__init__.py
 +++ b/src/calibre_lzma/__init__.py
 @@ -1,6 +1,6 @@
@@ -14783,8 +14783,8 @@ Index: b/src/calibre_lzma/__init__.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre_lzma/errors.py
-===================================================================
+diff --git a/src/calibre_lzma/errors.py b/src/calibre_lzma/errors.py
+index f07f46b2a4..d81cfff05f 100644
 --- a/src/calibre_lzma/errors.py
 +++ b/src/calibre_lzma/errors.py
 @@ -1,6 +1,6 @@
@@ -14795,8 +14795,8 @@ Index: b/src/calibre_lzma/errors.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre_lzma/lzma1.py
-===================================================================
+diff --git a/src/calibre_lzma/lzma1.py b/src/calibre_lzma/lzma1.py
+index 1d11d9596c..8648211f28 100644
 --- a/src/calibre_lzma/lzma1.py
 +++ b/src/calibre_lzma/lzma1.py
 @@ -1,6 +1,6 @@
@@ -14807,8 +14807,8 @@ Index: b/src/calibre_lzma/lzma1.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/calibre_lzma/xz.py
-===================================================================
+diff --git a/src/calibre_lzma/xz.py b/src/calibre_lzma/xz.py
+index 73227bddc8..ab07098400 100644
 --- a/src/calibre_lzma/xz.py
 +++ b/src/calibre_lzma/xz.py
 @@ -1,6 +1,6 @@
@@ -14819,8 +14819,8 @@ Index: b/src/calibre_lzma/xz.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/css_selectors/__init__.py
-===================================================================
+diff --git a/src/css_selectors/__init__.py b/src/css_selectors/__init__.py
+index d54aa48073..88ce09a151 100644
 --- a/src/css_selectors/__init__.py
 +++ b/src/css_selectors/__init__.py
 @@ -1,6 +1,6 @@
@@ -14831,8 +14831,8 @@ Index: b/src/css_selectors/__init__.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/css_selectors/errors.py
-===================================================================
+diff --git a/src/css_selectors/errors.py b/src/css_selectors/errors.py
+index c49a71fbcc..f7293cb8c3 100644
 --- a/src/css_selectors/errors.py
 +++ b/src/css_selectors/errors.py
 @@ -1,6 +1,6 @@
@@ -14843,8 +14843,8 @@ Index: b/src/css_selectors/errors.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/css_selectors/ordered_set.py
-===================================================================
+diff --git a/src/css_selectors/ordered_set.py b/src/css_selectors/ordered_set.py
+index 7a6f9e2ce5..369d3e122d 100644
 --- a/src/css_selectors/ordered_set.py
 +++ b/src/css_selectors/ordered_set.py
 @@ -1,6 +1,6 @@
@@ -14855,8 +14855,8 @@ Index: b/src/css_selectors/ordered_set.p
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/css_selectors/select.py
-===================================================================
+diff --git a/src/css_selectors/select.py b/src/css_selectors/select.py
+index 0ee4471737..707fadab69 100644
 --- a/src/css_selectors/select.py
 +++ b/src/css_selectors/select.py
 @@ -1,6 +1,6 @@
@@ -14867,8 +14867,8 @@ Index: b/src/css_selectors/select.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/css_selectors/tests.py
-===================================================================
+diff --git a/src/css_selectors/tests.py b/src/css_selectors/tests.py
+index 8a80fc6227..c06cc8737e 100644
 --- a/src/css_selectors/tests.py
 +++ b/src/css_selectors/tests.py
 @@ -1,6 +1,6 @@
@@ -14879,15 +14879,15 @@ Index: b/src/css_selectors/tests.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/odf/__init__.py
-===================================================================
+diff --git a/src/odf/__init__.py b/src/odf/__init__.py
+index d61b93c279..8b13789179 100644
 --- a/src/odf/__init__.py
 +++ b/src/odf/__init__.py
 @@ -1 +1 @@
 -from __future__ import print_function, unicode_literals, absolute_import, division
 +
-Index: b/src/odf/anim.py
-===================================================================
+diff --git a/src/odf/anim.py b/src/odf/anim.py
+index 08b04e6650..8d039950f1 100644
 --- a/src/odf/anim.py
 +++ b/src/odf/anim.py
 @@ -18,7 +18,7 @@
@@ -14899,8 +14899,8 @@ Index: b/src/odf/anim.py
  from .namespaces import ANIMNS
  from .element import Element
  
-Index: b/src/odf/attrconverters.py
-===================================================================
+diff --git a/src/odf/attrconverters.py b/src/odf/attrconverters.py
+index 6567bf2ae5..92e912340b 100644
 --- a/src/odf/attrconverters.py
 +++ b/src/odf/attrconverters.py
 @@ -17,7 +17,7 @@
@@ -14912,8 +14912,8 @@ Index: b/src/odf/attrconverters.py
  import re
  
  from .namespaces import (
-Index: b/src/odf/chart.py
-===================================================================
+diff --git a/src/odf/chart.py b/src/odf/chart.py
+index 28dc3ddc70..064aa8b768 100644
 --- a/src/odf/chart.py
 +++ b/src/odf/chart.py
 @@ -18,7 +18,7 @@
@@ -14925,8 +14925,8 @@ Index: b/src/odf/chart.py
  from .namespaces import CHARTNS
  from .element import Element
  
-Index: b/src/odf/config.py
-===================================================================
+diff --git a/src/odf/config.py b/src/odf/config.py
+index be6f4f7837..d938cb2320 100644
 --- a/src/odf/config.py
 +++ b/src/odf/config.py
 @@ -18,7 +18,7 @@
@@ -14938,8 +14938,8 @@ Index: b/src/odf/config.py
  from .namespaces import CONFIGNS
  from .element import Element
  
-Index: b/src/odf/dc.py
-===================================================================
+diff --git a/src/odf/dc.py b/src/odf/dc.py
+index 26b5bc8b66..55d30e448d 100644
 --- a/src/odf/dc.py
 +++ b/src/odf/dc.py
 @@ -18,7 +18,7 @@
@@ -14951,8 +14951,8 @@ Index: b/src/odf/dc.py
  from .namespaces import DCNS
  from .element import Element
  
-Index: b/src/odf/dr3d.py
-===================================================================
+diff --git a/src/odf/dr3d.py b/src/odf/dr3d.py
+index b59d6236a8..c60373693a 100644
 --- a/src/odf/dr3d.py
 +++ b/src/odf/dr3d.py
 @@ -18,7 +18,7 @@
@@ -14964,8 +14964,8 @@ Index: b/src/odf/dr3d.py
  from .namespaces import DR3DNS
  from .draw import StyleRefElement
  
-Index: b/src/odf/draw.py
-===================================================================
+diff --git a/src/odf/draw.py b/src/odf/draw.py
+index a194c76b59..ed1def0f2c 100644
 --- a/src/odf/draw.py
 +++ b/src/odf/draw.py
 @@ -18,7 +18,7 @@
@@ -14977,8 +14977,8 @@ Index: b/src/odf/draw.py
  from .namespaces import DRAWNS, STYLENS, PRESENTATIONNS
  from .element import Element
  
-Index: b/src/odf/easyliststyle.py
-===================================================================
+diff --git a/src/odf/easyliststyle.py b/src/odf/easyliststyle.py
+index 2f640e850e..4fe51a81b5 100644
 --- a/src/odf/easyliststyle.py
 +++ b/src/odf/easyliststyle.py
 @@ -19,7 +19,7 @@
@@ -14990,8 +14990,8 @@ Index: b/src/odf/easyliststyle.py
  import re
  from .style import ListLevelProperties
  from .text import ListStyle,ListLevelStyleNumber,ListLevelStyleBullet
-Index: b/src/odf/element.py
-===================================================================
+diff --git a/src/odf/element.py b/src/odf/element.py
+index 66083632ce..5a3e2c8de6 100644
 --- a/src/odf/element.py
 +++ b/src/odf/element.py
 @@ -22,7 +22,7 @@
@@ -15003,8 +15003,8 @@ Index: b/src/odf/element.py
  import xml.dom
  from xml.dom.minicompat import defproperty, EmptyNodeList
  from .namespaces import nsdict
-Index: b/src/odf/elementtypes.py
-===================================================================
+diff --git a/src/odf/elementtypes.py b/src/odf/elementtypes.py
+index 36fbb592e8..f6997abe1e 100644
 --- a/src/odf/elementtypes.py
 +++ b/src/odf/elementtypes.py
 @@ -19,7 +19,7 @@
@@ -15016,8 +15016,8 @@ Index: b/src/odf/elementtypes.py
  from .namespaces import (
      ANIMNS, CHARTNS, DR3DNS, DRAWNS, FORMNS, MANIFESTNS, METANS, NUMBERNS, OFFICENS,
      PRESENTATIONNS, SCRIPTNS, STYLENS, SVGNS, TABLENS, TEXTNS
-Index: b/src/odf/form.py
-===================================================================
+diff --git a/src/odf/form.py b/src/odf/form.py
+index 98aada38f9..48544e61c8 100644
 --- a/src/odf/form.py
 +++ b/src/odf/form.py
 @@ -18,7 +18,7 @@
@@ -15029,8 +15029,8 @@ Index: b/src/odf/form.py
  from .namespaces import FORMNS
  from .element import Element
  
-Index: b/src/odf/grammar.py
-===================================================================
+diff --git a/src/odf/grammar.py b/src/odf/grammar.py
+index 4548c529d2..d5c8b9b73f 100644
 --- a/src/odf/grammar.py
 +++ b/src/odf/grammar.py
 @@ -18,7 +18,7 @@
@@ -15042,8 +15042,8 @@ Index: b/src/odf/grammar.py
  __doc__=""" In principle the OpenDocument schema converted to python structures.
  Currently it contains the legal child elements of a given element.
  To be used for validation check in the API
-Index: b/src/odf/load.py
-===================================================================
+diff --git a/src/odf/load.py b/src/odf/load.py
+index f8551ae356..76c7920a0b 100644
 --- a/src/odf/load.py
 +++ b/src/odf/load.py
 @@ -24,7 +24,7 @@
@@ -15055,8 +15055,8 @@ Index: b/src/odf/load.py
  from xml.sax import handler
  from .element import Element
  from .namespaces import OFFICENS
-Index: b/src/odf/manifest.py
-===================================================================
+diff --git a/src/odf/manifest.py b/src/odf/manifest.py
+index e1e8d450ef..6bfc946c77 100644
 --- a/src/odf/manifest.py
 +++ b/src/odf/manifest.py
 @@ -20,7 +20,7 @@
@@ -15068,8 +15068,8 @@ Index: b/src/odf/manifest.py
  from .namespaces import MANIFESTNS
  from .element import Element
  
-Index: b/src/odf/math.py
-===================================================================
+diff --git a/src/odf/math.py b/src/odf/math.py
+index 7f337633e7..98dd3f2ca0 100644
 --- a/src/odf/math.py
 +++ b/src/odf/math.py
 @@ -18,7 +18,7 @@
@@ -15081,8 +15081,8 @@ Index: b/src/odf/math.py
  from .namespaces import MATHNS
  from .element import Element
  
-Index: b/src/odf/meta.py
-===================================================================
+diff --git a/src/odf/meta.py b/src/odf/meta.py
+index 785055c782..1ab6bf1fa9 100644
 --- a/src/odf/meta.py
 +++ b/src/odf/meta.py
 @@ -18,7 +18,7 @@
@@ -15094,8 +15094,8 @@ Index: b/src/odf/meta.py
  from .namespaces import METANS
  from .element import Element
  
-Index: b/src/odf/namespaces.py
-===================================================================
+diff --git a/src/odf/namespaces.py b/src/odf/namespaces.py
+index 0a2f003684..023359fccc 100644
 --- a/src/odf/namespaces.py
 +++ b/src/odf/namespaces.py
 @@ -17,7 +17,7 @@
@@ -15107,8 +15107,8 @@ Index: b/src/odf/namespaces.py
  TOOLSVERSION = u"ODFPY/0.9.4dev"
  
  ANIMNS         = u"urn:oasis:names:tc:opendocument:xmlns:animation:1.0"
-Index: b/src/odf/number.py
-===================================================================
+diff --git a/src/odf/number.py b/src/odf/number.py
+index 238ba64385..0fe5a0b4aa 100644
 --- a/src/odf/number.py
 +++ b/src/odf/number.py
 @@ -18,7 +18,7 @@
@@ -15120,8 +15120,8 @@ Index: b/src/odf/number.py
  from .namespaces import NUMBERNS
  from .element import Element
  from .style import StyleElement
-Index: b/src/odf/odf2moinmoin.py
-===================================================================
+diff --git a/src/odf/odf2moinmoin.py b/src/odf/odf2moinmoin.py
+index 26e430eb76..39f7fb8b3a 100644
 --- a/src/odf/odf2moinmoin.py
 +++ b/src/odf/odf2moinmoin.py
 @@ -20,7 +20,7 @@
@@ -15133,8 +15133,8 @@ Index: b/src/odf/odf2moinmoin.py
  import zipfile, xml.dom.minidom
  from .namespaces import nsdict
  from .elementtypes import empty_elements, inline_elements
-Index: b/src/odf/odf2xhtml.py
-===================================================================
+diff --git a/src/odf/odf2xhtml.py b/src/odf/odf2xhtml.py
+index 15e1b86bf0..5669fa3feb 100644
 --- a/src/odf/odf2xhtml.py
 +++ b/src/odf/odf2xhtml.py
 @@ -20,7 +20,7 @@
@@ -15146,8 +15146,8 @@ Index: b/src/odf/odf2xhtml.py
  from collections import defaultdict
  from xml.sax import handler
  from xml.sax.saxutils import escape, quoteattr
-Index: b/src/odf/odfmanifest.py
-===================================================================
+diff --git a/src/odf/odfmanifest.py b/src/odf/odfmanifest.py
+index e96bef2695..91617627f9 100644
 --- a/src/odf/odfmanifest.py
 +++ b/src/odf/odfmanifest.py
 @@ -20,7 +20,7 @@
@@ -15159,8 +15159,8 @@ Index: b/src/odf/odfmanifest.py
  import zipfile
  from xml.sax import make_parser,handler
  from xml.sax.xmlreader import InputSource
-Index: b/src/odf/office.py
-===================================================================
+diff --git a/src/odf/office.py b/src/odf/office.py
+index 763da10fe5..6139870ac0 100644
 --- a/src/odf/office.py
 +++ b/src/odf/office.py
 @@ -18,7 +18,7 @@
@@ -15172,8 +15172,8 @@ Index: b/src/odf/office.py
  from .namespaces import OFFICENS
  from .element import Element
  from .draw import StyleRefElement
-Index: b/src/odf/opendocument.py
-===================================================================
+diff --git a/src/odf/opendocument.py b/src/odf/opendocument.py
+index d2704b69af..5508d99fdf 100644
 --- a/src/odf/opendocument.py
 +++ b/src/odf/opendocument.py
 @@ -18,7 +18,7 @@
@@ -15185,8 +15185,8 @@ Index: b/src/odf/opendocument.py
  __doc__="""Use OpenDocument to generate your documents."""
  
  import mimetypes
-Index: b/src/odf/presentation.py
-===================================================================
+diff --git a/src/odf/presentation.py b/src/odf/presentation.py
+index de0bcc8ae5..24933d212f 100644
 --- a/src/odf/presentation.py
 +++ b/src/odf/presentation.py
 @@ -18,7 +18,7 @@
@@ -15198,8 +15198,8 @@ Index: b/src/odf/presentation.py
  from .namespaces import PRESENTATIONNS
  from .element import Element
  
-Index: b/src/odf/script.py
-===================================================================
+diff --git a/src/odf/script.py b/src/odf/script.py
+index 3ac585cbee..09390c608d 100644
 --- a/src/odf/script.py
 +++ b/src/odf/script.py
 @@ -18,7 +18,7 @@
@@ -15211,8 +15211,8 @@ Index: b/src/odf/script.py
  from .namespaces import SCRIPTNS
  from .element import Element
  
-Index: b/src/odf/style.py
-===================================================================
+diff --git a/src/odf/style.py b/src/odf/style.py
+index 626a716483..912676c9ac 100644
 --- a/src/odf/style.py
 +++ b/src/odf/style.py
 @@ -18,7 +18,7 @@
@@ -15224,8 +15224,8 @@ Index: b/src/odf/style.py
  from .namespaces import STYLENS
  from .element import Element
  
-Index: b/src/odf/svg.py
-===================================================================
+diff --git a/src/odf/svg.py b/src/odf/svg.py
+index ba9b81ccc7..92aa8d2885 100644
 --- a/src/odf/svg.py
 +++ b/src/odf/svg.py
 @@ -18,7 +18,7 @@
@@ -15237,8 +15237,8 @@ Index: b/src/odf/svg.py
  from .namespaces import SVGNS
  from .element import Element
  from .draw import DrawElement
-Index: b/src/odf/table.py
-===================================================================
+diff --git a/src/odf/table.py b/src/odf/table.py
+index 579e9556af..3769e80201 100644
 --- a/src/odf/table.py
 +++ b/src/odf/table.py
 @@ -18,7 +18,7 @@
@@ -15250,11 +15250,11 @@ Index: b/src/odf/table.py
  from .namespaces import TABLENS
  from .element import Element
  
-Index: b/src/odf/teletype.py
-===================================================================
+diff --git a/src/odf/teletype.py b/src/odf/teletype.py
+index e4ed44d120..8df8efe17b 100644
 --- a/src/odf/teletype.py
 +++ b/src/odf/teletype.py
-@@ -27,7 +27,7 @@ the appropriate <text:s>, <text:tab>, or
+@@ -27,7 +27,7 @@ the appropriate <text:s>, <text:tab>, or <text:line-break>
  elements.  This module takes care of that problem.
  """
  
@@ -15263,8 +15263,8 @@ Index: b/src/odf/teletype.py
  from .element import Node
  from .text import S,LineBreak,Tab
  
-Index: b/src/odf/text.py
-===================================================================
+diff --git a/src/odf/text.py b/src/odf/text.py
+index e31e3b0a74..c1f6b3b8f7 100644
 --- a/src/odf/text.py
 +++ b/src/odf/text.py
 @@ -18,7 +18,7 @@
@@ -15276,8 +15276,8 @@ Index: b/src/odf/text.py
  from .namespaces import TEXTNS
  from .element import Element
  from .style import StyleElement
-Index: b/src/odf/thumbnail.py
-===================================================================
+diff --git a/src/odf/thumbnail.py b/src/odf/thumbnail.py
+index 7e7fe38a0e..78f78b90f3 100644
 --- a/src/odf/thumbnail.py
 +++ b/src/odf/thumbnail.py
 @@ -3,7 +3,6 @@
@@ -15288,8 +15288,8 @@ Index: b/src/odf/thumbnail.py
  import base64
  
  iconstr = b"""
-Index: b/src/odf/userfield.py
-===================================================================
+diff --git a/src/odf/userfield.py b/src/odf/userfield.py
+index 9d72ffc72f..43ffc3eb4e 100644
 --- a/src/odf/userfield.py
 +++ b/src/odf/userfield.py
 @@ -21,7 +21,7 @@
@@ -15301,8 +15301,8 @@ Index: b/src/odf/userfield.py
  import sys
  import zipfile
  
-Index: b/src/odf/xforms.py
-===================================================================
+diff --git a/src/odf/xforms.py b/src/odf/xforms.py
+index 2e091be8f4..fe6de37467 100644
 --- a/src/odf/xforms.py
 +++ b/src/odf/xforms.py
 @@ -18,7 +18,7 @@
@@ -15314,8 +15314,8 @@ Index: b/src/odf/xforms.py
  from .namespaces import XFORMSNS
  from .element import Element
  
-Index: b/src/polyglot/binary.py
-===================================================================
+diff --git a/src/polyglot/binary.py b/src/polyglot/binary.py
+index 88c2d67f0a..6cf64a5ab3 100644
 --- a/src/polyglot/binary.py
 +++ b/src/polyglot/binary.py
 @@ -2,7 +2,7 @@
@@ -15327,8 +15327,8 @@ Index: b/src/polyglot/binary.py
  
  from base64 import standard_b64decode, standard_b64encode
  from binascii import hexlify, unhexlify
-Index: b/src/polyglot/builtins.py
-===================================================================
+diff --git a/src/polyglot/builtins.py b/src/polyglot/builtins.py
+index 0fa366d8b9..66f8f2827a 100644
 --- a/src/polyglot/builtins.py
 +++ b/src/polyglot/builtins.py
 @@ -2,7 +2,7 @@
@@ -15340,8 +15340,8 @@ Index: b/src/polyglot/builtins.py
  
  import os
  import sys
-Index: b/src/polyglot/functools.py
-===================================================================
+diff --git a/src/polyglot/functools.py b/src/polyglot/functools.py
+index 599e6b38b7..68c5abe672 100644
 --- a/src/polyglot/functools.py
 +++ b/src/polyglot/functools.py
 @@ -2,7 +2,7 @@
@@ -15353,8 +15353,8 @@ Index: b/src/polyglot/functools.py
  
  from polyglot.builtins import is_py3
  if is_py3:
-Index: b/src/polyglot/http_server.py
-===================================================================
+diff --git a/src/polyglot/http_server.py b/src/polyglot/http_server.py
+index 10dbbc0a20..544c86a065 100644
 --- a/src/polyglot/http_server.py
 +++ b/src/polyglot/http_server.py
 @@ -2,7 +2,7 @@
@@ -15366,8 +15366,8 @@ Index: b/src/polyglot/http_server.py
  
  from polyglot.builtins import is_py3
  
-Index: b/src/polyglot/io.py
-===================================================================
+diff --git a/src/polyglot/io.py b/src/polyglot/io.py
+index ba49423d54..8d0df2725c 100644
 --- a/src/polyglot/io.py
 +++ b/src/polyglot/io.py
 @@ -2,7 +2,7 @@
@@ -15379,8 +15379,8 @@ Index: b/src/polyglot/io.py
  
  from io import StringIO, BytesIO
  
-Index: b/src/polyglot/plistlib.py
-===================================================================
+diff --git a/src/polyglot/plistlib.py b/src/polyglot/plistlib.py
+index 5066f1f952..c4a38f9f20 100644
 --- a/src/polyglot/plistlib.py
 +++ b/src/polyglot/plistlib.py
 @@ -2,7 +2,7 @@
@@ -15392,8 +15392,8 @@ Index: b/src/polyglot/plistlib.py
  
  from polyglot.builtins import is_py3
  
-Index: b/src/polyglot/smtplib.py
-===================================================================
+diff --git a/src/polyglot/smtplib.py b/src/polyglot/smtplib.py
+index 11bf5d76fc..cff16f9cf8 100644
 --- a/src/polyglot/smtplib.py
 +++ b/src/polyglot/smtplib.py
 @@ -2,7 +2,7 @@
@@ -15405,8 +15405,8 @@ Index: b/src/polyglot/smtplib.py
  
  import sys
  from functools import partial
-Index: b/src/polyglot/urllib.py
-===================================================================
+diff --git a/src/polyglot/urllib.py b/src/polyglot/urllib.py
+index cfd7ab4ab1..08684dd17b 100644
 --- a/src/polyglot/urllib.py
 +++ b/src/polyglot/urllib.py
 @@ -2,7 +2,7 @@
@@ -15418,8 +15418,8 @@ Index: b/src/polyglot/urllib.py
  
  from polyglot.builtins import is_py3
  
-Index: b/src/tinycss/color3.py
-===================================================================
+diff --git a/src/tinycss/color3.py b/src/tinycss/color3.py
+index e0cb0bda48..3dd9be8619 100644
 --- a/src/tinycss/color3.py
 +++ b/src/tinycss/color3.py
 @@ -13,7 +13,7 @@
@@ -15431,8 +15431,8 @@ Index: b/src/tinycss/color3.py
  import collections
  import itertools
  import re
-Index: b/src/tinycss/css21.py
-===================================================================
+diff --git a/src/tinycss/css21.py b/src/tinycss/css21.py
+index 2f1d3f85bb..22c9271cf2 100644
 --- a/src/tinycss/css21.py
 +++ b/src/tinycss/css21.py
 @@ -10,7 +10,7 @@
@@ -15444,8 +15444,8 @@ Index: b/src/tinycss/css21.py
  from itertools import chain, islice
  
  from tinycss.decoding import decode
-Index: b/src/tinycss/decoding.py
-===================================================================
+diff --git a/src/tinycss/decoding.py b/src/tinycss/decoding.py
+index 32e1799c48..a2a12ec4b3 100644
 --- a/src/tinycss/decoding.py
 +++ b/src/tinycss/decoding.py
 @@ -10,7 +10,7 @@
@@ -15457,8 +15457,8 @@ Index: b/src/tinycss/decoding.py
  
  import operator
  import re
-Index: b/src/tinycss/fonts3.py
-===================================================================
+diff --git a/src/tinycss/fonts3.py b/src/tinycss/fonts3.py
+index 66d65db0b6..2937a580e3 100644
 --- a/src/tinycss/fonts3.py
 +++ b/src/tinycss/fonts3.py
 @@ -1,6 +1,6 @@
@@ -15469,8 +15469,8 @@ Index: b/src/tinycss/fonts3.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/tinycss/media3.py
-===================================================================
+diff --git a/src/tinycss/media3.py b/src/tinycss/media3.py
+index daa8e3a9d3..8a6081ba5e 100644
 --- a/src/tinycss/media3.py
 +++ b/src/tinycss/media3.py
 @@ -1,6 +1,6 @@
@@ -15481,8 +15481,8 @@ Index: b/src/tinycss/media3.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/tinycss/page3.py
-===================================================================
+diff --git a/src/tinycss/page3.py b/src/tinycss/page3.py
+index 8a4e150e24..7e5bb075be 100644
 --- a/src/tinycss/page3.py
 +++ b/src/tinycss/page3.py
 @@ -12,7 +12,7 @@
@@ -15494,8 +15494,8 @@ Index: b/src/tinycss/page3.py
  from .css21 import CSS21Parser, ParseError
  
  
-Index: b/src/tinycss/parsing.py
-===================================================================
+diff --git a/src/tinycss/parsing.py b/src/tinycss/parsing.py
+index 86e93c07f7..7daf4c78d2 100644
 --- a/src/tinycss/parsing.py
 +++ b/src/tinycss/parsing.py
 @@ -9,7 +9,7 @@
@@ -15507,8 +15507,8 @@ Index: b/src/tinycss/parsing.py
  
  
  # TODO: unit tests
-Index: b/src/tinycss/tests/__init__.py
-===================================================================
+diff --git a/src/tinycss/tests/__init__.py b/src/tinycss/tests/__init__.py
+index 01b4731e70..9a5f58fb96 100644
 --- a/src/tinycss/tests/__init__.py
 +++ b/src/tinycss/tests/__init__.py
 @@ -1,6 +1,6 @@
@@ -15519,8 +15519,8 @@ Index: b/src/tinycss/tests/__init__.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/tinycss/tests/color3.py
-===================================================================
+diff --git a/src/tinycss/tests/color3.py b/src/tinycss/tests/color3.py
+index 03cde0cf00..81bc669dc1 100644
 --- a/src/tinycss/tests/color3.py
 +++ b/src/tinycss/tests/color3.py
 @@ -1,6 +1,6 @@
@@ -15531,8 +15531,8 @@ Index: b/src/tinycss/tests/color3.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/tinycss/tests/css21.py
-===================================================================
+diff --git a/src/tinycss/tests/css21.py b/src/tinycss/tests/css21.py
+index e92b76880b..a570b26fcf 100644
 --- a/src/tinycss/tests/css21.py
 +++ b/src/tinycss/tests/css21.py
 @@ -1,6 +1,6 @@
@@ -15543,8 +15543,8 @@ Index: b/src/tinycss/tests/css21.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/tinycss/tests/decoding.py
-===================================================================
+diff --git a/src/tinycss/tests/decoding.py b/src/tinycss/tests/decoding.py
+index d465118d30..3ae4e5e156 100644
 --- a/src/tinycss/tests/decoding.py
 +++ b/src/tinycss/tests/decoding.py
 @@ -1,6 +1,6 @@
@@ -15555,8 +15555,8 @@ Index: b/src/tinycss/tests/decoding.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/tinycss/tests/fonts3.py
-===================================================================
+diff --git a/src/tinycss/tests/fonts3.py b/src/tinycss/tests/fonts3.py
+index a5dd938116..8f220c961f 100644
 --- a/src/tinycss/tests/fonts3.py
 +++ b/src/tinycss/tests/fonts3.py
 @@ -1,6 +1,6 @@
@@ -15567,8 +15567,8 @@ Index: b/src/tinycss/tests/fonts3.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/tinycss/tests/main.py
-===================================================================
+diff --git a/src/tinycss/tests/main.py b/src/tinycss/tests/main.py
+index 97d7c05796..3bef849f33 100644
 --- a/src/tinycss/tests/main.py
 +++ b/src/tinycss/tests/main.py
 @@ -1,6 +1,6 @@
@@ -15579,8 +15579,8 @@ Index: b/src/tinycss/tests/main.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/tinycss/tests/media3.py
-===================================================================
+diff --git a/src/tinycss/tests/media3.py b/src/tinycss/tests/media3.py
+index 6b53ff204f..af200f2492 100644
 --- a/src/tinycss/tests/media3.py
 +++ b/src/tinycss/tests/media3.py
 @@ -1,6 +1,6 @@
@@ -15591,8 +15591,8 @@ Index: b/src/tinycss/tests/media3.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/tinycss/tests/page3.py
-===================================================================
+diff --git a/src/tinycss/tests/page3.py b/src/tinycss/tests/page3.py
+index b3d7665643..2387445a67 100644
 --- a/src/tinycss/tests/page3.py
 +++ b/src/tinycss/tests/page3.py
 @@ -1,6 +1,6 @@
@@ -15603,8 +15603,8 @@ Index: b/src/tinycss/tests/page3.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/tinycss/tests/tokenizing.py
-===================================================================
+diff --git a/src/tinycss/tests/tokenizing.py b/src/tinycss/tests/tokenizing.py
+index b781b22e00..1b31ee39d3 100644
 --- a/src/tinycss/tests/tokenizing.py
 +++ b/src/tinycss/tests/tokenizing.py
 @@ -1,6 +1,6 @@
@@ -15615,8 +15615,8 @@ Index: b/src/tinycss/tests/tokenizing.py
  
  __license__ = 'GPL v3'
  __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
-Index: b/src/tinycss/token_data.py
-===================================================================
+diff --git a/src/tinycss/token_data.py b/src/tinycss/token_data.py
+index dfbafc1781..5f1aefe486 100644
 --- a/src/tinycss/token_data.py
 +++ b/src/tinycss/token_data.py
 @@ -9,7 +9,7 @@
@@ -15628,8 +15628,8 @@ Index: b/src/tinycss/token_data.py
  
  import re
  import sys
-Index: b/src/tinycss/tokenizer.py
-===================================================================
+diff --git a/src/tinycss/tokenizer.py b/src/tinycss/tokenizer.py
+index 154c111e20..4aaf32ce3a 100644
 --- a/src/tinycss/tokenizer.py
 +++ b/src/tinycss/tokenizer.py
 @@ -12,7 +12,7 @@
@@ -15641,3 +15641,6 @@ Index: b/src/tinycss/tokenizer.py
  
  from tinycss import token_data
  
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0004-Build-with-python-3.8.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0004-Build-with-python-3.8.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0004-Build-with-python-3.8.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0004-Build-with-python-3.8.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 71887aaab799923ec50a5076a0dee42fc29d2ccc Mon Sep 17 00:00:00 2001
+From 131190b4d13a65483118023edfb1f98373282007 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 18 Nov 2019 08:13:26 +0530
-Subject: [PATCH 004/125] Build with python 3.8
+Subject: [PATCH 004/201] Build with python 3.8
 
 ---
  bypy/sources.json | 11 +++--------
@@ -30,5 +30,5 @@ index fceef18258..e45722c59d 100644
      },
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0005-Remove-hardcoding-of-mbcs-for-filesystem-names.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0005-Remove-hardcoding-of-mbcs-for-filesystem-names.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0005-Remove-hardcoding-of-mbcs-for-filesystem-names.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0005-Remove-hardcoding-of-mbcs-for-filesystem-names.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From f816b972a401ae0202a7dc0579d36286f53bceb5 Mon Sep 17 00:00:00 2001
+From 509a0989915205c207a5b861e8f9aff33515fded Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 18 Nov 2019 08:16:02 +0530
-Subject: [PATCH 005/125] Remove hardcoding of mbcs for filesystem names
+Subject: [PATCH 005/201] Remove hardcoding of mbcs for filesystem names
 
 ---
  src/calibre/ebooks/metadata/pdf.py     |   4 +-
@@ -563,5 +563,5 @@ index 66f8f2827a..caf2d254a0 100644
 +    import importlib
 +    return importlib.reload(module)
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0006-Remove-py3-conditionals.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0006-Remove-py3-conditionals.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0006-Remove-py3-conditionals.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0006-Remove-py3-conditionals.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From bcbef5dbf83eaee10a38becf0b3972b03e0c7ab1 Mon Sep 17 00:00:00 2001
+From 262f58f547dd95a184863fa1aa5abaf69c8c1d6a Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 18 Nov 2019 14:03:58 +0530
-Subject: [PATCH 006/125] Remove py3 conditionals
+Subject: [PATCH 006/201] Remove py3 conditionals
 
 ---
  manual/conf.py                           |    3 +-
@@ -10,77 +10,72 @@ Subject: [PATCH 006/125] Remove py3 cond
  setup/extensions.json                    |   15 -
  setup/translations.py                    |    4 +-
  src/backports/__init__.py                |    0
- manual/conf.py                           |    3 
- setup/__init__.py                        |   47 
- setup/build.py                           |   18 
- setup/extensions.json                    |   15 
- setup/translations.py                    |    4 
  src/backports/functools_lru_cache.py     |  199 ---
- src/calibre/__init__.py                  |   31 
- src/calibre/constants.py                 |    9 
- src/calibre/customize/zipplugin.py       |    5 
- src/calibre/db/backend.py                |    4 
- src/calibre/db/categories.py             |   12 
- src/calibre/db/cli/main.py               |    4 
- src/calibre/devices/kobo/bookmark.py     |    4 
- src/calibre/devices/kobo/books.py        |    5 
- src/calibre/devices/mtp/unix/driver.py   |   13 
- src/calibre/ebooks/compression/tcr.py    |    4 
- src/calibre/ebooks/html/input.py         |    5 
- src/calibre/ebooks/lit/reader.py         |    3 
- src/calibre/ebooks/lrf/objects.py        |   59 -
- src/calibre/ebooks/metadata/book/base.py |   10 
- src/calibre/ebooks/metadata/opf2.py      |   10 
- src/calibre/ebooks/oeb/base.py           |   36 
- src/calibre/ebooks/pdf/pdftohtml.py      |   11 
- src/calibre/ebooks/pdf/render/common.py  |    4 
- src/calibre/gui2/linux_file_dialogs.py   |    9 
- src/calibre/library/database2.py         |    7 
- src/calibre/linux.py                     |    8 
- src/calibre/ptempfile.py                 |   30 
- src/calibre/spell/dictionary.py          |    4 
- src/calibre/srv/http_response.py         |   19 
- src/calibre/srv/manage_users_cli.py      |    4 
- src/calibre/srv/opts.py                  |    7 
- src/calibre/srv/routes.py                |    8 
- src/calibre/srv/tests/base.py            |    6 
- src/calibre/srv/tests/http.py            |    3 
- src/calibre/srv/tests/loop.py            |    6 
- src/calibre/srv/utils.py                 |   36 
- src/calibre/startup.py                   |   41 
- src/calibre/test_build.py                |    8 
- src/calibre/utils/Zeroconf.py            | 1654 -------------------------------
- src/calibre/utils/complete.py            |   39 
- src/calibre/utils/config_base.py         |    7 
- src/calibre/utils/dbus_service.py        |    5 
- src/calibre/utils/filenames.py           |   14 
- src/calibre/utils/imghdr.py              |    9 
- src/calibre/utils/ipc/__init__.py        |    4 
- src/calibre/utils/ipc/launch.py          |   43 
- src/calibre/utils/ipc/server.py          |    4 
- src/calibre/utils/localization.py        |    7 
- src/calibre/utils/lock.py                |    4 
- src/calibre/utils/mdns.py                |   24 
- src/calibre/utils/monotonic.c            |   88 -
- src/calibre/utils/monotonic.py           |   13 
- src/calibre/utils/serialize.py           |   26 
- src/calibre/utils/shared_file.py         |   10 
- src/calibre/utils/smtp.py                |    6 
- src/calibre/utils/terminal.py            |   10 
- src/calibre/utils/unicode_getpass.py     |   40 
- src/calibre/utils/zlib2.c                |  426 -------
- src/polyglot/functools.py                |    8 
- src/polyglot/html_entities.py            |    8 
- src/polyglot/http_client.py              |   28 
- src/polyglot/http_cookie.py              |   10 
- src/polyglot/http_server.py              |   10 
- src/polyglot/plistlib.py                 |   25 
- src/polyglot/queue.py                    |    7 
- src/polyglot/reprlib.py                  |    8 
- src/polyglot/smtplib.py                  |   56 -
- src/polyglot/socketserver.py             |    7 
- src/polyglot/urllib.py                   |   56 -
- 70 files changed, 195 insertions(+), 3172 deletions(-)
+ src/calibre/__init__.py                  |   31 +-
+ src/calibre/constants.py                 |    9 +-
+ src/calibre/customize/zipplugin.py       |    5 +-
+ src/calibre/db/backend.py                |    4 +-
+ src/calibre/db/categories.py             |   12 +-
+ src/calibre/db/cli/main.py               |    4 +-
+ src/calibre/devices/kobo/bookmark.py     |    4 +-
+ src/calibre/devices/kobo/books.py        |    5 +-
+ src/calibre/devices/mtp/unix/driver.py   |   13 +-
+ src/calibre/ebooks/compression/tcr.py    |    4 +-
+ src/calibre/ebooks/html/input.py         |    5 +-
+ src/calibre/ebooks/lit/reader.py         |    3 +-
+ src/calibre/ebooks/lrf/objects.py        |   59 +-
+ src/calibre/ebooks/metadata/book/base.py |   10 +-
+ src/calibre/ebooks/metadata/opf2.py      |   10 +-
+ src/calibre/ebooks/oeb/base.py           |   36 +-
+ src/calibre/ebooks/pdf/pdftohtml.py      |   11 +-
+ src/calibre/ebooks/pdf/render/common.py  |    4 +-
+ src/calibre/gui2/linux_file_dialogs.py   |    9 +-
+ src/calibre/library/database2.py         |    7 +-
+ src/calibre/linux.py                     |    8 +-
+ src/calibre/ptempfile.py                 |   30 +-
+ src/calibre/spell/dictionary.py          |    4 +-
+ src/calibre/srv/http_response.py         |   19 +-
+ src/calibre/srv/manage_users_cli.py      |    4 +-
+ src/calibre/srv/opts.py                  |    7 +-
+ src/calibre/srv/routes.py                |    8 +-
+ src/calibre/srv/tests/base.py            |    6 +-
+ src/calibre/srv/tests/http.py            |    3 +-
+ src/calibre/srv/tests/loop.py            |    6 +-
+ src/calibre/srv/utils.py                 |   36 +-
+ src/calibre/startup.py                   |   41 +-
+ src/calibre/test_build.py                |    8 +-
+ src/calibre/utils/Zeroconf.py            | 1654 ----------------------
+ src/calibre/utils/complete.py            |   41 +-
+ src/calibre/utils/config_base.py         |    7 +-
+ src/calibre/utils/dbus_service.py        |    5 +-
+ src/calibre/utils/filenames.py           |   14 +-
+ src/calibre/utils/imghdr.py              |    9 +-
+ src/calibre/utils/ipc/__init__.py        |    4 +-
+ src/calibre/utils/ipc/launch.py          |   43 +-
+ src/calibre/utils/ipc/server.py          |    6 +-
+ src/calibre/utils/localization.py        |    7 +-
+ src/calibre/utils/lock.py                |    4 +-
+ src/calibre/utils/mdns.py                |   24 +-
+ src/calibre/utils/monotonic.c            |   88 --
+ src/calibre/utils/monotonic.py           |   13 +-
+ src/calibre/utils/serialize.py           |   26 +-
+ src/calibre/utils/shared_file.py         |   10 +-
+ src/calibre/utils/smtp.py                |    6 +-
+ src/calibre/utils/terminal.py            |   10 +-
+ src/calibre/utils/unicode_getpass.py     |   40 -
+ src/calibre/utils/zlib2.c                |  426 ------
+ src/polyglot/functools.py                |    8 +-
+ src/polyglot/html_entities.py            |    8 +-
+ src/polyglot/http_client.py              |   28 +-
+ src/polyglot/http_cookie.py              |   10 +-
+ src/polyglot/http_server.py              |   10 +-
+ src/polyglot/plistlib.py                 |   25 +-
+ src/polyglot/queue.py                    |    7 +-
+ src/polyglot/reprlib.py                  |    8 +-
+ src/polyglot/smtplib.py                  |   56 +-
+ src/polyglot/socketserver.py             |    7 +-
+ src/polyglot/urllib.py                   |   56 +-
+ 71 files changed, 197 insertions(+), 3174 deletions(-)
  delete mode 100644 src/backports/__init__.py
  delete mode 100644 src/backports/functools_lru_cache.py
  delete mode 100644 src/calibre/utils/Zeroconf.py
@@ -88,8 +83,8 @@ Subject: [PATCH 006/125] Remove py3 cond
  delete mode 100644 src/calibre/utils/unicode_getpass.py
  delete mode 100644 src/calibre/utils/zlib2.c
 
-Index: b/manual/conf.py
-===================================================================
+diff --git a/manual/conf.py b/manual/conf.py
+index 9e61d4b34c..81aa89da0f 100644
 --- a/manual/conf.py
 +++ b/manual/conf.py
 @@ -18,7 +18,6 @@ from datetime import date
@@ -109,8 +104,8 @@ Index: b/manual/conf.py
  
  # If true, '()' will be appended to :func: etc. cross-reference text.
  # add_function_parentheses = True
-Index: b/setup/__init__.py
-===================================================================
+diff --git a/setup/__init__.py b/setup/__init__.py
+index 9b12fb5d95..bf1365fe44 100644
 --- a/setup/__init__.py
 +++ b/setup/__init__.py
 @@ -11,7 +11,6 @@ from contextlib import contextmanager
@@ -175,8 +170,8 @@ Index: b/setup/__init__.py
  warnings = []
  
  
-Index: b/setup/build.py
-===================================================================
+diff --git a/setup/build.py b/setup/build.py
+index 8dd1f15726..8db1531606 100644
 --- a/setup/build.py
 +++ b/setup/build.py
 @@ -1,8 +1,6 @@
@@ -238,27 +233,28 @@ Index: b/setup/build.py
              if ext.error:
                  if ext.optional:
                      self.warn(ext.error)
-Index: b/setup/extensions.json
-===================================================================
+diff --git a/setup/extensions.json b/setup/extensions.json
+index 2474973b2a..ca9097cbd4 100644
 --- a/setup/extensions.json
 +++ b/setup/extensions.json
-@@ -9,12 +9,6 @@
+@@ -8,12 +8,6 @@
+         "windows_libraries": "libhunspell",
  		"needs_c++11": true
      },
-     {
+-    {
 -        "name": "monotonic",
 -        "sources": "calibre/utils/monotonic.c",
 -        "linux_libraries": "rt",
 -        "needs_py2": true
 -    },
--    {
+     {
          "name": "hyphen",
          "sources": "calibre/utils/hyphenation/hyphen.c",
- 		"libraries": "hyphen",
-@@ -35,15 +29,6 @@
+@@ -34,15 +28,6 @@
+         "libraries": "m",
          "windows_libraries": ""
      },
-     {
+-    {
 -        "name": "zlib2",
 -        "sources": "calibre/utils/zlib2.c",
 -        "inc_dirs": "!zlib_inc_dirs",
@@ -267,12 +263,11 @@ Index: b/setup/extensions.json
 -        "windows_libraries": "zlib",
 -        "needs_py2": true
 -    },
--    {
+     {
          "name": "certgen",
          "sources": "calibre/utils/certgen.c",
-         "libraries": "crypto",
-Index: b/setup/translations.py
-===================================================================
+diff --git a/setup/translations.py b/setup/translations.py
+index 81623bc1bc..0c4b833cfb 100644
 --- a/setup/translations.py
 +++ b/setup/translations.py
 @@ -11,7 +11,7 @@ from collections import defaultdict
@@ -293,8 +288,12 @@ Index: b/setup/translations.py
                  t = partial(get_language, gettext_func=t)
                  lang_names[l] = {x: t(x) for x in dl}
              zi = ZipInfo('lang-names.json')
-Index: b/src/backports/functools_lru_cache.py
-===================================================================
+diff --git a/src/backports/__init__.py b/src/backports/__init__.py
+deleted file mode 100644
+index e69de29bb2..0000000000
+diff --git a/src/backports/functools_lru_cache.py b/src/backports/functools_lru_cache.py
+deleted file mode 100644
+index dd4335273c..0000000000
 --- a/src/backports/functools_lru_cache.py
 +++ /dev/null
 @@ -1,199 +0,0 @@
@@ -497,8 +496,8 @@ Index: b/src/backports/functools_lru_cac
 -        return update_wrapper(wrapper, user_function)
 -
 -    return decorating_function
-Index: b/src/calibre/__init__.py
-===================================================================
+diff --git a/src/calibre/__init__.py b/src/calibre/__init__.py
+index 65155fb3db..b8528b743e 100644
 --- a/src/calibre/__init__.py
 +++ b/src/calibre/__init__.py
 @@ -18,7 +18,7 @@ except EnvironmentError:
@@ -546,8 +545,8 @@ Index: b/src/calibre/__init__.py
  
  
  relpath = os.path.relpath
-Index: b/src/calibre/constants.py
-===================================================================
+diff --git a/src/calibre/constants.py b/src/calibre/constants.py
+index 2c4d17dad0..f3935e08b6 100644
 --- a/src/calibre/constants.py
 +++ b/src/calibre/constants.py
 @@ -150,9 +150,7 @@ def cache_dir():
@@ -573,8 +572,8 @@ Index: b/src/calibre/constants.py
          if iswindows:
              plugins.extend(['winutil', 'wpd', 'winfonts'])
          if isosx:
-Index: b/src/calibre/customize/zipplugin.py
-===================================================================
+diff --git a/src/calibre/customize/zipplugin.py b/src/calibre/customize/zipplugin.py
+index 45a664f43c..c0d528024a 100644
 --- a/src/calibre/customize/zipplugin.py
 +++ b/src/calibre/customize/zipplugin.py
 @@ -11,7 +11,6 @@ from collections import OrderedDict
@@ -596,11 +595,11 @@ Index: b/src/calibre/customize/zipplugin
  
  
  class PluginLoader(object):
-Index: b/src/calibre/db/backend.py
-===================================================================
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index 959bd84dbb..13b1cd14d0 100644
 --- a/src/calibre/db/backend.py
 +++ b/src/calibre/db/backend.py
-@@ -16,7 +16,7 @@ from polyglot.builtins import (iteritems
+@@ -16,7 +16,7 @@ from polyglot.builtins import (iteritems, itervalues,
  
  from calibre import isbytestring, force_unicode, prints, as_unicode
  from calibre.constants import (iswindows, filesystem_encoding,
@@ -618,8 +617,8 @@ Index: b/src/calibre/db/backend.py
              return x
          options = [(book_id, fmt.upper(), map_data(data)) for book_id, data in iteritems(options)]
          self.executemany('INSERT OR REPLACE INTO conversion_options(book,format,data) VALUES (?,?,?)', options)
-Index: b/src/calibre/db/categories.py
-===================================================================
+diff --git a/src/calibre/db/categories.py b/src/calibre/db/categories.py
+index bc972a1ba9..e268c8aa12 100644
 --- a/src/calibre/db/categories.py
 +++ b/src/calibre/db/categories.py
 @@ -10,7 +10,6 @@ import copy
@@ -648,8 +647,8 @@ Index: b/src/calibre/db/categories.py
  
      def __repr__(self):
          return native_string_type(self)
-Index: b/src/calibre/db/cli/main.py
-===================================================================
+diff --git a/src/calibre/db/cli/main.py b/src/calibre/db/cli/main.py
+index f78be8b3f9..d3380341c7 100644
 --- a/src/calibre/db/cli/main.py
 +++ b/src/calibre/db/cli/main.py
 @@ -2,8 +2,6 @@
@@ -670,8 +669,8 @@ Index: b/src/calibre/db/cli/main.py
              pw = getpass(_('Enter the password: '))
          elif pw.startswith('<f:') and pw.endswith('>'):
              with lopen(pw[3:-1], 'rb') as f:
-Index: b/src/calibre/devices/kobo/bookmark.py
-===================================================================
+diff --git a/src/calibre/devices/kobo/bookmark.py b/src/calibre/devices/kobo/bookmark.py
+index 8de1b66944..cd354adb6f 100644
 --- a/src/calibre/devices/kobo/bookmark.py
 +++ b/src/calibre/devices/kobo/bookmark.py
 @@ -7,7 +7,6 @@ __docformat__ = 'restructuredtext en'
@@ -691,8 +690,8 @@ Index: b/src/calibre/devices/kobo/bookma
 +    __str__ = __unicode__
  
  # }}}
-Index: b/src/calibre/devices/kobo/books.py
-===================================================================
+diff --git a/src/calibre/devices/kobo/books.py b/src/calibre/devices/kobo/books.py
+index 9a8d06798c..d93939c424 100644
 --- a/src/calibre/devices/kobo/books.py
 +++ b/src/calibre/devices/kobo/books.py
 @@ -6,7 +6,7 @@ __docformat__ = 'restructuredtext en'
@@ -714,8 +713,8 @@ Index: b/src/calibre/devices/kobo/books.
  
  
  class ImageWrapper(object):
-Index: b/src/calibre/devices/mtp/unix/driver.py
-===================================================================
+diff --git a/src/calibre/devices/mtp/unix/driver.py b/src/calibre/devices/mtp/unix/driver.py
+index bb5b235e8a..7c8d8a365d 100644
 --- a/src/calibre/devices/mtp/unix/driver.py
 +++ b/src/calibre/devices/mtp/unix/driver.py
 @@ -1,7 +1,6 @@
@@ -763,11 +762,11 @@ Index: b/src/calibre/devices/mtp/unix/dr
          if ans is None:
              raise DeviceError('Failed to upload file named: %s to %s: %s'
                      %(name, parent.full_path, self.format_errorstack(errs)))
-Index: b/src/calibre/ebooks/compression/tcr.py
-===================================================================
+diff --git a/src/calibre/ebooks/compression/tcr.py b/src/calibre/ebooks/compression/tcr.py
+index 453e14395a..5aaab1052d 100644
 --- a/src/calibre/ebooks/compression/tcr.py
 +++ b/src/calibre/ebooks/compression/tcr.py
-@@ -6,7 +6,7 @@ __copyright__ = '2009, John Schember <jo
+@@ -6,7 +6,7 @@ __copyright__ = '2009, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
  
  import re
@@ -785,11 +784,11 @@ Index: b/src/calibre/ebooks/compression/
              self.coded_txt = self.coded_txt.replace(code, code[0:1])
              self.codes[code[0]] = b'%s%s' % (self.codes[code[0]], self.codes[code[1]])
  
-Index: b/src/calibre/ebooks/html/input.py
-===================================================================
+diff --git a/src/calibre/ebooks/html/input.py b/src/calibre/ebooks/html/input.py
+index 8e85b23dde..ae9511b81f 100644
 --- a/src/calibre/ebooks/html/input.py
 +++ b/src/calibre/ebooks/html/input.py
-@@ -17,7 +17,7 @@ from calibre.ebooks.oeb.base import urlu
+@@ -17,7 +17,7 @@ from calibre.ebooks.oeb.base import urlunquote
  from calibre.ebooks.chardet import detect_xml_encoding
  from calibre.constants import iswindows
  from calibre import unicode_path, as_unicode, replace_entities
@@ -808,11 +807,11 @@ Index: b/src/calibre/ebooks/html/input.p
  
  class IgnoreFile(Exception):
  
-Index: b/src/calibre/ebooks/lit/reader.py
-===================================================================
+diff --git a/src/calibre/ebooks/lit/reader.py b/src/calibre/ebooks/lit/reader.py
+index 367daf3042..73a2e5035e 100644
 --- a/src/calibre/ebooks/lit/reader.py
 +++ b/src/calibre/ebooks/lit/reader.py
-@@ -17,7 +17,6 @@ import calibre.ebooks.lit.mssha1 as mssh
+@@ -17,7 +17,6 @@ import calibre.ebooks.lit.mssha1 as mssha1
  from calibre.ebooks.oeb.base import urlnormalize, xpath
  from calibre.ebooks.oeb.reader import OEBReader
  from calibre.ebooks import DRMError
@@ -829,11 +828,11 @@ Index: b/src/calibre/ebooks/lit/reader.p
  
      def binary_to_text(self, bin, buf):
          stack = [(0, None, None, 0, 0, False, False, 'text', 0)]
-Index: b/src/calibre/ebooks/lrf/objects.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/objects.py b/src/calibre/ebooks/lrf/objects.py
+index 1d9de79a3a..5382529bb3 100644
 --- a/src/calibre/ebooks/lrf/objects.py
 +++ b/src/calibre/ebooks/lrf/objects.py
-@@ -7,7 +7,7 @@ import struct, array, zlib, io, collecti
+@@ -7,7 +7,7 @@ import struct, array, zlib, io, collections, re
  from calibre.ebooks.lrf import LRFParseError, PRS500_PROFILE
  from calibre import entity_to_unicode, prepare_string_for_xml
  from calibre.ebooks.lrf.tags import Tag
@@ -1032,8 +1031,8 @@ Index: b/src/calibre/ebooks/lrf/objects.
  
  object_map = [
      None,  # 00
-Index: b/src/calibre/ebooks/metadata/book/base.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/book/base.py b/src/calibre/ebooks/metadata/book/base.py
+index 0821a664a6..d6ff6a7b55 100644
 --- a/src/calibre/ebooks/metadata/book/base.py
 +++ b/src/calibre/ebooks/metadata/book/base.py
 @@ -9,7 +9,7 @@ __docformat__ = 'restructuredtext en'
@@ -1060,11 +1059,11 @@ Index: b/src/calibre/ebooks/metadata/boo
  
      def __nonzero__(self):
          return bool(self.title or self.author or self.comments or self.tags)
-Index: b/src/calibre/ebooks/metadata/opf2.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/opf2.py b/src/calibre/ebooks/metadata/opf2.py
+index 0225be63dd..7ebfbfdc07 100644
 --- a/src/calibre/ebooks/metadata/opf2.py
 +++ b/src/calibre/ebooks/metadata/opf2.py
-@@ -13,7 +13,7 @@ import re, sys, unittest, functools, os,
+@@ -13,7 +13,7 @@ import re, sys, unittest, functools, os, uuid, glob, io, json, copy
  from lxml import etree
  
  from calibre.ebooks import escape_xpath_attr
@@ -1088,8 +1087,8 @@ Index: b/src/calibre/ebooks/metadata/opf
  
      def __repr__(self):
          return unicode_type(self)
-Index: b/src/calibre/ebooks/oeb/base.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/base.py b/src/calibre/ebooks/oeb/base.py
+index acc7876dcd..957ded7bd1 100644
 --- a/src/calibre/ebooks/oeb/base.py
 +++ b/src/calibre/ebooks/oeb/base.py
 @@ -1,4 +1,3 @@
@@ -1160,8 +1159,8 @@ Index: b/src/calibre/ebooks/oeb/base.py
  
      def to_opf1(self, tour):
          for node in self.nodes:
-Index: b/src/calibre/ebooks/pdf/pdftohtml.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/pdftohtml.py b/src/calibre/ebooks/pdf/pdftohtml.py
+index 9eedf39a9c..80287e9a59 100644
 --- a/src/calibre/ebooks/pdf/pdftohtml.py
 +++ b/src/calibre/ebooks/pdf/pdftohtml.py
 @@ -2,8 +2,6 @@
@@ -1199,8 +1198,8 @@ Index: b/src/calibre/ebooks/pdf/pdftohtm
      if iswindows:
          kw['creationflags'] = 0x08
      return subprocess.Popen(cmd, **kw)
-Index: b/src/calibre/ebooks/pdf/render/common.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/render/common.py b/src/calibre/ebooks/pdf/render/common.py
+index 0c607fd947..8fe22e4476 100644
 --- a/src/calibre/ebooks/pdf/render/common.py
 +++ b/src/calibre/ebooks/pdf/render/common.py
 @@ -10,7 +10,7 @@ import codecs, zlib, numbers
@@ -1221,8 +1220,8 @@ Index: b/src/calibre/ebooks/pdf/render/c
      elif hasattr(o, 'pdf_serialize'):
          o.pdf_serialize(stream)
      elif o is None:
-Index: b/src/calibre/gui2/linux_file_dialogs.py
-===================================================================
+diff --git a/src/calibre/gui2/linux_file_dialogs.py b/src/calibre/gui2/linux_file_dialogs.py
+index 89bb295a76..6e4f15f7ad 100644
 --- a/src/calibre/gui2/linux_file_dialogs.py
 +++ b/src/calibre/gui2/linux_file_dialogs.py
 @@ -2,8 +2,6 @@
@@ -1260,11 +1259,11 @@ Index: b/src/calibre/gui2/linux_file_dia
      stdout, stderr = p.communicate()
      ret = p.wait()
      return ret, decode_output(stdout), decode_output(stderr)
-Index: b/src/calibre/library/database2.py
-===================================================================
+diff --git a/src/calibre/library/database2.py b/src/calibre/library/database2.py
+index 653f5f83c5..2f10cd3690 100644
 --- a/src/calibre/library/database2.py
 +++ b/src/calibre/library/database2.py
-@@ -25,7 +25,7 @@ from calibre.library.custom_columns impo
+@@ -25,7 +25,7 @@ from calibre.library.custom_columns import CustomColumns
  from calibre.library.sqlite import connect, IntegrityError
  from calibre.library.prefs import DBPrefs
  from calibre.ebooks.metadata.book.base import Metadata
@@ -1273,7 +1272,7 @@ Index: b/src/calibre/library/database2.p
  from calibre.ptempfile import (PersistentTemporaryFile,
          base_dir, SpooledTemporaryFile)
  from calibre.customize.ui import (run_plugins_on_import,
-@@ -1752,10 +1752,7 @@ class LibraryDatabase2(LibraryDatabase,
+@@ -1752,10 +1752,7 @@ class LibraryDatabase2(LibraryDatabase, SchemaUpgrade, CustomColumns):
              return 'n=%s s=%s c=%d rt=%d rc=%d id=%s' % (
                  self.n, self.s, self.c, self.rt, self.rc, self.id)
  
@@ -1285,8 +1284,8 @@ Index: b/src/calibre/library/database2.p
  
      def clean_user_categories(self):
          user_cats = self.prefs.get('user_categories', {})
-Index: b/src/calibre/linux.py
-===================================================================
+diff --git a/src/calibre/linux.py b/src/calibre/linux.py
+index 0e7d96692a..7f6dc6036f 100644
 --- a/src/calibre/linux.py
 +++ b/src/calibre/linux.py
 @@ -2,8 +2,6 @@
@@ -1298,7 +1297,7 @@ Index: b/src/calibre/linux.py
  ''' Post installation script for linux '''
  
  import sys, os, textwrap, stat, errno
-@@ -11,7 +9,7 @@ from subprocess import check_call, check
+@@ -11,7 +9,7 @@ from subprocess import check_call, check_output
  from functools import partial
  
  from calibre import __appname__, prints, guess_type
@@ -1307,7 +1306,7 @@ Index: b/src/calibre/linux.py
  from calibre.customize.ui import all_input_formats
  from calibre.ptempfile import TemporaryDirectory
  from calibre import CurrentDir
-@@ -1191,7 +1189,7 @@ def write_appdata(key, entry, base, tran
+@@ -1191,7 +1189,7 @@ def write_appdata(key, entry, base, translators):
      for para in entry['description']:
          description.append(E.p(para))
          for lang, t in iteritems(translators):
@@ -1316,7 +1315,7 @@ Index: b/src/calibre/linux.py
              if tp != para:
                  description.append(E.p(tp))
                  description[-1].set('{http://www.w3.org/XML/1998/namespace}lang', lang)
-@@ -1208,7 +1206,7 @@ def write_appdata(key, entry, base, tran
+@@ -1208,7 +1206,7 @@ def write_appdata(key, entry, base, translators):
          type='desktop'
      )
      for lang, t in iteritems(translators):
@@ -1325,8 +1324,8 @@ Index: b/src/calibre/linux.py
          if tp != entry['summary']:
              root.append(E.summary(tp))
              root[-1].set('{http://www.w3.org/XML/1998/namespace}lang', lang)
-Index: b/src/calibre/ptempfile.py
-===================================================================
+diff --git a/src/calibre/ptempfile.py b/src/calibre/ptempfile.py
+index 762b5d6225..63de86a52a 100644
 --- a/src/calibre/ptempfile.py
 +++ b/src/calibre/ptempfile.py
 @@ -9,7 +9,7 @@ import tempfile, os, atexit
@@ -1338,7 +1337,7 @@ Index: b/src/calibre/ptempfile.py
  
  
  def cleanup(path):
-@@ -265,23 +265,17 @@ class SpooledTemporaryFile(tempfile.Spoo
+@@ -265,23 +265,17 @@ class SpooledTemporaryFile(tempfile.SpooledTemporaryFile):
              suffix = ''
          if dir is None:
              dir = base_dir()
@@ -1373,8 +1372,8 @@ Index: b/src/calibre/ptempfile.py
  
      def truncate(self, *args):
          # The stdlib SpooledTemporaryFile implementation of truncate() doesn't
-Index: b/src/calibre/spell/dictionary.py
-===================================================================
+diff --git a/src/calibre/spell/dictionary.py b/src/calibre/spell/dictionary.py
+index 52a23c03fe..2f9ed3e1e6 100644
 --- a/src/calibre/spell/dictionary.py
 +++ b/src/calibre/spell/dictionary.py
 @@ -14,7 +14,7 @@ from itertools import chain
@@ -1395,8 +1394,8 @@ Index: b/src/calibre/spell/dictionary.py
          return path
  
      obj = hunspell.Dictionary(fix_path(dictionary.dicpath), fix_path(dictionary.affpath))
-Index: b/src/calibre/srv/http_response.py
-===================================================================
+diff --git a/src/calibre/srv/http_response.py b/src/calibre/srv/http_response.py
+index 1fd74e3c73..737858cf0e 100644
 --- a/src/calibre/srv/http_response.py
 +++ b/src/calibre/srv/http_response.py
 @@ -12,10 +12,10 @@ from itertools import chain, repeat
@@ -1441,8 +1440,8 @@ Index: b/src/calibre/srv/http_response.p
  # }}}
  
  
-Index: b/src/calibre/srv/manage_users_cli.py
-===================================================================
+diff --git a/src/calibre/srv/manage_users_cli.py b/src/calibre/srv/manage_users_cli.py
+index a6ee4f6b94..bbbf3aad67 100644
 --- a/src/calibre/srv/manage_users_cli.py
 +++ b/src/calibre/srv/manage_users_cli.py
 @@ -2,8 +2,6 @@
@@ -1463,8 +1462,8 @@ Index: b/src/calibre/srv/manage_users_cl
  
          while True:
              one = getpass(
-Index: b/src/calibre/srv/opts.py
-===================================================================
+diff --git a/src/calibre/srv/opts.py b/src/calibre/srv/opts.py
+index e1a69d1a10..68f4a131aa 100644
 --- a/src/calibre/srv/opts.py
 +++ b/src/calibre/srv/opts.py
 @@ -12,11 +12,8 @@ from functools import partial
@@ -1481,11 +1480,11 @@ Index: b/src/calibre/srv/opts.py
  
  Option = namedtuple('Option', 'name default longdoc shortdoc choices')
  
-Index: b/src/calibre/srv/routes.py
-===================================================================
+diff --git a/src/calibre/srv/routes.py b/src/calibre/srv/routes.py
+index 62ef365a78..523c9780a1 100644
 --- a/src/calibre/srv/routes.py
 +++ b/src/calibre/srv/routes.py
-@@ -8,7 +8,6 @@ __copyright__ = '2015, Kovid Goyal <kovi
+@@ -8,7 +8,6 @@ __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
  import sys, inspect, re, time, numbers, json as jsonlib, textwrap
  from operator import attrgetter
  
@@ -1514,8 +1513,8 @@ Index: b/src/calibre/srv/routes.py
          if len(self.names) + 2 != len(argspec.args) - len(argspec.defaults or ()):
              raise route_error('Function must take %d non-default arguments' % (len(self.names) + 2))
          if argspec.args[2:len(self.names)+2] != self.names:
-Index: b/src/calibre/srv/tests/base.py
-===================================================================
+diff --git a/src/calibre/srv/tests/base.py b/src/calibre/srv/tests/base.py
+index 325c5c8456..de2176bcb6 100644
 --- a/src/calibre/srv/tests/base.py
 +++ b/src/calibre/srv/tests/base.py
 @@ -12,7 +12,6 @@ from functools import partial
@@ -1538,8 +1537,8 @@ Index: b/src/calibre/srv/tests/base.py
  
      def change_handler(self, handler):
          from calibre.srv.http_response import create_http_handler
-Index: b/src/calibre/srv/tests/http.py
-===================================================================
+diff --git a/src/calibre/srv/tests/http.py b/src/calibre/srv/tests/http.py
+index e32f7dbcc7..81f91b483e 100644
 --- a/src/calibre/srv/tests/http.py
 +++ b/src/calibre/srv/tests/http.py
 @@ -10,7 +10,6 @@ from io import BytesIO
@@ -1559,8 +1558,8 @@ Index: b/src/calibre/srv/tests/http.py
                  self.ae(r.read(), q.encode('utf-8'))
  
              test('en', 'en')
-Index: b/src/calibre/srv/tests/loop.py
-===================================================================
+diff --git a/src/calibre/srv/tests/loop.py b/src/calibre/srv/tests/loop.py
+index 8b25e7b448..1710bd2925 100644
 --- a/src/calibre/srv/tests/loop.py
 +++ b/src/calibre/srv/tests/loop.py
 @@ -11,7 +11,6 @@ from unittest import skipIf
@@ -1583,8 +1582,8 @@ Index: b/src/calibre/srv/tests/loop.py
          b = BonJour(wait_for_stop=False)
          with TestServer(lambda data:(data.path[0] + data.read()), plugins=(b,), shutdown_timeout=5) as server:
              self.assertTrue(b.started.wait(5), 'BonJour not started')
-Index: b/src/calibre/srv/utils.py
-===================================================================
+diff --git a/src/calibre/srv/utils.py b/src/calibre/srv/utils.py
+index 0706287a2e..50bd480535 100644
 --- a/src/calibre/srv/utils.py
 +++ b/src/calibre/srv/utils.py
 @@ -11,7 +11,7 @@ from email.utils import formatdate
@@ -1673,8 +1672,8 @@ Index: b/src/calibre/srv/utils.py
          self.rollover()
  
      def rename(self, src, dest):
-Index: b/src/calibre/startup.py
-===================================================================
+diff --git a/src/calibre/startup.py b/src/calibre/startup.py
+index a20f7cb124..924d6ebf26 100644
 --- a/src/calibre/startup.py
 +++ b/src/calibre/startup.py
 @@ -10,7 +10,7 @@ Perform various initialization tasks.
@@ -1732,11 +1731,11 @@ Index: b/src/calibre/startup.py
      builtins.__dict__['lopen'] = local_open
  
      from calibre.utils.icu import title_case, lower as icu_lower, upper as icu_upper
-Index: b/src/calibre/test_build.py
-===================================================================
+diff --git a/src/calibre/test_build.py b/src/calibre/test_build.py
+index 71885930c0..a8e532d7f2 100644
 --- a/src/calibre/test_build.py
 +++ b/src/calibre/test_build.py
-@@ -12,7 +12,7 @@ Test a binary calibre build to ensure th
+@@ -12,7 +12,7 @@ Test a binary calibre build to ensure that all needed binary images/libraries ha
  
  import os, ctypes, sys, unittest, time
  
@@ -1758,8 +1757,9 @@ Index: b/src/calibre/test_build.py
          del z
          del ifaddr
  
-Index: b/src/calibre/utils/Zeroconf.py
-===================================================================
+diff --git a/src/calibre/utils/Zeroconf.py b/src/calibre/utils/Zeroconf.py
+deleted file mode 100644
+index 62537988c5..0000000000
 --- a/src/calibre/utils/Zeroconf.py
 +++ /dev/null
 @@ -1,1654 +0,0 @@
@@ -3417,8 +3417,8 @@ Index: b/src/calibre/utils/Zeroconf.py
 -    r.unregisterService(info)
 -    print("   Unregister done.")
 -    r.close()
-Index: b/src/calibre/utils/complete.py
-===================================================================
+diff --git a/src/calibre/utils/complete.py b/src/calibre/utils/complete.py
+index 9bfe5e9b19..26e411ddb7 100644
 --- a/src/calibre/utils/complete.py
 +++ b/src/calibre/utils/complete.py
 @@ -14,45 +14,8 @@ completion.
@@ -3426,7 +3426,7 @@ Index: b/src/calibre/utils/complete.py
  import sys, os, shlex, glob, re
  
 -from polyglot.builtins import is_py3, unicode_type
- 
+-
 -
 -if is_py3:
 -    prints = print
@@ -3464,12 +3464,13 @@ Index: b/src/calibre/utils/complete.py
 -            if i != len(args)-1:
 -                file.write(sep)
 -        file.write(end)
++
 +prints = print
  
  
  def split(src):
-Index: b/src/calibre/utils/config_base.py
-===================================================================
+diff --git a/src/calibre/utils/config_base.py b/src/calibre/utils/config_base.py
+index fffd1354c2..e2a35cb4cb 100644
 --- a/src/calibre/utils/config_base.py
 +++ b/src/calibre/utils/config_base.py
 @@ -11,17 +11,14 @@ from collections import defaultdict
@@ -3492,8 +3493,8 @@ Index: b/src/calibre/utils/config_base.p
      options = {'cPickle':cPickle}
      try:
          if not isinstance(src, unicode_type):
-Index: b/src/calibre/utils/dbus_service.py
-===================================================================
+diff --git a/src/calibre/utils/dbus_service.py b/src/calibre/utils/dbus_service.py
+index feac589e1a..e04b6524b6 100644
 --- a/src/calibre/utils/dbus_service.py
 +++ b/src/calibre/utils/dbus_service.py
 @@ -45,7 +45,7 @@ from dbus.exceptions import (
@@ -3515,8 +3516,8 @@ Index: b/src/calibre/utils/dbus_service.
  
  class BusName(object):
      """A base class for exporting your own Named Services across the Bus.
-Index: b/src/calibre/utils/filenames.py
-===================================================================
+diff --git a/src/calibre/utils/filenames.py b/src/calibre/utils/filenames.py
+index 1b5ca70c63..2687bb2862 100644
 --- a/src/calibre/utils/filenames.py
 +++ b/src/calibre/utils/filenames.py
 @@ -12,7 +12,7 @@ from math import ceil
@@ -3528,7 +3529,7 @@ Index: b/src/calibre/utils/filenames.py
  )
  from calibre.utils.localization import get_udc
  from polyglot.builtins import iteritems, itervalues, unicode_type, range
-@@ -629,14 +629,4 @@ def copytree_using_links(path, dest, des
+@@ -629,14 +629,4 @@ def copytree_using_links(path, dest, dest_is_parent=True, filecopyfunc=copyfile)
                  filecopyfunc(src, df)
  
  
@@ -3544,8 +3545,8 @@ Index: b/src/calibre/utils/filenames.py
 -else:
 -    rmtree = shutil.rmtree
 +rmtree = shutil.rmtree
-Index: b/src/calibre/utils/imghdr.py
-===================================================================
+diff --git a/src/calibre/utils/imghdr.py b/src/calibre/utils/imghdr.py
+index 72221e4939..f7bc9b0dc1 100644
 --- a/src/calibre/utils/imghdr.py
 +++ b/src/calibre/utils/imghdr.py
 @@ -6,7 +6,6 @@
@@ -3571,8 +3572,8 @@ Index: b/src/calibre/utils/imghdr.py
  
      x = None
      while True:
-Index: b/src/calibre/utils/ipc/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/__init__.py b/src/calibre/utils/ipc/__init__.py
+index a2355fb7e3..b683a69a39 100644
 --- a/src/calibre/utils/ipc/__init__.py
 +++ b/src/calibre/utils/ipc/__init__.py
 @@ -10,7 +10,7 @@ import os, errno, sys
@@ -3593,8 +3594,8 @@ Index: b/src/calibre/utils/ipc/__init__.
      return ans
  
  
-Index: b/src/calibre/utils/ipc/launch.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/launch.py b/src/calibre/utils/ipc/launch.py
+index 88b112c4b0..b31494a1b6 100644
 --- a/src/calibre/utils/ipc/launch.py
 +++ b/src/calibre/utils/ipc/launch.py
 @@ -1,7 +1,6 @@
@@ -3671,10 +3672,19 @@ Index: b/src/calibre/utils/ipc/launch.py
  
      def __call__(self, redirect_output=True, cwd=None, priority=None):
          '''
-Index: b/src/calibre/utils/ipc/server.py
-===================================================================
+diff --git a/src/calibre/utils/ipc/server.py b/src/calibre/utils/ipc/server.py
+index 97a9ba84aa..cc34cf32ef 100644
 --- a/src/calibre/utils/ipc/server.py
 +++ b/src/calibre/utils/ipc/server.py
+@@ -19,7 +19,7 @@ from multiprocessing.connection import Listener, arbitrary_address
+ from threading import RLock, Thread
+ 
+ from calibre import detect_ncpus as cpu_count, force_unicode
+-from calibre.constants import DEBUG, islinux, iswindows, ispy3
++from calibre.constants import DEBUG, islinux, iswindows
+ from calibre.ptempfile import base_dir
+ from calibre.utils.ipc import eintr_retry_call
+ from calibre.utils.ipc.launch import Worker
 @@ -138,8 +138,6 @@ if islinux:
          prefix = '\0calibre-ipc-listener-%d-%%d' % os.getpid()
          while True:
@@ -3693,8 +3703,8 @@ Index: b/src/calibre/utils/ipc/server.py
              try:
                  return address, Listener(address=address, authkey=authkey, backlog=backlog)
              except EnvironmentError as err:
-Index: b/src/calibre/utils/localization.py
-===================================================================
+diff --git a/src/calibre/utils/localization.py b/src/calibre/utils/localization.py
+index 11189f099f..50303c464c 100644
 --- a/src/calibre/utils/localization.py
 +++ b/src/calibre/utils/localization.py
 @@ -9,7 +9,7 @@ __docformat__ = 'restructuredtext en'
@@ -3718,8 +3728,8 @@ Index: b/src/calibre/utils/localization.
      # Now that we have installed a translator, we have to retranslate the help
      # for the global prefs object as it was instantiated in get_lang(), before
      # the translator was installed.
-Index: b/src/calibre/utils/lock.py
-===================================================================
+diff --git a/src/calibre/utils/lock.py b/src/calibre/utils/lock.py
+index b3bdf064f6..f17ce9bab7 100644
 --- a/src/calibre/utils/lock.py
 +++ b/src/calibre/utils/lock.py
 @@ -11,7 +11,7 @@ import time
@@ -3740,8 +3750,8 @@ Index: b/src/calibre/utils/lock.py
          sock = socket.socket(family=socket.AF_UNIX)
          try:
              eintr_retry_call(sock.bind, address)
-Index: b/src/calibre/utils/mdns.py
-===================================================================
+diff --git a/src/calibre/utils/mdns.py b/src/calibre/utils/mdns.py
+index a25e3f2d8b..c82b1abe68 100644
 --- a/src/calibre/utils/mdns.py
 +++ b/src/calibre/utils/mdns.py
 @@ -1,4 +1,3 @@
@@ -3770,7 +3780,7 @@ Index: b/src/calibre/utils/mdns.py
          try:
              _server = Zeroconf()
          except Exception:
-@@ -150,21 +144,7 @@ def create_service(desc, service_type, p
+@@ -150,21 +144,7 @@ def create_service(desc, service_type, port, properties, add_hostname, use_ip_ad
      service_type = service_type+'.local.'
      service_name = desc + '.' + service_type
      server_name = hostname+'.local.'
@@ -3793,8 +3803,9 @@ Index: b/src/calibre/utils/mdns.py
  
      return ServiceInfo(
          service_type, service_name,
-Index: b/src/calibre/utils/monotonic.c
-===================================================================
+diff --git a/src/calibre/utils/monotonic.c b/src/calibre/utils/monotonic.c
+deleted file mode 100644
+index aecb2476fa..0000000000
 --- a/src/calibre/utils/monotonic.c
 +++ /dev/null
 @@ -1,88 +0,0 @@
@@ -3886,8 +3897,8 @@ Index: b/src/calibre/utils/monotonic.c
 -    if (m == NULL) return;
 -}
 -
-Index: b/src/calibre/utils/monotonic.py
-===================================================================
+diff --git a/src/calibre/utils/monotonic.py b/src/calibre/utils/monotonic.py
+index 1bb4f3fe72..5596878427 100644
 --- a/src/calibre/utils/monotonic.py
 +++ b/src/calibre/utils/monotonic.py
 @@ -1,13 +1,4 @@
@@ -3906,8 +3917,8 @@ Index: b/src/calibre/utils/monotonic.py
 -    del monotonicp, err
 +from time import monotonic
 +monotonic
-Index: b/src/calibre/utils/serialize.py
-===================================================================
+diff --git a/src/calibre/utils/serialize.py b/src/calibre/utils/serialize.py
+index 1f9e0b38be..3de30016fa 100644
 --- a/src/calibre/utils/serialize.py
 +++ b/src/calibre/utils/serialize.py
 @@ -2,10 +2,7 @@
@@ -3950,8 +3961,8 @@ Index: b/src/calibre/utils/serialize.py
 +def pickle_loads(dump):
 +    import pickle
 +    return pickle.loads(dump, encoding='utf-8')
-Index: b/src/calibre/utils/shared_file.py
-===================================================================
+diff --git a/src/calibre/utils/shared_file.py b/src/calibre/utils/shared_file.py
+index 44aac391bf..441a60dd25 100644
 --- a/src/calibre/utils/shared_file.py
 +++ b/src/calibre/utils/shared_file.py
 @@ -9,7 +9,7 @@ import os, sys
@@ -3978,11 +3989,11 @@ Index: b/src/calibre/utils/shared_file.p
  
      def raise_winerror(x):
          reraise(NotImplementedError, None, sys.exc_info()[2])
-Index: b/src/calibre/utils/smtp.py
-===================================================================
+diff --git a/src/calibre/utils/smtp.py b/src/calibre/utils/smtp.py
+index f945f361c9..b716099f5b 100644
 --- a/src/calibre/utils/smtp.py
 +++ b/src/calibre/utils/smtp.py
-@@ -12,7 +12,7 @@ This module implements a simple commandl
+@@ -12,7 +12,7 @@ This module implements a simple commandline SMTP client that supports:
  
  import sys, traceback, os, socket, encodings.idna as idna
  from calibre import isbytestring
@@ -3991,7 +4002,7 @@ Index: b/src/calibre/utils/smtp.py
  from polyglot.builtins import unicode_type, as_unicode, native_string_type
  
  
-@@ -150,7 +150,7 @@ def get_smtp_class(use_ssl=False, debugl
+@@ -150,7 +150,7 @@ def get_smtp_class(use_ssl=False, debuglevel=0):
      # but there is no way to set debuglevel before connect() is called
      import polyglot.smtplib as smtplib
      cls = smtplib.SMTP_SSL if use_ssl else smtplib.SMTP
@@ -4000,7 +4011,7 @@ Index: b/src/calibre/utils/smtp.py
      return type(native_string_type('SMTP'), bases, {native_string_type('debuglevel'): debuglevel})
  
  
-@@ -177,8 +177,6 @@ def sendmail(msg, from_, to, localhost=N
+@@ -177,8 +177,6 @@ def sendmail(msg, from_, to, localhost=None, verbose=0, timeout=None,
          s.starttls(context=context)
          s.ehlo()
      if username is not None and password is not None:
@@ -4009,8 +4020,8 @@ Index: b/src/calibre/utils/smtp.py
          s.login(username, password)
      ret = None
      try:
-Index: b/src/calibre/utils/terminal.py
-===================================================================
+diff --git a/src/calibre/utils/terminal.py b/src/calibre/utils/terminal.py
+index d945da9e56..ffbabcdc64 100644
 --- a/src/calibre/utils/terminal.py
 +++ b/src/calibre/utils/terminal.py
 @@ -1,14 +1,13 @@
@@ -4043,8 +4054,9 @@ Index: b/src/calibre/utils/terminal.py
                  if not self.write_console(self.file_handle, wt, text_len, byref(written), None):
                      # Older versions of windows can fail to write large strings
                      # to console with WriteConsoleW (seen it happen on Win XP)
-Index: b/src/calibre/utils/unicode_getpass.py
-===================================================================
+diff --git a/src/calibre/utils/unicode_getpass.py b/src/calibre/utils/unicode_getpass.py
+deleted file mode 100644
+index 2c36ca9968..0000000000
 --- a/src/calibre/utils/unicode_getpass.py
 +++ /dev/null
 @@ -1,40 +0,0 @@
@@ -4088,8 +4100,9 @@ Index: b/src/calibre/utils/unicode_getpa
 -            enc = getattr(sys.stdin, 'encoding', preferred_encoding) or preferred_encoding
 -            from getpass import getpass
 -            return getpass(prompt).decode(enc)
-Index: b/src/calibre/utils/zlib2.c
-===================================================================
+diff --git a/src/calibre/utils/zlib2.c b/src/calibre/utils/zlib2.c
+deleted file mode 100644
+index 77524a1558..0000000000
 --- a/src/calibre/utils/zlib2.c
 +++ /dev/null
 @@ -1,426 +0,0 @@
@@ -4519,8 +4532,8 @@ Index: b/src/calibre/utils/zlib2.c
 -        PyModule_AddObject(m, "error", ZlibError);
 -    }
 -}
-Index: b/src/polyglot/functools.py
-===================================================================
+diff --git a/src/polyglot/functools.py b/src/polyglot/functools.py
+index 68c5abe672..408f7b15c1 100644
 --- a/src/polyglot/functools.py
 +++ b/src/polyglot/functools.py
 @@ -2,12 +2,6 @@
@@ -4537,8 +4550,8 @@ Index: b/src/polyglot/functools.py
 +from functools import lru_cache
  
  lru_cache
-Index: b/src/polyglot/html_entities.py
-===================================================================
+diff --git a/src/polyglot/html_entities.py b/src/polyglot/html_entities.py
+index c006b2941f..c396e54615 100644
 --- a/src/polyglot/html_entities.py
 +++ b/src/polyglot/html_entities.py
 @@ -2,9 +2,5 @@
@@ -4553,8 +4566,8 @@ Index: b/src/polyglot/html_entities.py
 -    from htmlentitydefs import name2codepoint
 +from html.entities import name2codepoint
 +name2codepoint
-Index: b/src/polyglot/http_client.py
-===================================================================
+diff --git a/src/polyglot/http_client.py b/src/polyglot/http_client.py
+index 3c6126337f..dbd2ccf3dd 100644
 --- a/src/polyglot/http_client.py
 +++ b/src/polyglot/http_client.py
 @@ -2,21 +2,15 @@
@@ -4590,8 +4603,8 @@ Index: b/src/polyglot/http_client.py
 +    responses, HTTPConnection, HTTPSConnection, BAD_REQUEST, FOUND, FORBIDDEN, HTTP_VERSION_NOT_SUPPORTED, INTERNAL_SERVER_ERROR, METHOD_NOT_ALLOWED
 +    MOVED_PERMANENTLY, NOT_FOUND, NOT_IMPLEMENTED, NOT_MODIFIED, OK, PARTIAL_CONTENT, PRECONDITION_FAILED, REQUEST_ENTITY_TOO_LARGE, REQUEST_URI_TOO_LONG
 +    REQUESTED_RANGE_NOT_SATISFIABLE, REQUEST_TIMEOUT, SEE_OTHER, SERVICE_UNAVAILABLE, UNAUTHORIZED, _CS_IDLE, _CS_REQ_SENT
-Index: b/src/polyglot/http_cookie.py
-===================================================================
+diff --git a/src/polyglot/http_cookie.py b/src/polyglot/http_cookie.py
+index 1c5977f74f..5334fc3722 100644
 --- a/src/polyglot/http_cookie.py
 +++ b/src/polyglot/http_cookie.py
 @@ -2,11 +2,5 @@
@@ -4608,8 +4621,8 @@ Index: b/src/polyglot/http_cookie.py
 -    from cookielib import CookieJar, Cookie  # noqa
 +from http.cookies import SimpleCookie    # noqa
 +from http.cookiejar import CookieJar, Cookie  # noqa
-Index: b/src/polyglot/http_server.py
-===================================================================
+diff --git a/src/polyglot/http_server.py b/src/polyglot/http_server.py
+index 544c86a065..ea0dff99c1 100644
 --- a/src/polyglot/http_server.py
 +++ b/src/polyglot/http_server.py
 @@ -2,12 +2,4 @@
@@ -4626,19 +4639,20 @@ Index: b/src/polyglot/http_server.py
 -    from BaseHTTPServer import HTTPServer  # noqa
 -    from SimpleHTTPServer import SimpleHTTPRequestHandler  # noqa
 +from http.server import HTTPServer, SimpleHTTPRequestHandler  # noqa
-Index: b/src/polyglot/plistlib.py
-===================================================================
+diff --git a/src/polyglot/plistlib.py b/src/polyglot/plistlib.py
+index c4a38f9f20..b07f25765c 100644
 --- a/src/polyglot/plistlib.py
 +++ b/src/polyglot/plistlib.py
 @@ -2,25 +2,10 @@
  # vim:fileencoding=utf-8
  # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
  
-+from plistlib import loads, dumps  # noqa
- 
 +def unwrap_bytes(x):
 +    return x
  
++def wrap_bytes(x):
++    return x
+ 
 -from polyglot.builtins import is_py3
 -
 -if is_py3:
@@ -4659,10 +4673,9 @@ Index: b/src/polyglot/plistlib.py
 -
 -    def wrap_bytes(x):
 -        return Data(x)
-+def wrap_bytes(x):
-+    return x
-Index: b/src/polyglot/queue.py
-===================================================================
++from plistlib import loads, dumps, Data  # noqa
+diff --git a/src/polyglot/queue.py b/src/polyglot/queue.py
+index 51feafeaca..3239fc36c3 100644
 --- a/src/polyglot/queue.py
 +++ b/src/polyglot/queue.py
 @@ -2,9 +2,4 @@
@@ -4676,8 +4689,8 @@ Index: b/src/polyglot/queue.py
 -else:
 -    from Queue import Queue, Empty, Full, PriorityQueue, LifoQueue  # noqa
 +from queue import Queue, Empty, Full, PriorityQueue, LifoQueue  # noqa
-Index: b/src/polyglot/reprlib.py
-===================================================================
+diff --git a/src/polyglot/reprlib.py b/src/polyglot/reprlib.py
+index d3b745851e..d3e5869d7b 100644
 --- a/src/polyglot/reprlib.py
 +++ b/src/polyglot/reprlib.py
 @@ -2,9 +2,5 @@
@@ -4692,8 +4705,8 @@ Index: b/src/polyglot/reprlib.py
 -    from repr import repr
 +from reprlib import repr
 +repr
-Index: b/src/polyglot/smtplib.py
-===================================================================
+diff --git a/src/polyglot/smtplib.py b/src/polyglot/smtplib.py
+index cff16f9cf8..5457a416ab 100644
 --- a/src/polyglot/smtplib.py
 +++ b/src/polyglot/smtplib.py
 @@ -2,13 +2,9 @@
@@ -4774,8 +4787,8 @@ Index: b/src/polyglot/smtplib.py
 +            self.debug_to(*a)
 +        else:
 +            super()._print_debug(*a)
-Index: b/src/polyglot/socketserver.py
-===================================================================
+diff --git a/src/polyglot/socketserver.py b/src/polyglot/socketserver.py
+index da5c644531..9be3c51e03 100644
 --- a/src/polyglot/socketserver.py
 +++ b/src/polyglot/socketserver.py
 @@ -2,9 +2,4 @@
@@ -4789,8 +4802,8 @@ Index: b/src/polyglot/socketserver.py
 -else:
 -    from SocketServer import TCPServer, ThreadingMixIn  # noqa
 +from socketserver import TCPServer, ThreadingMixIn  # noqa
-Index: b/src/polyglot/urllib.py
-===================================================================
+diff --git a/src/polyglot/urllib.py b/src/polyglot/urllib.py
+index 08684dd17b..1a128d47b6 100644
 --- a/src/polyglot/urllib.py
 +++ b/src/polyglot/urllib.py
 @@ -4,46 +4,22 @@
@@ -4856,3 +4869,6 @@ Index: b/src/polyglot/urllib.py
  
  
  def unquote_plus(x, encoding='utf-8', errors='replace'):
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0007-Minor-fixups-for-changes-when-removing-py3-condition.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0007-Minor-fixups-for-changes-when-removing-py3-condition.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0007-Minor-fixups-for-changes-when-removing-py3-condition.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0007-Minor-fixups-for-changes-when-removing-py3-condition.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 25be4fcc73323306c07c5697484143920d4bf67b Mon Sep 17 00:00:00 2001
+From 5779f93169f2988e19a73f697de8505b2151cd49 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 18 Nov 2019 14:30:48 +0530
-Subject: [PATCH 007/125] Minor fixups for changes when removing py3
+Subject: [PATCH 007/201] Minor fixups for changes when removing py3
  conditionals
 
 ---
@@ -48,7 +48,7 @@ index 8db1531606..40c7e815b3 100644
      description = textwrap.dedent('''\
          calibre depends on several python extensions written in C/C++.
 diff --git a/src/calibre/constants.py b/src/calibre/constants.py
-index b56cffa4fe..e4739a05fe 100644
+index f3935e08b6..0413f937d6 100644
 --- a/src/calibre/constants.py
 +++ b/src/calibre/constants.py
 @@ -150,7 +150,7 @@ def cache_dir():
@@ -85,5 +85,5 @@ index caf2d254a0..f30d1d6e7d 100644
 +
 +    return print
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0008-Get-the-linux-frozen-build-working-with-py3.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0008-Get-the-linux-frozen-build-working-with-py3.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0008-Get-the-linux-frozen-build-working-with-py3.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0008-Get-the-linux-frozen-build-working-with-py3.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 20130240149d5a22d744278a4edbd19a0aef56db Mon Sep 17 00:00:00 2001
+From 13580e9ffe1d8e1ec8af93937718c1cf5b65712c Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 18 Nov 2019 18:31:54 +0530
-Subject: [PATCH 008/125] Get the linux frozen build working with py3
+Subject: [PATCH 008/201] Get the linux frozen build working with py3
 
 ---
  bypy/init_env.py         |   2 -
@@ -609,7 +609,7 @@ index 40c7e815b3..a836bee8ff 100644
      description = textwrap.dedent('''\
          calibre depends on several python extensions written in C/C++.
 diff --git a/src/calibre/constants.py b/src/calibre/constants.py
-index e4739a05fe..4db4345a7a 100644
+index 0413f937d6..7278b18c46 100644
 --- a/src/calibre/constants.py
 +++ b/src/calibre/constants.py
 @@ -150,7 +150,7 @@ def cache_dir():
@@ -622,5 +622,5 @@ index e4739a05fe..4db4345a7a 100644
  
  # plugins {{{
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0009-Add-sgmllib-ported-to-python-3-for-feedparser.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0009-Add-sgmllib-ported-to-python-3-for-feedparser.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0009-Add-sgmllib-ported-to-python-3-for-feedparser.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0009-Add-sgmllib-ported-to-python-3-for-feedparser.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 325c544132ae86bec3e6f796fee4806db135a42b Mon Sep 17 00:00:00 2001
+From 8ed402f458d2d778b583061cb21a496c000ddd7c Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 18 Nov 2019 18:38:06 +0530
-Subject: [PATCH 009/125] Add sgmllib ported to python 3 for feedparser
+Subject: [PATCH 009/201] Add sgmllib ported to python 3 for feedparser
 
 ---
  src/sgmllib.py | 574 +++++++++++++++++++++++++++++++++++++++++++++++++
@@ -589,5 +589,5 @@ index 0000000000..6422b7603c
 +if __name__ == '__main__':
 +    test()
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0010-Drop-the-custom-lzma-module.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0010-Drop-the-custom-lzma-module.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0010-Drop-the-custom-lzma-module.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0010-Drop-the-custom-lzma-module.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 257d2473901b2aa7774a8ee439aaea1000ba8136 Mon Sep 17 00:00:00 2001
+From 7cd7d23fc1fdb2b2aea29c4a66f376454183bf97 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 18 Nov 2019 20:26:29 +0530
-Subject: [PATCH 010/125] Drop the custom lzma module
+Subject: [PATCH 010/201] Drop the custom lzma module
 
 Use the builtin one from the python stdlib
 ---
@@ -115,7 +115,7 @@ index a8e532d7f2..3b1ca5721c 100644
      def test_html5lib(self):
          import html5lib.html5parser  # noqa
 diff --git a/src/calibre/utils/rapydscript.py b/src/calibre/utils/rapydscript.py
-index 3f6a39b6ad..69bc54368d 100644
+index e4a20c87c8..7b3f26264a 100644
 --- a/src/calibre/utils/rapydscript.py
 +++ b/src/calibre/utils/rapydscript.py
 @@ -9,7 +9,6 @@ import os
@@ -7652,5 +7652,5 @@ index ab07098400..0000000000
 -    import sys
 -    decompress(open(sys.argv[-1], 'rb'))
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0011-Remove-some-more-referefences-to-the-old-lzma.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0011-Remove-some-more-referefences-to-the-old-lzma.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0011-Remove-some-more-referefences-to-the-old-lzma.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0011-Remove-some-more-referefences-to-the-old-lzma.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 104b5bf049ba9340856903a93cddf87ab4750535 Mon Sep 17 00:00:00 2001
+From 7aa1a3f9db9325f7a94cce84168c46bec962080d Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 18 Nov 2019 20:28:38 +0530
-Subject: [PATCH 011/125] Remove some more referefences to the old lzma
+Subject: [PATCH 011/201] Remove some more referefences to the old lzma
 
 ---
  COPYRIGHT                | 12 ------------
@@ -32,7 +32,7 @@ index 6da2e3ad7d..10afc65876 100644
  Copyright: Copyright (c) 2009 joonis new media, Thimo Kraemer
  License: GPL-2+
 diff --git a/src/calibre/constants.py b/src/calibre/constants.py
-index 4db4345a7a..cb692d1dc2 100644
+index 7278b18c46..87fb58d314 100644
 --- a/src/calibre/constants.py
 +++ b/src/calibre/constants.py
 @@ -182,7 +182,6 @@ class Plugins(collections.Mapping):
@@ -44,5 +44,5 @@ index 4db4345a7a..cb692d1dc2 100644
          if iswindows:
              plugins.extend(['winutil', 'wpd', 'winfonts'])
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0012-Add-the-lzma-dependency.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0012-Add-the-lzma-dependency.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0012-Add-the-lzma-dependency.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0012-Add-the-lzma-dependency.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 8b52f6aaba25fb021ae2192a561af39a261ed796 Mon Sep 17 00:00:00 2001
+From 38b12747d9323a816fbaf7c46df02aa08fce77c7 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 18 Nov 2019 20:44:01 +0530
-Subject: [PATCH 012/125] Add the lzma dependency
+Subject: [PATCH 012/201] Add the lzma dependency
 
 ---
  bypy/linux/__main__.py | 2 +-
@@ -42,5 +42,5 @@ index 43940208f9..c12c693049 100644
          "name": "unrar",
          "unix": {
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0013-Auto-fix-excess-blank-lines.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0013-Auto-fix-excess-blank-lines.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0013-Auto-fix-excess-blank-lines.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0013-Auto-fix-excess-blank-lines.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,175 +1,175 @@
-From 1e821460008e1ea5fce87a7a7bf824c80f927963 Mon Sep 17 00:00:00 2001
+From 07f59e7367e9dba240cb35254bb94b837b4f8013 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 20 Nov 2019 07:29:37 +0530
-Subject: [PATCH 013/125] Auto fix excess blank lines
+Subject: [PATCH 013/201] Auto fix excess blank lines
 
 ---
- bypy/macos/__main__.py                                      |    4 +---
- bypy/windows/__main__.py                                    |    1 -
- manual/plugin_examples/webengine_demo/__init__.py           |    1 -
- manual/plugin_examples/webengine_demo/main.py               |    1 -
- setup/browser_data.py                                       |    1 -
- setup/git_version.py                                        |    1 -
- setup/install.py                                            |    1 -
- setup/port.py                                               |    1 -
- setup/publish.py                                            |    1 -
- setup/test.py                                               |    1 -
- setup/unix-ci.py                                            |    1 -
- setup/win-ci.py                                             |    1 -
- src/calibre/db/cli/__init__.py                              |    1 -
- src/calibre/db/cli/cmd_add.py                               |    1 -
- src/calibre/db/cli/cmd_add_custom_column.py                 |    1 -
- src/calibre/db/cli/cmd_add_format.py                        |    1 -
- src/calibre/db/cli/cmd_backup_metadata.py                   |    1 -
- src/calibre/db/cli/cmd_catalog.py                           |    1 -
- src/calibre/db/cli/cmd_check_library.py                     |    1 -
- src/calibre/db/cli/cmd_clone.py                             |    1 -
- src/calibre/db/cli/cmd_custom_columns.py                    |    1 -
- src/calibre/db/cli/cmd_embed_metadata.py                    |    1 -
- src/calibre/db/cli/cmd_export.py                            |    1 -
- src/calibre/db/cli/cmd_list.py                              |    1 -
- src/calibre/db/cli/cmd_list_categories.py                   |    1 -
- src/calibre/db/cli/cmd_remove.py                            |    1 -
- src/calibre/db/cli/cmd_remove_custom_column.py              |    1 -
- src/calibre/db/cli/cmd_remove_format.py                     |    1 -
- src/calibre/db/cli/cmd_restore_database.py                  |    1 -
- src/calibre/db/cli/cmd_saved_searches.py                    |    1 -
- src/calibre/db/cli/cmd_search.py                            |    1 -
- src/calibre/db/cli/cmd_set_custom.py                        |    1 -
- src/calibre/db/cli/cmd_set_metadata.py                      |    1 -
- src/calibre/db/cli/cmd_show_metadata.py                     |    1 -
- src/calibre/db/cli/utils.py                                 |    1 -
- src/calibre/db/copy_to_library.py                           |    1 -
- src/calibre/db/restore.py                                   |    1 -
- src/calibre/devices/cli.py                                  |    1 -
- src/calibre/devices/kindle/bookmark.py                      |    1 -
- src/calibre/devices/kobo/__init__.py                        |    1 -
- src/calibre/devices/smart_device_app/__init__.py            |    1 -
- src/calibre/devices/usbms/books.py                          |    1 -
- src/calibre/devices/winusb.py                               |    1 -
- src/calibre/ebooks/BeautifulSoup.py                         |    1 -
- src/calibre/ebooks/conversion/plugins/djvu_input.py         |    1 -
- src/calibre/ebooks/conversion/plugins/htmlz_input.py        |    1 -
- src/calibre/ebooks/conversion/plugins/htmlz_output.py       |    1 -
- src/calibre/ebooks/conversion/search_replace.py             |    1 -
- src/calibre/ebooks/epub/pages.py                            |    1 -
- src/calibre/ebooks/htmlz/oeb2html.py                        |    1 -
- src/calibre/ebooks/lrf/pylrs/pylrfopt.py                    |    1 -
- src/calibre/ebooks/metadata/book/serialize.py               |    2 --
- src/calibre/ebooks/metadata/kfx.py                          |    1 -
- src/calibre/ebooks/metadata/opf.py                          |    1 -
- src/calibre/ebooks/metadata/opf3.py                         |    1 -
- src/calibre/ebooks/metadata/opf_2_to_3.py                   |    1 -
- src/calibre/ebooks/metadata/plucker.py                      |    1 -
- src/calibre/ebooks/metadata/search_internet.py              |    1 -
- src/calibre/ebooks/metadata/snb.py                          |    1 -
- src/calibre/ebooks/oeb/polish/download.py                   |    1 -
- src/calibre/ebooks/oeb/polish/upgrade.py                    |    1 -
- src/calibre/ebooks/oeb/transforms/unsmarten.py              |    1 -
- src/calibre/ebooks/pdb/ereader/reader202.py                 |    1 -
- src/calibre/ebooks/pdb/header.py                            |    1 -
- src/calibre/ebooks/pdb/plucker/reader.py                    |    1 -
- src/calibre/ebooks/pdf/develop.py                           |    1 -
- src/calibre/ebooks/pdf/image_writer.py                      |    1 -
- src/calibre/ebooks/pdf/test_html_writer.py                  |    1 -
- src/calibre/ebooks/readability/debug.py                     |    1 -
- src/calibre/ebooks/render_html.py                           |    1 -
- src/calibre/gui2/actions/author_mapper.py                   |    1 -
- src/calibre/gui2/actions/store.py                           |    1 -
- src/calibre/gui2/actions/virtual_library.py                 |    2 --
- src/calibre/gui2/add_filters.py                             |    1 -
- src/calibre/gui2/author_mapper.py                           |    1 -
- src/calibre/gui2/changes.py                                 |    1 -
- src/calibre/gui2/convert/single.py                          |    1 -
- src/calibre/gui2/css_transform_rules.py                     |    1 -
- src/calibre/gui2/dialogs/choose_plugin_toolbars.py          |    1 -
- src/calibre/gui2/dialogs/restore_library.py                 |    1 -
- src/calibre/gui2/dialogs/saved_search_editor.py             |    1 -
- src/calibre/gui2/ebook_download.py                          |    1 -
- src/calibre/gui2/layout_menu.py                             |    1 -
- src/calibre/gui2/pin_columns.py                             |    1 -
- src/calibre/gui2/preferences/emailp.py                      |    1 -
- src/calibre/gui2/preferences/tweaks.py                      |    1 -
- src/calibre/gui2/progress_indicator/__init__.py             |    2 --
- src/calibre/gui2/qt_file_dialogs.py                         |    1 -
- src/calibre/gui2/splash_screen.py                           |    1 -
- src/calibre/gui2/store/__init__.py                          |    1 -
- src/calibre/gui2/store/basic_config.py                      |    1 -
- src/calibre/gui2/store/config/chooser/adv_search_builder.py |    1 -
- src/calibre/gui2/store/config/chooser/chooser_dialog.py     |    1 -
- src/calibre/gui2/store/config/chooser/chooser_widget.py     |    1 -
- src/calibre/gui2/store/config/chooser/models.py             |    1 -
- src/calibre/gui2/store/config/chooser/results_view.py       |    1 -
- src/calibre/gui2/store/config/search/search_widget.py       |    1 -
- src/calibre/gui2/store/config/store.py                      |    1 -
- src/calibre/gui2/store/opensearch_store.py                  |    1 -
- src/calibre/gui2/store/search/adv_search_builder.py         |    1 -
- src/calibre/gui2/store/search/download_thread.py            |    1 -
- src/calibre/gui2/store/search/models.py                     |    1 -
- src/calibre/gui2/store/search/results_view.py               |    1 -
- src/calibre/gui2/store/search/search.py                     |    1 -
- src/calibre/gui2/store/search_result.py                     |    1 -
- src/calibre/gui2/store/web_store.py                         |    1 -
- src/calibre/gui2/store/web_store_dialog.py                  |    1 -
- src/calibre/gui2/tag_mapper.py                              |    1 -
- src/calibre/gui2/toc/main.py                                |    1 -
- src/calibre/gui2/tweak_book/check_links.py                  |    1 -
- src/calibre/gui2/tweak_book/editor/comments.py              |    1 -
- src/calibre/gui2/tweak_book/text_search.py                  |    1 -
- src/calibre/gui2/viewer/annotations.py                      |    1 -
- src/calibre/gui2/viewer/bookmarks.py                        |    1 -
- src/calibre/gui2/viewer/convert_book.py                     |    1 -
- src/calibre/gui2/viewer/lookup.py                           |    1 -
- src/calibre/gui2/viewer/main.py                             |    1 -
- src/calibre/gui2/viewer/overlay.py                          |    1 -
- src/calibre/gui2/viewer/shortcuts.py                        |    1 -
- src/calibre/gui2/viewer/toc.py                              |    1 -
- src/calibre/gui2/viewer/toolbars.py                         |    1 -
- src/calibre/gui2/viewer/ui.py                               |    1 -
- src/calibre/gui2/viewer/web_view.py                         |    1 -
- src/calibre/gui2/webengine.py                               |    1 -
- src/calibre/gui2/widgets2.py                                |    1 -
- src/calibre/library/comments.py                             |    1 -
- src/calibre/srv/books.py                                    |    1 -
- src/calibre/srv/cdb.py                                      |    1 -
- src/calibre/srv/code.py                                     |    1 -
- src/calibre/srv/convert.py                                  |    1 -
- src/calibre/srv/legacy.py                                   |    1 -
- src/calibre/srv/library_broker.py                           |    1 -
- src/calibre/srv/render_book.py                              |    1 -
- src/calibre/srv/users_api.py                                |    1 -
- src/calibre/srv/web_socket.py                               |    1 -
- src/calibre/translations/msgfmt.py                          |    1 -
- src/calibre/utils/__init__.py                               |    1 -
- src/calibre/utils/file_type_icons.py                        |    1 -
- src/calibre/utils/fonts/sfnt/merge.py                       |    1 -
- src/calibre/utils/html2text.py                              |    1 -
- src/calibre/utils/network.py                                |    1 -
- src/calibre/utils/opensearch/description.py                 |    1 -
- src/calibre/utils/opensearch/query.py                       |    1 -
- src/calibre/utils/opensearch/url.py                         |    1 -
- src/calibre/utils/random_ua.py                              |    1 -
- src/calibre/utils/search_query_parser_test.py               |    1 -
- src/calibre/utils/smartypants.py                            |    1 -
- src/calibre/utils/speedups.py                               |    1 -
- src/calibre/utils/tdir_in_cache.py                          |    1 -
- src/calibre/utils/test_lock.py                              |    1 -
- src/calibre/utils/text2int.py                               |    1 -
- src/calibre/utils/unicode_names.py                          |    1 -
- src/calibre/utils/unsmarten.py                              |    1 -
- src/calibre/utils/windows/wintest.py                        |    1 -
- src/calibre/utils/wordcount.py                              |    1 -
- src/polyglot/binary.py                                      |    1 -
- src/polyglot/io.py                                          |    1 -
- src/polyglot/urllib.py                                      |    1 -
- src/tinycss/decoding.py                                     |    1 -
- src/tinycss/parsing.py                                      |    2 --
- src/tinycss/token_data.py                                   |    1 -
- src/tinycss/tokenizer.py                                    |    1 -
+ bypy/macos/__main__.py                                      | 4 +---
+ bypy/windows/__main__.py                                    | 1 -
+ manual/plugin_examples/webengine_demo/__init__.py           | 1 -
+ manual/plugin_examples/webengine_demo/main.py               | 1 -
+ setup/browser_data.py                                       | 1 -
+ setup/git_version.py                                        | 1 -
+ setup/install.py                                            | 1 -
+ setup/port.py                                               | 1 -
+ setup/publish.py                                            | 1 -
+ setup/test.py                                               | 1 -
+ setup/unix-ci.py                                            | 1 -
+ setup/win-ci.py                                             | 1 -
+ src/calibre/db/cli/__init__.py                              | 1 -
+ src/calibre/db/cli/cmd_add.py                               | 1 -
+ src/calibre/db/cli/cmd_add_custom_column.py                 | 1 -
+ src/calibre/db/cli/cmd_add_format.py                        | 1 -
+ src/calibre/db/cli/cmd_backup_metadata.py                   | 1 -
+ src/calibre/db/cli/cmd_catalog.py                           | 1 -
+ src/calibre/db/cli/cmd_check_library.py                     | 1 -
+ src/calibre/db/cli/cmd_clone.py                             | 1 -
+ src/calibre/db/cli/cmd_custom_columns.py                    | 1 -
+ src/calibre/db/cli/cmd_embed_metadata.py                    | 1 -
+ src/calibre/db/cli/cmd_export.py                            | 1 -
+ src/calibre/db/cli/cmd_list.py                              | 1 -
+ src/calibre/db/cli/cmd_list_categories.py                   | 1 -
+ src/calibre/db/cli/cmd_remove.py                            | 1 -
+ src/calibre/db/cli/cmd_remove_custom_column.py              | 1 -
+ src/calibre/db/cli/cmd_remove_format.py                     | 1 -
+ src/calibre/db/cli/cmd_restore_database.py                  | 1 -
+ src/calibre/db/cli/cmd_saved_searches.py                    | 1 -
+ src/calibre/db/cli/cmd_search.py                            | 1 -
+ src/calibre/db/cli/cmd_set_custom.py                        | 1 -
+ src/calibre/db/cli/cmd_set_metadata.py                      | 1 -
+ src/calibre/db/cli/cmd_show_metadata.py                     | 1 -
+ src/calibre/db/cli/utils.py                                 | 1 -
+ src/calibre/db/copy_to_library.py                           | 1 -
+ src/calibre/db/restore.py                                   | 1 -
+ src/calibre/devices/cli.py                                  | 1 -
+ src/calibre/devices/kindle/bookmark.py                      | 1 -
+ src/calibre/devices/kobo/__init__.py                        | 1 -
+ src/calibre/devices/smart_device_app/__init__.py            | 1 -
+ src/calibre/devices/usbms/books.py                          | 1 -
+ src/calibre/devices/winusb.py                               | 1 -
+ src/calibre/ebooks/BeautifulSoup.py                         | 1 -
+ src/calibre/ebooks/conversion/plugins/djvu_input.py         | 1 -
+ src/calibre/ebooks/conversion/plugins/htmlz_input.py        | 1 -
+ src/calibre/ebooks/conversion/plugins/htmlz_output.py       | 1 -
+ src/calibre/ebooks/conversion/search_replace.py             | 1 -
+ src/calibre/ebooks/epub/pages.py                            | 1 -
+ src/calibre/ebooks/htmlz/oeb2html.py                        | 1 -
+ src/calibre/ebooks/lrf/pylrs/pylrfopt.py                    | 1 -
+ src/calibre/ebooks/metadata/book/serialize.py               | 2 --
+ src/calibre/ebooks/metadata/kfx.py                          | 1 -
+ src/calibre/ebooks/metadata/opf.py                          | 1 -
+ src/calibre/ebooks/metadata/opf3.py                         | 1 -
+ src/calibre/ebooks/metadata/opf_2_to_3.py                   | 1 -
+ src/calibre/ebooks/metadata/plucker.py                      | 1 -
+ src/calibre/ebooks/metadata/search_internet.py              | 1 -
+ src/calibre/ebooks/metadata/snb.py                          | 1 -
+ src/calibre/ebooks/oeb/polish/download.py                   | 1 -
+ src/calibre/ebooks/oeb/polish/upgrade.py                    | 1 -
+ src/calibre/ebooks/oeb/transforms/unsmarten.py              | 1 -
+ src/calibre/ebooks/pdb/ereader/reader202.py                 | 1 -
+ src/calibre/ebooks/pdb/header.py                            | 1 -
+ src/calibre/ebooks/pdb/plucker/reader.py                    | 1 -
+ src/calibre/ebooks/pdf/develop.py                           | 1 -
+ src/calibre/ebooks/pdf/image_writer.py                      | 1 -
+ src/calibre/ebooks/pdf/test_html_writer.py                  | 1 -
+ src/calibre/ebooks/readability/debug.py                     | 1 -
+ src/calibre/ebooks/render_html.py                           | 1 -
+ src/calibre/gui2/actions/author_mapper.py                   | 1 -
+ src/calibre/gui2/actions/store.py                           | 1 -
+ src/calibre/gui2/actions/virtual_library.py                 | 2 --
+ src/calibre/gui2/add_filters.py                             | 1 -
+ src/calibre/gui2/author_mapper.py                           | 1 -
+ src/calibre/gui2/changes.py                                 | 1 -
+ src/calibre/gui2/convert/single.py                          | 1 -
+ src/calibre/gui2/css_transform_rules.py                     | 1 -
+ src/calibre/gui2/dialogs/choose_plugin_toolbars.py          | 1 -
+ src/calibre/gui2/dialogs/restore_library.py                 | 1 -
+ src/calibre/gui2/dialogs/saved_search_editor.py             | 1 -
+ src/calibre/gui2/ebook_download.py                          | 1 -
+ src/calibre/gui2/layout_menu.py                             | 1 -
+ src/calibre/gui2/pin_columns.py                             | 1 -
+ src/calibre/gui2/preferences/emailp.py                      | 1 -
+ src/calibre/gui2/preferences/tweaks.py                      | 1 -
+ src/calibre/gui2/progress_indicator/__init__.py             | 2 --
+ src/calibre/gui2/qt_file_dialogs.py                         | 1 -
+ src/calibre/gui2/splash_screen.py                           | 1 -
+ src/calibre/gui2/store/__init__.py                          | 1 -
+ src/calibre/gui2/store/basic_config.py                      | 1 -
+ src/calibre/gui2/store/config/chooser/adv_search_builder.py | 1 -
+ src/calibre/gui2/store/config/chooser/chooser_dialog.py     | 1 -
+ src/calibre/gui2/store/config/chooser/chooser_widget.py     | 1 -
+ src/calibre/gui2/store/config/chooser/models.py             | 1 -
+ src/calibre/gui2/store/config/chooser/results_view.py       | 1 -
+ src/calibre/gui2/store/config/search/search_widget.py       | 1 -
+ src/calibre/gui2/store/config/store.py                      | 1 -
+ src/calibre/gui2/store/opensearch_store.py                  | 1 -
+ src/calibre/gui2/store/search/adv_search_builder.py         | 1 -
+ src/calibre/gui2/store/search/download_thread.py            | 1 -
+ src/calibre/gui2/store/search/models.py                     | 1 -
+ src/calibre/gui2/store/search/results_view.py               | 1 -
+ src/calibre/gui2/store/search/search.py                     | 1 -
+ src/calibre/gui2/store/search_result.py                     | 1 -
+ src/calibre/gui2/store/web_store.py                         | 1 -
+ src/calibre/gui2/store/web_store_dialog.py                  | 1 -
+ src/calibre/gui2/tag_mapper.py                              | 1 -
+ src/calibre/gui2/toc/main.py                                | 1 -
+ src/calibre/gui2/tweak_book/check_links.py                  | 1 -
+ src/calibre/gui2/tweak_book/editor/comments.py              | 1 -
+ src/calibre/gui2/tweak_book/text_search.py                  | 1 -
+ src/calibre/gui2/viewer/annotations.py                      | 1 -
+ src/calibre/gui2/viewer/bookmarks.py                        | 1 -
+ src/calibre/gui2/viewer/convert_book.py                     | 1 -
+ src/calibre/gui2/viewer/lookup.py                           | 1 -
+ src/calibre/gui2/viewer/main.py                             | 1 -
+ src/calibre/gui2/viewer/overlay.py                          | 1 -
+ src/calibre/gui2/viewer/shortcuts.py                        | 1 -
+ src/calibre/gui2/viewer/toc.py                              | 1 -
+ src/calibre/gui2/viewer/toolbars.py                         | 1 -
+ src/calibre/gui2/viewer/ui.py                               | 1 -
+ src/calibre/gui2/viewer/web_view.py                         | 1 -
+ src/calibre/gui2/webengine.py                               | 1 -
+ src/calibre/gui2/widgets2.py                                | 1 -
+ src/calibre/library/comments.py                             | 1 -
+ src/calibre/srv/books.py                                    | 1 -
+ src/calibre/srv/cdb.py                                      | 1 -
+ src/calibre/srv/code.py                                     | 1 -
+ src/calibre/srv/convert.py                                  | 1 -
+ src/calibre/srv/legacy.py                                   | 1 -
+ src/calibre/srv/library_broker.py                           | 1 -
+ src/calibre/srv/render_book.py                              | 1 -
+ src/calibre/srv/users_api.py                                | 1 -
+ src/calibre/srv/web_socket.py                               | 1 -
+ src/calibre/translations/msgfmt.py                          | 1 -
+ src/calibre/utils/__init__.py                               | 1 -
+ src/calibre/utils/file_type_icons.py                        | 1 -
+ src/calibre/utils/fonts/sfnt/merge.py                       | 1 -
+ src/calibre/utils/html2text.py                              | 1 -
+ src/calibre/utils/network.py                                | 1 -
+ src/calibre/utils/opensearch/description.py                 | 1 -
+ src/calibre/utils/opensearch/query.py                       | 1 -
+ src/calibre/utils/opensearch/url.py                         | 1 -
+ src/calibre/utils/random_ua.py                              | 1 -
+ src/calibre/utils/search_query_parser_test.py               | 1 -
+ src/calibre/utils/smartypants.py                            | 1 -
+ src/calibre/utils/speedups.py                               | 1 -
+ src/calibre/utils/tdir_in_cache.py                          | 1 -
+ src/calibre/utils/test_lock.py                              | 1 -
+ src/calibre/utils/text2int.py                               | 1 -
+ src/calibre/utils/unicode_names.py                          | 1 -
+ src/calibre/utils/unsmarten.py                              | 1 -
+ src/calibre/utils/windows/wintest.py                        | 1 -
+ src/calibre/utils/wordcount.py                              | 1 -
+ src/polyglot/binary.py                                      | 1 -
+ src/polyglot/io.py                                          | 1 -
+ src/polyglot/urllib.py                                      | 1 -
+ src/tinycss/decoding.py                                     | 1 -
+ src/tinycss/parsing.py                                      | 2 --
+ src/tinycss/token_data.py                                   | 1 -
+ src/tinycss/tokenizer.py                                    | 1 -
  162 files changed, 1 insertion(+), 168 deletions(-)
 
-Index: b/bypy/macos/__main__.py
-===================================================================
+diff --git a/bypy/macos/__main__.py b/bypy/macos/__main__.py
+index 4f8b621b5d..f68d74622e 100644
 --- a/bypy/macos/__main__.py
 +++ b/bypy/macos/__main__.py
 @@ -2,8 +2,6 @@
@@ -190,8 +190,8 @@ Index: b/bypy/macos/__main__.py
                  'crypto.1.0.0', 'ssl.1.0.0', 'iconv.2',  # 'ltdl.7'
          ):
              print('\nAdding', x)
-Index: b/bypy/windows/__main__.py
-===================================================================
+diff --git a/bypy/windows/__main__.py b/bypy/windows/__main__.py
+index e0032c8670..07cfcfaacc 100644
 --- a/bypy/windows/__main__.py
 +++ b/bypy/windows/__main__.py
 @@ -3,7 +3,6 @@
@@ -202,8 +202,8 @@ Index: b/bypy/windows/__main__.py
  import errno
  import glob
  import os
-Index: b/manual/plugin_examples/webengine_demo/__init__.py
-===================================================================
+diff --git a/manual/plugin_examples/webengine_demo/__init__.py b/manual/plugin_examples/webengine_demo/__init__.py
+index 1270276351..7d8b4fdcc1 100644
 --- a/manual/plugin_examples/webengine_demo/__init__.py
 +++ b/manual/plugin_examples/webengine_demo/__init__.py
 @@ -3,7 +3,6 @@
@@ -214,8 +214,8 @@ Index: b/manual/plugin_examples/webengin
  # The class that all Interface Action plugin wrappers must inherit from
  from calibre.customize import InterfaceActionBase
  
-Index: b/manual/plugin_examples/webengine_demo/main.py
-===================================================================
+diff --git a/manual/plugin_examples/webengine_demo/main.py b/manual/plugin_examples/webengine_demo/main.py
+index 42fe1faad7..6a3c85485b 100644
 --- a/manual/plugin_examples/webengine_demo/main.py
 +++ b/manual/plugin_examples/webengine_demo/main.py
 @@ -3,7 +3,6 @@
@@ -226,8 +226,8 @@ Index: b/manual/plugin_examples/webengin
  from PyQt5.Qt import QUrl
  from PyQt5.QtWebEngineWidgets import QWebEngineView
  
-Index: b/setup/browser_data.py
-===================================================================
+diff --git a/setup/browser_data.py b/setup/browser_data.py
+index 6882649511..7646ea9da2 100644
 --- a/setup/browser_data.py
 +++ b/setup/browser_data.py
 @@ -3,7 +3,6 @@
@@ -238,8 +238,8 @@ Index: b/setup/browser_data.py
  import os
  import json
  import gzip
-Index: b/setup/git_version.py
-===================================================================
+diff --git a/setup/git_version.py b/setup/git_version.py
+index 787bfd5bee..21ceebfdb7 100755
 --- a/setup/git_version.py
 +++ b/setup/git_version.py
 @@ -3,7 +3,6 @@
@@ -250,8 +250,8 @@ Index: b/setup/git_version.py
  import re
  import subprocess
  
-Index: b/setup/install.py
-===================================================================
+diff --git a/setup/install.py b/setup/install.py
+index 15f1d47665..72d6a1849a 100644
 --- a/setup/install.py
 +++ b/setup/install.py
 @@ -3,7 +3,6 @@
@@ -262,8 +262,8 @@ Index: b/setup/install.py
  import atexit
  import glob
  import os
-Index: b/setup/port.py
-===================================================================
+diff --git a/setup/port.py b/setup/port.py
+index 8ee737d914..80f408cbd0 100644
 --- a/setup/port.py
 +++ b/setup/port.py
 @@ -3,7 +3,6 @@
@@ -274,8 +274,8 @@ Index: b/setup/port.py
  import errno
  import hashlib
  import json
-Index: b/setup/publish.py
-===================================================================
+diff --git a/setup/publish.py b/setup/publish.py
+index f9b8e381f3..9d8ea0f713 100644
 --- a/setup/publish.py
 +++ b/setup/publish.py
 @@ -2,7 +2,6 @@
@@ -286,8 +286,8 @@ Index: b/setup/publish.py
  __license__ = 'GPL v3'
  __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
  __docformat__ = 'restructuredtext en'
-Index: b/setup/test.py
-===================================================================
+diff --git a/setup/test.py b/setup/test.py
+index d333f2e06c..7f75840df1 100644
 --- a/setup/test.py
 +++ b/setup/test.py
 @@ -3,7 +3,6 @@
@@ -298,8 +298,8 @@ Index: b/setup/test.py
  import os
  import unittest
  
-Index: b/setup/unix-ci.py
-===================================================================
+diff --git a/setup/unix-ci.py b/setup/unix-ci.py
+index 2a10d6e431..381e66cc5c 100644
 --- a/setup/unix-ci.py
 +++ b/setup/unix-ci.py
 @@ -3,7 +3,6 @@
@@ -310,8 +310,8 @@ Index: b/setup/unix-ci.py
  import os
  import shlex
  import subprocess
-Index: b/setup/win-ci.py
-===================================================================
+diff --git a/setup/win-ci.py b/setup/win-ci.py
+index d97f584706..343f132384 100644
 --- a/setup/win-ci.py
 +++ b/setup/win-ci.py
 @@ -3,7 +3,6 @@
@@ -322,8 +322,8 @@ Index: b/setup/win-ci.py
  import io
  import os
  import subprocess
-Index: b/src/calibre/db/cli/__init__.py
-===================================================================
+diff --git a/src/calibre/db/cli/__init__.py b/src/calibre/db/cli/__init__.py
+index 45ef2b323c..3a8e513f2e 100644
 --- a/src/calibre/db/cli/__init__.py
 +++ b/src/calibre/db/cli/__init__.py
 @@ -3,7 +3,6 @@
@@ -334,8 +334,8 @@ Index: b/src/calibre/db/cli/__init__.py
  import importlib
  
  
-Index: b/src/calibre/db/cli/cmd_add.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_add.py b/src/calibre/db/cli/cmd_add.py
+index 6c13802b7a..ce95a751a1 100644
 --- a/src/calibre/db/cli/cmd_add.py
 +++ b/src/calibre/db/cli/cmd_add.py
 @@ -3,7 +3,6 @@
@@ -346,8 +346,8 @@ Index: b/src/calibre/db/cli/cmd_add.py
  import os
  import sys
  from contextlib import contextmanager
-Index: b/src/calibre/db/cli/cmd_add_custom_column.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_add_custom_column.py b/src/calibre/db/cli/cmd_add_custom_column.py
+index ca217d8607..a1ce639b9c 100644
 --- a/src/calibre/db/cli/cmd_add_custom_column.py
 +++ b/src/calibre/db/cli/cmd_add_custom_column.py
 @@ -3,7 +3,6 @@
@@ -358,8 +358,8 @@ Index: b/src/calibre/db/cli/cmd_add_cust
  import json
  
  from calibre import prints
-Index: b/src/calibre/db/cli/cmd_add_format.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_add_format.py b/src/calibre/db/cli/cmd_add_format.py
+index 39408b03ee..d0b25254a3 100644
 --- a/src/calibre/db/cli/cmd_add_format.py
 +++ b/src/calibre/db/cli/cmd_add_format.py
 @@ -3,7 +3,6 @@
@@ -370,8 +370,8 @@ Index: b/src/calibre/db/cli/cmd_add_form
  import os
  from io import BytesIO
  
-Index: b/src/calibre/db/cli/cmd_backup_metadata.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_backup_metadata.py b/src/calibre/db/cli/cmd_backup_metadata.py
+index a961d5bc6e..2edbbd55b4 100644
 --- a/src/calibre/db/cli/cmd_backup_metadata.py
 +++ b/src/calibre/db/cli/cmd_backup_metadata.py
 @@ -3,7 +3,6 @@
@@ -382,8 +382,8 @@ Index: b/src/calibre/db/cli/cmd_backup_m
  from calibre import prints
  
  readonly = True
-Index: b/src/calibre/db/cli/cmd_catalog.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_catalog.py b/src/calibre/db/cli/cmd_catalog.py
+index c4b7456681..128ed9e7da 100644
 --- a/src/calibre/db/cli/cmd_catalog.py
 +++ b/src/calibre/db/cli/cmd_catalog.py
 @@ -3,7 +3,6 @@
@@ -394,8 +394,8 @@ Index: b/src/calibre/db/cli/cmd_catalog.
  import os
  
  from calibre.customize.ui import available_catalog_formats, plugin_for_catalog_format
-Index: b/src/calibre/db/cli/cmd_check_library.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_check_library.py b/src/calibre/db/cli/cmd_check_library.py
+index 29a08b0755..895870b7e4 100644
 --- a/src/calibre/db/cli/cmd_check_library.py
 +++ b/src/calibre/db/cli/cmd_check_library.py
 @@ -3,7 +3,6 @@
@@ -406,8 +406,8 @@ Index: b/src/calibre/db/cli/cmd_check_li
  import csv
  import sys
  
-Index: b/src/calibre/db/cli/cmd_clone.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_clone.py b/src/calibre/db/cli/cmd_clone.py
+index 3d66fa5710..f6f5c7c9bd 100644
 --- a/src/calibre/db/cli/cmd_clone.py
 +++ b/src/calibre/db/cli/cmd_clone.py
 @@ -3,7 +3,6 @@
@@ -418,8 +418,8 @@ Index: b/src/calibre/db/cli/cmd_clone.py
  import os
  
  from calibre import patheq
-Index: b/src/calibre/db/cli/cmd_custom_columns.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_custom_columns.py b/src/calibre/db/cli/cmd_custom_columns.py
+index adeb142028..115b6733fc 100644
 --- a/src/calibre/db/cli/cmd_custom_columns.py
 +++ b/src/calibre/db/cli/cmd_custom_columns.py
 @@ -3,7 +3,6 @@
@@ -430,8 +430,8 @@ Index: b/src/calibre/db/cli/cmd_custom_c
  from pprint import pformat
  
  from calibre import prints
-Index: b/src/calibre/db/cli/cmd_embed_metadata.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_embed_metadata.py b/src/calibre/db/cli/cmd_embed_metadata.py
+index fc5378a483..c0aab6378c 100644
 --- a/src/calibre/db/cli/cmd_embed_metadata.py
 +++ b/src/calibre/db/cli/cmd_embed_metadata.py
 @@ -3,7 +3,6 @@
@@ -442,8 +442,8 @@ Index: b/src/calibre/db/cli/cmd_embed_me
  from calibre import prints
  from calibre.db.cli import integers_from_string
  from calibre.srv.changes import formats_added
-Index: b/src/calibre/db/cli/cmd_export.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_export.py b/src/calibre/db/cli/cmd_export.py
+index b0a778e270..4630291fe5 100644
 --- a/src/calibre/db/cli/cmd_export.py
 +++ b/src/calibre/db/cli/cmd_export.py
 @@ -3,7 +3,6 @@
@@ -454,8 +454,8 @@ Index: b/src/calibre/db/cli/cmd_export.p
  import os
  
  from calibre.db.cli import integers_from_string
-Index: b/src/calibre/db/cli/cmd_list.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_list.py b/src/calibre/db/cli/cmd_list.py
+index 79655632c8..1fde960b7a 100644
 --- a/src/calibre/db/cli/cmd_list.py
 +++ b/src/calibre/db/cli/cmd_list.py
 @@ -3,7 +3,6 @@
@@ -466,8 +466,8 @@ Index: b/src/calibre/db/cli/cmd_list.py
  import json
  import os
  import sys
-Index: b/src/calibre/db/cli/cmd_list_categories.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_list_categories.py b/src/calibre/db/cli/cmd_list_categories.py
+index 6ba23754d5..da94ef0fe9 100644
 --- a/src/calibre/db/cli/cmd_list_categories.py
 +++ b/src/calibre/db/cli/cmd_list_categories.py
 @@ -3,7 +3,6 @@
@@ -478,8 +478,8 @@ Index: b/src/calibre/db/cli/cmd_list_cat
  import csv
  import sys
  from textwrap import TextWrapper
-Index: b/src/calibre/db/cli/cmd_remove.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_remove.py b/src/calibre/db/cli/cmd_remove.py
+index 01daf54b63..f60e8ee031 100644
 --- a/src/calibre/db/cli/cmd_remove.py
 +++ b/src/calibre/db/cli/cmd_remove.py
 @@ -3,7 +3,6 @@
@@ -490,8 +490,8 @@ Index: b/src/calibre/db/cli/cmd_remove.p
  from calibre.db.cli import integers_from_string
  from calibre.db.delete_service import delete_service
  from calibre.srv.changes import books_deleted
-Index: b/src/calibre/db/cli/cmd_remove_custom_column.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_remove_custom_column.py b/src/calibre/db/cli/cmd_remove_custom_column.py
+index 534ba204f5..dbbf18a7af 100644
 --- a/src/calibre/db/cli/cmd_remove_custom_column.py
 +++ b/src/calibre/db/cli/cmd_remove_custom_column.py
 @@ -3,7 +3,6 @@
@@ -502,8 +502,8 @@ Index: b/src/calibre/db/cli/cmd_remove_c
  import sys
  from calibre import prints
  from calibre.db.legacy import LibraryDatabase
-Index: b/src/calibre/db/cli/cmd_remove_format.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_remove_format.py b/src/calibre/db/cli/cmd_remove_format.py
+index b360e2f43c..afe75c6b79 100644
 --- a/src/calibre/db/cli/cmd_remove_format.py
 +++ b/src/calibre/db/cli/cmd_remove_format.py
 @@ -3,7 +3,6 @@
@@ -514,8 +514,8 @@ Index: b/src/calibre/db/cli/cmd_remove_f
  from calibre.db.delete_service import delete_service
  from calibre.srv.changes import formats_removed
  
-Index: b/src/calibre/db/cli/cmd_restore_database.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_restore_database.py b/src/calibre/db/cli/cmd_restore_database.py
+index c2d854cc81..a07aa16222 100644
 --- a/src/calibre/db/cli/cmd_restore_database.py
 +++ b/src/calibre/db/cli/cmd_restore_database.py
 @@ -3,7 +3,6 @@
@@ -526,8 +526,8 @@ Index: b/src/calibre/db/cli/cmd_restore_
  from calibre import prints
  from calibre.db.restore import Restore
  
-Index: b/src/calibre/db/cli/cmd_saved_searches.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_saved_searches.py b/src/calibre/db/cli/cmd_saved_searches.py
+index b8360f3e38..6008fac18e 100644
 --- a/src/calibre/db/cli/cmd_saved_searches.py
 +++ b/src/calibre/db/cli/cmd_saved_searches.py
 @@ -3,7 +3,6 @@
@@ -538,8 +538,8 @@ Index: b/src/calibre/db/cli/cmd_saved_se
  readonly = False
  version = 0  # change this if you change signature of implementation()
  
-Index: b/src/calibre/db/cli/cmd_search.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_search.py b/src/calibre/db/cli/cmd_search.py
+index 31a46f3630..e386077b9a 100644
 --- a/src/calibre/db/cli/cmd_search.py
 +++ b/src/calibre/db/cli/cmd_search.py
 @@ -3,7 +3,6 @@
@@ -550,8 +550,8 @@ Index: b/src/calibre/db/cli/cmd_search.p
  from calibre import prints
  
  readonly = True
-Index: b/src/calibre/db/cli/cmd_set_custom.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_set_custom.py b/src/calibre/db/cli/cmd_set_custom.py
+index 4c184c4697..b40fb887bf 100644
 --- a/src/calibre/db/cli/cmd_set_custom.py
 +++ b/src/calibre/db/cli/cmd_set_custom.py
 @@ -3,7 +3,6 @@
@@ -562,8 +562,8 @@ Index: b/src/calibre/db/cli/cmd_set_cust
  from calibre import prints
  from calibre.db import _get_series_values
  from calibre.srv.changes import metadata
-Index: b/src/calibre/db/cli/cmd_set_metadata.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_set_metadata.py b/src/calibre/db/cli/cmd_set_metadata.py
+index b48f153039..6e90d2d10b 100644
 --- a/src/calibre/db/cli/cmd_set_metadata.py
 +++ b/src/calibre/db/cli/cmd_set_metadata.py
 @@ -3,7 +3,6 @@
@@ -574,8 +574,8 @@ Index: b/src/calibre/db/cli/cmd_set_meta
  import os
  
  from calibre import prints
-Index: b/src/calibre/db/cli/cmd_show_metadata.py
-===================================================================
+diff --git a/src/calibre/db/cli/cmd_show_metadata.py b/src/calibre/db/cli/cmd_show_metadata.py
+index 36177639c8..e9743efd2f 100644
 --- a/src/calibre/db/cli/cmd_show_metadata.py
 +++ b/src/calibre/db/cli/cmd_show_metadata.py
 @@ -3,7 +3,6 @@
@@ -586,8 +586,8 @@ Index: b/src/calibre/db/cli/cmd_show_met
  import sys
  
  from calibre import prints
-Index: b/src/calibre/db/cli/utils.py
-===================================================================
+diff --git a/src/calibre/db/cli/utils.py b/src/calibre/db/cli/utils.py
+index 2825a5dff0..175cd7582f 100644
 --- a/src/calibre/db/cli/utils.py
 +++ b/src/calibre/db/cli/utils.py
 @@ -3,7 +3,6 @@
@@ -598,8 +598,8 @@ Index: b/src/calibre/db/cli/utils.py
  from polyglot.builtins import map
  
  import unicodedata
-Index: b/src/calibre/db/copy_to_library.py
-===================================================================
+diff --git a/src/calibre/db/copy_to_library.py b/src/calibre/db/copy_to_library.py
+index caeb86bc9d..9a9adeaed9 100644
 --- a/src/calibre/db/copy_to_library.py
 +++ b/src/calibre/db/copy_to_library.py
 @@ -3,7 +3,6 @@
@@ -610,8 +610,8 @@ Index: b/src/calibre/db/copy_to_library.
  from calibre.db.utils import find_identical_books
  from calibre.utils.config import tweaks
  from calibre.utils.date import now
-Index: b/src/calibre/db/restore.py
-===================================================================
+diff --git a/src/calibre/db/restore.py b/src/calibre/db/restore.py
+index 0840bb0470..d44f220e41 100644
 --- a/src/calibre/db/restore.py
 +++ b/src/calibre/db/restore.py
 @@ -2,7 +2,6 @@
@@ -622,8 +622,8 @@ Index: b/src/calibre/db/restore.py
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/devices/cli.py
-===================================================================
+diff --git a/src/calibre/devices/cli.py b/src/calibre/devices/cli.py
+index 1d8b465b5c..20201d4f6d 100755
 --- a/src/calibre/devices/cli.py
 +++ b/src/calibre/devices/cli.py
 @@ -1,7 +1,6 @@
@@ -634,8 +634,8 @@ Index: b/src/calibre/devices/cli.py
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal <kovid at kovidgoyal.net>'
  """
-Index: b/src/calibre/devices/kindle/bookmark.py
-===================================================================
+diff --git a/src/calibre/devices/kindle/bookmark.py b/src/calibre/devices/kindle/bookmark.py
+index 2537906773..5d690f170e 100644
 --- a/src/calibre/devices/kindle/bookmark.py
 +++ b/src/calibre/devices/kindle/bookmark.py
 @@ -1,7 +1,6 @@
@@ -646,8 +646,8 @@ Index: b/src/calibre/devices/kindle/book
  __license__   = 'GPL v3'
  __docformat__ = 'restructuredtext en'
  
-Index: b/src/calibre/devices/kobo/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/kobo/__init__.py b/src/calibre/devices/kobo/__init__.py
+index b09471af7e..c227aeaca5 100644
 --- a/src/calibre/devices/kobo/__init__.py
 +++ b/src/calibre/devices/kobo/__init__.py
 @@ -2,7 +2,6 @@
@@ -658,8 +658,8 @@ Index: b/src/calibre/devices/kobo/__init
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/devices/smart_device_app/__init__.py
-===================================================================
+diff --git a/src/calibre/devices/smart_device_app/__init__.py b/src/calibre/devices/smart_device_app/__init__.py
+index b09471af7e..c227aeaca5 100644
 --- a/src/calibre/devices/smart_device_app/__init__.py
 +++ b/src/calibre/devices/smart_device_app/__init__.py
 @@ -2,7 +2,6 @@
@@ -670,8 +670,8 @@ Index: b/src/calibre/devices/smart_devic
  __license__   = 'GPL v3'
  __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/devices/usbms/books.py
-===================================================================
+diff --git a/src/calibre/devices/usbms/books.py b/src/calibre/devices/usbms/books.py
+index 692190c1b6..4f530f38cf 100644
 --- a/src/calibre/devices/usbms/books.py
 +++ b/src/calibre/devices/usbms/books.py
 @@ -1,7 +1,6 @@
@@ -682,8 +682,8 @@ Index: b/src/calibre/devices/usbms/books
  __license__ = 'GPL 3'
  __copyright__ = '2009, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/devices/winusb.py
-===================================================================
+diff --git a/src/calibre/devices/winusb.py b/src/calibre/devices/winusb.py
+index 207507d323..740b51f924 100644
 --- a/src/calibre/devices/winusb.py
 +++ b/src/calibre/devices/winusb.py
 @@ -3,7 +3,6 @@
@@ -694,8 +694,8 @@ Index: b/src/calibre/devices/winusb.py
  import os, string, re, sys
  from collections import namedtuple, defaultdict
  from operator import itemgetter
-Index: b/src/calibre/ebooks/BeautifulSoup.py
-===================================================================
+diff --git a/src/calibre/ebooks/BeautifulSoup.py b/src/calibre/ebooks/BeautifulSoup.py
+index ed0a43b4f1..ac445ad6b6 100644
 --- a/src/calibre/ebooks/BeautifulSoup.py
 +++ b/src/calibre/ebooks/BeautifulSoup.py
 @@ -3,7 +3,6 @@
@@ -706,8 +706,8 @@ Index: b/src/calibre/ebooks/BeautifulSou
  import bs4
  from bs4 import (  # noqa
      CData, Comment, Declaration, NavigableString, ProcessingInstruction,
-Index: b/src/calibre/ebooks/conversion/plugins/djvu_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/djvu_input.py b/src/calibre/ebooks/conversion/plugins/djvu_input.py
+index d9d22cf6b9..f3f0b132f2 100644
 --- a/src/calibre/ebooks/conversion/plugins/djvu_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/djvu_input.py
 @@ -1,7 +1,6 @@
@@ -718,8 +718,8 @@ Index: b/src/calibre/ebooks/conversion/p
  __license__ = 'GPL 3'
  __copyright__ = '2011, Anthon van der Neut <anthon@mnt.org>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/ebooks/conversion/plugins/htmlz_input.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/htmlz_input.py b/src/calibre/ebooks/conversion/plugins/htmlz_input.py
+index 05c6f52faa..b773b925ee 100644
 --- a/src/calibre/ebooks/conversion/plugins/htmlz_input.py
 +++ b/src/calibre/ebooks/conversion/plugins/htmlz_input.py
 @@ -1,7 +1,6 @@
@@ -730,8 +730,8 @@ Index: b/src/calibre/ebooks/conversion/p
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/ebooks/conversion/plugins/htmlz_output.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/plugins/htmlz_output.py b/src/calibre/ebooks/conversion/plugins/htmlz_output.py
+index ee63954dd8..88b9f6b1e8 100644
 --- a/src/calibre/ebooks/conversion/plugins/htmlz_output.py
 +++ b/src/calibre/ebooks/conversion/plugins/htmlz_output.py
 @@ -1,7 +1,6 @@
@@ -742,8 +742,8 @@ Index: b/src/calibre/ebooks/conversion/p
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/ebooks/conversion/search_replace.py
-===================================================================
+diff --git a/src/calibre/ebooks/conversion/search_replace.py b/src/calibre/ebooks/conversion/search_replace.py
+index f7226fa2a2..62d180cc26 100644
 --- a/src/calibre/ebooks/conversion/search_replace.py
 +++ b/src/calibre/ebooks/conversion/search_replace.py
 @@ -3,7 +3,6 @@
@@ -754,11 +754,11 @@ Index: b/src/calibre/ebooks/conversion/s
  import regex
  
  REGEX_FLAGS = regex.VERSION1 | regex.WORD | regex.FULLCASE | regex.MULTILINE | regex.UNICODE
-Index: b/src/calibre/ebooks/epub/pages.py
-===================================================================
+diff --git a/src/calibre/ebooks/epub/pages.py b/src/calibre/ebooks/epub/pages.py
+index d1eb64d90e..ed824d0a44 100644
 --- a/src/calibre/ebooks/epub/pages.py
 +++ b/src/calibre/ebooks/epub/pages.py
-@@ -3,7 +3,6 @@ Add page mapping information to an EPUB
+@@ -3,7 +3,6 @@ Add page mapping information to an EPUB book.
  '''
  
  
@@ -766,8 +766,8 @@ Index: b/src/calibre/ebooks/epub/pages.p
  __license__   = 'GPL v3'
  __copyright__ = '2008, Marshall T. Vandegrift <llasram@gmail.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/ebooks/htmlz/oeb2html.py
-===================================================================
+diff --git a/src/calibre/ebooks/htmlz/oeb2html.py b/src/calibre/ebooks/htmlz/oeb2html.py
+index 71bbafc41d..0fcf6a67d4 100644
 --- a/src/calibre/ebooks/htmlz/oeb2html.py
 +++ b/src/calibre/ebooks/htmlz/oeb2html.py
 @@ -1,7 +1,6 @@
@@ -778,8 +778,8 @@ Index: b/src/calibre/ebooks/htmlz/oeb2ht
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/ebooks/lrf/pylrs/pylrfopt.py
-===================================================================
+diff --git a/src/calibre/ebooks/lrf/pylrs/pylrfopt.py b/src/calibre/ebooks/lrf/pylrs/pylrfopt.py
+index 1ddf80d556..00167e8c2d 100644
 --- a/src/calibre/ebooks/lrf/pylrs/pylrfopt.py
 +++ b/src/calibre/ebooks/lrf/pylrs/pylrfopt.py
 @@ -1,6 +1,5 @@
@@ -789,8 +789,8 @@ Index: b/src/calibre/ebooks/lrf/pylrs/py
  def _optimize(tagList, tagName, conversion):
      # copy the tag of interest plus any text
      newTagList = []
-Index: b/src/calibre/ebooks/metadata/book/serialize.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/book/serialize.py b/src/calibre/ebooks/metadata/book/serialize.py
+index 12a76c18dc..48f54d9fa5 100644
 --- a/src/calibre/ebooks/metadata/book/serialize.py
 +++ b/src/calibre/ebooks/metadata/book/serialize.py
 @@ -3,8 +3,6 @@
@@ -802,8 +802,8 @@ Index: b/src/calibre/ebooks/metadata/boo
  from calibre.constants import preferred_encoding
  from calibre.ebooks.metadata.book import SERIALIZABLE_FIELDS
  from calibre.ebooks.metadata.book.base import Metadata
-Index: b/src/calibre/ebooks/metadata/kfx.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/kfx.py b/src/calibre/ebooks/metadata/kfx.py
+index 7de15265af..4029814071 100644
 --- a/src/calibre/ebooks/metadata/kfx.py
 +++ b/src/calibre/ebooks/metadata/kfx.py
 @@ -3,7 +3,6 @@
@@ -814,8 +814,8 @@ Index: b/src/calibre/ebooks/metadata/kfx
  # Based on work of John Howell reversing the KFX format
  # https://www.mobileread.com/forums/showpost.php?p=3176029&postcount=89
  
-Index: b/src/calibre/ebooks/metadata/opf.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/opf.py b/src/calibre/ebooks/metadata/opf.py
+index 081af8f140..2d9abdd0ec 100644
 --- a/src/calibre/ebooks/metadata/opf.py
 +++ b/src/calibre/ebooks/metadata/opf.py
 @@ -3,7 +3,6 @@
@@ -826,8 +826,8 @@ Index: b/src/calibre/ebooks/metadata/opf
  from lxml import etree
  
  from calibre.ebooks.metadata.opf2 import OPF, pretty_print
-Index: b/src/calibre/ebooks/metadata/opf3.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/opf3.py b/src/calibre/ebooks/metadata/opf3.py
+index e09efb4346..97d87f1d19 100644
 --- a/src/calibre/ebooks/metadata/opf3.py
 +++ b/src/calibre/ebooks/metadata/opf3.py
 @@ -3,7 +3,6 @@
@@ -838,8 +838,8 @@ Index: b/src/calibre/ebooks/metadata/opf
  import json
  import re
  from collections import defaultdict, namedtuple
-Index: b/src/calibre/ebooks/metadata/opf_2_to_3.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/opf_2_to_3.py b/src/calibre/ebooks/metadata/opf_2_to_3.py
+index 601effd9f5..5dcf0df419 100644
 --- a/src/calibre/ebooks/metadata/opf_2_to_3.py
 +++ b/src/calibre/ebooks/metadata/opf_2_to_3.py
 @@ -3,7 +3,6 @@
@@ -850,8 +850,8 @@ Index: b/src/calibre/ebooks/metadata/opf
  from lxml import etree
  
  from calibre.ebooks.metadata.opf3 import (
-Index: b/src/calibre/ebooks/metadata/plucker.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/plucker.py b/src/calibre/ebooks/metadata/plucker.py
+index 3fe3b0e6ff..89deaa40a6 100644
 --- a/src/calibre/ebooks/metadata/plucker.py
 +++ b/src/calibre/ebooks/metadata/plucker.py
 @@ -1,7 +1,6 @@
@@ -862,8 +862,8 @@ Index: b/src/calibre/ebooks/metadata/plu
  '''
  Read meta information from Plucker pdb files.
  '''
-Index: b/src/calibre/ebooks/metadata/search_internet.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/search_internet.py b/src/calibre/ebooks/metadata/search_internet.py
+index 6a46b0daf9..0b2d553cd4 100644
 --- a/src/calibre/ebooks/metadata/search_internet.py
 +++ b/src/calibre/ebooks/metadata/search_internet.py
 @@ -3,7 +3,6 @@
@@ -874,8 +874,8 @@ Index: b/src/calibre/ebooks/metadata/sea
  from polyglot.builtins import iteritems
  from polyglot.urllib import quote, quote_plus
  
-Index: b/src/calibre/ebooks/metadata/snb.py
-===================================================================
+diff --git a/src/calibre/ebooks/metadata/snb.py b/src/calibre/ebooks/metadata/snb.py
+index fee88a0d3b..b17a689bd2 100644
 --- a/src/calibre/ebooks/metadata/snb.py
 +++ b/src/calibre/ebooks/metadata/snb.py
 @@ -1,7 +1,6 @@
@@ -886,8 +886,8 @@ Index: b/src/calibre/ebooks/metadata/snb
  __license__   = 'GPL v3'
  __copyright__ = '2010, Li Fanxi <lifanxi@freemindworld.com>'
  
-Index: b/src/calibre/ebooks/oeb/polish/download.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/download.py b/src/calibre/ebooks/oeb/polish/download.py
+index fa5891fbd1..e2c5627698 100644
 --- a/src/calibre/ebooks/oeb/polish/download.py
 +++ b/src/calibre/ebooks/oeb/polish/download.py
 @@ -3,7 +3,6 @@
@@ -898,8 +898,8 @@ Index: b/src/calibre/ebooks/oeb/polish/d
  import cgi
  import mimetypes
  import os
-Index: b/src/calibre/ebooks/oeb/polish/upgrade.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/polish/upgrade.py b/src/calibre/ebooks/oeb/polish/upgrade.py
+index 0385bed485..e98a8d8471 100644
 --- a/src/calibre/ebooks/oeb/polish/upgrade.py
 +++ b/src/calibre/ebooks/oeb/polish/upgrade.py
 @@ -3,7 +3,6 @@
@@ -910,8 +910,8 @@ Index: b/src/calibre/ebooks/oeb/polish/u
  import sys
  
  from calibre.ebooks.metadata.opf_2_to_3 import upgrade_metadata
-Index: b/src/calibre/ebooks/oeb/transforms/unsmarten.py
-===================================================================
+diff --git a/src/calibre/ebooks/oeb/transforms/unsmarten.py b/src/calibre/ebooks/oeb/transforms/unsmarten.py
+index e247309df2..ea7d40c846 100644
 --- a/src/calibre/ebooks/oeb/transforms/unsmarten.py
 +++ b/src/calibre/ebooks/oeb/transforms/unsmarten.py
 @@ -1,7 +1,6 @@
@@ -922,8 +922,8 @@ Index: b/src/calibre/ebooks/oeb/transfor
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/ebooks/pdb/ereader/reader202.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/ereader/reader202.py b/src/calibre/ebooks/pdb/ereader/reader202.py
+index a970d15c8a..63c5f73aa7 100644
 --- a/src/calibre/ebooks/pdb/ereader/reader202.py
 +++ b/src/calibre/ebooks/pdb/ereader/reader202.py
 @@ -1,7 +1,6 @@
@@ -934,8 +934,8 @@ Index: b/src/calibre/ebooks/pdb/ereader/
  '''
  Read content from ereader pdb file with a 116 and 202 byte header created by Makebook.
  '''
-Index: b/src/calibre/ebooks/pdb/header.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/header.py b/src/calibre/ebooks/pdb/header.py
+index 8194175f95..ab3fb04b30 100644
 --- a/src/calibre/ebooks/pdb/header.py
 +++ b/src/calibre/ebooks/pdb/header.py
 @@ -1,7 +1,6 @@
@@ -946,8 +946,8 @@ Index: b/src/calibre/ebooks/pdb/header.p
  '''
  Read the header data from a pdb file.
  '''
-Index: b/src/calibre/ebooks/pdb/plucker/reader.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdb/plucker/reader.py b/src/calibre/ebooks/pdb/plucker/reader.py
+index b92dd6a8e2..d23e362066 100644
 --- a/src/calibre/ebooks/pdb/plucker/reader.py
 +++ b/src/calibre/ebooks/pdb/plucker/reader.py
 @@ -1,7 +1,6 @@
@@ -958,8 +958,8 @@ Index: b/src/calibre/ebooks/pdb/plucker/
  __license__   = 'GPL v3'
  __copyright__ = '20011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/ebooks/pdf/develop.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/develop.py b/src/calibre/ebooks/pdf/develop.py
+index 67ad81f2c9..eaae643668 100644
 --- a/src/calibre/ebooks/pdf/develop.py
 +++ b/src/calibre/ebooks/pdf/develop.py
 @@ -3,7 +3,6 @@
@@ -970,8 +970,8 @@ Index: b/src/calibre/ebooks/pdf/develop.
  import sys
  
  from PyQt5.Qt import QApplication, QUrl, QPageLayout, QPageSize, QMarginsF
-Index: b/src/calibre/ebooks/pdf/image_writer.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/image_writer.py b/src/calibre/ebooks/pdf/image_writer.py
+index 51bb7439c1..5632252672 100644
 --- a/src/calibre/ebooks/pdf/image_writer.py
 +++ b/src/calibre/ebooks/pdf/image_writer.py
 @@ -3,7 +3,6 @@
@@ -982,8 +982,8 @@ Index: b/src/calibre/ebooks/pdf/image_wr
  from PyQt5.Qt import QMarginsF, QPageLayout, QPageSize, QSize
  
  from calibre.constants import filesystem_encoding
-Index: b/src/calibre/ebooks/pdf/test_html_writer.py
-===================================================================
+diff --git a/src/calibre/ebooks/pdf/test_html_writer.py b/src/calibre/ebooks/pdf/test_html_writer.py
+index 4527f0295d..251dd7f5d9 100644
 --- a/src/calibre/ebooks/pdf/test_html_writer.py
 +++ b/src/calibre/ebooks/pdf/test_html_writer.py
 @@ -3,7 +3,6 @@
@@ -994,8 +994,8 @@ Index: b/src/calibre/ebooks/pdf/test_htm
  import unittest
  from .html_writer import merge_w_arrays, merge_cmaps
  
-Index: b/src/calibre/ebooks/readability/debug.py
-===================================================================
+diff --git a/src/calibre/ebooks/readability/debug.py b/src/calibre/ebooks/readability/debug.py
+index 1a74948ba5..bc51815909 100644
 --- a/src/calibre/ebooks/readability/debug.py
 +++ b/src/calibre/ebooks/readability/debug.py
 @@ -1,6 +1,5 @@
@@ -1005,8 +1005,8 @@ Index: b/src/calibre/ebooks/readability/
  def save_to_file(text, filename):
      with open(filename, 'wb') as f:
          f.write(b'<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />')
-Index: b/src/calibre/ebooks/render_html.py
-===================================================================
+diff --git a/src/calibre/ebooks/render_html.py b/src/calibre/ebooks/render_html.py
+index 4b6858d950..f18eb3caab 100644
 --- a/src/calibre/ebooks/render_html.py
 +++ b/src/calibre/ebooks/render_html.py
 @@ -3,7 +3,6 @@
@@ -1017,8 +1017,8 @@ Index: b/src/calibre/ebooks/render_html.
  import os
  import sys
  
-Index: b/src/calibre/gui2/actions/author_mapper.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/author_mapper.py b/src/calibre/gui2/actions/author_mapper.py
+index 8fd4c658bf..9e7443f4ea 100644
 --- a/src/calibre/gui2/actions/author_mapper.py
 +++ b/src/calibre/gui2/actions/author_mapper.py
 @@ -3,7 +3,6 @@
@@ -1029,8 +1029,8 @@ Index: b/src/calibre/gui2/actions/author
  from calibre.gui2 import gprefs
  from calibre.gui2.actions import InterfaceAction
  from polyglot.builtins import iteritems, map, range
-Index: b/src/calibre/gui2/actions/store.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/store.py b/src/calibre/gui2/actions/store.py
+index 5d4681b5e5..a10deba24c 100644
 --- a/src/calibre/gui2/actions/store.py
 +++ b/src/calibre/gui2/actions/store.py
 @@ -1,7 +1,6 @@
@@ -1041,8 +1041,8 @@ Index: b/src/calibre/gui2/actions/store.
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/actions/virtual_library.py
-===================================================================
+diff --git a/src/calibre/gui2/actions/virtual_library.py b/src/calibre/gui2/actions/virtual_library.py
+index c17b08b49e..517cbf70a2 100644
 --- a/src/calibre/gui2/actions/virtual_library.py
 +++ b/src/calibre/gui2/actions/virtual_library.py
 @@ -2,8 +2,6 @@
@@ -1054,8 +1054,8 @@ Index: b/src/calibre/gui2/actions/virtua
  from PyQt5.Qt import QToolButton, QAction
  
  from calibre.gui2.actions import InterfaceAction
-Index: b/src/calibre/gui2/add_filters.py
-===================================================================
+diff --git a/src/calibre/gui2/add_filters.py b/src/calibre/gui2/add_filters.py
+index 06bbea5e42..9be6a323b7 100644
 --- a/src/calibre/gui2/add_filters.py
 +++ b/src/calibre/gui2/add_filters.py
 @@ -3,7 +3,6 @@
@@ -1066,8 +1066,8 @@ Index: b/src/calibre/gui2/add_filters.py
  from collections import OrderedDict
  from polyglot.builtins import map, unicode_type
  
-Index: b/src/calibre/gui2/author_mapper.py
-===================================================================
+diff --git a/src/calibre/gui2/author_mapper.py b/src/calibre/gui2/author_mapper.py
+index 0d5a436814..322cc415b3 100644
 --- a/src/calibre/gui2/author_mapper.py
 +++ b/src/calibre/gui2/author_mapper.py
 @@ -3,7 +3,6 @@
@@ -1078,8 +1078,8 @@ Index: b/src/calibre/gui2/author_mapper.
  from collections import OrderedDict
  
  from calibre.ebooks.metadata import authors_to_string, string_to_authors
-Index: b/src/calibre/gui2/changes.py
-===================================================================
+diff --git a/src/calibre/gui2/changes.py b/src/calibre/gui2/changes.py
+index 6a49327eda..29f05f8800 100644
 --- a/src/calibre/gui2/changes.py
 +++ b/src/calibre/gui2/changes.py
 @@ -3,7 +3,6 @@
@@ -1090,8 +1090,8 @@ Index: b/src/calibre/gui2/changes.py
  from calibre.srv.changes import (
      BooksAdded, BooksDeleted, FormatsAdded, FormatsRemoved, MetadataChanged,
      SavedSearchesChanged
-Index: b/src/calibre/gui2/convert/single.py
-===================================================================
+diff --git a/src/calibre/gui2/convert/single.py b/src/calibre/gui2/convert/single.py
+index 6d0d5240a6..bba385a0b9 100644
 --- a/src/calibre/gui2/convert/single.py
 +++ b/src/calibre/gui2/convert/single.py
 @@ -3,7 +3,6 @@
@@ -1102,8 +1102,8 @@ Index: b/src/calibre/gui2/convert/single
  import shutil
  
  from PyQt5.Qt import (
-Index: b/src/calibre/gui2/css_transform_rules.py
-===================================================================
+diff --git a/src/calibre/gui2/css_transform_rules.py b/src/calibre/gui2/css_transform_rules.py
+index 1c461422cd..7ea9923371 100644
 --- a/src/calibre/gui2/css_transform_rules.py
 +++ b/src/calibre/gui2/css_transform_rules.py
 @@ -3,7 +3,6 @@
@@ -1114,8 +1114,8 @@ Index: b/src/calibre/gui2/css_transform_
  from PyQt5.Qt import (
      QWidget, QVBoxLayout, QHBoxLayout, QLabel, QComboBox, QLineEdit,
      QPushButton, QSize, pyqtSignal, QMenu
-Index: b/src/calibre/gui2/dialogs/choose_plugin_toolbars.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/choose_plugin_toolbars.py b/src/calibre/gui2/dialogs/choose_plugin_toolbars.py
+index 12dea16a91..f9f49407d7 100644
 --- a/src/calibre/gui2/dialogs/choose_plugin_toolbars.py
 +++ b/src/calibre/gui2/dialogs/choose_plugin_toolbars.py
 @@ -2,7 +2,6 @@
@@ -1126,8 +1126,8 @@ Index: b/src/calibre/gui2/dialogs/choose
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
  __license__   = 'GPL v3'
-Index: b/src/calibre/gui2/dialogs/restore_library.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/restore_library.py b/src/calibre/gui2/dialogs/restore_library.py
+index f4353fe4a2..52a6d8ecd9 100644
 --- a/src/calibre/gui2/dialogs/restore_library.py
 +++ b/src/calibre/gui2/dialogs/restore_library.py
 @@ -3,7 +3,6 @@
@@ -1138,8 +1138,8 @@ Index: b/src/calibre/gui2/dialogs/restor
  from PyQt5.Qt import (QDialog, QLabel, QVBoxLayout, QDialogButtonBox,
          QProgressBar, QSize, QTimer, pyqtSignal, Qt)
  
-Index: b/src/calibre/gui2/dialogs/saved_search_editor.py
-===================================================================
+diff --git a/src/calibre/gui2/dialogs/saved_search_editor.py b/src/calibre/gui2/dialogs/saved_search_editor.py
+index 9f02e773ac..ec482d47f4 100644
 --- a/src/calibre/gui2/dialogs/saved_search_editor.py
 +++ b/src/calibre/gui2/dialogs/saved_search_editor.py
 @@ -3,7 +3,6 @@
@@ -1150,8 +1150,8 @@ Index: b/src/calibre/gui2/dialogs/saved_
  from PyQt5.Qt import (
      QFormLayout, QIcon, QLabel, QLineEdit, QListWidget, Qt, QVBoxLayout
  )
-Index: b/src/calibre/gui2/ebook_download.py
-===================================================================
+diff --git a/src/calibre/gui2/ebook_download.py b/src/calibre/gui2/ebook_download.py
+index eb6acc31af..c0a23b8fd1 100644
 --- a/src/calibre/gui2/ebook_download.py
 +++ b/src/calibre/gui2/ebook_download.py
 @@ -1,7 +1,6 @@
@@ -1162,8 +1162,8 @@ Index: b/src/calibre/gui2/ebook_download
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/layout_menu.py
-===================================================================
+diff --git a/src/calibre/gui2/layout_menu.py b/src/calibre/gui2/layout_menu.py
+index c0319384b6..03f43e5ac8 100644
 --- a/src/calibre/gui2/layout_menu.py
 +++ b/src/calibre/gui2/layout_menu.py
 @@ -3,7 +3,6 @@
@@ -1174,8 +1174,8 @@ Index: b/src/calibre/gui2/layout_menu.py
  from PyQt5.Qt import (
      QFontMetrics, QHBoxLayout, QIcon, QMenu, QPainter, QPushButton, QSize,
      QSizePolicy, Qt, QWidget, QStyleOption, QStyle)
-Index: b/src/calibre/gui2/pin_columns.py
-===================================================================
+diff --git a/src/calibre/gui2/pin_columns.py b/src/calibre/gui2/pin_columns.py
+index 33e11d599e..579c88fce0 100644
 --- a/src/calibre/gui2/pin_columns.py
 +++ b/src/calibre/gui2/pin_columns.py
 @@ -3,7 +3,6 @@
@@ -1186,8 +1186,8 @@ Index: b/src/calibre/gui2/pin_columns.py
  from PyQt5.Qt import QSplitter, QTableView
  
  from calibre.gui2.library import DEFAULT_SORT
-Index: b/src/calibre/gui2/preferences/emailp.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/emailp.py b/src/calibre/gui2/preferences/emailp.py
+index c38e884025..f8f3958745 100644
 --- a/src/calibre/gui2/preferences/emailp.py
 +++ b/src/calibre/gui2/preferences/emailp.py
 @@ -3,7 +3,6 @@
@@ -1198,8 +1198,8 @@ Index: b/src/calibre/gui2/preferences/em
  import re
  import textwrap
  
-Index: b/src/calibre/gui2/preferences/tweaks.py
-===================================================================
+diff --git a/src/calibre/gui2/preferences/tweaks.py b/src/calibre/gui2/preferences/tweaks.py
+index 7ac430b014..cb8dc7afdb 100644
 --- a/src/calibre/gui2/preferences/tweaks.py
 +++ b/src/calibre/gui2/preferences/tweaks.py
 @@ -3,7 +3,6 @@
@@ -1210,8 +1210,8 @@ Index: b/src/calibre/gui2/preferences/tw
  import textwrap
  from collections import OrderedDict
  from functools import partial
-Index: b/src/calibre/gui2/progress_indicator/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/progress_indicator/__init__.py b/src/calibre/gui2/progress_indicator/__init__.py
+index 6d9fc45e9d..87d86cb183 100644
 --- a/src/calibre/gui2/progress_indicator/__init__.py
 +++ b/src/calibre/gui2/progress_indicator/__init__.py
 @@ -2,8 +2,6 @@
@@ -1223,8 +1223,8 @@ Index: b/src/calibre/gui2/progress_indic
  from PyQt5.Qt import (
      QDialog, QLabel, QSizePolicy, QStackedLayout, QStackedWidget, Qt, QVBoxLayout,
      QWidget
-Index: b/src/calibre/gui2/qt_file_dialogs.py
-===================================================================
+diff --git a/src/calibre/gui2/qt_file_dialogs.py b/src/calibre/gui2/qt_file_dialogs.py
+index 635e3631c5..696fb65235 100644
 --- a/src/calibre/gui2/qt_file_dialogs.py
 +++ b/src/calibre/gui2/qt_file_dialogs.py
 @@ -3,7 +3,6 @@
@@ -1235,8 +1235,8 @@ Index: b/src/calibre/gui2/qt_file_dialog
  import os
  
  from PyQt5.Qt import QFileDialog, QObject
-Index: b/src/calibre/gui2/splash_screen.py
-===================================================================
+diff --git a/src/calibre/gui2/splash_screen.py b/src/calibre/gui2/splash_screen.py
+index 580565c6eb..bd5c3d4714 100644
 --- a/src/calibre/gui2/splash_screen.py
 +++ b/src/calibre/gui2/splash_screen.py
 @@ -3,7 +3,6 @@
@@ -1247,8 +1247,8 @@ Index: b/src/calibre/gui2/splash_screen.
  from PyQt5.Qt import (
      QApplication, QBrush, QColor, QFont, QFontMetrics, QPen, QPixmap, QSplashScreen,
      Qt
-Index: b/src/calibre/gui2/store/__init__.py
-===================================================================
+diff --git a/src/calibre/gui2/store/__init__.py b/src/calibre/gui2/store/__init__.py
+index 61facb0f18..7e85033c43 100644
 --- a/src/calibre/gui2/store/__init__.py
 +++ b/src/calibre/gui2/store/__init__.py
 @@ -1,7 +1,6 @@
@@ -1259,8 +1259,8 @@ Index: b/src/calibre/gui2/store/__init__
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/basic_config.py
-===================================================================
+diff --git a/src/calibre/gui2/store/basic_config.py b/src/calibre/gui2/store/basic_config.py
+index 089380c7ba..85a9818db7 100644
 --- a/src/calibre/gui2/store/basic_config.py
 +++ b/src/calibre/gui2/store/basic_config.py
 @@ -1,7 +1,6 @@
@@ -1271,8 +1271,8 @@ Index: b/src/calibre/gui2/store/basic_co
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/config/chooser/adv_search_builder.py
-===================================================================
+diff --git a/src/calibre/gui2/store/config/chooser/adv_search_builder.py b/src/calibre/gui2/store/config/chooser/adv_search_builder.py
+index 575f40b280..61d8003fa3 100644
 --- a/src/calibre/gui2/store/config/chooser/adv_search_builder.py
 +++ b/src/calibre/gui2/store/config/chooser/adv_search_builder.py
 @@ -1,7 +1,6 @@
@@ -1283,8 +1283,8 @@ Index: b/src/calibre/gui2/store/config/c
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/config/chooser/chooser_dialog.py
-===================================================================
+diff --git a/src/calibre/gui2/store/config/chooser/chooser_dialog.py b/src/calibre/gui2/store/config/chooser/chooser_dialog.py
+index 502f70ec70..dd6576e243 100644
 --- a/src/calibre/gui2/store/config/chooser/chooser_dialog.py
 +++ b/src/calibre/gui2/store/config/chooser/chooser_dialog.py
 @@ -1,7 +1,6 @@
@@ -1295,8 +1295,8 @@ Index: b/src/calibre/gui2/store/config/c
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/config/chooser/chooser_widget.py
-===================================================================
+diff --git a/src/calibre/gui2/store/config/chooser/chooser_widget.py b/src/calibre/gui2/store/config/chooser/chooser_widget.py
+index 3ad9c64c14..177ed244d8 100644
 --- a/src/calibre/gui2/store/config/chooser/chooser_widget.py
 +++ b/src/calibre/gui2/store/config/chooser/chooser_widget.py
 @@ -1,7 +1,6 @@
@@ -1307,8 +1307,8 @@ Index: b/src/calibre/gui2/store/config/c
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/config/chooser/models.py
-===================================================================
+diff --git a/src/calibre/gui2/store/config/chooser/models.py b/src/calibre/gui2/store/config/chooser/models.py
+index 73dd26cc51..e9f9ef5bb4 100644
 --- a/src/calibre/gui2/store/config/chooser/models.py
 +++ b/src/calibre/gui2/store/config/chooser/models.py
 @@ -1,7 +1,6 @@
@@ -1319,8 +1319,8 @@ Index: b/src/calibre/gui2/store/config/c
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/config/chooser/results_view.py
-===================================================================
+diff --git a/src/calibre/gui2/store/config/chooser/results_view.py b/src/calibre/gui2/store/config/chooser/results_view.py
+index 991529f022..3c1a8732a7 100644
 --- a/src/calibre/gui2/store/config/chooser/results_view.py
 +++ b/src/calibre/gui2/store/config/chooser/results_view.py
 @@ -1,7 +1,6 @@
@@ -1331,8 +1331,8 @@ Index: b/src/calibre/gui2/store/config/c
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/config/search/search_widget.py
-===================================================================
+diff --git a/src/calibre/gui2/store/config/search/search_widget.py b/src/calibre/gui2/store/config/search/search_widget.py
+index ec2e29a288..aeb0839b10 100644
 --- a/src/calibre/gui2/store/config/search/search_widget.py
 +++ b/src/calibre/gui2/store/config/search/search_widget.py
 @@ -1,7 +1,6 @@
@@ -1343,8 +1343,8 @@ Index: b/src/calibre/gui2/store/config/s
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/config/store.py
-===================================================================
+diff --git a/src/calibre/gui2/store/config/store.py b/src/calibre/gui2/store/config/store.py
+index de0fbff74c..d1f9dc8bfa 100644
 --- a/src/calibre/gui2/store/config/store.py
 +++ b/src/calibre/gui2/store/config/store.py
 @@ -1,7 +1,6 @@
@@ -1355,8 +1355,8 @@ Index: b/src/calibre/gui2/store/config/s
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/opensearch_store.py
-===================================================================
+diff --git a/src/calibre/gui2/store/opensearch_store.py b/src/calibre/gui2/store/opensearch_store.py
+index 745607776a..67447b5e81 100644
 --- a/src/calibre/gui2/store/opensearch_store.py
 +++ b/src/calibre/gui2/store/opensearch_store.py
 @@ -1,7 +1,6 @@
@@ -1367,8 +1367,8 @@ Index: b/src/calibre/gui2/store/opensear
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/search/adv_search_builder.py
-===================================================================
+diff --git a/src/calibre/gui2/store/search/adv_search_builder.py b/src/calibre/gui2/store/search/adv_search_builder.py
+index 7c5c7e9a43..decbed987d 100644
 --- a/src/calibre/gui2/store/search/adv_search_builder.py
 +++ b/src/calibre/gui2/store/search/adv_search_builder.py
 @@ -1,7 +1,6 @@
@@ -1379,8 +1379,8 @@ Index: b/src/calibre/gui2/store/search/a
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/search/download_thread.py
-===================================================================
+diff --git a/src/calibre/gui2/store/search/download_thread.py b/src/calibre/gui2/store/search/download_thread.py
+index 075a29c57d..5ae0c9671c 100644
 --- a/src/calibre/gui2/store/search/download_thread.py
 +++ b/src/calibre/gui2/store/search/download_thread.py
 @@ -1,7 +1,6 @@
@@ -1391,8 +1391,8 @@ Index: b/src/calibre/gui2/store/search/d
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/search/models.py
-===================================================================
+diff --git a/src/calibre/gui2/store/search/models.py b/src/calibre/gui2/store/search/models.py
+index e03b21cef7..ab87877f92 100644
 --- a/src/calibre/gui2/store/search/models.py
 +++ b/src/calibre/gui2/store/search/models.py
 @@ -1,7 +1,6 @@
@@ -1403,8 +1403,8 @@ Index: b/src/calibre/gui2/store/search/m
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/search/results_view.py
-===================================================================
+diff --git a/src/calibre/gui2/store/search/results_view.py b/src/calibre/gui2/store/search/results_view.py
+index 514c4f3c86..0bed9cee29 100644
 --- a/src/calibre/gui2/store/search/results_view.py
 +++ b/src/calibre/gui2/store/search/results_view.py
 @@ -1,7 +1,6 @@
@@ -1415,8 +1415,8 @@ Index: b/src/calibre/gui2/store/search/r
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/search/search.py
-===================================================================
+diff --git a/src/calibre/gui2/store/search/search.py b/src/calibre/gui2/store/search/search.py
+index 4be78798f3..1596046840 100644
 --- a/src/calibre/gui2/store/search/search.py
 +++ b/src/calibre/gui2/store/search/search.py
 @@ -1,7 +1,6 @@
@@ -1427,8 +1427,8 @@ Index: b/src/calibre/gui2/store/search/s
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/search_result.py
-===================================================================
+diff --git a/src/calibre/gui2/store/search_result.py b/src/calibre/gui2/store/search_result.py
+index c050e8605c..68c4ce30d8 100644
 --- a/src/calibre/gui2/store/search_result.py
 +++ b/src/calibre/gui2/store/search_result.py
 @@ -1,7 +1,6 @@
@@ -1439,8 +1439,8 @@ Index: b/src/calibre/gui2/store/search_r
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/gui2/store/web_store.py
-===================================================================
+diff --git a/src/calibre/gui2/store/web_store.py b/src/calibre/gui2/store/web_store.py
+index 9524615fc6..e64be72b21 100644
 --- a/src/calibre/gui2/store/web_store.py
 +++ b/src/calibre/gui2/store/web_store.py
 @@ -3,7 +3,6 @@
@@ -1451,8 +1451,8 @@ Index: b/src/calibre/gui2/store/web_stor
  import json
  import os
  import shutil
-Index: b/src/calibre/gui2/store/web_store_dialog.py
-===================================================================
+diff --git a/src/calibre/gui2/store/web_store_dialog.py b/src/calibre/gui2/store/web_store_dialog.py
+index 3f8f17ea8f..1f9726108c 100644
 --- a/src/calibre/gui2/store/web_store_dialog.py
 +++ b/src/calibre/gui2/store/web_store_dialog.py
 @@ -3,7 +3,6 @@
@@ -1463,8 +1463,8 @@ Index: b/src/calibre/gui2/store/web_stor
  import json
  from base64 import standard_b64encode
  from itertools import count
-Index: b/src/calibre/gui2/tag_mapper.py
-===================================================================
+diff --git a/src/calibre/gui2/tag_mapper.py b/src/calibre/gui2/tag_mapper.py
+index 12c84d4011..b3bba22afc 100644
 --- a/src/calibre/gui2/tag_mapper.py
 +++ b/src/calibre/gui2/tag_mapper.py
 @@ -3,7 +3,6 @@
@@ -1475,8 +1475,8 @@ Index: b/src/calibre/gui2/tag_mapper.py
  from collections import OrderedDict
  import textwrap
  
-Index: b/src/calibre/gui2/toc/main.py
-===================================================================
+diff --git a/src/calibre/gui2/toc/main.py b/src/calibre/gui2/toc/main.py
+index f9bf0e73f3..b2c0e37ff9 100644
 --- a/src/calibre/gui2/toc/main.py
 +++ b/src/calibre/gui2/toc/main.py
 @@ -3,7 +3,6 @@
@@ -1487,8 +1487,8 @@ Index: b/src/calibre/gui2/toc/main.py
  import os
  import sys
  import textwrap
-Index: b/src/calibre/gui2/tweak_book/check_links.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/check_links.py b/src/calibre/gui2/tweak_book/check_links.py
+index 750c4eacac..eefa367c39 100644
 --- a/src/calibre/gui2/tweak_book/check_links.py
 +++ b/src/calibre/gui2/tweak_book/check_links.py
 @@ -3,7 +3,6 @@
@@ -1499,8 +1499,8 @@ Index: b/src/calibre/gui2/tweak_book/che
  from collections import defaultdict
  from threading import Thread
  
-Index: b/src/calibre/gui2/tweak_book/editor/comments.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/editor/comments.py b/src/calibre/gui2/tweak_book/editor/comments.py
+index 985ecf1faa..f6460938c3 100644
 --- a/src/calibre/gui2/tweak_book/editor/comments.py
 +++ b/src/calibre/gui2/tweak_book/editor/comments.py
 @@ -3,7 +3,6 @@
@@ -1511,8 +1511,8 @@ Index: b/src/calibre/gui2/tweak_book/edi
  from PyQt5.Qt import QTextCursor
  
  opening_map = {
-Index: b/src/calibre/gui2/tweak_book/text_search.py
-===================================================================
+diff --git a/src/calibre/gui2/tweak_book/text_search.py b/src/calibre/gui2/tweak_book/text_search.py
+index 93eb3fd294..e63f42a813 100644
 --- a/src/calibre/gui2/tweak_book/text_search.py
 +++ b/src/calibre/gui2/tweak_book/text_search.py
 @@ -3,7 +3,6 @@
@@ -1523,8 +1523,8 @@ Index: b/src/calibre/gui2/tweak_book/tex
  from PyQt5.Qt import (
      QWidget, QHBoxLayout, QVBoxLayout, QLabel, QComboBox, QPushButton, QIcon,
      pyqtSignal, QFont, QCheckBox, QSizePolicy
-Index: b/src/calibre/gui2/viewer/annotations.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/annotations.py b/src/calibre/gui2/viewer/annotations.py
+index f46819a5c0..1a6bfc306a 100644
 --- a/src/calibre/gui2/viewer/annotations.py
 +++ b/src/calibre/gui2/viewer/annotations.py
 @@ -3,7 +3,6 @@
@@ -1535,8 +1535,8 @@ Index: b/src/calibre/gui2/viewer/annotat
  from collections import defaultdict
  from io import BytesIO
  from operator import itemgetter
-Index: b/src/calibre/gui2/viewer/bookmarks.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/bookmarks.py b/src/calibre/gui2/viewer/bookmarks.py
+index b5187362e4..9941152dc5 100644
 --- a/src/calibre/gui2/viewer/bookmarks.py
 +++ b/src/calibre/gui2/viewer/bookmarks.py
 @@ -3,7 +3,6 @@
@@ -1547,8 +1547,8 @@ Index: b/src/calibre/gui2/viewer/bookmar
  import json
  
  from PyQt5.Qt import (
-Index: b/src/calibre/gui2/viewer/convert_book.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/convert_book.py b/src/calibre/gui2/viewer/convert_book.py
+index 7c043908cf..362075b095 100644
 --- a/src/calibre/gui2/viewer/convert_book.py
 +++ b/src/calibre/gui2/viewer/convert_book.py
 @@ -3,7 +3,6 @@
@@ -1559,8 +1559,8 @@ Index: b/src/calibre/gui2/viewer/convert
  import errno
  import json
  import os
-Index: b/src/calibre/gui2/viewer/lookup.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/lookup.py b/src/calibre/gui2/viewer/lookup.py
+index 2c614b9480..0cf65dfb6d 100644
 --- a/src/calibre/gui2/viewer/lookup.py
 +++ b/src/calibre/gui2/viewer/lookup.py
 @@ -3,7 +3,6 @@
@@ -1571,8 +1571,8 @@ Index: b/src/calibre/gui2/viewer/lookup.
  import os
  import sys
  
-Index: b/src/calibre/gui2/viewer/main.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/main.py b/src/calibre/gui2/viewer/main.py
+index 745c698907..a37270a410 100644
 --- a/src/calibre/gui2/viewer/main.py
 +++ b/src/calibre/gui2/viewer/main.py
 @@ -3,7 +3,6 @@
@@ -1583,8 +1583,8 @@ Index: b/src/calibre/gui2/viewer/main.py
  import os
  import sys
  from threading import Thread
-Index: b/src/calibre/gui2/viewer/overlay.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/overlay.py b/src/calibre/gui2/viewer/overlay.py
+index 9b6e105507..a02dc448e4 100644
 --- a/src/calibre/gui2/viewer/overlay.py
 +++ b/src/calibre/gui2/viewer/overlay.py
 @@ -3,7 +3,6 @@
@@ -1595,8 +1595,8 @@ Index: b/src/calibre/gui2/viewer/overlay
  from PyQt5.Qt import QWidget, Qt, QFontInfo, QLabel, QVBoxLayout
  
  from calibre.gui2.progress_indicator import ProgressIndicator
-Index: b/src/calibre/gui2/viewer/shortcuts.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/shortcuts.py b/src/calibre/gui2/viewer/shortcuts.py
+index c05a1acb20..7063cd6312 100644
 --- a/src/calibre/gui2/viewer/shortcuts.py
 +++ b/src/calibre/gui2/viewer/shortcuts.py
 @@ -3,7 +3,6 @@
@@ -1607,8 +1607,8 @@ Index: b/src/calibre/gui2/viewer/shortcu
  from PyQt5.Qt import QKeySequence, QMainWindow, Qt
  
  
-Index: b/src/calibre/gui2/viewer/toc.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/toc.py b/src/calibre/gui2/viewer/toc.py
+index fe5a190c36..9fdeee69b4 100644
 --- a/src/calibre/gui2/viewer/toc.py
 +++ b/src/calibre/gui2/viewer/toc.py
 @@ -3,7 +3,6 @@
@@ -1619,8 +1619,8 @@ Index: b/src/calibre/gui2/viewer/toc.py
  import re
  from functools import partial
  
-Index: b/src/calibre/gui2/viewer/toolbars.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/toolbars.py b/src/calibre/gui2/viewer/toolbars.py
+index d5633805fb..bbc3964652 100644
 --- a/src/calibre/gui2/viewer/toolbars.py
 +++ b/src/calibre/gui2/viewer/toolbars.py
 @@ -3,7 +3,6 @@
@@ -1631,8 +1631,8 @@ Index: b/src/calibre/gui2/viewer/toolbar
  import os
  from functools import partial
  
-Index: b/src/calibre/gui2/viewer/ui.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/ui.py b/src/calibre/gui2/viewer/ui.py
+index f3b3ec8db9..22933f48ef 100644
 --- a/src/calibre/gui2/viewer/ui.py
 +++ b/src/calibre/gui2/viewer/ui.py
 @@ -3,7 +3,6 @@
@@ -1643,8 +1643,8 @@ Index: b/src/calibre/gui2/viewer/ui.py
  import json
  import os
  import re
-Index: b/src/calibre/gui2/viewer/web_view.py
-===================================================================
+diff --git a/src/calibre/gui2/viewer/web_view.py b/src/calibre/gui2/viewer/web_view.py
+index ff029d8a0a..fa1ae331c6 100644
 --- a/src/calibre/gui2/viewer/web_view.py
 +++ b/src/calibre/gui2/viewer/web_view.py
 @@ -3,7 +3,6 @@
@@ -1655,8 +1655,8 @@ Index: b/src/calibre/gui2/viewer/web_vie
  import os
  import shutil
  import sys
-Index: b/src/calibre/gui2/webengine.py
-===================================================================
+diff --git a/src/calibre/gui2/webengine.py b/src/calibre/gui2/webengine.py
+index 939ce93fb5..709f1a17fe 100644
 --- a/src/calibre/gui2/webengine.py
 +++ b/src/calibre/gui2/webengine.py
 @@ -3,7 +3,6 @@
@@ -1667,8 +1667,8 @@ Index: b/src/calibre/gui2/webengine.py
  import json
  
  from PyQt5.Qt import QObject, Qt, pyqtSignal
-Index: b/src/calibre/gui2/widgets2.py
-===================================================================
+diff --git a/src/calibre/gui2/widgets2.py b/src/calibre/gui2/widgets2.py
+index 262e38af22..c8a6db2bde 100644
 --- a/src/calibre/gui2/widgets2.py
 +++ b/src/calibre/gui2/widgets2.py
 @@ -3,7 +3,6 @@
@@ -1679,8 +1679,8 @@ Index: b/src/calibre/gui2/widgets2.py
  import weakref
  
  from PyQt5.Qt import (
-Index: b/src/calibre/library/comments.py
-===================================================================
+diff --git a/src/calibre/library/comments.py b/src/calibre/library/comments.py
+index 1fefa181b2..f98008147b 100644
 --- a/src/calibre/library/comments.py
 +++ b/src/calibre/library/comments.py
 @@ -3,7 +3,6 @@
@@ -1691,8 +1691,8 @@ Index: b/src/calibre/library/comments.py
  import re
  
  from calibre import prepare_string_for_xml
-Index: b/src/calibre/srv/books.py
-===================================================================
+diff --git a/src/calibre/srv/books.py b/src/calibre/srv/books.py
+index 8fbeb36a84..36f8aad7bb 100644
 --- a/src/calibre/srv/books.py
 +++ b/src/calibre/srv/books.py
 @@ -3,7 +3,6 @@
@@ -1703,8 +1703,8 @@ Index: b/src/calibre/srv/books.py
  import errno
  import json as jsonlib
  import os
-Index: b/src/calibre/srv/cdb.py
-===================================================================
+diff --git a/src/calibre/srv/cdb.py b/src/calibre/srv/cdb.py
+index c5756af1ba..333a31d096 100644
 --- a/src/calibre/srv/cdb.py
 +++ b/src/calibre/srv/cdb.py
 @@ -3,7 +3,6 @@
@@ -1715,8 +1715,8 @@ Index: b/src/calibre/srv/cdb.py
  import os
  from functools import partial
  from io import BytesIO
-Index: b/src/calibre/srv/code.py
-===================================================================
+diff --git a/src/calibre/srv/code.py b/src/calibre/srv/code.py
+index 3ebb748427..44156a24c5 100644
 --- a/src/calibre/srv/code.py
 +++ b/src/calibre/srv/code.py
 @@ -3,7 +3,6 @@
@@ -1727,8 +1727,8 @@ Index: b/src/calibre/srv/code.py
  import hashlib
  import os
  import random
-Index: b/src/calibre/srv/convert.py
-===================================================================
+diff --git a/src/calibre/srv/convert.py b/src/calibre/srv/convert.py
+index f586e8dbef..2a758e3695 100644
 --- a/src/calibre/srv/convert.py
 +++ b/src/calibre/srv/convert.py
 @@ -3,7 +3,6 @@
@@ -1739,8 +1739,8 @@ Index: b/src/calibre/srv/convert.py
  import os
  import shutil
  import tempfile
-Index: b/src/calibre/srv/legacy.py
-===================================================================
+diff --git a/src/calibre/srv/legacy.py b/src/calibre/srv/legacy.py
+index a6b863c629..c3a782e668 100644
 --- a/src/calibre/srv/legacy.py
 +++ b/src/calibre/srv/legacy.py
 @@ -3,7 +3,6 @@
@@ -1751,8 +1751,8 @@ Index: b/src/calibre/srv/legacy.py
  from functools import partial
  
  from lxml.html import tostring
-Index: b/src/calibre/srv/library_broker.py
-===================================================================
+diff --git a/src/calibre/srv/library_broker.py b/src/calibre/srv/library_broker.py
+index b56bf029a3..a22683fe93 100644
 --- a/src/calibre/srv/library_broker.py
 +++ b/src/calibre/srv/library_broker.py
 @@ -3,7 +3,6 @@
@@ -1763,8 +1763,8 @@ Index: b/src/calibre/srv/library_broker.
  import os
  from collections import OrderedDict, defaultdict
  from threading import RLock as Lock
-Index: b/src/calibre/srv/render_book.py
-===================================================================
+diff --git a/src/calibre/srv/render_book.py b/src/calibre/srv/render_book.py
+index 1de49da445..ec44ed311b 100644
 --- a/src/calibre/srv/render_book.py
 +++ b/src/calibre/srv/render_book.py
 @@ -3,7 +3,6 @@
@@ -1775,8 +1775,8 @@ Index: b/src/calibre/srv/render_book.py
  import json
  import os
  import re
-Index: b/src/calibre/srv/users_api.py
-===================================================================
+diff --git a/src/calibre/srv/users_api.py b/src/calibre/srv/users_api.py
+index 37ddb86cd7..5bb570311b 100644
 --- a/src/calibre/srv/users_api.py
 +++ b/src/calibre/srv/users_api.py
 @@ -3,7 +3,6 @@
@@ -1787,8 +1787,8 @@ Index: b/src/calibre/srv/users_api.py
  import json
  
  from calibre import as_unicode
-Index: b/src/calibre/srv/web_socket.py
-===================================================================
+diff --git a/src/calibre/srv/web_socket.py b/src/calibre/srv/web_socket.py
+index 0fb2302fe5..84bd0e93f8 100644
 --- a/src/calibre/srv/web_socket.py
 +++ b/src/calibre/srv/web_socket.py
 @@ -3,7 +3,6 @@
@@ -1799,8 +1799,8 @@ Index: b/src/calibre/srv/web_socket.py
  import os
  import socket
  import weakref
-Index: b/src/calibre/translations/msgfmt.py
-===================================================================
+diff --git a/src/calibre/translations/msgfmt.py b/src/calibre/translations/msgfmt.py
+index 989ceca5e7..5054d7c737 100644
 --- a/src/calibre/translations/msgfmt.py
 +++ b/src/calibre/translations/msgfmt.py
 @@ -3,7 +3,6 @@
@@ -1811,8 +1811,8 @@ Index: b/src/calibre/translations/msgfmt
  """Generate binary message catalog from textual translation description.
  
  This program converts a textual Uniforum-style message catalog (.po file) into
-Index: b/src/calibre/utils/__init__.py
-===================================================================
+diff --git a/src/calibre/utils/__init__.py b/src/calibre/utils/__init__.py
+index 8b1eff4899..bbca860b44 100644
 --- a/src/calibre/utils/__init__.py
 +++ b/src/calibre/utils/__init__.py
 @@ -1,7 +1,6 @@
@@ -1823,8 +1823,8 @@ Index: b/src/calibre/utils/__init__.py
  __license__   = 'GPL v3'
  __copyright__ = '2008, Kovid Goyal kovid@kovidgoyal.net'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/utils/file_type_icons.py
-===================================================================
+diff --git a/src/calibre/utils/file_type_icons.py b/src/calibre/utils/file_type_icons.py
+index afa069bbf1..0f45874ab1 100644
 --- a/src/calibre/utils/file_type_icons.py
 +++ b/src/calibre/utils/file_type_icons.py
 @@ -3,7 +3,6 @@
@@ -1835,8 +1835,8 @@ Index: b/src/calibre/utils/file_type_ico
  EXT_MAP = {
      'default' : 'unknown',
      'dir'     : 'dir',
-Index: b/src/calibre/utils/fonts/sfnt/merge.py
-===================================================================
+diff --git a/src/calibre/utils/fonts/sfnt/merge.py b/src/calibre/utils/fonts/sfnt/merge.py
+index 66b61626b5..b1f012b46f 100644
 --- a/src/calibre/utils/fonts/sfnt/merge.py
 +++ b/src/calibre/utils/fonts/sfnt/merge.py
 @@ -3,7 +3,6 @@
@@ -1847,8 +1847,8 @@ Index: b/src/calibre/utils/fonts/sfnt/me
  from collections import OrderedDict
  from functools import partial
  
-Index: b/src/calibre/utils/html2text.py
-===================================================================
+diff --git a/src/calibre/utils/html2text.py b/src/calibre/utils/html2text.py
+index b34f9965ad..51a44baa65 100644
 --- a/src/calibre/utils/html2text.py
 +++ b/src/calibre/utils/html2text.py
 @@ -3,7 +3,6 @@
@@ -1859,8 +1859,8 @@ Index: b/src/calibre/utils/html2text.py
  def html2text(html):
      from html2text import HTML2Text
      import re
-Index: b/src/calibre/utils/network.py
-===================================================================
+diff --git a/src/calibre/utils/network.py b/src/calibre/utils/network.py
+index 25d69ef552..d0143f9a8f 100644
 --- a/src/calibre/utils/network.py
 +++ b/src/calibre/utils/network.py
 @@ -3,7 +3,6 @@
@@ -1871,8 +1871,8 @@ Index: b/src/calibre/utils/network.py
  from calibre.constants import iswindows, islinux, isbsd
  from calibre.utils.config_base import tweaks
  
-Index: b/src/calibre/utils/opensearch/description.py
-===================================================================
+diff --git a/src/calibre/utils/opensearch/description.py b/src/calibre/utils/opensearch/description.py
+index 68d331114d..5d1ffc1cc3 100644
 --- a/src/calibre/utils/opensearch/description.py
 +++ b/src/calibre/utils/opensearch/description.py
 @@ -1,7 +1,6 @@
@@ -1883,8 +1883,8 @@ Index: b/src/calibre/utils/opensearch/de
  __license__ = 'GPL 3'
  __copyright__ = '''
  2011, John Schember <john@nachtimwald.com>,
-Index: b/src/calibre/utils/opensearch/query.py
-===================================================================
+diff --git a/src/calibre/utils/opensearch/query.py b/src/calibre/utils/opensearch/query.py
+index 643cf5827e..bab8bddc6b 100644
 --- a/src/calibre/utils/opensearch/query.py
 +++ b/src/calibre/utils/opensearch/query.py
 @@ -1,7 +1,6 @@
@@ -1895,8 +1895,8 @@ Index: b/src/calibre/utils/opensearch/qu
  __license__ = 'GPL 3'
  __copyright__ = '2006, Ed Summers <ehs@pobox.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/utils/opensearch/url.py
-===================================================================
+diff --git a/src/calibre/utils/opensearch/url.py b/src/calibre/utils/opensearch/url.py
+index 2e8a23e91c..4e12d0468d 100644
 --- a/src/calibre/utils/opensearch/url.py
 +++ b/src/calibre/utils/opensearch/url.py
 @@ -1,7 +1,6 @@
@@ -1907,8 +1907,8 @@ Index: b/src/calibre/utils/opensearch/ur
  __license__ = 'GPL 3'
  __copyright__ = '2006, Ed Summers <ehs@pobox.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/utils/random_ua.py
-===================================================================
+diff --git a/src/calibre/utils/random_ua.py b/src/calibre/utils/random_ua.py
+index e24f51dc74..b825c0922f 100644
 --- a/src/calibre/utils/random_ua.py
 +++ b/src/calibre/utils/random_ua.py
 @@ -3,7 +3,6 @@
@@ -1919,8 +1919,8 @@ Index: b/src/calibre/utils/random_ua.py
  import json
  import random
  
-Index: b/src/calibre/utils/search_query_parser_test.py
-===================================================================
+diff --git a/src/calibre/utils/search_query_parser_test.py b/src/calibre/utils/search_query_parser_test.py
+index b204e369e1..49807def13 100644
 --- a/src/calibre/utils/search_query_parser_test.py
 +++ b/src/calibre/utils/search_query_parser_test.py
 @@ -3,7 +3,6 @@
@@ -1931,8 +1931,8 @@ Index: b/src/calibre/utils/search_query_
  import operator
  import unittest
  
-Index: b/src/calibre/utils/smartypants.py
-===================================================================
+diff --git a/src/calibre/utils/smartypants.py b/src/calibre/utils/smartypants.py
+index eaf548f4f6..b652c0100b 100644
 --- a/src/calibre/utils/smartypants.py
 +++ b/src/calibre/utils/smartypants.py
 @@ -2,7 +2,6 @@
@@ -1943,8 +1943,8 @@ Index: b/src/calibre/utils/smartypants.p
  __author__ = "Chad Miller <smartypantspy@chad.org>, Kovid Goyal <kovid at kovidgoyal.net>"
  __description__ = "Smart-quotes, smart-ellipses, and smart-dashes for weblog entries in pyblosxom"
  
-Index: b/src/calibre/utils/speedups.py
-===================================================================
+diff --git a/src/calibre/utils/speedups.py b/src/calibre/utils/speedups.py
+index a8874cde5f..9a7cb776d6 100644
 --- a/src/calibre/utils/speedups.py
 +++ b/src/calibre/utils/speedups.py
 @@ -3,7 +3,6 @@
@@ -1955,8 +1955,8 @@ Index: b/src/calibre/utils/speedups.py
  import os
  from polyglot.builtins import range, unicode_type
  
-Index: b/src/calibre/utils/tdir_in_cache.py
-===================================================================
+diff --git a/src/calibre/utils/tdir_in_cache.py b/src/calibre/utils/tdir_in_cache.py
+index d297022486..995d5f4147 100644
 --- a/src/calibre/utils/tdir_in_cache.py
 +++ b/src/calibre/utils/tdir_in_cache.py
 @@ -3,7 +3,6 @@
@@ -1967,8 +1967,8 @@ Index: b/src/calibre/utils/tdir_in_cache
  import atexit
  import errno
  import os
-Index: b/src/calibre/utils/test_lock.py
-===================================================================
+diff --git a/src/calibre/utils/test_lock.py b/src/calibre/utils/test_lock.py
+index 625bd431a8..03ae48c266 100644
 --- a/src/calibre/utils/test_lock.py
 +++ b/src/calibre/utils/test_lock.py
 @@ -3,7 +3,6 @@
@@ -1979,8 +1979,8 @@ Index: b/src/calibre/utils/test_lock.py
  import os
  import shutil
  import subprocess
-Index: b/src/calibre/utils/text2int.py
-===================================================================
+diff --git a/src/calibre/utils/text2int.py b/src/calibre/utils/text2int.py
+index 27c3061b90..77fdd4e215 100644
 --- a/src/calibre/utils/text2int.py
 +++ b/src/calibre/utils/text2int.py
 @@ -1,7 +1,6 @@
@@ -1991,8 +1991,8 @@ Index: b/src/calibre/utils/text2int.py
  __author__ = "stackoverflow community"
  __docformat__ = 'restructuredtext en'
  """
-Index: b/src/calibre/utils/unicode_names.py
-===================================================================
+diff --git a/src/calibre/utils/unicode_names.py b/src/calibre/utils/unicode_names.py
+index 443e07f0b2..b9c40f6ba1 100644
 --- a/src/calibre/utils/unicode_names.py
 +++ b/src/calibre/utils/unicode_names.py
 @@ -3,7 +3,6 @@
@@ -2003,8 +2003,8 @@ Index: b/src/calibre/utils/unicode_names
  from collections import defaultdict
  
  from calibre.constants import plugins
-Index: b/src/calibre/utils/unsmarten.py
-===================================================================
+diff --git a/src/calibre/utils/unsmarten.py b/src/calibre/utils/unsmarten.py
+index b9b460e266..c4b813a7f1 100644
 --- a/src/calibre/utils/unsmarten.py
 +++ b/src/calibre/utils/unsmarten.py
 @@ -1,7 +1,6 @@
@@ -2015,8 +2015,8 @@ Index: b/src/calibre/utils/unsmarten.py
  __license__ = 'GPL 3'
  __copyright__ = '2011, John Schember <john@nachtimwald.com>'
  __docformat__ = 'restructuredtext en'
-Index: b/src/calibre/utils/windows/wintest.py
-===================================================================
+diff --git a/src/calibre/utils/windows/wintest.py b/src/calibre/utils/windows/wintest.py
+index 907ba88501..fedae1f2da 100644
 --- a/src/calibre/utils/windows/wintest.py
 +++ b/src/calibre/utils/windows/wintest.py
 @@ -3,7 +3,6 @@
@@ -2027,8 +2027,8 @@ Index: b/src/calibre/utils/windows/winte
  import os
  import unittest
  from polyglot.builtins import unicode_type
-Index: b/src/calibre/utils/wordcount.py
-===================================================================
+diff --git a/src/calibre/utils/wordcount.py b/src/calibre/utils/wordcount.py
+index 1efb61ba38..5fc9c29102 100644
 --- a/src/calibre/utils/wordcount.py
 +++ b/src/calibre/utils/wordcount.py
 @@ -2,7 +2,6 @@
@@ -2039,8 +2039,8 @@ Index: b/src/calibre/utils/wordcount.py
  """
  Get word, character, and Asian character counts
  
-Index: b/src/polyglot/binary.py
-===================================================================
+diff --git a/src/polyglot/binary.py b/src/polyglot/binary.py
+index 6cf64a5ab3..ceedc11fac 100644
 --- a/src/polyglot/binary.py
 +++ b/src/polyglot/binary.py
 @@ -3,7 +3,6 @@
@@ -2051,8 +2051,8 @@ Index: b/src/polyglot/binary.py
  from base64 import standard_b64decode, standard_b64encode
  from binascii import hexlify, unhexlify
  
-Index: b/src/polyglot/io.py
-===================================================================
+diff --git a/src/polyglot/io.py b/src/polyglot/io.py
+index 8d0df2725c..443d4a93ce 100644
 --- a/src/polyglot/io.py
 +++ b/src/polyglot/io.py
 @@ -3,7 +3,6 @@
@@ -2063,8 +2063,8 @@ Index: b/src/polyglot/io.py
  from io import StringIO, BytesIO
  
  
-Index: b/src/polyglot/urllib.py
-===================================================================
+diff --git a/src/polyglot/urllib.py b/src/polyglot/urllib.py
+index 1a128d47b6..935fe1fde4 100644
 --- a/src/polyglot/urllib.py
 +++ b/src/polyglot/urllib.py
 @@ -3,7 +3,6 @@
@@ -2075,8 +2075,8 @@ Index: b/src/polyglot/urllib.py
  from urllib.request import (build_opener, getproxies, install_opener,  # noqa
          HTTPBasicAuthHandler, HTTPCookieProcessor, HTTPDigestAuthHandler,  # noqa
          url2pathname, urlopen, Request)  # noqa
-Index: b/src/tinycss/decoding.py
-===================================================================
+diff --git a/src/tinycss/decoding.py b/src/tinycss/decoding.py
+index a2a12ec4b3..979573e53e 100644
 --- a/src/tinycss/decoding.py
 +++ b/src/tinycss/decoding.py
 @@ -11,7 +11,6 @@
@@ -2087,8 +2087,8 @@ Index: b/src/tinycss/decoding.py
  import operator
  import re
  
-Index: b/src/tinycss/parsing.py
-===================================================================
+diff --git a/src/tinycss/parsing.py b/src/tinycss/parsing.py
+index 7daf4c78d2..2f9d9f9f58 100644
 --- a/src/tinycss/parsing.py
 +++ b/src/tinycss/parsing.py
 @@ -10,8 +10,6 @@
@@ -2100,8 +2100,8 @@ Index: b/src/tinycss/parsing.py
  # TODO: unit tests
  
  def split_on_comma(tokens):
-Index: b/src/tinycss/token_data.py
-===================================================================
+diff --git a/src/tinycss/token_data.py b/src/tinycss/token_data.py
+index 5f1aefe486..3e070bae8c 100644
 --- a/src/tinycss/token_data.py
 +++ b/src/tinycss/token_data.py
 @@ -10,7 +10,6 @@
@@ -2112,8 +2112,8 @@ Index: b/src/tinycss/token_data.py
  import re
  import sys
  import operator
-Index: b/src/tinycss/tokenizer.py
-===================================================================
+diff --git a/src/tinycss/tokenizer.py b/src/tinycss/tokenizer.py
+index 4aaf32ce3a..5ba17c871e 100644
 --- a/src/tinycss/tokenizer.py
 +++ b/src/tinycss/tokenizer.py
 @@ -13,7 +13,6 @@
@@ -2124,3 +2124,6 @@ Index: b/src/tinycss/tokenizer.py
  from tinycss import token_data
  
  
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0014-Make-code-used-to-launch-interpreter-re-useable.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0014-Make-code-used-to-launch-interpreter-re-useable.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0014-Make-code-used-to-launch-interpreter-re-useable.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0014-Make-code-used-to-launch-interpreter-re-useable.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From dfefb608b531564260db2a5ac440ba3048c57e30 Mon Sep 17 00:00:00 2001
+From d23e68c77c03f73014c717906575bea91f34e730 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 20 Nov 2019 11:20:16 +0530
-Subject: [PATCH 014/125] Make code used to launch interpreter re-useable
+Subject: [PATCH 014/201] Make code used to launch interpreter re-useable
 
 ---
  bypy/linux/__main__.py |   2 +-
@@ -430,5 +430,5 @@ index 0000000000..72a836ac33
 +#undef CHECK_STATUS
 +}
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0015-Remove-useless-if-branch.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0015-Remove-useless-if-branch.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0015-Remove-useless-if-branch.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0015-Remove-useless-if-branch.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 90d482227516fcb25ca71fe539937860b8ab7186 Mon Sep 17 00:00:00 2001
+From 368941bbb620726a386de395f57dc4dd83f08ea7 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 21 Nov 2019 21:03:42 +0530
-Subject: [PATCH 015/125] Remove useless if branch
+Subject: [PATCH 015/201] Remove useless if branch
 
 ---
  bypy/linux/site.py | 12 +-----------
@@ -31,5 +31,5 @@ index 9b21e7d4fe..e3870eb394 100644
      builtins.exit = _sitebuiltins.Quitter('exit', eof)
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0016-The-Apple-build-is-working.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0016-The-Apple-build-is-working.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0016-The-Apple-build-is-working.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0016-The-Apple-build-is-working.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 113617bf9f0b8476a1da2d908e89187c72a6ed54 Mon Sep 17 00:00:00 2001
+From 5fe4abdd127eb3edecc2d77dae97319d33b70320 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 21 Nov 2019 21:17:13 +0530
-Subject: [PATCH 016/125] The Apple build is working
+Subject: [PATCH 016/201] The Apple build is working
 
 ---
  bypy/macos/__main__.py          |  55 ++++----
@@ -742,5 +742,5 @@ index b31494a1b6..050462bd1e 100644
          return self.executable
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0017-De-vendor-pychm.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0017-De-vendor-pychm.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0017-De-vendor-pychm.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0017-De-vendor-pychm.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 2a48cc675cfc0a3e3f7bf732edc3c94a4e883dba Mon Sep 17 00:00:00 2001
+From 73603a693fe21d8cab28566fabfe298937fd0542 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 22 Nov 2019 12:08:28 +0530
-Subject: [PATCH 017/125] De-vendor pychm
+Subject: [PATCH 017/201] De-vendor pychm
 
 ---
  COPYRIGHT                         |    6 -
@@ -78,7 +78,7 @@ index 0d33ca3418..ebbcac510d 100644
          "name": "lzx",
          "sources": "calibre/utils/lzx/lzxmodule.c calibre/utils/lzx/compressor.c calibre/utils/lzx/lzxd.c calibre/utils/lzx/lzc.c calibre/utils/lzx/lzxc.c",
 diff --git a/src/calibre/constants.py b/src/calibre/constants.py
-index cb692d1dc2..898f255d34 100644
+index 87fb58d314..d05dca9229 100644
 --- a/src/calibre/constants.py
 +++ b/src/calibre/constants.py
 @@ -167,7 +167,6 @@ class Plugins(collections.Mapping):
@@ -6865,5 +6865,5 @@ index bbcbdbe698..0000000000
 -                      CHM_ENUMERATOR e,
 -                      void *context);
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0018-Dont-remove-v3-port-from-PyQt.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0018-Dont-remove-v3-port-from-PyQt.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0018-Dont-remove-v3-port-from-PyQt.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0018-Dont-remove-v3-port-from-PyQt.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 706975906436628f0a6697433729b0cb5f124ca7 Mon Sep 17 00:00:00 2001
+From 590603ccfd16c5ee45e4dc93b65c55a0abf71b37 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 25 Nov 2019 13:58:55 +0530
-Subject: [PATCH 018/125] Dont remove v3 port from PyQt
+Subject: [PATCH 018/201] Dont remove v3 port from PyQt
 
 ---
  bypy/macos/__main__.py   | 1 -
@@ -35,5 +35,5 @@ index 07cfcfaacc..44a06a4507 100644
      for x in {x for x in os.listdir(pyqt) if x.endswith('.pyd')}:
          if x.partition('.')[0] not in PYQT_MODULES and x != 'sip.pyd':
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0019-Write-to-buffer.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0019-Write-to-buffer.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0019-Write-to-buffer.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0019-Write-to-buffer.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From c0c2ac17ce08387b4bd99ea23ece58a052159084 Mon Sep 17 00:00:00 2001
+From b31e1007b073446c3a0254eedf78be92392d1c0a Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 25 Nov 2019 14:37:39 +0530
-Subject: [PATCH 019/125] Write to buffer
+Subject: [PATCH 019/201] Write to buffer
 
 ---
  src/calibre/utils/ipc/pool.py | 2 +-
@@ -21,5 +21,5 @@ index 4e4f28afef..4ab4c7d09f 100644
                      pass
              else:
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0020-Allow-subprocess-to-use-posix_spawn.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0020-Allow-subprocess-to-use-posix_spawn.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0020-Allow-subprocess-to-use-posix_spawn.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0020-Allow-subprocess-to-use-posix_spawn.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From c1a3b724aa161f52aac5c713f53b08974e4e1bc4 Mon Sep 17 00:00:00 2001
+From 0b14c04aaed6b452001404d4a7753ac8007af22f Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 25 Nov 2019 15:18:13 +0530
-Subject: [PATCH 020/125] Allow subprocess to use posix_spawn()
+Subject: [PATCH 020/201] Allow subprocess to use posix_spawn()
 
 This is both faster and needed on macOS where one cannot use fork()
 when using Qt.
@@ -91,5 +91,5 @@ index 4756ca2cc5..d10e968e62 100644
      if csw:
          mod, _, func = csw.partition(':')
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0021-Get-python3-and-webengine-building-on-windows.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0021-Get-python3-and-webengine-building-on-windows.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0021-Get-python3-and-webengine-building-on-windows.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0021-Get-python3-and-webengine-building-on-windows.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 18c08e17d1122ea4824785a579fbe5e197c74818 Mon Sep 17 00:00:00 2001
+From 438d9a5f7cfcfc093f26f0f4eb1b01aed18d42b2 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 26 Nov 2019 17:26:12 +0530
-Subject: [PATCH 021/125] Get python3 and webengine building on windows
+Subject: [PATCH 021/201] Get python3 and webengine building on windows
 
 ---
  bypy/sources.json | 1 +
@@ -41,5 +41,5 @@ index b163e3732b..6385ad049b 100644
  ruby 'C:/Ruby27-x64/bin/ruby.exe'
  mesa 'C:/mesa'
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0022-Need-updated-pywin32-for-python-3.8.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0022-Need-updated-pywin32-for-python-3.8.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0022-Need-updated-pywin32-for-python-3.8.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0022-Need-updated-pywin32-for-python-3.8.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 53b3d2c2466f084a663fb85b88283f73b6165aaf Mon Sep 17 00:00:00 2001
+From 69510784fd1c507d4559d53e37ffdf1e2fa98a75 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 27 Nov 2019 11:00:52 +0530
-Subject: [PATCH 022/125] Need updated pywin32 for python 3.8
+Subject: [PATCH 022/201] Need updated pywin32 for python 3.8
 
 ---
  bypy/sources.json | 6 +++---
@@ -25,5 +25,5 @@ index e464847f1a..c50f32e786 100644
      },
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0023-Switch-to-pycryptodome-as-pycrypto-is-un-maintained.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0023-Switch-to-pycryptodome-as-pycrypto-is-un-maintained.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0023-Switch-to-pycryptodome-as-pycrypto-is-un-maintained.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0023-Switch-to-pycryptodome-as-pycrypto-is-un-maintained.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From c62b8945fcda6a42368c825b6bb5b4405df37f8e Mon Sep 17 00:00:00 2001
+From 56b29c0aa2eae919b5c2730bbb4aac12409aef5f Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 27 Nov 2019 14:49:49 +0530
-Subject: [PATCH 023/125] Switch to pycryptodome as pycrypto is un-maintained
+Subject: [PATCH 023/201] Switch to pycryptodome as pycrypto is un-maintained
 
 ---
  bypy/sources.json | 6 +++---
@@ -26,5 +26,5 @@ index c50f32e786..acc416c25a 100644
          }
      },
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0024-Get-rid-of-msstdint.h.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0024-Get-rid-of-msstdint.h.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0024-Get-rid-of-msstdint.h.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0024-Get-rid-of-msstdint.h.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 4e2acd78652882f1b0db0deff94053187d95498e Mon Sep 17 00:00:00 2001
+From 663e7ca2d98f2f2c1566dcb7a20f44fb1761fa5e Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 28 Nov 2019 16:56:06 +0530
-Subject: [PATCH 024/125] Get rid of msstdint.h
+Subject: [PATCH 024/201] Get rid of msstdint.h
 
 Not needed with VS 2017 and conflicts with default stdint.h which is
 pulled in by python 3
@@ -327,5 +327,5 @@ index 51190b4fa5..0000000000
 -#endif // __STDC_CONSTANT_MACROS ]
 -
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0025-Various-compilation-fixed-for-windows-extensions-on-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0025-Various-compilation-fixed-for-windows-extensions-on-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0025-Various-compilation-fixed-for-windows-extensions-on-.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0025-Various-compilation-fixed-for-windows-extensions-on-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 4d2e9652eee19213e7eb393feafcbf0111eda472 Mon Sep 17 00:00:00 2001
+From 8be19f50abfe6cd361b2b0fe43712ba367c698a5 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 28 Nov 2019 17:20:54 +0530
-Subject: [PATCH 025/125] Various compilation fixed for windows extensions on
+Subject: [PATCH 025/201] Various compilation fixed for windows extensions on
  python3
 
 ---
@@ -68,5 +68,5 @@ index 651d5e8682..a74b234683 100644
  #include <stdio.h>
  #include <setupapi.h>
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0026-Work-on-windows-python3-build.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0026-Work-on-windows-python3-build.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0026-Work-on-windows-python3-build.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0026-Work-on-windows-python3-build.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From bbeab50c3c0473fa5baa65217d3c097169d1a0f9 Mon Sep 17 00:00:00 2001
+From 8d4dcac0e8ef1d7beba9e1ccc9e4664c2db7d56a Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 28 Nov 2019 21:07:42 +0530
-Subject: [PATCH 026/125] Work on windows python3 build
+Subject: [PATCH 026/201] Work on windows python3 build
 
 ---
  bypy/run-python.h        |  62 ++++++++--
@@ -718,5 +718,5 @@ index 22d163a006..7b552391d3 100644
  
      return ret;
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0027-Add-proper-paths-in-windows-frozen-build.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0027-Add-proper-paths-in-windows-frozen-build.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0027-Add-proper-paths-in-windows-frozen-build.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0027-Add-proper-paths-in-windows-frozen-build.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 38da5513a1d8988969b46190a6b09a32b143afcb Mon Sep 17 00:00:00 2001
+From 203d2bec83f4eb4724e4ed54191e7d0a9d7df650 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 3 Dec 2019 10:22:41 +0530
-Subject: [PATCH 027/125] Add proper paths in windows frozen build
+Subject: [PATCH 027/201] Add proper paths in windows frozen build
 
 ---
  bypy/run-python.h    | 2 ++
@@ -66,5 +66,5 @@ index 7b552391d3..65d258d34d 100644
  
  static void
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0028-Ensure-no-__pycache__-is-added-to-pylib.zip.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0028-Ensure-no-__pycache__-is-added-to-pylib.zip.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0028-Ensure-no-__pycache__-is-added-to-pylib.zip.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0028-Ensure-no-__pycache__-is-added-to-pylib.zip.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 445d59ec03a56a7f296deb0749b127038f62694b Mon Sep 17 00:00:00 2001
+From 0b076a40591c0a720f978234eabe2bea5580ba4d Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 3 Dec 2019 10:47:43 +0530
-Subject: [PATCH 028/125] Ensure no __pycache__ is added to pylib.zip
+Subject: [PATCH 028/201] Ensure no __pycache__ is added to pylib.zip
 
 ---
  bypy/windows/__main__.py | 2 ++
@@ -21,5 +21,5 @@ index 3f1aa199fc..aee163207c 100644
      name = name.replace(os.sep, '/')
      if name in zf_names:
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0029-Fix-failing-winutil-test.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0029-Fix-failing-winutil-test.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0029-Fix-failing-winutil-test.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0029-Fix-failing-winutil-test.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 160272d6a2c17156ad0a19294c3c8c3aeebc8c34 Mon Sep 17 00:00:00 2001
+From 236c9bdf110c008648552acf0eabb5f17a90b383 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 3 Dec 2019 10:50:45 +0530
-Subject: [PATCH 029/125] Fix failing winutil test
+Subject: [PATCH 029/201] Fix failing winutil test
 
 ---
  src/calibre/test_build.py | 2 ++
@@ -21,5 +21,5 @@ index c8b893692c..b02deea746 100644
  
      def test_sqlite(self):
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0030-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0030-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0030-.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0030-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 5dc6dae14d4a0ee392e54ec6fc81aeb5ec3ee466 Mon Sep 17 00:00:00 2001
+From 0e2c99b2e4239a81b74c6d622f9355deaa6074dd Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 3 Dec 2019 11:06:52 +0530
-Subject: [PATCH 030/125] ...
+Subject: [PATCH 030/201] ...
 
 ---
  bypy/windows/site.py | 2 +-
@@ -21,5 +21,5 @@ index 244ddfb39b..2ec48e0754 100644
      import linecache
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0031-Copy-in-python3.dll-as-PyQt-links-against-it-instead.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0031-Copy-in-python3.dll-as-PyQt-links-against-it-instead.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0031-Copy-in-python3.dll-as-PyQt-links-against-it-instead.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0031-Copy-in-python3.dll-as-PyQt-links-against-it-instead.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 7d2f083b4311030b394d4c61b21be8e767faabf3 Mon Sep 17 00:00:00 2001
+From 3ee12b1137322e5e1905ce39589a2ede1036e90a Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 3 Dec 2019 11:17:19 +0530
-Subject: [PATCH 031/125] Copy in python3.dll as PyQt links against it instead
+Subject: [PATCH 031/201] Copy in python3.dll as PyQt links against it instead
  of python38.dll
 
 ---
@@ -23,5 +23,5 @@ index aee163207c..412695ce07 100644
      for f in walk(os.path.join(env.python_base, 'Lib')):
          if f.lower().endswith('.dll') and 'scintilla' not in f.lower():
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0032-Get-rid-of-narrow-build-codepaths.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0032-Get-rid-of-narrow-build-codepaths.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0032-Get-rid-of-narrow-build-codepaths.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0032-Get-rid-of-narrow-build-codepaths.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 4a5dc02c9be438e056d1e75bc7f02f8d211f9d2c Mon Sep 17 00:00:00 2001
+From 1e5f0f9c8232a3617b950a1a11514945be5ff675 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 3 Dec 2019 12:02:57 +0530
-Subject: [PATCH 032/125] Get rid of narrow build codepaths
+Subject: [PATCH 032/201] Get rid of narrow build codepaths
 
 ---
  src/calibre/ebooks/epub/cfi/parse.py          |  9 +-
@@ -43,7 +43,7 @@ index cbcd3bf78b..5ffb9e55f9 100644
          chars = r'(?:%s|(?:%s))+' % (unescaped_char, escaped_char)
          chars_no_space = chars.replace('0020', '0021')
 diff --git a/src/calibre/gui2/tweak_book/editor/syntax/base.py b/src/calibre/gui2/tweak_book/editor/syntax/base.py
-index a7838145dc..b1129e58f5 100644
+index f8a73953b6..bae26c262c 100644
 --- a/src/calibre/gui2/tweak_book/editor/syntax/base.py
 +++ b/src/calibre/gui2/tweak_book/editor/syntax/base.py
 @@ -1,11 +1,9 @@
@@ -356,5 +356,5 @@ index a91d5a6a39..dfca519ab7 100644
  
  def input_unicode(prompt):
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0033-Update-pillow-to-version-that-builds-with-python-3.8.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0033-Update-pillow-to-version-that-builds-with-python-3.8.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0033-Update-pillow-to-version-that-builds-with-python-3.8.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0033-Update-pillow-to-version-that-builds-with-python-3.8.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 70c4abc1ec90bb5484fe5dc375b3e4ecaf2f2041 Mon Sep 17 00:00:00 2001
+From eef3013a3e50f9b9e77cf28e4bcb8797b3a16238 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 3 Dec 2019 22:44:47 +0530
-Subject: [PATCH 033/125] Update pillow to version that builds with python 3.8
+Subject: [PATCH 033/201] Update pillow to version that builds with python 3.8
 
 ---
  bypy/sources.json | 4 ++--
@@ -23,5 +23,5 @@ index acc416c25a..399bc9e9db 100644
          }
      },
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0034-HRESULT-has-moved-from-wintypes-in-python-3.8.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0034-HRESULT-has-moved-from-wintypes-in-python-3.8.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0034-HRESULT-has-moved-from-wintypes-in-python-3.8.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0034-HRESULT-has-moved-from-wintypes-in-python-3.8.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 00781a3417204cf504d2b2c253def1091e44f1a8 Mon Sep 17 00:00:00 2001
+From f5670861bbfc75810937825f384672a007c9bf73 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 4 Dec 2019 09:30:38 +0530
-Subject: [PATCH 034/125] HRESULT has moved from wintypes in python 3.8
+Subject: [PATCH 034/201] HRESULT has moved from wintypes in python 3.8
 
 ---
  src/calibre/gui2/__init__.py | 3 ++-
@@ -27,5 +27,5 @@ index ba8a369d1f..564edeaddd 100644
          AppUserModelID(unicode_type(val))
      except Exception as err:
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0035-py3-compat-for-the-recycle-bin-process.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0035-py3-compat-for-the-recycle-bin-process.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0035-py3-compat-for-the-recycle-bin-process.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0035-py3-compat-for-the-recycle-bin-process.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 0630bd1a46df837dec744d4f2a79012fcb77bb7c Mon Sep 17 00:00:00 2001
+From fb6da1e16eab7f56988213b48e47fafe45b56f7a Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 4 Dec 2019 15:45:13 +0530
-Subject: [PATCH 035/125] py3 compat for the recycle bin process
+Subject: [PATCH 035/201] py3 compat for the recycle bin process
 
 ---
  src/calibre/utils/recycle_bin.py        | 3 ++-
@@ -36,5 +36,5 @@ index ed24d642ee..13ee781da2 100644
  	}
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0036-py3-fix-incorrect-import-of-c_wchar_p-from-wintypes.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0036-py3-fix-incorrect-import-of-c_wchar_p-from-wintypes.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0036-py3-fix-incorrect-import-of-c_wchar_p-from-wintypes.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0036-py3-fix-incorrect-import-of-c_wchar_p-from-wintypes.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 004968c4e7bd26fa906a15db97a2e7eb2a527fbf Mon Sep 17 00:00:00 2001
+From f1ee497672d2c08a3a64c3960c9fd2a96a9574e8 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 4 Dec 2019 17:06:12 +0530
-Subject: [PATCH 036/125] py3: fix incorrect import of c_wchar_p from wintypes
+Subject: [PATCH 036/201] py3: fix incorrect import of c_wchar_p from wintypes
 
 ---
  src/calibre/utils/terminal.py | 6 +++---
@@ -39,5 +39,5 @@ index ffbabcdc64..c61f45fad9 100644
      s.write_unicode_text(u)
      print()
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0037-Dont-redirect-stdoutstderr-to-NUL-if-it-is-a-tty.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0037-Dont-redirect-stdoutstderr-to-NUL-if-it-is-a-tty.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0037-Dont-redirect-stdoutstderr-to-NUL-if-it-is-a-tty.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0037-Dont-redirect-stdoutstderr-to-NUL-if-it-is-a-tty.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 291d400cf4bdef58a1e33b9c1bbab4ecbf0a466d Mon Sep 17 00:00:00 2001
+From a92e4a8901a0917698a5a283c9c1e49b00df2460 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 4 Dec 2019 17:09:34 +0530
-Subject: [PATCH 037/125] Dont redirect stdoutstderr to NUL if it is a tty
+Subject: [PATCH 037/201] Dont redirect stdoutstderr to NUL if it is a tty
 
 ---
  bypy/windows/util.c | 4 +++-
@@ -23,5 +23,5 @@ index 65d258d34d..d9a5c5f415 100644
      errno_t err;
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0038-Allow-using-ANSI-escape-codes-on-windows-when-writin.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0038-Allow-using-ANSI-escape-codes-on-windows-when-writin.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0038-Allow-using-ANSI-escape-codes-on-windows-when-writin.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0038-Allow-using-ANSI-escape-codes-on-windows-when-writin.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 5b2e23d581c1c1e22face3e43814bbbc035df54a Mon Sep 17 00:00:00 2001
+From 32009d77c6be634ca73862eb2fb817153665f11a Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 4 Dec 2019 17:59:40 +0530
-Subject: [PATCH 038/125] Allow using ANSI escape codes on windows when writing
+Subject: [PATCH 038/201] Allow using ANSI escape codes on windows when writing
  to the console
 
 ---
@@ -117,5 +117,5 @@ index d9a5c5f415..fa22e5c000 100644
      _set_invalid_parameter_handler(null_invalid_parameter_handler);
      interpreter_data.argv = CommandLineToArgvW(GetCommandLineW(), &interpreter_data.argc);
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0039-Simplify-windows-terminal-handling-code.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0039-Simplify-windows-terminal-handling-code.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0039-Simplify-windows-terminal-handling-code.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0039-Simplify-windows-terminal-handling-code.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From e7cadf87802bc8921506f6f7fcec0eb85cb9ad8f Mon Sep 17 00:00:00 2001
+From 853382be4631877169e78429df3ce1b8e95c1718 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 4 Dec 2019 18:27:55 +0530
-Subject: [PATCH 039/125] Simplify windows terminal handling code
+Subject: [PATCH 039/201] Simplify windows terminal handling code
 
 We rely on the fact that python 3 now knows how to write unicode to
 windows consoles. And we setup the console to understand ANSI escape
@@ -307,5 +307,5 @@ index c61f45fad9..51d38580bd 100644
 +    s.write(u)
      print()
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0040-Get-rid-of-prints.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0040-Get-rid-of-prints.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0040-Get-rid-of-prints.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0040-Get-rid-of-prints.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From e764c77ab92999ed7370c0aade9d71e16dffeaeb Mon Sep 17 00:00:00 2001
+From 5e332830c32a6af28317ce71dc9dddb8334b2c7e Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 4 Dec 2019 19:40:13 +0530
-Subject: [PATCH 040/125] Get rid of prints()
+Subject: [PATCH 040/201] Get rid of prints()
 
 Not needed in python3
 ---
@@ -195,5 +195,5 @@ index e6449caf3f..7affa7b3d6 100644
      def flush(self):
          self.stream.flush()
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0041-Clean-up-logging-to-use-python3-printing-as-well.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0041-Clean-up-logging-to-use-python3-printing-as-well.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0041-Clean-up-logging-to-use-python3-printing-as-well.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0041-Clean-up-logging-to-use-python3-printing-as-well.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From db9a3d1ed956c1177459c5f5e59d88aa3f696dbc Mon Sep 17 00:00:00 2001
+From a2c83851410d2da3eb9d47ed5eed004cec5f98c0 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 4 Dec 2019 19:52:22 +0530
-Subject: [PATCH 041/125] Clean up logging to use python3 printing as well
+Subject: [PATCH 041/201] Clean up logging to use python3 printing as well
 
 ---
  src/calibre/utils/logging.py  | 35 +++++++++++++++++++++--------------
@@ -128,5 +128,5 @@ index 51d38580bd..47232974d3 100644
      def strip_and_write(self, text):
          binary = isinstance(text, bytes)
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0042-Use-an-at-exit-handler-to-restore-console-state.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0042-Use-an-at-exit-handler-to-restore-console-state.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0042-Use-an-at-exit-handler-to-restore-console-state.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0042-Use-an-at-exit-handler-to-restore-console-state.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 5d53143315e16ee2218a7d4ad2bdcc59ce907ea4 Mon Sep 17 00:00:00 2001
+From 8526e1a173a846e058b36fd6257315eb3008c076 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 4 Dec 2019 20:03:40 +0530
-Subject: [PATCH 042/125] Use an at exit handler to restore console state
+Subject: [PATCH 042/201] Use an at exit handler to restore console state
 
 Py_Main() does not return if an unhandled SystemExit is raised
 ---
@@ -72,5 +72,5 @@ index ed28b3164c..55383c79dd 100644
  #undef CHECK_STATUS
  }
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0043-Py_RunMain-does-not-call-exit.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0043-Py_RunMain-does-not-call-exit.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0043-Py_RunMain-does-not-call-exit.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0043-Py_RunMain-does-not-call-exit.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 2fd4a8b2165bf7c5cf1da10c856ea39fc02b6061 Mon Sep 17 00:00:00 2001
+From b8305965bbe8c86ecf3ad85b2f2be58cada646bf Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 4 Dec 2019 20:22:03 +0530
-Subject: [PATCH 043/125] Py_RunMain does not call exit()
+Subject: [PATCH 043/201] Py_RunMain does not call exit()
 
 ---
  bypy/run-python.h | 4 +++-
@@ -27,5 +27,5 @@ index 55383c79dd..fcf2dd4db5 100644
  #undef CHECK_STATUS
  }
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0044-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0044-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0044-.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0044-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 92fb281227837aeff1dea1225159b71f8f8f438e Mon Sep 17 00:00:00 2001
+From 428a886fa94939b7aa88ff2ad6a42fb659e61fb9 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 4 Dec 2019 21:09:35 +0530
-Subject: [PATCH 044/125] ...
+Subject: [PATCH 044/201] ...
 
 ---
  bypy/windows/util.c | 6 +++---
@@ -39,5 +39,5 @@ index fa22e5c000..b079123c61 100644
      if (interpreter_data.argv == NULL) ExitProcess(show_last_error(L"Failed to get command line"));
      interpreter_data.basename = basename; interpreter_data.module = module; interpreter_data.function = function;
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0045-Restore-reporting-of-unhandled-exceptions-during-GUI.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0045-Restore-reporting-of-unhandled-exceptions-during-GUI.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0045-Restore-reporting-of-unhandled-exceptions-during-GUI.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0045-Restore-reporting-of-unhandled-exceptions-during-GUI.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From cfedf3b42be2010717f609cd023cf185afa3a2eb Mon Sep 17 00:00:00 2001
+From 9f5eef78adce77f78cd37cbad56f8e082e3baa74 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 4 Dec 2019 23:03:34 +0530
-Subject: [PATCH 045/125] Restore reporting of unhandled exceptions during GUI
+Subject: [PATCH 045/201] Restore reporting of unhandled exceptions during GUI
  application startup on windows
 
 Not as nice as it was previously since errors importing the site module
@@ -112,5 +112,5 @@ index b079123c61..a9296f1f07 100644
      pre_initialize_interpreter(is_gui_app);
  	run_interpreter();
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0046-Only-report-unhandled-errors-if-excepthook-is-the-de.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0046-Only-report-unhandled-errors-if-excepthook-is-the-de.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0046-Only-report-unhandled-errors-if-excepthook-is-the-de.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0046-Only-report-unhandled-errors-if-excepthook-is-the-de.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From a8ee04def2db4a194a3a26d2da0863f3dd417080 Mon Sep 17 00:00:00 2001
+From 300258ec7a064dc1b58156bdc933d71e7c70f458 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 4 Dec 2019 23:10:30 +0530
-Subject: [PATCH 046/125] Only report unhandled errors if excepthook is the
+Subject: [PATCH 046/201] Only report unhandled errors if excepthook is the
  default
 
 ---
@@ -22,5 +22,5 @@ index ef9b55634f..952c23bbbb 100644
              import calibre_os_module
              calibre_os_module.gui_error_message(
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0047-Make-the-built-py3-sw-available-for-CI.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0047-Make-the-built-py3-sw-available-for-CI.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0047-Make-the-built-py3-sw-available-for-CI.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0047-Make-the-built-py3-sw-available-for-CI.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 3afe3dc2dd3c36b214536c4df14e75a8db109c0b Mon Sep 17 00:00:00 2001
+From 3482438793cf463e4fc42a9e118753f9119f74f4 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 10:00:17 +0530
-Subject: [PATCH 047/125] Make the built py3 sw available for CI
+Subject: [PATCH 047/201] Make the built py3 sw available for CI
 
 ---
  setup/installers.py | 2 +-
@@ -35,5 +35,5 @@ index 343f132384..076bac12bc 100644
      with tarfile.open(fileobj=io.BytesIO(tarball)) as tf:
          tf.extractall()
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0048-Add-pychm-to-CI-deps.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0048-Add-pychm-to-CI-deps.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0048-Add-pychm-to-CI-deps.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0048-Add-pychm-to-CI-deps.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 7bdd78815aafcf3dba8fbe513392f09277211b2a Mon Sep 17 00:00:00 2001
+From 9db5ca3978e2bb192d80e0dbeb2b1298fd26c255 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 10:10:41 +0530
-Subject: [PATCH 048/125] Add pychm to CI deps
+Subject: [PATCH 048/201] Add pychm to CI deps
 
 ---
  .github/workflows/ci.yml | 2 +-
@@ -21,5 +21,5 @@ index c1b8963afa..740fb423e1 100644
              - name: Checkout source code
                uses: actions/checkout@master
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0049-Fix-logging-in-the-server-for-py3.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0049-Fix-logging-in-the-server-for-py3.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0049-Fix-logging-in-the-server-for-py3.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0049-Fix-logging-in-the-server-for-py3.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From a6a35b51a1568e84c5eaafb3f7eca4d25c1cce33 Mon Sep 17 00:00:00 2001
+From 02d2cd28812d246ecdc1a0b84ce210a5c98de59b Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 10:19:38 +0530
-Subject: [PATCH 049/125] Fix logging in the server for py3
+Subject: [PATCH 049/201] Fix logging in the server for py3
 
 ---
  src/calibre/srv/utils.py | 12 ++++++++++--
@@ -39,5 +39,5 @@ index eb51943ffd..08ab8ac98c 100644
          end = kwargs.get('end', b'\n')
          if isinstance(end, unicode_type):
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0050-Forgot-to-change-tarball-url-for-unix.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0050-Forgot-to-change-tarball-url-for-unix.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0050-Forgot-to-change-tarball-url-for-unix.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0050-Forgot-to-change-tarball-url-for-unix.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 6127b1cf0e614908ff6158ece43ca69752df0b87 Mon Sep 17 00:00:00 2001
+From 88c1c539cc548afd1db37b919974a24b3f68112e Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 10:20:41 +0530
-Subject: [PATCH 050/125] Forgot to change tarball url for unix
+Subject: [PATCH 050/201] Forgot to change tarball url for unix
 
 ---
  setup/unix-ci.py | 2 +-
@@ -21,5 +21,5 @@ index 381e66cc5c..fa3b395d34 100644
          if not ismacos:
              run('sudo', 'apt-get', 'update', '-y')
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0051-Fix-failing-test.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0051-Fix-failing-test.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0051-Fix-failing-test.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0051-Fix-failing-test.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From e9d6aa019e3378c4d3cdaf58869f5464f161225b Mon Sep 17 00:00:00 2001
+From 3ebc6d0e46feabc737a01cb1ed47c1a6e8ff57f4 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 10:29:47 +0530
-Subject: [PATCH 051/125] Fix failing test
+Subject: [PATCH 051/201] Fix failing test
 
 ---
  src/calibre/ebooks/oeb/polish/tests/cascade.py | 2 +-
@@ -21,5 +21,5 @@ index 3b60a8bfb8..f74f135d8c 100644
      def test_resolve_styles(self):
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0052-Fix-share_open-in-py3-on-windows.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0052-Fix-share_open-in-py3-on-windows.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0052-Fix-share_open-in-py3-on-windows.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0052-Fix-share_open-in-py3-on-windows.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From bac21911b2bbed9408a8a00dd4d75c26ae4905f2 Mon Sep 17 00:00:00 2001
+From 8efa93a84d06ce61a930442fa1b235b4e7cc0f00 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 11:57:28 +0530
-Subject: [PATCH 052/125] Fix share_open() in py3 on windows
+Subject: [PATCH 052/201] Fix share_open() in py3 on windows
 
 ---
  src/calibre/utils/shared_file.py | 71 +++++---------------------------
@@ -164,5 +164,5 @@ index 30b82638c7..1bc956a1e3 100644
          "websocket_mask(data, mask [, offset=0)\n\nXOR the data (bytestring) with the specified (must be 4-byte bytestring) mask"
      },
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0053-Remove-more-__future__-imports.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0053-Remove-more-__future__-imports.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0053-Remove-more-__future__-imports.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0053-Remove-more-__future__-imports.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 0bbb4ce006a6c4c92bc9717ac33a29640a2baae6 Mon Sep 17 00:00:00 2001
+From 2aa19a2b2c23bc4346799083e14d747f5bfbb104 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 12:02:35 +0530
-Subject: [PATCH 053/125] Remove more __future__ imports
+Subject: [PATCH 053/201] Remove more __future__ imports
 
 ---
  src/calibre/utils/hyphenation/dictionaries.py     | 1 -
@@ -10,7 +10,7 @@ Subject: [PATCH 053/125] Remove more __f
  3 files changed, 3 deletions(-)
 
 diff --git a/src/calibre/utils/hyphenation/dictionaries.py b/src/calibre/utils/hyphenation/dictionaries.py
-index 2458fd4d0d..419c00d7e8 100644
+index 04f72d032b..7e82bb8244 100644
 --- a/src/calibre/utils/hyphenation/dictionaries.py
 +++ b/src/calibre/utils/hyphenation/dictionaries.py
 @@ -2,7 +2,6 @@
@@ -46,5 +46,5 @@ index 67ed1fbd69..dfaf1c265d 100644
  import os
  import shutil
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0054-Fix-translation-of-pywintypes.error-on-py3.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0054-Fix-translation-of-pywintypes.error-on-py3.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0054-Fix-translation-of-pywintypes.error-on-py3.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0054-Fix-translation-of-pywintypes.error-on-py3.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 6003568121302bde62f2c276f6850369d0d2273e Mon Sep 17 00:00:00 2001
+From f8f2a8b0712e6b6978a30c20570f6444c95580bf Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 14:01:41 +0530
-Subject: [PATCH 054/125] Fix translation of pywintypes.error on py3
+Subject: [PATCH 054/201] Fix translation of pywintypes.error on py3
 
 ---
  src/calibre/utils/lock.py        |  3 ++-
@@ -81,5 +81,5 @@ index 03ae48c266..893e079efe 100644
 -    unittest.TextTestRunner(verbosity=4).run(suite)
 +    run_tests()
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0055-Make-the-max-time-for-the-contention-test-20s.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0055-Make-the-max-time-for-the-contention-test-20s.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0055-Make-the-max-time-for-the-contention-test-20s.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0055-Make-the-max-time-for-the-contention-test-20s.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 6a611afa276ff4aee2b465d53c3e00ff4920a67c Mon Sep 17 00:00:00 2001
+From a272699c1e7ad1156d2616cf676493712ffdc828 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 14:29:44 +0530
-Subject: [PATCH 055/125] Make the max time for the contention test 20s
+Subject: [PATCH 055/201] Make the max time for the contention test 20s
 
 ---
  src/calibre/db/tests/locking.py | 18 ++++++++++++++++--
@@ -39,5 +39,5 @@ index aa046ffbe5..e15dffac05 100644
 +    from calibre.utils.run_tests import run_tests
 +    run_tests(find_tests)
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0056-Fix-contention-test-on-windows.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0056-Fix-contention-test-on-windows.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0056-Fix-contention-test-on-windows.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0056-Fix-contention-test-on-windows.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From e8b84147563a7ab5b436911d1ae6fc6f25e3991d Mon Sep 17 00:00:00 2001
+From 1b1969fa5d93deb9932bf61e24fc7cae92b3a616 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 15:28:19 +0530
-Subject: [PATCH 056/125] Fix contention test on windows
+Subject: [PATCH 056/201] Fix contention test on windows
 
 ---
  src/calibre/db/tests/locking.py | 19 ++++++++++++++-----
@@ -57,5 +57,5 @@ index e15dffac05..6c2ace6551 100644
          self.assertFalse(lock.is_shared)
          self.assertFalse(lock.is_exclusive)
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0057-Fix-test-failing-on-windows.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0057-Fix-test-failing-on-windows.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0057-Fix-test-failing-on-windows.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0057-Fix-test-failing-on-windows.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From b6b18da943918b01bc6104251543b0f4da3db1a2 Mon Sep 17 00:00:00 2001
+From 6d1115d0b0f463ce3795d4ff139939af3b3e2628 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 18:16:21 +0530
-Subject: [PATCH 057/125] Fix test failing on windows
+Subject: [PATCH 057/201] Fix test failing on windows
 
 ---
  src/calibre/ebooks/oeb/polish/tests/structure.py | 12 +++++++++++-
@@ -35,5 +35,5 @@ index aaf24fe470..5b84ed0220 100644
 +    from calibre.utils.run_tests import run_tests
 +    run_tests(find_tests)
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0058-Ignore-empty-missing-media-types-in-manifest.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0058-Ignore-empty-missing-media-types-in-manifest.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0058-Ignore-empty-missing-media-types-in-manifest.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0058-Ignore-empty-missing-media-types-in-manifest.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From d5e9f7eecf963c52fe1c69047204e6e3465c3e6a Mon Sep 17 00:00:00 2001
+From 78f43e1a616d8b62b73cd10e3af9dd609ad503fc Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 18:18:05 +0530
-Subject: [PATCH 058/125] Ignore empty/missing media-types in manifest
+Subject: [PATCH 058/201] Ignore empty/missing media-types in manifest
 
 ---
  src/calibre/ebooks/oeb/polish/container.py | 5 +++--
@@ -25,5 +25,5 @@ index ac4ebff4ba..7e93064da9 100644
      def data_for_clone(self, dest_dir=None):
          dest_dir = dest_dir or self.root
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0059-Fix-test-failing-on-windows.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0059-Fix-test-failing-on-windows.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0059-Fix-test-failing-on-windows.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0059-Fix-test-failing-on-windows.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 8821b9fc686d74fdc3546b34701ebc1257e7d872 Mon Sep 17 00:00:00 2001
+From c2cb222da44f669a80f40ba17321a4564b67e2de Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 18:37:32 +0530
-Subject: [PATCH 059/125] Fix test failing on windows
+Subject: [PATCH 059/201] Fix test failing on windows
 
 ---
  src/calibre/gui2/viewer/convert_book.py | 6 ++++--
@@ -46,5 +46,5 @@ index 362075b095..13b04582f8 100644
          try:
              metadata = json.loads(f.read())
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0060-DRYer.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0060-DRYer.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0060-DRYer.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0060-DRYer.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 9175beea23ca20b25a290dfd1e998d93789cd800 Mon Sep 17 00:00:00 2001
+From 76e91ea9b4187e114fdae9f46e50b74a76b3a259 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 20:05:57 +0530
-Subject: [PATCH 060/125] DRYer
+Subject: [PATCH 060/201] DRYer
 
 ---
  src/calibre/gui2/viewer/convert_book.py | 26 +++++++++++++++----------
@@ -79,5 +79,5 @@ index 13b04582f8..996a105469 100644
              self.ae(open(os.path.join(path, 'sentinel'), 'rb').read(), b'updated')
              self.ae(1, len(os.listdir(os.path.join(book_cache_dir(), 'f'))))
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0061-Dont-fail-the-websocket-test-when-sending-garbage-an.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0061-Dont-fail-the-websocket-test-when-sending-garbage-an.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0061-Dont-fail-the-websocket-test-when-sending-garbage-an.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0061-Dont-fail-the-websocket-test-when-sending-garbage-an.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From ea867f88a7f588533e726b705233b7c6dcc5cb21 Mon Sep 17 00:00:00 2001
+From 7a81550ea26d78e4b51eb98a020a9172e2e6d8f4 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 20:28:49 +0530
-Subject: [PATCH 061/125] Dont fail the websocket test when sending garbage and
+Subject: [PATCH 061/201] Dont fail the websocket test when sending garbage and
  the connection is unexpectedly closed by the OS
 
 ---
@@ -36,5 +36,5 @@ index 1620fb7b5f..b0a95819bb 100644
 +    import unittest
 +    return unittest.defaultTestLoader.loadTestsFromTestCase(WebSocketTest)
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0062-Make-timeout-test-a-bit-more-robust.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0062-Make-timeout-test-a-bit-more-robust.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0062-Make-timeout-test-a-bit-more-robust.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0062-Make-timeout-test-a-bit-more-robust.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From e290274d41f2a1e045e948103d165bc4ff27b82b Mon Sep 17 00:00:00 2001
+From c83c89eb6758476bd2d6dd67face88c644636216 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 20:31:33 +0530
-Subject: [PATCH 062/125] Make timeout test a bit more robust
+Subject: [PATCH 062/201] Make timeout test a bit more robust
 
 ---
  src/calibre/srv/tests/loop.py | 2 +-
@@ -21,5 +21,5 @@ index 1710bd2925..6bdcfb2608 100644
              self.ae(3, sum(int(w.is_alive()) for w in pool.workers))
              conn = server.connect()
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0063-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0063-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0063-.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0063-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 7fe46e0a03c203332962646e0a975e9010321db8 Mon Sep 17 00:00:00 2001
+From 80a270f4faf9c86797529c87130ce052c3cfcff2 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 20:45:33 +0530
-Subject: [PATCH 063/125] ...
+Subject: [PATCH 063/201] ...
 
 ---
  src/calibre/srv/tests/loop.py | 5 +++++
@@ -21,5 +21,5 @@ index 6bdcfb2608..b0ca60e498 100644
 +    import unittest
 +    return unittest.defaultTestLoader.loadTestsFromTestCase(LoopTest)
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0064-Better-test-time-formatting.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0064-Better-test-time-formatting.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0064-Better-test-time-formatting.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0064-Better-test-time-formatting.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 01dd17c173c22897556e861d1f6ece24f9c91baa Mon Sep 17 00:00:00 2001
+From c88d80a61829710cb4b4fb7771685e30f6c4ea8d Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 20:53:52 +0530
-Subject: [PATCH 064/125] Better test time formatting
+Subject: [PATCH 064/201] Better test time formatting
 
 ---
  src/calibre/utils/run_tests.py | 4 ++--
@@ -28,5 +28,5 @@ index 9cf8689141..676667152e 100644
                  self.stream.writeln('\nSlowest tests: %s' % ' '.join(slowest))
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0065-Sjorten-compile-transations-output.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0065-Sjorten-compile-transations-output.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0065-Sjorten-compile-transations-output.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0065-Sjorten-compile-transations-output.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From bb6b586705f490fb0f7138ac0fc20a9b77a61f79 Mon Sep 17 00:00:00 2001
+From e9a3aa6d42e21c097f1338941b7037ecbe6ce15b Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 5 Dec 2019 23:26:12 +0530
-Subject: [PATCH 065/125] Sjorten compile transations output
+Subject: [PATCH 065/201] Sjorten compile transations output
 
 ---
  setup/translations.py | 5 +++--
@@ -38,5 +38,5 @@ index 0c4b833cfb..f4bf81d696 100644
                      po_data = data.decode('utf-8')
                      data = json.loads(msgfmt(po_data))
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0066-Speed-up-compiling-translations.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0066-Speed-up-compiling-translations.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0066-Speed-up-compiling-translations.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0066-Speed-up-compiling-translations.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From cb31b73cf8ea0fb90a9fef515f78f16e29f136cf Mon Sep 17 00:00:00 2001
+From 46a893a98b209d0ce3fb89f8556b3a1af13d580c Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 6 Dec 2019 09:38:15 +0530
-Subject: [PATCH 066/125] Speed up compiling translations
+Subject: [PATCH 066/201] Speed up compiling translations
 
 Avoids calling a separate msgfmt binary for ever .po file since there
 are almost 4000 of them. Instead use msgfmt.py
@@ -224,5 +224,5 @@ index 5054d7c737..44f92df4a9 100644
              print(STATS['translated'], 'translated messages,', STATS['untranslated'], 'untranslated messages.')
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0067-Make-jobs-a-bit-nicer.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0067-Make-jobs-a-bit-nicer.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0067-Make-jobs-a-bit-nicer.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0067-Make-jobs-a-bit-nicer.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 876d362c349daf82f0b1b16c22b34e8d330864a3 Mon Sep 17 00:00:00 2001
+From bfad05c32cd080d9b4545515735543bac9d2e875 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 6 Dec 2019 11:11:44 +0530
-Subject: [PATCH 067/125] Make jobs a bit nicer
+Subject: [PATCH 067/201] Make jobs a bit nicer
 
 ---
  setup/parallel_build.py | 43 ++++++++++++++++++++++++++++++++---------
@@ -110,5 +110,5 @@ index 69140492a9..9c1a0bbaa9 100644
 +    with closing(p):
 +        return p.map(f, jobs_args)
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0068-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0068-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0068-.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0068-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 8f622d12fc9a14ecc23f8a70f9f72aebcf490ca0 Mon Sep 17 00:00:00 2001
+From 3b3684a54e3dc3fdf556ca7ae9d4c85bbc287a1d Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 6 Dec 2019 12:00:37 +0530
-Subject: [PATCH 068/125] ...
+Subject: [PATCH 068/201] ...
 
 ---
  setup/parallel_build.py | 2 +-
@@ -21,5 +21,5 @@ index 9c1a0bbaa9..c93b799a3c 100644
  
  def parallel_build(jobs, log, verbose=True):
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0069-Fully-parallelize-building-of-non-pyqt-extensions.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0069-Fully-parallelize-building-of-non-pyqt-extensions.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0069-Fully-parallelize-building-of-non-pyqt-extensions.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0069-Fully-parallelize-building-of-non-pyqt-extensions.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From f6d93e470a1a4ec01f339f78cd583757c542aea3 Mon Sep 17 00:00:00 2001
+From 2882f3dff80a1ff1f1604182307f26687d8244f0 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 6 Dec 2019 12:02:44 +0530
-Subject: [PATCH 069/125] Fully parallelize building of non-pyqt extensions
+Subject: [PATCH 069/201] Fully parallelize building of non-pyqt extensions
 
 ---
  setup/build.py | 84 +++++++++++++++++++++++++++++++++-----------------
@@ -157,5 +157,5 @@ index a836bee8ff..a2480fe94d 100644
      def check_call(self, *args, **kwargs):
          """print cmdline if an error occured
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0070-Parallelize-building-sip-files.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0070-Parallelize-building-sip-files.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0070-Parallelize-building-sip-files.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0070-Parallelize-building-sip-files.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 2484673c0ebe187419de2d65ad30d63789491b1f Mon Sep 17 00:00:00 2001
+From 9f833f337e98b14fa7ef0386589707444c3c815e Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 6 Dec 2019 14:30:18 +0530
-Subject: [PATCH 070/125] Parallelize building sip files
+Subject: [PATCH 070/201] Parallelize building sip files
 
 ---
  setup/build.py | 31 +++++++++++++++++++++++--------
@@ -79,5 +79,5 @@ index a2480fe94d..1e25574b32 100644
          '''\
          TEMPLATE = lib
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0071-Colorize-compiler-output-on-linux.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0071-Colorize-compiler-output-on-linux.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0071-Colorize-compiler-output-on-linux.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0071-Colorize-compiler-output-on-linux.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 7ab664f9171e150cb190f8df755935a25f16f310 Mon Sep 17 00:00:00 2001
+From bf171640c4f06a278f3b8271086adec0996a239a Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 6 Dec 2019 14:36:57 +0530
-Subject: [PATCH 071/125] Colorize compiler output on linux
+Subject: [PATCH 071/201] Colorize compiler output on linux
 
 ---
  setup/build.py | 2 ++
@@ -21,5 +21,5 @@ index 1e25574b32..6d00bb9fb3 100644
  
      if isbsd:
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0072-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0072-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0072-.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0072-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From be839faec94a6691a48da566e97e162a7732b898 Mon Sep 17 00:00:00 2001
+From 23adfddb056061ebfc4a521668250f45adb2ec5c Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 6 Dec 2019 14:38:21 +0530
-Subject: [PATCH 072/125] ...
+Subject: [PATCH 072/201] ...
 
 ---
  setup/build.py | 1 +
@@ -20,5 +20,5 @@ index 6d00bb9fb3..c4889cbe00 100644
          from setup.parallel_build import cpu_count
          from distutils import sysconfig
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0073-Bump-version-for-beta-builds.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0073-Bump-version-for-beta-builds.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0073-Bump-version-for-beta-builds.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0073-Bump-version-for-beta-builds.patch	2020-07-17 14:29:26.000000000 +0000
@@ -1,7 +1,7 @@
-From fb75f57238ed8e933e6283149019b72a3f77d330 Mon Sep 17 00:00:00 2001
+From 68cf551c91bcaf5c7125d2734599f2413758d63f Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 12 Dec 2019 14:03:26 +0530
-Subject: [PATCH 073/125] Bump version for beta builds
+Subject: [PATCH 073/201] Bump version for beta builds
 
 ---
  src/calibre/constants.py |    2 +-
@@ -15,7 +15,7 @@ Index: b/src/calibre/constants.py
  import sys, locale, codecs, os, importlib, collections
  
  __appname__   = 'calibre'
--numeric_version = (4, 20, 0)
+-numeric_version = (4, 21, 0)
 +numeric_version = (4, 99, 0)
  __version__   = '.'.join(map(unicode_type, numeric_version))
  git_version   = None
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0074-Get-the-manual-building.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0074-Get-the-manual-building.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0074-Get-the-manual-building.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0074-Get-the-manual-building.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From ad1ff77af042ad88fb87f883d32856f748aedc7e Mon Sep 17 00:00:00 2001
+From c5e192b8d6e45765c1e2d2e016313be30e619641 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 12 Dec 2019 18:00:03 +0530
-Subject: [PATCH 074/125] Get the manual building
+Subject: [PATCH 074/201] Get the manual building
 
 ---
  manual/build.py      | 10 +++++-----
@@ -82,5 +82,5 @@ index 7f6dc6036f..453c03d195 100644
               'calibre-server       = calibre.srv.standalone:main',
               'lrf2lrs              = calibre.ebooks.lrf.lrfparser:main',
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0075-Fix-devendoring-meta-path-magic-on-py3.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0075-Fix-devendoring-meta-path-magic-on-py3.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0075-Fix-devendoring-meta-path-magic-on-py3.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0075-Fix-devendoring-meta-path-magic-on-py3.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From cf76766ef2ed08c37f3e305b498c3360dc0c2afd Mon Sep 17 00:00:00 2001
+From fc6de62f811d59b68038d9ad0a6f9dc15a5c39b6 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 12 Dec 2019 20:33:00 +0530
-Subject: [PATCH 075/125] Fix devendoring meta path magic on py3
+Subject: [PATCH 075/201] Fix devendoring meta path magic on py3
 
 ---
  setup/test.py          |  5 +++++
@@ -74,5 +74,5 @@ index 924d6ebf26..ede9fbae4d 100644
      sys.meta_path.insert(0, DeVendor())
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0076-Get-proper-unicode-printouts-from-the-unhandled-exce.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0076-Get-proper-unicode-printouts-from-the-unhandled-exce.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0076-Get-proper-unicode-printouts-from-the-unhandled-exce.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0076-Get-proper-unicode-printouts-from-the-unhandled-exce.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From d69c1d1f3917e557ba0702ad916acbb1d080eec3 Mon Sep 17 00:00:00 2001
+From 11f38045f6a6c0bf943be6e712d448fc92c9928c Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 12 Dec 2019 22:48:10 +0530
-Subject: [PATCH 076/125] Get proper unicode printouts from the unhandled
+Subject: [PATCH 076/201] Get proper unicode printouts from the unhandled
  exception handler
 
 ---
@@ -46,5 +46,5 @@ index 2e59cdf6e5..702a61cb73 100644
              pass
          except:
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0077-Fix-code-broken-during-py3-migration.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0077-Fix-code-broken-during-py3-migration.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0077-Fix-code-broken-during-py3-migration.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0077-Fix-code-broken-during-py3-migration.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From e33be303b0d01f6feea03fb45ebfddd1c2f04d14 Mon Sep 17 00:00:00 2001
+From dc38d907f51416beef95acf17d2a0dc404a36c58 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 12 Dec 2019 23:04:36 +0530
-Subject: [PATCH 077/125] Fix code broken during py3 migration
+Subject: [PATCH 077/201] Fix code broken during py3 migration
 
 ---
  src/calibre/gui2/icon_theme.py | 5 ++---
@@ -36,5 +36,5 @@ index 1d9ec34a8e..96f55eca14 100644
          progress(next(num), _('Finished'))
      return buf.getvalue(), prefix
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0078-Fix-reading-of-names-in-custom-zipfile-module-on-py3.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0078-Fix-reading-of-names-in-custom-zipfile-module-on-py3.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0078-Fix-reading-of-names-in-custom-zipfile-module-on-py3.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0078-Fix-reading-of-names-in-custom-zipfile-module-on-py3.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 14e80878b2887c5d990674beb0d0db31d64613db Mon Sep 17 00:00:00 2001
+From a31f02929c25627c0fb1cbda6ae0a4a68ec10562 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 12 Dec 2019 23:14:58 +0530
-Subject: [PATCH 078/125] Fix reading of names in custom zipfile module on py3
+Subject: [PATCH 078/201] Fix reading of names in custom zipfile module on py3
 
 ---
  src/calibre/utils/zipfile.py | 14 +++++++-------
@@ -47,5 +47,5 @@ index 34172cf0b0..294ac11331 100644
              self.NameToInfo[x.filename] = x
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0079-Forgot-to-use-create_job.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0079-Forgot-to-use-create_job.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0079-Forgot-to-use-create_job.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0079-Forgot-to-use-create_job.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 9c7ed7b989adf89c8d2fe03b65f9014b68dd900c Mon Sep 17 00:00:00 2001
+From 46dd78aaa30c72bfbf98645980fdd38bb352d877 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 12 Dec 2019 23:21:04 +0530
-Subject: [PATCH 079/125] Forgot to use create_job()
+Subject: [PATCH 079/201] Forgot to use create_job()
 
 ---
  setup/publish.py | 12 ++++++------
@@ -60,5 +60,5 @@ index 9d8ea0f713..4409d884b2 100644
                      raise SystemExit(1)
          finally:
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0080-Bump-pychm-version.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0080-Bump-pychm-version.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0080-Bump-pychm-version.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0080-Bump-pychm-version.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 7e0efdd2536d3ada2a6af9955b41fe745e6fee10 Mon Sep 17 00:00:00 2001
+From 1738b899d9aed2ae98bae339cd38aecfae2a8512 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 13 Dec 2019 08:43:13 +0530
-Subject: [PATCH 080/125] Bump pychm version
+Subject: [PATCH 080/201] Bump pychm version
 
 ---
  bypy/sources.json | 4 ++--
@@ -23,5 +23,5 @@ index 399bc9e9db..1953d3ce8a 100644
          }
      },
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0081-More-py3-zipfile-fixes.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0081-More-py3-zipfile-fixes.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0081-More-py3-zipfile-fixes.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0081-More-py3-zipfile-fixes.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 0c746eb01a36d7b12f373f69dbec2b14306b139e Mon Sep 17 00:00:00 2001
+From 997ea541730b9e01af405daa5bed13d1463e5a91 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 13 Dec 2019 09:42:17 +0530
-Subject: [PATCH 081/125] More py3 zipfile fixes
+Subject: [PATCH 081/201] More py3 zipfile fixes
 
 ---
  src/calibre/utils/zipfile.py | 14 ++++++++------
@@ -54,5 +54,5 @@ index 294ac11331..0eeffe4eaa 100644
              zef_file.read(fheader[_FH_EXTRA_FIELD_LENGTH])
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0082-More-py3-unicode-fixes.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0082-More-py3-unicode-fixes.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0082-More-py3-unicode-fixes.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0082-More-py3-unicode-fixes.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 0ffd70dc2f30268ba70330e7cb60345de4a145e9 Mon Sep 17 00:00:00 2001
+From 86db9a8a11fc7852a27dce0e2a8b09e6c9c40966 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 13 Dec 2019 16:39:56 +0530
-Subject: [PATCH 082/125] More py3 unicode fixes
+Subject: [PATCH 082/201] More py3 unicode fixes
 
 the csv module needs to write out to a stream with newline='' on
 python3. And use PolyglotStringIO instead of PolyglotBytesIO so we remain unicode as long as possible.
@@ -210,5 +210,5 @@ index dd683ff001..1023a50914 100644
              sys.stdout, sys.stderr = oout, oerr
          return tb
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0083-Restore-prints-and-use-it-instead-of-polyglot-write.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0083-Restore-prints-and-use-it-instead-of-polyglot-write.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0083-Restore-prints-and-use-it-instead-of-polyglot-write.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0083-Restore-prints-and-use-it-instead-of-polyglot-write.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From d01c508853a896be43fce6dd44f4d7be7026bd3d Mon Sep 17 00:00:00 2001
+From 39e1fd93847d747b979f956ff0dfeef7e68e08d5 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 13 Dec 2019 18:01:55 +0530
-Subject: [PATCH 083/125] Restore prints and use it instead of polyglot write
+Subject: [PATCH 083/201] Restore prints and use it instead of polyglot write
 
 ---
  src/calibre/__init__.py       |  2 +-
@@ -273,5 +273,5 @@ index 47232974d3..817f3bc6ea 100644
  
      def __init__(self, stream):
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0084-Dont-use-r-n-in-logfiles-on-windows.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0084-Dont-use-r-n-in-logfiles-on-windows.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0084-Dont-use-r-n-in-logfiles-on-windows.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0084-Dont-use-r-n-in-logfiles-on-windows.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 7b28a902d986be8f4cb11bc94ac01b81b945b26d Mon Sep 17 00:00:00 2001
+From 7bb191873c0be931111a804b41e1d28132b297f4 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 13 Dec 2019 20:45:15 +0530
-Subject: [PATCH 084/125] Dont use \r\n in logfiles on windows
+Subject: [PATCH 084/201] Dont use \r\n in logfiles on windows
 
 ---
  src/calibre/srv/utils.py | 2 +-
@@ -21,5 +21,5 @@ index 6a7243598c..666d833dfb 100644
              # see https://bugs.python.org/issue27805
              self.stream = open(os.open(self.filename, os.O_WRONLY|os.O_APPEND|os.O_CREAT|os.O_CLOEXEC), 'w')
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0085-Fix-SpooledTemporaryFile-on-python3.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0085-Fix-SpooledTemporaryFile-on-python3.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0085-Fix-SpooledTemporaryFile-on-python3.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0085-Fix-SpooledTemporaryFile-on-python3.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 5d13cc8d3216e23bd6b137a4c0a2d23ef1552f78 Mon Sep 17 00:00:00 2001
+From 258178c1e524cd2ab804317aea4da03a3e788338 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 18 Dec 2019 09:23:36 +0530
-Subject: [PATCH 085/125] Fix SpooledTemporaryFile on python3
+Subject: [PATCH 085/201] Fix SpooledTemporaryFile on python3
 
 ---
  src/calibre/gui2/save.py        |  7 +------
@@ -11,7 +11,7 @@ Subject: [PATCH 085/125] Fix SpooledTemp
  4 files changed, 21 insertions(+), 14 deletions(-)
 
 diff --git a/src/calibre/gui2/save.py b/src/calibre/gui2/save.py
-index e4559374fa..5482d8f945 100644
+index 92913a6896..f980c32474 100644
 --- a/src/calibre/gui2/save.py
 +++ b/src/calibre/gui2/save.py
 @@ -7,7 +7,6 @@ __copyright__ = '2014, Kovid Goyal <kovid at kovidgoyal.net>'
@@ -110,5 +110,5 @@ index 0eeffe4eaa..b7ed5982da 100644
  try:
      import zlib  # We may need its compression method
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0086-Fix-pycryptodome-not-working-on-windows.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0086-Fix-pycryptodome-not-working-on-windows.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0086-Fix-pycryptodome-not-working-on-windows.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0086-Fix-pycryptodome-not-working-on-windows.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 23c7797e9066a914a13c972a1376107d4cc6c98e Mon Sep 17 00:00:00 2001
+From 93d95bda2cd161f574614be3bc27c3951ca232a0 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 18 Dec 2019 09:25:35 +0530
-Subject: [PATCH 086/125] Fix pycryptodome not working on windows
+Subject: [PATCH 086/201] Fix pycryptodome not working on windows
 
 ---
  bypy/windows/__main__.py  | 10 ++++++++++
@@ -43,5 +43,5 @@ index b02deea746..febb944120 100644
      @unittest.skipUnless(islinux, 'DBUS only used on linux')
      def test_dbus(self):
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0087-Bump-beta-version.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0087-Bump-beta-version.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0087-Bump-beta-version.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0087-Bump-beta-version.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 03b512bf4af29ea452c06594a64f4668e1afe98e Mon Sep 17 00:00:00 2001
+From 33abdd335841e976475d73b529c46326cd65ce02 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 18 Dec 2019 09:28:40 +0530
-Subject: [PATCH 087/125] Bump beta version
+Subject: [PATCH 087/201] Bump beta version
 
 ---
  src/calibre/constants.py | 2 +-
@@ -21,5 +21,5 @@ index 0329f0f672..a5f40d7ef7 100644
  git_version   = None
  __author__    = "Kovid Goyal <kovid@kovidgoyal.net>"
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0088-Fix-prints.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0088-Fix-prints.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0088-Fix-prints.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0088-Fix-prints.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 69c1663d4239bf0426d26cc4798503d49537c519 Mon Sep 17 00:00:00 2001
+From 7ec3c95c2c7bb132afa04a52aa9e95594453965c Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 19 Dec 2019 08:12:00 +0530
-Subject: [PATCH 088/125] Fix prints()
+Subject: [PATCH 088/201] Fix prints()
 
 ---
  src/calibre/prints.py | 26 ++++++++++++++++++++------
@@ -47,5 +47,5 @@ index dba67df599..7f0870c546 100644
 +        except Exception:
 +            pass
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0089-Use-text-mode-streams-for-metadata-logging.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0089-Use-text-mode-streams-for-metadata-logging.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0089-Use-text-mode-streams-for-metadata-logging.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0089-Use-text-mode-streams-for-metadata-logging.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 087466d9aaa392f2b1f1ada9c38e3d71ebbfe5ee Mon Sep 17 00:00:00 2001
+From 38b145a9abec82c675b6008cf60b5b84b46ea148 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 19 Dec 2019 08:17:42 +0530
-Subject: [PATCH 089/125] Use text mode streams for metadata logging
+Subject: [PATCH 089/201] Use text mode streams for metadata logging
 
 ---
  src/calibre/ebooks/metadata/sources/covers.py   | 4 ++--
@@ -67,5 +67,5 @@ index 695a446730..cc0870fa2e 100644
      return tdir, lf, log, abort
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0090-Avoid-creation-of-un-needed-tuple.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0090-Avoid-creation-of-un-needed-tuple.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0090-Avoid-creation-of-un-needed-tuple.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0090-Avoid-creation-of-un-needed-tuple.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From ddb4378e3740f611961d7d9a910f84a5df28bce6 Mon Sep 17 00:00:00 2001
+From ca73ddb48a95629949c3d0b4c9e4241de70a28cc Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 19 Dec 2019 08:18:56 +0530
-Subject: [PATCH 090/125] Avoid creation of un-needed tuple
+Subject: [PATCH 090/201] Avoid creation of un-needed tuple
 
 ---
  src/calibre/prints.py | 4 ++--
@@ -26,5 +26,5 @@ index 7f0870c546..fcbc52c418 100644
          end = as_unicode(end)
      for x in a:
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0091-oops.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0091-oops.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0091-oops.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0091-oops.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 746f193f4d273034a018dea8e2a50a4ddf267237 Mon Sep 17 00:00:00 2001
+From 4c5d70bf971225abe62bab8db6cbbe751ac20ed5 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 19 Dec 2019 08:32:14 +0530
-Subject: [PATCH 091/125] oops
+Subject: [PATCH 091/201] oops
 
 ---
  src/calibre/prints.py | 6 +++---
@@ -26,5 +26,5 @@ index fcbc52c418..26f69eb821 100644
          stream.write(end)
      if kw.get('flush'):
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0092-Fix-device-detection-on-windows-broken-on-python3.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0092-Fix-device-detection-on-windows-broken-on-python3.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0092-Fix-device-detection-on-windows-broken-on-python3.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0092-Fix-device-detection-on-windows-broken-on-python3.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 80486fdfc38d41c5bd7e2232a732ceb0b5459458 Mon Sep 17 00:00:00 2001
+From 8ec316277e476b07065d60bc3f70ca9b5295b2b3 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 19 Dec 2019 08:51:16 +0530
-Subject: [PATCH 092/125] Fix device detection on windows broken on python3
+Subject: [PATCH 092/201] Fix device detection on windows broken on python3
 
 ---
  src/calibre/devices/winusb.py | 36 +++++++++++++++++------------------
@@ -173,5 +173,5 @@ index 740b51f924..6c8af7421e 100644
      return buf, list(filter(None, data.contents))
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0093-Remove-remaining-uses-of-WindowsError.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0093-Remove-remaining-uses-of-WindowsError.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0093-Remove-remaining-uses-of-WindowsError.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0093-Remove-remaining-uses-of-WindowsError.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 30ea19593ff8dbe8eb9e2b1aa1fc2f72deccae39 Mon Sep 17 00:00:00 2001
+From 41168454be6539558f684e1ca409eaa05c81fc53 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 19 Dec 2019 09:14:03 +0530
-Subject: [PATCH 093/125] Remove remaining uses of WindowsError
+Subject: [PATCH 093/201] Remove remaining uses of WindowsError
 
 ---
  src/calibre/srv/utils.py                     |  6 ++++--
@@ -128,5 +128,5 @@ index 71298b3e94..65af342bbc 100644
          try:
              name_buf = ctypes.create_unicode_buffer(16385)
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0094-Bump-beta-version.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0094-Bump-beta-version.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0094-Bump-beta-version.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0094-Bump-beta-version.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 3932451d9fc0fd4b1c54743fae4dc5c58d5a74cf Mon Sep 17 00:00:00 2001
+From faad575af287ae36a654191556668e6352fbf3ce Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 19 Dec 2019 09:38:39 +0530
-Subject: [PATCH 094/125] Bump beta version
+Subject: [PATCH 094/201] Bump beta version
 
 ---
  src/calibre/constants.py | 2 +-
@@ -21,5 +21,5 @@ index a5f40d7ef7..61f0b3a730 100644
  git_version   = None
  __author__    = "Kovid Goyal <kovid@kovidgoyal.net>"
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0095-Prevent-installation-on-Windows-7.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0095-Prevent-installation-on-Windows-7.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0095-Prevent-installation-on-Windows-7.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0095-Prevent-installation-on-Windows-7.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 27c0ceed5af65fa8544d4dd1fcfa0554fe157048 Mon Sep 17 00:00:00 2001
+From 788be5500aa841dc5f473075a24ffbfee5327e38 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 19 Dec 2019 11:01:43 +0530
-Subject: [PATCH 095/125] Prevent installation on Windows 7
+Subject: [PATCH 095/201] Prevent installation on Windows 7
 
 ---
  bypy/windows/wix.py | 4 ++--
@@ -30,5 +30,5 @@ index cc8d8adc5d..90796f9fac 100644
          compression='high',
          app_components=components,
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0096-Another-couple-of-ispy3.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0096-Another-couple-of-ispy3.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0096-Another-couple-of-ispy3.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0096-Another-couple-of-ispy3.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 61c152dbb39734b015c76272d21e64c738deb835 Mon Sep 17 00:00:00 2001
+From 7194e038c499f39d696e87692ff3b75d4a66e2a5 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 19 Dec 2019 15:57:41 +0530
-Subject: [PATCH 096/125] Another couple of ispy3
+Subject: [PATCH 096/201] Another couple of ispy3
 
 ---
  src/calibre/translations/dynamic.py | 4 +---
@@ -51,5 +51,5 @@ index 50303c464c..7030bd4eeb 100644
  
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0097-Cant-pass-byte-strings-to-WinDLL.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0097-Cant-pass-byte-strings-to-WinDLL.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0097-Cant-pass-byte-strings-to-WinDLL.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0097-Cant-pass-byte-strings-to-WinDLL.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 86d6b733a5af03fc79e324b1de24e9a9ac31303f Mon Sep 17 00:00:00 2001
+From 3b969df66226b725e6a6cd770a8517a74f7ceca3 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 20 Dec 2019 07:38:49 +0530
-Subject: [PATCH 097/125] Cant pass byte strings to WinDLL()
+Subject: [PATCH 097/201] Cant pass byte strings to WinDLL()
 
 ---
  src/calibre/gui2/__init__.py | 2 +-
@@ -21,5 +21,5 @@ index 564edeaddd..7904cd355c 100644
              import traceback
              traceback.print_exc()
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0098-Port-the-commit-to-master-to-fix-PDF-Output-with-ebo.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0098-Port-the-commit-to-master-to-fix-PDF-Output-with-ebo.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0098-Port-the-commit-to-master-to-fix-PDF-Output-with-ebo.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0098-Port-the-commit-to-master-to-fix-PDF-Output-with-ebo.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From eeeedfeb2ecc2d27e9610acdde443156ce9fde4d Mon Sep 17 00:00:00 2001
+From cfa5d0bee8cff6f4b0c33a0f6709c98d9f742a3e Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 24 Dec 2019 20:01:29 +0530
-Subject: [PATCH 098/125] Port the commit to master to fix PDF Output with
+Subject: [PATCH 098/201] Port the commit to master to fix PDF Output with
  ebook-convert via symlink on macOS
 
 ---
@@ -91,5 +91,5 @@ index be506030f6..c414e2ff70 100644
 -void run(const wchar_t *program, const wchar_t *module, const wchar_t *function, bool is_gui, int argc, char * const *argv);
 +void run(const wchar_t *program, const wchar_t *module, const wchar_t *function, bool is_gui, int argc, char * const *argv, char* exe_path);
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0099-Bump-beta-version.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0099-Bump-beta-version.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0099-Bump-beta-version.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0099-Bump-beta-version.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From c9b074cd2fcfdde7d85b919acc45ffbd2d55acda Mon Sep 17 00:00:00 2001
+From 7b37b04a8d85318deaa133e2cd2c380530035269 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 6 Jan 2020 17:53:27 +0530
-Subject: [PATCH 099/125] Bump beta version
+Subject: [PATCH 099/201] Bump beta version
 
 ---
  src/calibre/constants.py | 2 +-
@@ -21,5 +21,5 @@ index 61f0b3a730..2c3d72def1 100644
  git_version   = None
  __author__    = "Kovid Goyal <kovid@kovidgoyal.net>"
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0100-py3ize-new-file-header.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0100-py3ize-new-file-header.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0100-py3ize-new-file-header.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0100-py3ize-new-file-header.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 0f1c4fa632eadcf17a7972e268f8e5f7f7be5f97 Mon Sep 17 00:00:00 2001
+From 725703f114c959d077b68efcc7a3dfa2c4d74fc0 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Wed, 8 Jan 2020 22:26:42 +0530
-Subject: [PATCH 100/125] py3ize new file header
+Subject: [PATCH 100/201] py3ize new file header
 
 ---
  src/calibre/ebooks/oeb/polish/check/css.py | 4 +---
@@ -23,5 +23,5 @@ index efce567d32..74245a86c3 100644
  import json
  import numbers
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0101-Bump-beta-version.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0101-Bump-beta-version.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0101-Bump-beta-version.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0101-Bump-beta-version.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From e367110f083bb4384c2c29b1690136cb108283a7 Mon Sep 17 00:00:00 2001
+From 1c4a89f17b0da2e02d3f274622b9ee2819ba377d Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 20 Jan 2020 08:35:48 +0530
-Subject: [PATCH 101/125] Bump beta version
+Subject: [PATCH 101/201] Bump beta version
 
 ---
  src/calibre/constants.py | 2 +-
@@ -21,5 +21,5 @@ index 2c3d72def1..987d607395 100644
  git_version   = None
  __author__    = "Kovid Goyal <kovid@kovidgoyal.net>"
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0102-Remove-__future__-imports-from-newly-created-py-file.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0102-Remove-__future__-imports-from-newly-created-py-file.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0102-Remove-__future__-imports-from-newly-created-py-file.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0102-Remove-__future__-imports-from-newly-created-py-file.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 61098df6cdd616008a7396ffe75d6e85de3aa618 Mon Sep 17 00:00:00 2001
+From 091e9c34a0bb8273bfe72565c73d273581aae2d1 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 6 Feb 2020 10:27:24 +0530
-Subject: [PATCH 102/125] Remove __future__ imports from newly created py files
+Subject: [PATCH 102/201] Remove __future__ imports from newly created py files
 
 ---
  src/calibre/ebooks/oeb/polish/hyphenation.py | 2 --
@@ -37,7 +37,7 @@ index 5989013368..c96886a4da 100644
  from calibre.constants import dark_link_color
  
 diff --git a/src/calibre/gui2/viewer/search.py b/src/calibre/gui2/viewer/search.py
-index 8ae7dcb924..772777bc3e 100644
+index fcb4fa9baa..72a4a70960 100644
 --- a/src/calibre/gui2/viewer/search.py
 +++ b/src/calibre/gui2/viewer/search.py
 @@ -2,8 +2,6 @@
@@ -63,5 +63,5 @@ index aff73a6efc..6b67d6bae2 100644
  
  # resolving of SYSTEM entities is turned off as entities can cause
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0103-Remove-another-ispy3.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0103-Remove-another-ispy3.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0103-Remove-another-ispy3.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0103-Remove-another-ispy3.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,14 +1,14 @@
-From b566b5e81ff2923aaaa1f03bf1e951b0489c45e6 Mon Sep 17 00:00:00 2001
+From fe3941c10ef1cccf0eb8babc3ee12dbe38c1d424 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 17 Feb 2020 10:52:48 +0530
-Subject: [PATCH 103/125] Remove another ispy3
+Subject: [PATCH 103/201] Remove another ispy3
 
 ---
  src/calibre/gui2/metadata/basic_widgets.py | 3 +--
  1 file changed, 1 insertion(+), 2 deletions(-)
 
 diff --git a/src/calibre/gui2/metadata/basic_widgets.py b/src/calibre/gui2/metadata/basic_widgets.py
-index 4232dc07df..bbd52cbc5c 100644
+index f94fe966b6..f3c12328ea 100644
 --- a/src/calibre/gui2/metadata/basic_widgets.py
 +++ b/src/calibre/gui2/metadata/basic_widgets.py
 @@ -30,7 +30,6 @@ from calibre.utils.date import (
@@ -29,5 +29,5 @@ index 4232dc07df..bbd52cbc5c 100644
  
  '''
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0104-Remove-py2-code-paths.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0104-Remove-py2-code-paths.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0104-Remove-py2-code-paths.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0104-Remove-py2-code-paths.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From db869ad6ed99ed7e7899255ac4f668486c615378 Mon Sep 17 00:00:00 2001
+From e411925a6b7f5b6eac1d254fd6ba52f84a04ccce Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 17 Feb 2020 10:54:41 +0530
-Subject: [PATCH 104/125] Remove py2 code paths
+Subject: [PATCH 104/201] Remove py2 code paths
 
 ---
  src/calibre/devices/libusb/libusb.c           | 21 ++----
@@ -1716,5 +1716,5 @@ index f2ea1693ec..961105b443 100644
 +    return PyModule_Create(&unicode_names_module);
  }
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0105-Missed-one-instance-of-ispy3.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0105-Missed-one-instance-of-ispy3.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0105-Missed-one-instance-of-ispy3.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0105-Missed-one-instance-of-ispy3.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From d59e580b14a6a879d4c346c9181c3967eba63f91 Mon Sep 17 00:00:00 2001
+From e2d28906d010630d310d93120ba048180c394cb7 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Sat, 4 Apr 2020 15:02:14 +0530
-Subject: [PATCH 105/125] Missed one instance of ispy3
+Subject: [PATCH 105/201] Missed one instance of ispy3
 
 ---
  src/calibre/devices/mtp/unix/driver.py | 3 +--
@@ -25,5 +25,5 @@ index 7c8d8a365d..ad882f6fa5 100644
              raise DeviceError(
                      'Failed to create folder named %s in %s with error: %s'%
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0106-Change-python-min-version-requirement.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0106-Change-python-min-version-requirement.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0106-Change-python-min-version-requirement.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0106-Change-python-min-version-requirement.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,14 +1,14 @@
-From 0dbe7d81c4ab0bcf13398e47f973b33bc4452602 Mon Sep 17 00:00:00 2001
+From 05e25ce5b777f21a84397afa86dc539b82229a93 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 9 Apr 2020 13:47:10 +0530
-Subject: [PATCH 106/125] Change python min version requirement
+Subject: [PATCH 106/201] Change python min version requirement
 
 ---
  manual/develop.rst | 2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/manual/develop.rst b/manual/develop.rst
-index aca049091d..9ee5e51f66 100644
+index d51e79b52b..b6cadc2a5b 100644
 --- a/manual/develop.rst
 +++ b/manual/develop.rst
 @@ -7,7 +7,7 @@ calibre is completely open source, licensed under the `GNU GPL v3 <https://www.g
@@ -21,5 +21,5 @@ index aca049091d..9ee5e51f66 100644
  .. contents:: Contents
    :depth: 2
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0107-Remove-backported-ipaddress-module.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0107-Remove-backported-ipaddress-module.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0107-Remove-backported-ipaddress-module.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0107-Remove-backported-ipaddress-module.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 98c0448e5ef85f204d2f5708cc59209911d01631 Mon Sep 17 00:00:00 2001
+From 0ee4bfb255365d5ec47abbd0e0770368b90f0749 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Thu, 9 Apr 2020 13:51:17 +0530
-Subject: [PATCH 107/125] Remove backported ipaddress module
+Subject: [PATCH 107/201] Remove backported ipaddress module
 
 ---
  src/backports/ipaddress.py | 2420 ------------------------------------
@@ -2486,5 +2486,5 @@ index 2023e023d5..228c7dea20 100644
  READ, WRITE, RDWR, WAIT = 'READ', 'WRITE', 'RDWR', 'WAIT'
  WAKEUP, JOB_DONE = b'\0', b'\x01'
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0108-Remove-unused-py2-code.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0108-Remove-unused-py2-code.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0108-Remove-unused-py2-code.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0108-Remove-unused-py2-code.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 33030c5031b7a10f6d080396919e64a2a858b60c Mon Sep 17 00:00:00 2001
+From 3906a32912c5c030d72cc3ec225e0ee3dd4f2fe7 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 21 Apr 2020 21:58:59 +0530
-Subject: [PATCH 108/125] Remove unused py2 code
+Subject: [PATCH 108/201] Remove unused py2 code
 
 ---
  src/biplist/__init__.py | 1078 ---------------------------------------
@@ -1093,5 +1093,5 @@ index 0f1d9a6e99..0000000000
 -    def realSize(self, obj):
 -        return 8
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0109-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0109-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0109-.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0109-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,21 +1,21 @@
-From b9be7a183e32ce76c11fc5db17e567f21c46469e Mon Sep 17 00:00:00 2001
+From e3db4bb0901928dfbeec1ff26db2a078e9123c74 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 21 Apr 2020 22:19:56 +0530
-Subject: [PATCH 109/125] ...
+Subject: [PATCH 109/201] ...
 
 ---
- src/polyglot/plistlib.py |    1 +
+ src/polyglot/plistlib.py | 1 +
  1 file changed, 1 insertion(+)
 
-Index: b/src/polyglot/plistlib.py
-===================================================================
+diff --git a/src/polyglot/plistlib.py b/src/polyglot/plistlib.py
+index b07f25765c..e31b23f05f 100644
 --- a/src/polyglot/plistlib.py
 +++ b/src/polyglot/plistlib.py
-@@ -3,6 +3,7 @@
- # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
+@@ -9,3 +9,4 @@ def wrap_bytes(x):
+     return x
  
- from plistlib import loads, dumps  # noqa
+ from plistlib import loads, dumps, Data  # noqa
 +loads_binary_or_xml = loads
- 
- def unwrap_bytes(x):
-     return x
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0110-Remove-ispy3-conditional.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0110-Remove-ispy3-conditional.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0110-Remove-ispy3-conditional.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0110-Remove-ispy3-conditional.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 78a4341bf6b6e652e4696e38ea8c602028d7a41d Mon Sep 17 00:00:00 2001
+From b845349d9995c7cb779fe5fd27a63c6083978d20 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 21 Apr 2020 22:52:01 +0530
-Subject: [PATCH 110/125] Remove ispy3 conditional
+Subject: [PATCH 110/201] Remove ispy3 conditional
 
 ---
  src/calibre/utils/open_with/osx.py | 7 +------
@@ -31,5 +31,5 @@ index c297f3e37f..d4c2de968c 100644
  
  # Public UTI MAP {{{
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0111-py3ize-new-file-header.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0111-py3ize-new-file-header.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0111-py3ize-new-file-header.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0111-py3ize-new-file-header.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From e8969d7a11cbf6e5da0e3db91a91181498ad1e62 Mon Sep 17 00:00:00 2001
+From 7918b7d74cd4e46eaf141d286e9175684f4eed10 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 1 May 2020 15:48:02 +0530
-Subject: [PATCH 111/125] py3ize new file header
+Subject: [PATCH 111/201] py3ize new file header
 
 ---
  src/calibre/gui2/viewer/highlights.py | 4 +---
@@ -23,5 +23,5 @@ index 930bc997ce..cbe4415826 100644
  
  from PyQt5.Qt import (
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0112-Bump-beta-version.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0112-Bump-beta-version.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0112-Bump-beta-version.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0112-Bump-beta-version.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 1b16594a7ea3dad88efe8990475cd5e561ea1f14 Mon Sep 17 00:00:00 2001
+From fd524b34eaa88b3d39f0d16c4f36acc0d7fd87f6 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 1 May 2020 15:48:12 +0530
-Subject: [PATCH 112/125] Bump beta version
+Subject: [PATCH 112/201] Bump beta version
 
 ---
  src/calibre/constants.py | 2 +-
@@ -21,5 +21,5 @@ index 987d607395..82d6557740 100644
  git_version   = None
  __author__    = "Kovid Goyal <kovid@kovidgoyal.net>"
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0113-Build-fixes.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0113-Build-fixes.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0113-Build-fixes.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0113-Build-fixes.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 92b3b6c81e2efc29a75b31248a42fcbd5d305092 Mon Sep 17 00:00:00 2001
+From cf63fe4bb8d5b37a40779577859197662e20bdb1 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 1 May 2020 19:52:52 +0530
-Subject: [PATCH 113/125] Build fixes
+Subject: [PATCH 113/201] Build fixes
 
 ---
  bypy/macos/util.c                  |  1 -
@@ -85,5 +85,5 @@ index 05159deb3b..0000000000
 -extern PyTypeObject CompressorType;
 -
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0114-Tell-MSVC-our-source-files-are-UTF-8.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0114-Tell-MSVC-our-source-files-are-UTF-8.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0114-Tell-MSVC-our-source-files-are-UTF-8.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0114-Tell-MSVC-our-source-files-are-UTF-8.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 6b14063cb0af855571556e7ebd915ddd970eb7df Mon Sep 17 00:00:00 2001
+From 874a552c1657651e43af4d1db20e39a395e4f10e Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 1 May 2020 20:05:18 +0530
-Subject: [PATCH 114/125] Tell MSVC our source files are UTF-8
+Subject: [PATCH 114/201] Tell MSVC our source files are UTF-8
 
 ---
  setup/build.py | 2 +-
@@ -21,5 +21,5 @@ index c4889cbe00..ef93146a56 100644
          # cflags = '/c /nologo /Ox /MD /W3 /EHsc /Zi'.split()
          # ldflags = '/DLL /nologo /INCREMENTAL:NO /DEBUG'.split()
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0115-Port-sphinx-diffing-code-to-py3.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0115-Port-sphinx-diffing-code-to-py3.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0115-Port-sphinx-diffing-code-to-py3.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0115-Port-sphinx-diffing-code-to-py3.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From c3e26611ff24c97a2b4de6078ad1a388ab8325ef Mon Sep 17 00:00:00 2001
+From d2e55d03d67b6b077ebde5a97b0fedd57cdb11f6 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 1 May 2020 22:05:54 +0530
-Subject: [PATCH 115/125] Port sphinx diffing code to py3
+Subject: [PATCH 115/201] Port sphinx diffing code to py3
 
 ---
  manual/custom.py | 8 ++++----
@@ -35,5 +35,5 @@ index 26af36a67b..f768988c15 100644
  
  def render_options(cmd, groups, options_header=True, add_program=True, header_level='~'):
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0116-Netter-beta-upload-progress.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0116-Netter-beta-upload-progress.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0116-Netter-beta-upload-progress.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0116-Netter-beta-upload-progress.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 06a4511312c3983974ed52b307451ae2212c610b Mon Sep 17 00:00:00 2001
+From df7601c07bb6b2c901dab4561519388e3aaf56eb Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 1 May 2020 22:12:34 +0530
-Subject: [PATCH 116/125] Netter beta upload progress
+Subject: [PATCH 116/201] Netter beta upload progress
 
 ---
  setup/publish.py | 2 +-
@@ -21,5 +21,5 @@ index 4409d884b2..3473d22609 100644
          ).split())
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0117-Re-generate-all-resources-when-publishing-a-beta.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0117-Re-generate-all-resources-when-publishing-a-beta.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0117-Re-generate-all-resources-when-publishing-a-beta.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0117-Re-generate-all-resources-when-publishing-a-beta.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From bd3ef5f518d421a3496bd07ed740ad0f14726d8b Mon Sep 17 00:00:00 2001
+From ca64a7d19d54c2817effd14a4f3f3e6ba2a858be Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Fri, 1 May 2020 22:22:02 +0530
-Subject: [PATCH 117/125] Re-generate all resources when publishing a beta
+Subject: [PATCH 117/201] Re-generate all resources when publishing a beta
 
 ---
  setup/publish.py | 2 +-
@@ -21,5 +21,5 @@ index 3473d22609..6d1c3f7f06 100644
      def pre_sub_commands(self, opts):
          require_clean_git()
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0118-another-useless-__future__.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0118-another-useless-__future__.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0118-another-useless-__future__.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0118-another-useless-__future__.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From dfe0ddeef1863ba062616756bf8dcd48d4130a91 Mon Sep 17 00:00:00 2001
+From b904735f2c97c7f87f16654840e496cc05b3ac71 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 26 May 2020 22:28:59 +0530
-Subject: [PATCH 118/125] another useless __future__
+Subject: [PATCH 118/201] another useless __future__
 
 ---
  src/calibre/gui2/viewer/integration.py | 2 --
@@ -21,5 +21,5 @@ index 76a9911612..6252cb5979 100644
  import re
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0119-Use-separate-vms-for-python3-builds.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0119-Use-separate-vms-for-python3-builds.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0119-Use-separate-vms-for-python3-builds.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0119-Use-separate-vms-for-python3-builds.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 8f30ff1348f3b8b90b2a46160d02770d16c872f9 Mon Sep 17 00:00:00 2001
+From 5d585b298cdd56c91c101b3b5134d205039e2fc7 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Sun, 14 Jun 2020 12:54:48 +0530
-Subject: [PATCH 119/125] Use separate vms for python3 builds
+Subject: [PATCH 119/201] Use separate vms for python3 builds
 
 ---
  bypy/macos.conf   | 2 +-
@@ -37,5 +37,5 @@ index 6385ad049b..1c80890626 100644
  ruby 'C:/Ruby27-x64/bin/ruby.exe'
  mesa 'C:/mesa'
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0120-Bump-version-of-python-and-ICU.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0120-Bump-version-of-python-and-ICU.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0120-Bump-version-of-python-and-ICU.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0120-Bump-version-of-python-and-ICU.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 0a228297bbcbd4dde337568fa7e4310e526be740 Mon Sep 17 00:00:00 2001
+From 9de7e44163e33fd789586a873fb11188cbb43bfd Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Sun, 14 Jun 2020 19:45:01 +0530
-Subject: [PATCH 120/125] Bump version of python and ICU
+Subject: [PATCH 120/201] Bump version of python and ICU
 
 ---
  bypy/sources.json | 18 +++++++++---------
@@ -45,5 +45,5 @@ index 1953d3ce8a..820dbb123a 100644
  
      },
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0121-Bump-version-of-libusb-and-libmtp.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0121-Bump-version-of-libusb-and-libmtp.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0121-Bump-version-of-libusb-and-libmtp.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0121-Bump-version-of-libusb-and-libmtp.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 1c9057bdceed4b70204b842bb5beb0dc25af8b9e Mon Sep 17 00:00:00 2001
+From e808fcb33951f6890fb2c5779adeb6fd7295a5e3 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Sun, 14 Jun 2020 21:25:16 +0530
-Subject: [PATCH 121/125] Bump version of libusb and libmtp
+Subject: [PATCH 121/201] Bump version of libusb and libmtp
 
 ---
  bypy/sources.json | 10 +++++-----
@@ -36,5 +36,5 @@ index 820dbb123a..f137d3a6d7 100644
          }
      },
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0122-Bump-Qt-to-5.14.2.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0122-Bump-Qt-to-5.14.2.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0122-Bump-Qt-to-5.14.2.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0122-Bump-Qt-to-5.14.2.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From 847eeadc84fe06aef5a916c655a7386e7c57f607 Mon Sep 17 00:00:00 2001
+From 60a915b4b401a98b29e4de2e6a688e1b90c56667 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Sun, 14 Jun 2020 22:56:03 +0530
-Subject: [PATCH 122/125] Bump Qt to 5.14.2
+Subject: [PATCH 122/201] Bump Qt to 5.14.2
 
 ---
  bypy/sources.json | 26 +++++++++++++-------------
@@ -117,5 +117,5 @@ index f137d3a6d7..96b8a23edc 100644
      },
  
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0123-Accidentally-removed-python-2-needed-for-building-Qt.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0123-Accidentally-removed-python-2-needed-for-building-Qt.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0123-Accidentally-removed-python-2-needed-for-building-Qt.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0123-Accidentally-removed-python-2-needed-for-building-Qt.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From fc5a40c77359fb4640831549c7a7590868ad90f1 Mon Sep 17 00:00:00 2001
+From 752b9e2bc400a493354e594d6ee61630afb152ce Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Mon, 15 Jun 2020 08:12:47 +0530
-Subject: [PATCH 123/125] Accidentally removed python 2 needed for building Qt
+Subject: [PATCH 123/201] Accidentally removed python 2 needed for building Qt
 
 ---
  bypy/windows.conf | 3 ++-
@@ -26,5 +26,5 @@ index 1c80890626..0bda045ae9 100644
  ruby 'C:/Ruby27-x64/bin/ruby.exe'
  mesa 'C:/mesa'
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0124-Update-ICU-version-in-macOS-freezer.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0124-Update-ICU-version-in-macOS-freezer.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0124-Update-ICU-version-in-macOS-freezer.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0124-Update-ICU-version-in-macOS-freezer.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From b7132cb948a6c2e704d2c0ecf80a34086fca0dad Mon Sep 17 00:00:00 2001
+From c65fb7320bea13a7d95921f5c73c47e736bc5d62 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 16 Jun 2020 09:56:23 +0530
-Subject: [PATCH 124/125] Update ICU version in macOS freezer
+Subject: [PATCH 124/201] Update ICU version in macOS freezer
 
 ---
  bypy/macos/__main__.py | 2 +-
@@ -21,5 +21,5 @@ index 3d36716880..6c52858396 100644
              'crypto.1.0.0', 'ssl.1.0.0', 'iconv.2',  # 'ltdl.7'
          ):
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0125-Bump-beta-version.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0125-Bump-beta-version.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0125-Bump-beta-version.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0125-Bump-beta-version.patch	2020-07-17 14:23:04.000000000 +0000
@@ -1,7 +1,7 @@
-From ba94f211c73b1455331926801b4e47812ac7bf8e Mon Sep 17 00:00:00 2001
+From c37ff69471b75bb8bf5d0228161afd8b1816cfd5 Mon Sep 17 00:00:00 2001
 From: Kovid Goyal <kovid@kovidgoyal.net>
 Date: Tue, 16 Jun 2020 10:23:48 +0530
-Subject: [PATCH 125/125] Bump beta version
+Subject: [PATCH 125/201] Bump beta version
 
 ---
  src/calibre/constants.py | 2 +-
@@ -21,5 +21,5 @@ index 82d6557740..189c66aed8 100644
  git_version   = None
  __author__    = "Kovid Goyal <kovid@kovidgoyal.net>"
 -- 
-2.27.0
+2.28.0.rc0
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0126-py3-compat.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0126-py3-compat.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0126-py3-compat.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0126-py3-compat.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,25 @@
+From 96838d7a0304635da7f7a2ad0b9ed96dec3e89fd Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 6 Jul 2020 08:42:07 +0530
+Subject: [PATCH 126/201] py3 compat
+
+---
+ src/calibre/utils/unicode_names.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/calibre/utils/unicode_names.py b/src/calibre/utils/unicode_names.py
+index b9c40f6ba1..3ef9a739df 100644
+--- a/src/calibre/utils/unicode_names.py
++++ b/src/calibre/utils/unicode_names.py
+@@ -35,7 +35,7 @@ def points_for_word(w):
+     w = w.lower()
+     ans = points_for_word.cache.get(w)
+     if ans is None:
+-        ans = plugins['unicode_names'][0].codepoints_for_word(w.encode('utf-8')) | html_entities().get(w, set())
++        ans = plugins['unicode_names'][0].codepoints_for_word(w) | html_entities().get(w, set())
+         points_for_word.cache[w] = ans
+     return ans
+ 
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0127-Remove-some-__future__-imports.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0127-Remove-some-__future__-imports.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0127-Remove-some-__future__-imports.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0127-Remove-some-__future__-imports.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,73 @@
+From 005632a5681dd0b3e51b41b3d0ae0fe2c85f3066 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 6 Jul 2020 08:42:19 +0530
+Subject: [PATCH 127/201] Remove some __future__ imports
+
+---
+ bypy/windows/wix.py               | 2 --
+ setup/csslint.py                  | 2 --
+ src/calibre/customize/builtins.py | 1 -
+ src/calibre/utils/ipython.py      | 2 --
+ 4 files changed, 7 deletions(-)
+
+diff --git a/bypy/windows/wix.py b/bypy/windows/wix.py
+index 90796f9fac..29b2cec316 100644
+--- a/bypy/windows/wix.py
++++ b/bypy/windows/wix.py
+@@ -2,8 +2,6 @@
+ # vim:fileencoding=utf-8
+ # License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
+ 
+-from __future__ import (unicode_literals, division, absolute_import,
+-                        print_function)
+ from itertools import count
+ import os
+ import shutil
+diff --git a/setup/csslint.py b/setup/csslint.py
+index 1b6df7989f..10c6920339 100644
+--- a/setup/csslint.py
++++ b/setup/csslint.py
+@@ -2,8 +2,6 @@
+ # vim:fileencoding=utf-8
+ # License: GPL v3 Copyright: 2020, Kovid Goyal <kovid at kovidgoyal.net>
+ 
+-from __future__ import absolute_import, division, print_function, unicode_literals
+-
+ import os
+ import shutil
+ import subprocess
+diff --git a/src/calibre/customize/builtins.py b/src/calibre/customize/builtins.py
+index 8012323821..ece157621b 100644
+--- a/src/calibre/customize/builtins.py
++++ b/src/calibre/customize/builtins.py
+@@ -1945,7 +1945,6 @@ if __name__ == '__main__':
+     try:
+         subprocess.check_call(['python', '-c', textwrap.dedent(
+         '''
+-        from __future__ import print_function
+         import time, sys, init_calibre
+         st = time.time()
+         import calibre.customize.builtins
+diff --git a/src/calibre/utils/ipython.py b/src/calibre/utils/ipython.py
+index 3b7656dc53..59417d2d91 100644
+--- a/src/calibre/utils/ipython.py
++++ b/src/calibre/utils/ipython.py
+@@ -19,7 +19,6 @@ def setup_pyreadline():
+     config = '''
+ #Bind keys for exit (keys only work on empty lines
+ #disable_readline(True)		#Disable pyreadline completely.
+-from __future__ import print_function, unicode_literals, absolute_import
+ debug_output("off")             #"on" saves log info to./pyreadline_debug_log.txt
+                                 #"on_nologfile" only enables print warning messages
+ bind_exit_key("Control-d")
+@@ -183,7 +182,6 @@ def simple_repl(user_ns={}):
+     user_ns['help'] = Helper()
+     from code import InteractiveConsole
+     console = InteractiveConsole(user_ns)
+-    console.runsource('from __future__ import (unicode_literals, division, absolute_import, print_function)')
+     console.interact(BANNER + 'Use exit to quit')
+ 
+ 
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0128-py3-compat.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0128-py3-compat.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0128-py3-compat.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0128-py3-compat.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,33 @@
+From 159a7d7f4aeb4ef04e3c2d91a5e4d3126a61c2ef Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 6 Jul 2020 08:45:16 +0530
+Subject: [PATCH 128/201] py3 compat
+
+---
+ src/calibre/gui2/device_drivers/tabbed_device_config.py | 4 +---
+ 1 file changed, 1 insertion(+), 3 deletions(-)
+
+diff --git a/src/calibre/gui2/device_drivers/tabbed_device_config.py b/src/calibre/gui2/device_drivers/tabbed_device_config.py
+index 0a97e8350f..d6bff765a2 100644
+--- a/src/calibre/gui2/device_drivers/tabbed_device_config.py
++++ b/src/calibre/gui2/device_drivers/tabbed_device_config.py
+@@ -1,7 +1,5 @@
+ #!/usr/bin/env python
+ # vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
+-from __future__ import (unicode_literals,  # division, absolute_import,
+-                        print_function)
+ 
+ __license__   = 'GPL v3'
+ __copyright__ = '2015, Kovid Goyal <kovid at kovidgoyal.net>'
+@@ -278,7 +276,7 @@ class ExtraCustomization(DeviceConfigTab):  # {{{
+             if isinstance(extra_customization_message, list):
+                 self.opt_extra_customization = []
+                 if len(extra_customization_message) > 6:
+-                    row_func = lambda x, y: ((x/2) * 2) + y
++                    row_func = lambda x, y: ((x//2) * 2) + y
+                     col_func = lambda x: x%2
+                 else:
+                     row_func = lambda x, y: x*2 + y
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0129-Remove-wrap-unwrap-for-bytes-in-plistlib-not-needed-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0129-Remove-wrap-unwrap-for-bytes-in-plistlib-not-needed-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0129-Remove-wrap-unwrap-for-bytes-in-plistlib-not-needed-.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0129-Remove-wrap-unwrap-for-bytes-in-plistlib-not-needed-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,62 @@
+From fe114555ce4ecad9a13a326da321fd9bbd9a1e9e Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Tue, 14 Jul 2020 09:16:25 +0530
+Subject: [PATCH 129/201] Remove wrap/unwrap for bytes in plistlib not needed
+ on py3
+
+---
+ src/calibre/utils/config.py | 11 ++---------
+ src/polyglot/plistlib.py    |  6 ------
+ 2 files changed, 2 insertions(+), 15 deletions(-)
+
+diff --git a/src/calibre/utils/config.py b/src/calibre/utils/config.py
+index 5be19df88a..924c1db9ac 100644
+--- a/src/calibre/utils/config.py
++++ b/src/calibre/utils/config.py
+@@ -363,25 +363,18 @@ class XMLConfig(dict):
+         self.update(d)
+ 
+     def __getitem__(self, key):
+-        from polyglot.plistlib import unwrap_bytes
+         try:
+-            ans = dict.__getitem__(self, key)
+-            return unwrap_bytes(ans)
++            return dict.__getitem__(self, key)
+         except KeyError:
+             return self.defaults.get(key, None)
+ 
+     def get(self, key, default=None):
+-        from polyglot.plistlib import unwrap_bytes
+         try:
+-            ans = dict.__getitem__(self, key)
+-            return unwrap_bytes(ans)
++            return dict.__getitem__(self, key)
+         except KeyError:
+             return self.defaults.get(key, default)
+ 
+     def __setitem__(self, key, val):
+-        from polyglot.plistlib import wrap_bytes
+-        if isinstance(val, bytes):
+-            val = wrap_bytes(val)
+         dict.__setitem__(self, key, val)
+         self.commit()
+ 
+diff --git a/src/polyglot/plistlib.py b/src/polyglot/plistlib.py
+index e31b23f05f..e1a5b8b16a 100644
+--- a/src/polyglot/plistlib.py
++++ b/src/polyglot/plistlib.py
+@@ -2,11 +2,5 @@
+ # vim:fileencoding=utf-8
+ # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
+ 
+-def unwrap_bytes(x):
+-    return x
+-
+-def wrap_bytes(x):
+-    return x
+-
+ from plistlib import loads, dumps, Data  # noqa
+ loads_binary_or_xml = loads
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0130-Add-an-annotations-table-to-the-database.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0130-Add-an-annotations-table-to-the-database.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0130-Add-an-annotations-table-to-the-database.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0130-Add-an-annotations-table-to-the-database.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,170 @@
+From dfefcc84283baaddabf23a6d6122ba8e13f13911 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Tue, 26 May 2020 20:55:11 +0530
+Subject: [PATCH 130/201] Add an annotations table to the database
+
+---
+ resources/metadata_sqlite.sql          | 34 ++++++++++++++
+ src/calibre/db/schema_upgrades.py      | 64 ++++++++++++++++++++++++++
+ src/calibre/gui2/viewer/integration.py |  2 +-
+ 3 files changed, 99 insertions(+), 1 deletion(-)
+
+diff --git a/resources/metadata_sqlite.sql b/resources/metadata_sqlite.sql
+index 454b271465..8409bc986a 100644
+--- a/resources/metadata_sqlite.sql
++++ b/resources/metadata_sqlite.sql
+@@ -106,6 +106,9 @@ CREATE TABLE library_id ( id   INTEGER PRIMARY KEY,
+ CREATE TABLE metadata_dirtied(id INTEGER PRIMARY KEY,
+                              book INTEGER NOT NULL,
+                              UNIQUE(book));
++CREATE TABLE annotations_dirtied(id INTEGER PRIMARY KEY,
++                             book INTEGER NOT NULL,
++                             UNIQUE(book));
+ CREATE TABLE preferences(id INTEGER PRIMARY KEY,
+                                  key TEXT NOT NULL,
+                                  val TEXT NOT NULL,
+@@ -139,6 +142,19 @@ CREATE TABLE last_read_positions ( id INTEGER PRIMARY KEY,
+ 	UNIQUE(user, device, book, format)
+ );
+ 
++CREATE TABLE annotations ( id INTEGER PRIMARY KEY,
++	book INTEGER NOT NULL,
++	format TEXT NOT NULL COLLATE NOCASE,
++	user_type TEXT NOT NULL,
++	user TEXT NOT NULL,
++	timestamp REAL NOT NULL,
++	annot_id TEXT NOT NULL,
++	annot_type TEXT NOT NULL,
++	annot_data TEXT NOT NULL,
++	searchable_text TEXT NOT NULL,
++    UNIQUE(book, user_type, user, format, annot_id)
++);
++
+ CREATE VIEW meta AS
+         SELECT id, title,
+                (SELECT sortconcat(bal.id, name) FROM books_authors_link AS bal JOIN authors ON(author = authors.id) WHERE book = books.id) authors,
+@@ -290,6 +306,7 @@ CREATE INDEX conversion_options_idx_b ON conversion_options (book);
+ CREATE INDEX custom_columns_idx ON custom_columns (label);
+ CREATE INDEX data_idx ON data (book);
+ CREATE INDEX lrp_idx ON last_read_positions (book);
++CREATE INDEX annot_idx ON annotations (book);
+ CREATE INDEX formats_idx ON data (format);
+ CREATE INDEX languages_idx ON languages (lang_code COLLATE NOCASE);
+ CREATE INDEX publishers_idx ON publishers (name COLLATE NOCASE);
+@@ -306,6 +323,7 @@ CREATE TRIGGER books_delete_trg
+                 DELETE FROM books_languages_link WHERE book=OLD.id;
+                 DELETE FROM data WHERE book=OLD.id;
+                 DELETE FROM last_read_positions WHERE book=OLD.id;
++                DELETE FROM annotations WHERE book=OLD.id;
+                 DELETE FROM comments WHERE book=OLD.id;
+                 DELETE FROM conversion_options WHERE book=OLD.id;
+                 DELETE FROM books_plugin_data WHERE book=OLD.id;
+@@ -369,6 +387,22 @@ CREATE TRIGGER fkc_lrp_update
+                 THEN RAISE(ABORT, 'Foreign key violation: book not in books')
+             END;
+         END;
++CREATE TRIGGER fkc_annot_insert
++        BEFORE INSERT ON annotations
++        BEGIN
++            SELECT CASE
++                WHEN (SELECT id from books WHERE id=NEW.book) IS NULL
++                THEN RAISE(ABORT, 'Foreign key violation: book not in books')
++            END;
++        END;
++CREATE TRIGGER fkc_annot_update
++        BEFORE UPDATE OF book ON annotations
++        BEGIN
++            SELECT CASE
++                WHEN (SELECT id from books WHERE id=NEW.book) IS NULL
++                THEN RAISE(ABORT, 'Foreign key violation: book not in books')
++            END;
++        END;
+ CREATE TRIGGER fkc_delete_on_authors
+         BEFORE DELETE ON authors
+         BEGIN
+diff --git a/src/calibre/db/schema_upgrades.py b/src/calibre/db/schema_upgrades.py
+index acd7a20178..f8fc5a0b50 100644
+--- a/src/calibre/db/schema_upgrades.py
++++ b/src/calibre/db/schema_upgrades.py
+@@ -696,3 +696,67 @@ CREATE TRIGGER fkc_lrp_update
+         END;
+ 
+         ''')
++
++    def upgrade_version_23(self):
++        ''' Create the annotations table '''
++        self.db.execute('''
++DROP TABLE IF EXISTS annotations_dirtied;
++CREATE TABLE annotations_dirtied(id INTEGER PRIMARY KEY,
++                             book INTEGER NOT NULL,
++                             UNIQUE(book));
++DROP TABLE IF EXISTS annotations;
++CREATE TABLE annotations ( id INTEGER PRIMARY KEY,
++    book INTEGER NOT NULL,
++    format TEXT NOT NULL COLLATE NOCASE,
++    user_type TEXT NOT NULL,
++    user TEXT NOT NULL,
++    timestamp REAL NOT NULL,
++    annot_id TEXT NOT NULL,
++    annot_type TEXT NOT NULL,
++    annot_data TEXT NOT NULL,
++    searchable_text TEXT NOT NULL,
++    UNIQUE(book, user_type, user, format, annot_id)
++);
++
++DROP INDEX IF EXISTS annot_idx;
++CREATE INDEX annot_idx ON annotations (book);
++
++DROP TRIGGER IF EXISTS books_delete_trg;
++CREATE TRIGGER books_delete_trg
++    AFTER DELETE ON books
++    BEGIN
++        DELETE FROM books_authors_link WHERE book=OLD.id;
++        DELETE FROM books_publishers_link WHERE book=OLD.id;
++        DELETE FROM books_ratings_link WHERE book=OLD.id;
++        DELETE FROM books_series_link WHERE book=OLD.id;
++        DELETE FROM books_tags_link WHERE book=OLD.id;
++        DELETE FROM books_languages_link WHERE book=OLD.id;
++        DELETE FROM data WHERE book=OLD.id;
++        DELETE FROM last_read_positions WHERE book=OLD.id;
++        DELETE FROM annotations WHERE book=OLD.id;
++        DELETE FROM comments WHERE book=OLD.id;
++        DELETE FROM conversion_options WHERE book=OLD.id;
++        DELETE FROM books_plugin_data WHERE book=OLD.id;
++        DELETE FROM identifiers WHERE book=OLD.id;
++END;
++
++DROP TRIGGER IF EXISTS fkc_annot_insert;
++DROP TRIGGER IF EXISTS fkc_annot_update;
++CREATE TRIGGER fkc_annot_insert
++        BEFORE INSERT ON annotations
++        BEGIN
++            SELECT CASE
++                WHEN (SELECT id from books WHERE id=NEW.book) IS NULL
++                THEN RAISE(ABORT, 'Foreign key violation: book not in books')
++            END;
++        END;
++CREATE TRIGGER fkc_annot_update
++        BEFORE UPDATE OF book ON annotations
++        BEGIN
++            SELECT CASE
++                WHEN (SELECT id from books WHERE id=NEW.book) IS NULL
++                THEN RAISE(ABORT, 'Foreign key violation: book not in books')
++            END;
++        END;
++
++        ''')
+diff --git a/src/calibre/gui2/viewer/integration.py b/src/calibre/gui2/viewer/integration.py
+index 6252cb5979..54eca1945b 100644
+--- a/src/calibre/gui2/viewer/integration.py
++++ b/src/calibre/gui2/viewer/integration.py
+@@ -20,5 +20,5 @@ def get_book_library_details(absolute_path_to_ebook):
+     dbpath = os.path.join(library_dir, 'metadata.db')
+     dbpath = os.environ.get('CALIBRE_OVERRIDE_DATABASE_PATH') or dbpath
+     if not os.path.exists(dbpath):
+-        return None
++        return
+     return {'dbpath': dbpath, 'book_id': book_id, 'fmt': absolute_path_to_ebook.rpartition('.')[-1].upper()}
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0131-Code-to-read-and-write-annotations-to-the-calibre-db.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0131-Code-to-read-and-write-annotations-to-the-calibre-db.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0131-Code-to-read-and-write-annotations-to-the-calibre-db.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0131-Code-to-read-and-write-annotations-to-the-calibre-db.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,570 @@
+From 255863831461823787f43368e15b7237dfa2fa76 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 11 Jun 2020 08:47:33 +0530
+Subject: [PATCH 131/201] Code to read and write annotations to the calibre db
+
+---
+ resources/metadata_sqlite.sql          |  2 +-
+ src/calibre/db/backend.py              | 39 ++++++++++++++
+ src/calibre/db/cache.py                |  7 +++
+ src/calibre/db/schema_upgrades.py      |  2 +-
+ src/calibre/gui2/actions/view.py       | 25 ++++++---
+ src/calibre/gui2/viewer/annotations.py | 73 ++++++++++++++++++++++++--
+ src/calibre/gui2/viewer/integration.py | 37 +++++++++++--
+ src/calibre/gui2/viewer/main.py        | 22 +++++++-
+ src/calibre/gui2/viewer/ui.py          | 69 ++++++++++++++----------
+ 9 files changed, 233 insertions(+), 43 deletions(-)
+
+diff --git a/resources/metadata_sqlite.sql b/resources/metadata_sqlite.sql
+index 8409bc986a..84237e58c9 100644
+--- a/resources/metadata_sqlite.sql
++++ b/resources/metadata_sqlite.sql
+@@ -152,7 +152,7 @@ CREATE TABLE annotations ( id INTEGER PRIMARY KEY,
+ 	annot_type TEXT NOT NULL,
+ 	annot_data TEXT NOT NULL,
+ 	searchable_text TEXT NOT NULL,
+-    UNIQUE(book, user_type, user, format, annot_id)
++    UNIQUE(book, user_type, user, format, annot_type, annot_id)
+ );
+ 
+ CREATE VIEW meta AS
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index 13b1cd14d0..b326321e82 100644
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -283,6 +283,41 @@ def AumSortedConcatenate():
+ # }}}
+ 
+ 
++# Annotations {{{
++def annotations_for_book(cursor, book_id, fmt, user_type='local', user='viewer'):
++    for (data,) in cursor.execute(
++        'SELECT annot_data FROM annotations WHERE book=? AND format=? AND user_type=? AND user=?',
++        (book_id, fmt.upper(), user_type, user)
++    ):
++        try:
++            yield json.loads(data)
++        except Exception:
++            pass
++
++
++def save_annotations_for_book(cursor, book_id, fmt, annots_list, user_type='local', user='viewer'):
++    data = []
++    fmt = fmt.upper()
++    for annot, timestamp_in_secs in annots_list:
++        atype = annot['type']
++        if atype == 'bookmark':
++            aid = text = annot['title']
++        elif atype == 'highlight':
++            aid = annot['uuid']
++            text = annot.get('highlighed_text') or ''
++            notes = annot.get('notes') or ''
++            if notes:
++                text += '0x1f\n\n' + notes
++        else:
++            continue
++        data.append((book_id, fmt, user_type, user, timestamp_in_secs, aid, atype, json.dumps(annot), text))
++    cursor.executemany(
++        'INSERT OR REPLACE INTO annotations (book, format, user_type, user, timestamp, annot_id, annot_type, annot_data, searchable_text)'
++        ' VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)', data)
++    cursor.execute('INSERT OR IGNORE INTO annotations_dirtied (book) VALUES (?)', (book_id,))
++# }}}
++
++
+ class Connection(apsw.Connection):  # {{{
+ 
+     BUSY_TIMEOUT = 10000  # milliseconds
+@@ -1724,6 +1759,10 @@ class DB(object):
+     def get_ids_for_custom_book_data(self, name):
+         return frozenset(r[0] for r in self.execute('SELECT book FROM books_plugin_data WHERE name=?', (name,)))
+ 
++    def annotations_for_book(self, book_id, fmt, user_type, user):
++        for x in annotations_for_book(self.conn, book_id, fmt, user_type, user):
++            yield x
++
+     def conversion_options(self, book_id, fmt):
+         for (data,) in self.conn.get('SELECT data FROM conversion_options WHERE book=? AND format=?', (book_id, fmt.upper())):
+             if data:
+diff --git a/src/calibre/db/cache.py b/src/calibre/db/cache.py
+index 9aa1f258db..b2e8ffbb67 100644
+--- a/src/calibre/db/cache.py
++++ b/src/calibre/db/cache.py
+@@ -2279,6 +2279,13 @@ class Cache(object):
+         if progress is not None:
+             progress(_('Completed'), total, total)
+ 
++    @read_api
++    def annotations_map_for_book(self, book_id, fmt, user_type='local', user='viewer'):
++        ans = {}
++        for annot in self.backend.annotations_for_book(book_id, fmt, user_type, user):
++            ans.setdefault(annot['type'], []).append(annot)
++        return ans
++
+ 
+ def import_library(library_key, importer, library_path, progress=None, abort=None):
+     from calibre.db.backend import DB
+diff --git a/src/calibre/db/schema_upgrades.py b/src/calibre/db/schema_upgrades.py
+index f8fc5a0b50..d79796dbc2 100644
+--- a/src/calibre/db/schema_upgrades.py
++++ b/src/calibre/db/schema_upgrades.py
+@@ -715,7 +715,7 @@ CREATE TABLE annotations ( id INTEGER PRIMARY KEY,
+     annot_type TEXT NOT NULL,
+     annot_data TEXT NOT NULL,
+     searchable_text TEXT NOT NULL,
+-    UNIQUE(book, user_type, user, format, annot_id)
++    UNIQUE(book, user_type, user, format, annot_type, annot_id)
+ );
+ 
+ DROP INDEX IF EXISTS annot_idx;
+diff --git a/src/calibre/gui2/actions/view.py b/src/calibre/gui2/actions/view.py
+index 23c880a871..779560b170 100644
+--- a/src/calibre/gui2/actions/view.py
++++ b/src/calibre/gui2/actions/view.py
+@@ -6,7 +6,7 @@ __license__   = 'GPL v3'
+ __copyright__ = '2010, Kovid Goyal <kovid@kovidgoyal.net>'
+ __docformat__ = 'restructuredtext en'
+ 
+-import os, time
++import os, time, json
+ from functools import partial
+ 
+ from PyQt5.Qt import Qt, QAction, pyqtSignal
+@@ -19,7 +19,7 @@ from calibre.gui2.dialogs.choose_format import ChooseFormatDialog
+ from calibre.utils.config import prefs, tweaks
+ from calibre.ptempfile import PersistentTemporaryFile
+ from calibre.gui2.actions import InterfaceAction
+-from polyglot.builtins import unicode_type
++from polyglot.builtins import unicode_type, as_bytes
+ 
+ 
+ class HistoryAction(QAction):
+@@ -99,13 +99,21 @@ class ViewAction(InterfaceAction):
+         id_ = self.gui.library_view.model().id(row)
+         self.view_format_by_id(id_, format)
+ 
++    def calibre_book_data(self, book_id, fmt):
++        db = self.gui.current_db.new_api
++        annotations_map = db.annotations_map_for_book(book_id, fmt)
++        return {
++            'book_id': book_id, 'uuid': db.field_for('uuid', book_id), 'fmt': fmt.upper(),
++            'annotations_map': annotations_map,
++        }
++
+     def view_format_by_id(self, id_, format):
+         db = self.gui.current_db
+         fmt_path = db.format_abspath(id_, format,
+                 index_is_id=True)
+         if fmt_path:
+             title = db.title(id_, index_is_id=True)
+-            self._view_file(fmt_path)
++            self._view_file(fmt_path, calibre_book_data=self.calibre_book_data(id_, format))
+             self.update_history([(id_, title)])
+ 
+     def book_downloaded_for_viewing(self, job):
+@@ -114,15 +122,20 @@ class ViewAction(InterfaceAction):
+             return
+         self._view_file(job.result)
+ 
+-    def _launch_viewer(self, name=None, viewer='ebook-viewer', internal=True):
++    def _launch_viewer(self, name=None, viewer='ebook-viewer', internal=True, calibre_book_data=None):
+         self.gui.setCursor(Qt.BusyCursor)
+         try:
+             if internal:
+                 args = [viewer]
+                 if isosx and 'ebook' in viewer:
+                     args.append('--raise-window')
++
+                 if name is not None:
+                     args.append(name)
++                    if calibre_book_data is not None:
++                        with PersistentTemporaryFile('.json') as ptf:
++                            ptf.write(as_bytes(json.dumps(calibre_book_data)))
++                            args.append('--internal-book-data=' + ptf.name)
+                 self.gui.job_manager.launch_gui_app(viewer,
+                         kwargs=dict(args=args))
+             else:
+@@ -149,12 +162,12 @@ class ViewAction(InterfaceAction):
+         finally:
+             self.gui.unsetCursor()
+ 
+-    def _view_file(self, name):
++    def _view_file(self, name, calibre_book_data=None):
+         ext = os.path.splitext(name)[1].upper().replace('.',
+                 '').replace('ORIGINAL_', '')
+         viewer = 'lrfviewer' if ext == 'LRF' else 'ebook-viewer'
+         internal = self.force_internal_viewer or ext in config['internally_viewed_formats']
+-        self._launch_viewer(name, viewer, internal)
++        self._launch_viewer(name, viewer, internal, calibre_book_data=calibre_book_data)
+ 
+     def view_specific_format(self, triggered):
+         rows = list(self.gui.library_view.selectionModel().selectedRows())
+diff --git a/src/calibre/gui2/viewer/annotations.py b/src/calibre/gui2/viewer/annotations.py
+index 1a6bfc306a..67986e1742 100644
+--- a/src/calibre/gui2/viewer/annotations.py
++++ b/src/calibre/gui2/viewer/annotations.py
+@@ -3,17 +3,26 @@
+ # License: GPL v3 Copyright: 2019, Kovid Goyal <kovid at kovidgoyal.net>
+ 
+ 
++import os
+ from collections import defaultdict
+ from io import BytesIO
+ from operator import itemgetter
++from threading import Thread
+ 
++from calibre.gui2.viewer.convert_book import update_book
++from calibre.gui2.viewer.integration import save_annotations_list_to_library
++from calibre.gui2.viewer.web_view import viewer_config_dir
+ from calibre.srv.render_book import (
+     EPUB_FILE_TYPE_MAGIC, parse_annotation, parse_annotations as _parse_annotations
+ )
++from calibre.utils.date import EPOCH
+ from calibre.utils.serialize import json_dumps
+ from calibre.utils.zipfile import safe_replace
+ from polyglot.binary import as_base64_bytes
+ from polyglot.builtins import iteritems, itervalues
++from polyglot.queue import Queue
++
++annotations_dir = os.path.join(viewer_config_dir, 'annots')
+ 
+ 
+ def parse_annotations(raw):
+@@ -53,14 +62,17 @@ def serialize_annotation(annot):
+     return annot
+ 
+ 
+-def serialize_annotations(annots_map):
+-    ans = []
++def annotations_as_copied_list(annots_map):
+     for atype, annots in iteritems(annots_map):
+         for annot in annots:
++            ts = (annot['timestamp'] - EPOCH).total_seconds()
+             annot = serialize_annotation(annot)
+             annot['type'] = atype
+-            ans.append(annot)
+-    return json_dumps(ans)
++            yield annot, ts
++
++
++def annot_list_as_bytes(annots):
++    return json_dumps(tuple(annot for annot, seconds in annots))
+ 
+ 
+ def split_lines(chunk, length=80):
+@@ -78,3 +90,56 @@ def save_annots_to_epub(path, serialized_annots):
+     with zf:
+         serialized_annots = EPUB_FILE_TYPE_MAGIC + b'\n'.join(split_lines(as_base64_bytes(serialized_annots)))
+         safe_replace(zf, 'META-INF/calibre_bookmarks.txt', BytesIO(serialized_annots), add_missing=True)
++
++
++def save_annotations(annotations_list, annotations_path_key, bld, pathtoebook, in_book_file):
++    annots = annot_list_as_bytes(annotations_list)
++    with open(os.path.join(annotations_dir, annotations_path_key), 'wb') as f:
++        f.write(annots)
++    if in_book_file and os.access(pathtoebook, os.W_OK):
++        before_stat = os.stat(pathtoebook)
++        save_annots_to_epub(pathtoebook, annots)
++        update_book(pathtoebook, before_stat, {'calibre-book-annotations.json': annots})
++    if bld:
++        save_annotations_list_to_library(bld, annotations_list)
++
++
++class AnnotationsSaveWorker(Thread):
++
++    def __init__(self):
++        Thread.__init__(self, name='AnnotSaveWorker')
++        self.daemon = True
++        self.queue = Queue()
++
++    def shutdown(self):
++        if self.is_alive():
++            self.queue.put(None)
++            self.join()
++
++    def run(self):
++        while True:
++            x = self.queue.get()
++            if x is None:
++                return
++            annotations_list = x['annotations_list']
++            annotations_path_key = x['annotations_path_key']
++            bld = x['book_library_details']
++            pathtoebook = x['pathtoebook']
++            in_book_file = x['in_book_file']
++            try:
++                save_annotations(annotations_list, annotations_path_key, bld, pathtoebook, in_book_file)
++            except Exception:
++                import traceback
++                traceback.print_exc()
++
++    def save_annotations(self, current_book_data, in_book_file=True):
++        alist = tuple(annotations_as_copied_list(current_book_data['annotations_map']))
++        ebp = current_book_data['pathtoebook']
++        can_save_in_book_file = ebp.lower.endswith('.epub')
++        self.queue.put({
++            'annotations_list': alist,
++            'annotations_path_key': current_book_data['annotations_path_key'],
++            'book_library_details': current_book_data['book_library_details'],
++            'pathtoebook': current_book_data['pathtoebook'],
++            'in_book_file': in_book_file and can_save_in_book_file
++        })
+diff --git a/src/calibre/gui2/viewer/integration.py b/src/calibre/gui2/viewer/integration.py
+index 54eca1945b..95ad0a555b 100644
+--- a/src/calibre/gui2/viewer/integration.py
++++ b/src/calibre/gui2/viewer/integration.py
+@@ -5,10 +5,7 @@
+ import os
+ import re
+ 
+-from polyglot.functools import lru_cache
+ 
+-
+-@lru_cache(maxsize=2)
+ def get_book_library_details(absolute_path_to_ebook):
+     absolute_path_to_ebook = os.path.abspath(os.path.expanduser(absolute_path_to_ebook))
+     base = os.path.dirname(absolute_path_to_ebook)
+@@ -22,3 +19,37 @@ def get_book_library_details(absolute_path_to_ebook):
+     if not os.path.exists(dbpath):
+         return
+     return {'dbpath': dbpath, 'book_id': book_id, 'fmt': absolute_path_to_ebook.rpartition('.')[-1].upper()}
++
++
++def load_annotations_map_from_library(book_library_details):
++    import apsw
++    from calibre.db.backend import annotations_for_book, Connection
++    ans = {}
++    dbpath = book_library_details['dbpath']
++    try:
++        conn = apsw.Connection(dbpath, flags=apsw.SQLITE_OPEN_READONLY)
++    except Exception:
++        return ans
++    try:
++        conn.setbusytimeout(Connection.BUSY_TIMEOUT)
++        for annot in annotations_for_book(conn.cursor(), book_library_details['book_id'], book_library_details['fmt']):
++            ans.setdefault(annot['type'], []).append(annot)
++    finally:
++        conn.close()
++    return ans
++
++
++def save_annotations_list_to_library(book_library_details, alist):
++    import apsw
++    from calibre.db.backend import save_annotations_for_book, Connection
++    dbpath = book_library_details['dbpath']
++    try:
++        conn = apsw.Connection(dbpath, flags=apsw.SQLITE_OPEN_READWRITE)
++    except Exception:
++        return
++    try:
++        conn.setbusytimeout(Connection.BUSY_TIMEOUT)
++        with conn:
++            save_annotations_for_book(conn.cursor(), book_library_details['book_id'], book_library_details['fmt'], alist)
++    finally:
++        conn.close()
+diff --git a/src/calibre/gui2/viewer/main.py b/src/calibre/gui2/viewer/main.py
+index a37270a410..8617dac938 100644
+--- a/src/calibre/gui2/viewer/main.py
++++ b/src/calibre/gui2/viewer/main.py
+@@ -3,6 +3,7 @@
+ # License: GPL v3 Copyright: 2018, Kovid Goyal <kovid at kovidgoyal.net>
+ 
+ 
++import json
+ import os
+ import sys
+ from threading import Thread
+@@ -195,6 +196,23 @@ def main(args=sys.argv):
+     scheme.setFlags(QWebEngineUrlScheme.SecureScheme)
+     QWebEngineUrlScheme.registerScheme(scheme)
+     override = 'calibre-ebook-viewer' if islinux else None
++    processed_args = []
++    internal_book_data = None
++    for arg in args:
++        if arg.startswith('--internal-book-data='):
++            internal_book_data = arg.split('=', 1)[1]
++            continue
++        processed_args.append(arg)
++    if internal_book_data:
++        try:
++            with lopen(internal_book_data, 'rb') as f:
++                internal_book_data = json.load(f)
++        finally:
++            try:
++                os.remove(internal_book_data)
++            except EnvironmentError:
++                pass
++    args = processed_args
+     app = Application(args, override_program_name=override, windows_app_uid=VIEWER_APP_UID)
+ 
+     parser = option_parser()
+@@ -219,7 +237,9 @@ def main(args=sys.argv):
+     app.load_builtin_fonts()
+     app.setWindowIcon(QIcon(I('viewer.png')))
+     migrate_previous_viewer_prefs()
+-    main = EbookViewer(open_at=opts.open_at, continue_reading=opts.continue_reading, force_reload=opts.force_reload)
++    main = EbookViewer(
++        open_at=opts.open_at, continue_reading=opts.continue_reading, force_reload=opts.force_reload,
++        calibre_book_data=internal_book_data)
+     main.set_exception_handler()
+     if len(args) > 1:
+         acc.events.append(os.path.abspath(args[-1]))
+diff --git a/src/calibre/gui2/viewer/ui.py b/src/calibre/gui2/viewer/ui.py
+index 22933f48ef..5f3f4b646d 100644
+--- a/src/calibre/gui2/viewer/ui.py
++++ b/src/calibre/gui2/viewer/ui.py
+@@ -24,22 +24,22 @@ from calibre.gui2.dialogs.drm_error import DRMErrorMessage
+ from calibre.gui2.image_popup import ImagePopup
+ from calibre.gui2.main_window import MainWindow
+ from calibre.gui2.viewer.annotations import (
+-    merge_annotations, parse_annotations, save_annots_to_epub, serialize_annotation,
+-    serialize_annotations
++    AnnotationsSaveWorker, annotations_dir, merge_annotations, parse_annotations,
++    serialize_annotation
+ )
+ from calibre.gui2.viewer.bookmarks import BookmarkManager
+-from calibre.gui2.viewer.convert_book import (
+-    clean_running_workers, prepare_book, update_book
+-)
++from calibre.gui2.viewer.convert_book import clean_running_workers, prepare_book
+ from calibre.gui2.viewer.highlights import HighlightsPanel
++from calibre.gui2.viewer.integration import (
++    get_book_library_details, load_annotations_map_from_library
++)
+ from calibre.gui2.viewer.lookup import Lookup
+ from calibre.gui2.viewer.overlay import LoadingOverlay
+ from calibre.gui2.viewer.search import SearchPanel
+ from calibre.gui2.viewer.toc import TOC, TOCSearch, TOCView
+ from calibre.gui2.viewer.toolbars import ActionsToolBar
+ from calibre.gui2.viewer.web_view import (
+-    WebView, get_path_for_name, get_session_pref, set_book_path, viewer_config_dir,
+-    vprefs
++    WebView, get_path_for_name, get_session_pref, set_book_path, vprefs
+ )
+ from calibre.utils.date import utcnow
+ from calibre.utils.img import image_from_path
+@@ -47,9 +47,7 @@ from calibre.utils.ipc.simple_worker import WorkerError
+ from calibre.utils.iso8601 import parse_iso8601
+ from calibre.utils.monotonic import monotonic
+ from calibre.utils.serialize import json_loads
+-from polyglot.builtins import as_bytes, iteritems, itervalues, as_unicode
+-
+-annotations_dir = os.path.join(viewer_config_dir, 'annots')
++from polyglot.builtins import as_bytes, as_unicode, iteritems, itervalues
+ 
+ 
+ def is_float(x):
+@@ -88,8 +86,10 @@ class EbookViewer(MainWindow):
+     book_prepared = pyqtSignal(object, object)
+     MAIN_WINDOW_STATE_VERSION = 1
+ 
+-    def __init__(self, open_at=None, continue_reading=None, force_reload=False):
++    def __init__(self, open_at=None, continue_reading=None, force_reload=False, calibre_book_data=None):
+         MainWindow.__init__(self, None)
++        self.annotations_saver = None
++        self.calibre_book_data_for_first_book = calibre_book_data
+         self.shutting_down = self.close_forced = False
+         self.force_reload = force_reload
+         connect_lambda(self.book_preparation_started, self, lambda self: self.loading_overlay(_(
+@@ -479,6 +479,8 @@ class EbookViewer(MainWindow):
+         self.book_preparation_started.emit()
+ 
+     def load_finished(self, ok, data):
++        cbd = self.calibre_book_data_for_first_book
++        self.calibre_book_data_for_first_book = None
+         if self.shutting_down:
+             return
+         open_at, self.pending_open_at = self.pending_open_at, None
+@@ -507,7 +509,7 @@ class EbookViewer(MainWindow):
+         self.current_book_data = data
+         self.current_book_data['annotations_map'] = defaultdict(list)
+         self.current_book_data['annotations_path_key'] = path_key(data['pathtoebook']) + '.json'
+-        self.load_book_data()
++        self.load_book_data(cbd)
+         self.update_window_title()
+         initial_cfi = self.initial_cfi_for_current_book()
+         initial_position = {'type': 'cfi', 'data': initial_cfi} if initial_cfi else None
+@@ -534,8 +536,13 @@ class EbookViewer(MainWindow):
+             highlights=list(map(serialize_annotation, highlights))
+         )
+ 
+-    def load_book_data(self):
+-        self.load_book_annotations()
++    def load_book_data(self, calibre_book_data=None):
++        self.current_book_data['book_library_details'] = get_book_library_details(self.current_book_data['pathtoebook'])
++        if calibre_book_data is not None:
++            self.current_book_data['calibre_book_id'] = calibre_book_data['book_id']
++            self.current_book_data['calibre_book_uuid'] = calibre_book_data['uuid']
++            self.current_book_data['calibre_book_fmt'] = calibre_book_data['fmt']
++        self.load_book_annotations(calibre_book_data)
+         path = os.path.join(self.current_book_data['base'], 'calibre-book-manifest.json')
+         with open(path, 'rb') as f:
+             raw = f.read()
+@@ -547,7 +554,7 @@ class EbookViewer(MainWindow):
+         self.current_book_data['metadata'] = set_book_path.parsed_metadata
+         self.current_book_data['manifest'] = set_book_path.parsed_manifest
+ 
+-    def load_book_annotations(self):
++    def load_book_annotations(self, calibre_book_data=None):
+         amap = self.current_book_data['annotations_map']
+         path = os.path.join(self.current_book_data['base'], 'calibre-book-annotations.json')
+         if os.path.exists(path):
+@@ -559,6 +566,16 @@ class EbookViewer(MainWindow):
+             with open(path, 'rb') as f:
+                 raw = f.read()
+             merge_annotations(parse_annotations(raw), amap)
++        if calibre_book_data is None:
++            bld = self.current_book_data['book_library_details']
++            if bld is not None:
++                amap = load_annotations_map_from_library(bld)
++                if amap:
++                    for annot_type, annots in iteritems(self.calibre_book_data_for_first_book['annotations_map']):
++                        merge_annotations(annots, amap)
++        else:
++            for annot_type, annots in iteritems(calibre_book_data['annotations_map']):
++                merge_annotations(annots, amap)
+ 
+     def update_window_title(self):
+         try:
+@@ -590,17 +607,10 @@ class EbookViewer(MainWindow):
+     def save_annotations(self, in_book_file=True):
+         if not self.current_book_data:
+             return
+-        amap = self.current_book_data['annotations_map']
+-        annots = as_bytes(serialize_annotations(amap))
+-        with open(os.path.join(annotations_dir, self.current_book_data['annotations_path_key']), 'wb') as f:
+-            f.write(annots)
+-        if in_book_file and self.current_book_data.get('pathtoebook', '').lower().endswith(
+-                '.epub') and get_session_pref('save_annotations_in_ebook', default=True):
+-            path = self.current_book_data['pathtoebook']
+-            if os.access(path, os.W_OK):
+-                before_stat = os.stat(path)
+-                save_annots_to_epub(path, annots)
+-                update_book(path, before_stat, {'calibre-book-annotations.json': annots})
++        if self.annotations_saver is None:
++            self.annotations_saver = AnnotationsSaveWorker()
++            self.annotations_saver.start()
++        self.annotations_saver.save_annotations(self.current_book_data, in_book_file and get_session_pref('save_annotations_in_ebook', default=True))
+ 
+     def highlights_changed(self, highlights):
+         if not self.current_book_data:
+@@ -649,11 +659,16 @@ class EbookViewer(MainWindow):
+                 QTimer.singleShot(2000, self.force_close)
+                 self.web_view.prepare_for_close()
+             return
++        if self.shutting_down:
++            return
+         self.shutting_down = True
+         self.search_widget.shutdown()
+         try:
+-            self.save_annotations()
+             self.save_state()
++            self.save_annotations()
++            if self.annotations_saver is not None:
++                self.annotations_saver.shutdown()
++                self.annotations_saver = None
+         except Exception:
+             import traceback
+             traceback.print_exc()
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0132-Move-code-that-deals-with-the-dirtied-table-into-bac.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0132-Move-code-that-deals-with-the-dirtied-table-into-bac.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0132-Move-code-that-deals-with-the-dirtied-table-into-bac.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0132-Move-code-that-deals-with-the-dirtied-table-into-bac.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,80 @@
+From 57c03239439c9fa82dc6847b99838f2f72afa216 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 11 Jun 2020 09:03:35 +0530
+Subject: [PATCH 132/201] Move code that deals with the dirtied table into
+ backend
+
+---
+ src/calibre/db/backend.py | 10 ++++++++++
+ src/calibre/db/cache.py   | 14 +++++---------
+ 2 files changed, 15 insertions(+), 9 deletions(-)
+
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index b326321e82..047bd393b9 100644
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -1756,6 +1756,16 @@ class DB(object):
+         else:
+             self.execute('DELETE FROM books_plugin_data WHERE name=?', (name,))
+ 
++    def dirtied_books(self):
++        for (book_id,) in self.execute('SELECT book FROM metadata_dirtied'):
++            yield book_id
++
++    def dirty_books(self, book_ids):
++        self.executemany('INSERT OR IGNORE INTO metadata_dirtied (book) VALUES (?)', ((x,) for x in book_ids))
++
++    def mark_book_as_clean(self, book_id):
++        self.execute('DELETE FROM metadata_dirtied WHERE book=?', (book_id,))
++
+     def get_ids_for_custom_book_data(self, name):
+         return frozenset(r[0] for r in self.execute('SELECT book FROM books_plugin_data WHERE name=?', (name,)))
+ 
+diff --git a/src/calibre/db/cache.py b/src/calibre/db/cache.py
+index b2e8ffbb67..83b81c2622 100644
+--- a/src/calibre/db/cache.py
++++ b/src/calibre/db/cache.py
+@@ -212,8 +212,7 @@ class Cache(object):
+ 
+     @write_api
+     def initialize_dynamic(self):
+-        self.dirtied_cache = {x:i for i, (x,) in enumerate(
+-            self.backend.execute('SELECT book FROM metadata_dirtied'))}
++        self.dirtied_cache = {x:i for i, x in enumerate(self.backend.dirtied_books())}
+         if self.dirtied_cache:
+             self.dirtied_sequence = max(itervalues(self.dirtied_cache))+1
+         self._initialize_dynamic_categories()
+@@ -1086,17 +1085,15 @@ class Cache(object):
+             self.dirtied_sequence = max(itervalues(already_dirtied)) + 1
+         self.dirtied_cache.update(already_dirtied)
+         if new_dirtied:
+-            self.backend.executemany('INSERT OR IGNORE INTO metadata_dirtied (book) VALUES (?)',
+-                                    ((x,) for x in new_dirtied))
++            self.backend.dirty_books(new_dirtied)
+             new_dirtied = {book_id:self.dirtied_sequence+i for i, book_id in enumerate(new_dirtied)}
+             self.dirtied_sequence = max(itervalues(new_dirtied)) + 1
+             self.dirtied_cache.update(new_dirtied)
+ 
+     @write_api
+     def commit_dirty_cache(self):
+-        book_ids = [(x,) for x in self.dirtied_cache]
+-        if book_ids:
+-            self.backend.executemany('INSERT OR IGNORE INTO metadata_dirtied (book) VALUES (?)', book_ids)
++        if self.dirtied_cache:
++            self.backend.dirty_books(self.dirtied_cache)
+ 
+     @write_api
+     def set_field(self, name, book_id_to_val_map, allow_case_change=True, do_path_update=True):
+@@ -1195,8 +1192,7 @@ class Cache(object):
+         # The last step is clearing the indicator
+         dc_sequence = self.dirtied_cache.get(book_id, None)
+         if dc_sequence is None or sequence is None or dc_sequence == sequence:
+-            self.backend.execute('DELETE FROM metadata_dirtied WHERE book=?',
+-                    (book_id,))
++            self.backend.mark_book_as_clean(book_id)
+             self.dirtied_cache.pop(book_id, None)
+ 
+     @write_api
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0133-Hook-annotations-up-with-the-dirtied-book-mechanism.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0133-Hook-annotations-up-with-the-dirtied-book-mechanism.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0133-Hook-annotations-up-with-the-dirtied-book-mechanism.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0133-Hook-annotations-up-with-the-dirtied-book-mechanism.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,181 @@
+From 8683398b9debcb841840db0ae123881c61bc6127 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 12 Jun 2020 09:49:46 +0530
+Subject: [PATCH 133/201] Hook annotations up with the dirtied book mechanism
+
+Add some simple tests
+---
+ src/calibre/db/backend.py       | 23 +++++++++++++++++-
+ src/calibre/db/backup.py        |  9 +++++++-
+ src/calibre/db/cache.py         | 16 +++++++++++++
+ src/calibre/db/tests/writing.py | 41 +++++++++++++++++++++++++++++++++
+ 4 files changed, 87 insertions(+), 2 deletions(-)
+
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index 047bd393b9..f22e195dbc 100644
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -311,10 +311,11 @@ def save_annotations_for_book(cursor, book_id, fmt, annots_list, user_type='loca
+         else:
+             continue
+         data.append((book_id, fmt, user_type, user, timestamp_in_secs, aid, atype, json.dumps(annot), text))
++    cursor.execute('INSERT OR IGNORE INTO annotations_dirtied (book) VALUES (?)', (book_id,))
++    cursor.execute('DELETE FROM annotations WHERE book=? AND format=? AND user_type=? AND user=?', (book_id, fmt, user_type, user))
+     cursor.executemany(
+         'INSERT OR REPLACE INTO annotations (book, format, user_type, user, timestamp, annot_id, annot_type, annot_data, searchable_text)'
+         ' VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)', data)
+-    cursor.execute('INSERT OR IGNORE INTO annotations_dirtied (book) VALUES (?)', (book_id,))
+ # }}}
+ 
+ 
+@@ -1773,6 +1774,26 @@ class DB(object):
+         for x in annotations_for_book(self.conn, book_id, fmt, user_type, user):
+             yield x
+ 
++    def set_annotations_for_book(self, book_id, fmt, annots_list, user_type='local', user='viewer'):
++        try:
++            with self.conn:  # Disable autocommit mode, for performance
++                save_annotations_for_book(self.conn.cursor(), book_id, fmt, annots_list, user_type, user)
++        except apsw.IOError:
++            # This can happen if the computer was suspended see for example:
++            # https://bugs.launchpad.net/bugs/1286522. Try to reopen the db
++            if not self.conn.getautocommit():
++                raise  # We are in a transaction, re-opening the db will fail anyway
++            self.reopen(force=True)
++            with self.conn:  # Disable autocommit mode, for performance
++                save_annotations_for_book(self.conn.cursor(), book_id, fmt, annots_list, user_type, user)
++
++    def dirty_books_with_dirtied_annotations(self):
++        self.execute('''
++            INSERT or IGNORE INTO metadata_dirtied(book) SELECT book FROM annotations_dirtied;
++            DELETE FROM annotations_dirtied;
++        ''')
++        return self.conn.changes() > 0
++
+     def conversion_options(self, book_id, fmt):
+         for (data,) in self.conn.get('SELECT data FROM conversion_options WHERE book=? AND format=?', (book_id, fmt.upper())):
+             if data:
+diff --git a/src/calibre/db/backup.py b/src/calibre/db/backup.py
+index e103769564..db9e4931c9 100644
+--- a/src/calibre/db/backup.py
++++ b/src/calibre/db/backup.py
+@@ -31,6 +31,7 @@ class MetadataBackup(Thread):
+         self.stop_running = Event()
+         self.interval = interval
+         self.scheduling_interval = scheduling_interval
++        self.check_dirtied_annotations = 0
+ 
+     @property
+     def db(self):
+@@ -55,6 +56,13 @@ class MetadataBackup(Thread):
+                 break
+ 
+     def do_one(self):
++        self.check_dirtied_annotations += 1
++        if self.check_dirtied_annotations > 2:
++            self.check_dirtied_annotations = 0
++            try:
++                self.db.check_dirtied_annotations()
++            except Exception:
++                traceback.print_exc()
+         try:
+             book_id = self.db.get_a_dirtied_book()
+             if book_id is None:
+@@ -117,4 +125,3 @@ class MetadataBackup(Thread):
+     def break_cycles(self):
+         # Legacy compatibility
+         pass
+-
+diff --git a/src/calibre/db/cache.py b/src/calibre/db/cache.py
+index 83b81c2622..bfdf2a3b05 100644
+--- a/src/calibre/db/cache.py
++++ b/src/calibre/db/cache.py
+@@ -212,6 +212,7 @@ class Cache(object):
+ 
+     @write_api
+     def initialize_dynamic(self):
++        self.backend.dirty_books_with_dirtied_annotations()
+         self.dirtied_cache = {x:i for i, x in enumerate(self.backend.dirtied_books())}
+         if self.dirtied_cache:
+             self.dirtied_sequence = max(itervalues(self.dirtied_cache))+1
+@@ -1095,6 +1096,17 @@ class Cache(object):
+         if self.dirtied_cache:
+             self.backend.dirty_books(self.dirtied_cache)
+ 
++    @write_api
++    def check_dirtied_annotations(self):
++        if not self.backend.dirty_books_with_dirtied_annotations():
++            return
++        book_ids = set(self.backend.dirtied_books())
++        new_dirtied = book_ids - set(self.dirtied_cache)
++        if new_dirtied:
++            new_dirtied = {book_id:self.dirtied_sequence+i for i, book_id in enumerate(new_dirtied)}
++            self.dirtied_sequence = max(itervalues(new_dirtied)) + 1
++            self.dirtied_cache.update(new_dirtied)
++
+     @write_api
+     def set_field(self, name, book_id_to_val_map, allow_case_change=True, do_path_update=True):
+         '''
+@@ -2282,6 +2294,10 @@ class Cache(object):
+             ans.setdefault(annot['type'], []).append(annot)
+         return ans
+ 
++    @write_api
++    def set_annotations_for_book(self, book_id, fmt, annots_list, user_type='local', user='viewer'):
++        self.backend.set_annotations_for_book(book_id, fmt, annots_list, user_type, user)
++
+ 
+ def import_library(library_key, importer, library_path, progress=None, abort=None):
+     from calibre.db.backend import DB
+diff --git a/src/calibre/db/tests/writing.py b/src/calibre/db/tests/writing.py
+index da6404cc75..489fa836f2 100644
+--- a/src/calibre/db/tests/writing.py
++++ b/src/calibre/db/tests/writing.py
+@@ -760,3 +760,44 @@ class WritingTest(BaseTest):
+         prefs['test mutable'] = {k:k for k in reversed(range(10))}
+         self.assertEqual(len(changes), 3, 'The database was written to despite there being no change in value')
+     # }}}
++
++    def test_annotations(self):  # {{{
++        'Test handling of annotations'
++        cl = self.cloned_library
++        cache = self.init_cache(cl)
++        # First empty dirtied
++        cache.dump_metadata()
++        self.assertFalse(cache.dirtied_cache)
++        annot_list = [
++                ({'type': 'bookmark', 'title': 'bookmark1', 'seq': 1}, 1.1),
++                ({'type': 'highlight', 'highlighted_text': 'text1', 'uuid': '1', 'seq': 2}, 0.3),
++                ({'type': 'highlight', 'highlighted_text': 'text2', 'notes': 'notes2', 'uuid': '2', 'seq': 3}, 3),
++        ]
++
++        def map_as_list(amap):
++            ans = []
++            for items in amap.values():
++                ans.extend(items)
++            ans.sort(key=lambda x:x['seq'])
++            return ans
++
++        cache.set_annotations_for_book(1, 'moo', annot_list)
++        amap = cache.annotations_map_for_book(1, 'moo')
++        self.assertEqual([x[0] for x in annot_list], map_as_list(amap))
++        self.assertFalse(cache.dirtied_cache)
++        cache.check_dirtied_annotations()
++        self.assertEqual(set(cache.dirtied_cache), {1})
++        cache.dump_metadata()
++        cache.check_dirtied_annotations()
++        self.assertFalse(cache.dirtied_cache)
++
++        annot_list[0][0]['title'] = 'changed title'
++        cache.set_annotations_for_book(1, 'moo', annot_list)
++        amap = cache.annotations_map_for_book(1, 'moo')
++        self.assertEqual([x[0] for x in annot_list], map_as_list(amap))
++
++        del annot_list[1]
++        cache.set_annotations_for_book(1, 'moo', annot_list)
++        amap = cache.annotations_map_for_book(1, 'moo')
++        self.assertEqual([x[0] for x in annot_list], map_as_list(amap))
++    # }}}
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0134-Backup-annotations-in-the-metadata.opf-files-as-well.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0134-Backup-annotations-in-the-metadata.opf-files-as-well.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0134-Backup-annotations-in-the-metadata.opf-files-as-well.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0134-Backup-annotations-in-the-metadata.opf-files-as-well.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,211 @@
+From 5577f4ea17ea36d57f4d28b44fda6771ef9c5f14 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 12 Jun 2020 17:08:29 +0530
+Subject: [PATCH 134/201] Backup annotations in the metadata.opf files as well
+
+---
+ src/calibre/db/backend.py           |  7 +++++++
+ src/calibre/db/cache.py             | 22 +++++++++++++++++++++-
+ src/calibre/db/restore.py           |  7 +++++--
+ src/calibre/db/tests/writing.py     | 22 +++++++++++++++++++---
+ src/calibre/ebooks/metadata/opf2.py | 22 ++++++++++++++++++++++
+ 5 files changed, 74 insertions(+), 6 deletions(-)
+
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index f22e195dbc..2fdea75f65 100644
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -1774,6 +1774,13 @@ class DB(object):
+         for x in annotations_for_book(self.conn, book_id, fmt, user_type, user):
+             yield x
+ 
++    def all_annotations_for_book(self, book_id):
++        for (fmt, user_type, user, data) in self.execute('SELECT format, user_type, user, annot_data FROM annotations WHERE book=?', (book_id,)):
++            try:
++                yield {'format': fmt, 'user_type': user_type, 'user': user, 'annotation': json.loads(data)}
++            except Exception:
++                pass
++
+     def set_annotations_for_book(self, book_id, fmt, annots_list, user_type='local', user='viewer'):
+         try:
+             with self.conn:  # Disable autocommit mode, for performance
+diff --git a/src/calibre/db/cache.py b/src/calibre/db/cache.py
+index bfdf2a3b05..d649504c9c 100644
+--- a/src/calibre/db/cache.py
++++ b/src/calibre/db/cache.py
+@@ -1191,6 +1191,7 @@ class Cache(object):
+                     # no harm done. This way no need to call dirtied when
+                     # cover is set/removed
+                     mi.cover = 'cover.jpg'
++                    mi.all_annotations = self._all_annotations_for_book(book_id)
+             except:
+                 # This almost certainly means that the book has been deleted while
+                 # the backup operation sat in the queue.
+@@ -2126,7 +2127,7 @@ class Cache(object):
+         self.backend.close()
+ 
+     @write_api
+-    def restore_book(self, book_id, mi, last_modified, path, formats):
++    def restore_book(self, book_id, mi, last_modified, path, formats, annotations=()):
+         ''' Restore the book entry in the database for a book that already exists on the filesystem '''
+         cover = mi.cover
+         mi.cover = None
+@@ -2136,6 +2137,8 @@ class Cache(object):
+         if cover and os.path.exists(cover):
+             self._set_field('cover', {book_id:1})
+         self.backend.restore_book(book_id, path, formats)
++        if annotations:
++            self._restore_annotations(book_id, annotations)
+ 
+     @read_api
+     def virtual_libraries_for_books(self, book_ids):
+@@ -2294,6 +2297,23 @@ class Cache(object):
+             ans.setdefault(annot['type'], []).append(annot)
+         return ans
+ 
++    @read_api
++    def all_annotations_for_book(self, book_id):
++        return tuple(self.backend.all_annotations_for_book(book_id))
++
++    @write_api
++    def restore_annotations(self, book_id, annotations):
++        from calibre.utils.iso8601 import parse_iso8601
++        from calibre.utils.date import EPOCH
++        umap = defaultdict(list)
++        for adata in annotations:
++            key = adata['user_type'], adata['user'], adata['format']
++            a = adata['annotation']
++            ts = (parse_iso8601(a['timestamp']) - EPOCH).total_seconds()
++            umap[key].append((a, ts))
++        for (user_type, user, fmt), annots_list in iteritems(umap):
++            self._set_annotations_for_book(book_id, fmt, annots_list, user_type=user_type, user=user)
++
+     @write_api
+     def set_annotations_for_book(self, book_id, fmt, annots_list, user_type='local', user='viewer'):
+         self.backend.set_annotations_for_book(book_id, fmt, annots_list, user_type, user)
+diff --git a/src/calibre/db/restore.py b/src/calibre/db/restore.py
+index d44f220e41..b15c7cd6d1 100644
+--- a/src/calibre/db/restore.py
++++ b/src/calibre/db/restore.py
+@@ -190,7 +190,9 @@ class Restore(Thread):
+         sizes   = [os.path.getsize(os.path.join(dirpath, x)) for x in formats]
+         names   = [os.path.splitext(x)[0] for x in formats]
+         opf = os.path.join(dirpath, 'metadata.opf')
+-        mi = OPF(opf, basedir=dirpath).to_book_metadata()
++        parsed_opf = OPF(opf, basedir=dirpath)
++        mi = parsed_opf.to_book_metadata()
++        annotations = tuple(parsed_opf.read_annotations())
+         timestamp = os.path.getmtime(opf)
+         path = os.path.relpath(dirpath, self.src_library_path).replace(os.sep,
+                 '/')
+@@ -203,6 +205,7 @@ class Restore(Thread):
+                 'id': book_id,
+                 'dirpath': dirpath,
+                 'path': path,
++                'annotations': annotations
+             })
+         else:
+             self.mismatched_dirs.append(dirpath)
+@@ -254,7 +257,7 @@ class Restore(Thread):
+ 
+         for i, book in enumerate(self.books):
+             try:
+-                db.restore_book(book['id'], book['mi'], utcfromtimestamp(book['timestamp']), book['path'], book['formats'])
++                db.restore_book(book['id'], book['mi'], utcfromtimestamp(book['timestamp']), book['path'], book['formats'], book['annotations'])
+                 self.successes += 1
+             except:
+                 self.failed_restores.append((book, traceback.format_exc()))
+diff --git a/src/calibre/db/tests/writing.py b/src/calibre/db/tests/writing.py
+index 489fa836f2..5ba484e0d9 100644
+--- a/src/calibre/db/tests/writing.py
++++ b/src/calibre/db/tests/writing.py
+@@ -763,15 +763,22 @@ class WritingTest(BaseTest):
+ 
+     def test_annotations(self):  # {{{
+         'Test handling of annotations'
++        from calibre.utils.date import utcnow, EPOCH
+         cl = self.cloned_library
+         cache = self.init_cache(cl)
+         # First empty dirtied
+         cache.dump_metadata()
+         self.assertFalse(cache.dirtied_cache)
++
++        def a(**kw):
++            ts = utcnow()
++            kw['timestamp'] = utcnow().isoformat()
++            return kw, (ts - EPOCH).total_seconds()
++
+         annot_list = [
+-                ({'type': 'bookmark', 'title': 'bookmark1', 'seq': 1}, 1.1),
+-                ({'type': 'highlight', 'highlighted_text': 'text1', 'uuid': '1', 'seq': 2}, 0.3),
+-                ({'type': 'highlight', 'highlighted_text': 'text2', 'notes': 'notes2', 'uuid': '2', 'seq': 3}, 3),
++            a(type='bookmark', title='bookmark1', seq=1),
++            a(type='highlight', highlighted_text='text1', uuid='1', seq=2),
++            a(type='highlight', highlighted_text='text2', uuid='2', seq=3, notes='notes2'),
+         ]
+ 
+         def map_as_list(amap):
+@@ -800,4 +807,13 @@ class WritingTest(BaseTest):
+         cache.set_annotations_for_book(1, 'moo', annot_list)
+         amap = cache.annotations_map_for_book(1, 'moo')
+         self.assertEqual([x[0] for x in annot_list], map_as_list(amap))
++        cache.check_dirtied_annotations()
++        cache.dump_metadata()
++        from calibre.ebooks.metadata.opf2 import OPF
++        raw = cache.read_backup(1)
++        opf = OPF(BytesIO(raw))
++        cache.restore_annotations(1, list(opf.read_annotations()))
++        amap = cache.annotations_map_for_book(1, 'moo')
++        self.assertEqual([x[0] for x in annot_list], map_as_list(amap))
++
+     # }}}
+diff --git a/src/calibre/ebooks/metadata/opf2.py b/src/calibre/ebooks/metadata/opf2.py
+index 7ebfbfdc07..20447f9b83 100644
+--- a/src/calibre/ebooks/metadata/opf2.py
++++ b/src/calibre/ebooks/metadata/opf2.py
+@@ -503,6 +503,18 @@ def serialize_user_metadata(metadata_elem, all_user_metadata, tail='\n'+(' '*8))
+         metadata_elem.append(meta)
+ 
+ 
++def serialize_annotations(metadata_elem, annotations, tail='\n'+(' '*8)):
++    for item in annotations:
++        data = json.dumps(item, ensure_ascii=False)
++        if isinstance(data, bytes):
++            data = data.decode('utf-8')
++        meta = metadata_elem.makeelement('meta')
++        meta.set('name', 'calibre:annotation')
++        meta.set('content', data)
++        meta.tail = tail
++        metadata_elem.append(meta)
++
++
+ def dump_dict(cats):
+     if not cats:
+         cats = {}
+@@ -647,6 +659,13 @@ class OPF(object):  # {{{
+ 
+         return ans
+ 
++    def read_annotations(self):
++        for elem in self.root.xpath('//*[name() = "meta" and @name = "calibre:annotation" and @content]'):
++            try:
++                yield json.loads(elem.get('content'))
++            except Exception:
++                pass
++
+     def write_user_metadata(self):
+         elems = self.root.xpath('//*[name() = "meta" and starts-with(@name,'
+                 '"calibre:user_metadata:") and @content]')
+@@ -1664,6 +1683,9 @@ def metadata_to_opf(mi, as_string=True, default_lang=None):
+         meta('user_categories', dump_dict(mi.user_categories))
+ 
+     serialize_user_metadata(metadata, mi.get_all_user_metadata(False))
++    all_annotations = getattr(mi, 'all_annotations', None)
++    if all_annotations:
++        serialize_annotations(metadata, all_annotations)
+ 
+     metadata[-1].tail = '\n' +(' '*4)
+ 
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0135-Dont-modify-database-when-no-dirtied-annotations-are.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0135-Dont-modify-database-when-no-dirtied-annotations-are.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0135-Dont-modify-database-when-no-dirtied-annotations-are.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0135-Dont-modify-database-when-no-dirtied-annotations-are.patch	2020-07-17 15:02:24.000000000 +0000
@@ -0,0 +1,34 @@
+From 3b0fd96a59483ef8a4ba4a706f056a821fd6455b Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 12 Jun 2020 19:36:57 +0530
+Subject: [PATCH 135/201] Dont modify database when no dirtied annotations are
+ present
+
+---
+ src/calibre/db/backend.py        |  11 ++++++-----
+ src/calibre/db/tests/metadata.db | Bin 245760 -> 252928 bytes
+ src/calibre/db/backend.py |   11 ++++++-----
+ 1 file changed, 6 insertions(+), 5 deletions(-)
+
+Index: b/src/calibre/db/backend.py
+===================================================================
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -1795,11 +1795,12 @@ class DB(object):
+                 save_annotations_for_book(self.conn.cursor(), book_id, fmt, annots_list, user_type, user)
+ 
+     def dirty_books_with_dirtied_annotations(self):
+-        self.execute('''
+-            INSERT or IGNORE INTO metadata_dirtied(book) SELECT book FROM annotations_dirtied;
+-            DELETE FROM annotations_dirtied;
+-        ''')
+-        return self.conn.changes() > 0
++        with self.conn:
++            self.execute('INSERT or IGNORE INTO metadata_dirtied(book) SELECT book FROM annotations_dirtied;')
++            changed = self.conn.changes() > 0
++            if changed:
++                self.execute('DELETE FROM annotations_dirtied')
++        return changed
+ 
+     def conversion_options(self, book_id, fmt):
+         for (data,) in self.conn.get('SELECT data FROM conversion_options WHERE book=? AND format=?', (book_id, fmt.upper())):
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0136-Initial-implementation-of-FTS-on-annotations.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0136-Initial-implementation-of-FTS-on-annotations.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0136-Initial-implementation-of-FTS-on-annotations.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0136-Initial-implementation-of-FTS-on-annotations.patch	2020-07-17 15:03:45.000000000 +0000
@@ -0,0 +1,207 @@
+From 1574b8db97839db3e3510c12231063892cc5399e Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Sat, 13 Jun 2020 14:51:32 +0530
+Subject: [PATCH 136/201] Initial implementation of FTS on annotations
+
+---
+ resources/metadata_sqlite.sql     |  26 ++++++++++++++++++++++-
+ src/calibre/db/backend.py         |  21 ++++++++++++++++++-
+ src/calibre/db/cache.py           |  16 +++++++++++++++
+ src/calibre/db/schema_upgrades.py |  33 +++++++++++++++++++++++++++++-
+ src/calibre/db/tests/metadata.db  | Bin 252928 -> 264192 bytes
+ resources/metadata_sqlite.sql     |   26 +++++++++++++++++++++++++-
+ src/calibre/db/backend.py         |   21 ++++++++++++++++++++-
+ src/calibre/db/cache.py           |   16 ++++++++++++++++
+ src/calibre/db/schema_upgrades.py |   33 ++++++++++++++++++++++++++++++++-
+ src/calibre/db/tests/writing.py   |   14 ++++++++++++--
+ 5 files changed, 105 insertions(+), 5 deletions(-)
+
+Index: b/resources/metadata_sqlite.sql
+===================================================================
+--- a/resources/metadata_sqlite.sql
++++ b/resources/metadata_sqlite.sql
+@@ -151,10 +151,34 @@ CREATE TABLE annotations ( id INTEGER PR
+ 	annot_id TEXT NOT NULL,
+ 	annot_type TEXT NOT NULL,
+ 	annot_data TEXT NOT NULL,
+-	searchable_text TEXT NOT NULL,
++    searchable_text TEXT NOT NULL DEFAULT "",
+     UNIQUE(book, user_type, user, format, annot_type, annot_id)
+ );
+ 
++CREATE VIRTUAL TABLE annotations_fts USING fts5(searchable_text, content = 'annotations', content_rowid = 'id', tokenize = 'unicode61 remove_diacritics 2');
++CREATE VIRTUAL TABLE annotations_fts_stemmed USING fts5(searchable_text, content = 'annotations', content_rowid = 'id', tokenize = 'porter unicode61 remove_diacritics 2');
++
++CREATE TRIGGER annotations_fts_insert_trg AFTER INSERT ON annotations 
++BEGIN
++    INSERT INTO annotations_fts(rowid, searchable_text) VALUES (NEW.id, NEW.searchable_text);
++    INSERT INTO annotations_fts_stemmed(rowid, searchable_text) VALUES (NEW.id, NEW.searchable_text);
++END;
++
++CREATE TRIGGER annotations_fts_delete_trg AFTER DELETE ON annotations 
++BEGIN
++    INSERT INTO annotations_fts(annotations_fts, rowid, searchable_text) VALUES('delete', OLD.id, OLD.searchable_text);
++    INSERT INTO annotations_fts_stemmed(annotations_fts_stemmed, rowid, searchable_text) VALUES('delete', OLD.id, OLD.searchable_text);
++END;
++
++CREATE TRIGGER annotations_fts_update_trg AFTER UPDATE ON annotations 
++BEGIN
++    INSERT INTO annotations_fts(annotations_fts, rowid, searchable_text) VALUES('delete', OLD.id, OLD.searchable_text);
++    INSERT INTO annotations_fts(rowid, searchable_text) VALUES (NEW.id, NEW.searchable_text);
++    INSERT INTO annotations_fts_stemmed(annotations_fts_stemmed, rowid, searchable_text) VALUES('delete', OLD.id, OLD.searchable_text);
++    INSERT INTO annotations_fts_stemmed(rowid, searchable_text) VALUES (NEW.id, NEW.searchable_text);
++END;
++
++
+ CREATE VIEW meta AS
+         SELECT id, title,
+                (SELECT sortconcat(bal.id, name) FROM books_authors_link AS bal JOIN authors ON(author = authors.id) WHERE book = books.id) authors,
+Index: b/src/calibre/db/backend.py
+===================================================================
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -307,7 +307,7 @@ def save_annotations_for_book(cursor, bo
+             text = annot.get('highlighed_text') or ''
+             notes = annot.get('notes') or ''
+             if notes:
+-                text += '0x1f\n\n' + notes
++                text += '\n0x1f\n' + notes
+         else:
+             continue
+         data.append((book_id, fmt, user_type, user, timestamp_in_secs, aid, atype, json.dumps(annot), text))
+@@ -1774,6 +1774,25 @@ class DB(object):
+         for x in annotations_for_book(self.conn, book_id, fmt, user_type, user):
+             yield x
+ 
++    def search_annotations(self,
++        fts_engine_query, use_stemming, highlight_start, highlight_end, annotation_type,
++        restrict_to_book_ids, restrict_to_user
++    ):
++        fts_table = 'annotations_fts_stemmed' if use_stemming else 'annotations_fts'
++        query = 'SELECT {0}.id, {0}.book, {0}.format, {0}.user_type, {0}.user, {0}.annot_data FROM {0} '
++        query = query.format('annotations')
++        query += ' JOIN {fts_table} ON annotations.id = {fts_table}.rowid'.format(fts_table=fts_table)
++        query += ' WHERE {fts_table} MATCH ?'.format(fts_table=fts_table)
++        data = [fts_engine_query]
++        if restrict_to_user:
++            query += ' AND annotations.user_type = ? AND annotations.user = ?'
++            data += list(*restrict_to_user)
++        if annotation_type:
++            query += ' AND annotations.annot_type = ? '
++            data.append(annotation_type)
++        for (rowid, book_id, fmt, user_type, user, annot_data) in self.execute(query, tuple(data)):
++            yield {'id': rowid, 'book_id': book_id, 'format': fmt, 'user_type': user_type, 'user': user, 'annotation': annot_data}
++
+     def all_annotations_for_book(self, book_id):
+         for (fmt, user_type, user, data) in self.execute('SELECT format, user_type, user, annot_data FROM annotations WHERE book=?', (book_id,)):
+             try:
+Index: b/src/calibre/db/cache.py
+===================================================================
+--- a/src/calibre/db/cache.py
++++ b/src/calibre/db/cache.py
+@@ -2301,6 +2301,22 @@ class Cache(object):
+     def all_annotations_for_book(self, book_id):
+         return tuple(self.backend.all_annotations_for_book(book_id))
+ 
++    @read_api
++    def search_annotations(
++        self,
++        fts_engine_query,
++        use_stemming=True,
++        highlight_start=None,
++        highlight_end=None,
++        annotation_type=None,
++        restrict_to_book_ids=None,
++        restrict_to_user=None,
++    ):
++        return tuple(self.backend.search_annotations(
++            fts_engine_query, use_stemming, highlight_start, highlight_end,
++            annotation_type, restrict_to_book_ids, restrict_to_user
++        ))
++
+     @write_api
+     def restore_annotations(self, book_id, annotations):
+         from calibre.utils.iso8601 import parse_iso8601
+Index: b/src/calibre/db/schema_upgrades.py
+===================================================================
+--- a/src/calibre/db/schema_upgrades.py
++++ b/src/calibre/db/schema_upgrades.py
+@@ -714,13 +714,44 @@ CREATE TABLE annotations ( id INTEGER PR
+     annot_id TEXT NOT NULL,
+     annot_type TEXT NOT NULL,
+     annot_data TEXT NOT NULL,
+-    searchable_text TEXT NOT NULL,
++    searchable_text TEXT NOT NULL DEFAULT "",
+     UNIQUE(book, user_type, user, format, annot_type, annot_id)
+ );
+ 
+ DROP INDEX IF EXISTS annot_idx;
+ CREATE INDEX annot_idx ON annotations (book);
+ 
++DROP TABLE IF EXISTS annotations_fts;
++DROP TABLE IF EXISTS annotations_fts_stemmed;
++CREATE VIRTUAL TABLE annotations_fts USING fts5(searchable_text,
++    content = 'annotations', content_rowid = 'id', tokenize = 'unicode61 remove_diacritics 2');
++CREATE VIRTUAL TABLE annotations_fts_stemmed USING fts5(searchable_text,
++    content = 'annotations', content_rowid = 'id', tokenize = 'porter unicode61 remove_diacritics 2');
++
++DROP TRIGGER IF EXISTS annotations_fts_insert_trg;
++CREATE TRIGGER annotations_fts_insert_trg AFTER INSERT ON annotations
++BEGIN
++    INSERT INTO annotations_fts(rowid, searchable_text) VALUES (NEW.id, NEW.searchable_text);
++    INSERT INTO annotations_fts_stemmed(rowid, searchable_text) VALUES (NEW.id, NEW.searchable_text);
++END;
++
++DROP TRIGGER IF EXISTS annotations_fts_delete_trg;
++CREATE TRIGGER annotations_fts_delete_trg AFTER DELETE ON annotations
++BEGIN
++    INSERT INTO annotations_fts(annotations_fts, rowid, searchable_text) VALUES('delete', OLD.id, OLD.searchable_text);
++    INSERT INTO annotations_fts_stemmed(annotations_fts_stemmed, rowid, searchable_text) VALUES('delete', OLD.id, OLD.searchable_text);
++END;
++
++DROP TRIGGER IF EXISTS annotations_fts_update_trg;
++CREATE TRIGGER annotations_fts_update_trg AFTER UPDATE ON annotations
++BEGIN
++    INSERT INTO annotations_fts(annotations_fts, rowid, searchable_text) VALUES('delete', OLD.id, OLD.searchable_text);
++    INSERT INTO annotations_fts(rowid, searchable_text) VALUES (NEW.id, NEW.searchable_text);
++    INSERT INTO annotations_fts_stemmed(annotations_fts_stemmed, rowid, searchable_text) VALUES('delete', OLD.id, OLD.searchable_text);
++    INSERT INTO annotations_fts_stemmed(rowid, searchable_text) VALUES (NEW.id, NEW.searchable_text);
++END;
++
++
+ DROP TRIGGER IF EXISTS books_delete_trg;
+ CREATE TRIGGER books_delete_trg
+     AFTER DELETE ON books
+Index: b/src/calibre/db/tests/writing.py
+===================================================================
+--- a/src/calibre/db/tests/writing.py
++++ b/src/calibre/db/tests/writing.py
+@@ -776,9 +776,9 @@ class WritingTest(BaseTest):
+             return kw, (ts - EPOCH).total_seconds()
+ 
+         annot_list = [
+-            a(type='bookmark', title='bookmark1', seq=1),
++            a(type='bookmark', title='bookmark1 changed', seq=1),
+             a(type='highlight', highlighted_text='text1', uuid='1', seq=2),
+-            a(type='highlight', highlighted_text='text2', uuid='2', seq=3, notes='notes2'),
++            a(type='highlight', highlighted_text='text2', uuid='2', seq=3, notes='notes2 some word changed'),
+         ]
+ 
+         def map_as_list(amap):
+@@ -798,6 +798,16 @@ class WritingTest(BaseTest):
+         cache.check_dirtied_annotations()
+         self.assertFalse(cache.dirtied_cache)
+ 
++        # Test searching
++        results = cache.search_annotations('"changed"')
++        self.assertEqual([1, 3], [x['id'] for x in results])
++        results = cache.search_annotations('"changed"', annotation_type='bookmark')
++        self.assertEqual([1], [x['id'] for x in results])
++        results = cache.search_annotations('"Change"')
++        self.assertEqual([1, 3], [x['id'] for x in results])
++        results = cache.search_annotations('"change"', use_stemming=False)
++        self.assertEqual([], [x['id'] for x in results])
++
+         annot_list[0][0]['title'] = 'changed title'
+         cache.set_annotations_for_book(1, 'moo', annot_list)
+         amap = cache.annotations_map_for_book(1, 'moo')
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0137-Implement-highlight-and-snippet-for-FTS.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0137-Implement-highlight-and-snippet-for-FTS.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0137-Implement-highlight-and-snippet-for-FTS.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0137-Implement-highlight-and-snippet-for-FTS.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,107 @@
+From d36c630ea46fd82697ebee823d4b4dca66c42e6a Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Sat, 13 Jun 2020 16:35:43 +0530
+Subject: [PATCH 137/201] Implement highlight and snippet for FTS
+
+---
+ src/calibre/db/backend.py       | 26 +++++++++++++++++++++-----
+ src/calibre/db/cache.py         |  3 ++-
+ src/calibre/db/tests/writing.py |  8 ++++++--
+ 3 files changed, 29 insertions(+), 8 deletions(-)
+
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index 113ac36bd4..fedb5293ce 100644
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -1775,12 +1775,20 @@ class DB(object):
+             yield x
+ 
+     def search_annotations(self,
+-        fts_engine_query, use_stemming, highlight_start, highlight_end, annotation_type,
++        fts_engine_query, use_stemming, highlight_start, highlight_end, snippet_size, annotation_type,
+         restrict_to_book_ids, restrict_to_user
+     ):
+         fts_table = 'annotations_fts_stemmed' if use_stemming else 'annotations_fts'
+-        query = 'SELECT {0}.id, {0}.book, {0}.format, {0}.user_type, {0}.user, {0}.annot_data FROM {0} '
+-        query = query.format('annotations')
++        text = 'annotations.searchable_text'
++        if highlight_start is not None and highlight_end is not None:
++            if snippet_size is not None:
++                text = 'snippet({fts_table}, 0, "{highlight_start}", "{highlight_end}", "…", {snippet_size})'.format(
++                        fts_table=fts_table, highlight_start=highlight_start, highlight_end=highlight_end,
++                        snippet_size=max(1, min(snippet_size, 64)))
++            else:
++                text = 'highlight({}, 0, "{}", "{}")'.format(fts_table, highlight_start, highlight_end)
++        query = 'SELECT {0}.id, {0}.book, {0}.format, {0}.user_type, {0}.user, {0}.annot_data, {1} FROM {0} '
++        query = query.format('annotations', text)
+         query += ' JOIN {fts_table} ON annotations.id = {fts_table}.rowid'.format(fts_table=fts_table)
+         query += ' WHERE {fts_table} MATCH ?'.format(fts_table=fts_table)
+         data = [fts_engine_query]
+@@ -1790,8 +1798,16 @@ class DB(object):
+         if annotation_type:
+             query += ' AND annotations.annot_type = ? '
+             data.append(annotation_type)
+-        for (rowid, book_id, fmt, user_type, user, annot_data) in self.execute(query, tuple(data)):
+-            yield {'id': rowid, 'book_id': book_id, 'format': fmt, 'user_type': user_type, 'user': user, 'annotation': annot_data}
++        for (rowid, book_id, fmt, user_type, user, annot_data, text) in self.execute(query, tuple(data)):
++            yield {
++                'id': rowid,
++                'book_id': book_id,
++                'format': fmt,
++                'user_type': user_type,
++                'user': user,
++                'text': text,
++                'annotation': annot_data
++            }
+ 
+     def all_annotations_for_book(self, book_id):
+         for (fmt, user_type, user, data) in self.execute('SELECT format, user_type, user, annot_data FROM annotations WHERE book=?', (book_id,)):
+diff --git a/src/calibre/db/cache.py b/src/calibre/db/cache.py
+index d7c6d788e2..2eaebd7fad 100644
+--- a/src/calibre/db/cache.py
++++ b/src/calibre/db/cache.py
+@@ -2308,13 +2308,14 @@ class Cache(object):
+         use_stemming=True,
+         highlight_start=None,
+         highlight_end=None,
++        snippet_size=None,
+         annotation_type=None,
+         restrict_to_book_ids=None,
+         restrict_to_user=None,
+     ):
+         return tuple(self.backend.search_annotations(
+             fts_engine_query, use_stemming, highlight_start, highlight_end,
+-            annotation_type, restrict_to_book_ids, restrict_to_user
++            snippet_size, annotation_type, restrict_to_book_ids, restrict_to_user
+         ))
+ 
+     @write_api
+diff --git a/src/calibre/db/tests/writing.py b/src/calibre/db/tests/writing.py
+index 72cdef723d..456aef3696 100644
+--- a/src/calibre/db/tests/writing.py
++++ b/src/calibre/db/tests/writing.py
+@@ -778,7 +778,7 @@ class WritingTest(BaseTest):
+         annot_list = [
+             a(type='bookmark', title='bookmark1 changed', seq=1),
+             a(type='highlight', highlighted_text='text1', uuid='1', seq=2),
+-            a(type='highlight', highlighted_text='text2', uuid='2', seq=3, notes='notes2 some word changed'),
++            a(type='highlight', highlighted_text='text2', uuid='2', seq=3, notes='notes2 some word changed again'),
+         ]
+ 
+         def map_as_list(amap):
+@@ -806,7 +806,11 @@ class WritingTest(BaseTest):
+         results = cache.search_annotations('"Change"')
+         self.assertEqual([1, 3], [x['id'] for x in results])
+         results = cache.search_annotations('"change"', use_stemming=False)
+-        self.assertEqual([], [x['id'] for x in results])
++        self.assertFalse(results)
++        results = cache.search_annotations('"bookmark1"', highlight_start='[', highlight_end=']')
++        self.assertEqual(results[0]['text'], '[bookmark1] changed')
++        results = cache.search_annotations('"word"', highlight_start='[', highlight_end=']', snippet_size=3)
++        self.assertEqual(results[0]['text'], '…some [word] changed…')
+ 
+         annot_list[0][0]['title'] = 'changed title'
+         cache.set_annotations_for_book(1, 'moo', annot_list)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0138-Raise-a-defined-error-when-invalid-query-passed-to-F.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0138-Raise-a-defined-error-when-invalid-query-passed-to-F.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0138-Raise-a-defined-error-when-invalid-query-passed-to-F.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0138-Raise-a-defined-error-when-invalid-query-passed-to-F.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,90 @@
+From d32d8d93b6bf3c2f632636de4603cd57de5ffdf1 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 15 Jun 2020 10:34:03 +0530
+Subject: [PATCH 138/201] Raise a defined error when invalid query passed to
+ FTS engine
+
+---
+ src/calibre/db/backend.py       | 36 ++++++++++++++++++---------------
+ src/calibre/db/tests/writing.py |  2 ++
+ 2 files changed, 22 insertions(+), 16 deletions(-)
+
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index fedb5293ce..17b7f72da7 100644
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -42,14 +42,15 @@ from calibre.db.tables import (OneToOneTable, ManyToOneTable, ManyToManyTable,
+         CompositeTable, UUIDTable, RatingTable)
+ # }}}
+ 
+-'''
+-Differences in semantics from pysqlite:
+ 
+-    1. execute/executemany operate in autocommit mode
+-    2. There is no fetchone() method on cursor objects, instead use next(cursor)
+-    3. There is no executescript
++class FTSQueryError(ValueError):
++
++    def __init__(self, query, sql_statement, apsw_error):
++        ValueError.__init__(self, 'Failed to parse search query: {} with error: {}'.format(query, apsw_error))
++        self.query = query
++        self.sql_statement = sql_statement
++
+ 
+-'''
+ CUSTOM_DATA_TYPES = frozenset(('rating', 'text', 'comments', 'datetime',
+     'int', 'float', 'bool', 'series', 'composite', 'enumeration'))
+ WINDOWS_RESERVED_NAMES = frozenset('CON PRN AUX NUL COM1 COM2 COM3 COM4 COM5 COM6 COM7 COM8 COM9 LPT1 LPT2 LPT3 LPT4 LPT5 LPT6 LPT7 LPT8 LPT9'.split())
+@@ -1798,16 +1799,19 @@ class DB(object):
+         if annotation_type:
+             query += ' AND annotations.annot_type = ? '
+             data.append(annotation_type)
+-        for (rowid, book_id, fmt, user_type, user, annot_data, text) in self.execute(query, tuple(data)):
+-            yield {
+-                'id': rowid,
+-                'book_id': book_id,
+-                'format': fmt,
+-                'user_type': user_type,
+-                'user': user,
+-                'text': text,
+-                'annotation': annot_data
+-            }
++        try:
++            for (rowid, book_id, fmt, user_type, user, annot_data, text) in self.execute(query, tuple(data)):
++                yield {
++                    'id': rowid,
++                    'book_id': book_id,
++                    'format': fmt,
++                    'user_type': user_type,
++                    'user': user,
++                    'text': text,
++                    'annotation': annot_data
++                }
++        except apsw.SQLError as e:
++            raise FTSQueryError(fts_engine_query, query, e)
+ 
+     def all_annotations_for_book(self, book_id):
+         for (fmt, user_type, user, data) in self.execute('SELECT format, user_type, user, annot_data FROM annotations WHERE book=?', (book_id,)):
+diff --git a/src/calibre/db/tests/writing.py b/src/calibre/db/tests/writing.py
+index 456aef3696..392a513c66 100644
+--- a/src/calibre/db/tests/writing.py
++++ b/src/calibre/db/tests/writing.py
+@@ -14,6 +14,7 @@ from calibre.ebooks.metadata import author_to_author_sort, title_sort
+ from calibre.ebooks.metadata.book.base import Metadata
+ from calibre.utils.date import UNDEFINED_DATE
+ from calibre.db.tests.base import BaseTest, IMG
++from calibre.db.backend import FTSQueryError
+ from polyglot.builtins import iteritems, itervalues, unicode_type
+ 
+ 
+@@ -811,6 +812,7 @@ class WritingTest(BaseTest):
+         self.assertEqual(results[0]['text'], '[bookmark1] changed')
+         results = cache.search_annotations('"word"', highlight_start='[', highlight_end=']', snippet_size=3)
+         self.assertEqual(results[0]['text'], '…some [word] changed…')
++        self.assertRaises(FTSQueryError, cache.search_annotations, 'AND OR')
+ 
+         annot_list[0][0]['title'] = 'changed title'
+         cache.set_annotations_for_book(1, 'moo', annot_list)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0139-Start-work-on-annotations-browser.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0139-Start-work-on-annotations-browser.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0139-Start-work-on-annotations-browser.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0139-Start-work-on-annotations-browser.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,212 @@
+From ac22c3a239650393ea516a8d86039209e69134ec Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 15 Jun 2020 13:23:22 +0530
+Subject: [PATCH 139/201] Start work on annotations browser
+
+---
+ src/calibre/gui2/library/annotations.py | 145 ++++++++++++++++++++++++
+ src/calibre/gui2/viewer/annotations.py  |   2 +-
+ src/calibre/gui2/viewer/search.py       |  15 ++-
+ 3 files changed, 156 insertions(+), 6 deletions(-)
+ create mode 100644 src/calibre/gui2/library/annotations.py
+
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+new file mode 100644
+index 0000000000..6a9852ca05
+--- /dev/null
++++ b/src/calibre/gui2/library/annotations.py
+@@ -0,0 +1,145 @@
++#!/usr/bin/env python2
++# vim:fileencoding=utf-8
++# License: GPL v3 Copyright: 2020, Kovid Goyal <kovid at kovidgoyal.net>
++
++from __future__ import absolute_import, division, print_function, unicode_literals
++
++import os
++
++from PyQt5.Qt import (
++    QApplication, QCursor, QHBoxLayout, QIcon, QListWidget, QSize, QSplitter, Qt,
++    QToolButton, QVBoxLayout, QWidget
++)
++
++from calibre.gui2 import Application
++from calibre.gui2.viewer.search import SearchBox
++from calibre.gui2.widgets2 import Dialog
++
++
++def current_db():
++    from calibre.gui2.ui import get_gui
++    return (getattr(current_db, 'ans', None) or get_gui().current_db).new_api
++
++
++class BusyCursor(object):
++
++    def __enter__(self):
++        QApplication.setOverrideCursor(QCursor(Qt.WaitCursor))
++
++    def __exit__(self, *args):
++        QApplication.restoreOverrideCursor()
++
++
++class ResultsList(QListWidget):
++
++    def __init__(self, parent):
++        QListWidget.__init__(self, parent)
++
++    def set_results(self, results):
++        self.clear()
++
++
++class BrowsePanel(QWidget):
++
++    def __init__(self, parent):
++        QWidget.__init__(self, parent)
++        self.current_query = None
++        l = QVBoxLayout(self)
++
++        h = QHBoxLayout()
++        l.addLayout(h)
++        self.search_box = sb = SearchBox(self)
++        sb.initialize('library-annotations-browser-search-box')
++        sb.cleared.connect(self.cleared)
++        sb.lineEdit().returnPressed.connect(self.show_next)
++        h.addWidget(sb)
++
++        self.next_button = nb = QToolButton(self)
++        h.addWidget(nb)
++        nb.setFocusPolicy(Qt.NoFocus)
++        nb.setIcon(QIcon(I('arrow-down.png')))
++        nb.clicked.connect(self.show_next)
++        nb.setToolTip(_('Find next match'))
++
++        self.prev_button = nb = QToolButton(self)
++        h.addWidget(nb)
++        nb.setFocusPolicy(Qt.NoFocus)
++        nb.setIcon(QIcon(I('arrow-up.png')))
++        nb.clicked.connect(self.show_previous)
++        nb.setToolTip(_('Find previous match'))
++
++        self.results_list = rl = ResultsList(self)
++        l.addWidget(rl)
++
++    def sizeHint(self):
++        return QSize(450, 600)
++
++    @property
++    def effective_query(self):
++        text = self.search_box.lineEdit().text().strip()
++        if not text:
++            return None
++        return {
++            'fts_engine_query': text,
++        }
++
++    def cleared(self):
++        self.current_query = None
++
++    def do_find(self, backwards=False):
++        q = self.effective_query
++        if not q:
++            return
++        if q == self.current_query:
++            self.results_list.show_next(backwards)
++            return
++        with BusyCursor():
++            db = current_db()
++            results = db.search_annotations(**q)
++            self.results_list.set_results(results)
++
++    def show_next(self):
++        self.do_find()
++
++    def show_previous(self):
++        self.do_find(backwards=True)
++
++
++class DetailsPanel(QWidget):
++
++    def __init__(self, parent):
++        QWidget.__init__(self, parent)
++
++    def sizeHint(self):
++        return QSize(450, 600)
++
++
++class AnnotationsBrowser(Dialog):
++
++    def __init__(self, parent=None):
++        Dialog.__init__(self, _('Annotations browser'), 'library-annotations-browser-1', parent=parent)
++        self.setAttribute(Qt.WA_DeleteOnClose, False)
++
++    def setup_ui(self):
++        l = QVBoxLayout(self)
++
++        self.splitter = s = QSplitter(self)
++        l.addWidget(s)
++        s.setChildrenCollapsible(False)
++
++        self.browse_panel = bp = BrowsePanel(self)
++        s.addWidget(bp)
++
++        self.details_panel = dp = DetailsPanel(self)
++        s.addWidget(dp)
++
++        self.bb.setStandardButtons(self.bb.Close)
++        l.addWidget(self.bb)
++
++
++if __name__ == '__main__':
++    from calibre.library import db
++    app = Application([])
++    current_db.ans = db(os.path.expanduser('~/test library'))
++    AnnotationsBrowser().exec_()
++    del app
+diff --git a/src/calibre/gui2/viewer/annotations.py b/src/calibre/gui2/viewer/annotations.py
+index 67986e1742..e4e769fec4 100644
+--- a/src/calibre/gui2/viewer/annotations.py
++++ b/src/calibre/gui2/viewer/annotations.py
+@@ -135,7 +135,7 @@ class AnnotationsSaveWorker(Thread):
+     def save_annotations(self, current_book_data, in_book_file=True):
+         alist = tuple(annotations_as_copied_list(current_book_data['annotations_map']))
+         ebp = current_book_data['pathtoebook']
+-        can_save_in_book_file = ebp.lower.endswith('.epub')
++        can_save_in_book_file = ebp.lower().endswith('.epub')
+         self.queue.put({
+             'annotations_list': alist,
+             'annotations_path_key': current_book_data['annotations_path_key'],
+diff --git a/src/calibre/gui2/viewer/search.py b/src/calibre/gui2/viewer/search.py
+index 72a4a70960..19738a5a83 100644
+--- a/src/calibre/gui2/viewer/search.py
++++ b/src/calibre/gui2/viewer/search.py
+@@ -296,6 +296,15 @@ def search_in_name(name, search_query, ctx_size=50):
+ class SearchBox(HistoryComboBox):
+ 
+     history_saved = pyqtSignal(object, object)
++    cleared = pyqtSignal()
++
++    def __init__(self, parent=None):
++        HistoryComboBox.__init__(self, parent)
++        self.lineEdit().setPlaceholderText(_('Search'))
++        self.lineEdit().setClearButtonEnabled(True)
++        ac = self.lineEdit().findChild(QAction, QT_HIDDEN_CLEAR_ACTION)
++        if ac is not None:
++            ac.triggered.connect(self.cleared)
+ 
+     def save_history(self):
+         ret = HistoryComboBox.save_history(self)
+@@ -329,11 +338,7 @@ class SearchInput(QWidget):  # {{{
+         sb.initialize('viewer-{}-panel-expression'.format(panel_name))
+         sb.item_selected.connect(self.saved_search_selected)
+         sb.history_saved.connect(self.history_saved)
+-        sb.lineEdit().setPlaceholderText(_('Search'))
+-        sb.lineEdit().setClearButtonEnabled(True)
+-        ac = sb.lineEdit().findChild(QAction, QT_HIDDEN_CLEAR_ACTION)
+-        if ac is not None:
+-            ac.triggered.connect(self.cleared)
++        sb.cleared.connect(self.cleared)
+         sb.lineEdit().returnPressed.connect(self.find_next)
+         h.addWidget(sb)
+ 
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0140-Make-the-highlight-shortcuts-always-available.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0140-Make-the-highlight-shortcuts-always-available.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0140-Make-the-highlight-shortcuts-always-available.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0140-Make-the-highlight-shortcuts-always-available.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,93 @@
+From 88d2a897de56ed2eeb307bab5e11a2cf44c23df6 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 15 Jun 2020 13:44:27 +0530
+Subject: [PATCH 140/201] Make the highlight shortcuts always available
+
+---
+ src/calibre/gui2/viewer/main.py | 10 +++++-----
+ src/pyj/read_book/shortcuts.pyj | 25 +++++++++++--------------
+ 2 files changed, 16 insertions(+), 19 deletions(-)
+
+diff --git a/src/calibre/gui2/viewer/main.py b/src/calibre/gui2/viewer/main.py
+index 8617dac938..a428273320 100644
+--- a/src/calibre/gui2/viewer/main.py
++++ b/src/calibre/gui2/viewer/main.py
+@@ -197,19 +197,19 @@ def main(args=sys.argv):
+     QWebEngineUrlScheme.registerScheme(scheme)
+     override = 'calibre-ebook-viewer' if islinux else None
+     processed_args = []
+-    internal_book_data = None
++    internal_book_data = internal_book_data_path = None
+     for arg in args:
+         if arg.startswith('--internal-book-data='):
+-            internal_book_data = arg.split('=', 1)[1]
++            internal_book_data_path = arg.split('=', 1)[1]
+             continue
+         processed_args.append(arg)
+-    if internal_book_data:
++    if internal_book_data_path:
+         try:
+-            with lopen(internal_book_data, 'rb') as f:
++            with lopen(internal_book_data_path, 'rb') as f:
+                 internal_book_data = json.load(f)
+         finally:
+             try:
+-                os.remove(internal_book_data)
++                os.remove(internal_book_data_path)
+             except EnvironmentError:
+                 pass
+     args = processed_args
+diff --git a/src/pyj/read_book/shortcuts.pyj b/src/pyj/read_book/shortcuts.pyj
+index 1c3ede0430..afbc76c566 100644
+--- a/src/pyj/read_book/shortcuts.pyj
++++ b/src/pyj/read_book/shortcuts.pyj
+@@ -4,8 +4,6 @@ from __python__ import bound_methods, hash_literals
+ 
+ from gettext import gettext as _
+ 
+-from read_book.globals import runtime
+-
+ 
+ def parse_key_repr(sc):
+     parts = sc.split('+')
+@@ -330,13 +328,13 @@ def shortcuts_definition():
+         _('Auto scroll slower'),
+     ),
+ 
++    'create_annotation': desc(
++        "Ctrl+h",
++        'ui',
++        _('Create a highlight'),
++    ),
++
+     }
+-    if runtime.in_develop_mode:
+-        ans.create_annotation = desc(
+-            "Ctrl+h",
+-            'ui',
+-            _('Create a highlight'),
+-        )
+ 
+     return ans
+ 
+@@ -397,12 +395,11 @@ def add_standalone_viewer_shortcuts():
+         'ui',
+         _('Toggle the toolbar'),
+     )
+-    if runtime.in_develop_mode:
+-        sc['toggle_highlights'] = desc(
+-            "Ctrl+Alt+h",
+-            'ui',
+-            _('Toggle the highlights panel')
+-        )
++    sc['toggle_highlights'] = desc(
++        "Ctrl+Alt+h",
++        'ui',
++        _('Toggle the highlights panel')
++    )
+ 
+ 
+ def create_shortcut_map(custom_shortcuts):
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0141-Fix-viewer-shutdown-guard.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0141-Fix-viewer-shutdown-guard.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0141-Fix-viewer-shutdown-guard.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0141-Fix-viewer-shutdown-guard.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,63 @@
+From 70593a45f7e2d2236f5a7b671c9cdd4907539f08 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 15 Jun 2020 14:34:49 +0530
+Subject: [PATCH 141/201] Fix viewer shutdown guard
+
+---
+ src/calibre/gui2/viewer/ui.py | 13 +++++++------
+ 1 file changed, 7 insertions(+), 6 deletions(-)
+
+diff --git a/src/calibre/gui2/viewer/ui.py b/src/calibre/gui2/viewer/ui.py
+index 5f3f4b646d..339848b1db 100644
+--- a/src/calibre/gui2/viewer/ui.py
++++ b/src/calibre/gui2/viewer/ui.py
+@@ -90,7 +90,7 @@ class EbookViewer(MainWindow):
+         MainWindow.__init__(self, None)
+         self.annotations_saver = None
+         self.calibre_book_data_for_first_book = calibre_book_data
+-        self.shutting_down = self.close_forced = False
++        self.shutting_down = self.close_forced = self.shutdown_done = False
+         self.force_reload = force_reload
+         connect_lambda(self.book_preparation_started, self, lambda self: self.loading_overlay(_(
+             'Preparing book for first read, please wait')), type=Qt.QueuedConnection)
+@@ -569,9 +569,9 @@ class EbookViewer(MainWindow):
+         if calibre_book_data is None:
+             bld = self.current_book_data['book_library_details']
+             if bld is not None:
+-                amap = load_annotations_map_from_library(bld)
+-                if amap:
+-                    for annot_type, annots in iteritems(self.calibre_book_data_for_first_book['annotations_map']):
++                lib_amap = load_annotations_map_from_library(bld)
++                if lib_amap:
++                    for annot_type, annots in iteritems(lib_amap):
+                         merge_annotations(annots, amap)
+         else:
+             for annot_type, annots in iteritems(calibre_book_data['annotations_map']):
+@@ -652,6 +652,8 @@ class EbookViewer(MainWindow):
+         self.force_close()
+ 
+     def closeEvent(self, ev):
++        if self.shutdown_done:
++            return
+         if self.current_book_data and self.web_view.view_is_ready and not self.close_forced:
+             ev.ignore()
+             if not self.shutting_down:
+@@ -659,8 +661,6 @@ class EbookViewer(MainWindow):
+                 QTimer.singleShot(2000, self.force_close)
+                 self.web_view.prepare_for_close()
+             return
+-        if self.shutting_down:
+-            return
+         self.shutting_down = True
+         self.search_widget.shutdown()
+         try:
+@@ -673,5 +673,6 @@ class EbookViewer(MainWindow):
+             import traceback
+             traceback.print_exc()
+         clean_running_workers()
++        self.shutdown_done = True
+         return MainWindow.closeEvent(self, ev)
+     # }}}
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0142-More-work-on-annotations-browser.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0142-More-work-on-annotations-browser.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0142-More-work-on-annotations-browser.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0142-More-work-on-annotations-browser.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,71 @@
+From 5ea305e3e20b81ebb07561ad7730f4fb75d6af58 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 15 Jun 2020 21:34:48 +0530
+Subject: [PATCH 142/201] More work on annotations browser
+
+---
+ src/calibre/db/backend.py               |  2 +-
+ src/calibre/gui2/library/annotations.py | 17 ++++++++++++++++-
+ 2 files changed, 17 insertions(+), 2 deletions(-)
+
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index 17b7f72da7..9bb48530af 100644
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -305,7 +305,7 @@ def save_annotations_for_book(cursor, book_id, fmt, annots_list, user_type='loca
+             aid = text = annot['title']
+         elif atype == 'highlight':
+             aid = annot['uuid']
+-            text = annot.get('highlighed_text') or ''
++            text = annot.get('highlighted_text') or ''
+             notes = annot.get('notes') or ''
+             if notes:
+                 text += '\n0x1f\n' + notes
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index 6a9852ca05..3fde7e9ab1 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -37,6 +37,8 @@ class ResultsList(QListWidget):
+ 
+     def set_results(self, results):
+         self.clear()
++        for result in results:
++            print(result)
+ 
+ 
+ class BrowsePanel(QWidget):
+@@ -120,6 +122,10 @@ class AnnotationsBrowser(Dialog):
+         Dialog.__init__(self, _('Annotations browser'), 'library-annotations-browser-1', parent=parent)
+         self.setAttribute(Qt.WA_DeleteOnClose, False)
+ 
++    def keyPressEvent(self, ev):
++        if ev.key() not in (Qt.Key_Enter, Qt.Key_Return):
++            return Dialog.keyPressEvent(self, ev)
++
+     def setup_ui(self):
+         l = QVBoxLayout(self)
+ 
+@@ -136,10 +142,19 @@ class AnnotationsBrowser(Dialog):
+         self.bb.setStandardButtons(self.bb.Close)
+         l.addWidget(self.bb)
+ 
++    def show_dialog(self):
++        self.browse_panel.search_box.setFocus(Qt.OtherFocusReason)
++        if self.parent() is None:
++            self.exec_()
++        else:
++            self.show()
++
+ 
+ if __name__ == '__main__':
+     from calibre.library import db
+     app = Application([])
+     current_db.ans = db(os.path.expanduser('~/test library'))
+-    AnnotationsBrowser().exec_()
++    br = AnnotationsBrowser()
++    br.show_dialog()
++    del br
+     del app
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0143-Order-FTS-results-by-rank.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0143-Order-FTS-results-by-rank.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0143-Order-FTS-results-by-rank.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0143-Order-FTS-results-by-rank.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,24 @@
+From 29bd125d506fc0e5c280d1a7917c9f29180090b5 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Tue, 16 Jun 2020 09:41:09 +0530
+Subject: [PATCH 143/201] Order FTS results by rank
+
+---
+ src/calibre/db/backend.py | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index 9bb48530af..66df3a7e14 100644
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -1799,6 +1799,7 @@ class DB(object):
+         if annotation_type:
+             query += ' AND annotations.annot_type = ? '
+             data.append(annotation_type)
++        query += ' ORDER BY {}.rank '.format(fts_table)
+         try:
+             for (rowid, book_id, fmt, user_type, user, annot_data, text) in self.execute(query, tuple(data)):
+                 yield {
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0144-Render-annots-browser-list.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0144-Render-annots-browser-list.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0144-Render-annots-browser-list.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0144-Render-annots-browser-list.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,146 @@
+From 9be1dbb7106dcd987435cc37a99ef5c9dae16522 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Tue, 16 Jun 2020 21:24:12 +0530
+Subject: [PATCH 144/201] Render annots browser list
+
+---
+ src/calibre/gui2/library/annotations.py | 52 +++++++++++++++++++++----
+ src/calibre/gui2/viewer/search.py       | 16 +++++---
+ 2 files changed, 56 insertions(+), 12 deletions(-)
+
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index 3fde7e9ab1..15212edf1a 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -7,12 +7,12 @@ from __future__ import absolute_import, division, print_function, unicode_litera
+ import os
+ 
+ from PyQt5.Qt import (
+-    QApplication, QCursor, QHBoxLayout, QIcon, QListWidget, QSize, QSplitter, Qt,
+-    QToolButton, QVBoxLayout, QWidget
++    QApplication, QCursor, QFont, QHBoxLayout, QIcon, QSize, QSplitter, Qt,
++    QToolButton, QTreeWidget, QTreeWidgetItem, QVBoxLayout, QWidget
+ )
+ 
+ from calibre.gui2 import Application
+-from calibre.gui2.viewer.search import SearchBox
++from calibre.gui2.viewer.search import SearchBox, ResultsDelegate
+ from calibre.gui2.widgets2 import Dialog
+ 
+ 
+@@ -30,15 +30,52 @@ class BusyCursor(object):
+         QApplication.restoreOverrideCursor()
+ 
+ 
+-class ResultsList(QListWidget):
++class AnnotsResultsDelegate(ResultsDelegate):
++
++    def result_data(self, result):
++        if not isinstance(result, dict):
++            return None, None, None, None
++        full_text = result['text'].replace('0x1f', ' ')
++        parts = full_text.split('0x1d', 2)
++        before = after = ''
++        if len(parts) == 3:
++            before, text, after = parts
++        elif len(parts) == 2:
++            before, text = parts
++        else:
++            text = parts[0]
++        return False, before, text, after
++
++
++class ResultsList(QTreeWidget):
+ 
+     def __init__(self, parent):
+-        QListWidget.__init__(self, parent)
++        QTreeWidget.__init__(self, parent)
++        self.setHeaderHidden(True)
++        self.delegate = AnnotsResultsDelegate(self)
++        self.setItemDelegate(self.delegate)
++        self.section_font = QFont(self.font())
++        self.section_font.setItalic(True)
+ 
+     def set_results(self, results):
+         self.clear()
++        book_id_map = {}
++        db = current_db()
+         for result in results:
+-            print(result)
++            book_id = result['book_id']
++            if book_id not in book_id_map:
++                book_id_map[book_id] = {'title': db.field_for('title', book_id), 'matches': []}
++            book_id_map[book_id]['matches'].append(result)
++        for book_id, entry in book_id_map.items():
++            section = QTreeWidgetItem([entry['title']], 1)
++            section.setFlags(Qt.ItemIsEnabled)
++            section.setFont(0, self.section_font)
++            self.addTopLevelItem(section)
++            section.setExpanded(True)
++            for result in entry['matches']:
++                item = QTreeWidgetItem(section, [' '], 2)
++                item.setFlags(Qt.ItemIsSelectable | Qt.ItemIsEnabled | Qt.ItemNeverHasChildren)
++                item.setData(0, Qt.UserRole, result)
+ 
+ 
+ class BrowsePanel(QWidget):
+@@ -97,8 +134,9 @@ class BrowsePanel(QWidget):
+             return
+         with BusyCursor():
+             db = current_db()
+-            results = db.search_annotations(**q)
++            results = db.search_annotations(highlight_start='0x1d', highlight_end='0x1d', snippet_size=64, **q)
+             self.results_list.set_results(results)
++            self.current_query = q
+ 
+     def show_next(self):
+         self.do_find()
+diff --git a/src/calibre/gui2/viewer/search.py b/src/calibre/gui2/viewer/search.py
+index 19738a5a83..f8587b10ae 100644
+--- a/src/calibre/gui2/viewer/search.py
++++ b/src/calibre/gui2/viewer/search.py
+@@ -449,10 +449,16 @@ class SearchInput(QWidget):  # {{{
+ 
+ class ResultsDelegate(QStyledItemDelegate):  # {{{
+ 
++    def result_data(self, result):
++        if not isinstance(result, SearchResult):
++            return None, None, None, None
++        return result.is_hidden, result.before, result.text, result.text
++
+     def paint(self, painter, option, index):
+         QStyledItemDelegate.paint(self, painter, option, index)
+         result = index.data(Qt.UserRole)
+-        if not isinstance(result, SearchResult):
++        is_hidden, result_before, result_text, result_after = self.result_data(result)
++        if result_text is None:
+             return
+         painter.save()
+         try:
+@@ -465,19 +471,19 @@ class ResultsDelegate(QStyledItemDelegate):  # {{{
+             emphasis_font = QFont(font)
+             emphasis_font.setBold(True)
+             flags = Qt.AlignTop | Qt.TextSingleLine | Qt.TextIncludeTrailingSpaces
+-            rect = option.rect.adjusted(option.decorationSize.width() + 4 if result.is_hidden else 0, 0, 0, 0)
++            rect = option.rect.adjusted(option.decorationSize.width() + 4 if is_hidden else 0, 0, 0, 0)
+             painter.setClipRect(rect)
+-            before = re.sub(r'\s+', ' ', result.before)
++            before = re.sub(r'\s+', ' ', result_before)
+             before_width = 0
+             if before:
+                 before_width = painter.boundingRect(rect, flags, before).width()
+-            after = re.sub(r'\s+', ' ', result.after.rstrip())
++            after = re.sub(r'\s+', ' ', result_after.rstrip())
+             after_width = 0
+             if after:
+                 after_width = painter.boundingRect(rect, flags, after).width()
+             ellipsis_width = painter.boundingRect(rect, flags, '...').width()
+             painter.setFont(emphasis_font)
+-            text = re.sub(r'\s+', ' ', result.text)
++            text = re.sub(r'\s+', ' ', result_text)
+             match_width = painter.boundingRect(rect, flags, text).width()
+             if match_width >= rect.width() - 3 * ellipsis_width:
+                 efm = QFontMetrics(emphasis_font)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0145-More-work-n-annotations-browser.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0145-More-work-n-annotations-browser.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0145-More-work-n-annotations-browser.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0145-More-work-n-annotations-browser.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,207 @@
+From 40ac698401ac5362e56841b6b2dce5ef7846b4ab Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Wed, 17 Jun 2020 15:02:10 +0530
+Subject: [PATCH 145/201] More work n annotations browser
+
+---
+ src/calibre/db/backend.py               |  9 ++-
+ src/calibre/db/cache.py                 |  8 +++
+ src/calibre/gui2/library/annotations.py | 78 ++++++++++++++++++++++---
+ 3 files changed, 86 insertions(+), 9 deletions(-)
+
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index 66df3a7e14..d4bf34d3ad 100644
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -300,7 +300,7 @@ def save_annotations_for_book(cursor, book_id, fmt, annots_list, user_type='loca
+     data = []
+     fmt = fmt.upper()
+     for annot, timestamp_in_secs in annots_list:
+-        atype = annot['type']
++        atype = annot['type'].lower()
+         if atype == 'bookmark':
+             aid = text = annot['title']
+         elif atype == 'highlight':
+@@ -1821,6 +1821,13 @@ class DB(object):
+             except Exception:
+                 pass
+ 
++    def all_annotation_users(self):
++        return self.execute('SELECT DISTINCT user_type, user FROM annotations')
++
++    def all_annotation_types(self):
++        for x in self.execute('SELECT DISTINCT annot_type FROM annotations'):
++            yield x[0]
++
+     def set_annotations_for_book(self, book_id, fmt, annots_list, user_type='local', user='viewer'):
+         try:
+             with self.conn:  # Disable autocommit mode, for performance
+diff --git a/src/calibre/db/cache.py b/src/calibre/db/cache.py
+index 2eaebd7fad..5cadaddc5f 100644
+--- a/src/calibre/db/cache.py
++++ b/src/calibre/db/cache.py
+@@ -2301,6 +2301,14 @@ class Cache(object):
+     def all_annotations_for_book(self, book_id):
+         return tuple(self.backend.all_annotations_for_book(book_id))
+ 
++    @read_api
++    def all_annotation_users(self):
++        return tuple(self.backend.all_annotation_users())
++
++    @read_api
++    def all_annotation_types(self):
++        return tuple(self.backend.all_annotation_types())
++
+     @read_api
+     def search_annotations(
+         self,
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index 15212edf1a..c7f1fea876 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -7,12 +7,12 @@ from __future__ import absolute_import, division, print_function, unicode_litera
+ import os
+ 
+ from PyQt5.Qt import (
+-    QApplication, QCursor, QFont, QHBoxLayout, QIcon, QSize, QSplitter, Qt,
+-    QToolButton, QTreeWidget, QTreeWidgetItem, QVBoxLayout, QWidget
++    QApplication, QComboBox, QCursor, QFont, QHBoxLayout, QIcon, QLabel, QSize,
++    QSplitter, Qt, QToolButton, QTreeWidget, QTreeWidgetItem, QVBoxLayout, QWidget
+ )
+ 
+ from calibre.gui2 import Application
+-from calibre.gui2.viewer.search import SearchBox, ResultsDelegate
++from calibre.gui2.viewer.search import ResultsDelegate, SearchBox
+ from calibre.gui2.widgets2 import Dialog
+ 
+ 
+@@ -36,10 +36,11 @@ class AnnotsResultsDelegate(ResultsDelegate):
+         if not isinstance(result, dict):
+             return None, None, None, None
+         full_text = result['text'].replace('0x1f', ' ')
+-        parts = full_text.split('0x1d', 2)
++        parts = full_text.split('\x1d')
+         before = after = ''
+-        if len(parts) == 3:
+-            before, text, after = parts
++        if len(parts) > 2:
++            before, text = parts[:2]
++            after = ' '.join(parts[2:]).replace('\x1d', '')
+         elif len(parts) == 2:
+             before, text = parts
+         else:
+@@ -91,6 +92,7 @@ class BrowsePanel(QWidget):
+         sb.initialize('library-annotations-browser-search-box')
+         sb.cleared.connect(self.cleared)
+         sb.lineEdit().returnPressed.connect(self.show_next)
++        sb.lineEdit().setPlaceholderText(_('Enter words to search for'))
+         h.addWidget(sb)
+ 
+         self.next_button = nb = QToolButton(self)
+@@ -107,9 +109,56 @@ class BrowsePanel(QWidget):
+         nb.clicked.connect(self.show_previous)
+         nb.setToolTip(_('Find previous match'))
+ 
++        h = QHBoxLayout()
++        l.addLayout(h)
++        h.addWidget(QLabel(_('Restrict to') + ' '))
++        la = QLabel(_('Types:'))
++        h.addWidget(la)
++        self.types_box = tb = QComboBox(self)
++        tb.currentIndexChanged.connect(self.effective_query_changed)
++        la.setBuddy(tb)
++        h.addWidget(tb)
++        la = QLabel(_('User:'))
++        h.addWidget(la)
++        self.user_box = ub = QComboBox(self)
++        ub.currentIndexChanged.connect(self.effective_query_changed)
++        la.setBuddy(ub)
++        h.addWidget(ub)
++        h.addStretch(10)
++
+         self.results_list = rl = ResultsList(self)
+         l.addWidget(rl)
+ 
++    def re_initialize(self):
++        db = current_db()
++        self.search_box.setFocus(Qt.OtherFocusReason)
++        tb = self.types_box
++        before = tb.currentData()
++        tb.blockSignals(True)
++        tb.clear()
++        tb.addItem(' ', ' ')
++        for atype in db.all_annotation_types():
++            name = {'bookmark': _('Bookmarks'), 'highlight': _('Highlights')}.get(atype, atype)
++            tb.addItem(name, atype)
++        if before:
++            row = tb.findData(before)
++            if row > -1:
++                tb.setCurrentIndex(row)
++        tb.blockSignals(False)
++        tb = self.user_box
++        before = tb.currentData()
++        tb.blockSignals(True)
++        tb.clear()
++        tb.addItem(' ', ' ')
++        for user_type, user in db.all_annotation_users():
++            q = '{}: {}'.format(user_type, user)
++            tb.addItem(q, '{}:{}'.format(user_type, user))
++        if before:
++            row = tb.findData(before)
++            if row > -1:
++                tb.setCurrentIndex(row)
++        tb.blockSignals(False)
++
+     def sizeHint(self):
+         return QSize(450, 600)
+ 
+@@ -118,12 +167,22 @@ class BrowsePanel(QWidget):
+         text = self.search_box.lineEdit().text().strip()
+         if not text:
+             return None
++        atype = self.types_box.currentData()
++        if not atype or not atype.strip():
++            atype = None
++        user = self.user_box.currentData()
++        restrict_to_user = None
++        if user and ':' in user:
++            restrict_to_user = user.split(':', 1)
+         return {
+             'fts_engine_query': text,
++            'annotation_type': atype,
++            'restrict_to_user': restrict_to_user
+         }
+ 
+     def cleared(self):
+         self.current_query = None
++        self.results_list.clear()
+ 
+     def do_find(self, backwards=False):
+         q = self.effective_query
+@@ -134,10 +193,13 @@ class BrowsePanel(QWidget):
+             return
+         with BusyCursor():
+             db = current_db()
+-            results = db.search_annotations(highlight_start='0x1d', highlight_end='0x1d', snippet_size=64, **q)
++            results = db.search_annotations(highlight_start='\x1d', highlight_end='\x1d', snippet_size=64, **q)
+             self.results_list.set_results(results)
+             self.current_query = q
+ 
++    def effective_query_changed(self):
++        self.do_find()
++
+     def show_next(self):
+         self.do_find()
+ 
+@@ -181,7 +243,7 @@ class AnnotationsBrowser(Dialog):
+         l.addWidget(self.bb)
+ 
+     def show_dialog(self):
+-        self.browse_panel.search_box.setFocus(Qt.OtherFocusReason)
++        self.browse_panel.re_initialize()
+         if self.parent() is None:
+             self.exec_()
+         else:
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0146-Implement-query-params-for-annotation-browser.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0146-Implement-query-params-for-annotation-browser.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0146-Implement-query-params-for-annotation-browser.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0146-Implement-query-params-for-annotation-browser.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,286 @@
+From a52a44ba1b29937210d1b0ba8817a5b7968bd1b5 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Wed, 17 Jun 2020 21:42:59 +0530
+Subject: [PATCH 146/201] Implement query params for annotation browser
+
+---
+ src/calibre/gui2/__init__.py            |   3 +
+ src/calibre/gui2/library/annotations.py | 136 ++++++++++++++++--------
+ src/calibre/gui2/viewer/search.py       |   6 +-
+ 3 files changed, 97 insertions(+), 48 deletions(-)
+
+diff --git a/src/calibre/gui2/__init__.py b/src/calibre/gui2/__init__.py
+index 7904cd355c..a9292aab01 100644
+--- a/src/calibre/gui2/__init__.py
++++ b/src/calibre/gui2/__init__.py
+@@ -192,6 +192,9 @@ def create_defs():
+     defs['wrap_toolbar_text'] = False
+     defs['dnd_merge'] = True
+     defs['booklist_grid'] = False
++    defs['browse_annots_restrict_to_user'] = None
++    defs['browse_annots_restrict_to_type'] = None
++    defs['browse_annots_use_stemmer'] = True
+ 
+ 
+ create_defs()
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index c7f1fea876..5a54b945c8 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -5,13 +5,15 @@
+ from __future__ import absolute_import, division, print_function, unicode_literals
+ 
+ import os
++from textwrap import fill
+ 
+ from PyQt5.Qt import (
+-    QApplication, QComboBox, QCursor, QFont, QHBoxLayout, QIcon, QLabel, QSize,
+-    QSplitter, Qt, QToolButton, QTreeWidget, QTreeWidgetItem, QVBoxLayout, QWidget
++    QApplication, QCheckBox, QComboBox, QCursor, QFont, QHBoxLayout, QIcon, QLabel,
++    QSize, QSplitter, Qt, QToolButton, QTreeWidget, QTreeWidgetItem, QVBoxLayout,
++    QWidget, pyqtSignal
+ )
+ 
+-from calibre.gui2 import Application
++from calibre.gui2 import Application, gprefs
+ from calibre.gui2.viewer.search import ResultsDelegate, SearchBox
+ from calibre.gui2.widgets2 import Dialog
+ 
+@@ -32,6 +34,8 @@ class BusyCursor(object):
+ 
+ class AnnotsResultsDelegate(ResultsDelegate):
+ 
++    add_ellipsis = False
++
+     def result_data(self, result):
+         if not isinstance(result, dict):
+             return None, None, None, None
+@@ -79,61 +83,40 @@ class ResultsList(QTreeWidget):
+                 item.setData(0, Qt.UserRole, result)
+ 
+ 
+-class BrowsePanel(QWidget):
++class Restrictions(QWidget):
++
++    restrictions_changed = pyqtSignal()
+ 
+     def __init__(self, parent):
+         QWidget.__init__(self, parent)
+-        self.current_query = None
+-        l = QVBoxLayout(self)
+-
+-        h = QHBoxLayout()
+-        l.addLayout(h)
+-        self.search_box = sb = SearchBox(self)
+-        sb.initialize('library-annotations-browser-search-box')
+-        sb.cleared.connect(self.cleared)
+-        sb.lineEdit().returnPressed.connect(self.show_next)
+-        sb.lineEdit().setPlaceholderText(_('Enter words to search for'))
+-        h.addWidget(sb)
+-
+-        self.next_button = nb = QToolButton(self)
+-        h.addWidget(nb)
+-        nb.setFocusPolicy(Qt.NoFocus)
+-        nb.setIcon(QIcon(I('arrow-down.png')))
+-        nb.clicked.connect(self.show_next)
+-        nb.setToolTip(_('Find next match'))
+-
+-        self.prev_button = nb = QToolButton(self)
+-        h.addWidget(nb)
+-        nb.setFocusPolicy(Qt.NoFocus)
+-        nb.setIcon(QIcon(I('arrow-up.png')))
+-        nb.clicked.connect(self.show_previous)
+-        nb.setToolTip(_('Find previous match'))
+-
+-        h = QHBoxLayout()
+-        l.addLayout(h)
+-        h.addWidget(QLabel(_('Restrict to') + ' '))
++        h = QHBoxLayout(self)
++        h.setContentsMargins(0, 0, 0, 0)
++        h.addWidget(QLabel(_('Restrict to') + ': '))
+         la = QLabel(_('Types:'))
+         h.addWidget(la)
+         self.types_box = tb = QComboBox(self)
+-        tb.currentIndexChanged.connect(self.effective_query_changed)
++        tb.la = la
++        tb.currentIndexChanged.connect(self.restrictions_changed)
++        connect_lambda(tb.currentIndexChanged, tb, lambda tb: gprefs.set('browse_annots_restrict_to_type', tb.currentData()))
+         la.setBuddy(tb)
++        tb.setToolTip(_('Show only annotations of the specified type'))
+         h.addWidget(tb)
+         la = QLabel(_('User:'))
+         h.addWidget(la)
+         self.user_box = ub = QComboBox(self)
+-        ub.currentIndexChanged.connect(self.effective_query_changed)
++        ub.la = la
++        ub.currentIndexChanged.connect(self.restrictions_changed)
++        connect_lambda(ub.currentIndexChanged, ub, lambda ub: gprefs.set('browse_annots_restrict_to_user', ub.currentData()))
+         la.setBuddy(ub)
++        ub.setToolTip(_('Show only annotations created by the specified user'))
+         h.addWidget(ub)
+         h.addStretch(10)
+ 
+-        self.results_list = rl = ResultsList(self)
+-        l.addWidget(rl)
+-
+-    def re_initialize(self):
+-        db = current_db()
+-        self.search_box.setFocus(Qt.OtherFocusReason)
++    def re_initialize(self, db):
+         tb = self.types_box
+         before = tb.currentData()
++        if not before:
++            before = gprefs['browse_annots_restrict_to_type']
+         tb.blockSignals(True)
+         tb.clear()
+         tb.addItem(' ', ' ')
+@@ -145,8 +128,12 @@ class BrowsePanel(QWidget):
+             if row > -1:
+                 tb.setCurrentIndex(row)
+         tb.blockSignals(False)
++        tb_is_visible = tb.count() > 2
++        tb.setVisible(tb_is_visible), tb.la.setVisible(tb_is_visible)
+         tb = self.user_box
+         before = tb.currentData()
++        if not before:
++            before = gprefs['browse_annots_restrict_to_user']
+         tb.blockSignals(True)
+         tb.clear()
+         tb.addItem(' ', ' ')
+@@ -158,6 +145,54 @@ class BrowsePanel(QWidget):
+             if row > -1:
+                 tb.setCurrentIndex(row)
+         tb.blockSignals(False)
++        ub_is_visible = tb.count() > 2
++        tb.setVisible(ub_is_visible), tb.la.setVisible(ub_is_visible)
++        self.setVisible(tb_is_visible or ub_is_visible)
++
++
++class BrowsePanel(QWidget):
++
++    def __init__(self, parent):
++        QWidget.__init__(self, parent)
++        self.use_stemmer = parent.use_stemmer
++        self.current_query = None
++        l = QVBoxLayout(self)
++
++        h = QHBoxLayout()
++        l.addLayout(h)
++        self.search_box = sb = SearchBox(self)
++        sb.initialize('library-annotations-browser-search-box')
++        sb.cleared.connect(self.cleared)
++        sb.lineEdit().returnPressed.connect(self.show_next)
++        sb.lineEdit().setPlaceholderText(_('Enter words to search for'))
++        h.addWidget(sb)
++
++        self.next_button = nb = QToolButton(self)
++        h.addWidget(nb)
++        nb.setFocusPolicy(Qt.NoFocus)
++        nb.setIcon(QIcon(I('arrow-down.png')))
++        nb.clicked.connect(self.show_next)
++        nb.setToolTip(_('Find next match'))
++
++        self.prev_button = nb = QToolButton(self)
++        h.addWidget(nb)
++        nb.setFocusPolicy(Qt.NoFocus)
++        nb.setIcon(QIcon(I('arrow-up.png')))
++        nb.clicked.connect(self.show_previous)
++        nb.setToolTip(_('Find previous match'))
++
++        self.restrictions = rs = Restrictions(self)
++        rs.restrictions_changed.connect(self.effective_query_changed)
++        self.use_stemmer.stateChanged.connect(self.effective_query_changed)
++        l.addWidget(rs)
++
++        self.results_list = rl = ResultsList(self)
++        l.addWidget(rl)
++
++    def re_initialize(self):
++        db = current_db()
++        self.search_box.setFocus(Qt.OtherFocusReason)
++        self.restrictions.re_initialize(db)
+ 
+     def sizeHint(self):
+         return QSize(450, 600)
+@@ -167,17 +202,18 @@ class BrowsePanel(QWidget):
+         text = self.search_box.lineEdit().text().strip()
+         if not text:
+             return None
+-        atype = self.types_box.currentData()
++        atype = self.restrictions.types_box.currentData()
+         if not atype or not atype.strip():
+             atype = None
+-        user = self.user_box.currentData()
++        user = self.restrictions.user_box.currentData()
+         restrict_to_user = None
+         if user and ':' in user:
+             restrict_to_user = user.split(':', 1)
+         return {
+             'fts_engine_query': text,
+             'annotation_type': atype,
+-            'restrict_to_user': restrict_to_user
++            'restrict_to_user': restrict_to_user,
++            'use_stemming': bool(self.use_stemmer.isChecked()),
+         }
+ 
+     def cleared(self):
+@@ -227,6 +263,13 @@ class AnnotationsBrowser(Dialog):
+             return Dialog.keyPressEvent(self, ev)
+ 
+     def setup_ui(self):
++        self.use_stemmer = us = QCheckBox(_('Match on related English words'))
++        us.setChecked(gprefs['browse_annots_use_stemmer'])
++        us.setToolTip(fill(_(
++            'With this option searching for words will also match on any related English words. For'
++            ' example: correction matches correcting and corrected as well')))
++        us.stateChanged.connect(lambda state: gprefs.set('browse_annots_use_stemmer', state != Qt.Unchecked))
++
+         l = QVBoxLayout(self)
+ 
+         self.splitter = s = QSplitter(self)
+@@ -239,8 +282,9 @@ class AnnotationsBrowser(Dialog):
+         self.details_panel = dp = DetailsPanel(self)
+         s.addWidget(dp)
+ 
+-        self.bb.setStandardButtons(self.bb.Close)
+-        l.addWidget(self.bb)
++        h = QHBoxLayout()
++        l.addLayout(h)
++        h.addWidget(us), h.addStretch(10), h.addWidget(self.bb)
+ 
+     def show_dialog(self):
+         self.browse_panel.re_initialize()
+diff --git a/src/calibre/gui2/viewer/search.py b/src/calibre/gui2/viewer/search.py
+index f8587b10ae..3cc2c0ea6f 100644
+--- a/src/calibre/gui2/viewer/search.py
++++ b/src/calibre/gui2/viewer/search.py
+@@ -449,6 +449,8 @@ class SearchInput(QWidget):  # {{{
+ 
+ class ResultsDelegate(QStyledItemDelegate):  # {{{
+ 
++    add_ellipsis = True
++
+     def result_data(self, result):
+         if not isinstance(result, SearchResult):
+             return None, None, None, None
+@@ -512,7 +514,7 @@ class ResultsDelegate(QStyledItemDelegate):  # {{{
+             r.setRight(x + left_width)
+             painter.setFont(normal_font)
+             ebefore = nfm.elidedText(before, Qt.ElideLeft, left_width)
+-            if ebefore == before:
++            if self.add_ellipsis and ebefore == before:
+                 ebefore = '…' + before[1:]
+             r.setLeft(x)
+             x += painter.drawText(r, flags, ebefore).width()
+@@ -526,7 +528,7 @@ class ResultsDelegate(QStyledItemDelegate):  # {{{
+             r = rect.adjusted(0, 0, 0, 0)
+             r.setLeft(x)
+             eafter = nfm.elidedText(after, Qt.ElideRight, right_width)
+-            if eafter == after:
++            if self.add_ellipsis and eafter == after:
+                 eafter = after[:-1] + '…'
+             painter.setFont(normal_font)
+             painter.drawText(r, flags, eafter)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0147-Details-display-in-annots-browser.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0147-Details-display-in-annots-browser.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0147-Details-display-in-annots-browser.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0147-Details-display-in-annots-browser.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,259 @@
+From 2e64acdd86ae44d8dcc3c81012824a6c79caf43a Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 18 Jun 2020 14:43:08 +0530
+Subject: [PATCH 147/201] Details display in annots browser
+
+---
+ src/calibre/db/backend.py               |   9 +-
+ src/calibre/gui2/library/annotations.py | 121 +++++++++++++++++++++++-
+ 2 files changed, 123 insertions(+), 7 deletions(-)
+
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index d4bf34d3ad..46d1e2cdcb 100644
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -308,7 +308,7 @@ def save_annotations_for_book(cursor, book_id, fmt, annots_list, user_type='loca
+             text = annot.get('highlighted_text') or ''
+             notes = annot.get('notes') or ''
+             if notes:
+-                text += '\n0x1f\n' + notes
++                text += '\n\x1f\n' + notes
+         else:
+             continue
+         data.append((book_id, fmt, user_type, user, timestamp_in_secs, aid, atype, json.dumps(annot), text))
+@@ -1800,8 +1800,13 @@ class DB(object):
+             query += ' AND annotations.annot_type = ? '
+             data.append(annotation_type)
+         query += ' ORDER BY {}.rank '.format(fts_table)
++        ls = json.loads
+         try:
+             for (rowid, book_id, fmt, user_type, user, annot_data, text) in self.execute(query, tuple(data)):
++                try:
++                    parsed_annot = ls(annot_data)
++                except Exception:
++                    continue
+                 yield {
+                     'id': rowid,
+                     'book_id': book_id,
+@@ -1809,7 +1814,7 @@ class DB(object):
+                     'user_type': user_type,
+                     'user': user,
+                     'text': text,
+-                    'annotation': annot_data
++                    'annotation': parsed_annot,
+                 }
+         except apsw.SQLError as e:
+             raise FTSQueryError(fts_engine_query, query, e)
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index 5a54b945c8..ceb702e551 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -9,11 +9,13 @@ from textwrap import fill
+ 
+ from PyQt5.Qt import (
+     QApplication, QCheckBox, QComboBox, QCursor, QFont, QHBoxLayout, QIcon, QLabel,
+-    QSize, QSplitter, Qt, QToolButton, QTreeWidget, QTreeWidgetItem, QVBoxLayout,
+-    QWidget, pyqtSignal
++    QPalette, QSize, QSplitter, Qt, QTextBrowser, QToolButton, QTreeWidget,
++    QTreeWidgetItem, QVBoxLayout, QWidget, pyqtSignal
+ )
+ 
+-from calibre.gui2 import Application, gprefs
++from calibre import prepare_string_for_xml
++from calibre.ebooks.metadata import fmt_sidx, authors_to_string
++from calibre.gui2 import Application, config, gprefs
+ from calibre.gui2.viewer.search import ResultsDelegate, SearchBox
+ from calibre.gui2.widgets2 import Dialog
+ 
+@@ -23,6 +25,12 @@ def current_db():
+     return (getattr(current_db, 'ans', None) or get_gui().current_db).new_api
+ 
+ 
++def annotation_title(atype, singular=False):
++    if singular:
++        return {'bookmark': _('Bookmark'), 'highlight': _('Highlight')}.get(atype, atype)
++    return {'bookmark': _('Bookmarks'), 'highlight': _('Highlights')}.get(atype, atype)
++
++
+ class BusyCursor(object):
+ 
+     def __enter__(self):
+@@ -54,6 +62,8 @@ class AnnotsResultsDelegate(ResultsDelegate):
+ 
+ class ResultsList(QTreeWidget):
+ 
++    current_result_changed = pyqtSignal(object)
++
+     def __init__(self, parent):
+         QTreeWidget.__init__(self, parent)
+         self.setHeaderHidden(True)
+@@ -61,9 +71,14 @@ class ResultsList(QTreeWidget):
+         self.setItemDelegate(self.delegate)
+         self.section_font = QFont(self.font())
+         self.section_font.setItalic(True)
++        self.currentItemChanged.connect(self.current_item_changed)
++        self.number_of_results = 0
++        self.item_map = []
+ 
+     def set_results(self, results):
+         self.clear()
++        self.number_of_results = 0
++        self.item_map = []
+         book_id_map = {}
+         db = current_db()
+         for result in results:
+@@ -79,8 +94,40 @@ class ResultsList(QTreeWidget):
+             section.setExpanded(True)
+             for result in entry['matches']:
+                 item = QTreeWidgetItem(section, [' '], 2)
++                self.item_map.append(item)
+                 item.setFlags(Qt.ItemIsSelectable | Qt.ItemIsEnabled | Qt.ItemNeverHasChildren)
+                 item.setData(0, Qt.UserRole, result)
++                item.setData(0, Qt.UserRole + 1, self.number_of_results)
++                self.number_of_results += 1
++        if self.item_map:
++            self.setCurrentItem(self.item_map[0])
++
++    def current_item_changed(self, current, previous):
++        if current is not None:
++            r = current.data(0, Qt.UserRole)
++            if isinstance(r, dict):
++                self.current_result_changed.emit(r)
++        else:
++            self.current_result_changed.emit(None)
++
++    def show_next(self, backwards=False):
++        item = self.currentItem()
++        if item is None:
++            return
++        i = int(item.data(0, Qt.UserRole + 1))
++        i += -1 if backwards else 1
++        i %= self.number_of_results
++        self.setCurrentItem(self.item_map[i])
++
++    def keyPressEvent(self, ev):
++        key = ev.key()
++        if key == Qt.Key_Down:
++            self.show_next()
++            return
++        if key == Qt.Key_Up:
++            self.show_next(backwards=True)
++            return
++        return QTreeWidget.keyPressEvent(self, ev)
+ 
+ 
+ class Restrictions(QWidget):
+@@ -121,8 +168,7 @@ class Restrictions(QWidget):
+         tb.clear()
+         tb.addItem(' ', ' ')
+         for atype in db.all_annotation_types():
+-            name = {'bookmark': _('Bookmarks'), 'highlight': _('Highlights')}.get(atype, atype)
+-            tb.addItem(name, atype)
++            tb.addItem(annotation_title(atype), atype)
+         if before:
+             row = tb.findData(before)
+             if row > -1:
+@@ -152,6 +198,8 @@ class Restrictions(QWidget):
+ 
+ class BrowsePanel(QWidget):
+ 
++    current_result_changed = pyqtSignal(object)
++
+     def __init__(self, parent):
+         QWidget.__init__(self, parent)
+         self.use_stemmer = parent.use_stemmer
+@@ -187,6 +235,7 @@ class BrowsePanel(QWidget):
+         l.addWidget(rs)
+ 
+         self.results_list = rl = ResultsList(self)
++        rl.current_result_changed.connect(self.current_result_changed)
+         l.addWidget(rl)
+ 
+     def re_initialize(self):
+@@ -243,14 +292,75 @@ class BrowsePanel(QWidget):
+         self.do_find(backwards=True)
+ 
+ 
++class Details(QTextBrowser):
++
++    def __init__(self, parent):
++        QTextBrowser.__init__(self, parent)
++        self.setFrameShape(self.NoFrame)
++        self.setOpenLinks(False)
++        self.setAttribute(Qt.WA_OpaquePaintEvent, False)
++        palette = self.palette()
++        palette.setBrush(QPalette.Base, Qt.transparent)
++        self.setPalette(palette)
++        self.setAcceptDrops(False)
++
++
+ class DetailsPanel(QWidget):
+ 
+     def __init__(self, parent):
+         QWidget.__init__(self, parent)
++        self.current_result = None
++        l = QVBoxLayout(self)
++        self.text_browser = tb = Details(self)
++        l.addWidget(tb)
+ 
+     def sizeHint(self):
+         return QSize(450, 600)
+ 
++    def show_result(self, result_or_none):
++        self.current_result = r = result_or_none
++        if r is None:
++            self.text_browser.setVisible(False)
++            return
++        self.text_browser.setVisible(True)
++        db = current_db()
++        book_id = r['book_id']
++        title, authors = db.field_for('title', book_id), db.field_for('authors', book_id)
++        authors = authors_to_string(authors)
++        series, sidx = db.field_for('series', book_id), db.field_for('series_index', book_id)
++        series_text = ''
++        if series:
++            use_roman_numbers = config['use_roman_numerals_for_series_number']
++            series_text = '{0} of {1}'.format(fmt_sidx(sidx, use_roman=use_roman_numbers), series)
++        annot = r['annotation']
++        atype = annotation_title(annot['type'], singular=True)
++        book_format = r['format']
++        annot_text = ''
++        a = prepare_string_for_xml
++
++        for part in r['text'].split('\n\x1f\n'):
++            segments = []
++            for bit in part.split('\x1d'):
++                segments.append(a(bit) + ('</b>' if len(segments) % 2 else '<b>'))
++            stext = ''.join(segments)
++            if stext.endswith('<b>'):
++                stext = stext[:-3]
++            annot_text += '<div style="text-align:left">' + stext + '</div><div>&nbsp;</div>'
++
++        text = '''
++        <h2 style="text-align: center">{title} [{book_format}]</h2>
++        <div style="text-align: center">{authors}</div>
++        <div style="text-align: center">{series}</div>
++        <div>&nbsp;</div>
++        <div>&nbsp;</div>
++        <h2 style="text-align: left">{atype}</h2>
++        {text}
++        '''.format(
++            title=a(title), authors=a(authors), series=a(series_text), book_format=a(book_format),
++            atype=a(atype), text=annot_text
++        )
++        self.text_browser.setHtml(text)
++
+ 
+ class AnnotationsBrowser(Dialog):
+ 
+@@ -281,6 +391,7 @@ class AnnotationsBrowser(Dialog):
+ 
+         self.details_panel = dp = DetailsPanel(self)
+         s.addWidget(dp)
++        bp.current_result_changed.connect(dp.show_result)
+ 
+         h = QHBoxLayout()
+         l.addLayout(h)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0148-Wire-up-signals-to-open-annotation-in-viewer.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0148-Wire-up-signals-to-open-annotation-in-viewer.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0148-Wire-up-signals-to-open-annotation-in-viewer.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0148-Wire-up-signals-to-open-annotation-in-viewer.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,143 @@
+From 0cd81b58807a0d4beea6b9665f17b10c0f48fd87 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 18 Jun 2020 22:13:29 +0530
+Subject: [PATCH 148/201] Wire up signals to open annotation in viewer
+
+---
+ src/calibre/gui2/library/annotations.py | 40 +++++++++++++++++++++++--
+ 1 file changed, 37 insertions(+), 3 deletions(-)
+
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index ceb702e551..dec0cc29c5 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -9,12 +9,12 @@ from textwrap import fill
+ 
+ from PyQt5.Qt import (
+     QApplication, QCheckBox, QComboBox, QCursor, QFont, QHBoxLayout, QIcon, QLabel,
+-    QPalette, QSize, QSplitter, Qt, QTextBrowser, QToolButton, QTreeWidget,
+-    QTreeWidgetItem, QVBoxLayout, QWidget, pyqtSignal
++    QPalette, QPushButton, QSize, QSplitter, Qt, QTextBrowser, QToolButton,
++    QTreeWidget, QTreeWidgetItem, QVBoxLayout, QWidget, pyqtSignal
+ )
+ 
+ from calibre import prepare_string_for_xml
+-from calibre.ebooks.metadata import fmt_sidx, authors_to_string
++from calibre.ebooks.metadata import authors_to_string, fmt_sidx
+ from calibre.gui2 import Application, config, gprefs
+ from calibre.gui2.viewer.search import ResultsDelegate, SearchBox
+ from calibre.gui2.widgets2 import Dialog
+@@ -63,6 +63,7 @@ class AnnotsResultsDelegate(ResultsDelegate):
+ class ResultsList(QTreeWidget):
+ 
+     current_result_changed = pyqtSignal(object)
++    open_annotation = pyqtSignal(object)
+ 
+     def __init__(self, parent):
+         QTreeWidget.__init__(self, parent)
+@@ -70,11 +71,17 @@ class ResultsList(QTreeWidget):
+         self.delegate = AnnotsResultsDelegate(self)
+         self.setItemDelegate(self.delegate)
+         self.section_font = QFont(self.font())
++        self.itemDoubleClicked.connect(self.item_activated)
+         self.section_font.setItalic(True)
+         self.currentItemChanged.connect(self.current_item_changed)
+         self.number_of_results = 0
+         self.item_map = []
+ 
++    def item_activated(self, item):
++        r = item.data(0, Qt.UserRole)
++        if isinstance(r, dict):
++            self.open_annotation.emit(r['annotation'])
++
+     def set_results(self, results):
+         self.clear()
+         self.number_of_results = 0
+@@ -199,6 +206,7 @@ class Restrictions(QWidget):
+ class BrowsePanel(QWidget):
+ 
+     current_result_changed = pyqtSignal(object)
++    open_annotation = pyqtSignal(object)
+ 
+     def __init__(self, parent):
+         QWidget.__init__(self, parent)
+@@ -236,6 +244,7 @@ class BrowsePanel(QWidget):
+ 
+         self.results_list = rl = ResultsList(self)
+         rl.current_result_changed.connect(self.current_result_changed)
++        rl.open_annotation.connect(self.open_annotation)
+         l.addWidget(rl)
+ 
+     def re_initialize(self):
+@@ -307,12 +316,22 @@ class Details(QTextBrowser):
+ 
+ class DetailsPanel(QWidget):
+ 
++    open_annotation = pyqtSignal(object)
++
+     def __init__(self, parent):
+         QWidget.__init__(self, parent)
+         self.current_result = None
+         l = QVBoxLayout(self)
+         self.text_browser = tb = Details(self)
+         l.addWidget(tb)
++        self.open_button = ob = QPushButton(QIcon(I('viewer.png')), _('Open in viewer'), self)
++        ob.clicked.connect(self.open_result)
++        l.addWidget(ob)
++        self.show_result(None)
++
++    def open_result(self):
++        if self.current_result is not None:
++            self.open_annotation.emit(self.current_result['annotation'])
+ 
+     def sizeHint(self):
+         return QSize(450, 600)
+@@ -321,8 +340,10 @@ class DetailsPanel(QWidget):
+         self.current_result = r = result_or_none
+         if r is None:
+             self.text_browser.setVisible(False)
++            self.open_button.setVisible(False)
+             return
+         self.text_browser.setVisible(True)
++        self.open_button.setVisible(True)
+         db = current_db()
+         book_id = r['book_id']
+         title, authors = db.field_for('title', book_id), db.field_for('authors', book_id)
+@@ -364,10 +385,21 @@ class DetailsPanel(QWidget):
+ 
+ class AnnotationsBrowser(Dialog):
+ 
++    open_annotation = pyqtSignal(object)
++
+     def __init__(self, parent=None):
+         Dialog.__init__(self, _('Annotations browser'), 'library-annotations-browser-1', parent=parent)
+         self.setAttribute(Qt.WA_DeleteOnClose, False)
+ 
++    def do_open_annotation(self, annot):
++        atype = annot['type']
++        if atype == 'bookmark':
++            if annot['pos_type'] == 'epubcfi':
++                self.open_annotation.emit(annot['pos'])
++        elif atype == 'highlight':
++            x = 2 * (annot['spine_index'] + 1)
++            self.open_annotation.emit('epubcfi(/{}{})'.format(x, annot['start_cfi']))
++
+     def keyPressEvent(self, ev):
+         if ev.key() not in (Qt.Key_Enter, Qt.Key_Return):
+             return Dialog.keyPressEvent(self, ev)
+@@ -387,10 +419,12 @@ class AnnotationsBrowser(Dialog):
+         s.setChildrenCollapsible(False)
+ 
+         self.browse_panel = bp = BrowsePanel(self)
++        bp.open_annotation.connect(self.do_open_annotation)
+         s.addWidget(bp)
+ 
+         self.details_panel = dp = DetailsPanel(self)
+         s.addWidget(dp)
++        dp.open_annotation.connect(self.do_open_annotation)
+         bp.current_result_changed.connect(dp.show_result)
+ 
+         h = QHBoxLayout()
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0149-Fix-existing-notes-not-being-prefilled-when-editing-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0149-Fix-existing-notes-not-being-prefilled-when-editing-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0149-Fix-existing-notes-not-being-prefilled-when-editing-.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0149-Fix-existing-notes-not-being-prefilled-when-editing-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,36 @@
+From a13c0ed716451237be8e2793bf84ed55a7682ad8 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Wed, 24 Jun 2020 15:06:22 +0530
+Subject: [PATCH 149/201] Fix existing notes not being prefilled when editing
+ an annotation
+
+---
+ src/pyj/read_book/create_annotation.pyj | 5 ++++-
+ 1 file changed, 4 insertions(+), 1 deletion(-)
+
+diff --git a/src/pyj/read_book/create_annotation.pyj b/src/pyj/read_book/create_annotation.pyj
+index 5049c53fca..0f3a67286c 100644
+--- a/src/pyj/read_book/create_annotation.pyj
++++ b/src/pyj/read_book/create_annotation.pyj
+@@ -271,6 +271,9 @@ class CreateAnnotation:
+         return document.getElementById(self.middle_id)
+ 
+     def add_notes(self):
++        current_notes = self.current_notes
++        if not current_notes and self.editing_annot_uuid:
++            current_notes = self.annotations_manager.notes_for_highlight(self.editing_annot_uuid)
+         self.show_middle(self.apply_notes)
+         container = self.middle
+         clear(container)
+@@ -283,7 +286,7 @@ class CreateAnnotation:
+ 
+             E.h3(_('Add notes for this highlight')),
+             E.textarea(
+-                self.current_notes or '',
++                current_notes or '',
+                 rows='10', spellcheck='true', style='resize: none; width: 80vw; max-width: 80em; margin: 1ex',
+                 onkeydown=def(ev):
+                     ev.stopPropagation()
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0150-Start-work-on-annotations-browser-action.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0150-Start-work-on-annotations-browser-action.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0150-Start-work-on-annotations-browser-action.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0150-Start-work-on-annotations-browser-action.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,396 @@
+From c990a6ad6d772426e779094aa4794dacf9af0095 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 25 Jun 2020 13:58:16 +0530
+Subject: [PATCH 150/201] Start work on annotations browser action
+
+---
+ src/calibre/customize/builtins.py         |   8 +-
+ src/calibre/gui2/actions/browse_annots.py |  31 ++++++
+ src/calibre/gui2/library/annotations.py   |   3 +-
+ src/calibre/gui2/viewer/search.py         | 124 +--------------------
+ src/calibre/gui2/viewer/widgets.py        | 129 ++++++++++++++++++++++
+ 5 files changed, 173 insertions(+), 122 deletions(-)
+ create mode 100644 src/calibre/gui2/actions/browse_annots.py
+ create mode 100644 src/calibre/gui2/viewer/widgets.py
+
+diff --git a/src/calibre/customize/builtins.py b/src/calibre/customize/builtins.py
+index ece157621b..73a6bbcf62 100644
+--- a/src/calibre/customize/builtins.py
++++ b/src/calibre/customize/builtins.py
+@@ -871,6 +871,12 @@ class ActionPolish(InterfaceActionBase):
+     description = _('Fine tune your e-books')
+ 
+ 
++class ActionBrowseAnnotations(InterfaceActionBase):
++    name = 'Browse Annotations'
++    actual_plugin = 'calibre.gui2.actions.browse_annots:BrowseAnnotationsAction'
++    description = _('Browse highlights and bookmarks from all books in the library')
++
++
+ class ActionEditToC(InterfaceActionBase):
+     name = 'Edit ToC'
+     actual_plugin = 'calibre.gui2.actions.toc_edit:ToCEditAction'
+@@ -1095,7 +1101,7 @@ plugins += [ActionAdd, ActionFetchAnnotations, ActionGenerateCatalog,
+         ActionCopyToLibrary, ActionTweakEpub, ActionUnpackBook, ActionNextMatch, ActionStore,
+         ActionPluginUpdater, ActionPickRandom, ActionEditToC, ActionSortBy,
+         ActionMarkBooks, ActionEmbed, ActionTemplateTester, ActionTagMapper, ActionAuthorMapper,
+-        ActionVirtualLibrary]
++        ActionVirtualLibrary, ActionBrowseAnnotations]
+ 
+ # }}}
+ 
+diff --git a/src/calibre/gui2/actions/browse_annots.py b/src/calibre/gui2/actions/browse_annots.py
+new file mode 100644
+index 0000000000..a0532fab42
+--- /dev/null
++++ b/src/calibre/gui2/actions/browse_annots.py
+@@ -0,0 +1,31 @@
++#!/usr/bin/env python2
++# vim:fileencoding=utf-8
++# License: GPL v3 Copyright: 2020, Kovid Goyal <kovid at kovidgoyal.net>
++
++from __future__ import absolute_import, division, print_function, unicode_literals
++
++
++from calibre.gui2.actions import InterfaceAction
++
++
++class BrowseAnnotationsAction(InterfaceAction):
++
++    name = 'Browse Annotations'
++    action_spec = (_('Browse annotations'), 'polish.png',
++                   _('Browse highlights and bookmarks from all books in the library'), _('B'))
++    dont_add_to = frozenset(('context-menu-device',))
++    action_type = 'current'
++
++    def genesis(self):
++        self.qaction.triggered.connect(self.show_browser)
++        self._browser = None
++
++    @property
++    def browser(self):
++        if self._browser is None:
++            from calibre.gui2.library.annotations import AnnotationsBrowser
++            self._browser = AnnotationsBrowser(self.gui)
++        return self._browser
++
++    def show_browser(self):
++        self.browser.show_dialog()
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index dec0cc29c5..ab6dd8e250 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -16,7 +16,7 @@ from PyQt5.Qt import (
+ from calibre import prepare_string_for_xml
+ from calibre.ebooks.metadata import authors_to_string, fmt_sidx
+ from calibre.gui2 import Application, config, gprefs
+-from calibre.gui2.viewer.search import ResultsDelegate, SearchBox
++from calibre.gui2.viewer.widgets import ResultsDelegate, SearchBox
+ from calibre.gui2.widgets2 import Dialog
+ 
+ 
+@@ -437,6 +437,7 @@ class AnnotationsBrowser(Dialog):
+             self.exec_()
+         else:
+             self.show()
++            self.raise_()
+ 
+ 
+ if __name__ == '__main__':
+diff --git a/src/calibre/gui2/viewer/search.py b/src/calibre/gui2/viewer/search.py
+index 3cc2c0ea6f..9e0d72a582 100644
+--- a/src/calibre/gui2/viewer/search.py
++++ b/src/calibre/gui2/viewer/search.py
+@@ -3,22 +3,20 @@
+ # License: GPL v3 Copyright: 2020, Kovid Goyal <kovid at kovidgoyal.net>
+ 
+ import json
+-import re
+ from collections import Counter, OrderedDict
+ from threading import Thread
+ 
+ import regex
+ from PyQt5.Qt import (
+-    QAction, QCheckBox, QComboBox, QFont, QFontMetrics, QHBoxLayout, QIcon, QLabel,
+-    QStyle, QStyledItemDelegate, Qt, QToolButton, QTreeWidget, QTreeWidgetItem,
+-    QVBoxLayout, QWidget, pyqtSignal
++    QCheckBox, QComboBox, QFont, QHBoxLayout, QIcon, QLabel, Qt, QToolButton,
++    QTreeWidget, QTreeWidgetItem, QVBoxLayout, QWidget, pyqtSignal
+ )
+ 
+ from calibre.ebooks.conversion.search_replace import REGEX_FLAGS
+-from calibre.gui2 import QT_HIDDEN_CLEAR_ACTION, warning_dialog
++from calibre.gui2 import warning_dialog
+ from calibre.gui2.progress_indicator import ProgressIndicator
+ from calibre.gui2.viewer.web_view import get_data, get_manifest, vprefs
+-from calibre.gui2.widgets2 import HistoryComboBox
++from calibre.gui2.viewer.widgets import ResultsDelegate, SearchBox
+ from polyglot.builtins import iteritems, map, unicode_type
+ from polyglot.functools import lru_cache
+ from polyglot.queue import Queue
+@@ -293,31 +291,6 @@ def search_in_name(name, search_query, ctx_size=50):
+         yield before, match.group(), after, start
+ 
+ 
+-class SearchBox(HistoryComboBox):
+-
+-    history_saved = pyqtSignal(object, object)
+-    cleared = pyqtSignal()
+-
+-    def __init__(self, parent=None):
+-        HistoryComboBox.__init__(self, parent)
+-        self.lineEdit().setPlaceholderText(_('Search'))
+-        self.lineEdit().setClearButtonEnabled(True)
+-        ac = self.lineEdit().findChild(QAction, QT_HIDDEN_CLEAR_ACTION)
+-        if ac is not None:
+-            ac.triggered.connect(self.cleared)
+-
+-    def save_history(self):
+-        ret = HistoryComboBox.save_history(self)
+-        self.history_saved.emit(self.text(), self.history)
+-        return ret
+-
+-    def contextMenuEvent(self, event):
+-        menu = self.lineEdit().createStandardContextMenu()
+-        menu.addSeparator()
+-        menu.addAction(_('Clear search history'), self.clear_history)
+-        menu.exec_(event.globalPos())
+-
+-
+ class SearchInput(QWidget):  # {{{
+ 
+     do_search = pyqtSignal(object)
+@@ -447,95 +420,6 @@ class SearchInput(QWidget):  # {{{
+ # }}}
+ 
+ 
+-class ResultsDelegate(QStyledItemDelegate):  # {{{
+-
+-    add_ellipsis = True
+-
+-    def result_data(self, result):
+-        if not isinstance(result, SearchResult):
+-            return None, None, None, None
+-        return result.is_hidden, result.before, result.text, result.text
+-
+-    def paint(self, painter, option, index):
+-        QStyledItemDelegate.paint(self, painter, option, index)
+-        result = index.data(Qt.UserRole)
+-        is_hidden, result_before, result_text, result_after = self.result_data(result)
+-        if result_text is None:
+-            return
+-        painter.save()
+-        try:
+-            p = option.palette
+-            c = p.HighlightedText if option.state & QStyle.State_Selected else p.Text
+-            group = (p.Active if option.state & QStyle.State_Active else p.Inactive)
+-            c = p.color(group, c)
+-            painter.setPen(c)
+-            font = option.font
+-            emphasis_font = QFont(font)
+-            emphasis_font.setBold(True)
+-            flags = Qt.AlignTop | Qt.TextSingleLine | Qt.TextIncludeTrailingSpaces
+-            rect = option.rect.adjusted(option.decorationSize.width() + 4 if is_hidden else 0, 0, 0, 0)
+-            painter.setClipRect(rect)
+-            before = re.sub(r'\s+', ' ', result_before)
+-            before_width = 0
+-            if before:
+-                before_width = painter.boundingRect(rect, flags, before).width()
+-            after = re.sub(r'\s+', ' ', result_after.rstrip())
+-            after_width = 0
+-            if after:
+-                after_width = painter.boundingRect(rect, flags, after).width()
+-            ellipsis_width = painter.boundingRect(rect, flags, '...').width()
+-            painter.setFont(emphasis_font)
+-            text = re.sub(r'\s+', ' ', result_text)
+-            match_width = painter.boundingRect(rect, flags, text).width()
+-            if match_width >= rect.width() - 3 * ellipsis_width:
+-                efm = QFontMetrics(emphasis_font)
+-                text = efm.elidedText(text, Qt.ElideRight, rect.width())
+-                painter.drawText(rect, flags, text)
+-            else:
+-                self.draw_match(
+-                    painter, flags, before, text, after, rect, before_width, match_width, after_width, ellipsis_width, emphasis_font, font)
+-        except Exception:
+-            import traceback
+-            traceback.print_exc()
+-        painter.restore()
+-
+-    def draw_match(self, painter, flags, before, text, after, rect, before_width, match_width, after_width, ellipsis_width, emphasis_font, normal_font):
+-        extra_width = int(rect.width() - match_width)
+-        if before_width < after_width:
+-            left_width = min(extra_width // 2, before_width)
+-            right_width = extra_width - left_width
+-        else:
+-            right_width = min(extra_width // 2, after_width)
+-            left_width = min(before_width, extra_width - right_width)
+-        x = rect.left()
+-        nfm = QFontMetrics(normal_font)
+-        if before_width and left_width:
+-            r = rect.adjusted(0, 0, 0, 0)
+-            r.setRight(x + left_width)
+-            painter.setFont(normal_font)
+-            ebefore = nfm.elidedText(before, Qt.ElideLeft, left_width)
+-            if self.add_ellipsis and ebefore == before:
+-                ebefore = '…' + before[1:]
+-            r.setLeft(x)
+-            x += painter.drawText(r, flags, ebefore).width()
+-        painter.setFont(emphasis_font)
+-        r = rect.adjusted(0, 0, 0, 0)
+-        r.setLeft(x)
+-        painter.drawText(r, flags, text).width()
+-        x += match_width
+-        if after_width and right_width:
+-            painter.setFont(normal_font)
+-            r = rect.adjusted(0, 0, 0, 0)
+-            r.setLeft(x)
+-            eafter = nfm.elidedText(after, Qt.ElideRight, right_width)
+-            if self.add_ellipsis and eafter == after:
+-                eafter = after[:-1] + '…'
+-            painter.setFont(normal_font)
+-            painter.drawText(r, flags, eafter)
+-
+-# }}}
+-
+-
+ class Results(QTreeWidget):  # {{{
+ 
+     show_search_result = pyqtSignal(object)
+diff --git a/src/calibre/gui2/viewer/widgets.py b/src/calibre/gui2/viewer/widgets.py
+new file mode 100644
+index 0000000000..976cc246f4
+--- /dev/null
++++ b/src/calibre/gui2/viewer/widgets.py
+@@ -0,0 +1,129 @@
++#!/usr/bin/env python2
++# vim:fileencoding=utf-8
++# License: GPL v3 Copyright: 2020, Kovid Goyal <kovid at kovidgoyal.net>
++
++from __future__ import absolute_import, division, print_function, unicode_literals
++
++import re
++
++from PyQt5.Qt import (
++    QAction, QFont, QFontMetrics, QStyle, QStyledItemDelegate, Qt, pyqtSignal
++)
++
++from calibre.gui2 import QT_HIDDEN_CLEAR_ACTION
++from calibre.gui2.widgets2 import HistoryComboBox
++
++
++class ResultsDelegate(QStyledItemDelegate):  # {{{
++
++    add_ellipsis = True
++
++    def result_data(self, result):
++        if not hasattr(result, 'is_hidden'):
++            return None, None, None, None
++        return result.is_hidden, result.before, result.text, result.text
++
++    def paint(self, painter, option, index):
++        QStyledItemDelegate.paint(self, painter, option, index)
++        result = index.data(Qt.UserRole)
++        is_hidden, result_before, result_text, result_after = self.result_data(result)
++        if result_text is None:
++            return
++        painter.save()
++        try:
++            p = option.palette
++            c = p.HighlightedText if option.state & QStyle.State_Selected else p.Text
++            group = (p.Active if option.state & QStyle.State_Active else p.Inactive)
++            c = p.color(group, c)
++            painter.setPen(c)
++            font = option.font
++            emphasis_font = QFont(font)
++            emphasis_font.setBold(True)
++            flags = Qt.AlignTop | Qt.TextSingleLine | Qt.TextIncludeTrailingSpaces
++            rect = option.rect.adjusted(option.decorationSize.width() + 4 if is_hidden else 0, 0, 0, 0)
++            painter.setClipRect(rect)
++            before = re.sub(r'\s+', ' ', result_before)
++            before_width = 0
++            if before:
++                before_width = painter.boundingRect(rect, flags, before).width()
++            after = re.sub(r'\s+', ' ', result_after.rstrip())
++            after_width = 0
++            if after:
++                after_width = painter.boundingRect(rect, flags, after).width()
++            ellipsis_width = painter.boundingRect(rect, flags, '...').width()
++            painter.setFont(emphasis_font)
++            text = re.sub(r'\s+', ' ', result_text)
++            match_width = painter.boundingRect(rect, flags, text).width()
++            if match_width >= rect.width() - 3 * ellipsis_width:
++                efm = QFontMetrics(emphasis_font)
++                text = efm.elidedText(text, Qt.ElideRight, rect.width())
++                painter.drawText(rect, flags, text)
++            else:
++                self.draw_match(
++                    painter, flags, before, text, after, rect, before_width, match_width, after_width, ellipsis_width, emphasis_font, font)
++        except Exception:
++            import traceback
++            traceback.print_exc()
++        painter.restore()
++
++    def draw_match(self, painter, flags, before, text, after, rect, before_width, match_width, after_width, ellipsis_width, emphasis_font, normal_font):
++        extra_width = int(rect.width() - match_width)
++        if before_width < after_width:
++            left_width = min(extra_width // 2, before_width)
++            right_width = extra_width - left_width
++        else:
++            right_width = min(extra_width // 2, after_width)
++            left_width = min(before_width, extra_width - right_width)
++        x = rect.left()
++        nfm = QFontMetrics(normal_font)
++        if before_width and left_width:
++            r = rect.adjusted(0, 0, 0, 0)
++            r.setRight(x + left_width)
++            painter.setFont(normal_font)
++            ebefore = nfm.elidedText(before, Qt.ElideLeft, left_width)
++            if self.add_ellipsis and ebefore == before:
++                ebefore = '…' + before[1:]
++            r.setLeft(x)
++            x += painter.drawText(r, flags, ebefore).width()
++        painter.setFont(emphasis_font)
++        r = rect.adjusted(0, 0, 0, 0)
++        r.setLeft(x)
++        painter.drawText(r, flags, text).width()
++        x += match_width
++        if after_width and right_width:
++            painter.setFont(normal_font)
++            r = rect.adjusted(0, 0, 0, 0)
++            r.setLeft(x)
++            eafter = nfm.elidedText(after, Qt.ElideRight, right_width)
++            if self.add_ellipsis and eafter == after:
++                eafter = after[:-1] + '…'
++            painter.setFont(normal_font)
++            painter.drawText(r, flags, eafter)
++
++# }}}
++
++
++class SearchBox(HistoryComboBox):  # {{{
++
++    history_saved = pyqtSignal(object, object)
++    cleared = pyqtSignal()
++
++    def __init__(self, parent=None):
++        HistoryComboBox.__init__(self, parent)
++        self.lineEdit().setPlaceholderText(_('Search'))
++        self.lineEdit().setClearButtonEnabled(True)
++        ac = self.lineEdit().findChild(QAction, QT_HIDDEN_CLEAR_ACTION)
++        if ac is not None:
++            ac.triggered.connect(self.cleared)
++
++    def save_history(self):
++        ret = HistoryComboBox.save_history(self)
++        self.history_saved.emit(self.text(), self.history)
++        return ret
++
++    def contextMenuEvent(self, event):
++        menu = self.lineEdit().createStandardContextMenu()
++        menu.addSeparator()
++        menu.addAction(_('Clear search history'), self.clear_history)
++        menu.exec_(event.globalPos())
++# }}}
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0151-typo.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0151-typo.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0151-typo.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0151-typo.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,25 @@
+From 925faeb47504e74f282e61b26f3dfbca9c1e0ddf Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 25 Jun 2020 14:04:39 +0530
+Subject: [PATCH 151/201] typo
+
+---
+ src/calibre/gui2/viewer/widgets.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/calibre/gui2/viewer/widgets.py b/src/calibre/gui2/viewer/widgets.py
+index 976cc246f4..c70d816e95 100644
+--- a/src/calibre/gui2/viewer/widgets.py
++++ b/src/calibre/gui2/viewer/widgets.py
+@@ -21,7 +21,7 @@ class ResultsDelegate(QStyledItemDelegate):  # {{{
+     def result_data(self, result):
+         if not hasattr(result, 'is_hidden'):
+             return None, None, None, None
+-        return result.is_hidden, result.before, result.text, result.text
++        return result.is_hidden, result.before, result.text, result.after
+ 
+     def paint(self, painter, option, index):
+         QStyledItemDelegate.paint(self, painter, option, index)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0152-Wire-up-open-annotations-button-and-add-button-to-se.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0152-Wire-up-open-annotations-button-and-add-button-to-se.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0152-Wire-up-open-annotations-button-and-add-button-to-se.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0152-Wire-up-open-annotations-button-and-add-button-to-se.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,252 @@
+From 9e9c87233020cf591e8a4ff6be5cf06fbbc842d8 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 26 Jun 2020 09:50:17 +0530
+Subject: [PATCH 152/201] Wire up open annotations button and add button to
+ select book in calibre
+
+---
+ src/calibre/gui2/actions/browse_annots.py | 13 +++++++
+ src/calibre/gui2/actions/view.py          | 14 ++++---
+ src/calibre/gui2/library/annotations.py   | 46 +++++++++++++++++------
+ 3 files changed, 56 insertions(+), 17 deletions(-)
+
+diff --git a/src/calibre/gui2/actions/browse_annots.py b/src/calibre/gui2/actions/browse_annots.py
+index a0532fab42..8472ed8515 100644
+--- a/src/calibre/gui2/actions/browse_annots.py
++++ b/src/calibre/gui2/actions/browse_annots.py
+@@ -4,6 +4,7 @@
+ 
+ from __future__ import absolute_import, division, print_function, unicode_literals
+ 
++from PyQt5.Qt import Qt
+ 
+ from calibre.gui2.actions import InterfaceAction
+ 
+@@ -25,7 +26,19 @@ class BrowseAnnotationsAction(InterfaceAction):
+         if self._browser is None:
+             from calibre.gui2.library.annotations import AnnotationsBrowser
+             self._browser = AnnotationsBrowser(self.gui)
++            self._browser.show_book.connect(self.open_book, type=Qt.QueuedConnection)
++            self._browser.open_annotation.connect(self.open_annotation, type=Qt.QueuedConnection)
+         return self._browser
+ 
+     def show_browser(self):
+         self.browser.show_dialog()
++
++    def library_changed(self, db):
++        if self._browser is not None:
++            self._browser.reinitialize()
++
++    def open_book(self, book_id, fmt):
++        self.gui.library_view.select_rows({book_id})
++
++    def open_annotation(self, book_id, fmt, cfi):
++        self.gui.iactions['View'].view_format_by_id(book_id, fmt, open_at=cfi)
+diff --git a/src/calibre/gui2/actions/view.py b/src/calibre/gui2/actions/view.py
+index 779560b170..5958be9c57 100644
+--- a/src/calibre/gui2/actions/view.py
++++ b/src/calibre/gui2/actions/view.py
+@@ -107,13 +107,13 @@ class ViewAction(InterfaceAction):
+             'annotations_map': annotations_map,
+         }
+ 
+-    def view_format_by_id(self, id_, format):
++    def view_format_by_id(self, id_, format, open_at=None):
+         db = self.gui.current_db
+         fmt_path = db.format_abspath(id_, format,
+                 index_is_id=True)
+         if fmt_path:
+             title = db.title(id_, index_is_id=True)
+-            self._view_file(fmt_path, calibre_book_data=self.calibre_book_data(id_, format))
++            self._view_file(fmt_path, calibre_book_data=self.calibre_book_data(id_, format), open_at=open_at)
+             self.update_history([(id_, title)])
+ 
+     def book_downloaded_for_viewing(self, job):
+@@ -122,7 +122,7 @@ class ViewAction(InterfaceAction):
+             return
+         self._view_file(job.result)
+ 
+-    def _launch_viewer(self, name=None, viewer='ebook-viewer', internal=True, calibre_book_data=None):
++    def _launch_viewer(self, name=None, viewer='ebook-viewer', internal=True, calibre_book_data=None, open_at=None):
+         self.gui.setCursor(Qt.BusyCursor)
+         try:
+             if internal:
+@@ -132,6 +132,8 @@ class ViewAction(InterfaceAction):
+ 
+                 if name is not None:
+                     args.append(name)
++                    if open_at is not None:
++                        args.append('--open-at=' + open_at)
+                     if calibre_book_data is not None:
+                         with PersistentTemporaryFile('.json') as ptf:
+                             ptf.write(as_bytes(json.dumps(calibre_book_data)))
+@@ -162,12 +164,12 @@ class ViewAction(InterfaceAction):
+         finally:
+             self.gui.unsetCursor()
+ 
+-    def _view_file(self, name, calibre_book_data=None):
++    def _view_file(self, name, calibre_book_data=None, open_at=None):
+         ext = os.path.splitext(name)[1].upper().replace('.',
+                 '').replace('ORIGINAL_', '')
+         viewer = 'lrfviewer' if ext == 'LRF' else 'ebook-viewer'
+-        internal = self.force_internal_viewer or ext in config['internally_viewed_formats']
+-        self._launch_viewer(name, viewer, internal, calibre_book_data=calibre_book_data)
++        internal = self.force_internal_viewer or ext in config['internally_viewed_formats'] or open_at is not None
++        self._launch_viewer(name, viewer, internal, calibre_book_data=calibre_book_data, open_at=open_at)
+ 
+     def view_specific_format(self, triggered):
+         rows = list(self.gui.library_view.selectionModel().selectedRows())
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index ab6dd8e250..5096041660 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -63,7 +63,7 @@ class AnnotsResultsDelegate(ResultsDelegate):
+ class ResultsList(QTreeWidget):
+ 
+     current_result_changed = pyqtSignal(object)
+-    open_annotation = pyqtSignal(object)
++    open_annotation = pyqtSignal(object, object, object)
+ 
+     def __init__(self, parent):
+         QTreeWidget.__init__(self, parent)
+@@ -80,7 +80,7 @@ class ResultsList(QTreeWidget):
+     def item_activated(self, item):
+         r = item.data(0, Qt.UserRole)
+         if isinstance(r, dict):
+-            self.open_annotation.emit(r['annotation'])
++            self.open_annotation.emit(r['book_id'], r['format'], r['annotation'])
+ 
+     def set_results(self, results):
+         self.clear()
+@@ -206,7 +206,7 @@ class Restrictions(QWidget):
+ class BrowsePanel(QWidget):
+ 
+     current_result_changed = pyqtSignal(object)
+-    open_annotation = pyqtSignal(object)
++    open_annotation = pyqtSignal(object, object, object)
+ 
+     def __init__(self, parent):
+         QWidget.__init__(self, parent)
+@@ -251,6 +251,7 @@ class BrowsePanel(QWidget):
+         db = current_db()
+         self.search_box.setFocus(Qt.OtherFocusReason)
+         self.restrictions.re_initialize(db)
++        self.cleared()
+ 
+     def sizeHint(self):
+         return QSize(450, 600)
+@@ -316,7 +317,8 @@ class Details(QTextBrowser):
+ 
+ class DetailsPanel(QWidget):
+ 
+-    open_annotation = pyqtSignal(object)
++    open_annotation = pyqtSignal(object, object, object)
++    show_book = pyqtSignal(object, object)
+ 
+     def __init__(self, parent):
+         QWidget.__init__(self, parent)
+@@ -324,14 +326,29 @@ class DetailsPanel(QWidget):
+         l = QVBoxLayout(self)
+         self.text_browser = tb = Details(self)
+         l.addWidget(tb)
++
++        h = QHBoxLayout()
++        l.addLayout(h)
+         self.open_button = ob = QPushButton(QIcon(I('viewer.png')), _('Open in viewer'), self)
++        ob.setToolTip(_('Open the book at this annotation in the calibre viewer'))
+         ob.clicked.connect(self.open_result)
+-        l.addWidget(ob)
++        h.addWidget(ob)
++
++        self.library_button = lb = QPushButton(QIcon(I('lt.png')), _('Show in calibre'), self)
++        lb.setToolTip(_('Show this book in the main calibre book list'))
++        lb.clicked.connect(self.show_in_library)
++        h.addWidget(lb)
++
+         self.show_result(None)
+ 
+     def open_result(self):
+         if self.current_result is not None:
+-            self.open_annotation.emit(self.current_result['annotation'])
++            r = self.current_result
++            self.open_annotation.emit(r['book_id'], r['format'], r['annotation'])
++
++    def show_in_library(self):
++        if self.current_result is not None:
++            self.show_book.emit(self.current_result['book_id'], self.current_result['format'])
+ 
+     def sizeHint(self):
+         return QSize(450, 600)
+@@ -341,9 +358,11 @@ class DetailsPanel(QWidget):
+         if r is None:
+             self.text_browser.setVisible(False)
+             self.open_button.setVisible(False)
++            self.library_button.setVisible(False)
+             return
+         self.text_browser.setVisible(True)
+         self.open_button.setVisible(True)
++        self.library_button.setVisible(True)
+         db = current_db()
+         book_id = r['book_id']
+         title, authors = db.field_for('title', book_id), db.field_for('authors', book_id)
+@@ -385,20 +404,21 @@ class DetailsPanel(QWidget):
+ 
+ class AnnotationsBrowser(Dialog):
+ 
+-    open_annotation = pyqtSignal(object)
++    open_annotation = pyqtSignal(object, object, object)
++    show_book = pyqtSignal(object, object)
+ 
+     def __init__(self, parent=None):
+         Dialog.__init__(self, _('Annotations browser'), 'library-annotations-browser-1', parent=parent)
+         self.setAttribute(Qt.WA_DeleteOnClose, False)
+ 
+-    def do_open_annotation(self, annot):
++    def do_open_annotation(self, book_id, fmt, annot):
+         atype = annot['type']
+         if atype == 'bookmark':
+             if annot['pos_type'] == 'epubcfi':
+-                self.open_annotation.emit(annot['pos'])
++                self.open_annotation.emit(book_id, fmt, annot['pos'])
+         elif atype == 'highlight':
+             x = 2 * (annot['spine_index'] + 1)
+-            self.open_annotation.emit('epubcfi(/{}{})'.format(x, annot['start_cfi']))
++            self.open_annotation.emit(book_id, fmt, 'epubcfi(/{}{})'.format(x, annot['start_cfi']))
+ 
+     def keyPressEvent(self, ev):
+         if ev.key() not in (Qt.Key_Enter, Qt.Key_Return):
+@@ -425,6 +445,7 @@ class AnnotationsBrowser(Dialog):
+         self.details_panel = dp = DetailsPanel(self)
+         s.addWidget(dp)
+         dp.open_annotation.connect(self.do_open_annotation)
++        dp.show_book.connect(self.show_book)
+         bp.current_result_changed.connect(dp.show_result)
+ 
+         h = QHBoxLayout()
+@@ -432,19 +453,22 @@ class AnnotationsBrowser(Dialog):
+         h.addWidget(us), h.addStretch(10), h.addWidget(self.bb)
+ 
+     def show_dialog(self):
+-        self.browse_panel.re_initialize()
+         if self.parent() is None:
+             self.exec_()
+         else:
+             self.show()
+             self.raise_()
+ 
++    def reinitialize(self):
++        self.browse_panel.re_initialize()
++
+ 
+ if __name__ == '__main__':
+     from calibre.library import db
+     app = Application([])
+     current_db.ans = db(os.path.expanduser('~/test library'))
+     br = AnnotationsBrowser()
++    br.reinitialize()
+     br.show_dialog()
+     del br
+     del app
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0153-Skip-legacy-db-test-when-python-sqlite3-module-does-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0153-Skip-legacy-db-test-when-python-sqlite3-module-does-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0153-Skip-legacy-db-test-when-python-sqlite3-module-does-.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0153-Skip-legacy-db-test-when-python-sqlite3-module-does-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,32 @@
+From dea90652fa1c9537b156307d03c1b89cc12aaaf5 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 26 Jun 2020 12:45:37 +0530
+Subject: [PATCH 153/201] Skip legacy db test when python sqlite3 module does
+ not have FTS support
+
+---
+ src/calibre/db/tests/legacy.py | 8 ++++++++
+ 1 file changed, 8 insertions(+)
+
+diff --git a/src/calibre/db/tests/legacy.py b/src/calibre/db/tests/legacy.py
+index 30a4656c31..af95b0ea76 100644
+--- a/src/calibre/db/tests/legacy.py
++++ b/src/calibre/db/tests/legacy.py
+@@ -344,6 +344,14 @@ class LegacyTest(BaseTest):
+ 
+     def test_legacy_adding_books(self):  # {{{
+         'Test various adding/deleting books methods'
++        import sqlite3
++        con = sqlite3.connect(":memory:")
++        try:
++            con.execute("create virtual table recipe using fts5(name, ingredients)")
++        except Exception:
++            self.skipTest('python sqlite3 module does not have FTS5 support')
++        con.close()
++        del con
+         from calibre.ebooks.metadata.book.base import Metadata
+         from calibre.ptempfile import TemporaryFile
+         legacy, old = self.init_legacy(self.cloned_library), self.init_old(self.cloned_library)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0154-Icon-for-highlights.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0154-Icon-for-highlights.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0154-Icon-for-highlights.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0154-Icon-for-highlights.patch	2020-07-17 15:04:52.000000000 +0000
@@ -0,0 +1,114 @@
+From 5311455a9fbeeb7040013db0ba035630f4e480ee Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 26 Jun 2020 16:50:30 +0530
+Subject: [PATCH 154/201] Icon for highlights
+
+---
+ imgsrc/highlight.svg                      |  60 ++++++++++++++++++++++
+ imgsrc/srv/highlight.svg                  |   1 +
+ resources/images/highlight.png            | Bin 0 -> 2803 bytes
+ imgsrc/highlight.svg                      |   60 ++++++++++++++++++++++++++++++
+ imgsrc/srv/highlight.svg                  |    1 
+ src/calibre/gui2/actions/browse_annots.py |    2 -
+ src/calibre/gui2/library/annotations.py   |    1 
+ 4 files changed, 63 insertions(+), 1 deletion(-)
+ create mode 100644 imgsrc/highlight.svg
+ create mode 100644 imgsrc/srv/highlight.svg
+ create mode 100644 resources/images/highlight.png
+
+Index: b/imgsrc/highlight.svg
+===================================================================
+--- /dev/null
++++ b/imgsrc/highlight.svg
+@@ -0,0 +1,60 @@
++<?xml version="1.0" encoding="UTF-8" standalone="no"?>
++<svg
++   xmlns:dc="http://purl.org/dc/elements/1.1/"
++   xmlns:cc="http://creativecommons.org/ns#"
++   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
++   xmlns:svg="http://www.w3.org/2000/svg"
++   xmlns="http://www.w3.org/2000/svg"
++   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
++   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
++   inkscape:version="1.0 (4035a4fb49, 2020-05-01)"
++   sodipodi:docname="highlight.svg"
++   id="svg4"
++   version="1.1"
++   viewBox="0 0 544 512">
++  <metadata
++     id="metadata10">
++    <rdf:RDF>
++      <cc:Work
++         rdf:about="">
++        <dc:format>image/svg+xml</dc:format>
++        <dc:type
++           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
++      </cc:Work>
++    </rdf:RDF>
++  </metadata>
++  <defs
++     id="defs8" />
++  <sodipodi:namedview
++     inkscape:current-layer="svg4"
++     inkscape:window-maximized="0"
++     inkscape:window-y="40"
++     inkscape:window-x="0"
++     inkscape:cy="256"
++     inkscape:cx="120.38095"
++     inkscape:zoom="1.96875"
++     showgrid="false"
++     id="namedview6"
++     inkscape:window-height="1400"
++     inkscape:window-width="2560"
++     inkscape:pageshadow="2"
++     inkscape:pageopacity="0"
++     guidetolerance="10"
++     gridtolerance="10"
++     objecttolerance="10"
++     borderopacity="1"
++     bordercolor="#666666"
++     pagecolor="#ffffff" />
++  <path
++     style="fill:#2caf45;fill-opacity:1"
++     id="path839"
++     d="m 527.92,79.27 -63.2,-63.2 C 444.23,-4.42 411.34,-5.45 389.6,13.72 L 190.55,183.68 360.32,353.46 530.27,154.4 c 19.18,-21.74 18.15,-54.63 -2.35,-75.13 z" />
++  <path
++     style="fill:#2271d5;fill-opacity:1"
++     id="path837"
++     d="m 124.61,239.97 a 36.592,36.592 0 0 0 -10.79,38.1 l 13.05,42.83 -50.93,50.94 96.23,96.23 50.86,-50.86 42.74,13.08 c 13.73,4.2 28.65,-0.01 38.15,-10.78 L 339.47,377.87 166.13,204.53 Z" />
++  <path
++     style="fill:#ea8404;fill-opacity:1"
++     id="path2"
++     d="M 0,479.98 99.92,512 135.37,476.55 68.33,409.51 Z" />
++</svg>
+Index: b/imgsrc/srv/highlight.svg
+===================================================================
+--- /dev/null
++++ b/imgsrc/srv/highlight.svg
+@@ -0,0 +1 @@
++<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 544 512"><path d="M0 479.98L99.92 512l35.45-35.45-67.04-67.04L0 479.98zm124.61-240.01a36.592 36.592 0 0 0-10.79 38.1l13.05 42.83-50.93 50.94 96.23 96.23 50.86-50.86 42.74 13.08c13.73 4.2 28.65-.01 38.15-10.78l35.55-41.64-173.34-173.34-41.52 35.44zm403.31-160.7l-63.2-63.2c-20.49-20.49-53.38-21.52-75.12-2.35L190.55 183.68l169.77 169.78L530.27 154.4c19.18-21.74 18.15-54.63-2.35-75.13z"></path></svg>
+Index: b/src/calibre/gui2/actions/browse_annots.py
+===================================================================
+--- a/src/calibre/gui2/actions/browse_annots.py
++++ b/src/calibre/gui2/actions/browse_annots.py
+@@ -12,7 +12,7 @@ from calibre.gui2.actions import Interfa
+ class BrowseAnnotationsAction(InterfaceAction):
+ 
+     name = 'Browse Annotations'
+-    action_spec = (_('Browse annotations'), 'polish.png',
++    action_spec = (_('Browse annotations'), 'highlight.png',
+                    _('Browse highlights and bookmarks from all books in the library'), _('B'))
+     dont_add_to = frozenset(('context-menu-device',))
+     action_type = 'current'
+Index: b/src/calibre/gui2/library/annotations.py
+===================================================================
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -410,6 +410,7 @@ class AnnotationsBrowser(Dialog):
+     def __init__(self, parent=None):
+         Dialog.__init__(self, _('Annotations browser'), 'library-annotations-browser-1', parent=parent)
+         self.setAttribute(Qt.WA_DeleteOnClose, False)
++        self.setWindowIcon(QIcon(I('highlight.png')))
+ 
+     def do_open_annotation(self, book_id, fmt, annot):
+         atype = annot['type']
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0155-Add-actions-for-highlighting-to-viewer-chrome.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0155-Add-actions-for-highlighting-to-viewer-chrome.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0155-Add-actions-for-highlighting-to-viewer-chrome.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0155-Add-actions-for-highlighting-to-viewer-chrome.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,68 @@
+From 4b69e98e58e6a43f4532f2387fff46015c1bcc0d Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 26 Jun 2020 17:22:30 +0530
+Subject: [PATCH 155/201] Add actions for highlighting to viewer chrome
+
+---
+ src/pyj/read_book/overlay.pyj | 10 ++++++++++
+ src/pyj/read_book/view.pyj    |  5 ++++-
+ 2 files changed, 14 insertions(+), 1 deletion(-)
+
+diff --git a/src/pyj/read_book/overlay.pyj b/src/pyj/read_book/overlay.pyj
+index f4f853c06b..00684900b1 100644
+--- a/src/pyj/read_book/overlay.pyj
++++ b/src/pyj/read_book/overlay.pyj
+@@ -311,10 +311,18 @@ class MainOverlay:  # {{{
+         if full_screen_actions.length:
+             actions_div.appendChild(E.ul(*full_screen_actions))
+ 
++        highlight_action = ac(_('Highlight'), _('Highlight text in the book'),
++                def(): self.overlay.hide(), self.overlay.view.initiate_create_annotation();, 'highlight')
++
+         if runtime.is_standalone_viewer:
+             actions_div.appendChild(E.ul(
+                 ac(_('Lookup/search word'), _('Lookup or search for the currently selected word'),
+                    def(): self.overlay.hide(), ui_operations.toggle_lookup();, 'library')
++                ,
++                highlight_action,
++                ac(_('Browse highlights'), _('Browse all highlights'),
++                   def(): self.overlay.hide(), ui_operations.toggle_highlights();, 'image')
++                ,
+             ))
+             copy_actions = E.ul()
+             if self.overlay.view.currently_showing.selected_text:
+@@ -343,6 +351,8 @@ class MainOverlay:  # {{{
+                 ac(_('Quit'), _('Close the viewer'),
+                    def(): self.overlay.hide(), ui_operations.quit();, 'remove'),
+             ))
++        else:
++            actions_div.appendChild(E.ul(highlight_action))
+         container.appendChild(set_css(E.div(class_=MAIN_OVERLAY_TS_CLASS,  # top section
+             onclick=def (evt):evt.stopPropagation();,
+ 
+diff --git a/src/pyj/read_book/view.pyj b/src/pyj/read_book/view.pyj
+index 82d67f4825..fbede8ec44 100644
+--- a/src/pyj/read_book/view.pyj
++++ b/src/pyj/read_book/view.pyj
+@@ -433,7 +433,7 @@ class View:
+         elif data.name is 'toggle_highlights':
+             ui_operations.toggle_highlights()
+         elif data.name is 'create_annotation':
+-            self.iframe_wrapper.send_message('create_annotation')
++            self.initiate_create_annotation()
+         elif data.name is 'new_bookmark':
+             ui_operations.new_bookmark()
+         elif data.name is 'toggle_inspector':
+@@ -1192,6 +1192,9 @@ class View:
+         else:
+             self.show_name(sr.file_name, initial_position={'type':'search_result', 'search_result':sr, 'replace_history':True})
+ 
++    def initiate_create_annotation(self):
++        self.iframe_wrapper.send_message('create_annotation')
++
+     def highlight_action(self, uuid, which):
+         if self.create_annotation.is_visible:
+             return
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0156-Hide-annots-UI-behind-develop-mode-in-preparation-fo.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0156-Hide-annots-UI-behind-develop-mode-in-preparation-fo.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0156-Hide-annots-UI-behind-develop-mode-in-preparation-fo.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0156-Hide-annots-UI-behind-develop-mode-in-preparation-fo.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,114 @@
+From 7918a93642fe524739dfabb89486589e53bdb93e Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 26 Jun 2020 17:35:42 +0530
+Subject: [PATCH 156/201] Hide annots UI behind develop mode in preparation for
+ merge into master
+
+---
+ src/calibre/customize/builtins.py |  4 +++-
+ src/pyj/read_book/overlay.pyj     | 14 ++++++++------
+ src/pyj/read_book/shortcuts.pyj   | 25 +++++++++++++------------
+ 3 files changed, 24 insertions(+), 19 deletions(-)
+
+diff --git a/src/calibre/customize/builtins.py b/src/calibre/customize/builtins.py
+index 73a6bbcf62..088c8388b5 100644
+--- a/src/calibre/customize/builtins.py
++++ b/src/calibre/customize/builtins.py
+@@ -1101,7 +1101,9 @@ plugins += [ActionAdd, ActionFetchAnnotations, ActionGenerateCatalog,
+         ActionCopyToLibrary, ActionTweakEpub, ActionUnpackBook, ActionNextMatch, ActionStore,
+         ActionPluginUpdater, ActionPickRandom, ActionEditToC, ActionSortBy,
+         ActionMarkBooks, ActionEmbed, ActionTemplateTester, ActionTagMapper, ActionAuthorMapper,
+-        ActionVirtualLibrary, ActionBrowseAnnotations]
++        ActionVirtualLibrary]
++if os.environ.get('CALIBRE_ENABLE_DEVELOP_MODE') == '1':
++    plugins.append(ActionBrowseAnnotations)
+ 
+ # }}}
+ 
+diff --git a/src/pyj/read_book/overlay.pyj b/src/pyj/read_book/overlay.pyj
+index 00684900b1..767bb84b05 100644
+--- a/src/pyj/read_book/overlay.pyj
++++ b/src/pyj/read_book/overlay.pyj
+@@ -318,12 +318,13 @@ class MainOverlay:  # {{{
+             actions_div.appendChild(E.ul(
+                 ac(_('Lookup/search word'), _('Lookup or search for the currently selected word'),
+                    def(): self.overlay.hide(), ui_operations.toggle_lookup();, 'library')
+-                ,
+-                highlight_action,
+-                ac(_('Browse highlights'), _('Browse all highlights'),
+-                   def(): self.overlay.hide(), ui_operations.toggle_highlights();, 'image')
+-                ,
+             ))
++            if runtime.in_develop_mode:
++                actions_div.lastChild.appendChild(highlight_action)
++                actions_div.lastChild.appendChild(
++                    ac(_('Browse highlights'), _('Browse all highlights'),
++                        def(): self.overlay.hide(), ui_operations.toggle_highlights();, 'image')
++                )
+             copy_actions = E.ul()
+             if self.overlay.view.currently_showing.selected_text:
+                 copy_actions.appendChild(ac(_('Copy selection'), _('Copy the current selection'), def():
+@@ -352,7 +353,8 @@ class MainOverlay:  # {{{
+                    def(): self.overlay.hide(), ui_operations.quit();, 'remove'),
+             ))
+         else:
+-            actions_div.appendChild(E.ul(highlight_action))
++            if runtime.in_develop_mode:
++                actions_div.appendChild(E.ul(highlight_action))
+         container.appendChild(set_css(E.div(class_=MAIN_OVERLAY_TS_CLASS,  # top section
+             onclick=def (evt):evt.stopPropagation();,
+ 
+diff --git a/src/pyj/read_book/shortcuts.pyj b/src/pyj/read_book/shortcuts.pyj
+index afbc76c566..0048a35e41 100644
+--- a/src/pyj/read_book/shortcuts.pyj
++++ b/src/pyj/read_book/shortcuts.pyj
+@@ -3,6 +3,7 @@
+ from __python__ import bound_methods, hash_literals
+ 
+ from gettext import gettext as _
++from read_book.globals import runtime
+ 
+ 
+ def parse_key_repr(sc):
+@@ -328,14 +329,13 @@ def shortcuts_definition():
+         _('Auto scroll slower'),
+     ),
+ 
+-    'create_annotation': desc(
+-        "Ctrl+h",
+-        'ui',
+-        _('Create a highlight'),
+-    ),
+-
+     }
+-
++    if runtime.in_develop_mode:
++        ans.create_annotation = desc(
++            "Ctrl+h",
++            'ui',
++            _('Create a highlight'),
++        )
+     return ans
+ 
+ 
+@@ -395,11 +395,12 @@ def add_standalone_viewer_shortcuts():
+         'ui',
+         _('Toggle the toolbar'),
+     )
+-    sc['toggle_highlights'] = desc(
+-        "Ctrl+Alt+h",
+-        'ui',
+-        _('Toggle the highlights panel')
+-    )
++    if runtime.in_develop_mode:
++        sc['toggle_highlights'] = desc(
++            "Ctrl+Alt+h",
++            'ui',
++            _('Toggle the highlights panel')
++        )
+ 
+ 
+ def create_shortcut_map(custom_shortcuts):
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0157-DRYer.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0157-DRYer.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0157-DRYer.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0157-DRYer.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,125 @@
+From f5b123b3e0cfd609ca08e7dc86a8810b9bb84d68 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 26 Jun 2020 17:47:25 +0530
+Subject: [PATCH 157/201] DRYer
+
+---
+ src/calibre/constants.py            |  1 +
+ src/calibre/customize/builtins.py   |  4 ++--
+ src/calibre/gui2/viewer/web_view.py | 10 +++++-----
+ src/calibre/srv/code.py             |  8 ++++----
+ 4 files changed, 12 insertions(+), 11 deletions(-)
+
+diff --git a/src/calibre/constants.py b/src/calibre/constants.py
+index 189c66aed8..83b4ec7837 100644
+--- a/src/calibre/constants.py
++++ b/src/calibre/constants.py
+@@ -279,6 +279,7 @@ else:
+ dv = getenv('CALIBRE_DEVELOP_FROM')
+ is_running_from_develop = bool(getattr(sys, 'frozen', False) and dv and os.path.abspath(dv) in sys.path)
+ del dv
++in_develop_mode = getenv('CALIBRE_ENABLE_DEVELOP_MODE') == '1'
+ 
+ 
+ def get_version():
+diff --git a/src/calibre/customize/builtins.py b/src/calibre/customize/builtins.py
+index 088c8388b5..6da18493b8 100644
+--- a/src/calibre/customize/builtins.py
++++ b/src/calibre/customize/builtins.py
+@@ -8,7 +8,7 @@ import os, glob, re
+ from calibre import guess_type
+ from calibre.customize import (FileTypePlugin, MetadataReaderPlugin,
+     MetadataWriterPlugin, PreferencesPlugin, InterfaceActionBase, StoreBase)
+-from calibre.constants import numeric_version
++from calibre.constants import numeric_version, in_develop_mode
+ from calibre.ebooks.metadata.archive import ArchiveExtract, KPFExtract, get_comic_metadata
+ from calibre.ebooks.html.to_zip import HTML2ZIP
+ 
+@@ -1102,7 +1102,7 @@ plugins += [ActionAdd, ActionFetchAnnotations, ActionGenerateCatalog,
+         ActionPluginUpdater, ActionPickRandom, ActionEditToC, ActionSortBy,
+         ActionMarkBooks, ActionEmbed, ActionTemplateTester, ActionTagMapper, ActionAuthorMapper,
+         ActionVirtualLibrary]
+-if os.environ.get('CALIBRE_ENABLE_DEVELOP_MODE') == '1':
++if in_develop_mode:
+     plugins.append(ActionBrowseAnnotations)
+ 
+ # }}}
+diff --git a/src/calibre/gui2/viewer/web_view.py b/src/calibre/gui2/viewer/web_view.py
+index fa1ae331c6..10a2efe281 100644
+--- a/src/calibre/gui2/viewer/web_view.py
++++ b/src/calibre/gui2/viewer/web_view.py
+@@ -19,8 +19,8 @@ from PyQt5.QtWebEngineWidgets import (
+ 
+ from calibre import as_unicode, prints
+ from calibre.constants import (
+-    FAKE_HOST, FAKE_PROTOCOL, __version__, config_dir, is_running_from_develop,
+-    isosx, iswindows
++    FAKE_HOST, FAKE_PROTOCOL, __version__, config_dir, in_develop_mode,
++    is_running_from_develop, isosx, iswindows
+ )
+ from calibre.ebooks.metadata.book.base import field_metadata
+ from calibre.ebooks.oeb.polish.utils import guess_type
+@@ -33,7 +33,7 @@ from calibre.srv.code import get_translations_data
+ from calibre.utils.config import JSONConfig
+ from calibre.utils.serialize import json_loads
+ from calibre.utils.shared_file import share_open
+-from polyglot.builtins import as_bytes, hasenv, iteritems, unicode_type
++from polyglot.builtins import as_bytes, iteritems, unicode_type
+ from polyglot.functools import lru_cache
+ 
+ try:
+@@ -229,8 +229,8 @@ def create_profile():
+         js = P('viewer.js', data=True, allow_user_override=False)
+         translations_json = get_translations_data() or b'null'
+         js = js.replace(b'__TRANSLATIONS_DATA__', translations_json, 1)
+-        if hasenv('CALIBRE_ENABLE_DEVELOP_MODE'):
+-            js = js.replace(b'__IN_DEVELOP_MODE__', os.environ['CALIBRE_ENABLE_DEVELOP_MODE'].encode('ascii'))
++        if in_develop_mode:
++            js = js.replace(b'__IN_DEVELOP_MODE__', b'1')
+         insert_scripts(ans, create_script('viewer.js', js))
+         url_handler = UrlSchemeHandler(ans)
+         ans.installUrlSchemeHandler(QByteArray(FAKE_PROTOCOL.encode('ascii')), url_handler)
+diff --git a/src/calibre/srv/code.py b/src/calibre/srv/code.py
+index 44156a24c5..f5d40223c9 100644
+--- a/src/calibre/srv/code.py
++++ b/src/calibre/srv/code.py
+@@ -4,7 +4,6 @@
+ 
+ 
+ import hashlib
+-import os
+ import random
+ import shutil
+ import sys
+@@ -13,6 +12,7 @@ from json import load as load_json_file, loads as json_loads
+ from threading import Lock
+ 
+ from calibre import as_unicode
++from calibre.constants import in_develop_mode
+ from calibre.customize.ui import available_input_formats
+ from calibre.db.view import sanitize_sort_field_name
+ from calibre.srv.ajax import search_result
+@@ -31,7 +31,7 @@ from calibre.utils.localization import (
+ )
+ from calibre.utils.search_query_parser import ParseException
+ from calibre.utils.serialize import json_dumps
+-from polyglot.builtins import iteritems, itervalues, hasenv
++from polyglot.builtins import iteritems, itervalues
+ 
+ POSTABLE = frozenset({'GET', 'POST', 'HEAD'})
+ 
+@@ -39,9 +39,9 @@ POSTABLE = frozenset({'GET', 'POST', 'HEAD'})
+ @endpoint('', auth_required=False)
+ def index(ctx, rd):
+     ans_file = lopen(P('content-server/index-generated.html'), 'rb')
+-    if not hasenv('CALIBRE_ENABLE_DEVELOP_MODE'):
++    if not in_develop_mode:
+         return ans_file
+-    return ans_file.read().replace(b'__IN_DEVELOP_MODE__', os.environ['CALIBRE_ENABLE_DEVELOP_MODE'].encode('ascii'))
++    return ans_file.read().replace(b'__IN_DEVELOP_MODE__', b'1')
+ 
+ 
+ @endpoint('/robots.txt', auth_required=False)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0158-Toolbar-actions-for-highlighting.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0158-Toolbar-actions-for-highlighting.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0158-Toolbar-actions-for-highlighting.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0158-Toolbar-actions-for-highlighting.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,85 @@
+From 802779fa29fb463078bcd79149417494674b10ef Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 26 Jun 2020 20:02:20 +0530
+Subject: [PATCH 158/201] Toolbar actions for highlighting
+
+---
+ src/calibre/gui2/viewer/toolbars.py | 30 +++++++++++++++++++++--------
+ 1 file changed, 22 insertions(+), 8 deletions(-)
+
+diff --git a/src/calibre/gui2/viewer/toolbars.py b/src/calibre/gui2/viewer/toolbars.py
+index bbc3964652..0590ba6886 100644
+--- a/src/calibre/gui2/viewer/toolbars.py
++++ b/src/calibre/gui2/viewer/toolbars.py
+@@ -12,7 +12,7 @@ from PyQt5.Qt import (
+ )
+ from PyQt5.QtWebEngineWidgets import QWebEnginePage
+ 
+-from calibre.constants import isosx
++from calibre.constants import in_develop_mode, isosx
+ from calibre.gui2 import elided_text
+ from calibre.gui2.viewer.shortcuts import index_to_key_sequence
+ from calibre.gui2.viewer.web_view import get_session_pref, set_book_path, vprefs
+@@ -38,7 +38,7 @@ class Actions(object):
+ 
+ def all_actions():
+     if not hasattr(all_actions, 'ans'):
+-        all_actions.ans = Actions({
++        amap = {
+             'color_scheme': Action('format-fill-color.png', _('Switch color scheme')),
+             'back': Action('back.png', _('Back')),
+             'forward': Action('forward.png', _('Forward')),
+@@ -63,15 +63,26 @@ def all_actions():
+             'print': Action('print.png', _('Print book'), 'print'),
+             'preferences': Action('config.png', _('Preferences'), 'preferences'),
+             'metadata': Action('metadata.png', _('Show book metadata'), 'metadata'),
+-        })
++        }
++        if in_develop_mode:
++            amap['highlight'] = Action('highlight.png', _('Highlight text in the book'), 'create_annotation')
++            amap['toggle_highlights'] = Action('highlight_only_on.png', _('Browse highlights in book'), 'toggle_highlights')
++        all_actions.ans = Actions(amap)
+     return all_actions.ans
+ 
+ 
+-DEFAULT_ACTIONS = (
++if in_develop_mode:
++    DEFAULT_ACTIONS = (
+         'back', 'forward', None, 'open', 'copy', 'increase_font_size', 'decrease_font_size', 'fullscreen', 'color_scheme',
+-        None, 'previous', 'next', None, 'toc', 'search', 'bookmarks', 'lookup', 'reference', 'chrome', None, 'mode', 'print', 'preferences',
+-        'metadata', 'inspector'
+-)
++        None, 'previous', 'next', None, 'toc', 'search', 'bookmarks', 'lookup', 'highlight', 'chrome', None,
++        'mode', 'print', 'preferences', 'metadata', 'inspector'
++    )
++else:
++    DEFAULT_ACTIONS = (
++        'back', 'forward', None, 'open', 'copy', 'increase_font_size', 'decrease_font_size', 'fullscreen', 'color_scheme',
++        None, 'previous', 'next', None, 'toc', 'search', 'bookmarks', 'lookup', 'reference', 'chrome', None,
++        'mode', 'print', 'preferences', 'metadata', 'inspector'
++    )
+ 
+ 
+ def current_actions():
+@@ -166,6 +177,9 @@ class ActionsToolBar(ToolBar):
+         a.setCheckable(True)
+         self.reference_action = a = shortcut_action('reference')
+         a.setCheckable(True)
++        self.highlight_action = a = shortcut_action('highlight')
++        self.toggle_highlights_action = self.highlights_action = a = shortcut_action('toggle_highlights')
++        a.setCheckable(True)
+         self.lookup_action = a = shortcut_action('lookup')
+         a.setCheckable(True)
+         self.inspector_action = a = shortcut_action('inspector')
+@@ -222,7 +236,7 @@ class ActionsToolBar(ToolBar):
+         self.reference_action.setChecked(enabled)
+ 
+     def update_dock_actions(self, visibility_map):
+-        for k in ('toc', 'bookmarks', 'lookup', 'inspector'):
++        for k in ('toc', 'bookmarks', 'lookup', 'inspector', 'highlights'):
+             ac = getattr(self, '{}_action'.format(k))
+             ac.setChecked(visibility_map[k])
+ 
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0159-Make-cfi_cmp-re-useable.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0159-Make-cfi_cmp-re-useable.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0159-Make-cfi_cmp-re-useable.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0159-Make-cfi_cmp-re-useable.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,56 @@
+From 40c9e43c059f6b791f4d6df3ee857958b95c1341 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 29 Jun 2020 09:36:29 +0530
+Subject: [PATCH 159/201] Make cfi_cmp re-useable
+
+---
+ src/pyj/read_book/cfi.pyj | 25 ++++++++++++++++++-------
+ 1 file changed, 18 insertions(+), 7 deletions(-)
+
+diff --git a/src/pyj/read_book/cfi.pyj b/src/pyj/read_book/cfi.pyj
+index cbe23d5ab1..4ea5b8a22d 100644
+--- a/src/pyj/read_book/cfi.pyj
++++ b/src/pyj/read_book/cfi.pyj
+@@ -442,12 +442,17 @@ def cfi_sort_key(cfi): # {{{
+     return ans
+ 
+ 
+-def sort_cfis(array_of_cfis):
+-    key_map = {cfi: cfi_sort_key(cfi) for cfi in array_of_cfis}
+-
+-    Array.prototype.sort.call(array_of_cfis, def(a, b):
+-        a = key_map[a]
+-        b = key_map[b]
++def create_cfi_cmp(key_map):
++    if not key_map:
++        key_map = {}
++
++    def cfi_cmp(a_cfi, b_cfi):
++        a = key_map[a_cfi]
++        if not a:
++            a = key_map[a_cfi] = cfi_sort_key(a_cfi)
++        b = key_map[b_cfi]
++        if not b:
++            b = key_map[b_cfi] = cfi_sort_key(b_cfi)
+         for i in range(min(a.steps.length, b.steps.length)):
+             diff = a.steps[i] - b.steps[i]
+             if diff is not 0:
+@@ -468,8 +473,14 @@ def sort_cfis(array_of_cfis):
+             return a.text_offset - b.text_offset
+ 
+         return 0
+-    )
+ 
++    return cfi_cmp
++
++
++
++def sort_cfis(array_of_cfis):
++    key_map = {cfi: cfi_sort_key(cfi) for cfi in array_of_cfis}
++    Array.prototype.sort.call(array_of_cfis, create_cfi_cmp(key_map))
+ # }}}
+ 
+ def at(x, y, doc):  # {{{
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0160-Keep-annotations-sorted-in-CFI-order-when-merging.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0160-Keep-annotations-sorted-in-CFI-order-when-merging.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0160-Keep-annotations-sorted-in-CFI-order-when-merging.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0160-Keep-annotations-sorted-in-CFI-order-when-merging.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,172 @@
+From ee8b4021e1c48bb1ad745c998ddae26166afdad9 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Tue, 30 Jun 2020 11:24:41 +0530
+Subject: [PATCH 160/201] Keep annotations sorted in CFI order when merging
+
+---
+ setup/test.py                          |  2 +
+ src/calibre/ebooks/epub/cfi/parse.py   |  2 +-
+ src/calibre/gui2/viewer/annotations.py | 90 ++++++++++++++++++++++++--
+ 3 files changed, 86 insertions(+), 8 deletions(-)
+
+diff --git a/setup/test.py b/setup/test.py
+index 8ad1b997a0..5cc4d5a3b5 100644
+--- a/setup/test.py
++++ b/setup/test.py
+@@ -120,6 +120,8 @@ def find_tests(which_tests=None, exclude_tests=None):
+         a(find_tests())
+         from calibre.utils.xml_parse import find_tests
+         a(find_tests())
++        from calibre.gui2.viewer.annotations import find_tests
++        a(find_tests())
+     if ok('misc'):
+         from calibre.ebooks.metadata.tag_mapper import find_tests
+         a(find_tests())
+diff --git a/src/calibre/ebooks/epub/cfi/parse.py b/src/calibre/ebooks/epub/cfi/parse.py
+index 5ffb9e55f9..548710d646 100644
+--- a/src/calibre/ebooks/epub/cfi/parse.py
++++ b/src/calibre/ebooks/epub/cfi/parse.py
+@@ -191,7 +191,7 @@ def cfi_sort_key(cfi, only_path=True):
+         return (), (0, (0, 0), 0)
+     if not pcfi:
+         import sys
+-        print('Failed to parse CFI: %r' % pcfi, file=sys.stderr)
++        print('Failed to parse CFI: %r' % cfi, file=sys.stderr)
+         return (), (0, (0, 0), 0)
+     steps = get_steps(pcfi)
+     step_nums = tuple(s.get('num', 0) for s in steps)
+diff --git a/src/calibre/gui2/viewer/annotations.py b/src/calibre/gui2/viewer/annotations.py
+index e4e769fec4..9574028200 100644
+--- a/src/calibre/gui2/viewer/annotations.py
++++ b/src/calibre/gui2/viewer/annotations.py
+@@ -6,9 +6,11 @@
+ import os
+ from collections import defaultdict
+ from io import BytesIO
++from itertools import chain
+ from operator import itemgetter
+ from threading import Thread
+ 
++from calibre.ebooks.epub.cfi.parse import cfi_sort_key
+ from calibre.gui2.viewer.convert_book import update_book
+ from calibre.gui2.viewer.integration import save_annotations_list_to_library
+ from calibre.gui2.viewer.web_view import viewer_config_dir
+@@ -23,30 +25,76 @@ from polyglot.builtins import iteritems, itervalues
+ from polyglot.queue import Queue
+ 
+ annotations_dir = os.path.join(viewer_config_dir, 'annots')
++no_cfi_sort_key = cfi_sort_key('/99999999')
+ 
+ 
+ def parse_annotations(raw):
+     return list(_parse_annotations(raw))
+ 
+ 
+-def merge_annots_with_identical_field(annots, field='title'):
++def bookmark_sort_key(b):
++    if b.get('pos_type') == 'epubcfi':
++        return cfi_sort_key(b['pos'], only_path=False)
++    return no_cfi_sort_key
++
++
++def highlight_sort_key(hl):
++    cfi = hl.get('start_cfi')
++    if cfi:
++        return cfi_sort_key(cfi, only_path=False)
++    return no_cfi_sort_key
++
++
++def sort_annot_list_by_position_in_book(annots, annot_type):
++    annots.sort(key={'bookmark': bookmark_sort_key, 'highlight': highlight_sort_key}[annot_type])
++
++
++def merge_annots_with_identical_field(a, b, field='title'):
+     title_groups = defaultdict(list)
+-    for a in annots:
+-        title_groups[a[field]].append(a)
++    for x in chain(a, b):
++        title_groups[x[field]].append(x)
+     for tg in itervalues(title_groups):
+         tg.sort(key=itemgetter('timestamp'), reverse=True)
+     seen = set()
+-    for a in annots:
+-        title = a[field]
++    changed = False
++    ans = []
++    for x in chain(a, b):
++        title = x[field]
+         if title not in seen:
+             seen.add(title)
+-            yield title_groups[title][0]
++            grp = title_groups[title]
++            if len(grp) > 1 and grp[0]['timestamp'] != grp[1]['timestamp']:
++                changed = True
++            ans.append(grp[0])
++    if len(ans) != len(a) or len(ans) != len(b):
++        changed = True
++    return changed, ans
++
++
++def merge_annot_lists(a, b, annot_type):
++    if not a:
++        return list(b)
++    if not b:
++        return list(a)
++    if annot_type == 'last-read':
++        ans = a + b
++        ans.sort(key=itemgetter('timestamp'), reverse=True)
++        return ans
++    merge_field = {'bookmark': 'title', 'highlight': 'uuid'}.get(annot_type)
++    if merge_field is None:
++        return a + b
++    changed, c = merge_annots_with_identical_field(a, b, merge_field)
++    if changed:
++        sort_annot_list_by_position_in_book(c, annot_type)
++    return c
+ 
+ 
+ def merge_annotations(annots, annots_map):
++    amap = {}
+     for annot in annots:
+         annot = parse_annotation(annot)
+-        annots_map[annot.pop('type')].append(annot)
++        atype = annot.pop('type')
++        amap.setdefault(atype, []).append(annot)
+     lr = annots_map['last-read']
+     if lr:
+         lr.sort(key=itemgetter('timestamp'), reverse=True)
+@@ -143,3 +191,31 @@ class AnnotationsSaveWorker(Thread):
+             'pathtoebook': current_book_data['pathtoebook'],
+             'in_book_file': in_book_file and can_save_in_book_file
+         })
++
++
++def find_tests():
++    import unittest
++
++    def bm(title, bmid, year=20, first_cfi_number=1):
++        return {
++            'title': title, 'id': bmid, 'timestamp': '20{}-06-29T03:21:48.895323+00:00'.format(year),
++            'pos_type': 'epubcfi', 'pos': 'epubcfi(/{}/4/8)'.format(first_cfi_number)
++        }
++
++    def hl(uuid, hlid, year=20, first_cfi_number=1):
++        return {
++            'uuid': uuid, 'id': hlid, 'timestamp': '20{}-06-29T03:21:48.895323+00:00'.format(year),
++            'start_cfi': 'epubcfi(/{}/4/8)'.format(first_cfi_number)
++        }
++
++    class AnnotationsTest(unittest.TestCase):
++
++        def test_merge_annotations(self):
++            for atype in 'bookmark highlight'.split():
++                f = bm if atype == 'bookmark' else hl
++                a = [f('one', 1, 20, 2), f('two', 2, 20, 4), f('a', 3, 20, 16),]
++                b = [f('one', 10, 30, 2), f('two', 20, 10, 4), f('b', 30, 20, 8),]
++                c = merge_annot_lists(a, b, atype)
++                self.assertEqual(tuple(map(itemgetter('id'), c)), (10, 2, 30, 3))
++
++    return unittest.TestLoader().loadTestsFromTestCase(AnnotationsTest)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0161-Implement-merging-of-annotations-in-rapydscript.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0161-Implement-merging-of-annotations-in-rapydscript.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0161-Implement-merging-of-annotations-in-rapydscript.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0161-Implement-merging-of-annotations-in-rapydscript.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,168 @@
+From 558ed824165c6e05aa37478a49d7564e8f053205 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Tue, 30 Jun 2020 13:55:56 +0530
+Subject: [PATCH 161/201] Implement merging of annotations in rapydscript
+
+---
+ src/pyj/read_book/annotations.pyj | 93 +++++++++++++++++++++++++++++++
+ src/pyj/test.pyj                  |  1 +
+ src/pyj/test_annotations.pyj      | 35 ++++++++++++
+ 3 files changed, 129 insertions(+)
+ create mode 100644 src/pyj/read_book/annotations.pyj
+ create mode 100644 src/pyj/test_annotations.pyj
+
+diff --git a/src/pyj/read_book/annotations.pyj b/src/pyj/read_book/annotations.pyj
+new file mode 100644
+index 0000000000..de12408f7f
+--- /dev/null
++++ b/src/pyj/read_book/annotations.pyj
+@@ -0,0 +1,93 @@
++# vim:fileencoding=utf-8
++# License: GPL v3 Copyright: 2020, Kovid Goyal <kovid at kovidgoyal.net>
++from __python__ import bound_methods, hash_literals
++
++from read_book.cfi import create_cfi_cmp, cfi_sort_key
++
++
++no_cfi = '/99999999'
++
++
++def bookmark_get_cfi(b):
++    if b.pos_type is 'epubcfi':
++        return b.pos[8:-1]
++
++
++def highlight_get_cfi(hl):
++    cfi = hl.start_cfi
++    if cfi:
++        return cfi[8:-1]
++
++
++def sort_annot_list(annots, get_cfi_func):
++    key_map = {no_cfi: cfi_sort_key(no_cfi)}
++    for annot in annots:
++        cfi = get_cfi_func(annot)
++        if cfi and not key_map[cfi]:
++            key_map[cfi] = cfi_sort_key(cfi)
++    cfi_cmp = create_cfi_cmp(key_map)
++    annots.sort(def (a, b):
++        acfi = get_cfi_func(a) or no_cfi
++        bcfi = get_cfi_func(b) or no_cfi
++        return cfi_cmp(acfi, bcfi)
++    )
++
++
++def annots_descending_cmp(a, b):
++    return -1 if a.timestamp > b.timestamp else (1 if a.timestamp < b.timestamp else 0)
++
++
++def merge_annots_with_identical_field(annots_a, annots_b, field, cfi_getter_func):
++    title_groups = {}
++    changed = False
++    all_annots = annots_a.concat(annots_b)
++    for a in all_annots:
++        q = title_groups[a[field]]
++        if not q:
++            q = title_groups[a[field]] = v'[]'
++        q.push(a)
++    for tg in Object.values(title_groups):
++        tg.sort(annots_descending_cmp)
++    seen = {}
++    ans = v'[]'
++    for a in all_annots:
++        title = a[field]
++        if not seen[title]:
++            seen[title] = True
++            candidates = title_groups[title]
++            if not changed and candidates.length > 1 and candidates[0].timestamp is not candidates[1].timestamp:
++                changed = True
++            ans.push(title_groups[title][0])
++    if ans.length is not annots_a.length or ans.length is not annots_b.length:
++        changed = True
++    if changed:
++        sort_annot_list(ans, cfi_getter_func)
++    return changed, ans
++
++
++field_map = {'bookmark': 'title', 'highlight': 'uuid'}
++getter_map = {'bookmark': bookmark_get_cfi, 'highlight': highlight_get_cfi}
++
++
++def merge_annot_lists(a, b, field):
++    key_field = field_map[field]
++    return merge_annots_with_identical_field(a, b, key_field, getter_map[field])
++
++
++def merge_annotation_maps(a, b):
++    updated = False
++    ans = {}
++    for field in field_map:
++        a_items = a[field] or v'[]'
++        b_items = b[field] or v'[]'
++        if not a_items.length:
++            ans[field] = b_items
++            continue
++        if not b_items.length:
++            ans[field] = a_items
++            continue
++        changed, ans[field] = merge_annot_lists(a_items, b_items, field)
++        if changed:
++            updated = True
++
++    return updated, ans
+diff --git a/src/pyj/test.pyj b/src/pyj/test.pyj
+index d3751b00a6..95373dde7a 100644
+--- a/src/pyj/test.pyj
++++ b/src/pyj/test.pyj
+@@ -8,6 +8,7 @@ import initialize  # noqa: unused-import
+ import test_date  # noqa: unused-import
+ import test_utils  # noqa: unused-import
+ import read_book.test_cfi  # noqa: unused-import
++import test_annotations  # noqa: unused-import
+ 
+ from testing import registered_tests, reset_dom
+ 
+diff --git a/src/pyj/test_annotations.pyj b/src/pyj/test_annotations.pyj
+new file mode 100644
+index 0000000000..651678445c
+--- /dev/null
++++ b/src/pyj/test_annotations.pyj
+@@ -0,0 +1,35 @@
++# vim:fileencoding=utf-8
++# License: GPL v3 Copyright: 2020, Kovid Goyal <kovid at kovidgoyal.net>
++from __python__ import bound_methods, hash_literals
++
++from read_book.annotations import merge_annot_lists
++from testing import assert_equal, test, assert_true
++
++
++def bm(title, bmid, year=20, first_cfi_number=1):
++    return {
++        'title': title, 'id': bmid, 'timestamp': str.format('20{}-06-29T03:21:48.895323+00:00', year),
++        'pos_type': 'epubcfi', 'pos': str.format('epubcfi(/{}/4/8)', first_cfi_number)
++    }
++
++
++def hl(uuid, hlid, year=20, first_cfi_number=1):
++    return {
++        'uuid': uuid, 'id': hlid, 'timestamp': str.format('20{}-06-29T03:21:48.895323+00:00', year),
++        'start_cfi': str.format('epubcfi(/{}/4/8)', first_cfi_number)
++    }
++
++
++@test
++def merging_annotations():
++    for atype in 'bookmark highlight'.split(' '):
++        f = bm if atype == 'bookmark' else hl
++        a = [f('one', 1, 20, 2), f('two', 2, 20, 4), f('a', 3, 20, 16),]
++        b = [f('one', 10, 30, 2), f('two', 20, 10, 4), f('b', 30, 20, 8),]
++        changed, c = merge_annot_lists(a, b, atype)
++        assert_true(changed)
++
++        def get_id(x):
++            return x.id
++
++        assert_equal(list(map(get_id, c)), [10, 2, 30, 3])
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0162-Work-on-adding-annotations-support-to-the-in-browser.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0162-Work-on-adding-annotations-support-to-the-in-browser.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0162-Work-on-adding-annotations-support-to-the-in-browser.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0162-Work-on-adding-annotations-support-to-the-in-browser.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,740 @@
+From c5254bb706ff341f081669fc30da6a3abe3ddb1e Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Tue, 30 Jun 2020 22:47:42 +0530
+Subject: [PATCH 162/201] Work on adding annotations support to the in-browser
+ viewer
+
+As part of that desktop viewer's annotations handling has been made more
+robust, with merging of annotations, and sorting after merge based on
+CFI
+---
+ src/calibre/db/annotations.py          |  88 +++++++++++++++++++++
+ src/calibre/db/cache.py                |  10 +++
+ src/calibre/gui2/viewer/annotations.py | 101 ++-----------------------
+ src/calibre/gui2/viewer/bookmarks.py   |  10 +--
+ src/calibre/gui2/viewer/integration.py |  12 ++-
+ src/calibre/gui2/viewer/ui.py          |  14 +---
+ src/calibre/srv/books.py               |  50 +++++++++++-
+ src/calibre/srv/render_book.py         |  15 +---
+ src/pyj/book_list/home.pyj             |  34 ++++++---
+ src/pyj/book_list/library_data.pyj     |   2 +-
+ src/pyj/read_book/annotations.pyj      |   2 +
+ src/pyj/read_book/db.pyj               |  37 +++++++--
+ src/pyj/read_book/ui.pyj               |  11 ++-
+ src/pyj/read_book/view.pyj             |  11 ++-
+ 14 files changed, 247 insertions(+), 150 deletions(-)
+ create mode 100644 src/calibre/db/annotations.py
+
+diff --git a/src/calibre/db/annotations.py b/src/calibre/db/annotations.py
+new file mode 100644
+index 0000000000..18cc81cc64
+--- /dev/null
++++ b/src/calibre/db/annotations.py
+@@ -0,0 +1,88 @@
++#!/usr/bin/env python2
++# vim:fileencoding=utf-8
++# License: GPL v3 Copyright: 2020, Kovid Goyal <kovid at kovidgoyal.net>
++
++from __future__ import absolute_import, division, print_function, unicode_literals
++
++from collections import defaultdict
++from itertools import chain
++from operator import itemgetter
++
++from calibre.ebooks.epub.cfi.parse import cfi_sort_key
++from polyglot.builtins import itervalues
++
++no_cfi_sort_key = cfi_sort_key('/99999999')
++
++
++def bookmark_sort_key(b):
++    if b.get('pos_type') == 'epubcfi':
++        return cfi_sort_key(b['pos'], only_path=False)
++    return no_cfi_sort_key
++
++
++def highlight_sort_key(hl):
++    cfi = hl.get('start_cfi')
++    if cfi:
++        return cfi_sort_key(cfi, only_path=False)
++    return no_cfi_sort_key
++
++
++def sort_annot_list_by_position_in_book(annots, annot_type):
++    annots.sort(key={'bookmark': bookmark_sort_key, 'highlight': highlight_sort_key}[annot_type])
++
++
++def merge_annots_with_identical_field(a, b, field='title'):
++    title_groups = defaultdict(list)
++    for x in chain(a, b):
++        title_groups[x[field]].append(x)
++    for tg in itervalues(title_groups):
++        tg.sort(key=itemgetter('timestamp'), reverse=True)
++    seen = set()
++    changed = False
++    ans = []
++    for x in chain(a, b):
++        title = x[field]
++        if title not in seen:
++            seen.add(title)
++            grp = title_groups[title]
++            if len(grp) > 1 and grp[0]['timestamp'] != grp[1]['timestamp']:
++                changed = True
++            ans.append(grp[0])
++    if len(ans) != len(a) or len(ans) != len(b):
++        changed = True
++    return changed, ans
++
++
++def merge_annot_lists(a, b, annot_type):
++    if not a:
++        return list(b)
++    if not b:
++        return list(a)
++    if annot_type == 'last-read':
++        ans = a + b
++        ans.sort(key=itemgetter('timestamp'), reverse=True)
++        return ans
++    merge_field = {'bookmark': 'title', 'highlight': 'uuid'}.get(annot_type)
++    if merge_field is None:
++        return a + b
++    changed, c = merge_annots_with_identical_field(a, b, merge_field)
++    if changed:
++        sort_annot_list_by_position_in_book(c, annot_type)
++    return c
++
++
++def merge_annotations(annots, annots_map):
++    # If you make changes to this algorithm also update the
++    # implementation in read_book.annotations
++    amap = defaultdict(list)
++    for annot in annots:
++        amap[annot['type']].append(annot)
++    lr = annots_map.get('last-read')
++    if lr:
++        lr.sort(key=itemgetter('timestamp'), reverse=True)
++    for annot_type, field in {'bookmark': 'title', 'highlight': 'uuid'}.items():
++        a = annots_map.get(annot_type)
++        b = amap[annot_type]
++        if not b:
++            continue
++        changed, annots_map[annot_type] = merge_annots_with_identical_field(a or [], b, field=field)
+diff --git a/src/calibre/db/cache.py b/src/calibre/db/cache.py
+index 5cadaddc5f..c1abceafc6 100644
+--- a/src/calibre/db/cache.py
++++ b/src/calibre/db/cache.py
+@@ -17,6 +17,7 @@ from calibre import isbytestring, as_unicode
+ from calibre.constants import iswindows, preferred_encoding
+ from calibre.customize.ui import run_plugins_on_import, run_plugins_on_postimport, run_plugins_on_postadd
+ from calibre.db import SPOOL_SIZE, _get_next_series_num_for_list
++from calibre.db.annotations import merge_annotations
+ from calibre.db.categories import get_categories
+ from calibre.db.locking import create_locks, DowngradeLockError, SafeReadLock
+ from calibre.db.errors import NoSuchFormat, NoSuchBook
+@@ -2343,6 +2344,15 @@ class Cache(object):
+     def set_annotations_for_book(self, book_id, fmt, annots_list, user_type='local', user='viewer'):
+         self.backend.set_annotations_for_book(book_id, fmt, annots_list, user_type, user)
+ 
++    @write_api
++    def merge_annotations_for_book(self, book_id, fmt, annots_list, user_type='local', user='viewer'):
++        amap = self._annotations_map_for_book(book_id, fmt, user_type=user_type, user=user)
++        merge_annotations(annots_list, amap)
++        alist = []
++        for val in itervalues(amap):
++            alist.extend(val)
++        self._set_annotations_for_book(book_id, fmt, alist, user_type=user_type, user=user)
++
+ 
+ def import_library(library_key, importer, library_path, progress=None, abort=None):
+     from calibre.db.backend import DB
+diff --git a/src/calibre/gui2/viewer/annotations.py b/src/calibre/gui2/viewer/annotations.py
+index 9574028200..e1454c5b93 100644
+--- a/src/calibre/gui2/viewer/annotations.py
++++ b/src/calibre/gui2/viewer/annotations.py
+@@ -4,117 +4,32 @@
+ 
+ 
+ import os
+-from collections import defaultdict
+ from io import BytesIO
+-from itertools import chain
+ from operator import itemgetter
+ from threading import Thread
+ 
+-from calibre.ebooks.epub.cfi.parse import cfi_sort_key
++from calibre.db.annotations import merge_annot_lists
+ from calibre.gui2.viewer.convert_book import update_book
+ from calibre.gui2.viewer.integration import save_annotations_list_to_library
+ from calibre.gui2.viewer.web_view import viewer_config_dir
+-from calibre.srv.render_book import (
+-    EPUB_FILE_TYPE_MAGIC, parse_annotation, parse_annotations as _parse_annotations
+-)
++from calibre.srv.render_book import EPUB_FILE_TYPE_MAGIC
+ from calibre.utils.date import EPOCH
+-from calibre.utils.serialize import json_dumps
++from calibre.utils.iso8601 import parse_iso8601
++from calibre.utils.serialize import json_dumps, json_loads
+ from calibre.utils.zipfile import safe_replace
+ from polyglot.binary import as_base64_bytes
+-from polyglot.builtins import iteritems, itervalues
++from polyglot.builtins import iteritems
+ from polyglot.queue import Queue
+ 
+ annotations_dir = os.path.join(viewer_config_dir, 'annots')
+-no_cfi_sort_key = cfi_sort_key('/99999999')
+-
+-
+-def parse_annotations(raw):
+-    return list(_parse_annotations(raw))
+-
+-
+-def bookmark_sort_key(b):
+-    if b.get('pos_type') == 'epubcfi':
+-        return cfi_sort_key(b['pos'], only_path=False)
+-    return no_cfi_sort_key
+-
+-
+-def highlight_sort_key(hl):
+-    cfi = hl.get('start_cfi')
+-    if cfi:
+-        return cfi_sort_key(cfi, only_path=False)
+-    return no_cfi_sort_key
+-
+-
+-def sort_annot_list_by_position_in_book(annots, annot_type):
+-    annots.sort(key={'bookmark': bookmark_sort_key, 'highlight': highlight_sort_key}[annot_type])
+-
+-
+-def merge_annots_with_identical_field(a, b, field='title'):
+-    title_groups = defaultdict(list)
+-    for x in chain(a, b):
+-        title_groups[x[field]].append(x)
+-    for tg in itervalues(title_groups):
+-        tg.sort(key=itemgetter('timestamp'), reverse=True)
+-    seen = set()
+-    changed = False
+-    ans = []
+-    for x in chain(a, b):
+-        title = x[field]
+-        if title not in seen:
+-            seen.add(title)
+-            grp = title_groups[title]
+-            if len(grp) > 1 and grp[0]['timestamp'] != grp[1]['timestamp']:
+-                changed = True
+-            ans.append(grp[0])
+-    if len(ans) != len(a) or len(ans) != len(b):
+-        changed = True
+-    return changed, ans
+-
+-
+-def merge_annot_lists(a, b, annot_type):
+-    if not a:
+-        return list(b)
+-    if not b:
+-        return list(a)
+-    if annot_type == 'last-read':
+-        ans = a + b
+-        ans.sort(key=itemgetter('timestamp'), reverse=True)
+-        return ans
+-    merge_field = {'bookmark': 'title', 'highlight': 'uuid'}.get(annot_type)
+-    if merge_field is None:
+-        return a + b
+-    changed, c = merge_annots_with_identical_field(a, b, merge_field)
+-    if changed:
+-        sort_annot_list_by_position_in_book(c, annot_type)
+-    return c
+-
+-
+-def merge_annotations(annots, annots_map):
+-    amap = {}
+-    for annot in annots:
+-        annot = parse_annotation(annot)
+-        atype = annot.pop('type')
+-        amap.setdefault(atype, []).append(annot)
+-    lr = annots_map['last-read']
+-    if lr:
+-        lr.sort(key=itemgetter('timestamp'), reverse=True)
+-    for annot_type, field in {'bookmark': 'title', 'highlight': 'uuid'}.items():
+-        a = annots_map.get(annot_type)
+-        if a and len(a) > 1:
+-            annots_map[annot_type] = list(merge_annots_with_identical_field(a, field=field))
+-
+-
+-def serialize_annotation(annot):
+-    annot = annot.copy()
+-    annot['timestamp'] = annot['timestamp'].isoformat()
+-    return annot
++parse_annotations = json_loads
+ 
+ 
+ def annotations_as_copied_list(annots_map):
+     for atype, annots in iteritems(annots_map):
+         for annot in annots:
+-            ts = (annot['timestamp'] - EPOCH).total_seconds()
+-            annot = serialize_annotation(annot)
++            ts = (parse_iso8601(annot['timestamp'], assume_utc=True) - EPOCH).total_seconds()
++            annot = annot.copy()
+             annot['type'] = atype
+             yield annot, ts
+ 
+diff --git a/src/calibre/gui2/viewer/bookmarks.py b/src/calibre/gui2/viewer/bookmarks.py
+index 9941152dc5..2c6892614c 100644
+--- a/src/calibre/gui2/viewer/bookmarks.py
++++ b/src/calibre/gui2/viewer/bookmarks.py
+@@ -11,9 +11,7 @@ from PyQt5.Qt import (
+ )
+ 
+ from calibre.gui2 import choose_files, choose_save_file
+-from calibre.gui2.viewer.annotations import serialize_annotation
+ from calibre.gui2.viewer.shortcuts import get_shortcut_for
+-from calibre.srv.render_book import parse_annotation
+ from calibre.utils.date import EPOCH, utcnow
+ from calibre.utils.icu import sort_key
+ from polyglot.builtins import range, unicode_type
+@@ -231,8 +229,7 @@ class BookmarkManager(QWidget):
+             self, 'export-viewer-bookmarks', _('Export bookmarks'),
+             filters=[(_('Saved bookmarks'), ['calibre-bookmarks'])], all_files=False, initial_filename='bookmarks.calibre-bookmarks')
+         if filename:
+-            entries = [serialize_annotation(a) for a in self.get_bookmarks()]
+-            data = json.dumps({'type': 'bookmarks', 'entries': entries}, indent=True)
++            data = json.dumps({'type': 'bookmarks', 'entries': self.get_bookmarks()}, indent=True)
+             if not isinstance(data, bytes):
+                 data = data.encode('utf-8')
+             with lopen(filename, 'wb') as fileobj:
+@@ -273,9 +270,8 @@ class BookmarkManager(QWidget):
+                 return
+             bookmarks = self.get_bookmarks()
+             for bm in imported['entries']:
+-                q = parse_annotation(bm)
+-                if q not in bookmarks:
+-                    bookmarks.append(q)
++                if bm not in bookmarks:
++                    bookmarks.append(bm)
+             self.set_bookmarks(bookmarks)
+             self.edited.emit(self.get_bookmarks())
+ 
+diff --git a/src/calibre/gui2/viewer/integration.py b/src/calibre/gui2/viewer/integration.py
+index 95ad0a555b..1a17361778 100644
+--- a/src/calibre/gui2/viewer/integration.py
++++ b/src/calibre/gui2/viewer/integration.py
+@@ -41,7 +41,9 @@ def load_annotations_map_from_library(book_library_details):
+ 
+ def save_annotations_list_to_library(book_library_details, alist):
+     import apsw
+-    from calibre.db.backend import save_annotations_for_book, Connection
++    from calibre.db.backend import save_annotations_for_book, Connection, annotations_for_book
++    from calibre.gui2.viewer.annotations import annotations_as_copied_list
++    from calibre.db.annotations import merge_annotations
+     dbpath = book_library_details['dbpath']
+     try:
+         conn = apsw.Connection(dbpath, flags=apsw.SQLITE_OPEN_READWRITE)
+@@ -49,7 +51,13 @@ def save_annotations_list_to_library(book_library_details, alist):
+         return
+     try:
+         conn.setbusytimeout(Connection.BUSY_TIMEOUT)
++        amap = {}
+         with conn:
+-            save_annotations_for_book(conn.cursor(), book_library_details['book_id'], book_library_details['fmt'], alist)
++            cursor = conn.cursor()
++            for annot in annotations_for_book(cursor, book_library_details['book_id'], book_library_details['fmt']):
++                amap.setdefault(annot['type'], []).append(annot)
++            merge_annotations((x[0] for x in alist), amap)
++            alist = tuple(annotations_as_copied_list(amap))
++            save_annotations_for_book(cursor, book_library_details['book_id'], book_library_details['fmt'], alist)
+     finally:
+         conn.close()
+diff --git a/src/calibre/gui2/viewer/ui.py b/src/calibre/gui2/viewer/ui.py
+index 339848b1db..21eec2c370 100644
+--- a/src/calibre/gui2/viewer/ui.py
++++ b/src/calibre/gui2/viewer/ui.py
+@@ -19,13 +19,13 @@ from PyQt5.Qt import (
+ from calibre import prints
+ from calibre.constants import DEBUG
+ from calibre.customize.ui import available_input_formats
++from calibre.db.annotations import merge_annotations
+ from calibre.gui2 import choose_files, error_dialog
+ from calibre.gui2.dialogs.drm_error import DRMErrorMessage
+ from calibre.gui2.image_popup import ImagePopup
+ from calibre.gui2.main_window import MainWindow
+ from calibre.gui2.viewer.annotations import (
+-    AnnotationsSaveWorker, annotations_dir, merge_annotations, parse_annotations,
+-    serialize_annotation
++    AnnotationsSaveWorker, annotations_dir, parse_annotations
+ )
+ from calibre.gui2.viewer.bookmarks import BookmarkManager
+ from calibre.gui2.viewer.convert_book import clean_running_workers, prepare_book
+@@ -44,7 +44,6 @@ from calibre.gui2.viewer.web_view import (
+ from calibre.utils.date import utcnow
+ from calibre.utils.img import image_from_path
+ from calibre.utils.ipc.simple_worker import WorkerError
+-from calibre.utils.iso8601 import parse_iso8601
+ from calibre.utils.monotonic import monotonic
+ from calibre.utils.serialize import json_loads
+ from polyglot.builtins import as_bytes, as_unicode, iteritems, itervalues
+@@ -531,10 +530,7 @@ class EbookViewer(MainWindow):
+                 initial_position = {'type': 'bookpos', 'data': float(open_at)}
+         highlights = self.current_book_data['annotations_map']['highlight']
+         self.highlights_widget.load(highlights)
+-        self.web_view.start_book_load(
+-            initial_position=initial_position,
+-            highlights=list(map(serialize_annotation, highlights))
+-        )
++        self.web_view.start_book_load(initial_position=initial_position, highlights=highlights)
+ 
+     def load_book_data(self, calibre_book_data=None):
+         self.current_book_data['book_library_details'] = get_book_library_details(self.current_book_data['pathtoebook'])
+@@ -599,7 +595,7 @@ class EbookViewer(MainWindow):
+         if not self.current_book_data:
+             return
+         self.current_book_data['annotations_map']['last-read'] = [{
+-            'pos': cfi, 'pos_type': 'epubcfi', 'timestamp': utcnow()}]
++            'pos': cfi, 'pos_type': 'epubcfi', 'timestamp': utcnow().isoformat()}]
+         self.save_pos_timer.start()
+     # }}}
+ 
+@@ -615,8 +611,6 @@ class EbookViewer(MainWindow):
+     def highlights_changed(self, highlights):
+         if not self.current_book_data:
+             return
+-        for h in highlights:
+-            h['timestamp'] = parse_iso8601(h['timestamp'], assume_utc=True)
+         amap = self.current_book_data['annotations_map']
+         amap['highlight'] = highlights
+         self.highlights_widget.refresh(highlights)
+diff --git a/src/calibre/srv/books.py b/src/calibre/srv/books.py
+index 36f8aad7bb..8a7534124a 100644
+--- a/src/calibre/srv/books.py
++++ b/src/calibre/srv/books.py
+@@ -21,7 +21,7 @@ from calibre.srv.routes import endpoint, json
+ from calibre.srv.utils import get_db, get_library_data
+ from calibre.utils.filenames import rmtree
+ from calibre.utils.serialize import json_dumps
+-from polyglot.builtins import as_unicode, map
++from polyglot.builtins import as_unicode, itervalues, map
+ 
+ cache_lock = RLock()
+ queued_jobs = {}
+@@ -152,6 +152,7 @@ def book_manifest(ctx, rd, book_id, fmt):
+                 ans['metadata'] = book_as_json(db, book_id)
+                 user = rd.username or None
+                 ans['last_read_positions'] = db.get_last_read_positions(book_id, fmt, user) if user else []
++                ans['annotations_map'] = db.annotations_map_for_book(book_id, fmt, user_type='web', user=user) if user else {}
+                 return ans
+             except EnvironmentError as e:
+                 if e.errno != errno.ENOENT:
+@@ -226,6 +227,53 @@ def set_last_read_position(ctx, rd, library_id, book_id, fmt):
+     return b''
+ 
+ 
++@endpoint('/book-get-annotations/{library_id}/{+which}', postprocess=json)
++def get_annotations(ctx, rd, library_id, which):
++    '''
++    Get annotations and last read position data for the specified books, where which is of the form:
++    book_id1-fmt1_book_id2-fmt2,...
++    '''
++    db = get_db(ctx, rd, library_id)
++    user = rd.username or None
++    if not user:
++        raise HTTPNotFound('login required for sync')
++    ans = {}
++    allowed_book_ids = ctx.allowed_book_ids(rd, db)
++    for item in which.split('_'):
++        book_id, fmt = item.partition('-')[::2]
++        try:
++            book_id = int(book_id)
++        except Exception:
++            continue
++        if book_id not in allowed_book_ids:
++            continue
++        key = '{}:{}'.format(book_id, fmt)
++        ans[key] = {
++            'last_read_positions': db.get_last_read_positions(book_id, fmt, user),
++            'annotations_map': db.annotations_map_for_book(book_id, fmt, user_type='web', user=user) if user else {}
++        }
++    return ans
++
++
++@endpoint('/book-update-annotations/{library_id}/{book_id}/{+fmt}', types={'book_id': int}, methods=('POST',))
++def update_annotations(ctx, rd, library_id, book_id, fmt):
++    db = get_db(ctx, rd, library_id)
++    user = rd.username or None
++    if not user:
++        raise HTTPNotFound('login required for sync')
++    if not ctx.has_id(rd, db, book_id):
++        raise BookNotFound(book_id, db)
++    try:
++        amap = jsonlib.load(rd.request_body_file)
++    except Exception:
++        raise HTTPNotFound('Invalid data')
++    alist = []
++    for val in itervalues(amap):
++        if val:
++            alist.extend(val)
++    db.merge_annotations_for_book(book_id, fmt, alist, user_type='web', user=user)
++
++
+ mathjax_lock = Lock()
+ mathjax_manifest = None
+ 
+diff --git a/src/calibre/srv/render_book.py b/src/calibre/srv/render_book.py
+index ec44ed311b..b52570e4bb 100644
+--- a/src/calibre/srv/render_book.py
++++ b/src/calibre/srv/render_book.py
+@@ -41,7 +41,6 @@ from calibre.srv.opts import grouper
+ from calibre.utils.date import EPOCH
+ from calibre.utils.filenames import rmtree
+ from calibre.utils.ipc.simple_worker import start_pipe_worker
+-from calibre.utils.iso8601 import parse_iso8601
+ from calibre.utils.logging import default_log
+ from calibre.utils.serialize import (
+     json_dumps, json_loads, msgpack_dumps, msgpack_loads
+@@ -783,25 +782,13 @@ def serialize_datetimes(d):
+ EPUB_FILE_TYPE_MAGIC = b'encoding=json+base64:\n'
+ 
+ 
+-def parse_annotation(annot):
+-    ts = annot['timestamp']
+-    if hasattr(ts, 'rstrip'):
+-        annot['timestamp'] = parse_iso8601(ts, assume_utc=True)
+-    return annot
+-
+-
+-def parse_annotations(raw):
+-    for annot in json_loads(raw):
+-        yield parse_annotation(annot)
+-
+-
+ def get_stored_annotations(container, bookmark_data):
+     raw = bookmark_data or b''
+     if not raw:
+         return
+     if raw.startswith(EPUB_FILE_TYPE_MAGIC):
+         raw = raw[len(EPUB_FILE_TYPE_MAGIC):].replace(b'\n', b'')
+-        for annot in parse_annotations(from_base64_bytes(raw)):
++        for annot in json_loads(from_base64_bytes(raw)):
+             yield annot
+         return
+ 
+diff --git a/src/pyj/book_list/home.pyj b/src/pyj/book_list/home.pyj
+index f9b2c15068..586e61624d 100644
+--- a/src/pyj/book_list/home.pyj
++++ b/src/pyj/book_list/home.pyj
+@@ -62,20 +62,30 @@ def sync_data_received(library_id, lrmap, load_type, xhr, ev):
+         print('Failed to get book sync data')
+         return
+     data = JSON.parse(xhr.responseText)
+-    for key in data:
++    last_read_data = data.last_read_positions
++
++    db = get_db()
++    for key in last_read_data:
++        new_vals = data[key]
++        entry = {'last_read': None, 'last_read_position': None, 'annotations_map': None}
+         prev_last_read = lrmap[key]
+-        if not prev_last_read:
+-            continue
+-        last_read_positions = data[key]
+-        new_last_read = get_last_read_position(last_read_positions, prev_last_read)
+-        if not new_last_read:
+-            continue
+-        last_read = new Date(new_last_read.epoch * 1000)
+-        cfi = new_last_read.cfi
+-        if cfi:
+-            db = get_db()
++        if prev_last_read:
++            last_read_positions = new_vals.last_read_positions
++            new_last_read = get_last_read_position(last_read_positions, prev_last_read)
++            if new_last_read:
++                last_read = new Date(new_last_read.epoch * 1000)
++                cfi = new_last_read.cfi
++                if cfi:
++                    entry.last_read = last_read
++                    entry.last_read_position = cfi
++        new_amap = new_vals.annotations_map or {}
++        is_empty = True
++        v'for(var ikey in new_amap) { is_empty = false; break; }'
++        if !is_empty:
++            entry.annotations_map = new_amap
++        if entry.last_read_position or entry.annotations_map:
+             book_id, fmt = key.partition(':')[::2]
+-            db.update_last_read_data_from_key(library_id, int(book_id), fmt, last_read, cfi)
++            db.update_annotations_data_from_key(library_id, int(book_id), fmt, entry)
+ 
+ 
+ def start_sync(to_sync):
+diff --git a/src/pyj/book_list/library_data.pyj b/src/pyj/book_list/library_data.pyj
+index 5c96e40900..930b6ee4c5 100644
+--- a/src/pyj/book_list/library_data.pyj
++++ b/src/pyj/book_list/library_data.pyj
+@@ -284,7 +284,7 @@ thumbnail_cache = ThumbnailCache()
+ 
+ 
+ def sync_library_books(library_id, to_sync, callback):
+-    url = f'book-get-last-read-position/{library_id}/'
++    url = f'book-get-annotations/{library_id}/'
+     which = v'[]'
+     lrmap = {}
+     for key, last_read in to_sync:
+diff --git a/src/pyj/read_book/annotations.pyj b/src/pyj/read_book/annotations.pyj
+index de12408f7f..1ff5c40917 100644
+--- a/src/pyj/read_book/annotations.pyj
++++ b/src/pyj/read_book/annotations.pyj
+@@ -75,6 +75,8 @@ def merge_annot_lists(a, b, field):
+ 
+ 
+ def merge_annotation_maps(a, b):
++    # If you make changes to this algorithm also update the
++    # implementation in calibre.db.annotations
+     updated = False
+     ans = {}
+     for field in field_map:
+diff --git a/src/pyj/read_book/db.pyj b/src/pyj/read_book/db.pyj
+index 9306aa49e8..e82093bfc6 100644
+--- a/src/pyj/read_book/db.pyj
++++ b/src/pyj/read_book/db.pyj
+@@ -7,6 +7,7 @@ from gettext import gettext as _
+ 
+ from book_list.router import is_reading_book
+ from modals import error_dialog
++from read_book.annotations import merge_annotation_maps
+ from session import get_interface_data
+ from utils import username_key
+ 
+@@ -59,6 +60,7 @@ def new_book(key, metadata):
+         'recent_date': new Date(),
+         'last_read': {},
+         'last_read_position': {},
++        'annotations_map': {},
+     }
+ 
+ 
+@@ -188,6 +190,8 @@ class DB:
+         book_id = int(book_id)
+         key = v'[library_id, book_id, fmt]'
+         self.do_op(['books'], key, _('Failed to read from the books database'), def(result):
++            if result and not result.annotations_map:
++                result.annotations_map = {}
+             proceed(result or new_book(key, metadata))
+         )
+ 
+@@ -208,13 +212,16 @@ class DB:
+                 if newest_epoch is None or pos.epoch > newest_epoch:
+                     newest_epoch = pos.epoch
+                     newest_pos = pos.cfi
++            unkey = username_key(get_interface_data().username)
+             if newest_pos:
+-                unkey = username_key(get_interface_data().username)
+                 book.last_read[unkey] = new Date(newest_epoch * 1000)
+                 book.last_read_position[unkey] = newest_pos
++            if manifest.annotations_map:
++                book.annotations_map[unkey] = manifest.annotations_map
+ 
+-        v'delete manifest["metadata"]'
+-        v'delete manifest["last_read_positions"]'
++        v'delete manifest.metadata'
++        v'delete manifest.last_read_positions'
++        v'delete manifest.annotations_map'
+         self.do_op(['books'], book, _('Failed to write to the books database'), proceed, op='put')
+ 
+     def store_file(self, book, name, xhr, proceed, is_cover):
+@@ -290,13 +297,29 @@ class DB:
+         book.last_read[unkey] = book.recent_date = now
+         self.do_op(['books'], book, _('Failed to write to the books database'), op='put')
+ 
+-    def update_last_read_data_from_key(self, library_id, book_id, fmt, last_read, last_read_position):
++    def update_annotations_data_from_key(self, library_id, book_id, fmt, new_data):
+         unkey = username_key(get_interface_data().username)
+         self.get_book(library_id, book_id, fmt, None, def(book):
+             if book.metadata:  # book exists
+-                book.last_read[unkey] = book.recent_date = last_read
+-                book.last_read_position[unkey] = last_read_position
+-                self.do_op(['books'], book, _('Failed to write to the books database'), op='put')
++                changed = False
++                if new_data.last_read_position:
++                    book.last_read[unkey] = book.recent_date = new_data.last_read
++                    book.last_read_position[unkey] = new_data.last_read_position
++                    changed = True
++                if not book.annotations_map:
++                    book.annotations_map = v'{}'
++                if new_data.annotations_map:
++                    existing = book.annotations_map[unkey]
++                    if not existing:
++                        changed = True
++                        book.annotations_map[unkey] = new_data.annotations_map
++                    else:
++                        updated, merged = merge_annotation_maps(existing, new_data.annotations_map)
++                        if updated:
++                            changed = True
++                            book.annotations_map[unkey] = merged
++                if changed:
++                    self.do_op(['books'], book, _('Failed to write to the books database'), op='put')
+         )
+ 
+     def get_file(self, book, name, proceed):
+diff --git a/src/pyj/read_book/ui.pyj b/src/pyj/read_book/ui.pyj
+index 667f01e5f3..4b3fa5e7ff 100644
+--- a/src/pyj/read_book/ui.pyj
++++ b/src/pyj/read_book/ui.pyj
+@@ -7,7 +7,7 @@ import traceback
+ from elementmaker import E
+ from gettext import gettext as _
+ 
+-from ajax import ajax
++from ajax import ajax, ajax_send
+ from book_list.constants import read_book_container_id
+ from book_list.library_data import current_library_id, library_data
+ from book_list.router import home, push_state, read_book_mode, update_window_title
+@@ -73,6 +73,7 @@ class ReadUI:
+         ui_operations.focus_iframe = self.focus_iframe.bind(self)
+         ui_operations.toggle_toc = self.toggle_toc.bind(self)
+         ui_operations.toggle_full_screen = self.toggle_full_screen.bind(self)
++        ui_operations.highlights_changed = self.highlights_changed.bind(self)
+ 
+     def on_resize(self):
+         self.view.on_resize()
+@@ -192,6 +193,14 @@ class ReadUI:
+     def update_color_scheme(self):
+         self.view.update_color_scheme()
+ 
++    def highlights_changed(self, highlights):
++        amap = {'highlight': highlights}
++        library_id = self.base_url_data.library_id
++        book_id = self.base_url_data.book_id
++        fmt = self.base_url_data.fmt
++        self.db.update_annotations_data_from_key(library_id, book_id, fmt, amap)
++        ajax_send(f'book-update-annotations/{library_id}/{book_id}/{fmt}', amap, def (): pass;)
++
+     @property
+     def url_data(self):
+         ans = {'library_id':self.base_url_data.library_id, 'book_id':self.base_url_data.book_id, 'fmt': self.base_url_data.fmt}
+diff --git a/src/pyj/read_book/view.pyj b/src/pyj/read_book/view.pyj
+index fbede8ec44..7fbd842e21 100644
+--- a/src/pyj/read_book/view.pyj
++++ b/src/pyj/read_book/view.pyj
+@@ -774,14 +774,21 @@ class View:
+             self.loaded_resources = {}
+             self.content_popup_overlay.loaded_resources = {}
+             self.timers.start_book(book)
++        unkey = username_key(get_interface_data().username)
+         self.book = current_book.book = book
+-        self.annotations_manager.set_highlights(book.highlights or v'[]')
++        hl = None
++        if runtime.is_standalone_viewer:
++            hl = book.highlights
++            v'delete book.highlights'
++        else:
++            if unkey and book.annotations_map[unkey]:
++                hl = book.annotations_map[unkey].highlight
++        self.annotations_manager.set_highlights(hl or v'[]')
+         if runtime.is_standalone_viewer:
+             add_book_to_recently_viewed(book)
+         if ui_operations.update_last_read_time:
+             ui_operations.update_last_read_time(book)
+         pos = {'replace_history':True}
+-        unkey = username_key(get_interface_data().username)
+         name = book.manifest.spine[0]
+         cfi = None
+         if initial_position and initial_position.type is 'cfi' and initial_position.data.startswith('epubcfi(/'):
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0163-Add-syncing-of-annotations-along-with-last-read-posi.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0163-Add-syncing-of-annotations-along-with-last-read-posi.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0163-Add-syncing-of-annotations-along-with-last-read-posi.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0163-Add-syncing-of-annotations-along-with-last-read-posi.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,220 @@
+From 8aeb0ab821eb1783d9c677d9d3ef2df7d8fd7a6e Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Wed, 1 Jul 2020 12:40:42 +0530
+Subject: [PATCH 163/201] Add syncing of annotations along with last read
+ position
+
+---
+ src/pyj/book_list/home.pyj              |  3 +--
+ src/pyj/range_utils.pyj                 |  5 +++++
+ src/pyj/read_book/create_annotation.pyj | 12 ++++++++++++
+ src/pyj/read_book/iframe.pyj            | 11 +++++++++--
+ src/pyj/read_book/overlay.pyj           | 19 +++++++++++--------
+ src/pyj/read_book/ui.pyj                |  7 +++++++
+ src/pyj/read_book/view.pyj              | 10 ++++++++++
+ 7 files changed, 55 insertions(+), 12 deletions(-)
+
+diff --git a/src/pyj/book_list/home.pyj b/src/pyj/book_list/home.pyj
+index 586e61624d..b129f5a36c 100644
+--- a/src/pyj/book_list/home.pyj
++++ b/src/pyj/book_list/home.pyj
+@@ -62,10 +62,9 @@ def sync_data_received(library_id, lrmap, load_type, xhr, ev):
+         print('Failed to get book sync data')
+         return
+     data = JSON.parse(xhr.responseText)
+-    last_read_data = data.last_read_positions
+ 
+     db = get_db()
+-    for key in last_read_data:
++    for key in data:
+         new_vals = data[key]
+         entry = {'last_read': None, 'last_read_position': None, 'annotations_map': None}
+         prev_last_read = lrmap[key]
+diff --git a/src/pyj/range_utils.pyj b/src/pyj/range_utils.pyj
+index 3e7216146a..33511a72e8 100644
+--- a/src/pyj/range_utils.pyj
++++ b/src/pyj/range_utils.pyj
+@@ -53,6 +53,11 @@ def unwrap_crw(crw):
+         unwrap(node)
+ 
+ 
++def unwrap_all_crw():
++    for node in document.querySelectorAll('span[data-calibre-range-wrapper]'):
++        unwrap(node)
++
++
+ def select_crw(crw):
+     nodes = document.querySelectorAll(f'span[data-calibre-range-wrapper="{crw}"]')
+     r = document.createRange()
+diff --git a/src/pyj/read_book/create_annotation.pyj b/src/pyj/read_book/create_annotation.pyj
+index 0f3a67286c..daaff5f288 100644
+--- a/src/pyj/read_book/create_annotation.pyj
++++ b/src/pyj/read_book/create_annotation.pyj
+@@ -10,6 +10,7 @@ from book_list.globals import get_session_data
+ from book_list.theme import cached_color_to_rgba, get_color
+ from dom import clear, ensure_id, svgicon, unique_id
+ from modals import error_dialog, question_dialog
++from read_book.annotations import merge_annotation_maps
+ from read_book.globals import ui_operations
+ from read_book.shortcuts import shortcut_for_key_event
+ 
+@@ -24,6 +25,17 @@ class AnnotationsManager:
+         highlights = highlights or v'[]'
+         self.highlights = {h.uuid: h for h in highlights}
+ 
++    def merge_highlights(self, highlights):
++        highlights = highlights or v'[]'
++        updated = False
++        if highlights.length:
++            base = {'highlight': Object.values(self.highlights)}
++            newvals = {'highlight': highlights}
++            updated, ans = merge_annotation_maps(base, newvals)
++            if updated:
++                self.set_highlights(ans)
++        return updated
++
+     def remove_highlight(self, uuid):
+         h = self.highlights[uuid]
+         if h:
+diff --git a/src/pyj/read_book/iframe.pyj b/src/pyj/read_book/iframe.pyj
+index 0ccf0de307..55ee6c1254 100644
+--- a/src/pyj/read_book/iframe.pyj
++++ b/src/pyj/read_book/iframe.pyj
+@@ -12,8 +12,8 @@ from select import (
+ from fs_images import fix_fullscreen_svg_images
+ from iframe_comm import IframeClient
+ from range_utils import (
+-    reset_highlight_counter, select_crw, set_selection_to_highlight, unwrap_crw,
+-    wrap_text_in_range
++    reset_highlight_counter, select_crw, set_selection_to_highlight, unwrap_all_crw,
++    unwrap_crw, wrap_text_in_range
+ )
+ from read_book.cfi import (
+     cfi_for_selection, range_from_cfi, scroll_to as scroll_to_cfi
+@@ -138,6 +138,7 @@ class IframeBoss:
+             'handle_navigation_shortcut': self.on_handle_navigation_shortcut,
+             'annotations': self.annotations_msg_received,
+             'copy_selection': self.copy_selection,
++            'replace_highlights': self.replace_highlights,
+         }
+         self.comm = IframeClient(handlers)
+         self.last_window_ypos = 0
+@@ -770,6 +771,7 @@ class IframeBoss:
+ 
+     def apply_highlights_on_load(self, highlights):
+         clear_annot_id_uuid_map()
++        reset_highlight_counter()
+         strcmp = v'new Intl.Collator().compare'
+         highlights.sort(def (a, b): return strcmp(a.timestamp, b.timestamp);)
+         for h in highlights:
+@@ -784,6 +786,11 @@ class IframeBoss:
+                     unwrap_crw(crw)
+                     v'delete annot_id_uuid_map[crw]'
+ 
++    def replace_highlights(self, data):
++        highlights = data.highlights
++        unwrap_all_crw()
++        self.apply_highlights_on_load(highlights or v'[]')
++
+     def add_highlight_listeners(self, wrapper):
+         wrapper.addEventListener('dblclick', self.highlight_wrapper_dblclicked)
+ 
+diff --git a/src/pyj/read_book/overlay.pyj b/src/pyj/read_book/overlay.pyj
+index 767bb84b05..6a29ba52ad 100644
+--- a/src/pyj/read_book/overlay.pyj
++++ b/src/pyj/read_book/overlay.pyj
+@@ -131,8 +131,8 @@ class SyncBook:  # {{{
+         container.appendChild(E.div(
+             style='display: flex; flex-direction: column; justify-content: center; align-items: center; height: 100%',
+             E.div(style='margin:1ex 1em; max-width: 80vw',
+-                E.h2(_('Syncing to last read position')),
+-                E.p(_('Downloading last read data from server, please wait...')),
++                E.h2(_('Syncing last read position and annotations')),
++                E.p(_('Downloading data from server, please wait...')),
+                 E.div(style='display:flex; justify-content:flex-end',
+                     create_button(_('Cancel'), action=self.cancel),
+                 )
+@@ -154,25 +154,28 @@ class SyncBook:  # {{{
+             if xhr.responseText is 'login required for sync':
+                 error_dialog(_('Failed to fetch sync data'), _('You must setup user accounts and login to use the sync functionality'))
+             else:
+-                error_dialog(_('Failed to fetch sync data'), _('Failed to download last read data from server, click "Show details" for more information.'), xhr.error_html)
++                error_dialog(_('Failed to fetch sync data'), _('Failed to download sync data from server, click "Show details" for more information.'), xhr.error_html)
+             return
+         data = JSON.parse(xhr.responseText)
+         book = self.overlay.view.book
+         dev = get_device_uuid()
+         epoch = 0
+         ans = None
++        new_annotations_map = None
+         for key in data:
+             book_id, fmt = key.partition(':')[::2]
+             if book_id is str(book.key[1]) and fmt.upper() is book.key[2].upper():
+-                last_read_positions = data[key]
++                new_vals = data[key]
++                last_read_positions = new_vals.last_read_positions
++                new_annotations_map = new_vals.annotations_map
+                 for d in last_read_positions:
+                     if d.device is not dev and d.epoch > epoch:
+                         epoch = d.epoch
+                         ans = d
+-        if ans is not None:
+-            cfi = ans.cfi
+-            if cfi:
+-                self.overlay.view.goto_cfi(cfi)
++                break
++        cfi = ans?.cfi
++        if new_annotations_map or cfi:
++            self.overlay.view.sync_data_received(cfi, new_annotations_map)
+ 
+ 
+ # }}}
+diff --git a/src/pyj/read_book/ui.pyj b/src/pyj/read_book/ui.pyj
+index 4b3fa5e7ff..b228523867 100644
+--- a/src/pyj/read_book/ui.pyj
++++ b/src/pyj/read_book/ui.pyj
+@@ -74,6 +74,7 @@ class ReadUI:
+         ui_operations.toggle_toc = self.toggle_toc.bind(self)
+         ui_operations.toggle_full_screen = self.toggle_full_screen.bind(self)
+         ui_operations.highlights_changed = self.highlights_changed.bind(self)
++        ui_operations.annotations_synced = self.annotations_synced.bind(self)
+ 
+     def on_resize(self):
+         self.view.on_resize()
+@@ -201,6 +202,12 @@ class ReadUI:
+         self.db.update_annotations_data_from_key(library_id, book_id, fmt, amap)
+         ajax_send(f'book-update-annotations/{library_id}/{book_id}/{fmt}', amap, def (): pass;)
+ 
++    def annotations_synced(self, amap):
++        library_id = self.base_url_data.library_id
++        book_id = self.base_url_data.book_id
++        fmt = self.base_url_data.fmt
++        self.db.update_annotations_data_from_key(library_id, book_id, fmt, amap)
++
+     @property
+     def url_data(self):
+         ans = {'library_id':self.base_url_data.library_id, 'book_id':self.base_url_data.book_id, 'fmt': self.base_url_data.fmt}
+diff --git a/src/pyj/read_book/view.pyj b/src/pyj/read_book/view.pyj
+index 7fbd842e21..afa528c8d3 100644
+--- a/src/pyj/read_book/view.pyj
++++ b/src/pyj/read_book/view.pyj
+@@ -988,6 +988,16 @@ class View:
+             process_node(toc)
+         return found
+ 
++    def sync_data_received(self, reading_pos_cfi, annotations_map):
++        if annotations_map:
++            ui_operations.annotations_synced(annotations_map)
++            if annotations_map.highlight:
++                if self.annotations_manager.merge_highlights(annotations_map.highlight):
++                    hl = self.annotations_manager.highlights_for_currently_showing()
++                    self.iframe_wrapper.send_message('replace_highlights', highlights=hl)
++        if reading_pos_cfi:
++            self.goto_cfi(reading_pos_cfi)
++
+     def on_next_spine_item(self, data):
+         spine = self.book.manifest.spine
+         idx = spine.indexOf(self.currently_showing.name)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0164-Allow-storing-annotations-for-anonymous-users.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0164-Allow-storing-annotations-for-anonymous-users.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0164-Allow-storing-annotations-for-anonymous-users.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0164-Allow-storing-annotations-for-anonymous-users.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,47 @@
+From 3a535b49c04be35f022a3a8a3465b0cc52228186 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Wed, 1 Jul 2020 16:49:15 +0530
+Subject: [PATCH 164/201] Allow storing annotations for anonymous users
+
+---
+ src/calibre/srv/books.py | 10 +++-------
+ 1 file changed, 3 insertions(+), 7 deletions(-)
+
+diff --git a/src/calibre/srv/books.py b/src/calibre/srv/books.py
+index 8a7534124a..06a9767854 100644
+--- a/src/calibre/srv/books.py
++++ b/src/calibre/srv/books.py
+@@ -152,7 +152,7 @@ def book_manifest(ctx, rd, book_id, fmt):
+                 ans['metadata'] = book_as_json(db, book_id)
+                 user = rd.username or None
+                 ans['last_read_positions'] = db.get_last_read_positions(book_id, fmt, user) if user else []
+-                ans['annotations_map'] = db.annotations_map_for_book(book_id, fmt, user_type='web', user=user) if user else {}
++                ans['annotations_map'] = db.annotations_map_for_book(book_id, fmt, user_type='web', user=user or '*')
+                 return ans
+             except EnvironmentError as e:
+                 if e.errno != errno.ENOENT:
+@@ -234,9 +234,7 @@ def get_annotations(ctx, rd, library_id, which):
+     book_id1-fmt1_book_id2-fmt2,...
+     '''
+     db = get_db(ctx, rd, library_id)
+-    user = rd.username or None
+-    if not user:
+-        raise HTTPNotFound('login required for sync')
++    user = rd.username or '*'
+     ans = {}
+     allowed_book_ids = ctx.allowed_book_ids(rd, db)
+     for item in which.split('_'):
+@@ -258,9 +256,7 @@ def get_annotations(ctx, rd, library_id, which):
+ @endpoint('/book-update-annotations/{library_id}/{book_id}/{+fmt}', types={'book_id': int}, methods=('POST',))
+ def update_annotations(ctx, rd, library_id, book_id, fmt):
+     db = get_db(ctx, rd, library_id)
+-    user = rd.username or None
+-    if not user:
+-        raise HTTPNotFound('login required for sync')
++    user = rd.username or '*'
+     if not ctx.has_id(rd, db, book_id):
+         raise BookNotFound(book_id, db)
+     try:
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0165-Fix-annotation-merging.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0165-Fix-annotation-merging.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0165-Fix-annotation-merging.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0165-Fix-annotation-merging.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,33 @@
+From ced718ba45a4a0e5d19bad5c9aa13f8aa250dfdf Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Sun, 5 Jul 2020 20:12:48 +0530
+Subject: [PATCH 165/201] Fix annotation merging
+
+---
+ src/calibre/db/cache.py | 6 +++++-
+ 1 file changed, 5 insertions(+), 1 deletion(-)
+
+diff --git a/src/calibre/db/cache.py b/src/calibre/db/cache.py
+index c1abceafc6..954213ada7 100644
+--- a/src/calibre/db/cache.py
++++ b/src/calibre/db/cache.py
+@@ -2346,11 +2346,15 @@ class Cache(object):
+ 
+     @write_api
+     def merge_annotations_for_book(self, book_id, fmt, annots_list, user_type='local', user='viewer'):
++        from calibre.utils.iso8601 import parse_iso8601
++        from calibre.utils.date import EPOCH
+         amap = self._annotations_map_for_book(book_id, fmt, user_type=user_type, user=user)
+         merge_annotations(annots_list, amap)
+         alist = []
+         for val in itervalues(amap):
+-            alist.extend(val)
++            for annot in val:
++                ts = (parse_iso8601(annot['timestamp']) - EPOCH).total_seconds()
++                alist.append((annot, ts))
+         self._set_annotations_for_book(book_id, fmt, alist, user_type=user_type, user=user)
+ 
+ 
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0166-Dont-fail-when-trying-to-read-write-annotations-to-u.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0166-Dont-fail-when-trying-to-read-write-annotations-to-u.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0166-Dont-fail-when-trying-to-read-write-annotations-to-u.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0166-Dont-fail-when-trying-to-read-write-annotations-to-u.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,49 @@
+From 9d4389c4ed42bdc4606dbf279f6d71a81ba80c3b Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Sun, 5 Jul 2020 21:32:09 +0530
+Subject: [PATCH 166/201] Dont fail when trying to read/write annotations to
+ un-upgraded db
+
+---
+ src/calibre/gui2/viewer/integration.py | 11 ++++++++++-
+ 1 file changed, 10 insertions(+), 1 deletion(-)
+
+diff --git a/src/calibre/gui2/viewer/integration.py b/src/calibre/gui2/viewer/integration.py
+index 1a17361778..6ac2821f6b 100644
+--- a/src/calibre/gui2/viewer/integration.py
++++ b/src/calibre/gui2/viewer/integration.py
+@@ -21,6 +21,10 @@ def get_book_library_details(absolute_path_to_ebook):
+     return {'dbpath': dbpath, 'book_id': book_id, 'fmt': absolute_path_to_ebook.rpartition('.')[-1].upper()}
+ 
+ 
++def database_has_annotations_support(cursor):
++    return next(cursor.execute('pragma user_version;'))[0] > 23
++
++
+ def load_annotations_map_from_library(book_library_details):
+     import apsw
+     from calibre.db.backend import annotations_for_book, Connection
+@@ -32,7 +36,10 @@ def load_annotations_map_from_library(book_library_details):
+         return ans
+     try:
+         conn.setbusytimeout(Connection.BUSY_TIMEOUT)
+-        for annot in annotations_for_book(conn.cursor(), book_library_details['book_id'], book_library_details['fmt']):
++        cursor = conn.cursor()
++        if not database_has_annotations_support(cursor):
++            return ans
++        for annot in annotations_for_book(cursor, book_library_details['book_id'], book_library_details['fmt']):
+             ans.setdefault(annot['type'], []).append(annot)
+     finally:
+         conn.close()
+@@ -51,6 +58,8 @@ def save_annotations_list_to_library(book_library_details, alist):
+         return
+     try:
+         conn.setbusytimeout(Connection.BUSY_TIMEOUT)
++        if not database_has_annotations_support(conn.cursor()):
++            return
+         amap = {}
+         with conn:
+             cursor = conn.cursor()
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0167-Forgot-to-bump-db-user_version-in-creation-script.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0167-Forgot-to-bump-db-user_version-in-creation-script.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0167-Forgot-to-bump-db-user_version-in-creation-script.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0167-Forgot-to-bump-db-user_version-in-creation-script.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,22 @@
+From bf958f700832a869c879fc92bdb27ad26914e91d Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 6 Jul 2020 09:00:54 +0530
+Subject: [PATCH 167/201] Forgot to bump db user_version in creation script
+
+---
+ resources/metadata_sqlite.sql | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/resources/metadata_sqlite.sql b/resources/metadata_sqlite.sql
+index 3f8459f74c..6554a2d1e3 100644
+--- a/resources/metadata_sqlite.sql
++++ b/resources/metadata_sqlite.sql
+@@ -633,4 +633,4 @@ CREATE TRIGGER series_update_trg
+         BEGIN
+           UPDATE series SET sort=title_sort(NEW.name) WHERE id=NEW.id;
+         END;
+-pragma user_version=23;
++pragma user_version=24;
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0168-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0168-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0168-.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0168-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,24 @@
+From 6acf9ccf1148da0c4b0f30b1d96dcf90d1e7d619 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 6 Jul 2020 09:31:10 +0530
+Subject: [PATCH 168/201] ...
+
+---
+ src/calibre/srv/books.py | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/src/calibre/srv/books.py b/src/calibre/srv/books.py
+index 06a9767854..a0e3a7b487 100644
+--- a/src/calibre/srv/books.py
++++ b/src/calibre/srv/books.py
+@@ -268,6 +268,7 @@ def update_annotations(ctx, rd, library_id, book_id, fmt):
+         if val:
+             alist.extend(val)
+     db.merge_annotations_for_book(book_id, fmt, alist, user_type='web', user=user)
++    return b''
+ 
+ 
+ mathjax_lock = Lock()
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0169-Fix-annotations-not-being-saved-in-indexeddb-after-c.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0169-Fix-annotations-not-being-saved-in-indexeddb-after-c.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0169-Fix-annotations-not-being-saved-in-indexeddb-after-c.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0169-Fix-annotations-not-being-saved-in-indexeddb-after-c.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,26 @@
+From 6dc57cb956406b5a0bb7fe91200b89d51dcffd1c Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 6 Jul 2020 13:55:20 +0530
+Subject: [PATCH 169/201] Fix annotations not being saved in indexeddb after
+ creation
+
+---
+ src/pyj/read_book/ui.pyj | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/pyj/read_book/ui.pyj b/src/pyj/read_book/ui.pyj
+index b228523867..b501eda402 100644
+--- a/src/pyj/read_book/ui.pyj
++++ b/src/pyj/read_book/ui.pyj
+@@ -199,7 +199,7 @@ class ReadUI:
+         library_id = self.base_url_data.library_id
+         book_id = self.base_url_data.book_id
+         fmt = self.base_url_data.fmt
+-        self.db.update_annotations_data_from_key(library_id, book_id, fmt, amap)
++        self.db.update_annotations_data_from_key(library_id, book_id, fmt, {'annotations_map': amap})
+         ajax_send(f'book-update-annotations/{library_id}/{book_id}/{fmt}', amap, def (): pass;)
+ 
+     def annotations_synced(self, amap):
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0170-Ensure-annotations-span-styles-override-all-others.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0170-Ensure-annotations-span-styles-override-all-others.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0170-Ensure-annotations-span-styles-override-all-others.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0170-Ensure-annotations-span-styles-override-all-others.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,26 @@
+From ad65d882be36e72f274a344430fe0639b9b93f3d Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 6 Jul 2020 13:55:49 +0530
+Subject: [PATCH 170/201] Ensure annotations span styles override all others
+
+---
+ src/pyj/range_utils.pyj | 3 +++
+ 1 file changed, 3 insertions(+)
+
+diff --git a/src/pyj/range_utils.pyj b/src/pyj/range_utils.pyj
+index 33511a72e8..3a044f9646 100644
+--- a/src/pyj/range_utils.pyj
++++ b/src/pyj/range_utils.pyj
+@@ -113,6 +113,9 @@ def wrap_text_in_range(style, r, process_wrapper):
+     wrapper_elem = document.createElement('span')
+     wrapper_elem.dataset.calibreRangeWrapper = v'++wrapper_counter' + ''
+     if style:
++        if !style.endsWith(';'):
++            style += ';'
++        style = str.replace(style, ';', ' !important;')
+         wrapper_elem.setAttribute('style', style)
+ 
+     intersecting_wrappers = {}
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0171-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0171-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0171-.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0171-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,24 @@
+From da67faf60b607cacdf40b74cdca9471c829c442e Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 6 Jul 2020 15:52:09 +0530
+Subject: [PATCH 171/201] ...
+
+---
+ src/pyj/range_utils.pyj | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/src/pyj/range_utils.pyj b/src/pyj/range_utils.pyj
+index 3a044f9646..cccd972168 100644
+--- a/src/pyj/range_utils.pyj
++++ b/src/pyj/range_utils.pyj
+@@ -113,6 +113,7 @@ def wrap_text_in_range(style, r, process_wrapper):
+     wrapper_elem = document.createElement('span')
+     wrapper_elem.dataset.calibreRangeWrapper = v'++wrapper_counter' + ''
+     if style:
++        style = style.rstrip()
+         if !style.endsWith(';'):
+             style += ';'
+         style = str.replace(style, ';', ' !important;')
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0172-Fix-merging-of-last-read-annotations.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0172-Fix-merging-of-last-read-annotations.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0172-Fix-merging-of-last-read-annotations.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0172-Fix-merging-of-last-read-annotations.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,78 @@
+From 4857a78971c267bf05bcdfd67fef94cc2f0293d7 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Wed, 8 Jul 2020 08:55:00 +0530
+Subject: [PATCH 172/201] Fix merging of last-read annotations
+
+---
+ src/calibre/db/annotations.py | 18 ++++++++++++++----
+ src/calibre/gui2/viewer/ui.py |  3 +--
+ 2 files changed, 15 insertions(+), 6 deletions(-)
+
+diff --git a/src/calibre/db/annotations.py b/src/calibre/db/annotations.py
+index 18cc81cc64..32f30297c6 100644
+--- a/src/calibre/db/annotations.py
++++ b/src/calibre/db/annotations.py
+@@ -53,6 +53,9 @@ def merge_annots_with_identical_field(a, b, field='title'):
+     return changed, ans
+ 
+ 
++merge_field_map = {'bookmark': 'title', 'highlight': 'uuid'}
++
++
+ def merge_annot_lists(a, b, annot_type):
+     if not a:
+         return list(b)
+@@ -62,7 +65,7 @@ def merge_annot_lists(a, b, annot_type):
+         ans = a + b
+         ans.sort(key=itemgetter('timestamp'), reverse=True)
+         return ans
+-    merge_field = {'bookmark': 'title', 'highlight': 'uuid'}.get(annot_type)
++    merge_field = merge_field_map.get(annot_type)
+     if merge_field is None:
+         return a + b
+     changed, c = merge_annots_with_identical_field(a, b, merge_field)
+@@ -77,10 +80,17 @@ def merge_annotations(annots, annots_map):
+     amap = defaultdict(list)
+     for annot in annots:
+         amap[annot['type']].append(annot)
+-    lr = annots_map.get('last-read')
++
++    lr = amap.get('last-read')
+     if lr:
+-        lr.sort(key=itemgetter('timestamp'), reverse=True)
+-    for annot_type, field in {'bookmark': 'title', 'highlight': 'uuid'}.items():
++        existing = annots_map.get('last-read')
++        if existing:
++            lr = existing + lr
++        if lr:
++            lr.sort(key=itemgetter('timestamp'), reverse=True)
++            annots_map['last-read'] = [lr[0]]
++
++    for annot_type, field in merge_field_map.items():
+         a = annots_map.get(annot_type)
+         b = amap[annot_type]
+         if not b:
+diff --git a/src/calibre/gui2/viewer/ui.py b/src/calibre/gui2/viewer/ui.py
+index 21eec2c370..fab78b8d02 100644
+--- a/src/calibre/gui2/viewer/ui.py
++++ b/src/calibre/gui2/viewer/ui.py
+@@ -45,7 +45,6 @@ from calibre.utils.date import utcnow
+ from calibre.utils.img import image_from_path
+ from calibre.utils.ipc.simple_worker import WorkerError
+ from calibre.utils.monotonic import monotonic
+-from calibre.utils.serialize import json_loads
+ from polyglot.builtins import as_bytes, as_unicode, iteritems, itervalues
+ 
+ 
+@@ -556,7 +555,7 @@ class EbookViewer(MainWindow):
+         if os.path.exists(path):
+             with open(path, 'rb') as f:
+                 raw = f.read()
+-            merge_annotations(json_loads(raw), amap)
++            merge_annotations(parse_annotations(raw), amap)
+         path = os.path.join(annotations_dir, self.current_book_data['annotations_path_key'])
+         if os.path.exists(path):
+             with open(path, 'rb') as f:
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0173-Implement-drag-scrolling-for-highlight-handles.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0173-Implement-drag-scrolling-for-highlight-handles.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0173-Implement-drag-scrolling-for-highlight-handles.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0173-Implement-drag-scrolling-for-highlight-handles.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,401 @@
+From 540acf488b18266b46a09d30a9bef2e39e6e3362 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Wed, 8 Jul 2020 14:04:08 +0530
+Subject: [PATCH 173/201] Implement drag scrolling for highlight handles
+
+---
+ src/pyj/read_book/create_annotation.pyj | 130 +++++++++++++++++-------
+ src/pyj/read_book/flow_mode.pyj         |   8 +-
+ src/pyj/read_book/iframe.pyj            |  30 ++++--
+ src/pyj/select.pyj                      |  67 +++++-------
+ 4 files changed, 139 insertions(+), 96 deletions(-)
+
+diff --git a/src/pyj/read_book/create_annotation.pyj b/src/pyj/read_book/create_annotation.pyj
+index daaff5f288..94bbd076ea 100644
+--- a/src/pyj/read_book/create_annotation.pyj
++++ b/src/pyj/read_book/create_annotation.pyj
+@@ -177,6 +177,7 @@ def map_to_iframe_coords(point):
+ 
+ 
+ BAR_SIZE = 32
++DRAG_SCROLL_ZONE_MIN_HEIGHT = 10
+ 
+ 
+ def create_bar():
+@@ -194,6 +195,8 @@ class CreateAnnotation:
+     def __init__(self, view):
+         self.view = view
+         self.active_touch = None
++        self.drag_scroll_timer = None
++        self.last_drag_scroll_at = -100000
+         self.editing_annot_uuid = None
+         self.current_notes = ''
+         self.annotations_manager = self.view.annotations_manager
+@@ -227,7 +230,7 @@ class CreateAnnotation:
+         tb = create_bar()
+         container.appendChild(tb)
+         button(tb, 'close', _('Cancel creation of highlight'), self.hide)
+-        button(tb, 'chevron-up', _('Scroll up'), self.scroll_up)
++        button(tb, 'chevron-up', _('Scroll up'), self.button_scroll.bind(None, True))
+         tb.appendChild(E.span(style=f'height: {tb.style.height}'))
+         button(tb.lastChild, 'trash', _('Remove this highlight'), self.delete_highlight)
+         tb.lastChild.appendChild(E.span('\xa0\xa0\xa0'))
+@@ -243,7 +246,7 @@ class CreateAnnotation:
+         bb = create_bar()
+         container.appendChild(bb)
+         button(bb, 'fg', _('Change highlight color'), self.choose_color)
+-        button(bb, 'chevron-down', _('Scroll down'), self.scroll_down)
++        button(bb, 'chevron-down', _('Scroll down'), self.button_scroll)
+         button(bb, 'pencil', _('Add a note'), self.add_notes)
+ 
+         sd = get_session_data()
+@@ -272,12 +275,6 @@ class CreateAnnotation:
+     def copy_to_clipboard(self):
+         self.view.iframe_wrapper.send_message('copy_selection')
+ 
+-    def scroll_up(self):
+-        self.send_message('scroll', backwards=True)
+-
+-    def scroll_down(self):
+-        self.send_message('scroll', backwards=False)
+-
+     @property
+     def middle(self):
+         return document.getElementById(self.middle_id)
+@@ -455,12 +452,16 @@ class CreateAnnotation:
+         if sc_name is 'show_chrome':
+             self.hide()
+         elif sc_name in ('up', 'down', 'pageup', 'pagedown'):
+-            self.send_message('scroll', backwards=bool('up' in sc_name))
++            backwards = 'up' in sc_name
++            if 'page' in sc_name or not self.in_flow_mode:
++                self.paged_scroll(backwards)
++            else:
++                self.send_drag_scroll_message(backwards, 'left' if backwards else 'right', False)
+         elif sc_name in ('left', 'right'):
+             if self.in_flow_mode:
+                 self.send_message('perp-scroll', backwards=bool(sc_name is 'left'))
+             else:
+-                self.send_message('scroll', backwards=bool(sc_name is 'left'))
++                self.paged_scroll(sc_name is 'left')
+ 
+     def container_clicked(self, ev):
+         ev.stopPropagation(), ev.preventDefault()
+@@ -495,9 +496,46 @@ class CreateAnnotation:
+             self.start_handle_drag(touch, ev.currentTarget.id)
+             break
+ 
++    def button_scroll(self, backwards):
++        if self.in_flow_mode:
++            self.send_drag_scroll_message(backwards, 'left' if backwards else 'right', False)
++        else:
++            self.paged_scroll(backwards)
++
++    def paged_scroll(self, backwards):
++        self.send_message('paged-scroll', backwards=backwards)
++
++    def run_drag_scroll(self, mouse_y, top, bottom):
++        backwards = mouse_y <= top
++        self.do_one_drag_scroll(backwards, top - mouse_y if backwards else mouse_y - bottom)
++
++    def do_one_drag_scroll(self, backwards, distance_from_boundary):
++        window.clearTimeout(self.drag_scroll_timer)
++        self.drag_scroll_timer = None
++        if self.state not in (DRAGGING_RIGHT, DRAGGING_LEFT):
++            return
++        interval = 100 if self.in_flow_mode else 1200
++        self.drag_scroll_timer = window.setTimeout(self.do_one_drag_scroll.bind(None, backwards, distance_from_boundary), interval)
++        now = window.performance.now()
++        if now - self.last_drag_scroll_at > interval:
++            self.send_drag_scroll_message(backwards, 'left' if self.state is DRAGGING_LEFT else 'right', True)
++            self.last_drag_scroll_at = now
++
++    def send_drag_scroll_message(self, backwards, handle, extend_selection):
++        self.send_message(
++            'drag-scroll', backwards=backwards, handle=handle, extents=self.current_handle_position,
++            extend_selection=extend_selection)
++
++    def end_drag_scroll(self):
++        if self.drag_scroll_timer is not None:
++            window.clearTimeout(self.drag_scroll_timer)
++            self.drag_scroll_timer = None
++            self.last_drag_scroll_at = -10000
++
+     def mouseup_on_container(self, ev):
+         if self.state in (DRAGGING_RIGHT, DRAGGING_LEFT):
+             self.state = WAITING_FOR_DRAG
++            self.end_drag_scroll()
+             ev.preventDefault(), ev.stopPropagation()
+ 
+     def touchend_on_container(self, ev):
+@@ -507,6 +545,7 @@ class CreateAnnotation:
+                 if touch.identifier is self.active_touch:
+                     self.active_touch = None
+                     self.state = WAITING_FOR_DRAG
++                    self.end_drag_scroll()
+                     return
+ 
+     def handle_moved(self, ev):
+@@ -518,6 +557,16 @@ class CreateAnnotation:
+         pos.start = map_to_iframe_coords(pos.start)
+         pos.end = map_to_iframe_coords(pos.end)
+         self.send_message('set-selection', extents=pos)
++        c = self.container
++        rect = c.getBoundingClientRect()
++        t = document.getElementById('book-top-margin').offsetHeight
++        top = rect.top + max(t, DRAG_SCROLL_ZONE_MIN_HEIGHT)
++        t = document.getElementById('book-bottom-margin').offsetHeight
++        bottom = rect.bottom - max(t, DRAG_SCROLL_ZONE_MIN_HEIGHT)
++        if ev.clientY < top or ev.clientY > bottom:
++            self.run_drag_scroll(ev.clientY, top, bottom)
++        else:
++            self.end_drag_scroll()
+ 
+     def mousemove_on_container(self, ev):
+         if self.state not in (DRAGGING_RIGHT, DRAGGING_LEFT):
+@@ -626,17 +675,10 @@ class CreateAnnotation:
+                 self.editing_annot_uuid = msg.existing or None
+                 if self.editing_annot_uuid:
+                     self.current_notes = self.annotations_manager.notes_for_highlight(self.editing_annot_uuid) or ''
++        elif msg.type is 'scrolled':
++            self.place_handles_after_scroll(msg.extents, msg.handle, msg.extended)
+         elif msg.type is 'update-handles':
+             self.place_handles(msg.extents)
+-            if msg.from_scroll and not msg.selection_extended:
+-                middle = map_from_iframe_coords({
+-                    'x': msg.page_rect.left + msg.page_rect.width // 2,
+-                    'y': msg.page_rect.top + msg.page_rect.height // 2
+-                })
+-                handle = self.left_handle if msg.backwards else self.right_handle
+-                handle.style.display = 'block'
+-                handle.style.left = f'{middle.x}px'
+-                handle.style.top = f'{middle.y}px'
+         elif msg.type is 'highlight-applied':
+             if not msg.ok:
+                 return error_dialog(
+@@ -653,30 +695,42 @@ class CreateAnnotation:
+         self.left_handle.style.display = 'none'
+         self.right_handle.style.display = 'none'
+ 
+-    def place_handles(self, extents):
+-        lh, rh = self.left_handle, self.right_handle
++    def place_single_handle(self, handle, data):
++        map_from_iframe_coords(data)
++        s = handle.style
++        s.display = 'block' if data.onscreen else 'none'
++        height = data.height * 3
++        width = data.height * 2
++        s.width = f'{width}px'
++        s.height = f'{height}px'
++        bottom = data.y + data.height
++        top = bottom - height
++        s.top = f'{top}px'
++        if handle.id is self.left_handle_id:
++            s.left = (data.x - width) + 'px'
++        else:
++            s.left = data.x + 'px'
+ 
+-        def do_it(handle, data):
+-            map_from_iframe_coords(data)
+-            s = handle.style
+-            s.display = 'block' if data.onscreen else 'none'
+-            height = data.height * 3
+-            width = data.height * 2
+-            s.width = f'{width}px'
+-            s.height = f'{height}px'
+-            bottom = data.y + data.height
+-            top = bottom - height
+-            s.top = f'{top}px'
+-            return s, width
+-
+-        style, width = do_it(lh, extents.start)
+-        style.left = (extents.start.x - width) + 'px'
+-        style, width = do_it(rh, extents.end)
+-        style.left = extents.end.x + 'px'
++    def place_handles(self, extents):
++        self.place_single_handle(self.left_handle, extents.start)
++        self.place_single_handle(self.right_handle, extents.end)
+         self.state = WAITING_FOR_DRAG
+         self.left_line_height = extents.start.height
+         self.right_line_height = extents.end.height
+ 
++    def place_handles_after_scroll(self, extents, handle, extended):
++        if extended:
++            if handle is 'right':
++                h = self.left_handle
++                data = extents.start
++            else:
++                h = self.right_handle
++                data = extents.end
++            self.place_single_handle(h, data)
++        else:
++            self.place_single_handle(self.left_handle, extents.start)
++            self.place_single_handle(self.right_handle, extents.end)
++
+ 
+ class ViewAnnotation:
+ 
+diff --git a/src/pyj/read_book/flow_mode.pyj b/src/pyj/read_book/flow_mode.pyj
+index 05fa8402c9..3dbdda5cb9 100644
+--- a/src/pyj/read_book/flow_mode.pyj
++++ b/src/pyj/read_book/flow_mode.pyj
+@@ -123,13 +123,15 @@ def scroll_by_page(direction):
+     h = scroll_viewport.height() - 10
+     window.scrollBy(0, h * direction)
+ 
+-def scroll_to_extend_annotation(backward, horizontal):
++def scroll_to_extend_annotation(backward, horizontal, by_page):
+     direction = -1 if backward else 1
++    h = line_height()
++    if by_page:
++        h = (window.innerWidth if horizontal else window.innerHeight) - h
+     if horizontal:
+         before = window.pageXOffset
+-        window.scrollBy(15 * direction, 0)
++        window.scrollBy(h * direction, 0)
+         return window.pageXOffset is not before
+-    h = scroll_viewport.height() - 10
+     before = window.pageYOffset
+     window.scrollBy(0, h * direction)
+     return window.pageYOffset is not before
+diff --git a/src/pyj/read_book/iframe.pyj b/src/pyj/read_book/iframe.pyj
+index 55ee6c1254..215f5108b3 100644
+--- a/src/pyj/read_book/iframe.pyj
++++ b/src/pyj/read_book/iframe.pyj
+@@ -5,7 +5,7 @@ from __python__ import bound_methods, hash_literals
+ import traceback
+ from gettext import gettext as _
+ from select import (
+-    extend_selection_after_scroll, selection_extents, selection_extents_at_point,
++    extend_selection_to_limit, selection_extents, selection_extents_at_point,
+     set_selections_extents_to, word_at_point
+ )
+ 
+@@ -38,11 +38,11 @@ from read_book.mathjax import apply_mathjax
+ from read_book.paged_mode import (
+     anchor_funcs as paged_anchor_funcs,
+     auto_scroll_action as paged_auto_scroll_action, calc_columns_per_screen,
+-    current_cfi, current_page_width, get_columns_per_screen_data,
+-    handle_gesture as paged_handle_gesture, handle_shortcut as paged_handle_shortcut,
+-    jump_to_cfi as paged_jump_to_cfi, layout as paged_layout,
+-    onwheel as paged_onwheel, prepare_for_resize as paged_prepare_for_resize,
+-    progress_frac, reset_paged_mode_globals, resize_done as paged_resize_done,
++    current_cfi, get_columns_per_screen_data, handle_gesture as paged_handle_gesture,
++    handle_shortcut as paged_handle_shortcut, jump_to_cfi as paged_jump_to_cfi,
++    layout as paged_layout, onwheel as paged_onwheel,
++    prepare_for_resize as paged_prepare_for_resize, progress_frac,
++    reset_paged_mode_globals, resize_done as paged_resize_done,
+     scroll_by_page as paged_scroll_by_page, scroll_to_elem,
+     scroll_to_extend_annotation as paged_annotation_scroll,
+     scroll_to_fraction as paged_scroll_to_fraction, snap_to_selection,
+@@ -707,13 +707,21 @@ class IframeBoss:
+                 extents = selection_extents(in_flow_mode)
+             self.send_message(
+                 'annotations', type='position-handles', extents=extents, existing=annot_id_uuid_map[annot_id])
+-        elif data.type is 'scroll':
++        elif data.type is 'drag-scroll':
+             if self.scroll_to_extend_annotation(data.backwards):
+-                page_rect = {'width': current_page_width()}
+-                extended = extend_selection_after_scroll(data.backwards, in_flow_mode, page_rect)
++                if data.extend_selection:
++                    extend_selection_to_limit(data.handle is 'left', data.backwards)
++                extents = selection_extents(in_flow_mode)
++                self.send_message(
++                    'annotations', type='scrolled',
++                    backwards=data.backwards, handle=data.handle, extents=extents, extended=data.extend_selection
++                )
++        elif data.type is 'paged-scroll':
++            if self.scroll_to_extend_annotation(data.backwards, False, True):
++                extents = selection_extents(in_flow_mode)
+                 self.send_message(
+-                    'annotations', type='update-handles', extents=selection_extents(in_flow_mode),
+-                    backwards=data.backwards, from_scroll=True, selection_extended=extended, page_rect=page_rect
++                    'annotations', type='scrolled', backwards=data.backwards, handle=None,
++                    extents=extents, extended=False
+                 )
+         elif data.type is 'perp-scroll':
+             if in_flow_mode and flow_annotation_scroll(data.backwards, True):
+diff --git a/src/pyj/select.pyj b/src/pyj/select.pyj
+index 448a4047ee..edd02177e5 100644
+--- a/src/pyj/select.pyj
++++ b/src/pyj/select.pyj
+@@ -98,53 +98,32 @@ def selection_extents_at_point(x, y, in_flow_mode):
+     return ans
+ 
+ 
+-def extend_selection_after_scroll(backwards, in_flow_mode, page_rect):
+-    page_rect.top = page_rect.left = 0
+-    page_rect.bottom = window.innerHeight
+-    page_rect.right = page_rect.width
+-    if not in_flow_mode and not backwards:
+-        page_rect.right = window.innerWidth
+-        page_rect.left = window.innerWidth - page_rect.width
+-    page_rect.width = page_rect.right - page_rect.left
+-    page_rect.height = page_rect.bottom - page_rect.top
+-
++def range_at_limit(invert_x, invert_y):
++    step = 10
++    for y in range(0, window.innerHeight + step, step):
++        if invert_y:
++            y = max(0, window.innerHeight - y)
++        for x in range(0, window.innerWidth + step, step):
++            if invert_x:
++                x = max(0, window.innerWidth - x)
++            r = range_from_point(x, y)
++            if r:
++                return r
++
++
++def extend_selection_to_limit(left, top):
+     sel = window.getSelection()
+-    if not sel.rangeCount:
++    if not sel or not sel.rangeCount or sel.isCollapsed:
+         return False
+-    if in_flow_mode:
+-        page_rect.width = window.innerWidth
+-    r = sel.getRangeAt(0)
+-    q = r.cloneRange()
+-    q.collapse(backwards)
+-    rects = q.getClientRects()
+-    if not rects.length:
++    new_limit = range_at_limit(not left, not top)
++    if not new_limit:
+         return False
+-    rect = rects[0]
+-
+-    in_page_already = rect.left >= page_rect.left and rect.top >= page_rect.top and rect.bottom <= page_rect.bottom and rect.right <= page_rect.right
+-    if in_page_already:
+-        return True
+-    dx = page_rect.width // 10
+-    dy = page_rect.height // 10
+-    middle_x = page_rect.left + page_rect.width // 2
+-    for yi in range(1, 10):
+-        if backwards:
+-            y = page_rect.bottom - dy * yi
+-        else:
+-            y = page_rect.top + dy * yi
+-        for xi in range(4):
+-            xvals = v'[-1, 1]' if xi else v'[1]'
+-            for xw in xvals:
+-                x = middle_x + xw * dx
+-                p = range_from_point(x, y)
+-                if p:
+-                    if backwards:
+-                        r.setStart(p.startContainer, p.startOffset)
+-                    else:
+-                        r.setEnd(p.startContainer, p.startOffset)
+-                    return True
+-    # could not find any content on page
+-    return False
++    r = sel.getRangeAt(0)
++    if left:
++        r.setStart(new_limit.startContainer, new_limit.startOffset)
++    else:
++        r.setEnd(new_limit.startContainer, new_limit.startOffset)
++    return True
+ 
+ 
+ def set_selections_extents_to(extents):
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0174-Use-the-smooth-scrolling-speed-for-highlights-drag-s.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0174-Use-the-smooth-scrolling-speed-for-highlights-drag-s.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0174-Use-the-smooth-scrolling-speed-for-highlights-drag-s.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0174-Use-the-smooth-scrolling-speed-for-highlights-drag-s.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,27 @@
+From 8822e43d9fe8ecabf995b7209e06e6d2b4aa86c2 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Wed, 8 Jul 2020 14:14:36 +0530
+Subject: [PATCH 174/201] Use the smooth scrolling speed for highlights drag
+ scrolling
+
+---
+ src/pyj/read_book/create_annotation.pyj | 3 ++-
+ 1 file changed, 2 insertions(+), 1 deletion(-)
+
+diff --git a/src/pyj/read_book/create_annotation.pyj b/src/pyj/read_book/create_annotation.pyj
+index 94bbd076ea..ff22edfe4d 100644
+--- a/src/pyj/read_book/create_annotation.pyj
++++ b/src/pyj/read_book/create_annotation.pyj
+@@ -514,7 +514,8 @@ class CreateAnnotation:
+         self.drag_scroll_timer = None
+         if self.state not in (DRAGGING_RIGHT, DRAGGING_LEFT):
+             return
+-        interval = 100 if self.in_flow_mode else 1200
++        sd = get_session_data()
++        interval = 1000/sd.get('lines_per_sec_smooth') if self.in_flow_mode else 1200
+         self.drag_scroll_timer = window.setTimeout(self.do_one_drag_scroll.bind(None, backwards, distance_from_boundary), interval)
+         now = window.performance.now()
+         if now - self.last_drag_scroll_at > interval:
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0175-Implement-merging-of-removed-bookmarks.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0175-Implement-merging-of-removed-bookmarks.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0175-Implement-merging-of-removed-bookmarks.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0175-Implement-merging-of-removed-bookmarks.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,105 @@
+From 797af1078b3a575a04b14eba4001c1d40cc11c2e Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 9 Jul 2020 09:54:18 +0530
+Subject: [PATCH 175/201] Implement merging of removed bookmarks
+
+Also update timestamp when they are modified
+---
+ src/calibre/gui2/viewer/bookmarks.py | 41 +++++++++++++++++++++-------
+ 1 file changed, 31 insertions(+), 10 deletions(-)
+
+diff --git a/src/calibre/gui2/viewer/bookmarks.py b/src/calibre/gui2/viewer/bookmarks.py
+index 2c6892614c..ab3c2276a3 100644
+--- a/src/calibre/gui2/viewer/bookmarks.py
++++ b/src/calibre/gui2/viewer/bookmarks.py
+@@ -151,8 +151,13 @@ class BookmarkManager(QWidget):
+             i.setData(Qt.UserRole, self.bm_to_item(bm))
+             i.setFlags(i.flags() | Qt.ItemIsEditable)
+             self.bookmarks_list.addItem(i)
+-        if self.bookmarks_list.count() > 0:
+-            self.bookmarks_list.setCurrentItem(self.bookmarks_list.item(0), QItemSelectionModel.ClearAndSelect)
++            if bm.get('removed'):
++                i.setHidden(True)
++        for i in range(self.bookmarks_list.count()):
++            item = self.bookmarks_list.item(i)
++            if not item.isHidden():
++                self.bookmarks_list.setCurrentItem(item, QItemSelectionModel.ClearAndSelect)
++                break
+ 
+     def set_current_bookmark(self, bm):
+         for i, q in enumerate(self):
+@@ -167,6 +172,14 @@ class BookmarkManager(QWidget):
+             yield self.item_to_bm(self.bookmarks_list.item(i))
+ 
+     def uniqify_bookmark_title(self, base):
++        remove = []
++        for i in range(self.bookmarks_list.count()):
++            item = self.bookmarks_list.item(i)
++            bm = item.data(Qt.UserRole)
++            if bm.get('removed') and bm['title'] == base:
++                remove.append(i)
++        for i in reversed(remove):
++            self.bookmarks_list.takeItem(i)
+         all_titles = {bm['title'] for bm in self.get_bookmarks()}
+         c = 0
+         q = base
+@@ -180,16 +193,23 @@ class BookmarkManager(QWidget):
+         title = unicode_type(item.data(Qt.DisplayRole)) or _('Unknown')
+         title = self.uniqify_bookmark_title(title)
+         item.setData(Qt.DisplayRole, title)
+-        bm = self.item_to_bm(item)
++        bm = item.data(Qt.UserRole)
+         bm['title'] = title
+-        item.setData(Qt.UserRole, self.bm_to_item(bm))
++        bm['timestamp'] = utcnow().isoformat()
++        item.setData(Qt.UserRole, bm)
+         self.bookmarks_list.blockSignals(False)
+         self.edited.emit(self.get_bookmarks())
+ 
+     def delete_bookmark(self):
+-        row = self.bookmarks_list.currentRow()
+-        if row > -1:
+-            self.bookmarks_list.takeItem(row)
++        item = self.bookmarks_list.currentItem()
++        if item is not None:
++            bm = item.data(Qt.UserRole)
++            bm['removed'] = True
++            bm['timestamp'] = utcnow().isoformat()
++            self.bookmarks_list.blockSignals(True)
++            item.setData(Qt.UserRole, bm)
++            self.bookmarks_list.blockSignals(False)
++            item.setHidden(True)
+             self.edited.emit(self.get_bookmarks())
+ 
+     def edit_bookmark(self):
+@@ -229,7 +249,8 @@ class BookmarkManager(QWidget):
+             self, 'export-viewer-bookmarks', _('Export bookmarks'),
+             filters=[(_('Saved bookmarks'), ['calibre-bookmarks'])], all_files=False, initial_filename='bookmarks.calibre-bookmarks')
+         if filename:
+-            data = json.dumps({'type': 'bookmarks', 'entries': self.get_bookmarks()}, indent=True)
++            bm = [x for x in self.get_bookmarks() if not x.get('removed')]
++            data = json.dumps({'type': 'bookmarks', 'entries': bm}, indent=True)
+             if not isinstance(data, bytes):
+                 data = data.encode('utf-8')
+             with lopen(filename, 'wb') as fileobj:
+@@ -259,7 +280,7 @@ class BookmarkManager(QWidget):
+                 if bm['title'] == 'calibre_current_page_bookmark':
+                     continue
+                 epubcfi = 'epubcfi(/{}/{})'.format((bm['spine'] + 1) * 2, bm['pos'].lstrip('/'))
+-                q = {'pos_type': 'epubcfi', 'pos': epubcfi, 'timestamp': EPOCH, 'title': bm['title']}
++                q = {'pos_type': 'epubcfi', 'pos': epubcfi, 'timestamp': EPOCH.isoformat(), 'title': bm['title']}
+                 if q not in bookmarks:
+                     bookmarks.append(q)
+             self.set_bookmarks(bookmarks)
+@@ -301,7 +322,7 @@ class BookmarkManager(QWidget):
+             'title': title,
+             'pos_type': 'epubcfi',
+             'pos': pos_data['cfi'],
+-            'timestamp': utcnow()
++            'timestamp': utcnow().isoformat(),
+         }
+         bookmarks = self.get_bookmarks()
+         bookmarks.append(bm)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0176-Sort-the-bookmarks-by-title-by-default.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0176-Sort-the-bookmarks-by-title-by-default.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0176-Sort-the-bookmarks-by-title-by-default.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0176-Sort-the-bookmarks-by-title-by-default.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,206 @@
+From 4097dddae3b12f674058b405397a96e57882fbe0 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 9 Jul 2020 14:54:10 +0530
+Subject: [PATCH 176/201] Sort the bookmarks by title by default
+
+---
+ src/calibre/gui2/viewer/bookmarks.py | 108 +++++++++++++++------------
+ src/calibre/gui2/viewer/web_view.py  |   1 +
+ 2 files changed, 62 insertions(+), 47 deletions(-)
+
+diff --git a/src/calibre/gui2/viewer/bookmarks.py b/src/calibre/gui2/viewer/bookmarks.py
+index ab3c2276a3..7d68b703b3 100644
+--- a/src/calibre/gui2/viewer/bookmarks.py
++++ b/src/calibre/gui2/viewer/bookmarks.py
+@@ -4,14 +4,17 @@
+ 
+ 
+ import json
++from operator import itemgetter
+ 
+ from PyQt5.Qt import (
+-    QAction, QGridLayout, QIcon, QInputDialog, QItemSelectionModel, QLabel,
+-    QListWidget, QListWidgetItem, QPushButton, Qt, QWidget, pyqtSignal
++    QAction, QComboBox, QGridLayout, QHBoxLayout, QIcon, QInputDialog,
++    QItemSelectionModel, QLabel, QListWidget, QListWidgetItem, QPushButton, Qt,
++    QWidget, pyqtSignal
+ )
+ 
+ from calibre.gui2 import choose_files, choose_save_file
+ from calibre.gui2.viewer.shortcuts import get_shortcut_for
++from calibre.gui2.viewer.web_view import vprefs
+ from calibre.utils.date import EPOCH, utcnow
+ from calibre.utils.icu import sort_key
+ from polyglot.builtins import range, unicode_type
+@@ -24,27 +27,13 @@ class BookmarksList(QListWidget):
+ 
+     def __init__(self, parent=None):
+         QListWidget.__init__(self, parent)
+-        self.setDragEnabled(True)
+-        self.setDragDropMode(self.InternalMove)
+-        self.setDefaultDropAction(Qt.MoveAction)
+         self.setAlternatingRowColors(True)
+         self.setStyleSheet('QListView::item { padding: 0.5ex }')
+-        self.viewport().setAcceptDrops(True)
+-        self.setDropIndicatorShown(True)
+         self.setContextMenuPolicy(Qt.ActionsContextMenu)
+         self.ac_edit = ac = QAction(QIcon(I('edit_input.png')), _('Rename this bookmark'), self)
+         self.addAction(ac)
+         self.ac_delete = ac = QAction(QIcon(I('trash.png')), _('Remove this bookmark'), self)
+         self.addAction(ac)
+-        self.ac_sort = ac = QAction(_('Sort by name'), self)
+-        self.addAction(ac)
+-        self.ac_sort_pos = ac = QAction(_('Sort by position in book'), self)
+-        self.addAction(ac)
+-
+-    def dropEvent(self, ev):
+-        QListWidget.dropEvent(self, ev)
+-        if ev.isAccepted():
+-            self.changed.emit()
+ 
+     def keyPressEvent(self, ev):
+         if ev.key() in (Qt.Key_Enter, Qt.Key_Return):
+@@ -95,12 +84,10 @@ class BookmarkManager(QWidget):
+         bl.bookmark_activated.connect(self.item_activated)
+         bl.changed.connect(lambda : self.edited.emit(self.get_bookmarks()))
+         bl.ac_edit.triggered.connect(self.edit_bookmark)
+-        bl.ac_sort.triggered.connect(self.sort_by_name)
+-        bl.ac_sort_pos.triggered.connect(self.sort_by_pos)
+         bl.ac_delete.triggered.connect(self.delete_bookmark)
+ 
+         self.la = la = QLabel(_(
+-            'Double click to edit and drag-and-drop to re-order the bookmarks'))
++            'Double click to edit the bookmarks'))
+         la.setWordWrap(True)
+         l.addWidget(la, l.rowCount(), 0, 1, -1)
+ 
+@@ -122,19 +109,24 @@ class BookmarkManager(QWidget):
+         b.clicked.connect(self.bookmarks_list.next_bookmark)
+         l.addWidget(b, l.rowCount() - 1, 1)
+ 
+-        self.button_delete = b = QPushButton(_('Sort by na&me'), self)
+-        b.setToolTip(_('Sort bookmarks by name'))
+-        b.clicked.connect(self.sort_by_name)
+-        l.addWidget(b)
+-
+-        self.button_delete = b = QPushButton(_('Sort by &position'), self)
+-        b.setToolTip(_('Sort bookmarks by position in book'))
+-        b.clicked.connect(self.sort_by_pos)
+-        l.addWidget(b, l.rowCount() - 1, 1)
++        la = QLabel(_('&Sort by:'))
++        self.sort_by = sb = QComboBox(self)
++        la.setBuddy(sb)
++        sb.addItem(_('Title'), 'title')
++        sb.addItem(_('Position in book'), 'pos')
++        sb.addItem(_('Date'), 'timestamp')
++        sb.setToolTip(_('Change how the bookmarks are sorted'))
++        i = sb.findData(vprefs['bookmarks_sort'])
++        if i > -1:
++            sb.setCurrentIndex(i)
++        h = QHBoxLayout()
++        h.addWidget(la), h.addWidget(sb, 10)
++        l.addLayout(h, l.rowCount(), 0, 1, 2)
++        sb.currentIndexChanged.connect(self.sort_by_changed)
+ 
+         self.button_export = b = QPushButton(_('E&xport'), self)
+         b.clicked.connect(self.export_bookmarks)
+-        l.addWidget(b)
++        l.addWidget(b, l.rowCount(), 0)
+ 
+         self.button_import = b = QPushButton(_('&Import'), self)
+         b.clicked.connect(self.import_bookmarks)
+@@ -144,7 +136,31 @@ class BookmarkManager(QWidget):
+         bm = self.item_to_bm(item)
+         self.activated.emit(bm['pos'])
+ 
++    @property
++    def current_sort_by(self):
++        return self.sort_by.currentData()
++
++    def sort_by_changed(self):
++        self.set_bookmarks(self.get_bookmarks())
++
+     def set_bookmarks(self, bookmarks=()):
++        csb = self.current_sort_by
++        if csb == 'name':
++            sk = lambda x: sort_key(x['title'])
++        elif csb == 'timestamp':
++            sk = itemgetter('timestamp')
++        else:
++            from calibre.ebooks.epub.cfi.parse import cfi_sort_key
++            defval = cfi_sort_key('/99999999')
++
++            def pos_key(b):
++                if b.get('pos_type') == 'epubcfi':
++                    return cfi_sort_key(b['pos'], only_path=False)
++                return defval
++            sk = pos_key
++
++        bookmarks = sorted(bookmarks, key=sk)
++        current_bookmark_id = self.current_bookmark_id
+         self.bookmarks_list.clear()
+         for bm in bookmarks:
+             i = QListWidgetItem(bm['title'])
+@@ -158,6 +174,22 @@ class BookmarkManager(QWidget):
+             if not item.isHidden():
+                 self.bookmarks_list.setCurrentItem(item, QItemSelectionModel.ClearAndSelect)
+                 break
++        if current_bookmark_id is not None:
++            self.current_bookmark_id = current_bookmark_id
++
++    @property
++    def current_bookmark_id(self):
++        item = self.bookmarks_list.currentItem()
++        if item is not None:
++            return item.data(Qt.DisplayRole)
++
++    @current_bookmark_id.setter
++    def current_bookmark_id(self, val):
++        for i, q in enumerate(self):
++            if q['title'] == val:
++                item = self.bookmarks_list.item(i)
++                self.bookmarks_list.setCurrentItem(item, QItemSelectionModel.ClearAndSelect)
++                self.bookmarks_list.scrollToItem(item)
+ 
+     def set_current_bookmark(self, bm):
+         for i, q in enumerate(self):
+@@ -217,24 +249,6 @@ class BookmarkManager(QWidget):
+         if item is not None:
+             self.bookmarks_list.editItem(item)
+ 
+-    def sort_by_name(self):
+-        bm = self.get_bookmarks()
+-        bm.sort(key=lambda x:sort_key(x['title']))
+-        self.set_bookmarks(bm)
+-        self.edited.emit(bm)
+-
+-    def sort_by_pos(self):
+-        from calibre.ebooks.epub.cfi.parse import cfi_sort_key
+-
+-        def pos_key(b):
+-            if b.get('pos_type') == 'epubcfi':
+-                return cfi_sort_key(b['pos'], only_path=False)
+-            return cfi_sort_key('/99999999')
+-        bm = self.get_bookmarks()
+-        bm.sort(key=pos_key)
+-        self.set_bookmarks(bm)
+-        self.edited.emit(bm)
+-
+     def bm_to_item(self, bm):
+         return bm.copy()
+ 
+diff --git a/src/calibre/gui2/viewer/web_view.py b/src/calibre/gui2/viewer/web_view.py
+index 10a2efe281..98d6679c42 100644
+--- a/src/calibre/gui2/viewer/web_view.py
++++ b/src/calibre/gui2/viewer/web_view.py
+@@ -49,6 +49,7 @@ vprefs.defaults['local_storage'] = {}
+ vprefs.defaults['main_window_state'] = None
+ vprefs.defaults['main_window_geometry'] = None
+ vprefs.defaults['old_prefs_migrated'] = False
++vprefs.defaults['bookmarks_sort'] = 'title'
+ 
+ 
+ # Override network access to load data from the book {{{
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0177-Forgot-to-save-last-used-bookmarks-sort-by.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0177-Forgot-to-save-last-used-bookmarks-sort-by.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0177-Forgot-to-save-last-used-bookmarks-sort-by.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0177-Forgot-to-save-last-used-bookmarks-sort-by.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,24 @@
+From 8fa2afde9b6762c56d558671140c0b54ed4240cc Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 9 Jul 2020 14:56:16 +0530
+Subject: [PATCH 177/201] Forgot to save last used bookmarks sort by
+
+---
+ src/calibre/gui2/viewer/bookmarks.py | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/src/calibre/gui2/viewer/bookmarks.py b/src/calibre/gui2/viewer/bookmarks.py
+index 7d68b703b3..123a40e251 100644
+--- a/src/calibre/gui2/viewer/bookmarks.py
++++ b/src/calibre/gui2/viewer/bookmarks.py
+@@ -141,6 +141,7 @@ class BookmarkManager(QWidget):
+         return self.sort_by.currentData()
+ 
+     def sort_by_changed(self):
++        vprefs['bookmarks_sort'] = self.current_sort_by
+         self.set_bookmarks(self.get_bookmarks())
+ 
+     def set_bookmarks(self, bookmarks=()):
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0178-Annots-browser-Allow-browsing-upto-4096-annotations-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0178-Annots-browser-Allow-browsing-upto-4096-annotations-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0178-Annots-browser-Allow-browsing-upto-4096-annotations-.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0178-Annots-browser-Allow-browsing-upto-4096-annotations-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,253 @@
+From a889825cdd7257471c1ec0c8459194e35e5899a3 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 9 Jul 2020 16:43:50 +0530
+Subject: [PATCH 178/201] Annots browser: Allow browsing upto 4096 annotations
+ with no search query
+
+---
+ src/calibre/db/backend.py               | 39 ++++++++++++++++-
+ src/calibre/db/cache.py                 |  4 ++
+ src/calibre/gui2/library/annotations.py | 57 ++++++++++++++-----------
+ src/calibre/gui2/viewer/widgets.py      |  8 +++-
+ 4 files changed, 81 insertions(+), 27 deletions(-)
+
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index 46d1e2cdcb..61ced67000 100644
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -1820,12 +1820,49 @@ class DB(object):
+             raise FTSQueryError(fts_engine_query, query, e)
+ 
+     def all_annotations_for_book(self, book_id):
+-        for (fmt, user_type, user, data) in self.execute('SELECT format, user_type, user, annot_data FROM annotations WHERE book=?', (book_id,)):
++        for (fmt, user_type, user, data) in self.execute('SELECT id, book, format, user_type, user, annot_data FROM annotations WHERE book=?', (book_id,)):
++
+             try:
+                 yield {'format': fmt, 'user_type': user_type, 'user': user, 'annotation': json.loads(data)}
+             except Exception:
+                 pass
+ 
++    def all_annotations(self, restrict_to_user=None, limit=None, annotation_type=None):
++        ls = json.loads
++        q = 'SELECT id, book, format, user_type, user, annot_data FROM annotations'
++        data = []
++        if restrict_to_user or annotation_type:
++            q += ' WHERE '
++        if restrict_to_user is not None:
++            data.extend(restrict_to_user)
++            q += ' user_type = ? AND user = ?'
++        if annotation_type:
++            data.append(annotation_type)
++            q += ' annot_type = ? '
++        q += ' ORDER BY timestamp'
++        if limit is not None:
++            q += ' LIMIT %d' % limit
++        for (rowid, book_id, fmt, user_type, user, annot_data) in self.execute(q, tuple(data)):
++            try:
++                annot = ls(annot_data)
++                atype = annot['type']
++            except Exception:
++                continue
++            text = ''
++            if atype == 'bookmark':
++                text = annot['title']
++            elif atype == 'highlight':
++                text = annot.get('highlighted_text') or ''
++            yield {
++                'id': rowid,
++                'book_id': book_id,
++                'format': fmt,
++                'user_type': user_type,
++                'user': user,
++                'text': text,
++                'annotation': annot,
++            }
++
+     def all_annotation_users(self):
+         return self.execute('SELECT DISTINCT user_type, user FROM annotations')
+ 
+diff --git a/src/calibre/db/cache.py b/src/calibre/db/cache.py
+index 954213ada7..74a7848cc5 100644
+--- a/src/calibre/db/cache.py
++++ b/src/calibre/db/cache.py
+@@ -2310,6 +2310,10 @@ class Cache(object):
+     def all_annotation_types(self):
+         return tuple(self.backend.all_annotation_types())
+ 
++    @read_api
++    def all_annotations(self, restrict_to_user=None, limit=None, annotation_type=None):
++        return tuple(self.backend.all_annotations(restrict_to_user, limit, annotation_type))
++
+     @read_api
+     def search_annotations(
+         self,
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index b885e35cb0..ebded8dfee 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -9,7 +9,7 @@ from textwrap import fill
+ 
+ from PyQt5.Qt import (
+     QApplication, QCheckBox, QComboBox, QCursor, QFont, QHBoxLayout, QIcon, QLabel,
+-    QPalette, QPushButton, QSize, QSplitter, Qt, QTextBrowser, QToolButton,
++    QPalette, QPushButton, QSize, QSplitter, Qt, QTextBrowser, QTimer, QToolButton,
+     QTreeWidget, QTreeWidgetItem, QVBoxLayout, QWidget, pyqtSignal
+ )
+ 
+@@ -43,16 +43,17 @@ class BusyCursor(object):
+ class AnnotsResultsDelegate(ResultsDelegate):
+ 
+     add_ellipsis = False
++    emphasize_text = True
+ 
+     def result_data(self, result):
+         if not isinstance(result, dict):
+             return None, None, None, None
+-        full_text = result['text'].replace('0x1f', ' ')
+-        parts = full_text.split('\x1d')
++        full_text = result['text'].replace('\x1f', ' ')
++        parts = full_text.split('\x1d', 2)
+         before = after = ''
+         if len(parts) > 2:
+             before, text = parts[:2]
+-            after = ' '.join(parts[2:]).replace('\x1d', '')
++            after = parts[2].replace('\x1d', '')
+         elif len(parts) == 2:
+             before, text = parts
+         else:
+@@ -82,8 +83,9 @@ class ResultsList(QTreeWidget):
+         if isinstance(r, dict):
+             self.open_annotation.emit(r['book_id'], r['format'], r['annotation'])
+ 
+-    def set_results(self, results):
++    def set_results(self, results, emphasize_text):
+         self.clear()
++        self.delegate.emphasize_text = emphasize_text
+         self.number_of_results = 0
+         self.item_map = []
+         book_id_map = {}
+@@ -191,8 +193,12 @@ class Restrictions(QWidget):
+         tb.clear()
+         tb.addItem(' ', ' ')
+         for user_type, user in db.all_annotation_users():
+-            q = '{}: {}'.format(user_type, user)
+-            tb.addItem(q, '{}:{}'.format(user_type, user))
++            q = display_name = '{}: {}'.format(user_type, user)
++            if q == 'web: *':
++                display_name = _('Anonymous content server users')
++            elif q == 'local: viewer':
++                display_name = _('Local viewer users')
++            tb.addItem(display_name, '{}:{}'.format(user_type, user))
+         if before:
+             row = tb.findData(before)
+             if row > -1:
+@@ -218,7 +224,7 @@ class BrowsePanel(QWidget):
+         l.addLayout(h)
+         self.search_box = sb = SearchBox(self)
+         sb.initialize('library-annotations-browser-search-box')
+-        sb.cleared.connect(self.cleared)
++        sb.cleared.connect(self.cleared, type=Qt.QueuedConnection)
+         sb.lineEdit().returnPressed.connect(self.show_next)
+         sb.lineEdit().setPlaceholderText(_('Enter words to search for'))
+         h.addWidget(sb)
+@@ -251,45 +257,46 @@ class BrowsePanel(QWidget):
+         db = current_db()
+         self.search_box.setFocus(Qt.OtherFocusReason)
+         self.restrictions.re_initialize(db)
+-        self.cleared()
++        self.current_query = None
++        self.results_list.clear()
+ 
+     def sizeHint(self):
+         return QSize(450, 600)
+ 
++    @property
++    def restrict_to_user(self):
++        user = self.restrictions.user_box.currentData()
++        if user and ':' in user:
++            return user.split(':', 1)
++
+     @property
+     def effective_query(self):
+         text = self.search_box.lineEdit().text().strip()
+-        if not text:
+-            return None
+         atype = self.restrictions.types_box.currentData()
+-        if not atype or not atype.strip():
+-            atype = None
+-        user = self.restrictions.user_box.currentData()
+-        restrict_to_user = None
+-        if user and ':' in user:
+-            restrict_to_user = user.split(':', 1)
+         return {
+             'fts_engine_query': text,
+-            'annotation_type': atype,
+-            'restrict_to_user': restrict_to_user,
++            'annotation_type': (atype or '').strip(),
++            'restrict_to_user': self.restrict_to_user,
+             'use_stemming': bool(self.use_stemmer.isChecked()),
+         }
+ 
+     def cleared(self):
+         self.current_query = None
+-        self.results_list.clear()
++        self.effective_query_changed()
+ 
+     def do_find(self, backwards=False):
+         q = self.effective_query
+-        if not q:
+-            return
+         if q == self.current_query:
+             self.results_list.show_next(backwards)
+             return
+         with BusyCursor():
+             db = current_db()
+-            results = db.search_annotations(highlight_start='\x1d', highlight_end='\x1d', snippet_size=64, **q)
+-            self.results_list.set_results(results)
++            if not q['fts_engine_query']:
++                results = db.all_annotations(restrict_to_user=q['restrict_to_user'], limit=4096, annotation_type=q['annotation_type'])
++            else:
++                results = db.search_annotations(highlight_start='\x1d', highlight_end='\x1d', snippet_size=64, **q)
++
++            self.results_list.set_results(results, bool(q['fts_engine_query']))
+             self.current_query = q
+ 
+     def effective_query_changed(self):
+@@ -454,6 +461,8 @@ class AnnotationsBrowser(Dialog):
+         h.addWidget(us), h.addStretch(10), h.addWidget(self.bb)
+ 
+     def show_dialog(self):
++        if self.browse_panel.current_query is None:
++            QTimer.singleShot(80, self.browse_panel.effective_query_changed)
+         if self.parent() is None:
+             self.exec_()
+         else:
+diff --git a/src/calibre/gui2/viewer/widgets.py b/src/calibre/gui2/viewer/widgets.py
+index c70d816e95..8de34d0d80 100644
+--- a/src/calibre/gui2/viewer/widgets.py
++++ b/src/calibre/gui2/viewer/widgets.py
+@@ -17,6 +17,7 @@ from calibre.gui2.widgets2 import HistoryComboBox
+ class ResultsDelegate(QStyledItemDelegate):  # {{{
+ 
+     add_ellipsis = True
++    emphasize_text = True
+ 
+     def result_data(self, result):
+         if not hasattr(result, 'is_hidden'):
+@@ -37,8 +38,11 @@ class ResultsDelegate(QStyledItemDelegate):  # {{{
+             c = p.color(group, c)
+             painter.setPen(c)
+             font = option.font
+-            emphasis_font = QFont(font)
+-            emphasis_font.setBold(True)
++            if self.emphasize_text:
++                emphasis_font = QFont(font)
++                emphasis_font.setBold(True)
++            else:
++                emphasis_font = font
+             flags = Qt.AlignTop | Qt.TextSingleLine | Qt.TextIncludeTrailingSpaces
+             rect = option.rect.adjusted(option.decorationSize.width() + 4 if is_hidden else 0, 0, 0, 0)
+             painter.setClipRect(rect)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0179-SHow-timestamp-and-username-in-details-of-annotation.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0179-SHow-timestamp-and-username-in-details-of-annotation.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0179-SHow-timestamp-and-username-in-details-of-annotation.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0179-SHow-timestamp-and-username-in-details-of-annotation.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,69 @@
+From 6d95dcbe43e6d5b485944ca17b26310b1a0dd614 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 10 Jul 2020 08:52:32 +0530
+Subject: [PATCH 179/201] SHow timestamp and username in details of annotation
+
+---
+ src/calibre/gui2/library/annotations.py | 22 ++++++++++++++++------
+ 1 file changed, 16 insertions(+), 6 deletions(-)
+
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index ebded8dfee..283415bd8f 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -18,6 +18,16 @@ from calibre.ebooks.metadata import authors_to_string, fmt_sidx
+ from calibre.gui2 import Application, config, gprefs
+ from calibre.gui2.viewer.widgets import ResultsDelegate, SearchBox
+ from calibre.gui2.widgets2 import Dialog
++from calibre.utils.iso8601 import parse_iso8601
++
++
++def friendly_username(user_type, user):
++    key = user_type, user
++    if key == ('web', '*'):
++        return _('Anonymous Content server user')
++    if key == ('local', 'viewer'):
++        return _('Local viewer user')
++    return user
+ 
+ 
+ def current_db():
+@@ -193,11 +203,7 @@ class Restrictions(QWidget):
+         tb.clear()
+         tb.addItem(' ', ' ')
+         for user_type, user in db.all_annotation_users():
+-            q = display_name = '{}: {}'.format(user_type, user)
+-            if q == 'web: *':
+-                display_name = _('Anonymous content server users')
+-            elif q == 'local: viewer':
+-                display_name = _('Local viewer users')
++            display_name = friendly_username(user_type, user)
+             tb.addItem(display_name, '{}:{}'.format(user_type, user))
+         if before:
+             row = tb.findData(before)
+@@ -394,17 +400,21 @@ class DetailsPanel(QWidget):
+                 stext = stext[:-3]
+             annot_text += '<div style="text-align:left">' + stext + '</div><div>&nbsp;</div>'
+ 
++        date = parse_iso8601(annot['timestamp']).strftime('%Y-%m-%d %H:%M:%S')
+         text = '''
+         <h2 style="text-align: center">{title} [{book_format}]</h2>
+         <div style="text-align: center">{authors}</div>
+         <div style="text-align: center">{series}</div>
+         <div>&nbsp;</div>
+         <div>&nbsp;</div>
++        <div>{dt}: {date}</div>
++        <div>{ut}: {user}</div>
+         <h2 style="text-align: left">{atype}</h2>
+         {text}
+         '''.format(
+             title=a(title), authors=a(authors), series=a(series_text), book_format=a(book_format),
+-            atype=a(atype), text=annot_text
++            atype=a(atype), text=annot_text, dt=_('Date'), date=date, ut=_('User'),
++            user=friendly_username(r['user_type'], r['user'])
+         )
+         self.text_browser.setHtml(text)
+ 
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0180-Allow-easily-reading-viewer-config-data-from-the-mai.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0180-Allow-easily-reading-viewer-config-data-from-the-mai.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0180-Allow-easily-reading-viewer-config-data-from-the-mai.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0180-Allow-easily-reading-viewer-config-data-from-the-mai.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,85 @@
+From cc9ca5f9d324fcb671a3f7f75df28da0910fdabb Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 10 Jul 2020 12:28:22 +0530
+Subject: [PATCH 180/201] Allow easily reading viewer config data from the main
+ calibre process
+
+---
+ src/calibre/gui2/viewer/config.py   | 18 ++++++++++++++++++
+ src/calibre/gui2/viewer/web_view.py | 16 ++++------------
+ 2 files changed, 22 insertions(+), 12 deletions(-)
+ create mode 100644 src/calibre/gui2/viewer/config.py
+
+diff --git a/src/calibre/gui2/viewer/config.py b/src/calibre/gui2/viewer/config.py
+new file mode 100644
+index 0000000000..5269b7c35c
+--- /dev/null
++++ b/src/calibre/gui2/viewer/config.py
+@@ -0,0 +1,18 @@
++#!/usr/bin/env python2
++# vim:fileencoding=utf-8
++# License: GPL v3 Copyright: 2020, Kovid Goyal <kovid at kovidgoyal.net>
++
++from __future__ import absolute_import, division, print_function, unicode_literals
++
++import os
++from calibre.constants import config_dir
++from calibre.utils.config import JSONConfig
++
++vprefs = JSONConfig('viewer-webengine')
++viewer_config_dir = os.path.join(config_dir, 'viewer')
++vprefs.defaults['session_data'] = {}
++vprefs.defaults['local_storage'] = {}
++vprefs.defaults['main_window_state'] = None
++vprefs.defaults['main_window_geometry'] = None
++vprefs.defaults['old_prefs_migrated'] = False
++vprefs.defaults['bookmarks_sort'] = 'title'
+diff --git a/src/calibre/gui2/viewer/web_view.py b/src/calibre/gui2/viewer/web_view.py
+index 98d6679c42..6364c821b3 100644
+--- a/src/calibre/gui2/viewer/web_view.py
++++ b/src/calibre/gui2/viewer/web_view.py
+@@ -19,18 +19,18 @@ from PyQt5.QtWebEngineWidgets import (
+ 
+ from calibre import as_unicode, prints
+ from calibre.constants import (
+-    FAKE_HOST, FAKE_PROTOCOL, __version__, config_dir, in_develop_mode,
+-    is_running_from_develop, isosx, iswindows
++    FAKE_HOST, FAKE_PROTOCOL, __version__, in_develop_mode, is_running_from_develop,
++    isosx, iswindows
+ )
+ from calibre.ebooks.metadata.book.base import field_metadata
+ from calibre.ebooks.oeb.polish.utils import guess_type
+ from calibre.gui2 import choose_images, error_dialog, safe_open_url
++from calibre.gui2.viewer.config import viewer_config_dir, vprefs
+ from calibre.gui2.webengine import (
+     Bridge, RestartingWebEngineView, create_script, from_js, insert_scripts,
+     secure_webengine, to_js
+ )
+ from calibre.srv.code import get_translations_data
+-from calibre.utils.config import JSONConfig
+ from calibre.utils.serialize import json_loads
+ from calibre.utils.shared_file import share_open
+ from polyglot.builtins import as_bytes, iteritems, unicode_type
+@@ -42,18 +42,10 @@ except ImportError:
+     import sip
+ 
+ SANDBOX_HOST = FAKE_HOST.rpartition('.')[0] + '.sandbox'
+-vprefs = JSONConfig('viewer-webengine')
+-viewer_config_dir = os.path.join(config_dir, 'viewer')
+-vprefs.defaults['session_data'] = {}
+-vprefs.defaults['local_storage'] = {}
+-vprefs.defaults['main_window_state'] = None
+-vprefs.defaults['main_window_geometry'] = None
+-vprefs.defaults['old_prefs_migrated'] = False
+-vprefs.defaults['bookmarks_sort'] = 'title'
+-
+ 
+ # Override network access to load data from the book {{{
+ 
++
+ def set_book_path(path, pathtoebook):
+     set_book_path.pathtoebook = pathtoebook
+     set_book_path.path = os.path.abspath(path)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0181-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0181-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0181-.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0181-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,98 @@
+From 2b26fc72fd4fbaa5906bec766bbcdad819f2e342 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 10 Jul 2020 12:30:59 +0530
+Subject: [PATCH 181/201] ...
+
+---
+ src/calibre/gui2/viewer/config.py   | 6 ++++++
+ src/calibre/gui2/viewer/main.py     | 2 +-
+ src/calibre/gui2/viewer/toolbars.py | 3 ++-
+ src/calibre/gui2/viewer/ui.py       | 5 ++---
+ src/calibre/gui2/viewer/web_view.py | 6 ------
+ 5 files changed, 11 insertions(+), 11 deletions(-)
+
+diff --git a/src/calibre/gui2/viewer/config.py b/src/calibre/gui2/viewer/config.py
+index 5269b7c35c..ec801591ad 100644
+--- a/src/calibre/gui2/viewer/config.py
++++ b/src/calibre/gui2/viewer/config.py
+@@ -16,3 +16,9 @@ vprefs.defaults['main_window_state'] = None
+ vprefs.defaults['main_window_geometry'] = None
+ vprefs.defaults['old_prefs_migrated'] = False
+ vprefs.defaults['bookmarks_sort'] = 'title'
++
++
++def get_session_pref(name, default=None, group='standalone_misc_settings'):
++    sd = vprefs['session_data']
++    g = sd.get(group, {}) if group else sd
++    return g.get(name, default)
+diff --git a/src/calibre/gui2/viewer/main.py b/src/calibre/gui2/viewer/main.py
+index a428273320..c5a9b0a29f 100644
+--- a/src/calibre/gui2/viewer/main.py
++++ b/src/calibre/gui2/viewer/main.py
+@@ -15,7 +15,7 @@ from calibre import as_unicode, prints
+ from calibre.constants import FAKE_PROTOCOL, VIEWER_APP_UID, islinux, iswindows
+ from calibre.gui2 import Application, error_dialog, setup_gui_option_parser
+ from calibre.gui2.viewer.ui import EbookViewer, is_float
+-from calibre.gui2.viewer.web_view import get_session_pref, vprefs
++from calibre.gui2.viewer.config import get_session_pref, vprefs
+ from calibre.ptempfile import reset_base_dir
+ from calibre.utils.config import JSONConfig
+ from calibre.utils.ipc import RC, viewer_socket_address
+diff --git a/src/calibre/gui2/viewer/toolbars.py b/src/calibre/gui2/viewer/toolbars.py
+index 0590ba6886..9528a9149c 100644
+--- a/src/calibre/gui2/viewer/toolbars.py
++++ b/src/calibre/gui2/viewer/toolbars.py
+@@ -14,8 +14,9 @@ from PyQt5.QtWebEngineWidgets import QWebEnginePage
+ 
+ from calibre.constants import in_develop_mode, isosx
+ from calibre.gui2 import elided_text
++from calibre.gui2.viewer.config import get_session_pref
+ from calibre.gui2.viewer.shortcuts import index_to_key_sequence
+-from calibre.gui2.viewer.web_view import get_session_pref, set_book_path, vprefs
++from calibre.gui2.viewer.web_view import set_book_path, vprefs
+ from calibre.gui2.widgets2 import Dialog
+ from calibre.utils.icu import primary_sort_key
+ from polyglot.builtins import iteritems
+diff --git a/src/calibre/gui2/viewer/ui.py b/src/calibre/gui2/viewer/ui.py
+index fab78b8d02..3e3e4e5945 100644
+--- a/src/calibre/gui2/viewer/ui.py
++++ b/src/calibre/gui2/viewer/ui.py
+@@ -28,6 +28,7 @@ from calibre.gui2.viewer.annotations import (
+     AnnotationsSaveWorker, annotations_dir, parse_annotations
+ )
+ from calibre.gui2.viewer.bookmarks import BookmarkManager
++from calibre.gui2.viewer.config import get_session_pref, vprefs
+ from calibre.gui2.viewer.convert_book import clean_running_workers, prepare_book
+ from calibre.gui2.viewer.highlights import HighlightsPanel
+ from calibre.gui2.viewer.integration import (
+@@ -38,9 +39,7 @@ from calibre.gui2.viewer.overlay import LoadingOverlay
+ from calibre.gui2.viewer.search import SearchPanel
+ from calibre.gui2.viewer.toc import TOC, TOCSearch, TOCView
+ from calibre.gui2.viewer.toolbars import ActionsToolBar
+-from calibre.gui2.viewer.web_view import (
+-    WebView, get_path_for_name, get_session_pref, set_book_path, vprefs
+-)
++from calibre.gui2.viewer.web_view import WebView, get_path_for_name, set_book_path
+ from calibre.utils.date import utcnow
+ from calibre.utils.img import image_from_path
+ from calibre.utils.ipc.simple_worker import WorkerError
+diff --git a/src/calibre/gui2/viewer/web_view.py b/src/calibre/gui2/viewer/web_view.py
+index 6364c821b3..069a859ec3 100644
+--- a/src/calibre/gui2/viewer/web_view.py
++++ b/src/calibre/gui2/viewer/web_view.py
+@@ -200,12 +200,6 @@ class UrlSchemeHandler(QWebEngineUrlSchemeHandler):
+ # }}}
+ 
+ 
+-def get_session_pref(name, default=None, group='standalone_misc_settings'):
+-    sd = vprefs['session_data']
+-    g = sd.get(group, {}) if group else sd
+-    return g.get(name, default)
+-
+-
+ def create_profile():
+     ans = getattr(create_profile, 'ans', None)
+     if ans is None:
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0182-Allow-syninc-annots-from-viewer-to-specific-content-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0182-Allow-syninc-annots-from-viewer-to-specific-content-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0182-Allow-syninc-annots-from-viewer-to-specific-content-.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0182-Allow-syninc-annots-from-viewer-to-specific-content-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,276 @@
+From c80c5f6e291099d882eb34f00c3ed7387f0f4913 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Sat, 11 Jul 2020 20:42:26 +0530
+Subject: [PATCH 182/201] Allow syninc annots from viewer to specific content
+ server user
+
+---
+ src/calibre/db/annotations.py          | 30 +++++++++++++++-----------
+ src/calibre/gui2/actions/view.py       |  8 +++++++
+ src/calibre/gui2/viewer/annotations.py | 12 ++++++-----
+ src/calibre/gui2/viewer/integration.py | 17 ++++++++++++---
+ src/calibre/gui2/viewer/ui.py          | 11 +++++++++-
+ src/pyj/read_book/prefs/misc.pyj       | 24 +++++++++++++++++++--
+ 6 files changed, 78 insertions(+), 24 deletions(-)
+
+diff --git a/src/calibre/db/annotations.py b/src/calibre/db/annotations.py
+index 32f30297c6..6a347e70c2 100644
+--- a/src/calibre/db/annotations.py
++++ b/src/calibre/db/annotations.py
+@@ -74,25 +74,29 @@ def merge_annot_lists(a, b, annot_type):
+     return c
+ 
+ 
+-def merge_annotations(annots, annots_map):
++def merge_annotations(annots, annots_map, merge_last_read=True):
+     # If you make changes to this algorithm also update the
+     # implementation in read_book.annotations
+-    amap = defaultdict(list)
+-    for annot in annots:
+-        amap[annot['type']].append(annot)
+-
+-    lr = amap.get('last-read')
+-    if lr:
+-        existing = annots_map.get('last-read')
+-        if existing:
+-            lr = existing + lr
++    if isinstance(annots, dict):
++        amap = annots
++    else:
++        amap = defaultdict(list)
++        for annot in annots:
++            amap[annot['type']].append(annot)
++
++    if merge_last_read:
++        lr = amap.get('last-read')
+         if lr:
+-            lr.sort(key=itemgetter('timestamp'), reverse=True)
+-            annots_map['last-read'] = [lr[0]]
++            existing = annots_map.get('last-read')
++            if existing:
++                lr = existing + lr
++            if lr:
++                lr.sort(key=itemgetter('timestamp'), reverse=True)
++                annots_map['last-read'] = [lr[0]]
+ 
+     for annot_type, field in merge_field_map.items():
+         a = annots_map.get(annot_type)
+-        b = amap[annot_type]
++        b = amap.get(annot_type)
+         if not b:
+             continue
+         changed, annots_map[annot_type] = merge_annots_with_identical_field(a or [], b, field=field)
+diff --git a/src/calibre/gui2/actions/view.py b/src/calibre/gui2/actions/view.py
+index 5958be9c57..5eac859b3b 100644
+--- a/src/calibre/gui2/actions/view.py
++++ b/src/calibre/gui2/actions/view.py
+@@ -100,8 +100,16 @@ class ViewAction(InterfaceAction):
+         self.view_format_by_id(id_, format)
+ 
+     def calibre_book_data(self, book_id, fmt):
++        from calibre.gui2.viewer.config import vprefs, get_session_pref
++        from calibre.db.annotations import merge_annotations
++        vprefs.refresh()
++        sync_annots_user = get_session_pref('sync_annots_user', default='')
+         db = self.gui.current_db.new_api
+         annotations_map = db.annotations_map_for_book(book_id, fmt)
++        if sync_annots_user:
++            other_annotations_map = db.annotations_map_for_book(book_id, fmt, user_type='web', user=sync_annots_user)
++            if other_annotations_map:
++                merge_annotations(other_annotations_map, annotations_map, merge_last_read=False)
+         return {
+             'book_id': book_id, 'uuid': db.field_for('uuid', book_id), 'fmt': fmt.upper(),
+             'annotations_map': annotations_map,
+diff --git a/src/calibre/gui2/viewer/annotations.py b/src/calibre/gui2/viewer/annotations.py
+index e1454c5b93..8daddbc87e 100644
+--- a/src/calibre/gui2/viewer/annotations.py
++++ b/src/calibre/gui2/viewer/annotations.py
+@@ -55,7 +55,7 @@ def save_annots_to_epub(path, serialized_annots):
+         safe_replace(zf, 'META-INF/calibre_bookmarks.txt', BytesIO(serialized_annots), add_missing=True)
+ 
+ 
+-def save_annotations(annotations_list, annotations_path_key, bld, pathtoebook, in_book_file):
++def save_annotations(annotations_list, annotations_path_key, bld, pathtoebook, in_book_file, sync_annots_user):
+     annots = annot_list_as_bytes(annotations_list)
+     with open(os.path.join(annotations_dir, annotations_path_key), 'wb') as f:
+         f.write(annots)
+@@ -64,7 +64,7 @@ def save_annotations(annotations_list, annotations_path_key, bld, pathtoebook, i
+         save_annots_to_epub(pathtoebook, annots)
+         update_book(pathtoebook, before_stat, {'calibre-book-annotations.json': annots})
+     if bld:
+-        save_annotations_list_to_library(bld, annotations_list)
++        save_annotations_list_to_library(bld, annotations_list, sync_annots_user)
+ 
+ 
+ class AnnotationsSaveWorker(Thread):
+@@ -89,13 +89,14 @@ class AnnotationsSaveWorker(Thread):
+             bld = x['book_library_details']
+             pathtoebook = x['pathtoebook']
+             in_book_file = x['in_book_file']
++            sync_annots_user = x['sync_annots_user']
+             try:
+-                save_annotations(annotations_list, annotations_path_key, bld, pathtoebook, in_book_file)
++                save_annotations(annotations_list, annotations_path_key, bld, pathtoebook, in_book_file, sync_annots_user)
+             except Exception:
+                 import traceback
+                 traceback.print_exc()
+ 
+-    def save_annotations(self, current_book_data, in_book_file=True):
++    def save_annotations(self, current_book_data, in_book_file=True, sync_annots_user=''):
+         alist = tuple(annotations_as_copied_list(current_book_data['annotations_map']))
+         ebp = current_book_data['pathtoebook']
+         can_save_in_book_file = ebp.lower().endswith('.epub')
+@@ -104,7 +105,8 @@ class AnnotationsSaveWorker(Thread):
+             'annotations_path_key': current_book_data['annotations_path_key'],
+             'book_library_details': current_book_data['book_library_details'],
+             'pathtoebook': current_book_data['pathtoebook'],
+-            'in_book_file': in_book_file and can_save_in_book_file
++            'in_book_file': in_book_file and can_save_in_book_file,
++            'sync_annots_user': sync_annots_user,
+         })
+ 
+ 
+diff --git a/src/calibre/gui2/viewer/integration.py b/src/calibre/gui2/viewer/integration.py
+index 6ac2821f6b..c3e73291fa 100644
+--- a/src/calibre/gui2/viewer/integration.py
++++ b/src/calibre/gui2/viewer/integration.py
+@@ -25,7 +25,7 @@ def database_has_annotations_support(cursor):
+     return next(cursor.execute('pragma user_version;'))[0] > 23
+ 
+ 
+-def load_annotations_map_from_library(book_library_details):
++def load_annotations_map_from_library(book_library_details, user_type='local', user='viewer'):
+     import apsw
+     from calibre.db.backend import annotations_for_book, Connection
+     ans = {}
+@@ -39,14 +39,17 @@ def load_annotations_map_from_library(book_library_details):
+         cursor = conn.cursor()
+         if not database_has_annotations_support(cursor):
+             return ans
+-        for annot in annotations_for_book(cursor, book_library_details['book_id'], book_library_details['fmt']):
++        for annot in annotations_for_book(
++            cursor, book_library_details['book_id'], book_library_details['fmt'],
++            user_type=user_type, user=user
++        ):
+             ans.setdefault(annot['type'], []).append(annot)
+     finally:
+         conn.close()
+     return ans
+ 
+ 
+-def save_annotations_list_to_library(book_library_details, alist):
++def save_annotations_list_to_library(book_library_details, alist, sync_annots_user=''):
+     import apsw
+     from calibre.db.backend import save_annotations_for_book, Connection, annotations_for_book
+     from calibre.gui2.viewer.annotations import annotations_as_copied_list
+@@ -66,7 +69,15 @@ def save_annotations_list_to_library(book_library_details, alist):
+             for annot in annotations_for_book(cursor, book_library_details['book_id'], book_library_details['fmt']):
+                 amap.setdefault(annot['type'], []).append(annot)
+             merge_annotations((x[0] for x in alist), amap)
++            if sync_annots_user:
++                other_amap = {}
++                for annot in annotations_for_book(cursor, book_library_details['book_id'], book_library_details['fmt'], user_type='web', user=sync_annots_user):
++                    other_amap.setdefault(annot['type'], []).append(annot)
++                merge_annotations(amap, other_amap)
+             alist = tuple(annotations_as_copied_list(amap))
+             save_annotations_for_book(cursor, book_library_details['book_id'], book_library_details['fmt'], alist)
++            if sync_annots_user:
++                alist = tuple(annotations_as_copied_list(other_amap))
++                save_annotations_for_book(cursor, book_library_details['book_id'], book_library_details['fmt'], alist, user_type='web', user=sync_annots_user)
+     finally:
+         conn.close()
+diff --git a/src/calibre/gui2/viewer/ui.py b/src/calibre/gui2/viewer/ui.py
+index 3e3e4e5945..6f14f03939 100644
+--- a/src/calibre/gui2/viewer/ui.py
++++ b/src/calibre/gui2/viewer/ui.py
+@@ -564,6 +564,11 @@ class EbookViewer(MainWindow):
+             bld = self.current_book_data['book_library_details']
+             if bld is not None:
+                 lib_amap = load_annotations_map_from_library(bld)
++                sau = get_session_pref('sync_annots_user', default='')
++                if sau:
++                    other_amap = load_annotations_map_from_library(bld, user_type='web', user=sau)
++                    if other_amap:
++                        merge_annotations(other_amap, lib_amap)
+                 if lib_amap:
+                     for annot_type, annots in iteritems(lib_amap):
+                         merge_annotations(annots, amap)
+@@ -604,7 +609,11 @@ class EbookViewer(MainWindow):
+         if self.annotations_saver is None:
+             self.annotations_saver = AnnotationsSaveWorker()
+             self.annotations_saver.start()
+-        self.annotations_saver.save_annotations(self.current_book_data, in_book_file and get_session_pref('save_annotations_in_ebook', default=True))
++        self.annotations_saver.save_annotations(
++            self.current_book_data,
++            in_book_file and get_session_pref('save_annotations_in_ebook', default=True),
++            get_session_pref('sync_annots_user', default='')
++        )
+ 
+     def highlights_changed(self, highlights):
+         if not self.current_book_data:
+diff --git a/src/pyj/read_book/prefs/misc.pyj b/src/pyj/read_book/prefs/misc.pyj
+index f858a54d69..3dda433e39 100644
+--- a/src/pyj/read_book/prefs/misc.pyj
++++ b/src/pyj/read_book/prefs/misc.pyj
+@@ -19,6 +19,7 @@ DEFAULTS = {
+     'show_actions_toolbar': False,
+     'show_actions_toolbar_in_fullscreen': False,
+     'save_annotations_in_ebook': True,
++    'sync_annots_user': '',
+     'singleinstance': False,
+ }
+ 
+@@ -26,7 +27,11 @@ DEFAULTS = {
+ def restore_defaults():
+     container = get_container()
+     for q in Object.keys(DEFAULTS):
+-        container.querySelector(f'[name={q}]').checked = DEFAULTS[q]
++        control = container.querySelector(f'[name={q}]')
++        if jstype(DEFAULTS[q]) is 'boolean':
++            control.checked = DEFAULTS[q]
++        else:
++            control.value = DEFAULTS[q]
+     container.querySelector(f'[name=hide_tooltips]').checked = defaults.hide_tooltips
+ 
+ 
+@@ -46,6 +51,16 @@ def create_misc_panel(container, apply_func, cancel_func):
+         ans.checked = settings[name] if jstype(settings[name]) is 'boolean' else DEFAULTS[name]
+         return E.div(style='margin-top:1ex', E.label(ans, '\xa0' + text))
+ 
++    sai = E.input(name='sync_annots_user', title=_(
++        'The username of a Content server user that you want all annotations synced with.'
++        ' Use the special value * to sync with anonymous users'
++    ))
++    sai.value = settings.sync_annots_user if jstype(settings.sync_annots_user) is 'string' else DEFAULTS.sync_annots_user
++    sync_annots = E.div(
++        style='margin-top: 1ex; margin-left: 3px',
++        E.label(_('Sync bookmarks/highlights with Content server user:') + '\xa0', sai)
++    )
++
+     container.append(cb('remember_window_geometry', _('Remember last used window size and position')))
+     container.append(cb('show_actions_toolbar', _('Show a toolbar with the most useful actions')))
+     container.lastChild.append(E.span('\xa0'))
+@@ -54,6 +69,7 @@ def create_misc_panel(container, apply_func, cancel_func):
+     container.append(cb('show_actions_toolbar_in_fullscreen', _('Keep the toolbar in full screen mode (needs restart)')))
+     container.append(cb('remember_last_read', _('Remember current page when quitting')))
+     container.append(cb('save_annotations_in_ebook', _('Keep a copy of annotations/bookmarks in the e-book file, for easy sharing')))
++    container.append(sync_annots)
+     container.append(cb('singleinstance', _('Allow only a single instance of the viewer (needs restart)')))
+     container.append(cb('hide_tooltips', _('Hide mouse-over tooltips in the book text')))
+ 
+@@ -68,7 +84,11 @@ def commit_misc(onchange):
+     container = get_container()
+     vals = {}
+     for q in Object.keys(DEFAULTS):
+-        val = container.querySelector(f'[name={q}]').checked
++        control = container.querySelector(f'[name={q}]')
++        if jstype(DEFAULTS[q]) is 'boolean':
++            val = control.checked
++        else:
++            val = control.value.strip()
+         if val is not DEFAULTS[q]:
+             vals[q] = val
+     sd.set('standalone_misc_settings', vals)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0183-Fix-syncing-for-anon-users.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0183-Fix-syncing-for-anon-users.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0183-Fix-syncing-for-anon-users.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0183-Fix-syncing-for-anon-users.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,71 @@
+From c6d70968766ef959e30e12b37d0b847f1865156a Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 13 Jul 2020 08:04:04 +0530
+Subject: [PATCH 183/201] Fix syncing for anon users
+
+---
+ src/pyj/book_list/home.pyj |  5 ++---
+ src/pyj/read_book/db.pyj   | 24 ++++++++++++------------
+ 2 files changed, 14 insertions(+), 15 deletions(-)
+
+diff --git a/src/pyj/book_list/home.pyj b/src/pyj/book_list/home.pyj
+index b129f5a36c..b0cf8d0592 100644
+--- a/src/pyj/book_list/home.pyj
++++ b/src/pyj/book_list/home.pyj
+@@ -113,7 +113,7 @@ def show_recent_stage2(books):
+     to_sync = v'[]'
+     username = get_interface_data().username
+     for book in books:
+-        if username and to_sync.length < 10:
++        if to_sync.length < 10:
+             lr = book.last_read[username_key(username)] or new Date(0)  # noqa: unused-local
+             to_sync.push(v'[book.key, lr]')
+         authors = book.metadata.authors.join(' & ') if book.metadata.authors else _('Unknown')
+@@ -128,8 +128,7 @@ def show_recent_stage2(books):
+         ))
+         if book.cover_name:
+             db.get_file(book, book.cover_name, show_cover.bind(img_id))
+-    if username:
+-        start_sync(to_sync)
++    start_sync(to_sync)
+     container.appendChild(E.div(style='margin: 1rem 1rem',
+         create_button(
+             _('Browse all downloaded books…'),
+diff --git a/src/pyj/read_book/db.pyj b/src/pyj/read_book/db.pyj
+index e82093bfc6..5374086224 100644
+--- a/src/pyj/read_book/db.pyj
++++ b/src/pyj/read_book/db.pyj
+@@ -206,18 +206,18 @@ class DB:
+         book.book_hash = manifest.book_hash.hash
+         book.stored_files = {}
+         book.is_complete = False
+-        if get_interface_data().username:
+-            newest_epoch = newest_pos = None
+-            for pos in manifest.last_read_positions:
+-                if newest_epoch is None or pos.epoch > newest_epoch:
+-                    newest_epoch = pos.epoch
+-                    newest_pos = pos.cfi
+-            unkey = username_key(get_interface_data().username)
+-            if newest_pos:
+-                book.last_read[unkey] = new Date(newest_epoch * 1000)
+-                book.last_read_position[unkey] = newest_pos
+-            if manifest.annotations_map:
+-                book.annotations_map[unkey] = manifest.annotations_map
++        newest_epoch = newest_pos = None
++        for pos in manifest.last_read_positions:
++            if newest_epoch is None or pos.epoch > newest_epoch:
++                newest_epoch = pos.epoch
++                newest_pos = pos.cfi
++        username = get_interface_data().username
++        unkey = username_key(username)
++        if newest_pos and username:
++            book.last_read[unkey] = new Date(newest_epoch * 1000)
++            book.last_read_position[unkey] = newest_pos
++        if manifest.annotations_map:
++            book.annotations_map[unkey] = manifest.annotations_map
+ 
+         v'delete manifest.metadata'
+         v'delete manifest.last_read_positions'
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0184-Fix-sync-not-working-for-highlights.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0184-Fix-sync-not-working-for-highlights.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0184-Fix-sync-not-working-for-highlights.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0184-Fix-sync-not-working-for-highlights.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,35 @@
+From 51d4f0879c45207b44dc19dfae6205fad4499649 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 13 Jul 2020 09:16:41 +0530
+Subject: [PATCH 184/201] Fix sync not working for highlights
+
+---
+ src/pyj/read_book/create_annotation.pyj | 5 ++---
+ 1 file changed, 2 insertions(+), 3 deletions(-)
+
+diff --git a/src/pyj/read_book/create_annotation.pyj b/src/pyj/read_book/create_annotation.pyj
+index ff22edfe4d..34502d4285 100644
+--- a/src/pyj/read_book/create_annotation.pyj
++++ b/src/pyj/read_book/create_annotation.pyj
+@@ -33,7 +33,7 @@ class AnnotationsManager:
+             newvals = {'highlight': highlights}
+             updated, ans = merge_annotation_maps(base, newvals)
+             if updated:
+-                self.set_highlights(ans)
++                self.set_highlights(ans.highlight)
+         return updated
+ 
+     def remove_highlight(self, uuid):
+@@ -110,8 +110,7 @@ class AnnotationsManager:
+     def highlights_for_currently_showing(self):
+         name = self.view.currently_showing.name
+         ans = v'[]'
+-        for uuid in Object.keys(self.highlights):
+-            h = self.highlights[uuid]
++        for h in Object.values(self.highlights):
+             if h.spine_name is name and not h.removed and h.start_cfi:
+                 ans.push(h)
+         return ans
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0185-Display-full-annotation-text-in-details-panel.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0185-Display-full-annotation-text-in-details-panel.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0185-Display-full-annotation-text-in-details-panel.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0185-Display-full-annotation-text-in-details-panel.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,40 @@
+From 503c1ac51a693430a80433769534e3d4e526e881 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 13 Jul 2020 09:29:59 +0530
+Subject: [PATCH 185/201] Display full annotation text in details panel
+
+---
+ src/calibre/gui2/library/annotations.py | 17 +++++++++--------
+ 1 file changed, 9 insertions(+), 8 deletions(-)
+
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index 283415bd8f..18efe602a0 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -391,14 +391,15 @@ class DetailsPanel(QWidget):
+         annot_text = ''
+         a = prepare_string_for_xml
+ 
+-        for part in r['text'].split('\n\x1f\n'):
+-            segments = []
+-            for bit in part.split('\x1d'):
+-                segments.append(a(bit) + ('</b>' if len(segments) % 2 else '<b>'))
+-            stext = ''.join(segments)
+-            if stext.endswith('<b>'):
+-                stext = stext[:-3]
+-            annot_text += '<div style="text-align:left">' + stext + '</div><div>&nbsp;</div>'
++        paras = []
++        if annot['type'] == 'bookmark':
++            paras.append(annot['title'])
++        elif annot['type'] == 'highlight':
++            paras.append(annot['highlighted_text'])
++            paras.append(annot.get('notes') or '')
++
++        for para in paras:
++            annot_text += '<div style="text-align:left">' + para + '</div><div>&nbsp;</div>'
+ 
+         date = parse_iso8601(annot['timestamp']).strftime('%Y-%m-%d %H:%M:%S')
+         text = '''
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0186-Display-timestamp-in-local-timezone.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0186-Display-timestamp-in-local-timezone.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0186-Display-timestamp-in-local-timezone.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0186-Display-timestamp-in-local-timezone.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,68 @@
+From fb5d0852e9b9f50195a436bf1c90400eb3ce4750 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 13 Jul 2020 11:16:32 +0530
+Subject: [PATCH 186/201] Display timestamp in local timezone
+
+---
+ src/calibre/gui2/library/annotations.py | 19 +++++++++----------
+ 1 file changed, 9 insertions(+), 10 deletions(-)
+
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index 18efe602a0..27e0e7f992 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -8,9 +8,9 @@ import os
+ from textwrap import fill
+ 
+ from PyQt5.Qt import (
+-    QApplication, QCheckBox, QComboBox, QCursor, QFont, QHBoxLayout, QIcon, QLabel,
+-    QPalette, QPushButton, QSize, QSplitter, Qt, QTextBrowser, QTimer, QToolButton,
+-    QTreeWidget, QTreeWidgetItem, QVBoxLayout, QWidget, pyqtSignal
++    QApplication, QCheckBox, QComboBox, QCursor, QDateTime, QFont, QHBoxLayout,
++    QIcon, QLabel, QPalette, QPushButton, QSize, QSplitter, Qt, QTextBrowser, QTimer,
++    QToolButton, QTreeWidget, QTreeWidgetItem, QVBoxLayout, QWidget, pyqtSignal
+ )
+ 
+ from calibre import prepare_string_for_xml
+@@ -18,7 +18,6 @@ from calibre.ebooks.metadata import authors_to_string, fmt_sidx
+ from calibre.gui2 import Application, config, gprefs
+ from calibre.gui2.viewer.widgets import ResultsDelegate, SearchBox
+ from calibre.gui2.widgets2 import Dialog
+-from calibre.utils.iso8601 import parse_iso8601
+ 
+ 
+ def friendly_username(user_type, user):
+@@ -393,15 +392,15 @@ class DetailsPanel(QWidget):
+ 
+         paras = []
+         if annot['type'] == 'bookmark':
+-            paras.append(annot['title'])
++            paras.append(a(annot['title']))
+         elif annot['type'] == 'highlight':
+-            paras.append(annot['highlighted_text'])
+-            paras.append(annot.get('notes') or '')
++            paras.append(a(annot['highlighted_text']))
++            paras.append(a(annot.get('notes') or ''))
+ 
+         for para in paras:
+             annot_text += '<div style="text-align:left">' + para + '</div><div>&nbsp;</div>'
+ 
+-        date = parse_iso8601(annot['timestamp']).strftime('%Y-%m-%d %H:%M:%S')
++        date = QDateTime.fromString(annot['timestamp'], Qt.ISODate).toLocalTime().toString(Qt.SystemLocaleShortDate)
+         text = '''
+         <h2 style="text-align: center">{title} [{book_format}]</h2>
+         <div style="text-align: center">{authors}</div>
+@@ -414,8 +413,8 @@ class DetailsPanel(QWidget):
+         {text}
+         '''.format(
+             title=a(title), authors=a(authors), series=a(series_text), book_format=a(book_format),
+-            atype=a(atype), text=annot_text, dt=_('Date'), date=date, ut=_('User'),
+-            user=friendly_username(r['user_type'], r['user'])
++            atype=a(atype), text=annot_text, dt=_('Date'), date=a(date), ut=a(_('User')),
++            user=a(friendly_username(r['user_type'], r['user']))
+         )
+         self.text_browser.setHtml(text)
+ 
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0187-Focus-webview-when-performing-highlight-action.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0187-Focus-webview-when-performing-highlight-action.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0187-Focus-webview-when-performing-highlight-action.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0187-Focus-webview-when-performing-highlight-action.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,24 @@
+From 03c47f7365e61d5f3305c4e6dc2b94f75c79babd Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 13 Jul 2020 11:54:14 +0530
+Subject: [PATCH 187/201] Focus webview when performing highlight action
+
+---
+ src/calibre/gui2/viewer/web_view.py | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/src/calibre/gui2/viewer/web_view.py b/src/calibre/gui2/viewer/web_view.py
+index 069a859ec3..4db5d226ef 100644
+--- a/src/calibre/gui2/viewer/web_view.py
++++ b/src/calibre/gui2/viewer/web_view.py
+@@ -686,6 +686,7 @@ class WebView(RestartingWebEngineView):
+ 
+     def highlight_action(self, uuid, which):
+         self.execute_when_ready('highlight_action', uuid, which)
++        self.setFocus(Qt.OtherFocusReason)
+ 
+     def contextMenuEvent(self, ev):
+         ev.accept()
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0188-Allow-easily-editing-notes-in-the-highlights-panel.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0188-Allow-easily-editing-notes-in-the-highlights-panel.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0188-Allow-easily-editing-notes-in-the-highlights-panel.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0188-Allow-easily-editing-notes-in-the-highlights-panel.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,239 @@
+From 969f307c010bd5d33dc060ebc4997dda4cdeb2f7 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 13 Jul 2020 15:56:45 +0530
+Subject: [PATCH 188/201] Allow easily editing notes in the highlights panel
+
+---
+ src/calibre/gui2/viewer/highlights.py   | 75 ++++++++++++++++++++++---
+ src/calibre/gui2/viewer/ui.py           |  1 +
+ src/calibre/gui2/viewer/web_view.py     |  4 ++
+ src/pyj/read_book/create_annotation.pyj | 16 ++++++
+ src/pyj/read_book/view.pyj              |  5 ++
+ src/pyj/viewer-main.pyj                 |  6 ++
+ 6 files changed, 99 insertions(+), 8 deletions(-)
+
+diff --git a/src/calibre/gui2/viewer/highlights.py b/src/calibre/gui2/viewer/highlights.py
+index cbe4415826..9a7e3eec2e 100644
+--- a/src/calibre/gui2/viewer/highlights.py
++++ b/src/calibre/gui2/viewer/highlights.py
+@@ -6,13 +6,16 @@ from itertools import chain
+ 
+ from PyQt5.Qt import (
+     QHBoxLayout, QIcon, QItemSelectionModel, QKeySequence, QLabel, QListWidget,
+-    QListWidgetItem, QPushButton, Qt, QTextBrowser, QVBoxLayout, QWidget, pyqtSignal
++    QListWidgetItem, QPushButton, Qt, QTextEdit, QToolButton, QVBoxLayout, QWidget,
++    pyqtSignal
+ )
+ 
+ from calibre.constants import plugins
+ from calibre.gui2 import error_dialog, question_dialog
++from calibre.gui2.library.annotations import Details
+ from calibre.gui2.viewer.search import SearchInput
+ from calibre.gui2.viewer.shortcuts import index_to_key_sequence
++from calibre.gui2.widgets2 import Dialog
+ from polyglot.builtins import range
+ 
+ 
+@@ -83,10 +86,63 @@ class Highlights(QListWidget):
+             return i.data(Qt.UserRole)
+ 
+ 
++class NotesEditDialog(Dialog):
++
++    def __init__(self, notes, parent=None):
++        self.initial_notes = notes
++        Dialog.__init__(self, name='edit-notes-highlight', title=_('Edit notes'), parent=parent)
++
++    def setup_ui(self):
++        l = QVBoxLayout(self)
++        self.qte = qte = QTextEdit(self)
++        qte.setMinimumHeight(400)
++        qte.setMinimumWidth(600)
++        if self.initial_notes:
++            qte.setPlainText(self.initial_notes)
++        l.addWidget(qte)
++        l.addWidget(self.bb)
++
++    @property
++    def notes(self):
++        return self.qte.toPlainText().rstrip()
++
++
++class NotesDisplay(QWidget):
++
++    notes_edited = pyqtSignal(object)
++
++    def __init__(self, parent=None):
++        QWidget.__init__(self, parent)
++        h = QHBoxLayout(self)
++        h.setContentsMargins(0, 0, 0, 0)
++        self.browser = nd = Details(self)
++        h.addWidget(nd)
++        self.edit_button = eb = QToolButton(self)
++        eb.setIcon(QIcon(I('modified.png')))
++        eb.setToolTip(_('Edit the notes for this highlight'))
++        h.addWidget(eb)
++        eb.clicked.connect(self.edit_notes)
++
++    def show_notes(self, text=''):
++        text = (text or '').strip()
++        self.setVisible(bool(text))
++        self.browser.setPlainText(text)
++        h = self.browser.document().size().height() + 8
++        self.browser.setMaximumHeight(h)
++        self.setMaximumHeight(max(self.edit_button.sizeHint().height() + 4, h))
++
++    def edit_notes(self):
++        current_text = self.browser.toPlainText()
++        d = NotesEditDialog(current_text, self)
++        if d.exec_() == d.Accepted and d.notes != current_text:
++            self.notes_edited.emit(d.notes)
++
++
+ class HighlightsPanel(QWidget):
+ 
+     jump_to_cfi = pyqtSignal(object)
+     request_highlight_action = pyqtSignal(object, object)
++    web_action = pyqtSignal(object, object)
+ 
+     def __init__(self, parent=None):
+         QWidget.__init__(self, parent)
+@@ -123,10 +179,17 @@ class HighlightsPanel(QWidget):
+         self.remove_button = button('trash.png', _('Remove'), _('Remove the selected highlight'), self.remove_highlight)
+         h.addWidget(self.add_button), h.addWidget(self.edit_button), h.addWidget(self.remove_button)
+ 
+-        self.notes_display = nd = QTextBrowser(self)
++        self.notes_display = nd = NotesDisplay(self)
++        nd.notes_edited.connect(self.notes_edited)
+         l.addWidget(nd)
+         nd.setVisible(False)
+ 
++    def notes_edited(self, text):
++        h = self.highlights.current_highlight
++        if h is not None:
++            h['notes'] = text
++            self.web_action.emit('set-notes-in-highlight', h)
++
+     def set_tooltips(self, rmap):
+         a = rmap.get('create_annotation')
+         if a:
+@@ -153,13 +216,9 @@ class HighlightsPanel(QWidget):
+     def current_highlight_changed(self, highlight):
+         nd = self.notes_display
+         if highlight is None or not highlight.get('notes'):
+-            nd.setVisible(False)
+-            nd.setPlainText('')
++            nd.show_notes()
+         else:
+-            nd.setVisible(True)
+-            nd.setPlainText(highlight['notes'])
+-            h = nd.document().size().height()
+-            nd.setMaximumHeight(h + 8)
++            nd.show_notes(highlight['notes'])
+ 
+     def no_selected_highlight(self):
+         error_dialog(self, _('No selected highlight'), _(
+diff --git a/src/calibre/gui2/viewer/ui.py b/src/calibre/gui2/viewer/ui.py
+index 6f14f03939..91cae9e0de 100644
+--- a/src/calibre/gui2/viewer/ui.py
++++ b/src/calibre/gui2/viewer/ui.py
+@@ -193,6 +193,7 @@ class EbookViewer(MainWindow):
+         self.actions_toolbar.update_visibility()
+         self.dock_visibility_changed()
+         self.highlights_widget.request_highlight_action.connect(self.web_view.highlight_action)
++        self.highlights_widget.web_action.connect(self.web_view.generic_action)
+         if continue_reading:
+             self.continue_reading()
+ 
+diff --git a/src/calibre/gui2/viewer/web_view.py b/src/calibre/gui2/viewer/web_view.py
+index 4db5d226ef..42ee8f55d2 100644
+--- a/src/calibre/gui2/viewer/web_view.py
++++ b/src/calibre/gui2/viewer/web_view.py
+@@ -281,6 +281,7 @@ class ViewerBridge(Bridge):
+     trigger_shortcut = to_js()
+     set_system_palette = to_js()
+     highlight_action = to_js()
++    generic_action = to_js()
+     show_search_result = to_js()
+     prepare_for_close = to_js()
+     viewer_font_size_changed = to_js()
+@@ -688,6 +689,9 @@ class WebView(RestartingWebEngineView):
+         self.execute_when_ready('highlight_action', uuid, which)
+         self.setFocus(Qt.OtherFocusReason)
+ 
++    def generic_action(self, which, data):
++        self.execute_when_ready('generic_action', which, data)
++
+     def contextMenuEvent(self, ev):
+         ev.accept()
+         self.trigger_shortcut('show_chrome')
+diff --git a/src/pyj/read_book/create_annotation.pyj b/src/pyj/read_book/create_annotation.pyj
+index 34502d4285..9e00c3951f 100644
+--- a/src/pyj/read_book/create_annotation.pyj
++++ b/src/pyj/read_book/create_annotation.pyj
+@@ -60,6 +60,18 @@ class AnnotationsManager:
+         if h:
+             return h.notes
+ 
++    def set_notes_for_highlight(self, uuid, notes):
++        h = self.highlights[uuid]
++        if h:
++            if notes:
++                h.notes = notes
++            else:
++                v'delete h.notes'
++            if ui_operations.highlights_changed:
++                ui_operations.highlights_changed(Object.values(self.highlights))
++            return True
++        return False
++
+     def style_for_highlight(self, uuid):
+         h = self.highlights[uuid]
+         if h:
+@@ -811,6 +823,10 @@ class ViewAnnotation:
+         self.container.style.display = 'none'
+         self.showing_uuid = None
+ 
++    @property
++    def is_visible(self):
++        return self.container.style.display is not 'none'
++
+     def edit_current(self):
+         if self.showing_uuid:
+             self.view.create_annotation.edit_highlight(self.showing_uuid)
+diff --git a/src/pyj/read_book/view.pyj b/src/pyj/read_book/view.pyj
+index afa528c8d3..10560a8995 100644
+--- a/src/pyj/read_book/view.pyj
++++ b/src/pyj/read_book/view.pyj
+@@ -998,6 +998,11 @@ class View:
+         if reading_pos_cfi:
+             self.goto_cfi(reading_pos_cfi)
+ 
++    def set_notes_for_highlight(self, uuid, notes):
++        if self.annotations_manager.set_notes_for_highlight(uuid, notes):
++            if self.view_annotation.is_visible and self.view_annotation.showing_uuid is uuid:
++                self.view_annotation.show(uuid)
++
+     def on_next_spine_item(self, data):
+         spine = self.book.manifest.spine
+         idx = spine.indexOf(self.currently_showing.name)
+diff --git a/src/pyj/viewer-main.pyj b/src/pyj/viewer-main.pyj
+index 154f6ffa57..9ba62fed43 100644
+--- a/src/pyj/viewer-main.pyj
++++ b/src/pyj/viewer-main.pyj
+@@ -197,6 +197,12 @@ def highlight_action(uuid, which):
+         view.highlight_action(uuid, which)
+ 
+ 
++@from_python
++def generic_action(which, data):
++    if which is 'set-notes-in-highlight':
++        view.set_notes_for_highlight(data.uuid, data.notes or '')
++
++
+ @from_python
+ def show_home_page():
+     view.overlay.open_book(False)
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0189-Dont-show-removed-annotations-in-the-browser.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0189-Dont-show-removed-annotations-in-the-browser.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0189-Dont-show-removed-annotations-in-the-browser.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0189-Dont-show-removed-annotations-in-the-browser.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,139 @@
+From 1fea6d21bea519f35ae3a6b266b716c254efe8bb Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 13 Jul 2020 18:07:42 +0530
+Subject: [PATCH 189/201] Dont show removed annotations in the browser
+
+---
+ src/calibre/db/backend.py               | 25 +++++++++++++++++--------
+ src/calibre/db/cache.py                 |  8 +++++---
+ src/calibre/gui2/library/annotations.py | 10 ++++++++--
+ 3 files changed, 30 insertions(+), 13 deletions(-)
+
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index 61ced67000..ab2c5c030f 100644
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -1777,7 +1777,7 @@ class DB(object):
+ 
+     def search_annotations(self,
+         fts_engine_query, use_stemming, highlight_start, highlight_end, snippet_size, annotation_type,
+-        restrict_to_book_ids, restrict_to_user
++        restrict_to_book_ids, restrict_to_user, ignore_removed=False
+     ):
+         fts_table = 'annotations_fts_stemmed' if use_stemming else 'annotations_fts'
+         text = 'annotations.searchable_text'
+@@ -1807,6 +1807,8 @@ class DB(object):
+                     parsed_annot = ls(annot_data)
+                 except Exception:
+                     continue
++                if ignore_removed and parsed_annot.get('removed'):
++                    continue
+                 yield {
+                     'id': rowid,
+                     'book_id': book_id,
+@@ -1819,15 +1821,18 @@ class DB(object):
+         except apsw.SQLError as e:
+             raise FTSQueryError(fts_engine_query, query, e)
+ 
+-    def all_annotations_for_book(self, book_id):
+-        for (fmt, user_type, user, data) in self.execute('SELECT id, book, format, user_type, user, annot_data FROM annotations WHERE book=?', (book_id,)):
+-
++    def all_annotations_for_book(self, book_id, ignore_removed=False):
++        for (fmt, user_type, user, data) in self.execute(
++            'SELECT id, book, format, user_type, user, annot_data FROM annotations WHERE book=?', (book_id,)
++        ):
+             try:
+-                yield {'format': fmt, 'user_type': user_type, 'user': user, 'annotation': json.loads(data)}
++                annot = json.loads(data)
+             except Exception:
+                 pass
++            if not ignore_removed or not annot.get('removed'):
++                yield {'format': fmt, 'user_type': user_type, 'user': user, 'annotation': annot}
+ 
+-    def all_annotations(self, restrict_to_user=None, limit=None, annotation_type=None):
++    def all_annotations(self, restrict_to_user=None, limit=None, annotation_type=None, ignore_removed=False):
+         ls = json.loads
+         q = 'SELECT id, book, format, user_type, user, annot_data FROM annotations'
+         data = []
+@@ -1840,14 +1845,15 @@ class DB(object):
+             data.append(annotation_type)
+             q += ' annot_type = ? '
+         q += ' ORDER BY timestamp'
+-        if limit is not None:
+-            q += ' LIMIT %d' % limit
++        count = 0
+         for (rowid, book_id, fmt, user_type, user, annot_data) in self.execute(q, tuple(data)):
+             try:
+                 annot = ls(annot_data)
+                 atype = annot['type']
+             except Exception:
+                 continue
++            if ignore_removed and annot.get('removed'):
++                continue
+             text = ''
+             if atype == 'bookmark':
+                 text = annot['title']
+@@ -1862,6 +1868,9 @@ class DB(object):
+                 'text': text,
+                 'annotation': annot,
+             }
++            count += 1
++            if limit is not None and count >= limit:
++                break
+ 
+     def all_annotation_users(self):
+         return self.execute('SELECT DISTINCT user_type, user FROM annotations')
+diff --git a/src/calibre/db/cache.py b/src/calibre/db/cache.py
+index 74a7848cc5..3c61239e97 100644
+--- a/src/calibre/db/cache.py
++++ b/src/calibre/db/cache.py
+@@ -2311,8 +2311,8 @@ class Cache(object):
+         return tuple(self.backend.all_annotation_types())
+ 
+     @read_api
+-    def all_annotations(self, restrict_to_user=None, limit=None, annotation_type=None):
+-        return tuple(self.backend.all_annotations(restrict_to_user, limit, annotation_type))
++    def all_annotations(self, restrict_to_user=None, limit=None, annotation_type=None, ignore_removed=False):
++        return tuple(self.backend.all_annotations(restrict_to_user, limit, annotation_type, ignore_removed))
+ 
+     @read_api
+     def search_annotations(
+@@ -2325,10 +2325,12 @@ class Cache(object):
+         annotation_type=None,
+         restrict_to_book_ids=None,
+         restrict_to_user=None,
++        ignore_removed=False
+     ):
+         return tuple(self.backend.search_annotations(
+             fts_engine_query, use_stemming, highlight_start, highlight_end,
+-            snippet_size, annotation_type, restrict_to_book_ids, restrict_to_user
++            snippet_size, annotation_type, restrict_to_book_ids, restrict_to_user,
++            ignore_removed
+         ))
+ 
+     @write_api
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index 27e0e7f992..886af6813d 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -297,9 +297,15 @@ class BrowsePanel(QWidget):
+         with BusyCursor():
+             db = current_db()
+             if not q['fts_engine_query']:
+-                results = db.all_annotations(restrict_to_user=q['restrict_to_user'], limit=4096, annotation_type=q['annotation_type'])
++                results = db.all_annotations(
++                    restrict_to_user=q['restrict_to_user'], limit=4096, annotation_type=q['annotation_type'],
++                    ignore_removed=True
++                )
+             else:
+-                results = db.search_annotations(highlight_start='\x1d', highlight_end='\x1d', snippet_size=64, **q)
++                results = db.search_annotations(
++                    highlight_start='\x1d', highlight_end='\x1d', snippet_size=64,
++                    ignore_removed=True, **q
++                )
+ 
+             self.results_list.set_results(results, bool(q['fts_engine_query']))
+             self.current_query = q
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0190-Add-some-documentation-for-highlighting.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0190-Add-some-documentation-for-highlighting.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0190-Add-some-documentation-for-highlighting.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0190-Add-some-documentation-for-highlighting.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,47 @@
+From ad28b70dd833eed984d87b4f601f9963f2a2aff4 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 13 Jul 2020 20:11:34 +0530
+Subject: [PATCH 190/201] Add some documentation for highlighting
+
+---
+ manual/viewer.rst | 24 ++++++++++++++++++++++++
+ 1 file changed, 24 insertions(+)
+
+diff --git a/manual/viewer.rst b/manual/viewer.rst
+index f9d4925c75..ed4fd006a6 100644
+--- a/manual/viewer.rst
++++ b/manual/viewer.rst
+@@ -66,6 +66,30 @@ pressing the :guilabel:`Table of Contents` button.  This will bring up a list
+ of sections in the book. You can click on any of them to jump to that portion
+ of the book.
+ 
++
++Highlighting text
++^^^^^^^^^^^^^^^^^^^^^^
++
++You can highlight text by opening the viewer controls and selecting
++:guilabel:`Highlight`. Click on a word and it will be selected with selection
++handles on either side that you can drag to further refine the selection. Drag
++the handles to the top or bottom margins to scroll while selecting.  You can
++add notes to a highlight by clicking the little pencil icon in the bottom right
++corner and you can change the highlight color via the paintbrush in the
++bottom left corner.
++
++Once you are done, you can click the tick mark to save the
++highlight.
++
++To view the notes associated with any highlight simpy double-click or long
++tap it. You can also use the :guilabel:`Browse highlights` button in the viewer
++controls to show a separate panel with a list of all highlights.
++
++You can browse *all highlights* in your entire calibre library by going to
++:guilabel:`Preferences->Toolbars` in calibre and adding the :guilabel:`Browse
++annotations` tool to the toolbar.
++
++
+ Navigating by location
+ ^^^^^^^^^^^^^^^^^^^^^^^^
+ 
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0191-Remove-unneeded-__future__-imports.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0191-Remove-unneeded-__future__-imports.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0191-Remove-unneeded-__future__-imports.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0191-Remove-unneeded-__future__-imports.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,67 @@
+From a4c553a596b822b446a25c30c591b855f7ee1888 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Tue, 14 Jul 2020 09:19:22 +0530
+Subject: [PATCH 191/201] Remove unneeded __future__ imports
+
+---
+ src/calibre/db/annotations.py           | 2 --
+ src/calibre/gui2/library/annotations.py | 2 --
+ src/calibre/gui2/viewer/config.py       | 2 --
+ src/calibre/gui2/viewer/widgets.py      | 2 --
+ 4 files changed, 8 deletions(-)
+
+diff --git a/src/calibre/db/annotations.py b/src/calibre/db/annotations.py
+index 6a347e70c2..e0c912743f 100644
+--- a/src/calibre/db/annotations.py
++++ b/src/calibre/db/annotations.py
+@@ -2,8 +2,6 @@
+ # vim:fileencoding=utf-8
+ # License: GPL v3 Copyright: 2020, Kovid Goyal <kovid at kovidgoyal.net>
+ 
+-from __future__ import absolute_import, division, print_function, unicode_literals
+-
+ from collections import defaultdict
+ from itertools import chain
+ from operator import itemgetter
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index 886af6813d..83777ef601 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -2,8 +2,6 @@
+ # vim:fileencoding=utf-8
+ # License: GPL v3 Copyright: 2020, Kovid Goyal <kovid at kovidgoyal.net>
+ 
+-from __future__ import absolute_import, division, print_function, unicode_literals
+-
+ import os
+ from textwrap import fill
+ 
+diff --git a/src/calibre/gui2/viewer/config.py b/src/calibre/gui2/viewer/config.py
+index ec801591ad..d11d935e2b 100644
+--- a/src/calibre/gui2/viewer/config.py
++++ b/src/calibre/gui2/viewer/config.py
+@@ -2,8 +2,6 @@
+ # vim:fileencoding=utf-8
+ # License: GPL v3 Copyright: 2020, Kovid Goyal <kovid at kovidgoyal.net>
+ 
+-from __future__ import absolute_import, division, print_function, unicode_literals
+-
+ import os
+ from calibre.constants import config_dir
+ from calibre.utils.config import JSONConfig
+diff --git a/src/calibre/gui2/viewer/widgets.py b/src/calibre/gui2/viewer/widgets.py
+index 8de34d0d80..67da85c03c 100644
+--- a/src/calibre/gui2/viewer/widgets.py
++++ b/src/calibre/gui2/viewer/widgets.py
+@@ -2,8 +2,6 @@
+ # vim:fileencoding=utf-8
+ # License: GPL v3 Copyright: 2020, Kovid Goyal <kovid at kovidgoyal.net>
+ 
+-from __future__ import absolute_import, division, print_function, unicode_literals
+-
+ import re
+ 
+ from PyQt5.Qt import (
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0192-Dont-gate-annotations-behind-develop-mode-anymore.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0192-Dont-gate-annotations-behind-develop-mode-anymore.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0192-Dont-gate-annotations-behind-develop-mode-anymore.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0192-Dont-gate-annotations-behind-develop-mode-anymore.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,169 @@
+From 54fa610c564cb2b6a2dc7a1f2508bb2b362d7b68 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Tue, 14 Jul 2020 09:28:09 +0530
+Subject: [PATCH 192/201] Dont gate annotations behind develop mode anymore
+
+---
+ src/calibre/customize/builtins.py   |  6 ++----
+ src/calibre/gui2/viewer/toolbars.py | 24 ++++++++----------------
+ src/pyj/read_book/overlay.pyj       | 14 ++++++--------
+ src/pyj/read_book/shortcuts.pyj     | 25 ++++++++++++-------------
+ 4 files changed, 28 insertions(+), 41 deletions(-)
+
+diff --git a/src/calibre/customize/builtins.py b/src/calibre/customize/builtins.py
+index 6da18493b8..73a6bbcf62 100644
+--- a/src/calibre/customize/builtins.py
++++ b/src/calibre/customize/builtins.py
+@@ -8,7 +8,7 @@ import os, glob, re
+ from calibre import guess_type
+ from calibre.customize import (FileTypePlugin, MetadataReaderPlugin,
+     MetadataWriterPlugin, PreferencesPlugin, InterfaceActionBase, StoreBase)
+-from calibre.constants import numeric_version, in_develop_mode
++from calibre.constants import numeric_version
+ from calibre.ebooks.metadata.archive import ArchiveExtract, KPFExtract, get_comic_metadata
+ from calibre.ebooks.html.to_zip import HTML2ZIP
+ 
+@@ -1101,9 +1101,7 @@ plugins += [ActionAdd, ActionFetchAnnotations, ActionGenerateCatalog,
+         ActionCopyToLibrary, ActionTweakEpub, ActionUnpackBook, ActionNextMatch, ActionStore,
+         ActionPluginUpdater, ActionPickRandom, ActionEditToC, ActionSortBy,
+         ActionMarkBooks, ActionEmbed, ActionTemplateTester, ActionTagMapper, ActionAuthorMapper,
+-        ActionVirtualLibrary]
+-if in_develop_mode:
+-    plugins.append(ActionBrowseAnnotations)
++        ActionVirtualLibrary, ActionBrowseAnnotations]
+ 
+ # }}}
+ 
+diff --git a/src/calibre/gui2/viewer/toolbars.py b/src/calibre/gui2/viewer/toolbars.py
+index 9528a9149c..6ff496b317 100644
+--- a/src/calibre/gui2/viewer/toolbars.py
++++ b/src/calibre/gui2/viewer/toolbars.py
+@@ -12,7 +12,7 @@ from PyQt5.Qt import (
+ )
+ from PyQt5.QtWebEngineWidgets import QWebEnginePage
+ 
+-from calibre.constants import in_develop_mode, isosx
++from calibre.constants import isosx
+ from calibre.gui2 import elided_text
+ from calibre.gui2.viewer.config import get_session_pref
+ from calibre.gui2.viewer.shortcuts import index_to_key_sequence
+@@ -64,26 +64,18 @@ def all_actions():
+             'print': Action('print.png', _('Print book'), 'print'),
+             'preferences': Action('config.png', _('Preferences'), 'preferences'),
+             'metadata': Action('metadata.png', _('Show book metadata'), 'metadata'),
++            'highlight': Action('highlight.png', _('Highlight text in the book'), 'create_annotation'),
++            'toggle_highlights': Action('highlight_only_on.png', _('Browse highlights in book'), 'toggle_highlights'),
+         }
+-        if in_develop_mode:
+-            amap['highlight'] = Action('highlight.png', _('Highlight text in the book'), 'create_annotation')
+-            amap['toggle_highlights'] = Action('highlight_only_on.png', _('Browse highlights in book'), 'toggle_highlights')
+         all_actions.ans = Actions(amap)
+     return all_actions.ans
+ 
+ 
+-if in_develop_mode:
+-    DEFAULT_ACTIONS = (
+-        'back', 'forward', None, 'open', 'copy', 'increase_font_size', 'decrease_font_size', 'fullscreen', 'color_scheme',
+-        None, 'previous', 'next', None, 'toc', 'search', 'bookmarks', 'lookup', 'highlight', 'chrome', None,
+-        'mode', 'print', 'preferences', 'metadata', 'inspector'
+-    )
+-else:
+-    DEFAULT_ACTIONS = (
+-        'back', 'forward', None, 'open', 'copy', 'increase_font_size', 'decrease_font_size', 'fullscreen', 'color_scheme',
+-        None, 'previous', 'next', None, 'toc', 'search', 'bookmarks', 'lookup', 'reference', 'chrome', None,
+-        'mode', 'print', 'preferences', 'metadata', 'inspector'
+-    )
++DEFAULT_ACTIONS = (
++    'back', 'forward', None, 'open', 'copy', 'increase_font_size', 'decrease_font_size', 'fullscreen', 'color_scheme',
++    None, 'previous', 'next', None, 'toc', 'search', 'bookmarks', 'lookup', 'highlight', 'chrome', None,
++    'mode', 'print', 'preferences', 'metadata', 'inspector'
++)
+ 
+ 
+ def current_actions():
+diff --git a/src/pyj/read_book/overlay.pyj b/src/pyj/read_book/overlay.pyj
+index 6a29ba52ad..0931c0cdd6 100644
+--- a/src/pyj/read_book/overlay.pyj
++++ b/src/pyj/read_book/overlay.pyj
+@@ -322,12 +322,11 @@ class MainOverlay:  # {{{
+                 ac(_('Lookup/search word'), _('Lookup or search for the currently selected word'),
+                    def(): self.overlay.hide(), ui_operations.toggle_lookup();, 'library')
+             ))
+-            if runtime.in_develop_mode:
+-                actions_div.lastChild.appendChild(highlight_action)
+-                actions_div.lastChild.appendChild(
+-                    ac(_('Browse highlights'), _('Browse all highlights'),
+-                        def(): self.overlay.hide(), ui_operations.toggle_highlights();, 'image')
+-                )
++            actions_div.lastChild.appendChild(highlight_action)
++            actions_div.lastChild.appendChild(
++                ac(_('Browse highlights'), _('Browse all highlights'),
++                    def(): self.overlay.hide(), ui_operations.toggle_highlights();, 'image')
++            )
+             copy_actions = E.ul()
+             if self.overlay.view.currently_showing.selected_text:
+                 copy_actions.appendChild(ac(_('Copy selection'), _('Copy the current selection'), def():
+@@ -356,8 +355,7 @@ class MainOverlay:  # {{{
+                    def(): self.overlay.hide(), ui_operations.quit();, 'remove'),
+             ))
+         else:
+-            if runtime.in_develop_mode:
+-                actions_div.appendChild(E.ul(highlight_action))
++            actions_div.appendChild(E.ul(highlight_action))
+         container.appendChild(set_css(E.div(class_=MAIN_OVERLAY_TS_CLASS,  # top section
+             onclick=def (evt):evt.stopPropagation();,
+ 
+diff --git a/src/pyj/read_book/shortcuts.pyj b/src/pyj/read_book/shortcuts.pyj
+index 0048a35e41..4e8050c25d 100644
+--- a/src/pyj/read_book/shortcuts.pyj
++++ b/src/pyj/read_book/shortcuts.pyj
+@@ -3,7 +3,6 @@
+ from __python__ import bound_methods, hash_literals
+ 
+ from gettext import gettext as _
+-from read_book.globals import runtime
+ 
+ 
+ def parse_key_repr(sc):
+@@ -329,13 +328,13 @@ def shortcuts_definition():
+         _('Auto scroll slower'),
+     ),
+ 
++    'create_annotation': desc(
++        "Ctrl+h",
++        'ui',
++        _('Create a highlight'),
++    ),
++
+     }
+-    if runtime.in_develop_mode:
+-        ans.create_annotation = desc(
+-            "Ctrl+h",
+-            'ui',
+-            _('Create a highlight'),
+-        )
+     return ans
+ 
+ 
+@@ -395,12 +394,12 @@ def add_standalone_viewer_shortcuts():
+         'ui',
+         _('Toggle the toolbar'),
+     )
+-    if runtime.in_develop_mode:
+-        sc['toggle_highlights'] = desc(
+-            "Ctrl+Alt+h",
+-            'ui',
+-            _('Toggle the highlights panel')
+-        )
++
++    sc['toggle_highlights'] = desc(
++        "Ctrl+Alt+h",
++        'ui',
++        _('Toggle the highlights panel')
++    )
+ 
+ 
+ def create_shortcut_map(custom_shortcuts):
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0193-Bump-beta-version.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0193-Bump-beta-version.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0193-Bump-beta-version.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0193-Bump-beta-version.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,25 @@
+From fa7eb15fc25e2ec5a245dc8848e9ff195450c1c3 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Tue, 14 Jul 2020 18:12:43 +0530
+Subject: [PATCH 193/201] Bump beta version
+
+---
+ src/calibre/constants.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/calibre/constants.py b/src/calibre/constants.py
+index 83b4ec7837..ef2804ed87 100644
+--- a/src/calibre/constants.py
++++ b/src/calibre/constants.py
+@@ -5,7 +5,7 @@ from polyglot.builtins import map, unicode_type, environ_item, hasenv, getenv, a
+ import sys, locale, codecs, os, importlib, collections
+ 
+ __appname__   = 'calibre'
+-numeric_version = (4, 99, 6)
++numeric_version = (4, 99, 7)
+ __version__   = '.'.join(map(unicode_type, numeric_version))
+ git_version   = None
+ __author__    = "Kovid Goyal <kovid@kovidgoyal.net>"
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0194-Highlighting-should-be-a-top-level-section.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0194-Highlighting-should-be-a-top-level-section.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0194-Highlighting-should-be-a-top-level-section.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0194-Highlighting-should-be-a-top-level-section.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,76 @@
+From c567159ae7bb20f9dc0868d69c41deeb61ca4536 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Wed, 15 Jul 2020 14:49:47 +0530
+Subject: [PATCH 194/201] Highlighting should be a top level section
+
+---
+ manual/viewer.rst | 46 +++++++++++++++++++++++-----------------------
+ 1 file changed, 23 insertions(+), 23 deletions(-)
+
+diff --git a/manual/viewer.rst b/manual/viewer.rst
+index ed4fd006a6..ee197695c5 100644
+--- a/manual/viewer.rst
++++ b/manual/viewer.rst
+@@ -67,29 +67,6 @@ of sections in the book. You can click on any of them to jump to that portion
+ of the book.
+ 
+ 
+-Highlighting text
+-^^^^^^^^^^^^^^^^^^^^^^
+-
+-You can highlight text by opening the viewer controls and selecting
+-:guilabel:`Highlight`. Click on a word and it will be selected with selection
+-handles on either side that you can drag to further refine the selection. Drag
+-the handles to the top or bottom margins to scroll while selecting.  You can
+-add notes to a highlight by clicking the little pencil icon in the bottom right
+-corner and you can change the highlight color via the paintbrush in the
+-bottom left corner.
+-
+-Once you are done, you can click the tick mark to save the
+-highlight.
+-
+-To view the notes associated with any highlight simpy double-click or long
+-tap it. You can also use the :guilabel:`Browse highlights` button in the viewer
+-controls to show a separate panel with a list of all highlights.
+-
+-You can browse *all highlights* in your entire calibre library by going to
+-:guilabel:`Preferences->Toolbars` in calibre and adding the :guilabel:`Browse
+-annotations` tool to the toolbar.
+-
+-
+ Navigating by location
+ ^^^^^^^^^^^^^^^^^^^^^^^^
+ 
+@@ -121,6 +98,29 @@ these numbers in the :guilabel:`Go to function` to navigate to a particular
+ reference location.
+ 
+ 
++Highlighting text
++----------------------
++
++You can highlight text by opening the viewer controls and selecting
++:guilabel:`Highlight`. Click on a word and it will be selected with selection
++handles on either side that you can drag to further refine the selection. Drag
++the handles to the top or bottom margins to scroll while selecting.  You can
++add notes to a highlight by clicking the little pencil icon in the bottom right
++corner and you can change the highlight color via the paintbrush in the
++bottom left corner.
++
++Once you are done, you can click the tick mark to save the
++highlight.
++
++To view the notes associated with any highlight simpy double-click or long
++tap it. You can also use the :guilabel:`Browse highlights` button in the viewer
++controls to show a separate panel with a list of all highlights.
++
++You can browse *all highlights* in your entire calibre library by going to
++:guilabel:`Preferences->Toolbars` in calibre and adding the :guilabel:`Browse
++annotations` tool to the toolbar.
++
++
+ Customizing the look and feel of your reading experience
+ ------------------------------------------------------------
+ 
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0195-When-showing-all-annotations-in-browser-order-newest.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0195-When-showing-all-annotations-in-browser-order-newest.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0195-When-showing-all-annotations-in-browser-order-newest.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0195-When-showing-all-annotations-in-browser-order-newest.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,26 @@
+From 318f103f09be7d51e49f8dbc6e6a2b86382993ba Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Wed, 15 Jul 2020 21:07:13 +0530
+Subject: [PATCH 195/201] When showing all annotations in browser order newest
+ to oldest
+
+---
+ src/calibre/db/backend.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index ab2c5c030f..3b4741f1f6 100644
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -1844,7 +1844,7 @@ class DB(object):
+         if annotation_type:
+             data.append(annotation_type)
+             q += ' annot_type = ? '
+-        q += ' ORDER BY timestamp'
++        q += ' ORDER BY timestamp DESC '
+         count = 0
+         for (rowid, book_id, fmt, user_type, user, annot_data) in self.execute(q, tuple(data)):
+             try:
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0196-Improve-formatting-of-notes-in-the-browse-details-pa.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0196-Improve-formatting-of-notes-in-the-browse-details-pa.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0196-Improve-formatting-of-notes-in-the-browse-details-pa.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0196-Improve-formatting-of-notes-in-the-browse-details-pa.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,54 @@
+From 826918021358a0862972ad8f1a7f25d6323f265c Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Wed, 15 Jul 2020 21:13:00 +0530
+Subject: [PATCH 196/201] Improve formatting of notes in the browse details
+ panel
+
+---
+ src/calibre/gui2/library/annotations.py | 28 ++++++++++++++++++-------
+ 1 file changed, 21 insertions(+), 7 deletions(-)
+
+diff --git a/src/calibre/gui2/library/annotations.py b/src/calibre/gui2/library/annotations.py
+index 83777ef601..b06137f289 100644
+--- a/src/calibre/gui2/library/annotations.py
++++ b/src/calibre/gui2/library/annotations.py
+@@ -395,15 +395,29 @@ class DetailsPanel(QWidget):
+         a = prepare_string_for_xml
+ 
+         paras = []
+-        if annot['type'] == 'bookmark':
+-            paras.append(a(annot['title']))
+-        elif annot['type'] == 'highlight':
+-            paras.append(a(annot['highlighted_text']))
+-            paras.append(a(annot.get('notes') or ''))
+ 
+-        for para in paras:
+-            annot_text += '<div style="text-align:left">' + para + '</div><div>&nbsp;</div>'
++        def p(text, tag='p'):
++            paras.append('<{0}>{1}</{0}>'.format(tag, a(text)))
+ 
++        if annot['type'] == 'bookmark':
++            p(annot['title'])
++        elif annot['type'] == 'highlight':
++            p(annot['highlighted_text'])
++            notes = annot.get('notes')
++            if notes:
++                p(_('Notes'), 'h4')
++                current_lines = []
++                for line in notes.splitlines():
++                    if line:
++                        current_lines.append(line)
++                    else:
++                        if current_lines:
++                            p('\n'.join(current_lines))
++                            current_lines = []
++                if current_lines:
++                    p('\n'.join(current_lines))
++
++        annot_text += '\n'.join(paras)
+         date = QDateTime.fromString(annot['timestamp'], Qt.ISODate).toLocalTime().toString(Qt.SystemLocaleShortDate)
+         text = '''
+         <h2 style="text-align: center">{title} [{book_format}]</h2>
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0197-Fix-opening-and-closing-an-existing-highlight-causes.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0197-Fix-opening-and-closing-an-existing-highlight-causes.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0197-Fix-opening-and-closing-an-existing-highlight-causes.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0197-Fix-opening-and-closing-an-existing-highlight-causes.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,37 @@
+From 19de49e4828331ed527813e25f855a126fe81004 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 16 Jul 2020 08:54:15 +0530
+Subject: [PATCH 197/201] Fix opening and closing an existing highlight causes
+ notes to be lost
+
+---
+ src/pyj/read_book/create_annotation.pyj | 5 +++--
+ 1 file changed, 3 insertions(+), 2 deletions(-)
+
+diff --git a/src/pyj/read_book/create_annotation.pyj b/src/pyj/read_book/create_annotation.pyj
+index 9e00c3951f..f26093db4b 100644
+--- a/src/pyj/read_book/create_annotation.pyj
++++ b/src/pyj/read_book/create_annotation.pyj
+@@ -669,8 +669,10 @@ class CreateAnnotation:
+ 
+     def handle_message(self, msg):
+         if msg.type is 'create-annotation':
+-            self.editing_annot_uuid = None
++            self.editing_annot_uuid = msg.existing or None
+             self.current_notes = ''
++            if self.editing_annot_uuid:
++                self.current_notes = self.annotations_manager.notes_for_highlight(self.editing_annot_uuid) or ''
+             if not self.is_visible:
+                 self.view.hide_overlays()
+             self.state = WAITING_FOR_CLICK
+@@ -679,7 +681,6 @@ class CreateAnnotation:
+             if msg.extents and msg.extents.start.x is not None:
+                 self.place_handles(msg.extents)
+             self.in_flow_mode = msg.in_flow_mode
+-            self.editing_annot_uuid = msg.existing or None
+             self.send_message('set-highlight-style', style=self.current_highlight_style)
+         elif msg.type is 'position-handles':
+             if self.state is WAITING_FOR_CLICK:
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0198-Allow-pressing-n-to-start-adding-notes-when-editing-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0198-Allow-pressing-n-to-start-adding-notes-when-editing-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0198-Allow-pressing-n-to-start-adding-notes-when-editing-.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0198-Allow-pressing-n-to-start-adding-notes-when-editing-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,66 @@
+From 34736b4a42894c2dff1792971d06332e5ac2c587 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 16 Jul 2020 09:09:48 +0530
+Subject: [PATCH 198/201] Allow pressing n to start adding notes when editing a
+ highlight
+
+Also add information about shortcuts to the various button tooltips
+---
+ src/pyj/read_book/create_annotation.pyj | 14 ++++++++------
+ 1 file changed, 8 insertions(+), 6 deletions(-)
+
+diff --git a/src/pyj/read_book/create_annotation.pyj b/src/pyj/read_book/create_annotation.pyj
+index f26093db4b..ba73ec90ce 100644
+--- a/src/pyj/read_book/create_annotation.pyj
++++ b/src/pyj/read_book/create_annotation.pyj
+@@ -240,15 +240,15 @@ class CreateAnnotation:
+ 
+         tb = create_bar()
+         container.appendChild(tb)
+-        button(tb, 'close', _('Cancel creation of highlight'), self.hide)
+-        button(tb, 'chevron-up', _('Scroll up'), self.button_scroll.bind(None, True))
++        button(tb, 'close', _('Cancel creation of highlight') + ' [Esc]', self.hide)
++        button(tb, 'chevron-up', _('Scroll up') + ' [Up]', self.button_scroll.bind(None, True))
+         tb.appendChild(E.span(style=f'height: {tb.style.height}'))
+         button(tb.lastChild, 'trash', _('Remove this highlight'), self.delete_highlight)
+         tb.lastChild.appendChild(E.span('\xa0\xa0\xa0'))
+         if ui_operations.copy_selection:
+             button(tb.lastChild, 'copy', _('Copy to clipboard'), self.copy_to_clipboard)
+             tb.lastChild.appendChild(E.span('\xa0\xa0\xa0'))
+-        button(tb.lastChild, 'check', _('Finish creation of highlight'), self.accept)
++        button(tb.lastChild, 'check', _('Finish creation of highlight') + ' [Enter]', self.accept)
+ 
+         middle = E.div(id=unique_id('middle'), style='display: none; text-align: center; z-index: 90000')
+         self.middle_id = middle.id
+@@ -257,8 +257,8 @@ class CreateAnnotation:
+         bb = create_bar()
+         container.appendChild(bb)
+         button(bb, 'fg', _('Change highlight color'), self.choose_color)
+-        button(bb, 'chevron-down', _('Scroll down'), self.button_scroll)
+-        button(bb, 'pencil', _('Add a note'), self.add_notes)
++        button(bb, 'chevron-down', _('Scroll down') + ' [Down]', self.button_scroll)
++        button(bb, 'pencil', _('Add a note') + ' [n]', self.add_notes)
+ 
+         sd = get_session_data()
+         style = sd.get('highlight_style') or default_highlight_style()
+@@ -337,7 +337,7 @@ class CreateAnnotation:
+                     svgicon('check', f'{BAR_SIZE}px', f'{BAR_SIZE}px'),
+                     href='javascript:void',
+                     class_='simple-link',
+-                    title=_('Done adding notes'),
++                    title=_('Done adding notes') + ' [Esc]',
+                     onclick=def(ev):
+                         ev.preventDefault(), ev.stopPropagation()
+                         self.hide_middle()
+@@ -459,6 +459,8 @@ class CreateAnnotation:
+         ev.stopPropagation(), ev.preventDefault()
+         if ev.key is 'Enter':
+             return self.accept()
++        if ev.key is 'n' or ev.key is 'N':
++            return self.add_notes()
+         sc_name = shortcut_for_key_event(ev, self.view.keyboard_shortcut_map)
+         if sc_name is 'show_chrome':
+             self.hide()
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0199-Use-rmtree-with-retry-when-deleting-after-library-mo.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0199-Use-rmtree-with-retry-when-deleting-after-library-mo.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0199-Use-rmtree-with-retry-when-deleting-after-library-mo.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0199-Use-rmtree-with-retry-when-deleting-after-library-mo.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,61 @@
+From 66ed6f342eb8ed3a0a3a3ebef6d870e836fc7344 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 16 Jul 2020 09:43:13 +0530
+Subject: [PATCH 199/201] Use rmtree with retry when deleting after library
+ move
+
+Hopefully makes test failures more rare
+---
+ src/calibre/db/backend.py | 22 ++++++++++++----------
+ 1 file changed, 12 insertions(+), 10 deletions(-)
+
+diff --git a/src/calibre/db/backend.py b/src/calibre/db/backend.py
+index 3b4741f1f6..2290b28f64 100644
+--- a/src/calibre/db/backend.py
++++ b/src/calibre/db/backend.py
+@@ -386,6 +386,16 @@ def set_global_state(backend):
+         backend.library_id, (), precompiled_user_functions=backend.get_user_template_functions())
+ 
+ 
++def rmtree_with_retry(path, sleep_time=1):
++    try:
++        shutil.rmtree(path)
++    except EnvironmentError as e:
++        if e.errno == errno.ENOENT and not os.path.exists(path):
++            return
++        time.sleep(sleep_time)  # In case something has temporarily locked a file
++        shutil.rmtree(path)
++
++
+ class DB(object):
+ 
+     PATH_LIMIT = 40 if iswindows else 100
+@@ -1216,15 +1226,7 @@ class DB(object):
+ 
+     def rmtree(self, path):
+         if self.is_deletable(path):
+-            try:
+-                shutil.rmtree(path)
+-            except EnvironmentError as e:
+-                if e.errno == errno.ENOENT and not os.path.exists(path):
+-                    return
+-                import traceback
+-                traceback.print_exc()
+-                time.sleep(1)  # In case something has temporarily locked a file
+-                shutil.rmtree(path)
++            rmtree_with_retry(path)
+ 
+     def construct_path_name(self, book_id, title, author):
+         '''
+@@ -1980,7 +1982,7 @@ class DB(object):
+         self._conn = None
+         for loc in old_dirs:
+             try:
+-                shutil.rmtree(loc)
++                rmtree_with_retry(loc)
+             except EnvironmentError as e:
+                 if os.path.exists(loc):
+                     prints('Failed to delete:', loc, 'with error:', as_unicode(e))
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0200-Fix-incorrect-mapping-of-CFI-to-position-for-CFI-at-.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0200-Fix-incorrect-mapping-of-CFI-to-position-for-CFI-at-.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0200-Fix-incorrect-mapping-of-CFI-to-position-for-CFI-at-.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0200-Fix-incorrect-mapping-of-CFI-to-position-for-CFI-at-.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,76 @@
+From 571e8d5db9f4da0da446e0bdb1a904d6422b577d Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 16 Jul 2020 10:30:45 +0530
+Subject: [PATCH 200/201] Fix incorrect mapping of CFI to position for CFI at
+ the start of a tag whose contents are wrapped in an annotation span
+
+---
+ src/pyj/read_book/cfi.pyj | 50 +++++++++++++++++++++------------------
+ 1 file changed, 27 insertions(+), 23 deletions(-)
+
+diff --git a/src/pyj/read_book/cfi.pyj b/src/pyj/read_book/cfi.pyj
+index 4ea5b8a22d..006aa6bc12 100644
+--- a/src/pyj/read_book/cfi.pyj
++++ b/src/pyj/read_book/cfi.pyj
+@@ -566,31 +566,35 @@ def point(cfi, doc):  # {{{
+         else:
+             try_list = [{'start':0, 'end':0, 'a':0.5}, {'start':-1, 'end':0, 'a':0}, {'start':0, 'end':1, 'a':1}]
+         a = None
+-        rects = None
+         node_len = node.nodeValue.length if node.nodeValue else 0
+         offset = r.offset
+-        for v'var i = 0; i < 2; i++':
+-            # Try reducing the offset by 1 if we get no match as if it refers to the position after the
+-            # last character we wont get a match with getClientRects
+-            offset = r.offset - i
+-            if offset < 0:
+-                offset = 0
+-            k = 0
+-            while (not rects or not rects.length) and k < try_list.length:
+-                t = try_list[k]
+-                k += 1
+-                start_offset = offset + t.start
+-                end_offset = offset + t.end
+-                a = t.a
+-                if start_offset < 0 or end_offset >= node_len:
+-                    continue
+-                range_.setStart(node, start_offset)
+-                range_.setEnd(node, end_offset)
+-                rects = range_.getClientRects()
+-
+-        if not rects or not rects.length:
+-            print(str.format("Could not find caret position: rects: {} offset: {}", rects, r.offset))
+-            return None
++        if not offset:
++            range_.setStart(node, 0)
++            range_.setEnd(node, 0)
++        else:
++            rects = v'[]'
++            for v'var i = 0; i < 2; i++':
++                # Try reducing the offset by 1 if we get no match as if it refers to the position after the
++                # last character we wont get a match with getClientRects
++                offset = r.offset - i
++                if offset < 0:
++                    offset = 0
++                k = 0
++                while not rects?.length and k < try_list.length:
++                    t = try_list[k]
++                    k += 1
++                    start_offset = offset + t.start
++                    end_offset = offset + t.end
++                    a = t.a
++                    if start_offset < 0 or end_offset >= node_len:
++                        continue
++                    range_.setStart(node, start_offset)
++                    range_.setEnd(node, end_offset)
++                    rects = range_.getClientRects()
++
++            if not rects?.length:
++                print(str.format("Could not find caret position for {} : rects: {} offset: {}", cfi, rects, r.offset))
++                return None
+ 
+     else:
+         x, y = r.x, r.y
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0201-Retry-the-http_basic-test-once-if-it-fails.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0201-Retry-the-http_basic-test-once-if-it-fails.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0201-Retry-the-http_basic-test-once-if-it-fails.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0201-Retry-the-http_basic-test-once-if-it-fails.patch	2020-07-17 14:23:04.000000000 +0000
@@ -0,0 +1,31 @@
+From 0307ebbefa148ae88c16bf638d53f3cdf18daecc Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 16 Jul 2020 11:51:22 +0530
+Subject: [PATCH 201/201] Retry the http_basic test once if it fails
+
+---
+ src/calibre/srv/tests/http.py | 8 ++++++++
+ 1 file changed, 8 insertions(+)
+
+diff --git a/src/calibre/srv/tests/http.py b/src/calibre/srv/tests/http.py
+index 81f91b483e..58ebcd4946 100644
+--- a/src/calibre/srv/tests/http.py
++++ b/src/calibre/srv/tests/http.py
+@@ -128,6 +128,14 @@ class TestHTTP(BaseTest):
+ 
+     def test_http_basic(self):  # {{{
+         'Test basic HTTP protocol conformance'
++        try:
++            self.do_http_basic()
++        except Exception:
++            # this test is a little flaky on the windows CI machine.
++            time.sleep(1)
++            self.do_http_basic()
++
++    def do_http_basic(self):
+         from calibre.srv.errors import HTTPNotFound, HTTPRedirect
+         body = 'Requested resource not found'
+ 
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0202-Slight-dulling-of-text-brigthness-in-dark-mode.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0202-Slight-dulling-of-text-brigthness-in-dark-mode.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0202-Slight-dulling-of-text-brigthness-in-dark-mode.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0202-Slight-dulling-of-text-brigthness-in-dark-mode.patch	2020-07-20 02:43:52.000000000 +0000
@@ -0,0 +1,39 @@
+From 79226b68e6798510d3b4e142f5227d6dce45d2e4 Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Thu, 16 Jul 2020 16:39:57 +0530
+Subject: [PATCH 202/204] Slight dulling of text brigthness in dark mode
+
+---
+ src/calibre/gui2/palette.py    | 2 +-
+ src/pyj/read_book/settings.pyj | 2 +-
+ 2 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/src/calibre/gui2/palette.py b/src/calibre/gui2/palette.py
+index c96886a4da..0b6846e4d9 100644
+--- a/src/calibre/gui2/palette.py
++++ b/src/calibre/gui2/palette.py
+@@ -13,7 +13,7 @@ def dark_palette():
+     p = QPalette()
+     dark_color = QColor(45,45,45)
+     disabled_color = QColor(127,127,127)
+-    text_color = QColor('#eee')
++    text_color = QColor('#ddd')
+     p.setColor(p.Window, dark_color)
+     p.setColor(p.WindowText, text_color)
+     p.setColor(p.Base, QColor(18,18,18))
+diff --git a/src/pyj/read_book/settings.pyj b/src/pyj/read_book/settings.pyj
+index ab846cb196..df48046d78 100644
+--- a/src/pyj/read_book/settings.pyj
++++ b/src/pyj/read_book/settings.pyj
+@@ -43,7 +43,7 @@ def apply_font_size():
+ def default_selection_colors():
+     if opts.is_dark_theme:
+         return dark_link_color, '#111'
+-    return '#3297FD', '#eee'
++    return '#3297FD', '#ddd'
+ 
+ 
+ styles_id = 'calibre-color-scheme-style-overrides'
+-- 
+2.28.0.rc1
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0203-calibre-portable-Add-launchers-for-standalone-viewer.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0203-calibre-portable-Add-launchers-for-standalone-viewer.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0203-calibre-portable-Add-launchers-for-standalone-viewer.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0203-calibre-portable-Add-launchers-for-standalone-viewer.patch	2020-07-20 02:43:57.000000000 +0000
@@ -0,0 +1,132 @@
+From d6b87cd19357ebd8e7a10a27b9236155c679ccbd Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Sun, 19 Jul 2020 15:14:56 +0530
+Subject: [PATCH 203/204] calibre portable: Add launchers for standalone viewer
+ and editor
+
+---
+ bypy/windows/__main__.py            | 41 +++++++++++++++++------------
+ bypy/windows/portable-installer.cpp | 10 +++++++
+ bypy/windows/portable.c             |  2 +-
+ src/pyj/read_book/cfi.pyj           |  7 +++--
+ 4 files changed, 40 insertions(+), 20 deletions(-)
+
+diff --git a/bypy/windows/__main__.py b/bypy/windows/__main__.py
+index 02982d05b5..8f69a1392d 100644
+--- a/bypy/windows/__main__.py
++++ b/bypy/windows/__main__.py
+@@ -313,14 +313,16 @@ def extract_pyd_modules(env, site_packages_dir):
+ 
+ def embed_resources(env, module, desc=None, extra_data=None, product_description=None):
+     icon_base = j(env.src_root, 'icons')
+-    icon_map = {'calibre': 'library', 'ebook-viewer': 'viewer', 'ebook-edit': 'ebook-edit',
+-                'lrfviewer': 'viewer', 'calibre-portable': 'library'}
++    icon_map = {
++        'calibre': 'library', 'ebook-viewer': 'viewer', 'ebook-edit': 'ebook-edit',
++        'lrfviewer': 'viewer',
++    }
+     file_type = 'DLL' if module.endswith('.dll') else 'APP'
+     with open(env.rc_template, 'rb') as f:
+         template = f.read().decode('utf-8')
+     bname = b(module)
+     internal_name = os.path.splitext(bname)[0]
+-    icon = icon_map.get(internal_name, 'command-prompt')
++    icon = icon_map.get(internal_name.replace('-portable', ''), 'command-prompt')
+     if internal_name.startswith('calibre-portable-'):
+         icon = 'install'
+     icon = j(icon_base, icon + '.ico')
+@@ -415,20 +417,25 @@ def build_portable(env):
+     obj = j(env.obj_dir, b(src) + '.obj')
+     cflags = '/c /EHsc /MT /W3 /Ox /nologo /D_UNICODE /DUNICODE'.split()
+ 
+-    printf('Compiling', obj)
+-    cmd = [CL] + cflags + ['/Fo' + obj, '/Tc' + src]
+-    run_compiler(env, *cmd)
+-
+-    exe = j(base, 'calibre-portable.exe')
+-    printf('Linking', exe)
+-    cmd = [LINK] + [
+-        '/INCREMENTAL:NO', '/MACHINE:' + machine,
+-        '/LIBPATH:' + env.obj_dir, '/SUBSYSTEM:WINDOWS',
+-        '/RELEASE',
+-        '/ENTRY:wWinMainCRTStartup',
+-        '/OUT:' + exe, embed_resources(env, exe, desc='Calibre Portable', product_description='Calibre Portable'),
+-        obj, 'User32.lib']
+-    run(*cmd)
++    for exe_name in ('calibre.exe', 'ebook-viewer.exe', 'ebook-edit.exe'):
++        exe = j(base, exe_name.replace('.exe', '-portable.exe'))
++        printf('Compiling', exe)
++        cmd = [CL] + cflags + ['/DEXE_NAME="%s"' % exe_name, '/Fo' + obj, '/Tc' + src]
++        run_compiler(env, *cmd)
++        printf('Linking', exe)
++        desc = {
++            'calibre.exe': 'Calibre Portable',
++            'ebook-viewer.exe': 'Calibre Portable Viewer',
++            'ebook-edit.exe': 'Calibre Portable Editor'
++        }[exe_name]
++        cmd = [LINK] + [
++            '/INCREMENTAL:NO', '/MACHINE:' + machine,
++            '/LIBPATH:' + env.obj_dir, '/SUBSYSTEM:WINDOWS',
++            '/RELEASE',
++            '/ENTRY:wWinMainCRTStartup',
++            '/OUT:' + exe, embed_resources(env, exe, desc=desc, product_description=desc),
++            obj, 'User32.lib']
++        run(*cmd)
+ 
+     printf('Creating portable installer')
+     shutil.copytree(env.base, j(base, 'Calibre'))
+diff --git a/bypy/windows/portable-installer.cpp b/bypy/windows/portable-installer.cpp
+index 5a61fee101..52fd996e61 100644
+--- a/bypy/windows/portable-installer.cpp
++++ b/bypy/windows/portable-installer.cpp
+@@ -407,6 +407,16 @@ static BOOL move_program() {
+         show_last_error(L"Failed to move calibre-portable.exe, make sure calibre is not running");
+         return false;
+     }
++    if (MoveFileEx(L"Calibre Portable\\ebook-viewer-portable.exe",
++                L"..\\ebook-viewer-portable.exe", MOVEFILE_REPLACE_EXISTING) == 0) {
++        show_last_error(L"Failed to move ebook-viewer-portable.exe, make sure calibre is not running");
++        return false;
++    }
++    if (MoveFileEx(L"Calibre Portable\\ebook-edit-portable.exe",
++                L"..\\ebook-edit-portable.exe", MOVEFILE_REPLACE_EXISTING) == 0) {
++        show_last_error(L"Failed to move ebook-edit-portable.exe, make sure calibre is not running");
++        return false;
++    }
+ 
+     if (directory_exists(L"..\\Calibre")) {
+         if (!rmtree(L"..\\Calibre")) {
+diff --git a/bypy/windows/portable.c b/bypy/windows/portable.c
+index 98f63b0155..ff3121d079 100644
+--- a/bypy/windows/portable.c
++++ b/bypy/windows/portable.c
+@@ -148,7 +148,7 @@ int WINAPI wWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, PWSTR pCmdLine
+     exe = (LPTSTR)calloc(BUFSIZE, sizeof(TCHAR));
+ 
+     _sntprintf_s(config_dir, BUFSIZE, _TRUNCATE, _T("%sCalibre Settings"), app_dir);
+-    _sntprintf_s(exe, BUFSIZE, _TRUNCATE, _T("%sCalibre\\calibre.exe"), app_dir);
++    _sntprintf_s(exe, BUFSIZE, _TRUNCATE, _T("%sCalibre\\%s"), app_dir, _T(EXE_NAME));
+ 
+     launch_calibre(exe, config_dir);
+ 
+diff --git a/src/pyj/read_book/cfi.pyj b/src/pyj/read_book/cfi.pyj
+index 006aa6bc12..adeb7f3258 100644
+--- a/src/pyj/read_book/cfi.pyj
++++ b/src/pyj/read_book/cfi.pyj
+@@ -331,8 +331,11 @@ def decode(cfi, doc):
+                 node = q
+                 cfi = cfi.substr(r[0].length)
+             else:
+-                error = "No matching child found for CFI: " + cfi
+-                break
++                if target:
++                    error = "No matching child found for CFI: " + cfi
++                    break
++                else:
++                    cfi = cfi.substr(r[0].length)
+         else if cfi[0] is '!': # Indirection
+             if node.contentDocument:
+                 node = node.contentDocument
+-- 
+2.28.0.rc1
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0204-Triple-retry-sleep-time-for-tests-thats-flaky-on-git.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0204-Triple-retry-sleep-time-for-tests-thats-flaky-on-git.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0204-Triple-retry-sleep-time-for-tests-thats-flaky-on-git.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0204-Triple-retry-sleep-time-for-tests-thats-flaky-on-git.patch	2020-07-20 02:44:03.000000000 +0000
@@ -0,0 +1,26 @@
+From 0722e54cc0fa94038a2327f023e4c6e6be2176bf Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Sun, 19 Jul 2020 16:17:57 +0530
+Subject: [PATCH 204/204] Triple retry sleep time for tests thats flaky on
+ github CI
+
+---
+ src/calibre/srv/tests/http.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/calibre/srv/tests/http.py b/src/calibre/srv/tests/http.py
+index 58ebcd4946..28d8838e21 100644
+--- a/src/calibre/srv/tests/http.py
++++ b/src/calibre/srv/tests/http.py
+@@ -132,7 +132,7 @@ class TestHTTP(BaseTest):
+             self.do_http_basic()
+         except Exception:
+             # this test is a little flaky on the windows CI machine.
+-            time.sleep(1)
++            time.sleep(3)
+             self.do_http_basic()
+ 
+     def do_http_basic(self):
+-- 
+2.28.0.rc1
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0205-Avoid-error-when-selecting-a-non-existent-range-wrap.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0205-Avoid-error-when-selecting-a-non-existent-range-wrap.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0205-Avoid-error-when-selecting-a-non-existent-range-wrap.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0205-Avoid-error-when-selecting-a-non-existent-range-wrap.patch	2020-07-20 08:10:25.000000000 +0000
@@ -0,0 +1,56 @@
+From 3640a7873df67b2b8461927f373be119f2e83f1f Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 20 Jul 2020 09:48:14 +0530
+Subject: [PATCH 205/206] Avoid error when selecting a non-existent range
+ wrapper
+
+---
+ src/pyj/range_utils.pyj      | 17 +++++++++++------
+ src/pyj/read_book/iframe.pyj |  3 +--
+ 2 files changed, 12 insertions(+), 8 deletions(-)
+
+diff --git a/src/pyj/range_utils.pyj b/src/pyj/range_utils.pyj
+index cccd972168..2686a753ea 100644
+--- a/src/pyj/range_utils.pyj
++++ b/src/pyj/range_utils.pyj
+@@ -60,12 +60,17 @@ def unwrap_all_crw():
+ 
+ def select_crw(crw):
+     nodes = document.querySelectorAll(f'span[data-calibre-range-wrapper="{crw}"]')
+-    r = document.createRange()
+-    r.setStart(nodes[0].firstChild, 0)
+-    r.setEnd(nodes[-1].lastChild, nodes[-1].lastChild.nodeValue.length)
+-    sel = window.getSelection()
+-    sel.removeAllRanges()
+-    sel.addRange(r)
++    if nodes and nodes.length:
++        r = document.createRange()
++        r.setStart(nodes[0].firstChild, 0)
++        r.setEnd(nodes[-1].lastChild, nodes[-1].lastChild.nodeValue.length)
++        sel = window.getSelection()
++        sel.removeAllRanges()
++        sel.addRange(r)
++        return True
++    else:
++        print(f'range-wrapper: {crw} does not exist')
++    return False
+ 
+ 
+ def create_wrapper_function(wrapper_elem, r, intersecting_wrappers, process_wrapper):
+diff --git a/src/pyj/read_book/iframe.pyj b/src/pyj/read_book/iframe.pyj
+index 215f5108b3..0e17e74d6e 100644
+--- a/src/pyj/read_book/iframe.pyj
++++ b/src/pyj/read_book/iframe.pyj
+@@ -730,8 +730,7 @@ class IframeBoss:
+             set_selection_style(data.style)
+         elif data.type is 'edit-highlight':
+             crw_ = {v: k for k, v in Object.entries(annot_id_uuid_map)}[data.uuid]
+-            if crw_:
+-                select_crw(crw_)
++            if crw_ and select_crw(crw_):
+                 self.ensure_selection_visible()
+                 self.initiate_creation_of_annotation(data.uuid)
+         elif data.type is 'remove-highlight':
+-- 
+2.28.0.rc1
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0206-Fix-handles-becoming-invisible-after-changing-highli.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0206-Fix-handles-becoming-invisible-after-changing-highli.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3/0206-Fix-handles-becoming-invisible-after-changing-highli.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3/0206-Fix-handles-becoming-invisible-after-changing-highli.patch	2020-07-20 08:10:31.000000000 +0000
@@ -0,0 +1,67 @@
+From 7bed74012fcc2ea6267aa8f2cb3aafbb54eb08ee Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Mon, 20 Jul 2020 10:26:16 +0530
+Subject: [PATCH 206/206] Fix handles becoming invisible after changing
+ highlight color
+
+---
+ src/pyj/read_book/create_annotation.pyj | 17 +++++++----------
+ 1 file changed, 7 insertions(+), 10 deletions(-)
+
+diff --git a/src/pyj/read_book/create_annotation.pyj b/src/pyj/read_book/create_annotation.pyj
+index ba73ec90ce..2889aec60f 100644
+--- a/src/pyj/read_book/create_annotation.pyj
++++ b/src/pyj/read_book/create_annotation.pyj
+@@ -372,8 +372,6 @@ class CreateAnnotation:
+         current_style = self.current_highlight_style
+         container.appendChild(c)
+         found_current = False
+-        self.save_handle_state()
+-        self.handle_state = self.left_handle.display, self.right_hand
+ 
+         def add(bg):
+             ic = svgicon('swatch', BAR_SIZE, BAR_SIZE)
+@@ -397,8 +395,6 @@ class CreateAnnotation:
+ 
+     def change_color(self, new_color):
+         self.hide_middle()
+-        c = self.middle
+-        c.style.display = 'none'
+         current_style = self.current_highlight_style
+         if not new_color or current_style['background-color'].lower() is new_color.lower():
+             return
+@@ -423,7 +419,7 @@ class CreateAnnotation:
+ 
+     def show_middle(self, pre_close_callback):
+         self.pre_middle_close_callback = pre_close_callback
+-        self.save_handle_state()
++        self.temporarily_hide_handles()
+         self.middle.style.display = 'block'
+ 
+     def hide_middle(self):
+@@ -432,16 +428,17 @@ class CreateAnnotation:
+             if self.pre_middle_close_callback:
+                 if not self.pre_middle_close_callback():
+                     return
+-            self.restore_handle_state()
++            self.unhide_handles()
+             m.style.display = 'none'
+             self.container.focus()
+ 
+-    def save_handle_state(self):
++    def temporarily_hide_handles(self):
+         for h in (self.left_handle, self.right_handle):
+-            h.dataset.savedState = h.style.display
+-            h.style.display = 'none'
++            if h.style.display is not 'none':
++                h.dataset.savedState = h.style.display
++                h.style.display = 'none'
+ 
+-    def restore_handle_state(self):
++    def unhide_handles(self):
+         for h in (self.left_handle, self.right_handle):
+             h.style.display = h.dataset.savedState
+ 
+-- 
+2.28.0.rc1
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3-binary/0135-Dont-modify-database-when-no-dirtied-annotations-are.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3-binary/0135-Dont-modify-database-when-no-dirtied-annotations-are.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3-binary/0135-Dont-modify-database-when-no-dirtied-annotations-are.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3-binary/0135-Dont-modify-database-when-no-dirtied-annotations-are.patch	2020-07-17 19:20:46.000000000 +0000
@@ -0,0 +1,37 @@
+From 3b0fd96a59483ef8a4ba4a706f056a821fd6455b Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 12 Jun 2020 19:36:57 +0530
+Subject: [PATCH 135/201] Dont modify database when no dirtied annotations are
+ present
+
+---
+ src/calibre/db/tests/metadata.db | Bin 245760 -> 252928 bytes
+ 2 files changed, 6 insertions(+), 5 deletions(-)
+
+diff --git a/src/calibre/db/tests/metadata.db b/src/calibre/db/tests/metadata.db
+index fb8345a10191e6466e494a103e2ed932b7ac07fa..d86bd55a8c920d1473a15b1fe210a0057b03a240 100644
+GIT binary patch
+delta 915
+zcmZuv&1(}u6n{IDFKbE+C>v-YD<QUlv`~vi@f6#L#h6A-AV}@HNw&?>=7VGk?LphI
+zr5^0TBD#2P)doB$LK7@4qVyzU{{W>|!GmAbA{2Bsn}x+X@Mhoq=Dpv0zj-?|<C>|v
+z?zZ`@0I<u<SR2f-7zg&{n0fBGonE&Uy8B*h;VI<R0(KWmPc6ugyf55N#2xubGYtGn
+z(`^4jhuQv_UY!l0+abg;L$wgX?;c?*oL22C__(^fhKFkRSMa#26)yt@KcG15fPXQ}
+z$LR$+Z0CD>(XBH?N{`D@p-?0eQHq6%m{rO|k+c7S;9KA2NH`G@65+Gah+v9P=@Oc*
+z#n<sOq-h&sdQyj4(Kb_B1@sAiqsLHX;KS*QG;QO(J|ruJtUTGE5S6U%=ncTHW|e_h
+ze<Y<>(L#j5n7O3TnJyN`0<!^n-Ol@bXrBL9iK##M(d2aRZ~aw(^Qz7&KF^8jo{T(d
+zyox=3qU7ZYk@6*hNsbD!!GsV?Mx((Nfi0u$2P5dPO+PeJTXa7w5lOppRb;80$!QNP
+z5_ytnSbs7$a48vSG#?ZuDsovQQzcn<gThF$oR>(jSwX)sss&mCC#huP2Yl+*8{|3G
+zz?(zsF&$tB_rL)*27q%^RR2_Qd$;M@7_ey0F+ljvvfi^vy<MF{7RQoh&tc<W6JV2J
+zYX|2;G-Ge;;vEYoYESC;6w=j8YWo`QQnz2?&D90YYO!-UKy@xxb9ZvrxQ-~5S(48&
+zcZHOd(NVcPGL{i_RTCxlSk2#0y}6D()&{QLxq$)(_trZ8*wIh3I!E6=4yC|ek?0D|
+N9M7k?qb80Ie*y8OD=Gj0
+
+delta 190
+zcmZqJ!QarpKS5fRg@J+L0}#W&b|3>J1_O*hhWKPb9(h3)20cy<Rv<TwNgE{lVPe6W
+z&4N5ajGXTqqk;U_jgigfOzq}Oj6lq^-JFT}>{4bHhN;upS1=n*R^W-*K6M3i4nH?g
+zDHFpS2IeIUbAaYf;BI4SjAobC73b*o-+ti&vjx+1>&whXr(3RIj^W`2DP{~{U|Pc%
+P0JO`6ar>7Y%o~^hRT3(1
+
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3-binary/0136-Initial-implementation-of-FTS-on-annotations.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3-binary/0136-Initial-implementation-of-FTS-on-annotations.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3-binary/0136-Initial-implementation-of-FTS-on-annotations.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3-binary/0136-Initial-implementation-of-FTS-on-annotations.patch	2020-07-17 19:22:10.000000000 +0000
@@ -0,0 +1,49 @@
+From 1574b8db97839db3e3510c12231063892cc5399e Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Sat, 13 Jun 2020 14:51:32 +0530
+Subject: [PATCH 136/201] Initial implementation of FTS on annotations
+
+---
+ src/calibre/db/tests/metadata.db  | Bin 252928 -> 264192 bytes
+ 6 files changed, 105 insertions(+), 5 deletions(-)
+
+diff --git a/src/calibre/db/tests/metadata.db b/src/calibre/db/tests/metadata.db
+index d86bd55a8c920d1473a15b1fe210a0057b03a240..d0df012f3fb90f4948779a1ec5bea85b92cfad58 100644
+GIT binary patch
+delta 3322
+zcmdT`U2NM_6u!PUt=sfx3$S@>8NH&QBs7ebtVL6`hqQ5v)hwyfbk*P?%3?1yZR5)E
+zO4Tx4yW>YZt*Tfgct=9oo(jtz%0M7MNFenM#w$-Cr1CI+Hz?PMy}GWGM(hbo@paBQ
+zIX|Dz`A(K^9$3C|@Jgqz1po?yo$Ke-P?!jh4}ID|gfGH2a;M<x-1X)z_#`|EABJsf
+zzSbWfrzoAMD4@3zgL}G{+<(zja{o;?ez>JAt@Oe-dLczVu+$6D=7&d#903i$Yt$Gy
+z4wJ8y>s{h8=g~&BrBd)FT0&Q+sK)krfJ)Rh^#wH#f*`mWVIcaJ*u4YM06DIsGn!hw
+zwt+D9Yw?>66r%gJR~s3wySVuoJW~Ap7V2nOIjLQuneJ}*`qL%PM<`7dx8H`|HT)1=
+z6mOx^XjprtxcxqQv`Bx9o_g;SbnpYp<53$)I24BK@G+`L9U@;aSg{f%XLI>ko6;L-
+zW?-O67nRKU86lI;OG-u&rF<cMK`EpQiZDAX@KwY^Nj8#V@mVgJnux@3Dl!;jv1zM1
+zec*|4E<S>Z*S<hO$jI3#BVbw)7L<?|lPfFb6(O(S)7Wo|=MPzmv@E?W@`hUEiByrM
+zg}k^Z7=k%TRs<Pe%!^rx7y5g#EU2^6ypZO_OjZ^ZF<ZdT`h%+Op_x;spvJfsOA@#s
+z=4`Rc5LBe#FSFQ6k@gI2R{p>=9!qj(BFS?q9%avk@O%(Ya;fJN6DgcbOma~T>Bs;a
+zYMrh*@KUxwigG4liou_?voOv40g+z|XCF~RxUh%^V~N3_=F=g~gu_r9ag8hT3(lBC
+z1pcTUkC^z$%gl*9c^`s28^UwBycF7nfn6VTpm9m3Xr`~PDi|3h<IIXDGVputv<w>?
+z2Ips_?6e63rvsYl>1onO-C%G8Go!fnx7FVJwRO&F-~ZCr_J(%pXM@uq+5+e<+FJLe
+zen3927l96Q$`OS?>y2gTX=<d<9f0nv`|kaOj<ldoYF>~FqyWzz2i<!d7$yy%AHc6+
+z7qyH8&`((FiI6_5d+E+dchlvtB8$14AUm*2i}`{eD``c}72mpzI@)*Z*N$}^Q*9#e
+zAUndv%RIov$Jt~GbMaKdA`=VjK$!waSMTPJAU+$3O|auQ5N9Wk8_j5(PNM;*ch%|M
+zqPqtS!^Wdpr`|*}qoYvkaqF{6pce!_U1i=)-nG==pV|%YF!u-6db5Y^(;w7nni(2`
+z+GO=~NH#7kV7WHf;P3jfFj+yZMhgZr)?x+iklsi$EL#&i13MRbu+k;EXENY!eF<0i
+z!o<wZ7L49ZGaLsse@)oj7l)OKxj?q-$tB3AE9SOM;=V}g7;JC?z(sJPJg=9B_15yd
+zzFBQvFU}Dd$UZjb)jpi%4Y#Amk>M1Z#1mstWBVuK_A#n+j%|}~I1k}HgRPeT8Ca7Y
+z@bkiqpa^8|Ct}g^h#Tj=BW_R42vq-MtMxF5)BSw{anxtYUFxh>rusm2S^?{?*IDk#
+z1tmD(B~-Qo^_Ftyyw+2N=_{|Mdgtuu&CZFkG4}t~IrkCW_tg%%FQ>X&m|%W&6MYHw
+fw$fLd=s9%bJM<C-^#i4u+bB*R+DjYXqbT(+9lub#
+
+delta 294
+zcmZpeAkeUbe}c3iD+2?=cOZs=eG_$zfr5I@hd?qBO!6R!?-L8wGOIGlZx-ZXV&wnY
+zm<$yA(3k`y-#5lJ8#1*UGBE-%({@89<_lYSnU^pyGpI5!1u%SJP@U)~&eG`J7`MH3
+z2Xi$u3s6tYWI>(?0bZv23@i*Q8JJ!${A60juo5UZli9a1X?o>eW(CG?(`W5v*5Pi}
+zY)oJmS5{_f6W`9Yk2#)kI$s(S+w`ja%(m=ijfrgHp32iN9A=W3{&X+16c4i@11HdY
+z1_rmr`04*wGRsWAwx3xGWaW9F>8H1~FtKnfX8FT0m4)RnQ)BYhlPu=U+j<yTS+=vX
+Zu%t3FHKuOQVP)|HGE%nhVPkP&1OWG!Pi6oB
+
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/py3-binary/0154-Icon-for-highlights.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/py3-binary/0154-Icon-for-highlights.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/py3-binary/0154-Icon-for-highlights.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/py3-binary/0154-Icon-for-highlights.patch	2020-07-17 19:23:33.000000000 +0000
@@ -0,0 +1,76 @@
+From 5311455a9fbeeb7040013db0ba035630f4e480ee Mon Sep 17 00:00:00 2001
+From: Kovid Goyal <kovid@kovidgoyal.net>
+Date: Fri, 26 Jun 2020 16:50:30 +0530
+Subject: [PATCH 154/201] Icon for highlights
+
+---
+ resources/images/highlight.png            | Bin 0 -> 2803 bytes
+ create mode 100644 resources/images/highlight.png
+
+diff --git a/resources/images/highlight.png b/resources/images/highlight.png
+new file mode 100644
+index 0000000000000000000000000000000000000000..ef859e986a4d8ba6f9a96b7d6e15973970fca8a8
+GIT binary patch
+literal 2803
+zcmV<P3Jmp$P)<h;3K|Lk000e1NJLTq004jh004jp1^@s6!#-il000WQNkl<Zc-rlq
+ze{dA#8OJx=T>wR?AfsT^++E7Ay$iO%u~OS+$nK_r(f*i8ai;c%9n09#OzsYm{-HBR
+zl7m)kJJQw;wo_Xil{vlLOM^_2aj-?0wt)P|?GX%`GC(1h1OXjTB)LBC-ClCWguIvR
+z-tNBd`^<dDe}M6x&$I8o@AH1&cR7xQX~9QpXZYj7!@MHB=u^aZK)s+Vpc9}s{ff|B
+zDN8<<DZ*mDTr-o8OB;NOa1lVKF|>z|)!fZ8N5WGd6Tj?}#Z#Ez^VQEQ;%}>WRXbT0
+zZ5janQEiA%Pe8Bn(dua|n>Gu7TwFUr@OhH<vLdia)JN+bzPR`Y{ooH4!On{9b(2|!
+zEgT3Cz>n$=KPN$9a{|jQ@v5f*q}PpuuSu5v%7w#|SjMdd|5ku=&~W&g(CUC?-71s4
+znBV~@oyCGbSOjr#9m~Gi%e+=`F~I09HvGKT!5T)vtYKf4mI8zeroqo@z^_Ov8I7Vh
+zc!Y1mZ2z*!@P|5vvh*OMQml8rBK!;`-6HUFy5fro%NZRbBh8ig6e(;m@cFvrQ-o>;
+z%AoF^KQ29IVfZ;+V7rJ$boUhLRU5$1>3v=i?_%Wic;9bZeiI~gw~gTE)Lq&7^?8io
+z1Y$v~b~YsPkPYGIbb@aa?qDRxx6E6h*|gF&S8{G!_05cEAq^gwL_y+G1i;V8uZVA;
+zNh~9awZ@m~AZZ_x0)MCogl0x}tYKdfAJW0TWmR2elfrAmZ?s@{Pj78uq(|)TiBA&_
+zesC1{LbPrcgRTX#RzXt!L<xM&Lm+&gk%y?<AzjZa;&z(gXA~D-W;1=%-HVHFQ3pS(
+z{ZzxB*DB6|Bpjg>K2nO_VPBSf<2<58k}gpRe_>p@2Y!4H<?vw+Af2JFwc9E_kTpwC
+z4qw|FpbI`MdkF6CjqgwiW!=3220pJ3APYYxpL{qx36^=!FyNoj$7mHq_K+W~FZC<p
+zOAPjidVz5GMLL{mPkqA6wTlRbUpoU`qQF3pdYH6{+y>9zB)4|s7K1(VodO5YtC8I9
+zo+6%PkVjP?I=xKhrj9Ir4SwKx26^=Te?BhM5(;1V2J7yP_1+f(WWra(AEH?;gG}L)
+zPv5K8$P_#vZ&$V5e;rZaGgq%E(z6WknCeBVBJ#R>viJ&vJN6v`{#NO$<c<4juEZus
+zvrXRU5myo0?8&|YgsluT#h(AF%~dX6T-?TBf40+iZ}i@&RP6DiABsM#z@QK6Y-Oyj
+zj4GE;#rC=z;fL>I@Clprc|*w+-hkSG^JmeScSwLr_j;e8`vKj7#41lv?FS9G1Ib5l
+z{*LDHf0xqj-RFsc?+GQ=0{C>EuA<QZt1}oAJbpzyO;-U(d&&52Kz-Wb4yv1n!O!W6
+zCzM=<^Uo}jYv!WK5G}s`MQuxOv;Rb{p>r}oeq|K+IbCu$Cb1?t=vp*%JsRngK3*2?
+zvpxLsz`@S}+<%S%Kc@?xVEba6e;1yPB_v+&l6O7)BesWsXCOHnpdP}6pHol8YIPx2
+z5y+AV$@+-ENuT{c5K*zF-RlXc#|wm?)2TZj>u}?Z1md>{^9$^;y{FI9n7A7trp5_B
+zD=41ZAMe0A*ucxu4@fu_gjP7VKg@yN;Q;XBgy0V;F@M$3nOGx%A~e|iHjm4;zxdg+
+z_TA|K?SxM7b2^A7l2{`_TwG`4gPcFIe}^xqKBY5!P02mCJa+hc%!%Pf8@73WV|(~z
+z!IM+7%QzznAfwl+R_=EZXeil@w!R5y@g|oU2tOltK;4QuiUb)-{!7eVe%@g638M=D
+z$s0=i5gzjr+Z#$?(g#C-6*)V6A$3zR3P4*T{>tu#5_H~yDB}i#QnUg<BS9eXq-_l)
+zap5WAoI5a6Z!Bg3Xsd%p`x#24okV^Syu4Apr}zb+4uBrEi=l*9#4d8b=#ky;?=_(a
+z>|!XnR2i%NB1dw-Qt%}c3cwDAk^x^_TEUSX?m+T;CKZ6y4JGS28ls}1bCzcIG^+@#
+zXefD|s*gB%Lh64^EC8z+O5U3<*UaQ-3IMRq<N~mYq2vQ}rx8b6l!uaEvOoctZ73P=
+z%VIr8WrWj{06@1Tiohg83GyXyGzTR9MT-<bL532aB87D*fWK4!<xY1<eaJ!uP((wC
+z&`}i?rgOB1Ir{=*YMZf!65%2ruUW|82h{JH+zYtYNDwo~P}0xGrTeLe4@3V0nYOGY
+z;cKp<VDc||8%q3&_$2l4y#aM8B>1wG;SUvo`V7u*!ZDQaiWEn$4XWX5TfrCY0AE)_
+zNnAWi{iM$mJnDyp_Sp%3-bk<-=QoaGC^@&_Rq^w55Bov20uuQ@JHpQyO2&CZNxv^9
+zET<ZNMZ@7TNMM(Z;TLQu;oF2e0R9QTEc~2u_?@%h=}!^>zhFa2=9)H|Cw<!azXJrp
+zFW68*ZOmD@|GENh`>><14JFhCA682tLE8z2U$CKsny3!%a(Y6lLIM1O4JDLBx&)oc
+zqo@E1GL+B}^=SvjRc}Noa~hdN-Ui9a{VsG)pOOOTn;SghVbq63<|2rY`VYe4UoCG;
+z)H2$mH-c{T1e5#7Edabjr&Pz>)yHmzWT^xezzd8nZV?2J-3AGJkC;hcP<<OUyBOI*
+zUI%O1z21O&ngIB{Z0$eZA_%IyNk_wV+YG7*v{y5d!{Ti76nA%va|zC$Ef1)7K_cI`
+z=XyV}iqRexXV!DGQZ3F7(1o5R7uIc7-cb7zNa%;QvW5lKEsXZC==mjg1AspON^9!r
+zTVIN`L89FkXp}Sf6ZFX$1Wl*W=3nLEt|^Roe%C+Dl>+b`dGK>Og<c7GBSCTnYNqH6
+zzaO1B$lslW$!DFmN6|Bmwf<qWlx4&}4S!Oq#T6X^z9z@<o(MM^=ifqJJM9uDy)J`#
+z^qTt=A+-hy<XH@l;s81uFz@k>8yN9nk%~ArjShcM?WfjrGx1&rYDkv?fMFl|M}*Up
+zU`6tk?7fA_ecI~e96BV5&I7nZiA9X`2+`f_Y{Gz_5v&aUjphkhMKHk&Bj9}>VRQ_K
+z@A?TY{6RH4-#WXI!#Z*64XGQ)R{)9MGdf1k_#=)70cd~01(4N_&P^P~M-9^@-eB^%
+zf_w5XoHIfOMsKroDM0*aoba=XIAiH3H}-`H=pxC0x)tx(mfDJJXpE4NPkxJQF#!Bv
+zLhy%H2hXQ5yz-i%WZM`8@CI9(8$H|KFu4N2oz(~aps-HdB0~vG?A{!$F~k2<oyG_m
+z`Q(SWIq<}G=?p)oCvg5BMlqBeDGRDI7$F1W+%LH40O^oH@H6U(IPp&0e%esdS-wWS
+zl@T&9PX3yk3V?PS318DdPsD|F;uaZ7+`;57Z>artM##WGvvdF>7Xf}wS5pzkcUb1F
+z03T-O@Xr5p5#i^$g&(Jy9m^O2)4P1mr;80gZ$7{-Pcl2uK0Xvd7=RotY5_zXzhl|A
+zSe$7p<+WlsX6TdO;@X0?mRZJaQ4EgbIuH8_z-Mh-TQ!H8Tve!(mx?$~PwdHe?!?<1
+zVqwh{L&g#0yf0G>EzUCqZV&HGg*n#7C9HRlD~9ed3gFQB4ctvEYlIg=cZ*{){P+AY
+z`0sQ_xLa73D2c8xH>JDT@y%4T>t*B*><e>cEGyQH{{u|=gJvN8Yl8p)002ovPDHLk
+FV1kDjP;vkO
+
+literal 0
+HcmV?d00001
+
+-- 
+2.28.0.rc0
+
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/series 4.99.7+dfsg+really4.21.0-1/debian/patches/series
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/series	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/series	2020-07-20 08:11:28.000000000 +0000
@@ -126,9 +126,87 @@ py3/0122-Bump-Qt-to-5.14.2.patch
 py3/0123-Accidentally-removed-python-2-needed-for-building-Qt.patch
 py3/0124-Update-ICU-version-in-macOS-freezer.patch
 py3/0125-Bump-beta-version.patch
-#
-# Upstream hotfix
-upstream/0001-Viewer-Fix-a-regression-in-the-previous-release-that.patch
+py3/0126-py3-compat.patch
+py3/0127-Remove-some-__future__-imports.patch
+py3/0128-py3-compat.patch
+py3/0129-Remove-wrap-unwrap-for-bytes-in-plistlib-not-needed-.patch
+py3/0130-Add-an-annotations-table-to-the-database.patch
+py3/0131-Code-to-read-and-write-annotations-to-the-calibre-db.patch
+py3/0132-Move-code-that-deals-with-the-dirtied-table-into-bac.patch
+py3/0133-Hook-annotations-up-with-the-dirtied-book-mechanism.patch
+py3/0134-Backup-annotations-in-the-metadata.opf-files-as-well.patch
+py3/0135-Dont-modify-database-when-no-dirtied-annotations-are.patch
+py3/0136-Initial-implementation-of-FTS-on-annotations.patch
+py3/0137-Implement-highlight-and-snippet-for-FTS.patch
+py3/0138-Raise-a-defined-error-when-invalid-query-passed-to-F.patch
+py3/0139-Start-work-on-annotations-browser.patch
+py3/0140-Make-the-highlight-shortcuts-always-available.patch
+py3/0141-Fix-viewer-shutdown-guard.patch
+py3/0142-More-work-on-annotations-browser.patch
+py3/0143-Order-FTS-results-by-rank.patch
+py3/0144-Render-annots-browser-list.patch
+py3/0145-More-work-n-annotations-browser.patch
+py3/0146-Implement-query-params-for-annotation-browser.patch
+py3/0147-Details-display-in-annots-browser.patch
+py3/0148-Wire-up-signals-to-open-annotation-in-viewer.patch
+py3/0149-Fix-existing-notes-not-being-prefilled-when-editing-.patch
+py3/0150-Start-work-on-annotations-browser-action.patch
+py3/0151-typo.patch
+py3/0152-Wire-up-open-annotations-button-and-add-button-to-se.patch
+py3/0153-Skip-legacy-db-test-when-python-sqlite3-module-does-.patch
+py3/0154-Icon-for-highlights.patch
+py3/0155-Add-actions-for-highlighting-to-viewer-chrome.patch
+py3/0156-Hide-annots-UI-behind-develop-mode-in-preparation-fo.patch
+py3/0157-DRYer.patch
+py3/0158-Toolbar-actions-for-highlighting.patch
+py3/0159-Make-cfi_cmp-re-useable.patch
+py3/0160-Keep-annotations-sorted-in-CFI-order-when-merging.patch
+py3/0161-Implement-merging-of-annotations-in-rapydscript.patch
+py3/0162-Work-on-adding-annotations-support-to-the-in-browser.patch
+py3/0163-Add-syncing-of-annotations-along-with-last-read-posi.patch
+py3/0164-Allow-storing-annotations-for-anonymous-users.patch
+py3/0165-Fix-annotation-merging.patch
+py3/0166-Dont-fail-when-trying-to-read-write-annotations-to-u.patch
+py3/0167-Forgot-to-bump-db-user_version-in-creation-script.patch
+py3/0168-.patch
+py3/0169-Fix-annotations-not-being-saved-in-indexeddb-after-c.patch
+py3/0170-Ensure-annotations-span-styles-override-all-others.patch
+py3/0171-.patch
+py3/0172-Fix-merging-of-last-read-annotations.patch
+py3/0173-Implement-drag-scrolling-for-highlight-handles.patch
+py3/0174-Use-the-smooth-scrolling-speed-for-highlights-drag-s.patch
+py3/0175-Implement-merging-of-removed-bookmarks.patch
+py3/0176-Sort-the-bookmarks-by-title-by-default.patch
+py3/0177-Forgot-to-save-last-used-bookmarks-sort-by.patch
+py3/0178-Annots-browser-Allow-browsing-upto-4096-annotations-.patch
+py3/0179-SHow-timestamp-and-username-in-details-of-annotation.patch
+py3/0180-Allow-easily-reading-viewer-config-data-from-the-mai.patch
+py3/0181-.patch
+py3/0182-Allow-syninc-annots-from-viewer-to-specific-content-.patch
+py3/0183-Fix-syncing-for-anon-users.patch
+py3/0184-Fix-sync-not-working-for-highlights.patch
+py3/0185-Display-full-annotation-text-in-details-panel.patch
+py3/0186-Display-timestamp-in-local-timezone.patch
+py3/0187-Focus-webview-when-performing-highlight-action.patch
+py3/0188-Allow-easily-editing-notes-in-the-highlights-panel.patch
+py3/0189-Dont-show-removed-annotations-in-the-browser.patch
+py3/0190-Add-some-documentation-for-highlighting.patch
+py3/0191-Remove-unneeded-__future__-imports.patch
+py3/0192-Dont-gate-annotations-behind-develop-mode-anymore.patch
+py3/0193-Bump-beta-version.patch
+py3/0194-Highlighting-should-be-a-top-level-section.patch
+py3/0195-When-showing-all-annotations-in-browser-order-newest.patch
+py3/0196-Improve-formatting-of-notes-in-the-browse-details-pa.patch
+py3/0197-Fix-opening-and-closing-an-existing-highlight-causes.patch
+py3/0198-Allow-pressing-n-to-start-adding-notes-when-editing-.patch
+py3/0199-Use-rmtree-with-retry-when-deleting-after-library-mo.patch
+py3/0200-Fix-incorrect-mapping-of-CFI-to-position-for-CFI-at-.patch
+py3/0201-Retry-the-http_basic-test-once-if-it-fails.patch
+py3/0202-Slight-dulling-of-text-brigthness-in-dark-mode.patch
+py3/0203-calibre-portable-Add-launchers-for-standalone-viewer.patch
+py3/0204-Triple-retry-sleep-time-for-tests-thats-flaky-on-git.patch
+py3/0205-Avoid-error-when-selecting-a-non-existent-range-wrap.patch
+py3/0206-Fix-handles-becoming-invisible-after-changing-highli.patch
 #
 # Debian packaging patches
 #
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/patches/upstream/0001-Viewer-Fix-a-regression-in-the-previous-release-that.patch 4.99.7+dfsg+really4.21.0-1/debian/patches/upstream/0001-Viewer-Fix-a-regression-in-the-previous-release-that.patch
--- 4.99.6+dfsg+really4.20.0-1/debian/patches/upstream/0001-Viewer-Fix-a-regression-in-the-previous-release-that.patch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/patches/upstream/0001-Viewer-Fix-a-regression-in-the-previous-release-that.patch	1970-01-01 00:00:00.000000000 +0000
@@ -1,39 +0,0 @@
-From 9d7dc2e2faa0f94798364fa96f1762ae84c37887 Mon Sep 17 00:00:00 2001
-From: Kovid Goyal <kovid@kovidgoyal.net>
-Date: Fri, 3 Jul 2020 20:58:11 +0530
-Subject: [PATCH] Viewer: Fix a regression in the previous release that broke
- reading of books with mathematics and also <a> tags without href attributes.
- Fixes #1886192 [EPUB crashes. Cannot read property
- 'startswith'.](https://bugs.launchpad.net/calibre/+bug/1886192)
-
----
- resources/viewer.js           |    2 +-
- src/pyj/read_book/mathjax.pyj |    2 +-
- 2 files changed, 2 insertions(+), 2 deletions(-)
-
-Index: b/src/pyj/read_book/mathjax.pyj
-===================================================================
---- a/src/pyj/read_book/mathjax.pyj
-+++ b/src/pyj/read_book/mathjax.pyj
-@@ -19,7 +19,7 @@ def get_url(mathjax_files, name):
- def postprocess(link_uid):
-     for a in document.getElementsByTagName('a'):
-         href = a.getAttribute('href')
--        if href.startswith('#'):
-+        if href and href.startswith('#'):
-             a.setAttribute('href', 'javascript: void(0)')
-             a.setAttribute('data-' + link_uid, JSON.stringify({'frag':href[1:]}))
- 
-Index: b/resources/viewer.js
-===================================================================
---- a/resources/viewer.js
-+++ b/resources/viewer.js
-@@ -18124,7 +18124,7 @@ return this.__repr__();
-             for (var ρσ_Index0 = 0; ρσ_Index0 < ρσ_Iter0.length; ρσ_Index0++) {
-                 a = ρσ_Iter0[ρσ_Index0];
-                 href = a.getAttribute("href");
--                if (href.startswith("#")) {
-+                if (href && href.startswith("#")) {
-                     a.setAttribute("href", "javascript: void(0)");
-                     a.setAttribute("data-" + link_uid, JSON.stringify((function(){
-                         var ρσ_d = Object.create(null);
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/README-py3.md 4.99.7+dfsg+really4.21.0-1/debian/README-py3.md
--- 4.99.6+dfsg+really4.20.0-1/debian/README-py3.md	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/README-py3.md	2020-07-18 01:09:00.000000000 +0000
@@ -21,3 +21,5 @@ Current Debian's Calibre source code use
    quilt(1) patch set.
 4. Update `debian/patches/series` file to quilt(1) works.
 5. Refresh `debian/patches/py3` patches to quilt(1) works well.
+6. If "py3" branch patch uses Git style binary patch, add those binary patches
+   to `debian/patches/py3-binary`.
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/rules 4.99.7+dfsg+really4.21.0-1/debian/rules
--- 4.99.6+dfsg+really4.20.0-1/debian/rules	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/rules	2020-07-17 20:21:16.000000000 +0000
@@ -26,6 +26,8 @@ DEB_DH_GENCONTROL_ARGS = -- -Vpyqt:Versi
 export QT_SELECT=qt5
 
 override_dh_auto_configure:
+	# apply binary patch
+	find debian/patches/py3-binary/ -type f -name "*.patch"  | sort | xargs --verbose --no-run-if-empty git apply
 	# use system mathjax
 	$(SETUP) mathjax --mathjax-url="file://$(CURDIR)/debian/mathjax/MathJax-3.0.5.tar.gz"
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/debian/watch 4.99.7+dfsg+really4.21.0-1/debian/watch
--- 4.99.6+dfsg+really4.20.0-1/debian/watch	2020-07-05 07:22:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/debian/watch	2020-07-17 00:02:33.000000000 +0000
@@ -7,9 +7,9 @@ version=4
 
 opts="pgpmode=next, \
       dversionmangle=s!4\.99\.\d+\+dfsg\+really!!, \
-      oversionmangle=s!(.+)!4.99.6+dfsg+really$1!" \
+      oversionmangle=s!(.+)!4.99.7+dfsg+really$1!" \
   https://github.com/kovidgoyal/@PACKAGE@/releases \
-  /kovidgoyal/@PACKAGE@/releases/download/v\d+\.\d+\.\d+/@PACKAGE@-(\d+\.\d+\.\d+).tar.xz
+  /kovidgoyal/@PACKAGE@/releases/download/v(\d+\.\d+\.\d+)/@PACKAGE@-\g1\.tar\.xz
 opts="pgpmode=previous" \
   https://calibre-ebook.com/signatures/ \
   @PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz\.sig previous
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/calibre.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/calibre.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/calibre-customize.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/calibre-customize.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/calibredb.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/calibredb.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/calibre-debug.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/calibre-debug.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/calibre-server.1	2020-07-03 02:50:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/calibre-server.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/calibre-smtp.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/calibre-smtp.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/ebook-convert.1	2020-07-03 02:50:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/ebook-convert.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/ebook-edit.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/ebook-edit.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/ebook-meta.1	2020-07-03 02:50:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/ebook-meta.1	2020-07-16 17:52:52.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/ebook-polish.1	2020-07-03 02:50:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/ebook-polish.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/ebook-viewer.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/ebook-viewer.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/fetch-ebook-metadata.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/fetch-ebook-metadata.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/lrf2lrs.1	2020-07-03 02:50:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/lrf2lrs.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/lrfviewer.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/lrfviewer.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/lrs2lrf.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/lrs2lrf.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ar/man1/web2disk.1	2020-07-03 02:50:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ar/man1/web2disk.1	2020-07-16 17:52:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "يوليو 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "يوليو 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/calibre.1	2020-07-03 02:51:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/calibre.1	2020-07-16 17:53:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/calibre-customize.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/calibre-customize.1	2020-07-16 17:53:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/calibredb.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/calibredb.1	2020-07-16 17:53:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/calibre-debug.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/calibre-debug.1	2020-07-16 17:53:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/calibre-server.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/calibre-server.1	2020-07-16 17:53:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/calibre-smtp.1	2020-07-03 02:51:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/calibre-smtp.1	2020-07-16 17:53:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/ebook-convert.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/ebook-convert.1	2020-07-16 17:53:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/ebook-edit.1	2020-07-03 02:51:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/ebook-edit.1	2020-07-16 17:53:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/ebook-meta.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/ebook-meta.1	2020-07-16 17:53:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/ebook-polish.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/ebook-polish.1	2020-07-16 17:53:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/ebook-viewer.1	2020-07-03 02:51:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/ebook-viewer.1	2020-07-16 17:53:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/fetch-ebook-metadata.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/fetch-ebook-metadata.1	2020-07-16 17:53:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/lrf2lrs.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/lrf2lrs.1	2020-07-16 17:53:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/lrfviewer.1	2020-07-03 02:51:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/lrfviewer.1	2020-07-16 17:53:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/lrs2lrf.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/lrs2lrf.1	2020-07-16 17:53:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/bg/man1/web2disk.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/bg/man1/web2disk.1	2020-07-16 17:53:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "юли 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "юли 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/calibre.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/calibre.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/calibre-customize.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/calibre-customize.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/calibredb.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/calibredb.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/calibre-debug.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/calibre-debug.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/calibre-server.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/calibre-server.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/calibre-smtp.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/calibre-smtp.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/ebook-convert.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/ebook-convert.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/ebook-edit.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/ebook-edit.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/ebook-meta.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/ebook-meta.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/ebook-polish.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/ebook-polish.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/ebook-viewer.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/ebook-viewer.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/fetch-ebook-metadata.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/fetch-ebook-metadata.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/lrf2lrs.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/lrf2lrs.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/lrfviewer.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/lrfviewer.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/lrs2lrf.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/lrs2lrf.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ca/man1/web2disk.1	2020-07-03 02:50:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ca/man1/web2disk.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "de juliol 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "de juliol 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/calibre.1	2020-07-03 02:50:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/calibre.1	2020-07-16 17:52:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/calibre-customize.1	2020-07-03 02:50:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/calibre-customize.1	2020-07-16 17:52:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/calibredb.1	2020-07-03 02:50:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/calibredb.1	2020-07-16 17:52:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/calibre-debug.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/calibre-debug.1	2020-07-16 17:52:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/calibre-server.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/calibre-server.1	2020-07-16 17:52:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/calibre-smtp.1	2020-07-03 02:50:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/calibre-smtp.1	2020-07-16 17:52:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/ebook-convert.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/ebook-convert.1	2020-07-16 17:52:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/ebook-edit.1	2020-07-03 02:50:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/ebook-edit.1	2020-07-16 17:52:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/ebook-meta.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/ebook-meta.1	2020-07-16 17:52:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/ebook-polish.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/ebook-polish.1	2020-07-16 17:52:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/ebook-viewer.1	2020-07-03 02:50:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/ebook-viewer.1	2020-07-16 17:52:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/fetch-ebook-metadata.1	2020-07-03 02:50:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/fetch-ebook-metadata.1	2020-07-16 17:52:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/lrf2lrs.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/lrf2lrs.1	2020-07-16 17:52:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/lrfviewer.1	2020-07-03 02:50:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/lrfviewer.1	2020-07-16 17:52:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/lrs2lrf.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/lrs2lrf.1	2020-07-16 17:52:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/cs/man1/web2disk.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/cs/man1/web2disk.1	2020-07-16 17:52:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "července 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "července 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/calibre.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/calibre.1	2020-07-16 17:54:01.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/calibre-customize.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/calibre-customize.1	2020-07-16 17:54:01.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/calibredb.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/calibredb.1	2020-07-16 17:54:01.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/calibre-debug.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/calibre-debug.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/calibre-server.1	2020-07-03 02:51:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/calibre-server.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/calibre-smtp.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/calibre-smtp.1	2020-07-16 17:54:01.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/ebook-convert.1	2020-07-03 02:51:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/ebook-convert.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/ebook-edit.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/ebook-edit.1	2020-07-16 17:54:01.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/ebook-meta.1	2020-07-03 02:51:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/ebook-meta.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/ebook-polish.1	2020-07-03 02:51:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/ebook-polish.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/ebook-viewer.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/ebook-viewer.1	2020-07-16 17:54:01.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/fetch-ebook-metadata.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/fetch-ebook-metadata.1	2020-07-16 17:54:01.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/lrf2lrs.1	2020-07-03 02:51:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/lrf2lrs.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/lrfviewer.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/lrfviewer.1	2020-07-16 17:54:01.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/lrs2lrf.1	2020-07-03 02:51:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/lrs2lrf.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/da/man1/web2disk.1	2020-07-03 02:51:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/da/man1/web2disk.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/calibre.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/calibre.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/calibre-customize.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/calibre-customize.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/calibredb.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/calibredb.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/calibre-debug.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/calibre-debug.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/calibre-server.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/calibre-server.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/calibre-smtp.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/calibre-smtp.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/ebook-convert.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/ebook-convert.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/ebook-edit.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/ebook-edit.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/ebook-meta.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/ebook-meta.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/ebook-polish.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/ebook-polish.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/ebook-viewer.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/ebook-viewer.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/fetch-ebook-metadata.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/fetch-ebook-metadata.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/lrf2lrs.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/lrf2lrs.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/lrfviewer.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/lrfviewer.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/lrs2lrf.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/lrs2lrf.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/de/man1/web2disk.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/de/man1/web2disk.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/calibre.1	2020-07-03 02:51:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/calibre.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/calibre-customize.1	2020-07-03 02:51:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/calibre-customize.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/calibredb.1	2020-07-03 02:51:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/calibredb.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/calibre-debug.1	2020-07-03 02:51:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/calibre-debug.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/calibre-server.1	2020-07-03 02:51:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/calibre-server.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/calibre-smtp.1	2020-07-03 02:51:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/calibre-smtp.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/ebook-convert.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/ebook-convert.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/ebook-edit.1	2020-07-03 02:51:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/ebook-edit.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/ebook-meta.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/ebook-meta.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/ebook-polish.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/ebook-polish.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/ebook-viewer.1	2020-07-03 02:51:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/ebook-viewer.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/fetch-ebook-metadata.1	2020-07-03 02:51:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/fetch-ebook-metadata.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/lrf2lrs.1	2020-07-03 02:51:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/lrf2lrs.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/lrfviewer.1	2020-07-03 02:51:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/lrfviewer.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/lrs2lrf.1	2020-07-03 02:51:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/lrs2lrf.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/el/man1/web2disk.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/el/man1/web2disk.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "Ιουλίου 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "Ιουλίου 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/calibre.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/calibre.1	2020-07-16 17:52:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/calibre-customize.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/calibre-customize.1	2020-07-16 17:52:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/calibredb.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/calibredb.1	2020-07-16 17:52:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/calibre-debug.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/calibre-debug.1	2020-07-16 17:52:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/calibre-server.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/calibre-server.1	2020-07-16 17:52:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/calibre-smtp.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/calibre-smtp.1	2020-07-16 17:52:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/ebook-convert.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/ebook-convert.1	2020-07-16 17:52:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/ebook-edit.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/ebook-edit.1	2020-07-16 17:52:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/ebook-meta.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/ebook-meta.1	2020-07-16 17:52:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/ebook-polish.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/ebook-polish.1	2020-07-16 17:52:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/ebook-viewer.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/ebook-viewer.1	2020-07-16 17:52:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/fetch-ebook-metadata.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/fetch-ebook-metadata.1	2020-07-16 17:52:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/lrf2lrs.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/lrf2lrs.1	2020-07-16 17:52:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/lrfviewer.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/lrfviewer.1	2020-07-16 17:52:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/lrs2lrf.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/lrs2lrf.1	2020-07-16 17:52:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/es/man1/web2disk.1	2020-07-03 02:50:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/es/man1/web2disk.1	2020-07-16 17:52:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "julio 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "julio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/calibre.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/calibre.1	2020-07-16 17:52:39.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/calibre-customize.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/calibre-customize.1	2020-07-16 17:52:38.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/calibredb.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/calibredb.1	2020-07-16 17:52:38.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/calibre-debug.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/calibre-debug.1	2020-07-16 17:52:38.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/calibre-server.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/calibre-server.1	2020-07-16 17:52:38.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/calibre-smtp.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/calibre-smtp.1	2020-07-16 17:52:38.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/ebook-convert.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/ebook-convert.1	2020-07-16 17:52:38.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
@@ -107,7 +107,7 @@ Loetle sisseehitatud retseptide nimesid.
 .INDENT 0.0
 .TP
 .B \-\-output\-profile
-Specify the output profile. The output profile tells the conversion system how to optimize the created document for the specified device (such as by resizing images for the device screen size). In some cases, an output profile can be used to optimize the output for a particular device, but this is rarely necessary. Choices are:cybookg3, cybook_opus, default, generic_eink, generic_eink_hd, generic_eink_large, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony\-landscape, sonyt3, tablet
+Specify the output profile. The output profile tells the conversion system how to optimize the created document for the specified device (such as by resizing images for the device screen size). In some cases, an output profile can be used to optimize the output for a particular device, but this is rarely necessary. Choices are:cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony\-landscape, sonyt3, tablet, generic_eink, generic_eink_hd, generic_eink_large
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/ebook-edit.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/ebook-edit.1	2020-07-16 17:52:39.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/ebook-meta.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/ebook-meta.1	2020-07-16 17:52:38.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/ebook-polish.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/ebook-polish.1	2020-07-16 17:52:38.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/ebook-viewer.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/ebook-viewer.1	2020-07-16 17:52:39.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/fetch-ebook-metadata.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/fetch-ebook-metadata.1	2020-07-16 17:52:38.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/lrf2lrs.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/lrf2lrs.1	2020-07-16 17:52:38.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/lrfviewer.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/lrfviewer.1	2020-07-16 17:52:39.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/lrs2lrf.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/lrs2lrf.1	2020-07-16 17:52:38.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/et/man1/web2disk.1	2020-07-03 02:50:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/et/man1/web2disk.1	2020-07-16 17:52:38.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "juuli 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "juuli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/calibre.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/calibre.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/calibre-customize.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/calibre-customize.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/calibredb.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/calibredb.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/calibre-debug.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/calibre-debug.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/calibre-server.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/calibre-server.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/calibre-smtp.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/calibre-smtp.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/ebook-convert.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/ebook-convert.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/ebook-edit.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/ebook-edit.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/ebook-meta.1	2020-07-03 02:50:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/ebook-meta.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/ebook-polish.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/ebook-polish.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/ebook-viewer.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/ebook-viewer.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/fetch-ebook-metadata.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/fetch-ebook-metadata.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/lrf2lrs.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/lrf2lrs.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/lrfviewer.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/lrfviewer.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/lrs2lrf.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/lrs2lrf.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/eu/man1/web2disk.1	2020-07-03 02:50:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/eu/man1/web2disk.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "uztaila 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "uztaila 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/calibre.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/calibre.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/calibre-customize.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/calibre-customize.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/calibredb.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/calibredb.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/calibre-debug.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/calibre-debug.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/calibre-server.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/calibre-server.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/calibre-smtp.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/calibre-smtp.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/ebook-convert.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/ebook-convert.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/ebook-edit.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/ebook-edit.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/ebook-meta.1	2020-07-03 02:51:21.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/ebook-meta.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/ebook-polish.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/ebook-polish.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/ebook-viewer.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/ebook-viewer.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/fetch-ebook-metadata.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/fetch-ebook-metadata.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/lrf2lrs.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/lrf2lrs.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/lrfviewer.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/lrfviewer.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/lrs2lrf.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/lrs2lrf.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fa/man1/web2disk.1	2020-07-03 02:51:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fa/man1/web2disk.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "ژوئیهٔ 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "ژوئیهٔ 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/calibre.1	2020-07-03 02:51:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/calibre.1	2020-07-16 17:53:44.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/calibre-customize.1	2020-07-03 02:51:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/calibre-customize.1	2020-07-16 17:53:44.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/calibredb.1	2020-07-03 02:51:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/calibredb.1	2020-07-16 17:53:44.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/calibre-debug.1	2020-07-03 02:51:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/calibre-debug.1	2020-07-16 17:53:43.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/calibre-server.1	2020-07-03 02:51:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/calibre-server.1	2020-07-16 17:53:43.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/calibre-smtp.1	2020-07-03 02:51:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/calibre-smtp.1	2020-07-16 17:53:44.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/ebook-convert.1	2020-07-03 02:51:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/ebook-convert.1	2020-07-16 17:53:43.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/ebook-edit.1	2020-07-03 02:51:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/ebook-edit.1	2020-07-16 17:53:44.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/ebook-meta.1	2020-07-03 02:51:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/ebook-meta.1	2020-07-16 17:53:43.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/ebook-polish.1	2020-07-03 02:51:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/ebook-polish.1	2020-07-16 17:53:43.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/ebook-viewer.1	2020-07-03 02:51:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/ebook-viewer.1	2020-07-16 17:53:44.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/fetch-ebook-metadata.1	2020-07-03 02:51:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/fetch-ebook-metadata.1	2020-07-16 17:53:44.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/lrf2lrs.1	2020-07-03 02:51:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/lrf2lrs.1	2020-07-16 17:53:43.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/lrfviewer.1	2020-07-03 02:51:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/lrfviewer.1	2020-07-16 17:53:44.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/lrs2lrf.1	2020-07-03 02:51:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/lrs2lrf.1	2020-07-16 17:53:43.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fi/man1/web2disk.1	2020-07-03 02:51:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fi/man1/web2disk.1	2020-07-16 17:53:43.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "heinäkuuta 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "heinäkuuta 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/calibre.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/calibre.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/calibre-customize.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/calibre-customize.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/calibredb.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/calibredb.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/calibre-debug.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/calibre-debug.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/calibre-server.1	2020-07-03 02:51:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/calibre-server.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/calibre-smtp.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/calibre-smtp.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/ebook-convert.1	2020-07-03 02:51:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/ebook-convert.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/ebook-edit.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/ebook-edit.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/ebook-meta.1	2020-07-03 02:51:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/ebook-meta.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/ebook-polish.1	2020-07-03 02:51:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/ebook-polish.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/ebook-viewer.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/ebook-viewer.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/fetch-ebook-metadata.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/fetch-ebook-metadata.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/lrf2lrs.1	2020-07-03 02:51:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/lrf2lrs.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/lrfviewer.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/lrfviewer.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/lrs2lrf.1	2020-07-03 02:51:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/lrs2lrf.1	2020-07-16 17:53:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/fr/man1/web2disk.1	2020-07-03 02:51:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/fr/man1/web2disk.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "juillet 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "juillet 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/calibre.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/calibre.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/calibre-customize.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/calibre-customize.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/calibredb.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/calibredb.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/calibre-debug.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/calibre-debug.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/calibre-server.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/calibre-server.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/calibre-smtp.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/calibre-smtp.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/ebook-convert.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/ebook-convert.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/ebook-edit.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/ebook-edit.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/ebook-meta.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/ebook-meta.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/ebook-polish.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/ebook-polish.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/ebook-viewer.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/ebook-viewer.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/fetch-ebook-metadata.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/fetch-ebook-metadata.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/lrf2lrs.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/lrf2lrs.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/lrfviewer.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/lrfviewer.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/lrs2lrf.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/lrs2lrf.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/gl/man1/web2disk.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/gl/man1/web2disk.1	2020-07-16 17:52:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "xullo 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "xullo 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/calibre.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/calibre.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/calibre-customize.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/calibre-customize.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/calibredb.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/calibredb.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/calibre-debug.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/calibre-debug.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/calibre-server.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/calibre-server.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/calibre-smtp.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/calibre-smtp.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/ebook-convert.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/ebook-convert.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/ebook-edit.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/ebook-edit.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/ebook-meta.1	2020-07-03 02:51:01.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/ebook-meta.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/ebook-polish.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/ebook-polish.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/ebook-viewer.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/ebook-viewer.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/fetch-ebook-metadata.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/fetch-ebook-metadata.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/lrf2lrs.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/lrf2lrs.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/lrfviewer.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/lrfviewer.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/lrs2lrf.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/lrs2lrf.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/he/man1/web2disk.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/he/man1/web2disk.1	2020-07-16 17:53:08.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "יולי 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "יולי 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/calibre.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/calibre.1	2020-07-16 17:53:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/calibre-customize.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/calibre-customize.1	2020-07-16 17:53:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/calibredb.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/calibredb.1	2020-07-16 17:53:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/calibre-debug.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/calibre-debug.1	2020-07-16 17:53:21.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/calibre-server.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/calibre-server.1	2020-07-16 17:53:21.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/calibre-smtp.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/calibre-smtp.1	2020-07-16 17:53:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/ebook-convert.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/ebook-convert.1	2020-07-16 17:53:21.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/ebook-edit.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/ebook-edit.1	2020-07-16 17:53:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/ebook-meta.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/ebook-meta.1	2020-07-16 17:53:21.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/ebook-polish.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/ebook-polish.1	2020-07-16 17:53:21.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/ebook-viewer.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/ebook-viewer.1	2020-07-16 17:53:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/fetch-ebook-metadata.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/fetch-ebook-metadata.1	2020-07-16 17:53:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/lrf2lrs.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/lrf2lrs.1	2020-07-16 17:53:21.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/lrfviewer.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/lrfviewer.1	2020-07-16 17:53:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/lrs2lrf.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/lrs2lrf.1	2020-07-16 17:53:21.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hr/man1/web2disk.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hr/man1/web2disk.1	2020-07-16 17:53:21.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "srpnja 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "srpnja 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/calibre.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/calibre.1	2020-07-16 17:53:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/calibre-customize.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/calibre-customize.1	2020-07-16 17:53:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/calibredb.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/calibredb.1	2020-07-16 17:53:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/calibre-debug.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/calibre-debug.1	2020-07-16 17:53:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/calibre-server.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/calibre-server.1	2020-07-16 17:53:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/calibre-smtp.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/calibre-smtp.1	2020-07-16 17:53:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/ebook-convert.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/ebook-convert.1	2020-07-16 17:53:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/ebook-edit.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/ebook-edit.1	2020-07-16 17:53:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/ebook-meta.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/ebook-meta.1	2020-07-16 17:53:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/ebook-polish.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/ebook-polish.1	2020-07-16 17:53:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/ebook-viewer.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/ebook-viewer.1	2020-07-16 17:53:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/fetch-ebook-metadata.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/fetch-ebook-metadata.1	2020-07-16 17:53:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/lrf2lrs.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/lrf2lrs.1	2020-07-16 17:53:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/lrfviewer.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/lrfviewer.1	2020-07-16 17:53:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/lrs2lrf.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/lrs2lrf.1	2020-07-16 17:53:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/hu/man1/web2disk.1	2020-07-03 02:51:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/hu/man1/web2disk.1	2020-07-16 17:53:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "július 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "július 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/calibre.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/calibre.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/calibre-customize.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/calibre-customize.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/calibredb.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/calibredb.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/calibre-debug.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/calibre-debug.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/calibre-server.1	2020-07-03 02:50:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/calibre-server.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/calibre-smtp.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/calibre-smtp.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/ebook-convert.1	2020-07-03 02:50:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/ebook-convert.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/ebook-edit.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/ebook-edit.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/ebook-meta.1	2020-07-03 02:50:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/ebook-meta.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/ebook-polish.1	2020-07-03 02:50:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/ebook-polish.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/ebook-viewer.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/ebook-viewer.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/fetch-ebook-metadata.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/fetch-ebook-metadata.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/lrf2lrs.1	2020-07-03 02:50:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/lrf2lrs.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/lrfviewer.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/lrfviewer.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/lrs2lrf.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/lrs2lrf.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/id/man1/web2disk.1	2020-07-03 02:50:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/id/man1/web2disk.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/calibre.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/calibre.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/calibre-customize.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/calibre-customize.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/calibredb.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/calibredb.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/calibre-debug.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/calibre-debug.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/calibre-server.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/calibre-server.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/calibre-smtp.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/calibre-smtp.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/ebook-convert.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/ebook-convert.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/ebook-edit.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/ebook-edit.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/ebook-meta.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/ebook-meta.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/ebook-polish.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/ebook-polish.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/ebook-viewer.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/ebook-viewer.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/fetch-ebook-metadata.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/fetch-ebook-metadata.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/lrf2lrs.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/lrf2lrs.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/lrfviewer.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/lrfviewer.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/lrs2lrf.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/lrs2lrf.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/is/man1/web2disk.1	2020-07-03 02:50:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/is/man1/web2disk.1	2020-07-16 17:54:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "júlí 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "júlí 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/calibre.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/calibre.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/calibre-customize.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/calibre-customize.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/calibredb.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/calibredb.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/calibre-debug.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/calibre-debug.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/calibre-server.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/calibre-server.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/calibre-smtp.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/calibre-smtp.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/ebook-convert.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/ebook-convert.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/ebook-edit.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/ebook-edit.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/ebook-meta.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/ebook-meta.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/ebook-polish.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/ebook-polish.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/ebook-viewer.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/ebook-viewer.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/fetch-ebook-metadata.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/fetch-ebook-metadata.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/lrf2lrs.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/lrf2lrs.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/lrfviewer.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/lrfviewer.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/lrs2lrf.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/lrs2lrf.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/it/man1/web2disk.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/it/man1/web2disk.1	2020-07-16 17:54:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "luglio 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "luglio 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/calibre.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/calibre.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/calibre-customize.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/calibre-customize.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/calibredb.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/calibredb.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/calibre-debug.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/calibre-debug.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/calibre-server.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/calibre-server.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/calibre-smtp.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/calibre-smtp.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/ebook-convert.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/ebook-convert.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/ebook-edit.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/ebook-edit.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/ebook-meta.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/ebook-meta.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/ebook-polish.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/ebook-polish.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/ebook-viewer.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/ebook-viewer.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/fetch-ebook-metadata.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/fetch-ebook-metadata.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/lrf2lrs.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/lrf2lrs.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/lrfviewer.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/lrfviewer.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/lrs2lrf.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/lrs2lrf.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ja/man1/web2disk.1	2020-07-03 02:51:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ja/man1/web2disk.1	2020-07-16 17:53:45.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/calibre.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/calibre.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/calibre-customize.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/calibre-customize.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/calibredb.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/calibredb.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/calibre-debug.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/calibre-debug.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/calibre-server.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/calibre-server.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/calibre-smtp.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/calibre-smtp.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/ebook-convert.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/ebook-convert.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/ebook-edit.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/ebook-edit.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/ebook-meta.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/ebook-meta.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/ebook-polish.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/ebook-polish.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/ebook-viewer.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/ebook-viewer.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/fetch-ebook-metadata.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/fetch-ebook-metadata.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/lrf2lrs.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/lrf2lrs.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/lrfviewer.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/lrfviewer.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/lrs2lrf.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/lrs2lrf.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ko/man1/web2disk.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ko/man1/web2disk.1	2020-07-16 17:54:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "7월 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "7월 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/calibre.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/calibre.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/calibre-customize.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/calibre-customize.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/calibredb.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/calibredb.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/calibre-debug.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/calibre-debug.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/calibre-server.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/calibre-server.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/calibre-smtp.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/calibre-smtp.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/ebook-convert.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/ebook-convert.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/ebook-edit.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/ebook-edit.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/ebook-meta.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/ebook-meta.1	2020-07-16 17:53:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/ebook-polish.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/ebook-polish.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/ebook-viewer.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/ebook-viewer.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/fetch-ebook-metadata.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/fetch-ebook-metadata.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/lrf2lrs.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/lrf2lrs.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/lrfviewer.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/lrfviewer.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/lrs2lrf.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/lrs2lrf.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lt/man1/web2disk.1	2020-07-03 02:51:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lt/man1/web2disk.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "liepos 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "liepos 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/calibre.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/calibre.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/calibre-customize.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/calibre-customize.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/calibredb.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/calibredb.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/calibre-debug.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/calibre-debug.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/calibre-server.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/calibre-server.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/calibre-smtp.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/calibre-smtp.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/ebook-convert.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/ebook-convert.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/ebook-edit.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/ebook-edit.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/ebook-meta.1	2020-07-03 02:51:25.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/ebook-meta.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/ebook-polish.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/ebook-polish.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/ebook-viewer.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/ebook-viewer.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/fetch-ebook-metadata.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/fetch-ebook-metadata.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/lrf2lrs.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/lrf2lrs.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/lrfviewer.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/lrfviewer.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/lrs2lrf.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/lrs2lrf.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/lv/man1/web2disk.1	2020-07-03 02:51:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/lv/man1/web2disk.1	2020-07-16 17:53:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "jūlijs 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "jūlijs 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/calibre.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/calibre.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/calibre-customize.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/calibre-customize.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/calibredb.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/calibredb.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/calibre-debug.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/calibre-debug.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/calibre-server.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/calibre-server.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/calibre-smtp.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/calibre-smtp.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/ebook-convert.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/ebook-convert.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/ebook-edit.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/ebook-edit.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/ebook-meta.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/ebook-meta.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/ebook-polish.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/ebook-polish.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/ebook-viewer.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/ebook-viewer.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/fetch-ebook-metadata.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/fetch-ebook-metadata.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/lrf2lrs.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/lrf2lrs.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/lrfviewer.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/lrfviewer.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/lrs2lrf.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/lrs2lrf.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/man1/web2disk.1	2020-07-03 02:49:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/man1/web2disk.1	2020-07-16 17:52:19.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "July 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "July 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/calibre.1	2020-07-03 02:50:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/calibre.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/calibre-customize.1	2020-07-03 02:50:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/calibre-customize.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/calibredb.1	2020-07-03 02:50:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/calibredb.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/calibre-debug.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/calibre-debug.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/calibre-server.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/calibre-server.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/calibre-smtp.1	2020-07-03 02:50:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/calibre-smtp.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/ebook-convert.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/ebook-convert.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/ebook-edit.1	2020-07-03 02:50:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/ebook-edit.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/ebook-meta.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/ebook-meta.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/ebook-polish.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/ebook-polish.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/ebook-viewer.1	2020-07-03 02:50:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/ebook-viewer.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/fetch-ebook-metadata.1	2020-07-03 02:50:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/fetch-ebook-metadata.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/lrf2lrs.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/lrf2lrs.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/lrfviewer.1	2020-07-03 02:50:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/lrfviewer.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/lrs2lrf.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/lrs2lrf.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ms/man1/web2disk.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ms/man1/web2disk.1	2020-07-16 17:54:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "Julai 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "Julai 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/calibre.1	2020-07-03 02:51:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/calibre.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/calibre-customize.1	2020-07-03 02:51:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/calibre-customize.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/calibredb.1	2020-07-03 02:51:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/calibredb.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/calibre-debug.1	2020-07-03 02:51:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/calibre-debug.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/calibre-server.1	2020-07-03 02:51:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/calibre-server.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/calibre-smtp.1	2020-07-03 02:51:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/calibre-smtp.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/ebook-convert.1	2020-07-03 02:51:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/ebook-convert.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/ebook-edit.1	2020-07-03 02:51:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/ebook-edit.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/ebook-meta.1	2020-07-03 02:51:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/ebook-meta.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/ebook-polish.1	2020-07-03 02:51:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/ebook-polish.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/ebook-viewer.1	2020-07-03 02:51:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/ebook-viewer.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/fetch-ebook-metadata.1	2020-07-03 02:51:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/fetch-ebook-metadata.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/lrf2lrs.1	2020-07-03 02:51:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/lrf2lrs.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/lrfviewer.1	2020-07-03 02:51:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/lrfviewer.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/lrs2lrf.1	2020-07-03 02:51:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/lrs2lrf.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nb/man1/web2disk.1	2020-07-03 02:51:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nb/man1/web2disk.1	2020-07-16 17:52:55.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/calibre.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/calibre.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/calibre-customize.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/calibre-customize.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/calibredb.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/calibredb.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/calibre-debug.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/calibre-debug.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/calibre-server.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/calibre-server.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/calibre-smtp.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/calibre-smtp.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/ebook-convert.1	2020-07-03 02:50:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/ebook-convert.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/ebook-edit.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/ebook-edit.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/ebook-meta.1	2020-07-03 02:50:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/ebook-meta.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/ebook-polish.1	2020-07-03 02:50:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/ebook-polish.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/ebook-viewer.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/ebook-viewer.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/fetch-ebook-metadata.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/fetch-ebook-metadata.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/lrf2lrs.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/lrf2lrs.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/lrfviewer.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/lrfviewer.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/lrs2lrf.1	2020-07-03 02:50:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/lrs2lrf.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nds/man1/web2disk.1	2020-07-03 02:50:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nds/man1/web2disk.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "Juli 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "Juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/calibre.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/calibre.1	2020-07-16 17:53:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/calibre-customize.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/calibre-customize.1	2020-07-16 17:53:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/calibredb.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/calibredb.1	2020-07-16 17:53:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/calibre-debug.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/calibre-debug.1	2020-07-16 17:53:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/calibre-server.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/calibre-server.1	2020-07-16 17:53:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/calibre-smtp.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/calibre-smtp.1	2020-07-16 17:53:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/ebook-convert.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/ebook-convert.1	2020-07-16 17:53:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/ebook-edit.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/ebook-edit.1	2020-07-16 17:53:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/ebook-meta.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/ebook-meta.1	2020-07-16 17:53:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/ebook-polish.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/ebook-polish.1	2020-07-16 17:53:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/ebook-viewer.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/ebook-viewer.1	2020-07-16 17:53:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/fetch-ebook-metadata.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/fetch-ebook-metadata.1	2020-07-16 17:53:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/lrf2lrs.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/lrf2lrs.1	2020-07-16 17:53:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/lrfviewer.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/lrfviewer.1	2020-07-16 17:53:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/lrs2lrf.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/lrs2lrf.1	2020-07-16 17:53:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/nl/man1/web2disk.1	2020-07-03 02:51:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/nl/man1/web2disk.1	2020-07-16 17:53:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/calibre.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/calibre.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/calibre-customize.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/calibre-customize.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/calibredb.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/calibredb.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/calibre-debug.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/calibre-debug.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/calibre-server.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/calibre-server.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/calibre-smtp.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/calibre-smtp.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/ebook-convert.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/ebook-convert.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/ebook-edit.1	2020-07-03 02:50:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/ebook-edit.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/ebook-meta.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/ebook-meta.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/ebook-polish.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/ebook-polish.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/ebook-viewer.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/ebook-viewer.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/fetch-ebook-metadata.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/fetch-ebook-metadata.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/lrf2lrs.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/lrf2lrs.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/lrfviewer.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/lrfviewer.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/lrs2lrf.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/lrs2lrf.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pl/man1/web2disk.1	2020-07-03 02:50:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pl/man1/web2disk.1	2020-07-16 17:53:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "lipca 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "lipca 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/calibre.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/calibre.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/calibre-customize.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/calibre-customize.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/calibredb.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/calibredb.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/calibre-debug.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/calibre-debug.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/calibre-server.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/calibre-server.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/calibre-smtp.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/calibre-smtp.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/ebook-convert.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/ebook-convert.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/ebook-edit.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/ebook-edit.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/ebook-meta.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/ebook-meta.1	2020-07-16 17:53:01.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/ebook-polish.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/ebook-polish.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/ebook-viewer.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/ebook-viewer.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/fetch-ebook-metadata.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/fetch-ebook-metadata.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/lrf2lrs.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/lrf2lrs.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/lrfviewer.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/lrfviewer.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/lrs2lrf.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/lrs2lrf.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt/man1/web2disk.1	2020-07-03 02:50:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt/man1/web2disk.1	2020-07-16 17:53:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/calibre.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/calibre.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/calibre-customize.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/calibre-customize.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/calibredb.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/calibredb.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/calibre-debug.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/calibre-debug.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/calibre-server.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/calibre-server.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/calibre-smtp.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/calibre-smtp.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/ebook-convert.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/ebook-convert.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
@@ -107,7 +107,7 @@ Listar nomes de receita incorporados. Vo
 .INDENT 0.0
 .TP
 .B \-\-output\-profile
-Especifica o perfil de saída. Ele diz ao sistema de conversão como otimizar o documento criado para o dispositivo especificado (tal como redimensionar as imagens para o tamanho da tela do dispositivo). Em alguns casos, um perfil de saída pode ser utilizado para otimizar a saída para um dispositivo em particular, mas isso raramente é necessário. As escolhas são:cybookg3, cybook_opus, default, generic_eink, generic_eink_hd, generic_eink_large, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony\-landscape, sonyt3, tablet
+Especifica o perfil de saída. Ele diz ao sistema de conversão como otimizar o documento criado para o dispositivo especificado (tal como redimensionar as imagens para o tamanho da tela do dispositivo). Em alguns casos, um perfil de saída pode ser utilizado para otimizar a saída para um dispositivo em particular, mas isso raramente é necessário. As escolhas são:cybookg3, cybook_opus, default, generic_eink, generic_eink_large, generic_eink_hd, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony\-landscape, sonyt3, tablet
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/ebook-edit.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/ebook-edit.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/ebook-meta.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/ebook-meta.1	2020-07-16 17:53:40.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/ebook-polish.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/ebook-polish.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/ebook-viewer.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/ebook-viewer.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/fetch-ebook-metadata.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/fetch-ebook-metadata.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/lrf2lrs.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/lrf2lrs.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/lrfviewer.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/lrfviewer.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/lrs2lrf.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/lrs2lrf.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/pt_BR/man1/web2disk.1	2020-07-03 02:51:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/pt_BR/man1/web2disk.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "julho 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "julho 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/calibre.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/calibre.1	2020-07-16 17:53:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/calibre-customize.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/calibre-customize.1	2020-07-16 17:53:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/calibredb.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/calibredb.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/calibre-debug.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/calibre-debug.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/calibre-server.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/calibre-server.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/calibre-smtp.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/calibre-smtp.1	2020-07-16 17:53:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/ebook-convert.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/ebook-convert.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/ebook-edit.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/ebook-edit.1	2020-07-16 17:53:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/ebook-meta.1	2020-07-03 02:50:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/ebook-meta.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/ebook-polish.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/ebook-polish.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/ebook-viewer.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/ebook-viewer.1	2020-07-16 17:53:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/fetch-ebook-metadata.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/fetch-ebook-metadata.1	2020-07-16 17:53:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/lrf2lrs.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/lrf2lrs.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/lrfviewer.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/lrfviewer.1	2020-07-16 17:53:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/lrs2lrf.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/lrs2lrf.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ro/man1/web2disk.1	2020-07-03 02:50:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ro/man1/web2disk.1	2020-07-16 17:53:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "iulie 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "iulie 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/calibre.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/calibre.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/calibre-customize.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/calibre-customize.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/calibredb.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/calibredb.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/calibre-debug.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/calibre-debug.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/calibre-server.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/calibre-server.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/calibre-smtp.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/calibre-smtp.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/ebook-convert.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/ebook-convert.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/ebook-edit.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/ebook-edit.1	2020-07-16 17:53:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/ebook-meta.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/ebook-meta.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/ebook-polish.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/ebook-polish.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/ebook-viewer.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/ebook-viewer.1	2020-07-16 17:53:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/fetch-ebook-metadata.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/fetch-ebook-metadata.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/lrf2lrs.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/lrf2lrs.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/lrfviewer.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/lrfviewer.1	2020-07-16 17:53:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/lrs2lrf.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/lrs2lrf.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/ru/man1/web2disk.1	2020-07-03 02:51:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/ru/man1/web2disk.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "июля 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "июля 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/calibre.1	2020-07-03 02:51:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/calibre.1	2020-07-16 17:54:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/calibre-customize.1	2020-07-03 02:51:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/calibre-customize.1	2020-07-16 17:54:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/calibredb.1	2020-07-03 02:51:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/calibredb.1	2020-07-16 17:54:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/calibre-debug.1	2020-07-03 02:51:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/calibre-debug.1	2020-07-16 17:54:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/calibre-server.1	2020-07-03 02:51:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/calibre-server.1	2020-07-16 17:54:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/calibre-smtp.1	2020-07-03 02:51:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/calibre-smtp.1	2020-07-16 17:54:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/ebook-convert.1	2020-07-03 02:51:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/ebook-convert.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/ebook-edit.1	2020-07-03 02:51:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/ebook-edit.1	2020-07-16 17:54:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/ebook-meta.1	2020-07-03 02:51:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/ebook-meta.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/ebook-polish.1	2020-07-03 02:51:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/ebook-polish.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/ebook-viewer.1	2020-07-03 02:51:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/ebook-viewer.1	2020-07-16 17:54:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/fetch-ebook-metadata.1	2020-07-03 02:51:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/fetch-ebook-metadata.1	2020-07-16 17:54:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/lrf2lrs.1	2020-07-03 02:51:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/lrf2lrs.1	2020-07-16 17:54:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/lrfviewer.1	2020-07-03 02:51:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/lrfviewer.1	2020-07-16 17:54:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/lrs2lrf.1	2020-07-03 02:51:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/lrs2lrf.1	2020-07-16 17:54:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sk/man1/web2disk.1	2020-07-03 02:51:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sk/man1/web2disk.1	2020-07-16 17:54:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "júla 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "júla 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/calibre.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/calibre.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/calibre-customize.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/calibre-customize.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/calibredb.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/calibredb.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/calibre-debug.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/calibre-debug.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/calibre-server.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/calibre-server.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/calibre-smtp.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/calibre-smtp.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/ebook-convert.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/ebook-convert.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/ebook-edit.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/ebook-edit.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/ebook-meta.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/ebook-meta.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/ebook-polish.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/ebook-polish.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/ebook-viewer.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/ebook-viewer.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/fetch-ebook-metadata.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/fetch-ebook-metadata.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/lrf2lrs.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/lrf2lrs.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/lrfviewer.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/lrfviewer.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/lrs2lrf.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/lrs2lrf.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sl/man1/web2disk.1	2020-07-03 02:51:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sl/man1/web2disk.1	2020-07-16 17:54:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "julij 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "julij 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/calibre.1	2020-07-03 02:51:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/calibre.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/calibre-customize.1	2020-07-03 02:51:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/calibre-customize.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/calibredb.1	2020-07-03 02:51:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/calibredb.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/calibre-debug.1	2020-07-03 02:51:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/calibre-debug.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/calibre-server.1	2020-07-03 02:51:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/calibre-server.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/calibre-smtp.1	2020-07-03 02:51:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/calibre-smtp.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/ebook-convert.1	2020-07-03 02:51:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/ebook-convert.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/ebook-edit.1	2020-07-03 02:51:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/ebook-edit.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/ebook-meta.1	2020-07-03 02:51:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/ebook-meta.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/ebook-polish.1	2020-07-03 02:51:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/ebook-polish.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/ebook-viewer.1	2020-07-03 02:51:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/ebook-viewer.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/fetch-ebook-metadata.1	2020-07-03 02:51:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/fetch-ebook-metadata.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/lrf2lrs.1	2020-07-03 02:51:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/lrf2lrs.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/lrfviewer.1	2020-07-03 02:51:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/lrfviewer.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/lrs2lrf.1	2020-07-03 02:51:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/lrs2lrf.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sr/man1/web2disk.1	2020-07-03 02:51:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sr/man1/web2disk.1	2020-07-16 17:54:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "јул 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "јул 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/calibre.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/calibre.1	2020-07-16 17:53:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/calibre-customize.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/calibre-customize.1	2020-07-16 17:53:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/calibredb.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/calibredb.1	2020-07-16 17:53:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/calibre-debug.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/calibre-debug.1	2020-07-16 17:53:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/calibre-server.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/calibre-server.1	2020-07-16 17:53:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/calibre-smtp.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/calibre-smtp.1	2020-07-16 17:53:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/ebook-convert.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/ebook-convert.1	2020-07-16 17:53:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/ebook-edit.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/ebook-edit.1	2020-07-16 17:53:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/ebook-meta.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/ebook-meta.1	2020-07-16 17:53:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/ebook-polish.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/ebook-polish.1	2020-07-16 17:53:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/ebook-viewer.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/ebook-viewer.1	2020-07-16 17:53:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/fetch-ebook-metadata.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/fetch-ebook-metadata.1	2020-07-16 17:53:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/lrf2lrs.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/lrf2lrs.1	2020-07-16 17:53:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/lrfviewer.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/lrfviewer.1	2020-07-16 17:53:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/lrs2lrf.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/lrs2lrf.1	2020-07-16 17:53:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/sv/man1/web2disk.1	2020-07-03 02:51:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/sv/man1/web2disk.1	2020-07-16 17:53:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "juli 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "juli 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/calibre.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/calibre.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/calibre-customize.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/calibre-customize.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/calibredb.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/calibredb.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/calibre-debug.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/calibre-debug.1	2020-07-16 17:53:03.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/calibre-server.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/calibre-server.1	2020-07-16 17:53:03.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/calibre-smtp.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/calibre-smtp.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/ebook-convert.1	2020-07-03 02:50:37.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/ebook-convert.1	2020-07-16 17:53:03.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/ebook-edit.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/ebook-edit.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/ebook-meta.1	2020-07-03 02:50:37.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/ebook-meta.1	2020-07-16 17:53:03.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/ebook-polish.1	2020-07-03 02:50:37.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/ebook-polish.1	2020-07-16 17:53:03.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/ebook-viewer.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/ebook-viewer.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/fetch-ebook-metadata.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/fetch-ebook-metadata.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/lrf2lrs.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/lrf2lrs.1	2020-07-16 17:53:03.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/lrfviewer.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/lrfviewer.1	2020-07-16 17:53:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/lrs2lrf.1	2020-07-03 02:50:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/lrs2lrf.1	2020-07-16 17:53:03.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/tr/man1/web2disk.1	2020-07-03 02:50:37.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/tr/man1/web2disk.1	2020-07-16 17:53:03.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "Temmuz 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "Temmuz 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/calibre.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/calibre.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/calibre-customize.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/calibre-customize.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/calibredb.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/calibredb.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/calibre-debug.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/calibre-debug.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/calibre-server.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/calibre-server.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/calibre-smtp.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/calibre-smtp.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/ebook-convert.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/ebook-convert.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/ebook-edit.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/ebook-edit.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/ebook-meta.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/ebook-meta.1	2020-07-16 17:53:40.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/ebook-polish.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/ebook-polish.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/ebook-viewer.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/ebook-viewer.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/fetch-ebook-metadata.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/fetch-ebook-metadata.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/lrf2lrs.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/lrf2lrs.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/lrfviewer.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/lrfviewer.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/lrs2lrf.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/lrs2lrf.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/uk/man1/web2disk.1	2020-07-03 02:51:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/uk/man1/web2disk.1	2020-07-16 17:53:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "липня 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "липня 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/calibre.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/calibre.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/calibre-customize.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/calibre-customize.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/calibredb.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/calibredb.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/calibre-debug.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/calibre-debug.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/calibre-server.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/calibre-server.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/calibre-smtp.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/calibre-smtp.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/ebook-convert.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/ebook-convert.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/ebook-edit.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/ebook-edit.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/ebook-meta.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/ebook-meta.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/ebook-polish.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/ebook-polish.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/ebook-viewer.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/ebook-viewer.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/fetch-ebook-metadata.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/fetch-ebook-metadata.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/lrf2lrs.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/lrf2lrs.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/lrfviewer.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/lrfviewer.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/lrs2lrf.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/lrs2lrf.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/vi/man1/web2disk.1	2020-07-03 02:50:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/vi/man1/web2disk.1	2020-07-16 17:52:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "tháng 7 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "tháng 7 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/calibre.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/calibre.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/calibre-customize.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/calibre-customize.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/calibredb.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/calibredb.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/calibre-debug.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/calibre-debug.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/calibre-server.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/calibre-server.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/calibre-smtp.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/calibre-smtp.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/ebook-convert.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/ebook-convert.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/ebook-edit.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/ebook-edit.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/ebook-meta.1	2020-07-03 02:50:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/ebook-meta.1	2020-07-16 17:52:36.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/ebook-polish.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/ebook-polish.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/ebook-viewer.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/ebook-viewer.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/fetch-ebook-metadata.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/fetch-ebook-metadata.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/lrf2lrs.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/lrf2lrs.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/lrfviewer.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/lrfviewer.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/lrs2lrf.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/lrs2lrf.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_CN/man1/web2disk.1	2020-07-03 02:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_CN/man1/web2disk.1	2020-07-16 17:52:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "七月 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "七月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/calibre.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/calibre.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/calibre.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/calibre.1	2020-07-16 17:54:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/calibre-customize.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/calibre-customize.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/calibre-customize.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/calibre-customize.1	2020-07-16 17:54:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/calibredb.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/calibredb.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/calibredb.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/calibredb.1	2020-07-16 17:54:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBREDB" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/calibre-debug.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/calibre-debug.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/calibre-debug.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/calibre-debug.1	2020-07-16 17:54:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/calibre-server.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/calibre-server.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/calibre-server.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/calibre-server.1	2020-07-16 17:54:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/calibre-smtp.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/calibre-smtp.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/calibre-smtp.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/calibre-smtp.1	2020-07-16 17:54:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/ebook-convert.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/ebook-convert.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/ebook-convert.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/ebook-convert.1	2020-07-16 17:54:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/ebook-edit.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/ebook-edit.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/ebook-edit.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/ebook-edit.1	2020-07-16 17:54:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-EDIT" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/ebook-meta.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/ebook-meta.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/ebook-meta.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/ebook-meta.1	2020-07-16 17:54:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-META" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/ebook-polish.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/ebook-polish.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/ebook-polish.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/ebook-polish.1	2020-07-16 17:54:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-POLISH" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/ebook-viewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/ebook-viewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/ebook-viewer.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/ebook-viewer.1	2020-07-16 17:54:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/fetch-ebook-metadata.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/fetch-ebook-metadata.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/fetch-ebook-metadata.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/fetch-ebook-metadata.1	2020-07-16 17:54:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/lrf2lrs.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/lrf2lrs.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/lrf2lrs.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/lrf2lrs.1	2020-07-16 17:54:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "LRF2LRS" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/lrfviewer.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/lrfviewer.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/lrfviewer.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/lrfviewer.1	2020-07-16 17:54:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "LRFVIEWER" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/lrs2lrf.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/lrs2lrf.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/lrs2lrf.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/lrs2lrf.1	2020-07-16 17:54:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "LRS2LRF" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/web2disk.1 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/web2disk.1
--- 4.99.6+dfsg+really4.20.0-1/man-pages/zh_TW/man1/web2disk.1	2020-07-03 02:51:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/man-pages/zh_TW/man1/web2disk.1	2020-07-16 17:54:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "7月 03, 2020" "4.20.0" "calibre"
+.TH "WEB2DISK" "1" "7月 16, 2020" "4.21.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 4.99.6+dfsg+really4.20.0-1/recipes/1843.recipe 4.99.7+dfsg+really4.21.0-1/recipes/1843.recipe
--- 4.99.6+dfsg+really4.20.0-1/recipes/1843.recipe	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/recipes/1843.recipe	2020-07-16 16:35:56.000000000 +0000
@@ -19,49 +19,35 @@ class E1843(BasicNewsRecipe):
     language = 'en_GB'
     no_stylesheets = True
     remove_javascript = True
-    oldest_article = 365
     encoding = 'utf-8'
 
-    # feeds = [
-    #     'https://www.1843magazine.com/rss/content',
-    # ]
-
     keep_only_tags = [
-        dict(name='h1', attrs={'class': lambda x: x and 'title' in x.split()}),
-        classes('field-name-field-rubric-summary article-header__overlay-main-image meta-info__author article__body'),
+        dict(id='content')
+    ]
+    remove_tags = [
+        classes('advert ad ds-share-list article__wordmark related-articles newsletter-signup')
     ]
 
     def parse_index(self):
-        soup = self.index_to_soup('https://www.1843magazine.com')
-        a = soup.find(text='Print edition').parent
-        soup = self.index_to_soup(a['href'])
-        h1 = soup.find(**classes('cover-image__main'))
-        self.timefmt = ' [%s]' % self.tag_to_string(h1)
-        img = soup.find(**classes('cover-image__image')).find('img')
-        self.cover_url = img['src']
-
+        soup = self.index_to_soup('https://economist.com/1843/')
         ans = []
-        current_section = articles = None
-
-        for div in soup.findAll(**classes('field-name-field-header node-article')):
-            if 'field-header' in ''.join(div['class']):
-                if current_section and articles:
-                    ans.append((current_section, articles))
-                current_section = self.tag_to_string(div)
-                self.log(current_section)
-                articles = []
-            else:
-                a = div.find('a', href=True)
-                title = self.tag_to_string(a)
-                url = a['href']
-                self.log('\t', title, ' at ', url)
-                desc = ''
-                r = div.find(**classes('article-rubric'))
-                if r is not None:
-                    desc = self.tag_to_string(r)
-                articles.append(
-                    {'title': title, 'url': url, 'description': desc})
 
-        if current_section and articles:
-            ans.append((current_section, articles))
-        return ans
+        for a in soup.findAll(**classes('headline-link')):
+            url = a['href']
+            if url.startswith('/'):
+                url = 'https://economist.com' + url
+            title = self.tag_to_string(a)
+            self.log(title, ' at ', url)
+            desc = ''
+            d = a.parent.findNextSibling(itemprop='description')
+            if d is not None:
+                desc = self.tag_to_string(d)
+            ans.append({'title': title, 'url': url, 'description': desc})
+        return [('Articles', ans)]
+
+    def postprocess_html(self, soup, *a):
+        main = soup.find(id='content')
+        header = soup.find(**classes('article__header'))
+        header.extract()
+        main.insert(0, header)
+        return soup
diff -pruN 4.99.6+dfsg+really4.20.0-1/recipes/caravan_magazine.recipe 4.99.7+dfsg+really4.21.0-1/recipes/caravan_magazine.recipe
--- 4.99.6+dfsg+really4.20.0-1/recipes/caravan_magazine.recipe	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/recipes/caravan_magazine.recipe	2020-07-16 16:35:56.000000000 +0000
@@ -1,4 +1,11 @@
-# coding: utf-8
+#!/usr/bin/env python2
+# vim:fileencoding=utf-8
+# License: GPLv3 Copyright: 2015, Kovid Goyal <kovid at kovidgoyal.net>
+
+import json
+
+from mechanize import Request
+
 from calibre.web.feeds.recipes import BasicNewsRecipe
 
 
@@ -16,6 +23,7 @@ class CaravanMagazine(BasicNewsRecipe):
     language = 'en_IN'
     timefmt = ' [%b, %Y]'
     encoding = 'utf-8'
+    needs_subscription = 'optional'
 
     no_stylesheets = True
 
@@ -29,6 +37,32 @@ class CaravanMagazine(BasicNewsRecipe):
         dict(attrs={'class': ['share-with']}),
     ]
 
+    def get_browser(self, *args, **kw):
+        br = BasicNewsRecipe.get_browser(self, *args, **kw)
+        if not self.username or not self.password:
+            return br
+        data = json.dumps({'email': self.username, 'name': '', 'password': self.password})
+        if not isinstance(data, bytes):
+            data = data.encode('utf-8')
+        rq = Request(
+            url='https://caravanmagazine.in/api/users/login',
+            data=data,
+            headers={
+                'Accept': 'application/json, text/plain, */*',
+                'Origin': 'https://caravanmagazine.in',
+                'Referer': 'https://caravanmagazine.in/',
+                'Content-type': 'application/json;charset=UTF-8',
+            },
+            method='POST'
+        )
+        res = br.open(rq).read()
+        res = res.decode('utf-8')
+        self.log('Login request response: {}'.format(res))
+        res = json.loads(res)
+        if res['code'] != 200 or res['message'] != "Login success":
+            raise ValueError('Login failed, check your username and password')
+        return br
+
     # To parse artice toc
     def parse_index(self):
         base_url = 'https://www.caravanmagazine.in/'
diff -pruN 4.99.6+dfsg+really4.20.0-1/resources/builtin_recipes.xml 4.99.7+dfsg+really4.21.0-1/resources/builtin_recipes.xml
--- 4.99.6+dfsg+really4.20.0-1/resources/builtin_recipes.xml	2020-07-03 02:17:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/resources/builtin_recipes.xml	2020-07-14 12:07:29.000000000 +0000
@@ -1,1529 +1,1529 @@
 <?xml version='1.0' encoding='utf-8'?>
 <recipe_collection xmlns="http://calibre-ebook.com/recipe_collection" count="1526">
-  <recipe id="builtin:plus_info" language="mk" description="Macedonian news portal" author="Darko Spasovski" title="+info" needs_subscription="no"/>
-  <recipe id="builtin:tyzden" language="sk" description="Politicko-spoločenský týždenník." author="Martin Račák, zemiak" title=".týždeň" needs_subscription="optional"/>
-  <recipe id="builtin:10minutos" language="es_UY" description="Noticias de Salto - Uruguay" author="Carlos Alves" title="10minutos" needs_subscription="no"/>
-  <recipe id="builtin:180" language="es_UY" description="Noticias de Uruguay" author="Gustavo Azambuja" title="180.com.uy" needs_subscription="no"/>
-  <recipe id="builtin:1843" language="en_GB" description="The ideas, culture and lifestyle magazine from The Economist" author="Kovid Goyal" title="1843" needs_subscription="no"/>
-  <recipe id="builtin:20_minutos" language="es" description="Free spanish newspaper" author="Luis Hernandez" title="20 Minutos" needs_subscription="no"/>
-  <recipe id="builtin:20minutes" language="fr" description="Actualités" author="Aurélien Chabot" title="20 minutes" needs_subscription="no"/>
-  <recipe id="builtin:24sata" language="hr" description="News Portal from Croatia" author="Darko Miletic" title="24 Sata - Hr" needs_subscription="no"/>
-  <recipe id="builtin:3dnews" language="ru" description="Независимое российское онлайн-издание, посвященное цифровым технологиям" author="bugmen00t" title="3DNews: Daily Digital Digest" needs_subscription="no"/>
-  <recipe id="builtin:lomza" language="pl" description="Regionalny portal. Najświeższe informacje z regionu, kulturalne, sportowe. Ogłoszenia, baza biznesu, forum." author="fenuks" title="4Łomza" needs_subscription="no"/>
-  <recipe id="builtin:7x7" language="ru" description="7x7 - межрегиональный интернет-журнал" author="bugmen00t" title="7x7" needs_subscription="no"/>
-  <recipe id="builtin:list_apart" language="en" description="A List Apart Magazine (ISSN: 1534-0295) explores the design, development, and meaning of web content, with a special focus on web standards and best practices. This recipe retrieve articles and columns." author="Marc Busqué &lt;marc@lamarciana.com&gt;" title="A List Apart" needs_subscription="no"/>
-  <recipe id="builtin:abc_py" language="es_PY" description="Noticias de Paraguay y el resto del mundo" author="Darko Miletic" title="ABC Color" needs_subscription="no"/>
-  <recipe id="builtin:abc" language="cs" description="" author="Funthomas" title="ABC Linuxu" needs_subscription="no"/>
-  <recipe id="builtin:abc_au" language="en_AU" description="From the Australian Broadcasting Corporation. The ABC is owned and funded by the Australian Government, but is editorially independent." author="Pat Stapleton" title="ABC News" needs_subscription="no"/>
-  <recipe id="builtin:abc_es" language="es" description="Noticias de Spain y el mundo" author="Ricardo Jurado" title="ABC.es" needs_subscription="no"/>
-  <recipe id="builtin:queueacmorg" language="en" description="Queue is the ACMs magazine for practicing software engineers. Written by engineers for engineers, Queue focuses on the technical problems and challenges that loom ahead, helping readers to sharpen their own thinking and pursue innovative solutions. Queue does not focus on either industry news or the latest &quot;solutions.&quot; Rather, Queue takes a critical look at current and emerging technologies, highlighting problems that are likely to arise and posing questions that software engineers should be thinking about." author="CoderAllan.github.com" title="ACM Queue Magazine" needs_subscription="no"/>
-  <recipe id="builtin:ad" language="nl" description="News and Sports from the Netherlands" author="kwetal" title="AD" needs_subscription="no"/>
-  <recipe id="builtin:am730" language="zh" description="http://www.am730.com.hk" author="Eddie Lau" title="AM730" needs_subscription="no"/>
-  <recipe id="builtin:app_funds" language="pl" description="Blog inwestora dla inwestorów i oszczędzających" author="teepel &lt;teepel44@gmail.com&gt;" title="APP Funds" needs_subscription="no"/>
-  <recipe id="builtin:arizona_republic" language="en" description="The Arizona Republic is Arizona's leading provider of news and information, and has published a daily newspaper in Phoenix for more than 110 years" author="Jim Olo" title="AZRepublic" needs_subscription="no"/>
-  <recipe id="builtin:aachener_nachrichten" language="de" description="" author="schuster" title="Aachener Nachrichten" needs_subscription="no"/>
-  <recipe id="builtin:catavencu" language="ro" description="Academia Catavencu. Pamflete!" author="Silviu Cotoară" title="Academia Caţavencu" needs_subscription="no"/>
-  <recipe id="builtin:acrimed" language="fr" description="" author="Gaëtan Lehmann" title="Acrimed" needs_subscription="no"/>
-  <recipe id="builtin:adevarul" language="ro" description="Știri din România" author="Silviu Cotoară" title="Adevărul" needs_subscription="no"/>
-  <recipe id="builtin:adnkronos" language="it" description="News agency" author="Gabriele Marini" title="Adnkronos" needs_subscription="no"/>
-  <recipe id="builtin:ebeltoftlokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport, kultur fra Ebeltoft og omegn på ebeltoft.lokalavisen.dk" author="CoderAllan.github.com" title="Adresseavisen Ebeltoft" needs_subscription="no"/>
-  <recipe id="builtin:syddjurslokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra det sydlige Djursland på syddjurs.lokalavisen.dk" author="CoderAllan.github.com" title="Adresseavisen Syddjurs" needs_subscription="no"/>
-  <recipe id="builtin:adventuregamers" language="en" description="Adventure games portal" author="Darko Miletic" title="Adventure Gamers" needs_subscription="no"/>
-  <recipe id="builtin:aftenposten" language="no" description="Norske nyheter" author="davotibarna" title="Aftenposten" needs_subscription="no"/>
-  <recipe id="builtin:newsmoldova" language="ro" description="Agenţia de ştiri Moldova" author="Silviu Cotoară" title="Agenţia de ştiri Moldova" needs_subscription="no"/>
-  <recipe id="builtin:agrogerila" language="sr" description="Politicki nekorektan blog." author="Darko Miletic" title="Agro Gerila" needs_subscription="no"/>
-  <recipe id="builtin:air_force_times" language="en" description="News of the U.S. Air Force" author="jde" title="Air Force Times" needs_subscription="no"/>
-  <recipe id="builtin:ajiajin" language="en" description="The next generation internet trends in Japan and Asia" author="Hiroshi Miura" title="Ajiajin blog" needs_subscription="no"/>
-  <recipe id="builtin:aksiyon_derigisi" language="tr" description="Haftalık haber dergisi " author="thomass" title="Aksiyon Dergisi" needs_subscription="no"/>
-  <recipe id="builtin:al_jazeera" language="en" description="News from Middle East" author="Darko Miletic" title="Al Jazeera in English" needs_subscription="no"/>
-  <recipe id="builtin:al_monitor" language="en" description="a The Pulse of the Middle East" author="spswerling" title="Al Monitor" needs_subscription="no"/>
-  <recipe id="builtin:al_masry_alyoum_arabic" language="ar" description="The Arabic version of the Al-Masry Alyoum (Egypt Independent) newspaper." author="Hassan Williamson" title="Al-Masry Alyoum (المصري اليوم)" needs_subscription="no"/>
-  <recipe id="builtin:albert_mohler" language="en" description="" author="Peter Grungi" title="Albert Mohler's Blog" needs_subscription="no"/>
-  <recipe id="builtin:dosisdiarias" language="es" description="Mire sin compromiso y si le gusta vuelva" author="Darko Miletic" title="Alberto Montt en dosis diarias" needs_subscription="no"/>
-  <recipe id="builtin:alejakomiksu_com" language="pl" description="Serwis poświęcony komiksom. Najnowsze wieści, recenzje, artykuły, wywiady, galerie, komiksy online, konkursy, linki, baza komiksów online." author="fenuks" title="Aleja Komiksu" needs_subscription="no"/>
-  <recipe id="builtin:alleroedlokalavisen_dk" language="da" description="RSS feed med sidste nyt fra Allerød Nyt. Der er nye historier flere gange dagligt - få de seneste nyheder fra dit lokalområde automatisk. Allerød Nyt. alleroed.lokalavisen.dk" author="CoderAllan.github.com" title="Allerød Nyt - alleroed.lokalavisen.dk" needs_subscription="no"/>
-  <recipe id="builtin:altomdata_dk" language="da" description="" author="CoderAllan.github.com" title="Alt om DATA, Datatid TechLife - Download, test, antivirus, netværk" needs_subscription="no"/>
-  <recipe id="builtin:alt_om_herning" language="da" description="Nyheder fra Herning om omegn" author="Rasmus Lauritsen" title="Alt om Herning" needs_subscription="no"/>
-  <recipe id="builtin:alternet" language="en" description="News magazine and online community" author="rty" title="Alternet" needs_subscription="no"/>
-  <recipe id="builtin:amagerbladet_dk" language="da" description="" author="CoderAllan.github.com" title="Amagerbladet" needs_subscription="no"/>
-  <recipe id="builtin:ambito_financiero" language="es_AR" description="Informacion Libre las 24 horas" author="Darko Miletic" title="Ambito Financiero" needs_subscription="yes"/>
-  <recipe id="builtin:ambito" language="es_AR" description="Ambito.com con noticias del Diario Ambito Financiero de Buenos Aires" author="Darko Miletic" title="Ambito.com" needs_subscription="no"/>
-  <recipe id="builtin:aprospect" language="en" description="" author="Michael Heinz, a.peter" title="American Prospect" needs_subscription="no"/>
-  <recipe id="builtin:american_thinker" language="en" description="American Thinker is a daily internet publication devoted to the thoughtful exploration of issues of importance to Americans." author="Walt Anthony" title="American Thinker" needs_subscription="no"/>
-  <recipe id="builtin:an_druma_mor" language="ga" description="" author="David O'Callaghan" title="An Druma Mór" needs_subscription="no"/>
-  <recipe id="builtin:anandtech" language="en" description="comprehensive Hardware Tests" author="Oliver Niesner, Armin Geller" title="Anandtech" needs_subscription="no"/>
-  <recipe id="builtin:anchorage_daily" language="en" description="'Alaska's Newspaper" author="rty" title="Anchorage Daily News" needs_subscription="no"/>
-  <recipe id="builtin:android_com_pl" language="pl" description="Android.com.pl - to największe w Polsce centrum Android OS. Znajdziesz tu: nowości, forum, pomoc, recenzje, gry, aplikacje." author="fenuks" title="Android.com.pl" needs_subscription="no"/>
-  <recipe id="builtin:animal_politico" language="es_MX" description="Noticias Políticas" author="Jose Ortiz" title="Animal Político" needs_subscription="no"/>
-  <recipe id="builtin:anthony_muroni" language="sc" description="" author="tzium" title="AnthonyMuroni.it (sardu)" needs_subscription="no"/>
-  <recipe id="builtin:antyweb" language="pl" description="Blog o internecie i nowych technologiach" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;, adrianf0" title="Antyweb" needs_subscription="no"/>
-  <recipe id="builtin:apcom" language="it" description="Italian daily newspaper" author="Marini Gabriele" title="Apcom" needs_subscription="no"/>
-  <recipe id="builtin:ara_info" language="es" description="Regional newspaper from Aragon" author="Ruben Pollan" title="AraInfo.org" needs_subscription="no"/>
-  <recipe id="builtin:arabian_business" language="en" description="Comprehensive Guide to Middle East Business &amp; Gulf Industry News including,Banking &amp; Finance,Construction,Energy,Media &amp; Marketing,Real Estate,Transportation,Travel,Technology,Politics,Healthcare,Lifestyle,Jobs &amp; UAE guide.Top Gulf &amp; Dubai Business News." author="Darko Miletic" title="Arabian Business" needs_subscription="no"/>
-  <recipe id="builtin:arbetaren" language="sv" description="Nyheter från Arbetaren" author="Jonatan Nyberg" title="Arbetaren" needs_subscription="no"/>
-  <recipe id="builtin:arcadia" language="ja" description="" author="Masahiro Hasegawa" title="Arcadia" needs_subscription="no"/>
-  <recipe id="builtin:arcamax" language="en" description="Family Friendly Comics - Customize for more days/comics: Defaults to 7 days, 25 comics - 20 general, 5 editorial." author="Kovid Goyal" title="Arcamax" needs_subscription="no"/>
-  <recipe id="builtin:aif_ru" language="ru" description="News from Russia" author="Darko Miletic" title="Arguments &amp; Facts - Russian" needs_subscription="no"/>
-  <recipe id="builtin:azstarnet" language="en" description="news from Arizona" author="Darko Miletic" title="Arizona Daily Star" needs_subscription="yes"/>
-  <recipe id="builtin:navy_times" language="en" description="News of the U.S. Navy" author="jde" title="Army and Navy Times" needs_subscription="no"/>
-  <recipe id="builtin:arret_sur_images" language="fr" description="Global news in french from news site &quot;Arrêt sur images&quot;" author="François D. (aka franek)" title="Arrêt sur images" needs_subscription="yes"/>
-  <recipe id="builtin:ars_technica" language="en" description="Ars Technica: Serving the technologist for 1.2 decades" author="Darko Miletic, Sujata Raman, Alexis Rohou, Tom Sparks" title="Ars Technica" needs_subscription="no"/>
-  <recipe id="builtin:ald" language="en" description="" author="https://github.com/pjpaulpj" title="Arts and Letters Daily" needs_subscription="no"/>
-  <recipe id="builtin:asco_de_vida" language="es" description="" author="Krittika Goyal" title="Asco de vida" needs_subscription="no"/>
-  <recipe id="builtin:asia_one" language="en_SG" description="News from Singapore Press Holdings Portal" author="Bruce" title="AsiaOne" needs_subscription="no"/>
-  <recipe id="builtin:ap" language="en" description="Global news" author="Krittika Goyal" title="Associated Press" needs_subscription="no"/>
-  <recipe id="builtin:astro_news_pl" language="pl" description="AstroNEWS regularnie dostarcza wiadomości o wydarzeniach związanych z astronomią i astronautyką. Informujemy o aktualnych odkryciach i wydarzeniach naukowych, zapowiadamy ciekawe zjawiska astronomiczne. Serwis jest częścią portalu astronomicznego AstroNET prowadzonego przez miłośników astronomii i zawodowych astronomów." author="fenuks" title="AstroNEWS" needs_subscription="no"/>
-  <recipe id="builtin:apod" language="en" description="Astronomy Pictures" author="Starson17" title="Astronomy Picture of the Day" needs_subscription="no"/>
-  <recipe id="builtin:athens_news" language="en_GR" description="Greece in English since 1952" author="Darko Miletic" title="Athens News" needs_subscription="no"/>
-  <recipe id="builtin:auto" language="it" description="Auto and Formula 1" author="Gabriele Marini" title="Auto" needs_subscription="no"/>
-  <recipe id="builtin:autobild" language="ro" description="Auto" author="Silviu Cotoară" title="Auto Bild" needs_subscription="no"/>
-  <recipe id="builtin:auto_blog" language="en" description="Auto industry news" author="Welovelucy" title="Auto Blog" needs_subscription="no"/>
-  <recipe id="builtin:auto_prove" language="it" description="Auto and Formula 1" author="Gabriele Marini" title="Auto Prove" needs_subscription="no"/>
-  <recipe id="builtin:automatiseringgids" language="nl" description="IT-nieuws van Automatiseringgids" author="DrMerry" title="Automatiseringgids IT" needs_subscription="no"/>
-  <recipe id="builtin:autosport" language="en_GB" description="Daily Formula 1 and motorsport news from the leading weekly motor racing magazine. The authority on Formula 1, F1, MotoGP, GP2, Champ Car, Le Mans..." author="MrStefan &lt;mrstefaan@gmail.com&gt;" title="Autosport" needs_subscription="no"/>
-  <recipe id="builtin:avantaje" language="ro" description="" author="Silviu Cotoară" title="Avantaje" needs_subscription="no"/>
-  <recipe id="builtin:aventurilapescuit" language="ro" description="Aventuri La Pescuit" author="Silviu Cotoară" title="Aventuri La Pescuit" needs_subscription="no"/>
-  <recipe id="builtin:ainonline" language="en" description="Aviation International News covers all sectors of the aviation industry, from business aviation to air transport to defense and unmanned aerial vehicles." author="Jose Ortiz" title="Aviation International News" needs_subscription="no"/>
-  <recipe id="builtin:avisen_dk" language="da" description="Nyheder, artikler, seneste nyt, nyhedsarkiv, kommentarer og blogs. Avisen.dk dækker bredt, men har fokus på arbejdslivet. Avisen.dk - går arbejdet bedre" author="CoderAllan.github.com" title="Avisen.dk" needs_subscription="no"/>
-  <recipe id="builtin:avto-magazin" language="sl" description="Za avtomobilistiÄne frike, poznavalce in nedeljske Å¡oferje." author="BlonG" title="Avto Magazin" needs_subscription="no"/>
-  <recipe id="builtin:acim_bilim_dergisi" language="tr" description=" Aylık çevrimiçi bilim dergisi" author="thomass" title="AÇIK BİLİM DERGİSİ" needs_subscription="no"/>
-  <recipe id="builtin:b92" language="sr" description="Najnovije vesti iz Srbije, regiona i sveta, aktuelne teme iz sveta politike, ekonomije, drustva, foto galerija, kolumne" author="Darko Miletic" title="B92" needs_subscription="no"/>
-  <recipe id="builtin:bbc_brasil" language="pt_BR" description="Notícias do Brasil e do mundo pela British Broadcasting Corporation" author="Carlos Laviola" title="BBC Brasil" needs_subscription="no"/>
-  <recipe id="builtin:bbc_es" language="es" description="BBC World for spanish readers" author="Luis Hernandez" title="BBC Mundo" needs_subscription="no"/>
-  <recipe id="builtin:bbc" language="en_GB" description="BBC web site ebook created using rss feeds." author="mattst" title="BBC News" needs_subscription="no"/>
-  <recipe id="builtin:bbc_fast" language="en_GB" description="Visit BBC News for up-to-the-minute news, breaking news, video, audio and feature stories. BBC News provides trusted World and UK news as well as local and regional perspectives. Also entertainment, business, science, technology and health news." author="Darko Miletic, Starson17" title="BBC News (fast)" needs_subscription="no"/>
-  <recipe id="builtin:bbc_sport" language="en_GB" description="Sports news from UK. A fast version that does not download pictures" author="limawhiskey, Darko Miletic, Starson17" title="BBC Sport" needs_subscription="no"/>
-  <recipe id="builtin:bbcvietnamese" language="vi" description="Vietnam news and current affairs from the British Broadcasting Corporation" author="Huan Komrade T" title="BBC Vietnamese" needs_subscription="no"/>
-  <recipe id="builtin:bsi_news" language="de" description="News from BSI fetched: 2020-07-03" author="Volker Heggemann, VoHe" title="BSI News - DE" needs_subscription="no"/>
-  <recipe id="builtin:bt_dk" language="da" description="" author="CoderAllan.github.com" title="BT Nyheder" needs_subscription="no"/>
-  <recipe id="builtin:bugun_gazetesi" language="tr" description="" author="thomass" title="BUGÜN Gazetesi" needs_subscription="no"/>
-  <recipe id="builtin:babyonline" language="ro" description="De la părinte la părinte" author="Silviu Cotoară" title="Baby Online" needs_subscription="no"/>
-  <recipe id="builtin:balkaninsight" language="en" description="Get exclusive news and in depth information on business, politics, events and lifestyle in the Balkans. Free and exclusive premium content." author="Darko Miletic" title="Balkan Insight" needs_subscription="no"/>
-  <recipe id="builtin:balkanist" language="en" description="Balkanist is an experimental, bilingual platform featuring politics, analysis, culture, and criticism for a smart international audience underwhelmed by what is currently on offer. Our aim is to provide bold, uncompromising coverage of the Balkan region and everything to its East. We are currently entirely independent, self- and reader-funded, and are not affiliated with any organization, company, or government institution." author="Darko Miletic" title="Balkanist" needs_subscription="no"/>
-  <recipe id="builtin:bangkok_biz" language="th" description="" author="Anat R." title="Bangkok Biz News" needs_subscription="no"/>
-  <recipe id="builtin:bangkokpost" language="en_TH" description="The world's window to Thailand" author="kwetal" title="Bangkok Post" needs_subscription="no"/>
-  <recipe id="builtin:bankier_pl" language="pl" description="Polski portal finansowy. Informacje o: gospodarka, inwestowanie, finanse osobiste, prowadzenie firmy, kursy walut, notowania akcji, fundusze." author="teepel &lt;teepel44@gmail.com&gt;" title="Bankier.pl" needs_subscription="no"/>
-  <recipe id="builtin:barrons" language="en" description="Financial news from the publisher of the WSJ" author="Kovid Goyal" title="Barron's Magazine" needs_subscription="no"/>
-  <recipe id="builtin:benchmark_pl" language="pl" description="benchmark.pl, recenzje i testy sprzętu, aktualności, rankingi, sterowniki, porady, opinie" author="fenuks" title="Benchmark.pl" needs_subscription="no"/>
-  <recipe id="builtin:beppe_grillo" language="it" description="Blog of the famous comedian and politician Beppe Grillo - v1.00 (28, January 2012)" author="faber1971" title="Beppe Grillo" needs_subscription="no"/>
-  <recipe id="builtin:berlin_policy_journal" language="en_DE" description="Articles from berlinpolicyjournal.com" author="Aimylios" title="Berlin Policy Journal" needs_subscription="no"/>
-  <recipe id="builtin:berliner_zeitung" language="de" description="Berliner Zeitung RSS" author="Kovid Goyal" title="Berliner Zeitung" needs_subscription="no"/>
-  <recipe id="builtin:berlingske_dk" language="da" description="News from Denmark" author="Darko Miletic" title="Berlingske Tidende" needs_subscription="no"/>
-  <recipe id="builtin:biamag" language="tr" description="Independent News from Turkey" author="Osman Kaysan" title="BiaMag" needs_subscription="no"/>
-  <recipe id="builtin:bianet" language="tr" description="Independent News from Turkey" author="Osman Kaysan" title="Bianet" needs_subscription="no"/>
-  <recipe id="builtin:biamag_en" language="en_TR" description="Independent News Network from Turkey(English)" author="Osman Kaysan" title="Bianet-English" needs_subscription="no"/>
-  <recipe id="builtin:biggovernment" language="en" description="Political news from the USA" author="kwetal" title="Big Government" needs_subscription="no"/>
-  <recipe id="builtin:bighollywood" language="en" description="News and articles from the media world" author="Darko Miletic" title="Big Hollywood" needs_subscription="no"/>
-  <recipe id="builtin:big_oven" language="en" description="Recipes for the Foodie in us all. Registration is free. A fake username and password just gives smaller photos." author="Starson17" title="BigOven" needs_subscription="yes"/>
-  <recipe id="builtin:bild_de" language="de" description="RSS-Feeds von Bild.de" author="schuster" title="Bild.de" needs_subscription="no"/>
-  <recipe id="builtin:billorielly" language="en" description="Articles from Bill O'Reilly's website and his Fox New's website" author="Rob Lammert - rob.lammert[at]gmail.com" title="Bill O'Reilly" needs_subscription="no"/>
-  <recipe id="builtin:oreilly_premium" language="en" description="Retrieves Premium and News Letter content from BillOReilly.com.  Requires a Bill OReilly Premium Membership." author="TMcN" title="Bill O'Reilly Premium" needs_subscription="yes"/>
-  <recipe id="builtin:birgun_gazetesi" language="tr" description="Birgun gazatesi haberleri, kose yazarlari" author="Osman Kaysan" title="Birgün Gazetesi" needs_subscription="no"/>
-  <recipe id="builtin:birmingham_evening_mail" language="en_GB" description="News for Birmingham UK" author="Dave Asbury" title="Birmingham Evening Mail" needs_subscription="no"/>
-  <recipe id="builtin:birmingham_post" language="en_GB" description="Author D.Asbury. News for Birmingham UK" author="Dave Asbury" title="Birmingham post" needs_subscription="no"/>
-  <recipe id="builtin:biz_portal" language="he" description="This is a recipe of BizPortal.co.il." author="marbs" title="BizPortal" needs_subscription="no"/>
-  <recipe id="builtin:blesk" language="cs" description="blesk.cz" author="bubak" title="Blesk" needs_subscription="no"/>
-  <recipe id="builtin:blic" language="sr" description="Blic.rs online verzija najtiraznije novine u Srbiji donosi najnovije vesti iz Srbije i sveta, komentare, politicke analize, poslovne i ekonomske vesti, vesti iz regiona, intervjue, informacije iz kulture, reportaze, pokriva sve sportske dogadjaje, detaljan tv program, nagradne igre, zabavu, fenomenalni Blic strip, dnevni horoskop, arhivu svih dogadjaja" author="Darko Miletic" title="Blic" needs_subscription="no"/>
-  <recipe id="builtin:vio_mundo" language="pt_BR" description="Posts do Blog VioMundo" author="Diniz Bortolotto" title="Blog VioMundo" needs_subscription="no"/>
-  <recipe id="builtin:dbb" language="es" description="blog sobre leyes, p2p y copyright" author="Luis Hernández" title="Blog de David Bravo" needs_subscription="no"/>
-  <recipe id="builtin:boston.com" language="en" description="Boston Globe with full articles for subscribers" author="Rob Freundlich" title="Boston Globe Subscription" needs_subscription="no"/>
-  <recipe id="builtin:boxis" language="sc" description="" author="tzium" title="Boxis" needs_subscription="no"/>
-  <recipe id="builtin:brasil_de_fato" language="pt_BR" description="Uma visão popular do Brasil e do mundo." author="Alex Mitrani" title="Brasil de Fato" needs_subscription="no"/>
-  <recipe id="builtin:breaking_mad" language="ru" description="Breaking Mad - пока смерть не насмешит нас. Breakingmad - это агрегатор самых странных и драматичных новостей с жизнеутверждающим эффектом. Breakingmad - это все, что вы должны знать о России и не только." author="bugmen00t" title="Breaking Mad" needs_subscription="no"/>
-  <recipe id="builtin:brecha" language="es_UY" description="Brecha , Cultura ,Sociales , Separatas, Lupas, Vueltas de Montevideo y toda la infomacion que caracteriza a este semanario" author="Darko Miletic" title="Brecha Digital" needs_subscription="optional"/>
-  <recipe id="builtin:brewiarz" language="pl" description="Serwis poświęcony Liturgii Godzin (brewiarzowi) - formie codziennej modlitwy Kościoła katolickiego." author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" title="Brewiarz" needs_subscription="no"/>
-  <recipe id="builtin:brigitte_de" language="de" description="" author="schuster" title="Brigitte.de" needs_subscription="no"/>
-  <recipe id="builtin:bucataras" language="ro" description="" author="Silviu Cotoară" title="Bucataras" needs_subscription="no"/>
-  <recipe id="builtin:buchreport" language="de" description="Buchreport" author="a.peter" title="Buchreport" needs_subscription="no"/>
-  <recipe id="builtin:buckmasters" language="en" description="Learn how to cook all those outdoor varments" author="TonytheBookworm &amp; Starson17" title="BuckMasters In The Kitchen" needs_subscription="no"/>
-  <recipe id="builtin:buenosaireseconomico" language="es_AR" description="Diario BAE es el diario economico-politico con mas influencia en la Argentina. Fuente de empresarios y politicos del pais y el exterior. El pozo estaria aportando en periodos breves un volumen equivalente a 800m3 diarios. Pero todavia deben efectuarse otras perforaciones adicionales." author="Darko Miletic" title="Buenos Aires Economico" needs_subscription="no"/>
-  <recipe id="builtin:ba_herald" language="en_AR" description="A world of information in a few words" author="Darko Miletic" title="Buenos Aires Herald" needs_subscription="no"/>
-  <recipe id="builtin:buffalo_news" language="en" description="" author="ChappyOnIce, Krittika Goyal" title="Buffalo News" needs_subscription="no"/>
-  <recipe id="builtin:business_insider" language="en" description="Noticias de Argentina y el resto del mundo" author="Darko Miletic" title="Business Insider" needs_subscription="no"/>
-  <recipe id="builtin:business_standard" language="en_IN" description="India's most respected business daily" author="Darko Miletic" title="Business Standard" needs_subscription="no"/>
-  <recipe id="builtin:businessworldin" language="en_IN" description="News from India" author="Kovid Goyal" title="Business World Magazine" needs_subscription="no"/>
-  <recipe id="builtin:borse_online" language="de" description="" author="schuster, Armin Geller" title="Börse-online" needs_subscription="no"/>
-  <recipe id="builtin:borsen_dk" language="da" description="Meget mere end Danmarks førende erhvervsavis. Børsen sætter dagsordenen for erhvervslivet. Vi skriver interessant og med kant. På alle platforme." author="CoderAllan.github.com" title="Børsen.dk" needs_subscription="no"/>
-  <recipe id="builtin:cacm" language="en" description="" author="jonmisurda" title="CACM" needs_subscription="yes"/>
-  <recipe id="builtin:cbc_canada" language="en_CA" description="" author="rty" title="CBC Canada" needs_subscription="no"/>
-  <recipe id="builtin:cbn" language="en" description="The Christian Broadcasting Network" author="Roger" title="CBN News" needs_subscription="no"/>
-  <recipe id="builtin:cd_action" language="pl" description="Strona CD-Action (CDA), największego w Polsce pisma dla graczy.Pełne wersje gier, newsy, recenzje, zapowiedzi, konkursy, forum, opinie, galerie screenów,trailery, filmiki, patche, teksty. Gry komputerowe (PC) oraz na konsole (PS3, XBOX 360)." author="fenuks" title="CD-Action" needs_subscription="no"/>
-  <recipe id="builtin:cdrinfo_pl" language="pl" description="Serwis poświęcony archiwizacji danych. Testy i recenzje nagrywarek. Programy do nagrywania płyt.  Dyski twarde, dyski SSD i serwery sieciowe NAS. Rankingi dyskow twardych, najszybsze dyski twarde, newsy, artykuły, testy, recenzje, porady, oprogramowanie. Zestawienie nagrywarek, najnowsze biosy do nagrywarek, programy dla dysków twardych." author="fenuks" title="CDRinfo.pl" needs_subscription="no"/>
-  <recipe id="builtin:cgm_pl" language="pl" description="Codzienna Gazeta Muzyczna" author="fenuks" title="CGM" needs_subscription="no"/>
-  <recipe id="builtin:cio" language="en" description="CIO is the leading information brand for today's busy chief information officer." author="Lorenzo Vigentini" title="CIO " needs_subscription="no"/>
-  <recipe id="builtin:cio_magazine" language="en" description="CIO is the leading information brand for today-s busy Chief information Officer - CIO Magazine bi-monthly " author="Julio Map" title="CIO Magazine" needs_subscription="no"/>
-  <recipe id="builtin:ciperchile" language="es_CL" description="El Centro de Investigacion e Informacion Periodistica (CIPER) es una institucion independiente que desarrolla reportajes de investigacion de acuerdo a principios de maxima calidad e integridad profesional. Para lograr dicho objetivo, los profesionales de CIPER incorporan a las tecnicas propias del reporteo el uso sistematico de las leyes chilenas que norman el libre acceso a la informacion, de manera que los documentos que se obtengan por esta via esten puestos a disposicion del publico sin restricciones." author="Darko Miletic" title="CIPER Chile" needs_subscription="no"/>
-  <recipe id="builtin:cnetjapan" language="ja" description="" author="Hiroshi Miura" title="CNET Japan" needs_subscription="no"/>
-  <recipe id="builtin:cnetjapan_digital" language="ja" description="" author="Hiroshi Miura" title="CNET Japan Digital" needs_subscription="no"/>
-  <recipe id="builtin:cnetjapan_release" language="ja" description="" author="Hiroshi Miura" title="CNET Japan release" needs_subscription="no"/>
-  <recipe id="builtin:cnetnews" language="en" description="Tech news and business reports by CNET News. Focused on information technology, core topics include computers, hardware, software, networking, and Internet media." author="Kovid Goyal" title="CNET News" needs_subscription="no"/>
-  <recipe id="builtin:cnn" language="en" description="Global news" author="Kovid Goyal" title="CNN" needs_subscription="no"/>
-  <recipe id="builtin:cafcaf_dergisi" language="tr" description="" author="asalet_r" title="CafCaf Dergisi" needs_subscription="no"/>
-  <recipe id="builtin:calcalist" language="he" description="This is a recipe of Calcalist.co.il. The recipe downloads the article page to not hurt the sites advertising income." author="marbs" title="Calcalist" needs_subscription="no"/>
-  <recipe id="builtin:calgary_herald" language="en_CA" description="News from Calgary, AB" author="Nick Redding" title="Calgary Herald" needs_subscription="no"/>
-  <recipe id="builtin:calibre_blog" language="en" description="" author="Krittika Goyal" title="Calibre Blog" needs_subscription="no"/>
-  <recipe id="builtin:camera_di_commercio_di_bari" language="it" description="News from the Chamber of Commerce of Bari" author="faber1971" title="Camera di Commercio di Bari" needs_subscription="no"/>
-  <recipe id="builtin:canardpc" language="fr" description="" author="zorgluf" title="CanardPC" needs_subscription="no"/>
-  <recipe id="builtin:capes_n_babes" language="en" description="The Capes n Babes comic Blog" author="skyhawker" title="Capes n Babes" needs_subscription="no"/>
-  <recipe id="builtin:capital" language="ro" description="Știri din România" author="Silviu Cotoară" title="Capital" needs_subscription="no"/>
-  <recipe id="builtin:capital_de" language="de" description="RSS-Feed von Capital.de" author="schuster" title="Capital.de" needs_subscription="no"/>
-  <recipe id="builtin:capital_gr" language="el" description="Financial News from Greece" author="Stelios" title="Capital.gr" needs_subscription="no"/>
-  <recipe id="builtin:caravan_magazine" language="en_IN" description="An Indian Journal of politics and culture" author="Kovid Goyal, Gobelinus" title="Caravan Magazine" needs_subscription="no"/>
-  <recipe id="builtin:carta" language="de" description="Authors blog for politics, economics and digital community" author="Armin Geller" title="Carta" needs_subscription="no"/>
-  <recipe id="builtin:catholic_daily_readings" language="en" description="" author="adoucette" title="Catholic Daily Readings" needs_subscription="no"/>
-  <recipe id="builtin:catholic_news_agency" language="en" description="" author="Jetkey" title="Catholic News Agency" needs_subscription="no"/>
-  <recipe id="builtin:catavencii" language="ro" description="Caţavencii" author="Silviu Cotoară" title="Caţavencii" needs_subscription="no"/>
-  <recipe id="builtin:csid" language="ro" description="Ce se întâmplă doctore?" author="Silviu Cotoară" title="Ce se întâmplă doctore?" needs_subscription="no"/>
-  <recipe id="builtin:champion" language="uk" description="" author="rpalyvoda" title="Champion.com.ua" needs_subscription="no"/>
-  <recipe id="builtin:cetnixploitation" language="sr" description="Filmski blog" author="Darko Miletic" title="Chetnixploitation" needs_subscription="no"/>
-  <recipe id="builtin:chicago_breaking_news" language="en" description="Breaking News from Chicago" author="Darko Miletic" title="Chicago Breaking News" needs_subscription="no"/>
-  <recipe id="builtin:chicago_tribune" language="en" description="Politics, local and business news from Chicago" author="Kovid Goyal" title="Chicago Tribune" needs_subscription="no"/>
-  <recipe id="builtin:chinadaily" language="en_CN" description="Chinadaily.com.cn is the largest English portal in China, providing news, business information, BBS, learning materials." author="Darko Miletic" title="China Daily" needs_subscription="no"/>
-  <recipe id="builtin:china_economic_net" language="zh_CN" description="China Economic Net Magazine" author="rty" title="China Economic Net" needs_subscription="no"/>
-  <recipe id="builtin:china_post" language="en_CN" description="" author="Krittika Goyal" title="China Post" needs_subscription="no"/>
-  <recipe id="builtin:chipro" language="ro" description="Chip Online" author="Silviu Cotoară" title="Chip Online" needs_subscription="no"/>
-  <recipe id="builtin:chowk" language="en_IN" description="Ideas &amp; Identities of South Asia" author="kwetal" title="Chowk" needs_subscription="no"/>
-  <recipe id="builtin:cicero" language="de" description="Magazin für politische Kultur (RSS Version)" author="Armin Geller" title="Cicero Online" needs_subscription="no"/>
-  <recipe id="builtin:cincinnati_enquirer" language="en" description="" author="Joseph Kitzmiller and Sujata Raman" title="Cincinnati Enquirer" needs_subscription="no"/>
-  <recipe id="builtin:cinco_dias" language="es" description="spanish web about money and bussiness, free edition" author="Luis Hernandez" title="Cinco Dias" needs_subscription="no"/>
-  <recipe id="builtin:cinebel_be" language="fr" description="Cinema news from Belgium in French" author="Lionel Bergeret" title="Cinebel" needs_subscription="no"/>
-  <recipe id="builtin:cityavisen_dk" language="da" description="" author="CoderAllan.github.com" title="City Avisen" needs_subscription="no"/>
-  <recipe id="builtin:clarion_ledger" language="en" description="" author="cr4zyd" title="Clarion Ledger" needs_subscription="no"/>
-  <recipe id="builtin:clarin" language="es_AR" description="Clarin.com. Noticias de la Argentina y el mundo. Información actualizada las 24 horas y en español. Informate ya" author="Darko Miletic, updated by GGsalas" title="Clarín" needs_subscription="optional"/>
-  <recipe id="builtin:clic_rbs" language="pt" description="" author="arvoredo" title="ClicRBS" needs_subscription="no"/>
-  <recipe id="builtin:climate_progress" language="en" description="An insider's view of climate science, politics and solutions" author="Darko Miletic" title="Climate Progress" needs_subscription="no"/>
-  <recipe id="builtin:coding_horror" language="en" description="programming and human factors - Jeff Atwood" author="Darko Miletic" title="Coding Horror" needs_subscription="no"/>
-  <recipe id="builtin:colta" language="ru" description="Всё о культуре и духе времени" author="bug_me_not" title="Colta.ru" needs_subscription="no"/>
-  <recipe id="builtin:cjr" language="en" description="News about journalism." author="Xanthan Gum" title="Columbia Journalism Review" needs_subscription="no"/>
-  <recipe id="builtin:common_dreams" language="en" description="Breaking News &amp; Views for the Progressive Community." author="XanthanGum" title="Common Dreams" needs_subscription="no"/>
-  <recipe id="builtin:computerworld_dk" language="da" description="Nyheder, analyser, viden, blogs og debat om it. Computerworld er dit medie om det digitale Danmark. Computerworld skriver om nye teknologier, hardware, software, informationssamfundet, internettet, it-branchen, telebranchen, it-ledelse, it-strategi, forretnings-it , it-job og meget mere." author="CoderAllan.github.com" title="Computerworld.dk" needs_subscription="no"/>
-  <recipe id="builtin:computerworld_pl" language="pl" description="Serwis o IT w przemyśle, finansach, handlu, administracji oraz rynku IT i telekomunikacyjnym - wiadomości, opinie, analizy, porady prawne" author="fenuks" title="Computerworld.pl" needs_subscription="no"/>
-  <recipe id="builtin:consortium_news" language="en" description="" author="kiavash" title="Consortium News" needs_subscription="no"/>
-  <recipe id="builtin:contemporary_argentine_writers" language="en_AR" description="Short stories by Argentine writers (and others) translated into English" author="Darko Miletic" title="Contemporary Argentine Writers" needs_subscription="no"/>
-  <recipe id="builtin:contropiano" language="it" description="" author="michele" title="Contropiano" needs_subscription="no"/>
-  <recipe id="builtin:cm_journal" language="pt" description="As noticias de Portugal e do Mundo" author="jmst" title="Correio da Manha - Portugal" needs_subscription="no"/>
-  <recipe id="builtin:cosmopolitan" language="es" description="Revista Cosmopolitan, Edicion Espanola" author="Gustavo Azambuja" title="Cosmopolitan" needs_subscription="no"/>
-  <recipe id="builtin:cosmopolitan_uk" language="en_GB" description="Womens Fashion, beauty and Gossip for women from COSMOPOLITAN -UK" author="Dave Asbury" title="Cosmopolitan UK" needs_subscription="no"/>
-  <recipe id="builtin:cosmopolitan_de" language="de" description="" author="schuster" title="Cosmopolitan.de" needs_subscription="no"/>
-  <recipe id="builtin:cotidianul" language="ro" description="" author="Silviu Cotoară" title="Cotidianul" needs_subscription="no"/>
-  <recipe id="builtin:counterpunch" language="en" description="" author="calibre" title="Counterpunch" needs_subscription="no"/>
-  <recipe id="builtin:countryfile" language="en_GB" description="The official website of Countryfile Magazine" author="Dave Asbury" title="Countryfile.com" needs_subscription="no"/>
-  <recipe id="builtin:courrier" language="en" description="" author="Krittika Goyal" title="Courier Press" needs_subscription="no"/>
-  <recipe id="builtin:courrierinternational" language="fr" description="Global news in french from international newspapers" author="Mathieu Godlewski &lt;mathieu at godlewski.fr&gt;" title="Courrier International" needs_subscription="optional"/>
-  <recipe id="builtin:cracked_com" language="en" description="America's Only HumorSite since 1958" author="UnWeave" title="Cracked.com" needs_subscription="no"/>
-  <recipe id="builtin:dot_net" language="en" description="Web Design and Tutorials from Creative Blog (part of .Net Magazine and others)" author="Bonni Salles" title="Creative Blog" needs_subscription="no"/>
-  <recipe id="builtin:credit_slips" language="en" description="A discussion on credit and bankruptcy" author="zotzot" title="Credit Slips.org" needs_subscription="no"/>
-  <recipe id="builtin:cronica" language="es_AR" description="Últimas noticias" author="Darko Miletic" title="Cronica" needs_subscription="no"/>
-  <recipe id="builtin:cubadebate" language="es_CU" description="Contra el Terorismo Mediatico" author="Darko Miletic" title="CubaDebate" needs_subscription="no"/>
-  <recipe id="builtin:cumhuriyet" language="tr" description="Günlük Cumhuriyet Gazetesi Köşe Yazıları" author="Cumhuriyet Gazetesi Yazarları" title="Cumhuriyet - Yazarlar" needs_subscription="no"/>
-  <recipe id="builtin:curierulnational" language="ro" description="" author="Silviu Cotoară" title="Curierul Naţional" needs_subscription="no"/>
-  <recipe id="builtin:cvecezla" language="sr" description="Haoticnost razmisljanja poradja haoticnost pisanja. Muzika, stripovi, igre, knjige, generalno glupiranje..." author="Darko Miletic" title="Cvece zla i naopakog" needs_subscription="no"/>
-  <recipe id="builtin:cyberpresse" language="fr" description="Canadian news in French" author="balok and Sujata Raman" title="Cyberpresse" needs_subscription="no"/>
-  <recipe id="builtin:cynewslive" language="en_CY" description="News from Cyprus" author="kwetal" title="Cyprus News Live" needs_subscription="no"/>
-  <recipe id="builtin:cyprus_weekly" language="en_CY" description="News from Cyprus" author="kwetal" title="Cyprus Weekly" needs_subscription="no"/>
-  <recipe id="builtin:czas_gentlemanow" language="pl" description="Historia mężczyzn z dala od wielkiej polityki" author="fenuks" title="Czas Gentlemanów" needs_subscription="no"/>
-  <recipe id="builtin:mateusz_czytania" language="pl" description="Codzienne czytania z jednego z najstarszych polskich serwisów katolickich." author="teepel &lt;teepel44@gmail.com&gt;" title="Czytania na każdy dzień" needs_subscription="no"/>
-  <recipe id="builtin:dna" language="en_IN" description="Mumbai news, India news, World news, breaking news" author="Kovid Goyal" title="DNA India" needs_subscription="no"/>
-  <recipe id="builtin:dr_dk" language="da" description="Her finder du nyheder fra DR og alle vores TV og Radio kanaler live og on demand - når du har lyst." author="Darko Miletic" title="DR Nyheder" needs_subscription="no"/>
-  <recipe id="builtin:dachauer_nachrichten" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Dachauer Nachrichten" needs_subscription="no"/>
-  <recipe id="builtin:dagens_industri" language="sv" description="Economy news from Sweden" author="Jonas Svensson" title="Dagens Industri" needs_subscription="no"/>
-  <recipe id="builtin:dagensmedicin_dk" language="da" description="Uafhængig nyhedsavis om sundhedssektoren" author="CoderAllan.github.com" title="Dagens Medicin" needs_subscription="no"/>
-  <recipe id="builtin:dn_se" language="sv" description="News from Sweden" author="Darko Miletic" title="Dagens Nyheter" needs_subscription="no"/>
-  <recipe id="builtin:dagenspharma_dk" language="da" description="Først med professionelles nyheder om medicin" author="CoderAllan.github.com" title="Dagens Pharma" needs_subscription="no"/>
-  <recipe id="builtin:daily_express" language="en_GB" description="" author="Dave Asbury" title="Daily Express" needs_subscription="no"/>
-  <recipe id="builtin:daily_telegraph" language="en_AU" description="Daily Telegraph News" author="Adrian G." title="Daily Telegraph" needs_subscription="no"/>
-  <recipe id="builtin:daily_writing_tips" language="en_GB" description="" author="NotTaken" title="Daily Writing Tips" needs_subscription="no"/>
-  <recipe id="builtin:dailytportal" language="en_HR" description="News from Croatia" author="Darko Miletic" title="Daily tportal.h" needs_subscription="no"/>
-  <recipe id="builtin:danas" language="sr" description="Dnevne novine sa vestima iz sveta, politike, ekonomije, kulture, sporta, Beograda, Novog Sada i cele Srbije." author="Darko Miletic" title="Danas" needs_subscription="no"/>
-  <recipe id="builtin:dark_horizons" language="en" description="News, images, video clips and reviews of current and upcoming blockbuster films. " author="Jaded" title="Dark Horizons" needs_subscription="no"/>
-  <recipe id="builtin:dark_reading" language="en" description="Dark Reading is the premier online resource helping information security professionals manage the balance between protection and access. It offers breaking news and analysis on attacks, breaches and vulnerabilities, as well as strategies for protecting enterprise data. It also offers guidance on setting risk management and compliance policies." author="Brandon Allberry" title="Dark Reading" needs_subscription="no"/>
-  <recipe id="builtin:data_news" language="nl_BE" description="Technology / Best Practice / Business" author="oCkz7bJ_" title="DataNews" needs_subscription="no"/>
-  <recipe id="builtin:datasport" language="it" description="" author="faber1971" title="Datasport" needs_subscription="no"/>
-  <recipe id="builtin:dawn" language="en_PK" description="Leading English Newspaper of Pakistan covering national &amp; international news" author="kwetal" title="Dawn" needs_subscription="no"/>
-  <recipe id="builtin:daytona_beach" language="en" description="Daytona Beach, Florida, Newspaper" author="BRGriff" title="Daytona Beach News Journal" needs_subscription="no"/>
-  <recipe id="builtin:degentenaar" language="nl_BE" description="News from Belgium in Dutch" author="Darko Miletic" title="De Gentenaar" needs_subscription="no"/>
-  <recipe id="builtin:luns_a_venres" language="gl" description="O gratuíto galego" author="Susana Sotelo Docío" title="De Luns a Venres (RSS)" needs_subscription="no"/>
-  <recipe id="builtin:demorgen_be" language="nl_BE" description="News from Belgium in Dutch" author="Darko Miletic" title="De Morgen" needs_subscription="no"/>
-  <recipe id="builtin:de_redactie_be" language="nl_BE" description="News from Belgium in Dutch" author="erkfuizfeuadjfjzefzfuzeff" title="De Redactie.be" needs_subscription="no"/>
-  <recipe id="builtin:de_standaard" language="nl_BE" description="De Standaard" author="Darko Miletic, Aimylios, oCkz7bJ_" title="De Standaard" needs_subscription="no"/>
-  <recipe id="builtin:tijd" language="nl_BE" description="News from Belgium in Dutch" author="Darko Miletic" title="De Tijd" needs_subscription="no"/>
-  <recipe id="builtin:volksrant" language="nl" description="" author="acidzebra" title="De Volkskrant" needs_subscription="no"/>
-  <recipe id="builtin:deadspin" language="en" description="Deadspin, Sports News without Access, Favor, or Discretion." author="NA" title="Deadspin" needs_subscription="no"/>
-  <recipe id="builtin:defensenews" language="en" description="Find late-breaking defense news from the leading defense news weekly" author="Darko Miletic" title="Defense News" needs_subscription="no"/>
-  <recipe id="builtin:delco_times" language="en" description="" author="Krittika Goyal" title="Delcoe Times" needs_subscription="no"/>
-  <recipe id="builtin:demagog.cz" language="cs" description="demagog.cz" author="bubak" title="Demagog.cz" needs_subscription="no"/>
-  <recipe id="builtin:democracy_journal" language="en" description="A journal of ideas. Published quarterly." author="David Nye" title="Democracy Journal" needs_subscription="no"/>
-  <recipe id="builtin:democracy_now" language="en" description="A daily TV/radio news program, hosted by Amy Goodman and Juan Gonzalez, airing on over 1,100 stations, pioneering the largest community media collaboration in the United States." author="Antoine Beaupré" title="Democracy now!" needs_subscription="no"/>
-  <recipe id="builtin:den_of_geek" language="en" description="From science fiction enthusiasts through to gaming fanatics, Den of Geek has become the one-stop UK website for people genuinely passionate about their entertainment media. Den of Geek covers popular culture but always with an edgy, UK centric slant that sets it apart from the crowd." author="Jaded" title="Den of Geek" needs_subscription="no"/>
-  <recipe id="builtin:denver_post" language="en" description="" author="Kovid Goyal" title="Denver Post" needs_subscription="no"/>
-  <recipe id="builtin:denikn.cz" language="cs" description="Deník N - Nezávislý český deník" author="Robert Mihaly" title="Deník N" needs_subscription="yes"/>
-  <recipe id="builtin:denik_referendum" language="cs" description="" author="bubak" title="Deník Referendum" needs_subscription="no"/>
-  <recipe id="builtin:tagesspiegel" language="de" description="" author="Kovid Goyal" title="Der Tagesspiegel" needs_subscription="no"/>
-  <recipe id="builtin:deredactie" language="de" description="" author="malfi" title="Deredactie.be" needs_subscription="no"/>
-  <recipe id="builtin:derin_dusunce" language="tr" description="" author="asalet_r" title="Derin Dusunce" needs_subscription="no"/>
-  <recipe id="builtin:descopera" language="ro" description="E lumea ta" author="Silviu Cotoară" title="Descoperă" needs_subscription="no"/>
-  <recipe id="builtin:descopera_org" language="ro" description="Descoperă. Placerea de a cunoaște" author="Marius Ignătescu" title="Descoperă.org" needs_subscription="no"/>
-  <recipe id="builtin:desiring_god" language="en" description="" author="Peter Grungi" title="Desiring God" needs_subscription="no"/>
-  <recipe id="builtin:lyngby-taarbaeklokalavisen_dk" language="da" description="Lokale, regionale nyheder, sport og kultur i Lyngby-Taarbæk, Virum, Holte, Nærum, Vedbæk og Skodsborg på lyngby-taarbaek.lokalavisen.dk" author="CoderAllan.github.com" title="Det grønne område" needs_subscription="no"/>
-  <recipe id="builtin:detroit_news" language="en" description="" author="DTM" title="Detroit News" needs_subscription="no"/>
-  <recipe id="builtin:deutsche_welle_hr" language="hr" description="Vesti iz Njemacke i svijeta" author="Darko Miletic" title="Deutsche Welle" needs_subscription="no"/>
-  <recipe id="builtin:deutsche_welle_es" language="es" description="Noticias desde Alemania y mundo" author="Darko Miletic" title="Deutsche Welle" needs_subscription="no"/>
-  <recipe id="builtin:deutsche_welle_en" language="en" description="News from Germany and the world" author="Darko Miletic" title="Deutsche Welle" needs_subscription="no"/>
-  <recipe id="builtin:deutsche_welle_pt" language="pt" description="Noticias desde Alemania y mundo" author="Darko Miletic" title="Deutsche Welle" needs_subscription="no"/>
-  <recipe id="builtin:deutsche_welle_bs" language="bs" description="Vijesti iz Njemacke i svijeta" author="Darko Miletic" title="Deutsche Welle" needs_subscription="no"/>
-  <recipe id="builtin:deutsche_welle_sr" language="sr" description="Vesti iz Nemacke i sveta" author="Darko Miletic" title="Deutsche Welle" needs_subscription="no"/>
-  <recipe id="builtin:developpez" language="fr" description="Toutes les news du site Developpez.com" author="louhike" title="Developpez.com" needs_subscription="no"/>
-  <recipe id="builtin:diario_cordoba" language="es" description="News Cordoba" author="Francisco" title="Diario Cordoba" needs_subscription="no"/>
-  <recipe id="builtin:diario_el_pueblo" language="es_UY" description="Noticias de Salto - Uruguay" author="Carlos Alves" title="Diario El Pueblo" needs_subscription="no"/>
-  <recipe id="builtin:diario_extra" language="es_CR" description="Diario de circulacion nacional de Costa Rica." author="Douglas Delgado" title="Diario Extra" needs_subscription="no"/>
-  <recipe id="builtin:granma" language="es_CU" description="Organo oficial del Comite Central del Partido Comunista de Cuba" author="Darko Miletic" title="Diario Granma" needs_subscription="no"/>
-  <recipe id="builtin:diario_la_republica" language="es_CO" description="" author="CAVALENCIA" title="Diario La Republica" needs_subscription="no"/>
-  <recipe id="builtin:diario_sport" language="es" description="Todas las noticias del Barça y del mundo del deporte en general" author="Jefferson Frantz" title="Diario Sport" needs_subscription="no"/>
-  <recipe id="builtin:diariovasco" language="es" description="Noticias de pais Vasco y el resto del mundo" author="Darko Miletic" title="Diario Vasco" needs_subscription="no"/>
-  <recipe id="builtin:diario_ibiza" language="es" description="Principal periodico de las islas Pitiusas, Ibiza y Formentera (Espanya) - v1.06 (29/04/2011)" author="Joan Tur, cullet" title="Diario de Ibiza digital" needs_subscription="no"/>
-  <recipe id="builtin:diepresse" language="de_AT" description="DiePresse.com - Die Online-Ausgabe der Österreichischen Tageszeitung Die Presse." author="Gerhard Aigner" title="Die Presse" needs_subscription="no"/>
-  <recipe id="builtin:zeitde_sub" language="de" description="Das EPUB Abo der Zeit (needs subscription)" author="Steffen Siebert, revised by Tobias Isenberg (with some code by Kovid Goyal), updated by Henning Losert" title="Die Zeit" needs_subscription="yes"/>
-  <recipe id="builtin:digizone" language="cs" description="Aktuality a články z DigiZone.cz" author="Tomas Latal" title="DigiZone" needs_subscription="no"/>
-  <recipe id="builtin:digital_arts" language="en" description="Digital Arts - comprehensive coverage of the art of graphic design, 3D, animation, video, effects, web and interactive design, in print and online." author="Lorenzo Vigentini" title="Digital Arts Magazine  " needs_subscription="no"/>
-  <recipe id="builtin:digitaljournal" language="en" description="A Global Citizen Journalism News Network" author="Darko Miletic" title="Digital Journal" needs_subscription="no"/>
-  <recipe id="builtin:digitalspy_uk" language="en_GB" description="Entertainment news about the biggest TV shows, films and celebrities, updated around the clock." author="Darko Miletic" title="Digital Spy - UK Edition" needs_subscription="no"/>
-  <recipe id="builtin:dilbert" language="en" description="Dilbert, by Scott Adams. Includes last three or so comics and blog entries." author="TechnoCat" title="Dilbert" needs_subscription="no"/>
-  <recipe id="builtin:dilemaveche" language="ro" description="&quot;Sint vechi, domnule!&quot; (I.L. Caragiale)" author="song2" title="Dilema Veche" needs_subscription="yes"/>
-  <recipe id="builtin:randerslokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport, kultur fra Randers og omegn på dinavis.lokalavisen.dk" author="CoderAllan.github.com" title="Din avis Randers" needs_subscription="no"/>
-  <recipe id="builtin:dingoo_a320" language="en" description="Портативная игровая консоль Dingoo A320 и другие необычные гаджеты" author="bug_me_not" title="Dingoo A320. Русский ресурс" needs_subscription="no"/>
-  <recipe id="builtin:discover_magazine_monthly" language="en" description="Monthly magazine version of Discover Magazine (not rss feed)." author="Kovid Goyal" title="Discover Magazine Monthly" needs_subscription="yes"/>
-  <recipe id="builtin:divahair" language="ro" description="Coafuri, frizuri, tunsori .." author="Silviu Cotoară" title="Diva Hair" needs_subscription="no"/>
-  <recipe id="builtin:diario_de_noticias" language="pt" description="" author="Jose Pinto" title="Diário de Notícias" needs_subscription="no"/>
-  <recipe id="builtin:djurslandsposten_dk" language="da" description="Lokale og regionale nyheder" author="CoderAllan.github.com" title="DjurslandsPosten" needs_subscription="no"/>
-  <recipe id="builtin:pravda_rs" language="sr" description="24 sata portal vesti iz Srbije" author="Darko Miletic" title="Dnevne novine Pravda" needs_subscription="no"/>
-  <recipe id="builtin:dnevnik_cro" language="hr" description="Vijesti iz Hrvatske" author="Darko Miletic" title="Dnevnik - Hr" needs_subscription="no"/>
-  <recipe id="builtin:dnevnik_mk" language="mk" description="Daily Macedonian newspaper" author="Darko Spasovski" title="Dnevnik - mk" needs_subscription="no"/>
-  <recipe id="builtin:dnevnik" language="sl" description="Dnevnik je časnik z več kot polstoletno zgodovino.&#10;  Pod sloganom »Življenje ima besedo« na svojih straneh prinaša&#10;  bralcem bogastvo informacij, komentarjev in kolumen in raznovrstnost&#10;  pogledov, zaznamovanih z odgovornostjo do posameznika in širše&#10;  družbe." author="BlonG" title="Dnevnik.si" needs_subscription="no"/>
-  <recipe id="builtin:dobanevinosti" language="sr" description="Filmski blog" author="Darko Miletic" title="Doba Nevinosti" needs_subscription="no"/>
-  <recipe id="builtin:dobreprogamy" language="pl" description="Aktualności i blogi z dobreprogramy.pl" author="fenuks &amp; Tomasz Długosz" title="Dobreprogramy.pl" needs_subscription="no"/>
-  <recipe id="builtin:doghousediaries" language="en" description="A webcomic." author="NiLuJe" title="Doghouse Diaries" needs_subscription="no"/>
-  <recipe id="builtin:dorfener_anzeiger" language="de" description="German  online portal of münchner Merkur" author="Bernd Boehm" title="Dorfener Anzeiger" needs_subscription="no"/>
-  <recipe id="builtin:dotpod" language="es" description="Tecnologia y Comunicacion Audiovisual" author="Federico Escalada" title="Dotpod" needs_subscription="no"/>
-  <recipe id="builtin:down_to_earth" language="en_IN" description="" author="Amit" title="Down To Earth" needs_subscription="no"/>
-  <recipe id="builtin:DrawAndCook" language="en" description="Drawings of recipes!" author="Starson17" title="DrawAndCook" needs_subscription="no"/>
-  <recipe id="builtin:drytooling_pl" language="pl" description="Drytooling.com.pl jest serwisem wspinaczki zimowej, alpinizmu i himalaizmu. Jeśli uwielbiasz zimę, nie możesz doczekać się aż wyciągniesz szpej z szafki i uderzysz w Tatry, Alpy, czy może Himalaje, to znajdziesz tutaj naprawdę dużo interesujących Cię treści! Zapraszamy!" author="Damian Granowski" title="Drytooling.com.pl" needs_subscription="no"/>
-  <recipe id="builtin:dvhn" language="nl" description="Nieuws uit Noord Nederland" author="Reijndert" title="DvhN" needs_subscription="no"/>
-  <recipe id="builtin:dwutygodnik" language="pl" description="Strona Kultury: literatura, teatr, film, sztuka, muzyka, felietony, rozmowy" author="Łukasz Grąbczewski" title="Dwutygodnik" needs_subscription="no"/>
-  <recipe id="builtin:dziennik_baltycki" language="pl" description="Gazeta Regionalna Dziennik Bałtycki. Najnowsze Wiadomości Trójmiasto i Wiadomości Pomorskie. Czytaj!" author="fenuks" title="Dziennik Bałtycki" needs_subscription="no"/>
-  <recipe id="builtin:di" language="pl" description="Internet w życiu i biznesie. Porady, wywiady, interwencje, bezpieczeństwo w Sieci, technologia." author="Mori" title="Dziennik Internautów" needs_subscription="no"/>
-  <recipe id="builtin:dziennik_polski" language="pl" description="Wiadomości z wydania Dziennika Polskiego" author="grzegorz.maj" title="Dziennik Polski" needs_subscription="yes"/>
-  <recipe id="builtin:dziennik_wschodni" language="pl" description="Dziennik Wschodni - portal regionalny województwa lubelskiego." author="fenuks" title="Dziennik Wschodni" needs_subscription="no"/>
-  <recipe id="builtin:dziennik_zachodni" language="pl" description="Gazeta Regionalna Dziennik Zachodni. Najnowsze Wiadomości Śląskie. Wiadomości Śląsk. Czytaj!" author="fenuks" title="Dziennik Zachodni" needs_subscription="no"/>
-  <recipe id="builtin:dziennikzwiazkowy" language="pl" description="Najstarsza polskojęzyczna gazeta codzienna w USA" author="fenuks &amp; Tomasz Długosz" title="Dziennik Związkowy" needs_subscription="no"/>
-  <recipe id="builtin:dziennik_lodzki" language="pl" description="Gazeta Regionalna Dziennik Łódzki. Najnowsze Wiadomości Łódź. Czytaj Wiadomości Łódzkie!" author="fenuks" title="Dziennik Łódzki" needs_subscription="no"/>
-  <recipe id="builtin:dziennik_pl" language="pl" description="Wiadomości z kraju i ze świata. Wiadomości gospodarcze. Znajdziesz u nas informacje, wydarzenia, komentarze, opinie." author="fenuks" title="Dziennik.pl" needs_subscription="no"/>
-  <recipe id="builtin:dunya_bizim" language="tr" description="" author="asalet_r" title="Dünya Bizim" needs_subscription="no"/>
-  <recipe id="builtin:dunya_bulteni" language="tr" description="" author="asalet_r" title="Dünya Bülteni" needs_subscription="no"/>
-  <recipe id="builtin:dunyahalleri" language="tr" description="Gözden Kaçanlar Rehberi" author="Sukru Alatas" title="Dünya Halleri" needs_subscription="no"/>
-  <recipe id="builtin:dunyahalleri_haftaninozeti" language="tr" description="Geçen hafta boyunca Türkiye ve dünyadan haber, site, yazılım, donanım, cihaz, video ve trendler..." author="Sukru Alatas" title="Dünya Halleri - Haftanın Özeti" needs_subscription="no"/>
-  <recipe id="builtin:eos_wetenschap" language="nl_NL" description="Wetenschapsnieuws" author="erkfuizfeuadjfjzefzfuzeff" title="EOS Wetenschap" needs_subscription="no"/>
-  <recipe id="builtin:epl_talk" language="en" description="News and Analysis from the English Premier League" author="rylsfan" title="EPL Talk" needs_subscription="no"/>
-  <recipe id="builtin:eso_pl" language="pl" description="ESO, Europejskie Obserwatorium Południowe, buduje i obsługuje najbardziej zaawansowane naziemne teleskopy astronomiczne na świecie" author="fenuks" title="ESO PL" needs_subscription="no"/>
-  <recipe id="builtin:espn" language="en" description="Sports news" author="Kovid Goyal and Sujata Raman" title="ESPN" needs_subscription="optional"/>
-  <recipe id="builtin:ebetrsberger_zeitung" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Ebersberger Zeitung" needs_subscription="no"/>
-  <recipe id="builtin:echo_dnia" language="pl" description="Echo Dnia - portal regionalny świętokrzyskiego radomskiego i podkarpackiego. Najnowsze wiadomości z Twojego regionu, galerie, video, mp3." author="fenuks" title="Echo Dnia" needs_subscription="no"/>
-  <recipe id="builtin:echo_online" language="de" description="-Echo Online-" author="Armin Geller" title="Echo Online" needs_subscription="no"/>
-  <recipe id="builtin:eclipseonline" language="en" description="&quot;Where strange and wonderful things happen, where reality is eclipsed for a little while with something magical and new.&quot; Eclipse Online is edited by Jonathan Strahan and published online by Night Shade Books. http://www.nightshadebooks.com/category/eclipse/" author="Jim DeVona" title="Eclipse Online" needs_subscription="no"/>
-  <recipe id="builtin:ecogeek" language="en" description="EcoGeek - Technology for the Environment Blog Feed" author="Darko Miletic" title="EcoGeek" needs_subscription="no"/>
-  <recipe id="builtin:economia" language="en_GB" description="Economia - Intelligence &amp; Insight for ICAEW Members" author="Kovid Goyal" title="Economia Magazine" needs_subscription="no"/>
-  <recipe id="builtin:epw" language="en_IN" description="Economic and Political news from India" author="Kovid Goyal" title="Economic and Political Weekly" needs_subscription="no"/>
-  <recipe id="builtin:economico" language="pt" description="" author="Krittika Goyal" title="Economico" needs_subscription="no"/>
-  <recipe id="builtin:edebistan" language="tr" description="" author="asalet_r" title="Edebistan" needs_subscription="no"/>
-  <recipe id="builtin:edebiyat_haber" language="tr" description="" author="asalet_r" title="Edebiyat Haber" needs_subscription="no"/>
-  <recipe id="builtin:edge_conversations" language="en" description="Edge.org offers &quot;open-minded, free ranging, intellectually&#10;    playful ... an unadorned pleasure in curiosity, a collective expression of&#10;    wonder at the living and inanimate world ... an ongoing and thrilling&#10;    colloquium." author="levien" title="Edge.org Conversations" needs_subscription="no"/>
-  <recipe id="builtin:editor_and_publisher" language="en" description="News about newspapers and journalism." author="elsuave (modified from Xanthan Gum)" title="Editor and Publisher" needs_subscription="no"/>
-  <recipe id="builtin:editoriali" language="it" description="Leading articles on Italy by the best Italian editorials" author="faber1971" title="Editoriali" needs_subscription="no"/>
-  <recipe id="builtin:edmonton_journal" language="en_CA" description="News from Edmonton, AB" author="Nick Redding" title="Edmonton Journal" needs_subscription="no"/>
-  <recipe id="builtin:ekantipur" language="en_NP" description="News from the No.1 News Portal In Nepal" author="Manish Bhattarai" title="Ekantipur" needs_subscription="no"/>
-  <recipe id="builtin:ekologia_pl" language="pl" description="Portal ekologiczny - eko, ekologia, ochrona przyrody, ochrona środowiska, przyroda, środowisko online. Ekologia i ochrona środowiska. Ekologia dla dzieci." author="fenuks" title="Ekologia.pl" needs_subscription="no"/>
-  <recipe id="builtin:emg_en" language="en" description="Daily business news from Serbia." author="Darko Miletic" title="Ekonom:east News" needs_subscription="no"/>
-  <recipe id="builtin:ekot" language="sv" description="Nyheter frÃ¥n Ekot" author="Joakim Lindskog" title="Ekot" needs_subscription="no"/>
-  <recipe id="builtin:elcohetealaluna" language="es_AR" description="El nuevo portal de Horacio Verbitsky" author="Darko Miletic" title="El Cohete a la Luna" needs_subscription="no"/>
-  <recipe id="builtin:elcomercio" language="es_EC" description="Gizmodo, the gadget guide. So much in love with shiny new toys, it's unnatural." author="Darko Miletic" title="El Comercio " needs_subscription="no"/>
-  <recipe id="builtin:el_correo" language="es" description="Daily newspaper from Biscay" author="desUBIKado" title="El Correo" needs_subscription="no"/>
-  <recipe id="builtin:elcronista-arg" language="es_AR" description="El Cronista Comercial es el Diario economico-politico mas valorado. Es la fuente mas confiable de informacion en temas de economia, finanzas y negocios." author="Darko Miletic" title="El Cronista" needs_subscription="no"/>
-  <recipe id="builtin:el_diplo" language="es_AR" description="Publicacion mensual de Le Monde Diplomatique, edicion Argentina" author="Tomas Di Domenico" title="El Diplo" needs_subscription="yes"/>
-  <recipe id="builtin:el_faro" language="es" description="Noticias de Vigo" author="Jefferson Frantz" title="El Faro de Vigo" needs_subscription="no"/>
-  <recipe id="builtin:el_malpensante" language="es_CO" description="El Malpensante" author="Ismael Mejia &lt;iemejia@gmail.com&gt;" title="El Malpensante" needs_subscription="no"/>
-  <recipe id="builtin:el_mostrador" language="es_CL" description="Chilean online newspaper" author="Alex Mitrani" title="El Mostrador" needs_subscription="no"/>
-  <recipe id="builtin:elmundo" language="es" description="Lider de informacion en español" author="Darko Miletic" title="El Mundo" needs_subscription="no"/>
-  <recipe id="builtin:el_mundo_today" language="es" description="La actualidad del mañana" author="calibre" title="El Mundo Today" needs_subscription="no"/>
-  <recipe id="builtin:el_observador" language="es_UY" description="Noticias desde Uruguay" author="yrvn" title="El Observador" needs_subscription="no"/>
-  <recipe id="builtin:el_pais" language="es" description="Main daily newspaper from Spain" author="Kovid Goyal &amp; Lorenzo Vigentini &amp; Jordi Balcells" title="El Pais" needs_subscription="no"/>
-  <recipe id="builtin:el_pais_uy" language="es_UY" description="Noticias de Uruguay y el resto del mundo" author="Gustavo Azambuja" title="El Pais - Uruguay" needs_subscription="no"/>
-  <recipe id="builtin:el_pais_babelia" language="es" description="El Pais Babelia" author="oneillpt" title="El Pais Babelia" needs_subscription="no"/>
-  <recipe id="builtin:elpais_semanal" language="es" description="Revista semanal de diario El Pais" author="Darko Miletic" title="El Pais semanal" needs_subscription="no"/>
-  <recipe id="builtin:elpais_impreso" language="es" description="Noticias de última hora sobre la actualidad en España y el mundo: política, economía, deportes, cultura, sociedad, tecnología, gente, opinión, viajes, moda, televisión, los blogs y las firmas de EL PAÍS. Además especiales, vídeos, fotos, audios, gráficos, entrevistas, promociones y todos los servicios de EL PAÍS." author="Darko Miletic" title="El País" needs_subscription="no"/>
-  <recipe id="builtin:el_periodico" language="es" description="Noticias desde Aragon" author="desUBIKado" title="El Periodico de Aragon" needs_subscription="no"/>
-  <recipe id="builtin:elperiodico_spanish" language="es" description="Noticias desde Catalunya" author="Jordi Balcells/Darko Miletic" title="El Periodico de Catalunya" needs_subscription="no"/>
-  <recipe id="builtin:mediterraneo" language="es" description="Noticias desde Castellón" author="benages" title="El Periódico Mediterráneo" needs_subscription="no"/>
-  <recipe id="builtin:eltiempo_hn" language="es_HN" description="Noticias de Honduras y mundo" author="Darko Miletic" title="El Tiempo - Honduras" needs_subscription="no"/>
-  <recipe id="builtin:eluniversal_ve" language="es_VE" description="Noticias de Venezuela y el mundo. Avances informativos de ultimo minuto. Incluye secciones de politica, deportes, economia y mas." author="Darko Miletic" title="El Universal" needs_subscription="no"/>
-  <recipe id="builtin:el_universal" language="es_MX" description="Sitio líder de noticias minuto x minuto de México y el mundo, con información sobre política, ciudad; videos, interactividad, opinión, blogs" author="Darko Miletic" title="El Universal" needs_subscription="no"/>
-  <recipe id="builtin:eluniverso_ec" language="es_EC" description="Noticias del Ecuador y el resto del mundo" author="Darko Miletic" title="El Universo - Ecuador" needs_subscription="no"/>
-  <recipe id="builtin:elclubdelebook" language="es_AR" description="El Club del eBook, es la primera fuente de informacion sobre ebooks de Argentina. Aca vas a encontrar noticias, tips, tutoriales, recursos y opiniones sobre el mundo de los libros electronicos." author="Darko Miletic" title="El club del ebook" needs_subscription="no"/>
-  <recipe id="builtin:ele" language="ro" description="Dezvăluie ceea ce eşti" author="Silviu Cotoară" title="Ele" needs_subscription="no"/>
-  <recipe id="builtin:elektroda_pl" language="pl" description="Międzynarodowy portal elektroniczny udostępniający bogate zasoby z dziedziny elektroniki oraz forum dyskusyjne." author="fenuks" title="Elektroda" needs_subscription="no"/>
-  <recipe id="builtin:elsevier" language="nl" description="News from Holland" author="Darko Miletic" title="Elsevier.nl" needs_subscription="no"/>
-  <recipe id="builtin:el_mercurio_chile" language="es_CL" description="El sitio de noticias online de Chile" author="Darko Miletic" title="Emol.com - El sitio de noticias online de Chile" needs_subscription="no"/>
-  <recipe id="builtin:empire_magazine" language="en" description="Author D.Asbury. Film articles from Empire Mag. " author="Dave Asbury" title="Empire Magazine" needs_subscription="no"/>
-  <recipe id="builtin:endgadget_ja" language="ja" description="" author="Hiroshi Miura" title="Endgadget日本版" needs_subscription="no"/>
-  <recipe id="builtin:endgadget" language="en" description="Tech news" author="Starson17, modified by epubli" title="Engadget" needs_subscription="no"/>
-  <recipe id="builtin:entrepeneur" language="en" description="Online magazine on business, small business, management and economy" author="Kovid Goyal" title="Entrepeneur Magazine" needs_subscription="no"/>
-  <recipe id="builtin:erdinger_anzeiger" language="de" description="German  online portal of münchner Merkur" author="Bernd Boehm" title="Erdinger Anzeiger" needs_subscription="no"/>
-  <recipe id="builtin:erhvervs_avisen_dk" language="da" description="Lokale, regionale nyheder, bolig, motor og job i Køge, Greve, Ringsted og Stevns på erhvervsavisen.dk" author="CoderAllan.github.com" title="Erhvervs Avisen" needs_subscription="no"/>
-  <recipe id="builtin:esenja" language="pl" description="Magazyn kultury popularnej" author="matek09 &amp; fenuks" title="Esensja" needs_subscription="no"/>
-  <recipe id="builtin:esensja_(rss)" language="pl" description="Magazyn kultury popularnej" author="fenuks" title="Esensja (RSS)" needs_subscription="no"/>
-  <recipe id="builtin:esquire" language="en" description="Esquire: Man at His Best" author="Kovid Goyal" title="Esquire" needs_subscription="no"/>
-  <recipe id="builtin:estadao" language="pt" description="Brazilian news from Estadão" author="Euler Alves" title="Estadão" needs_subscription="no"/>
-  <recipe id="builtin:europa_press" language="es" description="spanish news agency" author="calibre" title="Europa Press" needs_subscription="no"/>
-  <recipe id="builtin:europasur" language="es" description="News in Spanish" author="Darko Miletic" title="Europa Sur" needs_subscription="no"/>
-  <recipe id="builtin:evangelizo" language="de" description="" author="Bobus" title="Evangelizo.org" needs_subscription="no"/>
-  <recipe id="builtin:evz.ro" language="ro" description="" author="Silviu Cotoară" title="Evenimentul Zilei" needs_subscription="no"/>
-  <recipe id="builtin:everett_herald" language="en" description="" author="77ja65" title="Everett Herald" needs_subscription="no"/>
-  <recipe id="builtin:exiled" language="en" description="Mankind's only alternative since 1997 - Formerly known as The eXile" author="Darko Miletic" title="Exiled Online" needs_subscription="no"/>
-  <recipe id="builtin:expansion_spanish" language="es" description="Financial news from Spain" author="Gerardo Diez &amp; desUBIKado" title="Expansion" needs_subscription="no"/>
-  <recipe id="builtin:explosm" language="en" description="Explosm" author="Andromeda Rabbit" title="Explosm Rotated" needs_subscription="no"/>
-  <recipe id="builtin:express_de" language="de" description="" author="schuster" title="Express.de" needs_subscription="no"/>
-  <recipe id="builtin:f_secure" language="en" description="All the news from the weblog of F-Secure" author="louhike" title="F-Secure Weblog" needs_subscription="no"/>
-  <recipe id="builtin:faznet" language="de" description="Frankfurter Allgemeine Zeitung" author="Kovid Goyal, Darko Miletic, Armin Geller" title="FAZ.NET" needs_subscription="no"/>
-  <recipe id="builtin:fc_knudde" language="nl" description="FC Knudde de populaire sport strip van Toon van Driel (http://www.toonvandriel.nl)" author="DrMerry" title="FC Knudde" needs_subscription="no"/>
-  <recipe id="builtin:fhmro" language="ro" description="Pentru că noi putem" author="Silviu Cotoară" title="FHM Ro" needs_subscription="no"/>
-  <recipe id="builtin:fhm_uk" language="en_GB" description="Good News for Men." author="Dave Asbury" title="FHM UK" needs_subscription="no"/>
-  <recipe id="builtin:foxnews" language="en" description="Breaking News from FOX" author="Darko Miletic" title="FOX News" needs_subscription="no"/>
-  <recipe id="builtin:factcheck" language="en" description="" author="Michael Heinz" title="Factcheck" needs_subscription="no"/>
-  <recipe id="builtin:fairbanks_daily" language="en" description="The voice of interior Alaska since 1903" author="Roger" title="Fairbanks Daily News-miner" needs_subscription="no"/>
-  <recipe id="builtin:fan_graphs" language="en" description="Baseball statistical analysis, graphs, and projections." author="David Appelman" title="FanGraphs" needs_subscription="no"/>
-  <recipe id="builtin:fastcompany" language="en" description="Where ideas and people meet" author="Darko Miletic" title="Fast Company" needs_subscription="no"/>
-  <recipe id="builtin:favrskovavisen_dk" language="da" description="Lokale og regionale nyheder" author="CoderAllan.github.com" title="Favrskov Avisen" needs_subscription="no"/>
-  <recipe id="builtin:favrskovlokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra Favrskov og omegn på favrskov.lokalavisen.dk" author="CoderAllan.github.com" title="Favrskovposten" needs_subscription="no"/>
-  <recipe id="builtin:fdb_pl" language="pl" description="Wiadomości ze świata filmu, baza danych filmowych, recenzje, zwiastuny, boxoffice." author="fenuks" title="Fdb.pl" needs_subscription="no"/>
-  <recipe id="builtin:fstream" language="en" description="Hunting and Fishing and Gun Talk" author="Starson17 and Tonythebookworm" title="Field and Stream" needs_subscription="no"/>
-  <recipe id="builtin:film_org_pl" language="pl" description="Recenzje, analizy, artykuły, rankingi - wszystko o filmie dla miłośników kina. Opisy efektów specjalnych, wersji reżyserskich, remake'ów, sequeli. No i forum filmowe. Jedne z największych w Polsce." author="fenuks" title="Film.org.pl" needs_subscription="no"/>
-  <recipe id="builtin:film_web" language="pl" description="Filmweb.pl - Filmy takie jak Ty Filmweb to największy i najczęściej odwiedzany polski serwis filmowy." author="fenuks" title="FilmWeb" needs_subscription="no"/>
-  <recipe id="builtin:financialsense" language="en" description="Uncommon News &amp; Views for the Wise Investor" author="Darko Miletic" title="Financial Sense" needs_subscription="no"/>
-  <recipe id="builtin:financiarul" language="ro" description="FIN.ro" author="Silviu Cotoară" title="Financiarul" needs_subscription="no"/>
-  <recipe id="builtin:first_things" language="en" description="America's Most Influential Journal of Religion and Public Life" author="John Hutson" title="First Things" needs_subscription="no"/>
-  <recipe id="builtin:fisco_oggi" language="it" description="" author="faber1971" title="Fisco Oggi" needs_subscription="no"/>
-  <recipe id="builtin:fleshbot" language="en" description="Fleshbot, Pure Filth." author="NA" title="Fleshbot" needs_subscription="no"/>
-  <recipe id="builtin:flickr" language="en" description="Pictures Blog" author="Ricardo Jurado" title="Flickr Blog" needs_subscription="no"/>
-  <recipe id="builtin:flickr_es" language="es" description="Pictures Blog" author="Ricardo Jurado" title="Flickr Blog" needs_subscription="no"/>
-  <recipe id="builtin:fluter_de" language="de" description="fluter.de Magazin der Bundeszentrale für politische Bildung/bpb" author="Armin Geller" title="Fluter" needs_subscription="no"/>
-  <recipe id="builtin:focus_pl" language="pl" description="Polish scientific monthly magazine" author="Krittika Goyal" title="Focus" needs_subscription="no"/>
-  <recipe id="builtin:focus_de" language="de" description="RSS-Feeds von Focus.de" author="Anonymous" title="Focus (DE)" needs_subscription="no"/>
-  <recipe id="builtin:fokkeensukke" language="nl" description="Popular Dutch daily cartoon Fokke en Sukke" author="kwetal" title="Fokke en Sukke" needs_subscription="no"/>
-  <recipe id="builtin:folhadesaopaulo" language="pt_BR" description="" author="Bola de Fogo" title="Folha de São Paolo" needs_subscription="no"/>
-  <recipe id="builtin:folhadesaopaulo_sub" language="pt_BR" description="Printed edition contents. UOL subscription required (Folha subscription currently not supported). [Conteúdo completo da edição impressa. Somente para assinantes UOL.]" author="Joao Eduardo Bertacchi, lc_addicted " title="Folha de São Paulo" needs_subscription="yes"/>
-  <recipe id="builtin:folha" language="pt_BR" description="Um Jornala a servicao do Brasil" author="Darko Miletic" title="Folha de São Paulo - portal" needs_subscription="no"/>
-  <recipe id="builtin:folkebladet_dk" language="da" description="Dine lokale nyheder på nettet" author="CoderAllan.github.com" title="Folkebladet" needs_subscription="no"/>
-  <recipe id="builtin:folkebladetdjursland_dk" language="da" description="Lokale og regionale nyheder" author="CoderAllan.github.com" title="Folkebladet Djursland" needs_subscription="no"/>
-  <recipe id="builtin:forbes" language="en" description="Business and Financial News" author="Kovid Goyal" title="Forbes" needs_subscription="no"/>
-  <recipe id="builtin:forbes_india" language="en_IN" description="India Edition Forbes" author="rty" title="Forbes India" needs_subscription="no"/>
-  <recipe id="builtin:forbes_pl" language="pl" description="Biznes, finanse, gospodarka, strategie, wiadomości gospodarcze, analizy finasowe i strategiczne." author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" title="Forbes.pl" needs_subscription="no"/>
-  <recipe id="builtin:foreignaffairs" language="en" description="The leading forum for serious discussion of American foreign policy and international affairs." author="Rick Shang, kwetal, anisotrope" title="Foreign Affairs (Subcription)" needs_subscription="yes"/>
-  <recipe id="builtin:foreign_policy" language="en" description="International News" author="Kovid Goyal" title="Foreign Policy" needs_subscription="no"/>
-  <recipe id="builtin:formulaas" language="ro" description="Formula AS" author="Silviu Cotoară" title="Formula AS" needs_subscription="no"/>
-  <recipe id="builtin:f1_ultra" language="pl" description="Formuła 1, Robert Kubica, F3, GP2 oraz inne serie wyścigowe." author="MrStefan &lt;mrstefaan@gmail.com&gt;, Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" title="Formuła 1 - F1 ultra" needs_subscription="no"/>
-  <recipe id="builtin:forsal" language="pl" description="Na portalu finansowym Forsal.pl znajdziesz najświeższe wiadomości finansowe i analizy. Kliknij i poznaj aktualne kursy walut, notowania giełdowe oraz inne wiadomości ze świata finansów." author="fenuks" title="Forsal.pl" needs_subscription="no"/>
-  <recipe id="builtin:fortune_magazine" language="en" description="FORTUNE is a global business magazine that has been revered in its content and credibility since 1930. FORTUNE covers the entire field of business, including specific companies and business trends, prominent business leaders, and new ideas shaping the global marketplace." author="Rick Shang" title="Fortune Magazine" needs_subscription="optional"/>
-  <recipe id="builtin:fotoblogia_pl" language="pl" description="Jeden z największych polskich blogów o fotografii." author="fenuks" title="Fotoblogia.pl" needs_subscription="no"/>
-  <recipe id="builtin:frandroid" language="fr" description="" author="calibre" title="FrAndroid" needs_subscription="no"/>
-  <recipe id="builtin:fr_online" language="de" description="Nachrichten aus D und aller Welt" author="maccs" title="Frankfurter Rundschau" needs_subscription="no"/>
-  <recipe id="builtin:frankfurter_rundschau" language="de" description="Nachrichten aus D und aller Welt" author="Kovid Goyal" title="Frankfurter Rundschau" needs_subscription="no"/>
-  <recipe id="builtin:freakonomics" language="en" description="The Hidden side of everything" author="Starson17" title="Freakonomics Blog" needs_subscription="no"/>
-  <recipe id="builtin:frederiksbergbladet_dk" language="da" description="" author="CoderAllan.github.com" title="Frederiksberg Bladet" needs_subscription="no"/>
-  <recipe id="builtin:freisinger_tagblatt" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Freisinger Tagblatt" needs_subscription="no"/>
-  <recipe id="builtin:fudzilla" language="en" description="Tech news" author="Starson17" title="Fudzilla" needs_subscription="no"/>
-  <recipe id="builtin:furesoelokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra Farum, Værløse og Furesø på furesoe.lokalavisen.dk" author="CoderAllan.github.com" title="Furesø Avis" needs_subscription="no"/>
-  <recipe id="builtin:futurismic" language="en" description="Near-future science fiction and fact since 2001" author="Darko Miletic" title="Futurismic" needs_subscription="no"/>
-  <recipe id="builtin:furstenfeldbrucker_tagblatt" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Fürstenfeldbrucker Tagblatt" needs_subscription="no"/>
-  <recipe id="builtin:gs24_pl" language="pl" description="Internetowy serwis Głosu Szczecińskiego" author="Michał Szkutnik" title="GS24.pl (Głos Szczeciński)" needs_subscription="no"/>
-  <recipe id="builtin:gwup" language="de" description="German  online portal of GWUP  die Skeptiker" author="Bernd Boehm" title="GWUP | Die Skeptiker" needs_subscription="no"/>
-  <recipe id="builtin:galicia_confidential" language="gl" description="Unha fiestra de información aberta a todos" author="Susana Sotelo Docío" title="Galicia Confidencial (RSS)" needs_subscription="no"/>
-  <recipe id="builtin:gamasutra_fa" language="en" description="The Art and Business of Making Games" author="Darko Miletic" title="Gamasutra Featured articles" needs_subscription="no"/>
-  <recipe id="builtin:gamasutra_news" language="en" description="The Art and Business of Making Games" author="Darko Miletic" title="Gamasutra News" needs_subscription="no"/>
-  <recipe id="builtin:gamekult" language="fr" description="Toute l`actualité du jeu vidéo PC, consoles, mobiles." author="Malah" title="Gamekult.com" needs_subscription="no"/>
-  <recipe id="builtin:gameplay_pl" language="pl" description="gameplay.pl - serwis o naszych zainteresowaniach, grach, filmach, książkach, muzyce, fotografii i konsolach." author="fenuks" title="Gameplay.pl" needs_subscription="no"/>
-  <recipe id="builtin:gamespot" language="en" description="review articles from gamespot.com" author="Marc Tönsing" title="Gamespot.com Reviews" needs_subscription="no"/>
-  <recipe id="builtin:garmischer_tagblatt" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Garmisch-Partenkirchener Tagblatt" needs_subscription="no"/>
-  <recipe id="builtin:gva_be" language="nl_BE" description="News from Belgium in Dutch" author="Darko Miletic" title="Gazet van Antwerpen" needs_subscription="no"/>
-  <recipe id="builtin:gcn" language="pl" description="nowiny24.pl - portal regionalny województwa podkarpackiego." author="fenuks" title="Gazeta Codziennej Nowiny" needs_subscription="no"/>
-  <recipe id="builtin:gazeta_krakowska" language="pl" description="Gazeta Regionalna Gazeta Krakowska. Najnowsze Wiadomości Kraków. Informacje Kraków. Czytaj!" author="fenuks" title="Gazeta Krakowska" needs_subscription="no"/>
-  <recipe id="builtin:gazeta_lubuska" language="pl" description="Gazeta Lubuska - portal regionalny województwa lubuskiego." author="fenuks" title="Gazeta Lubuska" needs_subscription="no"/>
-  <recipe id="builtin:gazeta_pomorska" language="pl" description="Gazeta Pomorska - portal regionalny" author="Richard z forum.eksiazki.org, fenuks" title="Gazeta Pomorska" needs_subscription="no"/>
-  <recipe id="builtin:gazeta-prawna-calibre-v1" language="pl" description="Polski dziennik gospodarczy" author="Tomasz Jozwiak" title="Gazeta Prawna" needs_subscription="no"/>
-  <recipe id="builtin:gsp" language="ro" description="Gazeta Sporturilor" author="Silviu Cotoară" title="Gazeta Sporturilor" needs_subscription="no"/>
-  <recipe id="builtin:gazeta_wroclawska" language="pl" description="Gazeta Regionalna Gazeta Wrocławska. Najnowsze Wiadomości Wrocław, Informacje Wrocław. Czytaj!" author="fenuks" title="Gazeta Wrocławska" needs_subscription="no"/>
-  <recipe id="builtin:gazeta_wspolczesna" language="pl" description="Gazeta Współczesna - portal regionalny." author="fenuks" title="Gazeta Współczesna" needs_subscription="no"/>
-  <recipe id="builtin:gazeta_wyborcza" language="pl" description="Wiadomości z Polski i ze świata. Serwisy tematyczne i lokalne w 20 miastach." author="fenuks, Artur Stachecki" title="Gazeta Wyborcza" needs_subscription="no"/>
-  <recipe id="builtin:gazeta_pl_bydgoszcz" language="pl" description="Wiadomości z Bydgoszczy na portalu Gazeta.pl." author="fenuks" title="Gazeta Wyborcza Bydgoszcz" needs_subscription="no"/>
-  <recipe id="builtin:gazeta_pl_krakow" language="pl" description="Wiadomości z Krakowa na portalu Gazeta.pl." author="teepel &lt;teepel44@gmail.com&gt; based on GW from fenuks" title="Gazeta Wyborcza Kraków" needs_subscription="no"/>
-  <recipe id="builtin:gazeta_pl_szczecin" language="pl" description="Wiadomości ze Szczecina na portalu Gazeta.pl." author="Michał Szkutnik" title="Gazeta Wyborcza Szczecin" needs_subscription="no"/>
-  <recipe id="builtin:gazeta_pl_warszawa" language="pl" description="Wiadomości z Warszawy na portalu Gazeta.pl." author="teepel &lt;teepel44@gmail.com&gt; based on GW from fenuks" title="Gazeta Wyborcza Warszawa" needs_subscription="no"/>
-  <recipe id="builtin:geek_poke" language="en" description="Geek and Poke Cartoons" author="DrMerry" title="Geek and Poke" needs_subscription="no"/>
-  <recipe id="builtin:gkt" language="en_IN" description="" author="Kovid Goyal" title="General Knowledge Today" needs_subscription="no"/>
-  <recipe id="builtin:geopolityka" language="pl" description="" author="chemik111" title="Geopolityka.org" needs_subscription="no"/>
-  <recipe id="builtin:monbiot" language="en_GB" description="Tell people something they know already and they will thank you for it. Tell people something new and they will hate you for it." author="Darko Miletic" title="George Monbiot - blog" needs_subscription="no"/>
-  <recipe id="builtin:geretsrieder_merkur" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Geretsrieder Merkur" needs_subscription="no"/>
-  <recipe id="builtin:gezgin_dergi" language="tr" description="" author="asalet_r" title="Gezgin Dergi" needs_subscription="no"/>
-  <recipe id="builtin:gildia_pl" language="pl" description="Fantastyczny Portal Kulturalny - newsy, recenzje, galerie, wywiady. Literatura, film, gry komputerowe i planszowe, komiks, RPG, sklep. Nie lekceważ potęgi wyobraźni!" author="fenuks" title="Gildia.pl" needs_subscription="no"/>
-  <recipe id="builtin:gizmodo" language="en" description="Gizmodo, the gadget guide. So much in love with shiny new toys, it's unnatural." author="Darko Miletic" title="Gizmodo" needs_subscription="no"/>
-  <recipe id="builtin:glamour" language="en" description="" author="Anonymous" title="Glamour (US)" needs_subscription="no"/>
-  <recipe id="builtin:glasgow_herald" language="en_GB" description="" author="Kovid Goyal" title="Glasgow Herald" needs_subscription="no"/>
-  <recipe id="builtin:glennbeck" language="en" description="The fusion of entertainment and enlightenment" author="kwetal" title="Glenn Beck" needs_subscription="no"/>
-  <recipe id="builtin:glenn_greenwald" language="en_GB" description="" author="anywho" title="Glenn Greenwald | guardian.co.uk" needs_subscription="no"/>
-  <recipe id="builtin:globaltimes" language="en_CN" description="" author="Jose Ortiz" title="Global Times" needs_subscription="no"/>
-  <recipe id="builtin:globes_co_il" language="he" description="This is Globes.co.il." author="marbs" title="Globes" needs_subscription="no"/>
-  <recipe id="builtin:go_comics" language="en" description="200+ Comics - Customize for more days/comics: Defaults to 1 day, 25 comics - 20 general, 5 editorial." author="Kovid Goyal" title="Go Comics" needs_subscription="no"/>
-  <recipe id="builtin:goal" language="it" description="Sports news from Italy" author="faber1971" title="Goal" needs_subscription="no"/>
-  <recipe id="builtin:gofin_pl" language="pl" description="Portal Podatkowo-Księgowy" author="teepel &lt;teepel44@gmail.com&gt;" title="Gofin" needs_subscription="no"/>
-  <recipe id="builtin:golem_de" language="de" description="" author="schuster" title="Golem.de" needs_subscription="no"/>
-  <recipe id="builtin:good_house_keeping" language="en" description="" author="Anonymous" title="Good House Keeping" needs_subscription="no"/>
-  <recipe id="builtin:good_to_know" language="en_GB" description="" author="Anonymous" title="Good to Know (uk)" needs_subscription="no"/>
-  <recipe id="builtin:googlemobileblog" language="en" description="" author="calibre" title="Google Mobile Blog" needs_subscription="no"/>
-  <recipe id="builtin:gosc_niedzielny" language="pl" description="Ogólnopolski tygodnik katolicki - fragmenty artykułów z aktualnego numeru" author="Piotr Kontek, Tomasz Długosz" title="Gość Niedzielny" needs_subscription="no"/>
-  <recipe id="builtin:gosc_full" language="pl" description="Ogólnopolski tygodnik katolicki - pełny numer sprzed 4 tygodni" author="Piotr Kontek, Tomasz Długosz" title="Gość Niedzielny - pełny numer" needs_subscription="no"/>
-  <recipe id="builtin:gram_pl" language="pl" description="Serwis społecznościowy o grach: recenzje, newsy, zapowiedzi, encyklopedia gier, forum. Gry PC, PS3, X360, PS Vita, sprzęt dla graczy." author="fenuks" title="Gram.pl" needs_subscription="no"/>
-  <recipe id="builtin:grandes_corresponsales_es" language="es" description="Corresponsales de verdad, de los que no se quedan en el hotel." author="Marc Busqué &lt;marc@lamarciana.com&gt;" title="Grandes corresponsales" needs_subscription="no"/>
-  <recipe id="builtin:granta" language="en" description="The Magazine of New Writing" author="Gary Arnold" title="Granta" needs_subscription="yes"/>
-  <recipe id="builtin:grantland" language="en" description="Writings on Sports &amp; Pop Culture" author="barty on mobileread.com forum" title="Grantland" needs_subscription="no"/>
-  <recipe id="builtin:greensboro_news_and_record" language="en" description="News from Greensboro, North Carolina" author="Walt Anthony" title="Greensboro News &amp; Record" needs_subscription="no"/>
-  <recipe id="builtin:gry_online_pl" language="pl" description="Wiadomości o grach, recenzje, zapowiedzi. Encyklopedia Gier zawiera opisy gier na PC, konsole Xbox360, PS3 i inne platformy." author="fenuks" title="Gry-Online.pl" needs_subscription="no"/>
-  <recipe id="builtin:gulfnews" language="en" description="News from United Arab Emirrates, persian gulf and rest of the world" author="Darko Miletic" title="Gulf News" needs_subscription="no"/>
-  <recipe id="builtin:gulli" language="de" description="News from Germany" author="posativ" title="Gulli" needs_subscription="no"/>
-  <recipe id="builtin:gandul" language="ro" description="Cotidian Online" author="Silviu Cotoară" title="Gândul" needs_subscription="no"/>
-  <recipe id="builtin:glos_wielkopolski" language="pl" description="Gazeta Regionalna Głos Wielkopolski. Najnowsze Wiadomości Poznań. Czytaj Informacje Poznań!" author="fenuks" title="Głos Wielkopolski" needs_subscription="no"/>
-  <recipe id="builtin:hackernews" language="en" description="Hacker News, run by Y Combinator. Anything that good hackers would find interesting, with a focus on programming and startups." author="Tom Scholl &amp; David Kerschner" title="HN With Comments Link" needs_subscription="no"/>
-  <recipe id="builtin:hna" language="de" description="local news from Hessen/Germany" author="Oliver Niesner" title="HNA" needs_subscription="no"/>
-  <recipe id="builtin:hnonline" language="sk" description="News from Slovakia" author="lacike" title="HNonline" needs_subscription="no"/>
-  <recipe id="builtin:hoy" language="es" description="Noticias desde Extremadura" author="Fco Javier Nieto" title="HOY" needs_subscription="no"/>
-  <recipe id="builtin:hrt" language="hr" description="News from Croatia" author="Darko Miletic" title="HRT: Vesti" needs_subscription="no"/>
-  <recipe id="builtin:hvg" language="hu" description="" author="Bigpapa" title="HVG" needs_subscription="no"/>
-  <recipe id="builtin:haaretz_en" language="en_IL" description="Haaretz.com is the world's leading English-language Website for real-time news and analysis of Israel and the Middle East." author="Darko Miletic" title="Haaretz" needs_subscription="yes"/>
-  <recipe id="builtin:haksoz" language="tr" description="" author="asalet_r" title="Haksöz" needs_subscription="no"/>
-  <recipe id="builtin:hamilton_spectator" language="en_CA" description="Ontario Canada Newspaper" author="Eric Coolman" title="Hamilton Spectator" needs_subscription="no"/>
-  <recipe id="builtin:handelsblatt" language="de" description="RSS-Feeds von Handelsblatt.com" author="Aimylios" title="Handelsblatt" needs_subscription="optional"/>
-  <recipe id="builtin:hankyoreh21" language="ko" description="The Hankyoreh21 Magazine articles" author="Seongkyoun Yoo" title="Hankyoreh21" needs_subscription="no"/>
-  <recipe id="builtin:hannoversche_zeitung" language="de" description="" author="Artemis" title="Hannoversche Allgemeine Zeitung" needs_subscription="no"/>
-  <recipe id="builtin:harpers" language="en" description="Harper's Magazine: Founded June 1850." author="Darko Miletic" title="Harper's Magazine" needs_subscription="no"/>
-  <recipe id="builtin:harpers_full" language="en" description="Harper's Magazine, the oldest general-interest monthly in America, explores the issues that drive our national conversation, through long-form narrative journalism and essays, and such celebrated features as the iconic Harper's Index." author="Darko Miletic" title="Harper's Magazine - articles from printed edition" needs_subscription="optional"/>
-  <recipe id="builtin:hbr" language="en" description="To subscribe go to http://hbr.harvardbusiness.org" author="Kovid Goyal" title="Harvard Business Review" needs_subscription="yes"/>
-  <recipe id="builtin:hatalska" language="pl" description="Blog specjalistki z branży mediowo-reklamowej - Natalii Hatalskiej" author="teepel &lt;teepel44@gmail.com&gt;" title="Hatalska" needs_subscription="no"/>
-  <recipe id="builtin:heavy_metal_it" language="it" description="An Heavy metal Italian magazine" author="faber1971" title="Heavy Metal" needs_subscription="no"/>
-  <recipe id="builtin:heise_open" language="de" description="Opensource news from Germany" author="Anton Gillert" title="Heise Open" needs_subscription="no"/>
-  <recipe id="builtin:heise_ct" language="de" description="Das ct Magazin als ePaper. Benötigt Heise Plus Digitalabo (siehe https://www.heise.de/plus/)" author="Ralf Hein" title="Heise ct" needs_subscription="yes"/>
-  <recipe id="builtin:helsingin_sanomat" language="fi" description="" author="oneillpt" title="Helsingin Sanomat" needs_subscription="no"/>
-  <recipe id="builtin:financieele_dagblad" language="nl" description="" author="marvin_2" title="Het Financieele Dagblad" needs_subscription="no"/>
-  <recipe id="builtin:hln_be" language="nl_BE" description="News from Belgium in Dutch" author="Darko Miletic" title="Het Laatste Nieuws" needs_subscription="no"/>
-  <recipe id="builtin:high_country_news" language="en" description="High Country News (RSS Version)" author="Armin Geller" title="High Country News" needs_subscription="no"/>
-  <recipe id="builtin:historia_pl" language="pl" description="Artykuły dotyczące historii w układzie epok i tematów, forum. Najlepsza strona historii. Matura z historii i egzamin gimnazjalny z historii." author="fenuks" title="Historia.org.pl" needs_subscription="no"/>
-  <recipe id="builtin:history_today" language="en" description="UK-based magazine, publishing articles and book reviews covering all types and periods of history." author="Rick Shang" title="History Today" needs_subscription="yes"/>
-  <recipe id="builtin:holzkirchener_merkur" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Holzkirchener Merkur" needs_subscription="no"/>
-  <recipe id="builtin:staradvertiser" language="en" description="Latest national and local Hawaii sports news" author="Darko Miletic" title="Honolulu Star-Advertiser" needs_subscription="no"/>
-  <recipe id="builtin:hornsherredavis_dk" language="da" description="Lokale nyheder fra Jægerspis, Skibby og Bramsnæs" author="CoderAllan.github.com" title="Hornsherred Avis" needs_subscription="no"/>
-  <recipe id="builtin:hotair" language="en" description="The world's first, full-service conservative Internet broadcast network" author="Walt Anthony" title="Hot Air" needs_subscription="no"/>
-  <recipe id="builtin:hotcity" language="ro" description="Cultura urbană feminină" author="Silviu Cotoară" title="Hotcity" needs_subscription="no"/>
-  <recipe id="builtin:hotnews" language="ro" description="Știri din România" author="Silviu Cotoară" title="Hotnews" needs_subscription="no"/>
-  <recipe id="builtin:howtogeek" language="en" description="Daily Computer Tips and Tricks" author="TonytheBookworm, PatStapleton (update 2020-05-20)" title="How To Geek" needs_subscription="no"/>
-  <recipe id="builtin:huffingtonpost_uk" language="en_GB" description="" author="Krittika Goyal" title="Huffington Post UK" needs_subscription="no"/>
-  <recipe id="builtin:hvidovrelokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra Hvidovre på hvidovre.lokalavisen.dk" author="CoderAllan.github.com" title="Hvidovre Avis" needs_subscription="no"/>
-  <recipe id="builtin:hvidovreavis_dk" language="da" description="" author="calibre" title="Hvidovre avis" needs_subscription="no"/>
-  <recipe id="builtin:h3" language="hu" description="" author="Ezmegaz" title="Hírszerző" needs_subscription="no"/>
-  <recipe id="builtin:hurriyet" language="tr" description="Hürriyet web site ebook" author="Adrian Tennessee (adrian.tennessee at domainthatnobodytakes.com)" title="Hürriyet" needs_subscription="no"/>
-  <recipe id="builtin:idg_se" language="sv" description="IDG.se" author="Stanislav Khromov" title="IDG" needs_subscription="no"/>
-  <recipe id="builtin:ieeespectrum" language="en" description="The world's largest professional association dedicated to advancing technological innovation and excellence for the benefit of humanity" author="Armin Geller" title="IEEE-Spectrum Online" needs_subscription="no"/>
-  <recipe id="builtin:in4_pl" language="pl" description="Serwis Informacyjny - Aktualnosci, recenzje" author="fenuks" title="IN4.pl" needs_subscription="no"/>
-  <recipe id="builtin:infra_pl" language="pl" description="Serwis Informacyjny INFRA - UFO, Zjawiska Paranormalne, Duchy, Tajemnice świata." author="fenuks" title="INFRA" needs_subscription="no"/>
-  <recipe id="builtin:iol_za" language="en_ZA" description="South Africa's Premier Online News Source. Discover the world of IOL, News South Africa, Sport, Business, Financial, World News, Entertainment, Technology, Motoring, Travel, Property, Classifieds and more." author="Darko Miletic" title="IOL News" needs_subscription="no"/>
-  <recipe id="builtin:ideal_almeria" language="es" description="Noticias de Almería y el resto del mundo" author="Josemi Liébana" title="Ideal (Edición Almería)" needs_subscription="no"/>
-  <recipe id="builtin:ideal_granada" language="es" description="Noticias de Granada y el resto del mundo" author="Josemi Liébana" title="Ideal (Edición Granada)" needs_subscription="no"/>
-  <recipe id="builtin:ideal_jaen" language="es" description="Noticias de Jaén y el resto del mundo" author="Josemi Liébana" title="Ideal (Edición Jaén)" needs_subscription="no"/>
-  <recipe id="builtin:corriere_della_sera_it" language="it" description="" author="calibre" title="Il Corriere della sera" needs_subscription="no"/>
-  <recipe id="builtin:corriere_della_sera_en" language="en" description="Italian daily newspaper (english version)" author="calibre" title="Il Corriere della sera (english) " needs_subscription="no"/>
-  <recipe id="builtin:corriere_dello_sport" language="it" description="Italian daily newspaper" author="Gabriele Marini" title="Il Corriere dello Sport" needs_subscription="no"/>
-  <recipe id="builtin:disinformatico" language="it" description="Un blog di Paolo Attivissimo, giornalista informatico e cacciatore di bufale" author="isspro" title="Il Disinformatico - Paolo Attivissimo" needs_subscription="no"/>
-  <recipe id="builtin:il_fatto" language="it" description="" author="egilh" title="Il Fatto Quotidiano" needs_subscription="no"/>
-  <recipe id="builtin:il_foglio" language="it" description="Leading articles from an Italian newspaper - v1.00 (16 July, 2013)" author="faber1971" title="Il Foglio - Editoriali" needs_subscription="no"/>
-  <recipe id="builtin:il_giornale" language="it" description="Italian daily newspaper" author="GAMBARINI" title="Il Giornale" needs_subscription="no"/>
-  <recipe id="builtin:ilmanifesto" language="it" description="quotidiano comunista - ultima edizione html disponibile" author="Giacomo Lacava" title="Il Manifesto" needs_subscription="no"/>
-  <recipe id="builtin:il_messaggero" language="it" description="Italian News" author="Gabriele Marini" title="Il Messaggero" needs_subscription="no"/>
-  <recipe id="builtin:il_post" language="it" description="Puoi decidere quali sezioni scaricare modificando la ricetta. Di default le immagini sono convertite in scala di grigio per risparmiare spazio, la ricetta puo' essere configurata per tenerle a colori" author="Marco Scirea" title="Il Post" needs_subscription="no"/>
-  <recipe id="builtin:ilsole24ore" language="it" description="Italian financial daily newspaper" author="Marco Saraceno" title="Il Sole 24 Ore" needs_subscription="no"/>
-  <recipe id="builtin:imperatortravel" language="ro" description="Călătorii" author="Silviu Cotoară" title="Imperator Travel" needs_subscription="no"/>
-  <recipe id="builtin:impulse_de" language="de" description="" author="schuster" title="Impulse.de" needs_subscription="no"/>
-  <recipe id="builtin:inc" language="en" description="Free account required to browse website. Handbook of the American Entrepeneur" author="Nikolas Mangold-Takao &lt;nmangold at gmail.com&gt;" title="Inc Magazine" needs_subscription="yes"/>
-  <recipe id="builtin:independent_australia" language="en_AU" description="Independent Australia is a progressive journal focusing on politics, democracy, the environment, Australian history and Australian identity. It contains news and opinion from Australia and around the world." author="Pat Stapleton" title="Independent Australia" needs_subscription="no"/>
-  <recipe id="builtin:index_hu" language="hu" description="" author="laca" title="Index.hu" needs_subscription="no"/>
-  <recipe id="builtin:india_today" language="en_IN" description="" author="Krittika Goyal" title="India Today" needs_subscription="no"/>
-  <recipe id="builtin:indian_express" language="en_IN" description="" author="Krittika Goyal" title="Indian Express" needs_subscription="no"/>
-  <recipe id="builtin:indy_star" language="en" description="" author="Owen Kelly" title="Indianapolis Star" needs_subscription="no"/>
-  <recipe id="builtin:infobae" language="es_AR" description="Infobae.com es el sitio de noticias con mayor actualizacion de Latinoamérica. Noticias actualizadas las 24 horas, los 365 días del año." author="Darko Miletic and Sujata Raman" title="Infobae.com" needs_subscription="no"/>
-  <recipe id="builtin:infomotori" language="it" description="" author="calibre" title="Infomotori" needs_subscription="no"/>
-  <recipe id="builtin:information_dk" language="da" description="News from Denmark" author="Darko Miletic" title="Information - Denmark" needs_subscription="no"/>
-  <recipe id="builtin:infoworld" language="en" description="news" author="Rick Kellogg" title="Infoworld.com" needs_subscription="no"/>
-  <recipe id="builtin:ing_dk" language="da" description="Nyheder om teknologi og naturvidenskab for fagfolk og interesserede; artikler, blogs, debat, infografik, video." author="CoderAllan.github.com" title="Ingeniøren" needs_subscription="no"/>
-  <recipe id="builtin:inquirer_net" language="en" description="News from Philipines" author="Krittika Goyal" title="Inquirer.net" needs_subscription="no"/>
-  <recipe id="builtin:insider" language="cs" description="" author="bubak" title="Insider" needs_subscription="yes"/>
-  <recipe id="builtin:instapaper" language="und" description="" author="Darko Miletic, Stanislav Khromov, Jim Ramsay" title="Instapaper" needs_subscription="yes"/>
-  <recipe id="builtin:intelligencer" language="en" description="" author="calibre" title="Intelligencer" needs_subscription="no"/>
-  <recipe id="builtin:tedneward" language="en" description="Tech blog by Ted Neward" author="Darko Miletic" title="Interoperability Happens" needs_subscription="no"/>
-  <recipe id="builtin:irish_independent" language="en_IE" description="Irish and World news from Irelands Bestselling Daily Broadsheet" author="Neil Grogan" title="Irish Independent" needs_subscription="no"/>
-  <recipe id="builtin:office_space" language="hu" description="officespace.blog.hu" author="Zsolt Botykai" title="Irodai patkényok" needs_subscription="no"/>
-  <recipe id="builtin:isar-loisachbote" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Isar-Loisachbote" needs_subscription="no"/>
-  <recipe id="builtin:istorias" language="sc" description="" author="tzium" title="Istòrias" needs_subscription="no"/>
-  <recipe id="builtin:ivanamilakovic" language="sr" description="Hronika mačijeg škrabala - priče, inspiracija, knjige, pisanje, prevodi..." author="Darko Miletic" title="Ivana Milaković" needs_subscription="no"/>
-  <recipe id="builtin:izvestia" language="ru" description="News from Russia" author="Darko Miletic" title="Izvestia" needs_subscription="no"/>
-  <recipe id="builtin:japaa" language="en" description="" author="adoucette" title="JAAPA" needs_subscription="no"/>
-  <recipe id="builtin:jbpress" language="ja" description="Japan Business Press New articles (using small print version)" author="Ado Nishimura" title="JBPress" needs_subscription="yes"/>
-  <recipe id="builtin:jacobinmag" language="en" description="Jacobin is a leading voice of the American left, offering socialist perspectives on politics, economics, and culture." author="Darko Miletic" title="Jacobin" needs_subscription="optional"/>
-  <recipe id="builtin:jagran_josh" language="en" description="" author="Krittika Goyal" title="Jagran Josh" needs_subscription="no"/>
-  <recipe id="builtin:jakarta_globe" language="en_ID" description="JakartaGlobe, Indonesia, Newspaper" author="rty" title="Jakarta Globe" needs_subscription="no"/>
-  <recipe id="builtin:jakarta_post" language="en_ID" description="Indonesian Newspaper in English from Jakarta Post Online Edition" author="Kovid Goyal" title="Jakarta Post" needs_subscription="no"/>
-  <recipe id="builtin:jalopnik" language="en" description="Jalopnik, Obsessed With The Cult of Cars." author="NA" title="Jalopnik" needs_subscription="no"/>
-  <recipe id="builtin:javalobby" language="en" description="news" author="Rick Kellogg" title="Javalobby" needs_subscription="no"/>
-  <recipe id="builtin:jpost" language="en" description="News from Israel and the Middle East" author="Kovid Goyal" title="Jerusalem Post" needs_subscription="no"/>
-  <recipe id="builtin:jpost_fr" language="fr" description="The Jerusalem Post (in French)" author="TonytheBookworm" title="Jerusalem post" needs_subscription="no"/>
-  <recipe id="builtin:jeuxvideo" language="fr" description="La Référence des Jeux Vidéo sur PC et Consoles !" author="Malah" title="JeuxVideo.com" needs_subscription="no"/>
-  <recipe id="builtin:jezebel" language="en" description="Jezebel, Celebrity, Sex, Fashion for Women. Without Airbrushing." author="NA" title="Jezebel" needs_subscription="no"/>
-  <recipe id="builtin:joelonsoftware" language="en" description="Painless Software Management" author="Darko Miletic" title="Joel on Software" needs_subscription="no"/>
-  <recipe id="builtin:joop" language="nl" description="Political blog from the Netherlands" author="kwetal" title="Joop" needs_subscription="no"/>
-  <recipe id="builtin:jb_online" language="pt" description="News from Brasil" author="Darko Miletic" title="Jornal Brasileiro Online" needs_subscription="no"/>
-  <recipe id="builtin:jot_down" language="es" description="Revista digital con magníficos y extensos artículos" author="calibre" title="Jot Down - Contemporary Culture Magazine" needs_subscription="no"/>
-  <recipe id="builtin:journalgazette" language="en" description="" author="cynvision" title="Journal Gazette Ft. Wayne IN" needs_subscription="no"/>
-  <recipe id="builtin:journalofaccountancy" language="en_US" description="A monthly journal of tax, financial reporting, auditing and other topics of accountancy from American Institute of Certified Public Accountants (AICPA)." author="Jose Ortiz" title="Journal of Accountancy" needs_subscription="no"/>
-  <recipe id="builtin:johm" language="en" description="Medical news" author="Kovid Goyal" title="Journal of Hospital Medicine" needs_subscription="yes"/>
-  <recipe id="builtin:kidney" language="en" description="" author="Krittika Goyal" title="Journal of the American Society of Nephrology" needs_subscription="yes"/>
-  <recipe id="builtin:jurnalulnational" language="ro" description="Știri din România" author="Silviu Cotoară" title="Jurnalul Naţional" needs_subscription="no"/>
-  <recipe id="builtin:jutarnji" language="hr" description="Hrvatski portal" author="Darko Miletic" title="Jutarnji" needs_subscription="no"/>
-  <recipe id="builtin:juve_la_stampa" language="it" description="News about Juventus from La Stampa" author="faber1971" title="Juve - La Stampa" needs_subscription="no"/>
-  <recipe id="builtin:juventudrebelde" language="es" description="Periodico cubano" author="Oscar Megia Lopez" title="Juventud Rebelde" needs_subscription="no"/>
-  <recipe id="builtin:jv_dk" language="da" description="JydskeVestkysten" author="CoderAllan.github.com" title="JydskeVestkysten | JV.dk | jv.dk" needs_subscription="no"/>
-  <recipe id="builtin:jp_dk" language="da" description="News from Denmark" author="Darko Miletic" title="Jyllands-Posten" needs_subscription="no"/>
-  <recipe id="builtin:karlsruhe" language="de" description="Nachrichten aus Karlsruhe, Deutschland und der Welt." author="tfeld" title="KA-News.de" needs_subscription="no"/>
-  <recipe id="builtin:planet_kde" language="en" description="" author="Riccardo Iaconelli" title="KDE News" needs_subscription="no"/>
-  <recipe id="builtin:kamikaze" language="ro" description="Săptămânal scăpat de sub control" author="Silviu Cotoară" title="Kamikaze" needs_subscription="no"/>
-  <recipe id="builtin:kstar" language="en" description="www.kansascity.com feed" author="TonytheBookworm" title="Kansas City Star" needs_subscription="no"/>
-  <recipe id="builtin:karsi_gazete" language="tr" description="" author="Voltran" title="Karsi Gazete" needs_subscription="no"/>
-  <recipe id="builtin:kathemerini" language="el" description="News from Greece" author="jenniepet" title="Kathimerini" needs_subscription="no"/>
-  <recipe id="builtin:kellog_insight" language="en" description="Articles from the Kellog School of Management" author="Kovid Goyal and Sujata Raman" title="Kellog Insight" needs_subscription="no"/>
-  <recipe id="builtin:kerrang" language="en_GB" description="UK-based magazine devoted to rock music published by Bauer Media Group" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" title="Kerrang!" needs_subscription="no"/>
-  <recipe id="builtin:kgsenghavebladet_dk" language="da" description="lokalavisen med alle dine lokale nyheder" author="CoderAllan.github.com" title="Kgs. Enghave Bladet" needs_subscription="no"/>
-  <recipe id="builtin:kitekinto" language="hu" description="" author="pofa" title="Kitekintő" needs_subscription="no"/>
-  <recipe id="builtin:kitsapun" language="en" description="News from Kitsap County" author="Darko Miletic" title="Kitsap Sun" needs_subscription="no"/>
-  <recipe id="builtin:kleinezeitung" language="de_AT" description="Nachrichten aus Österreich" author="kwetal" title="Kleine Zeitung" needs_subscription="no"/>
-  <recipe id="builtin:klubknjige" language="sr" description="literarni blog" author="Darko Miletic" title="Klub knjige" needs_subscription="no"/>
-  <recipe id="builtin:knack_be" language="nl_BE" description="News from Belgium in Dutch" author="erkfuizfeuadjfjzefzfuzeff" title="Knack.be" needs_subscription="no"/>
-  <recipe id="builtin:komchadluek" language="th" description="Komchadluek News" author="ballsaii and Chotechai" title="KomChadLuek" needs_subscription="no"/>
-  <recipe id="builtin:kommersant" language="ru" description="News from Russia" author="Darko Miletic" title="Kommersant" needs_subscription="no"/>
-  <recipe id="builtin:kommunalsundhed_dk" language="da" description="Nyheder til kommunale ledere, der arbejder med sundhed og sygdom" author="CoderAllan.github.com" title="Kommunal Sundhed" needs_subscription="no"/>
-  <recipe id="builtin:kompas" language="id" description="Indonesian News from Kompas Online Edition" author="Adrian Gunawan" title="Kompas" needs_subscription="no"/>
-  <recipe id="builtin:konflikty_zbrojne" language="pl" description="Zbiór ciekawych artykułów historycznych, militarnych oraz recenzji książek, gier i filmów. Najświeższe informacje o lotnictwie, wojskach lądowych i polityce." author="fenuks" title="Konflikty Zbrojne" needs_subscription="no"/>
-  <recipe id="builtin:kopalniawiedzy" language="pl" description="Ciekawostki ze świata nauki i techniki" author="Attis &amp; Tomasz Długosz" title="Kopalnia Wiedzy" needs_subscription="no"/>
-  <recipe id="builtin:korben" language="und" description="" author="calibre" title="Korben" needs_subscription="no"/>
-  <recipe id="builtin:korea_herald" language="en" description="Korea Herald News articles" author="Seongkyoun Yoo" title="KoreaHerald" needs_subscription="no"/>
-  <recipe id="builtin:km_blog" language="pl" description="Wiadomości z bloga korwin-mikke.pl/blog" author="teepel &lt;teepel44@gmail.com&gt;" title="Korwin-Mikke Blog" needs_subscription="no"/>
-  <recipe id="builtin:kosmonauta_pl" language="pl" description="polskojęzyczny portal w całości dedykowany misjom kosmicznym i badaniom kosmosu." author="fenuks" title="Kosmonauta.net" needs_subscription="no"/>
-  <recipe id="builtin:kotaku" language="en" description="Kotaku, the Gamer's Guide." author="NA" title="Kotaku" needs_subscription="no"/>
-  <recipe id="builtin:krebs_on_security" language="en" description="In-depth Security news and investigation" author="Jelle van der Waa" title="Krebs on Security" needs_subscription="no"/>
-  <recipe id="builtin:kresy_pl" language="pl" description="portal społeczności kresowej" author="fenuks" title="Kresy" needs_subscription="no"/>
-  <recipe id="builtin:kristeligt_dagblad_dk" language="da" description="" author="calibre" title="Kristeligt Dagblad" needs_subscription="no"/>
-  <recipe id="builtin:krstarica_en" language="en" description="News from Serbia and world" author="Darko Miletic" title="Krstarica - news in english" needs_subscription="no"/>
-  <recipe id="builtin:kp" language="pl" description=" Lewicowe pismo zaangażowane w bieg spraw publicznych w Polsce." author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" title="Krytyka Polityczna" needs_subscription="no"/>
-  <recipe id="builtin:kudika" language="ro" description="Revistă pentru femei" author="Silviu Cotoară" title="Kudika" needs_subscription="no"/>
-  <recipe id="builtin:kudy_z_nudy" language="cs" description="kudyznudy.cz" author="bubak" title="Kudy z nudy" needs_subscription="no"/>
-  <recipe id="builtin:kukuburi" language="en" description="KUKUBURI by RamÃ³n PÃ©rez" author="Mori" title="Kukuburi" needs_subscription="no"/>
-  <recipe id="builtin:kurier" language="de_AT" description="News from Austria" author="Darko Miletic" title="Kurier" needs_subscription="no"/>
-  <recipe id="builtin:kurier_lubelski" language="pl" description="Gazeta Regionalna Kurier Lubelski. Najnowsze Wiadomości Lublin. Czytaj Informacje Lublin!" author="fenuks" title="Kurier Lubelski" needs_subscription="no"/>
-  <recipe id="builtin:kurier_poranny" language="pl" description="Kurier Poranny | poranny.pl - portal miejski Białegostoku,informacje,wydarzenia" author="fenuks" title="Kurier Poranny" needs_subscription="no"/>
-  <recipe id="builtin:kurier_szczecinski" language="pl" description="24Kurier jest portalem Kuriera Szczecińskiego. Zawiera aktualności ze Szczecina oraz wiadomości regionalne z  województwa zachodniopomorskiego." author="fenuks" title="Kurier Szczeciński" needs_subscription="no"/>
-  <recipe id="builtin:kyungyhang" language="ko" description="The Kyungyhang Shinmun articles" author="Seongkyoun Yoo" title="Kyungyhang" needs_subscription="no"/>
-  <recipe id="builtin:lavenir_be" language="fr" description="News from Belgium in French" author="Lionel Bergeret" title="L'Avenir" needs_subscription="no"/>
-  <recipe id="builtin:l_espresso" language="it" description="Italian weekly magazine" author="Lorenzo Vigentini, Gabriele Marini, Krittika Goyal" title="L'Espresso " needs_subscription="no"/>
-  <recipe id="builtin:losservatoreromano_it" language="it" description="Quiornale quotidiano, politico, religioso del Vaticano" author="Darko Miletic" title="L'Osservatore Romano" needs_subscription="no"/>
-  <recipe id="builtin:lexpress" language="fr" description="Actualités" author="calibre" title="L'express" needs_subscription="no"/>
-  <recipe id="builtin:lwn_weekly" language="en" description="Weekly summary of what has happened in the free software world." author="Davide Cavalca" title="LWN.net Weekly Edition" needs_subscription="optional"/>
-  <recipe id="builtin:la_cuarta" language="es_CL" description="La Cuarta Cibernetica: El Diario popular" author="Darko Miletic" title="La Cuarta" needs_subscription="no"/>
-  <recipe id="builtin:dhnet_be" language="fr" description="News from Belgium in French" author="Lionel Bergeret" title="La Derniere Heure" needs_subscription="no"/>
-  <recipe id="builtin:la_gazetta_del_mezzogiorno" language="it" description="Italian regional magazine - Apulia" author="faber1971" title="La Gazzetta del Mezzogiorno" needs_subscription="no"/>
-  <recipe id="builtin:la_gazzeta_dello_sport" language="it" description="Sport news from the most read sport newspaper in Italy" author="Lorenzo Vigentini" title="La Gazzetta dello Sport " needs_subscription="no"/>
-  <recipe id="builtin:la_jornada" language="es_MX" description="Noticias del diario mexicano La Jornada" author="Darko Miletic/Rogelio Domínguez" title="La Jornada (Mexico)" needs_subscription="no"/>
-  <recipe id="builtin:lalibre_be" language="fr" description="News from Belgium in French" author="Lionel Bergeret" title="La Libre Belgique" needs_subscription="no"/>
-  <recipe id="builtin:lameuse_be" language="fr" description="News from Belgium in French" author="Lionel Bergeret" title="La Meuse" needs_subscription="no"/>
-  <recipe id="builtin:lanacion" language="es_AR" description="lanacion.com - Informacion actualizada las 24 horas, con noticias de Argentina y del mundo" author="Darko Miletic" title="La Nacion" needs_subscription="no"/>
-  <recipe id="builtin:lanacion_chile" language="es_CL" description="El sitio de noticias online de Chile" author="Darko Miletic" title="La Nacion Chile" needs_subscription="no"/>
-  <recipe id="builtin:la_nacion_cr" language="es_CR" description="Diario de circulacion nacional de Costa Rica. Recipe creado por Douglas Delgado (doudelgado@gmail.com) para su uso con Calibre por Kovid Goyal" author="Douglas Delgado" title="La Nacion Costa Rica" needs_subscription="no"/>
-  <recipe id="builtin:la_nueva" language="es" description="Diario independiente de Asturias" author="Luis Hernandez" title="La Nueva España" needs_subscription="no"/>
-  <recipe id="builtin:lapoliticaonline_ar" language="es_AR" description="Informacion actualizada las 24 horas, con noticias de Argentina y del mundo" author="Darko Miletic" title="La Politica Online" needs_subscription="no"/>
-  <recipe id="builtin:laprensa" language="es_AR" description="Informacion Libre las 24 horas" author="Darko Miletic and Sujata Raman" title="La Prensa" needs_subscription="no"/>
-  <recipe id="builtin:laprensa_hn" language="es_HN" description="Noticias de Honduras y mundo" author="Darko Miletic" title="La Prensa - Honduras" needs_subscription="no"/>
-  <recipe id="builtin:laprensa_ni" language="es_NI" description="LA PRENSA - EL Diario de los Nicaraguenses" author="Darko Miletic" title="La Prensa - Nicaragua" needs_subscription="no"/>
-  <recipe id="builtin:la_razon_bo" language="es_BO" description="El diario nacional de Bolivia" author="Darko Miletic" title="La Razón - Bolivia" needs_subscription="no"/>
-  <recipe id="builtin:la_republica" language="it" description="il quotidiano online con tutte le notizie in tempo reale. News e ultime notizie. Tutti i settori: politica, cronaca, economia, sport, esteri, scienza, tecnologia, internet, spettacoli, musica, cultura, arte, mostre, libri, dvd, vhs, concerti, cinema, attori, attrici, recensioni, chat, cucina, mappe. Le citta di Repubblica: Roma, Milano, Bologna, Firenze, Palermo, Napoli, Bari, Torino." author="Lorenzo Vigentini, Gabriele Marini, Darko Miletic, faber1971" title="La Repubblica" needs_subscription="no"/>
-  <recipe id="builtin:la_rioja" language="es" description="Noticias de La Rioja y el resto del mundo" author="Arturo Martinez Nieves" title="La Rioja" needs_subscription="no"/>
-  <recipe id="builtin:la_segunda" language="es_CL" description="El sitio de noticias online de Chile" author="Darko Miletic" title="La Segunda" needs_subscription="no"/>
-  <recipe id="builtin:la_stampa" language="it" description="" author="Gabriele Marini" title="La Stampa" needs_subscription="no"/>
-  <recipe id="builtin:la_tercera" language="es_CL" description="El sitio de noticias online de Chile" author="Darko Miletic and Alex Mitrani" title="La Tercera" needs_subscription="no"/>
-  <recipe id="builtin:latribuna" language="es_HN" description="Noticias de Honduras y mundo" author="Darko Miletic" title="La Tribuna - Honduras" needs_subscription="no"/>
-  <recipe id="builtin:la_tribuna" language="es" description="Varios diarios locales del grupo PROMECAL" author="Luis Hernández" title="La Tribuna de" needs_subscription="no"/>
-  <recipe id="builtin:lavanguardia_corresponsales_es" language="es" description="Blogs de los corresponsales de La Vanguardia en este mismo periódico" author="Marc Busqué &lt;marc@lamarciana.com&gt;" title="La Vanguardia - Blogs de los corresponsales" needs_subscription="no"/>
-  <recipe id="builtin:lavanguardia" language="es" description="Noticias desde España" author="Darko Miletic" title="La Vanguardia Digital" needs_subscription="no"/>
-  <recipe id="builtin:la_voce" language="it" description="Italian website on Economy - v1.02 (27, December 2012)" author="faber1971" title="La Voce" needs_subscription="no"/>
-  <recipe id="builtin:la_pausa_caffe" language="it" description="An Italian satirical blog" author="faber1971" title="La pausa caffè" needs_subscription="no"/>
-  <recipe id="builtin:lamebook" language="en" description="Funny Facebook Statuses, Fails, LOLs and More - The Original" author="atordo" title="Lamebook" needs_subscription="no"/>
-  <recipe id="builtin:las_vegas_review" language="en" description="" author="Kovid Goyal" title="Las Vegas Review Journal" needs_subscription="no"/>
-  <recipe id="builtin:ledevoir" language="fr" description="Canadian Paper. A subscription is optional, with it you get more content" author="calibre" title="Le Devoir " needs_subscription="optional"/>
-  <recipe id="builtin:le_gorafi" language="fr" description="Depuis 1826, toute l'information de sources contradictoires" author="Malah" title="Le GORAFI.fr" needs_subscription="no"/>
-  <recipe id="builtin:le_journal" language="fr" description="Le Journal de Montreal" author="Luciano Furtado" title="Le Journal de Montreal" needs_subscription="no"/>
-  <recipe id="builtin:le_monde" language="fr" description="Actualités" author="veezh" title="Le Monde" needs_subscription="no"/>
-  <recipe id="builtin:lemonde_dip" language="en" description="Le Monde diplomatique is the place you go when you want to know what's really happening. This is a major international paper that is truly independent, that sees the world in fresh ways, that focuses on places no other publications reach. We offer a clear, considered view of the conflicting interests and complexities of a modern global world. LMD in English is a concise version of the Paris-based parent edition, publishing all the major stories each month, expertly translated, and with some London-based commissions too. We offer a taster of LMD quality on our website where a selection of articles are available each month." author="Darko Miletic" title="Le Monde diplomatique - English edition" needs_subscription="yes"/>
-  <recipe id="builtin:le_monde_diplomatique_fr" language="fr" description="Le Monde diplomatique est un mensuel français d’information et d’opinion à la ligne éditoriale nettement engagée en faveur d'une gauche de rupture avec le capitalisme. Il aborde de nombreux sujets — géopolitique, relations internationales, économie, questions sociales, écologie, culture, médias, …" author="Gaëtan Lehmann" title="Le Monde diplomatique.fr" needs_subscription="no"/>
-  <recipe id="builtin:le_monde_sub" language="fr" description="La version papier du quotidien Le Monde, disponible du lundi au samedi à partir de 14 heures environ, avec tous ses cahiers." author="Sylvain Durand" title="Le Monde: Édition abonnés" needs_subscription="yes"/>
-  <recipe id="builtin:le_monde_sub_paper" language="fr" description="Actualités" author="Rémi Vanicat" title="Le Monde: Édition abonnés papier" needs_subscription="yes"/>
-  <recipe id="builtin:le_nouvel_observateur" language="fr" description="Actualités en temps réel, Info à la Une" author="Malah" title="Le Nouvel Observateur" needs_subscription="no"/>
-  <recipe id="builtin:le_peuple_breton" language="fr" description="Aujourd'hui, être libre c'est être informé" author="Lionel Plais" title="Le Peuple Breton" needs_subscription="no"/>
-  <recipe id="builtin:lepoint" language="fr" description="Actualités" author="calibre" title="Le Point" needs_subscription="no"/>
-  <recipe id="builtin:lescienze" language="it" description="Edizione italiana di Scientific American" author="calibre" title="Le Scienze" needs_subscription="no"/>
-  <recipe id="builtin:lesoir_be" language="fr" description="News from Belgium in French" author="Lionel Bergeret" title="Le Soir" needs_subscription="no"/>
-  <recipe id="builtin:le_temps" language="fr" description="French news. Needs a subscription from https://www.letemps.ch" author="Kovid Goyal" title="Le Temps" needs_subscription="yes"/>
-  <recipe id="builtin:leduc" language="en_CA" description="Provides news from central Alberta, Canada.  This is a&#10; weekly publication that provides coverage from the Cities of Leduc and&#10; Wetaskiwin, including news from two complete counties, plus the towns and&#10; villages within.  The counties of Leduc and Wetaskiwin provide news&#10; coverage of agriculture, sports, government, family, events and opinion.&#10; This publication updated weekly every Thursday." author="Brian Hahn" title="Leduc - Wetaskiwin Pipestone Flyer" needs_subscription="no"/>
-  <recipe id="builtin:lega_nerd" language="it" description="nerd / geek culture, pc, comics, music, culture" author="faber1971" title="Lega Nerd" needs_subscription="no"/>
-  <recipe id="builtin:legeartis" language="pl" description="Prawie wszystko, co chcielibyście wiedzieć o prawie, ale wstydziliście się zapytać" author="Mori, Tomasz Długosz" title="Lege Artis" needs_subscription="no"/>
-  <recipe id="builtin:leggo_it" language="it" description="Italian Free daily newspaper" author="Gabriele Marini" title="Leggo.it" needs_subscription="no"/>
-  <recipe id="builtin:leipzer_volkszeitung" language="de" description="Leipziger Volkszeitung Online RSS" author="a.peter" title="Leipziger Volkszeitung Online RSS" needs_subscription="no"/>
-  <recipe id="builtin:lenta_ru" language="ru" description="Ежедневная интернет-газета. Новости со всего мира на русском языке" author="Nikolai Kotchetkov" title="Lenta.ru: Новости" needs_subscription="no"/>
-  <recipe id="builtin:les_echos" language="fr" description="" author="Krittika Goyal" title="Les Echos" needs_subscription="no"/>
-  <recipe id="builtin:letsgetcritical" language="en" description="Curation / aggregation of criticisms of the arts and culture " author="barty on mobileread.com forum" title="Let's Get Critical" needs_subscription="no"/>
-  <recipe id="builtin:levante" language="es" description="El Mercantil Valenciano" author="kwetal" title="Levante" needs_subscription="no"/>
-  <recipe id="builtin:liberation" language="fr" description="Actualités" author="calibre" title="Liberation" needs_subscription="optional"/>
-  <recipe id="builtin:liberatorio_politico" language="it" description="Inquiry journalism - a blog on Molfetta, Land of Bari, Apulia and Italy - v1.00 (07, April 2012)" author="faber1971" title="Liberatorio Politico" needs_subscription="no"/>
-  <recipe id="builtin:libero" language="it" description="Italian daily newspaper" author="Marini Gabriele" title="Libero " needs_subscription="no"/>
-  <recipe id="builtin:libertad_digital" language="es" description="En Libertad Digital encontraras noticias y opinion sobre: España, el Mundo, Internet, sociedad, economia y deportes" author="Darko Miletic" title="Libertad Digital" needs_subscription="no"/>
-  <recipe id="builtin:lifehacker" language="en" description="Tips, tricks, and downloads for getting things done." author="Kovid Goyal" title="LifeHacker" needs_subscription="no"/>
-  <recipe id="builtin:lifehacker_pl" language="pl" description="Lifehacking - sposoby na zwiększanie własnej wydajności. Ułatwiaj sobie życie, wykorzystując wiedzę, metody, technologie, przydatne strony ..." author="MrStefan &lt;mrstefaan@gmail.com&gt;" title="Lifehacker Polska" needs_subscription="no"/>
-  <recipe id="builtin:lightspeed_magazine" language="en" description="" author="Jose Pinto" title="Lightspeed Magazine" needs_subscription="no"/>
-  <recipe id="builtin:limba_sarda" language="sc" description="" author="tzium" title="Limba Sarda 2.0" needs_subscription="no"/>
-  <recipe id="builtin:limes" language="it" description="Italian weekly magazine" author="faber1971" title="Limes" needs_subscription="no"/>
-  <recipe id="builtin:linux_magazine" language="en" description="Linux news" author="Darko Miletic" title="Linux Magazine" needs_subscription="no"/>
-  <recipe id="builtin:linuxportal_pl" language="pl" description="Na LinuxPortal.pl znajdziesz wiadomości o systemie Linux, open source oraz Androidzie." author="fenuks" title="LinuxPortal" needs_subscription="no"/>
-  <recipe id="builtin:livemint" language="en_IN" description="" author="Krittika Goyal" title="Live Mint" needs_subscription="no"/>
-  <recipe id="builtin:living_stones" language="en" description="" author="Peter Grungi" title="Living Stones Pastors Blog" needs_subscription="no"/>
-  <recipe id="builtin:aabenraalokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport, kultur fra Aabenraa og omegn på aabenraa.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Aabenraa" needs_subscription="no"/>
-  <recipe id="builtin:aarhuslokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra Aarhus Midt, Nord, Vest og Syd på aarhus.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Aarhus" needs_subscription="no"/>
-  <recipe id="builtin:aarhusmidtlokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra Aarhus Midt på aarhusmidt.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Aarhus Midt" needs_subscription="no"/>
-  <recipe id="builtin:aarhusnordlokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra Aarhus Nord på aarhusnord.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Aarhus Nord" needs_subscription="no"/>
-  <recipe id="builtin:aarhussydlokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra Aarhus Syd på aarhussyd.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Aarhus Syd" needs_subscription="no"/>
-  <recipe id="builtin:aarhusvestlokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra Aarhus Vest på aarhusvest.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Aarhus Ves" needs_subscription="no"/>
-  <recipe id="builtin:egedallokalavisen_dk" language="da" description="Lokale, regionale nyheder, sport og kultur i Egedal, Stenløse, Ølstykke, Ganløse, Gundsø, Slangerup, Roskilde på egedal.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Egedal" needs_subscription="no"/>
-  <recipe id="builtin:esbjerglokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport, kultur fra Esbjerg og omegn på esbjerg.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Esbjerg" needs_subscription="no"/>
-  <recipe id="builtin:fredericialokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport, kultur fra Fredericia og omegn på fredericia.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Fredericia" needs_subscription="no"/>
-  <recipe id="builtin:frederikssundlokalavisen_dk" language="da" description="Lokale, regionale nyheder, sport og kultur fra Frederikssund, Jægerspris og omegn på frederikssund.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Frederikssund" needs_subscription="no"/>
-  <recipe id="builtin:grenaalokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport, kultur fra Grenå og omegn på grenaa.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Grenaa" needs_subscription="no"/>
-  <recipe id="builtin:haderslevlokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport, kultur fra Haderslev og omegn på haderslev.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Haderslev" needs_subscription="no"/>
-  <recipe id="builtin:hornsherredlokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra Hornsherred og omegn på hornsherred.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Hornsherred" needs_subscription="no"/>
-  <recipe id="builtin:kaloeviglokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra Hornslet og omegn på kaloevig.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Kalø Vig" needs_subscription="no"/>
-  <recipe id="builtin:koldinglokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport, kultur fra Kolding og omegn på kolding.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Kolding" needs_subscription="no"/>
-  <recipe id="builtin:norddjurslokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport, kultur fra det nordlige Djursland på norddjurs.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Norddjurs" needs_subscription="no"/>
-  <recipe id="builtin:odenselokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra Odense på odense.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Odense" needs_subscription="no"/>
-  <recipe id="builtin:skanderborglokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport, kultur fra Skanderborg og omegn på skanderborg.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Skanderborg" needs_subscription="no"/>
-  <recipe id="builtin:soenderborglokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport, kultur fra Sønderborg og omegn på soenderborg.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Sønderborg" needs_subscription="no"/>
-  <recipe id="builtin:vardelokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport, kultur fra Varde og omegn på varde.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Varde" needs_subscription="no"/>
-  <recipe id="builtin:vejlelokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport, kultur fra Vejle og omegn på vejle.lokalavisen.dk" author="CoderAllan.github.com" title="Lokalavisen Vejle" needs_subscription="no"/>
-  <recipe id="builtin:london_free_press" language="en_CA" description="Ontario Canada Newspaper" author="rty" title="London Free Press" needs_subscription="no"/>
-  <recipe id="builtin:lrb" language="en_GB" description="Literary review publishing essay-length book reviews and topical articles on politics, literature, history, philosophy, science and the arts by leading writers and thinkers" author="Kovid Goyal" title="London Review of Books" needs_subscription="yes"/>
-  <recipe id="builtin:latimes" language="en" description="The Los Angeles Times is a leading source of news on Southern California, entertainment, movies, television, music, politics, business, health, technology, travel, sports, environment, economics, autos, jobs, real estate and other topics affecting California" author="Jose Ortiz" title="Los Angeles Times" needs_subscription="no"/>
-  <recipe id="builtin:los_tiempos_bo" language="es_BO" description="El periódico de mayor circulación en la ciudad de Cochabamba, Bolivia" author="Darko Miletic" title="Los Tiempos - Bolivia" needs_subscription="no"/>
-  <recipe id="builtin:ludwig_mises" language="en" description="" author="anywho" title="Ludwig von Mises Institute" needs_subscription="no"/>
-  <recipe id="builtin:lupa" language="cs" description="Zprávičky a články z Lupa.cz" author="Tomas Latal" title="Lupa" needs_subscription="no"/>
-  <recipe id="builtin:koegelokalavisen_dk" language="da" description="Lokale, regionale nyheder, bolig, motor og job i Køge, Greve, Ringsted og Stevns på koege.lokalavisen.dk" author="CoderAllan.github.com" title="Lørdagsavisen" needs_subscription="no"/>
-  <recipe id="builtin:mit_technology_review" language="en" description="Bi-monthly magazine version of MIT Technology Review. This is different than the recipe named simply &quot;Technology Review&quot; which downloads the rss feed with daily articles from the website." author="Michael Marotta" title="MIT Technology Review Magazine" needs_subscription="no"/>
-  <recipe id="builtin:mmc_rtv" language="sl" description="Prvi interaktivni multimedijski portal, MMC RTV Slovenija" author="BlonG" title="MMC RTV Slovenija" needs_subscription="no"/>
-  <recipe id="builtin:msdnmag_en" language="en" description="The Microsoft Journal for Developers" author="Darko Miletic" title="MSDN Magazine" needs_subscription="no"/>
-  <recipe id="builtin:msnsankei" language="ja" description="Products release from Japan" author="Hiroshi Miura" title="MSN産経ニュース(新商品)" needs_subscription="no"/>
-  <recipe id="builtin:mac_world" language="en" description="Macworld is an independent journal not affiliated with Apple Computer." author="Lorenzo Vigentini" title="Mac World " needs_subscription="no"/>
-  <recipe id="builtin:mac_world_uk" language="en_GB" description="Macworld is a publication of IDG Communication in the UK specifically on the Apple Mac." author="Lorenzo Vigentini" title="Mac World UK " needs_subscription="no"/>
-  <recipe id="builtin:macity" language="it" description="Apple and hi-tech news" author="faber1971" title="Macity" needs_subscription="no"/>
-  <recipe id="builtin:macleans" language="en_CA" description="" author="Medius" title="Macleans Magazine" needs_subscription="no"/>
-  <recipe id="builtin:macrobusiness" language="en_AU" description="" author="2018robert" title="Macrobusiness" needs_subscription="optional"/>
-  <recipe id="builtin:magyar_nemzet" language="hu" description="" author="pofa" title="Magyar Nemzet" needs_subscription="no"/>
-  <recipe id="builtin:maharashtra_times" language="mr" description="" author="Krittika Goyal" title="Maharashtra Times" needs_subscription="no"/>
-  <recipe id="builtin:mail_and_guardian" language="en_ZA" description="" author="77ja65" title="Mail &amp; Guardian ZA News" needs_subscription="no"/>
-  <recipe id="builtin:malaya_business_insight" language="en_PH" description="The Malaya Business Insight is a broadsheet newspaper in the Philippines.  The newspaper's name was derived from the Filipino word that means 'freedom'." author="jde" title="Malaya Business Insight" needs_subscription="no"/>
-  <recipe id="builtin:malaysian_mirror" language="en" description="The Pulse of the Nation" author="Tonythebookworm" title="MalaysianMirror" needs_subscription="no"/>
-  <recipe id="builtin:mandidner" language="hu" description="" author="pofa" title="Mandiner" needs_subscription="no"/>
-  <recipe id="builtin:manila_standard_today" language="en_PH" description="The Manila Standard Today is the fourth-largest broadsheet newspaper in the Philippines as of 2006. Initially established as the Manila Standard, it merged with another newspaper of record, Today, on March 6, 2005. It was the first newspaper merger in the Philippines." author="jde" title="Manila Standard Today" needs_subscription="no"/>
-  <recipe id="builtin:marctv" language="de" description="Marc Toensings Visionen" author="Marc Toensing" title="Marc Toensings Visionen" needs_subscription="no"/>
-  <recipe id="builtin:marca" language="es" description="Noticias deportivas" author="Darko Miletic" title="Marca" needs_subscription="no"/>
-  <recipe id="builtin:mdj" language="en" description="Marietta Ga and Metro Atlanta News" author="Tony Stegall" title="Marietta Daily Journal" needs_subscription="no"/>
-  <recipe id="builtin:marine_corps_times" language="en" description="News of the U.S. Marine Corps" author="jde" title="Marine Corps Times" needs_subscription="no"/>
-  <recipe id="builtin:marketing_magazine" language="it" description="Collection of Italian marketing websites" author="faber1971" title="Marketing Magazine" needs_subscription="no"/>
-  <recipe id="builtin:marketing_sensoriale" language="it" description="Marketing Sensoriale, il Blog" author="NotTaken" title="Marketing sensoriale" needs_subscription="no"/>
-  <recipe id="builtin:maskinbladet_dk" language="da" description="Landbrugets største, uafhængige nyhedskilde med adgang til nye og brugte landbrugs- og entreprenørmaskiner" author="CoderAllan.github.com" title="Maskinbladet" needs_subscription="no"/>
-  <recipe id="builtin:matichon" language="th" description="" author="Anat R." title="Matichon" needs_subscription="no"/>
-  <recipe id="builtin:max_planck" language="de" description="Forschungs-News-Feed der Max-Planck-Gesellschaft" author="schuster, a.peter" title="Max-Planck-Gesellschaft" needs_subscription="no"/>
-  <recipe id="builtin:mayra" language="ro" description="Traieste urban, cool, sexy" author="Silviu Cotoară" title="Mayra" needs_subscription="no"/>
-  <recipe id="builtin:medscape" language="en" description="Nursing News" author="Tony Stegall" title="MedScape" needs_subscription="yes"/>
-  <recipe id="builtin:mediaindonesia" language="id" description="Indonesian Media Indonesia newsportal" author="bakthariq" title="Media Indonesia" needs_subscription="no"/>
-  <recipe id="builtin:media2" language="pl" description="Media2.pl to jeden z najczęściej odwiedzanych serwisów dla profesjonalistów z branży medialnej, telekomunikacyjnej, public relations oraz nowych technologii." author="teepel &lt;teepel44@gmail.com&gt;" title="Media2" needs_subscription="no"/>
-  <recipe id="builtin:mediafax" language="ro" description="Știri din România" author="Silviu Cotoară" title="Mediafax" needs_subscription="no"/>
-  <recipe id="builtin:mediapart" language="fr" description="Global news in french from news site Mediapart" author="Daniel Bonnery from a version by Mathieu Godlewski, Louis Gesbert" title="Mediapart" needs_subscription="yes"/>
-  <recipe id="builtin:melbourne_herald_sun" language="en_AU" description="Victorian and National News. You will need to have a subscription to http://www.heraldsun.com.au to get full articles." author="Ray Hartley" title="Melbourne Herald Sun" needs_subscription="optional"/>
-  <recipe id="builtin:men24_gr" language="el" description="Greek Mens portal" author="Stelios" title="Men24.gr" needs_subscription="no"/>
-  <recipe id="builtin:mens_health" language="en" description="" author="Anonymous" title="Mens Health (US)" needs_subscription="no"/>
-  <recipe id="builtin:merco_press" language="en" description="Read News, Stories and Insight Analysis from Latin America and Mercosur. Politics, Economy, Business and Investments in South America." author="Russell Phillips" title="Merco Press" needs_subscription="no"/>
-  <recipe id="builtin:metro_news_nl" language="nl" description="Metro Nederland v1.9.5 2013-05-28, Download nieuws van de Nederlandse editie van de krant Metro" author="DrMerry" title="Metro Nieuws NL" needs_subscription="no"/>
-  <recipe id="builtin:metro_uk" language="en_GB" description="" author="D Asbury" title="Metro UK" needs_subscription="no"/>
-  <recipe id="builtin:metropol_tv" language="cs" description="metropol.cz" author="bubak" title="Metropol TV" needs_subscription="no"/>
-  <recipe id="builtin:michellemalkin" language="en" description="Michelle Malkin's take on events, a mother, wife, blogger, conservative syndicated columnist, author, and Fox News Channel contributor." author="Walt Anthony" title="Michelle Malkin" needs_subscription="no"/>
-  <recipe id="builtin:mwjournal" language="en" description="Microwave Journal Monthly Magazine" author="calibre" title="Microwave Journal" needs_subscription="no"/>
-  <recipe id="builtin:miesbacher_merkur" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Miesbacher Merkur" needs_subscription="no"/>
-  <recipe id="builtin:military_times" language="en" description="News of the U.S. Military" author="jde" title="Military Times" needs_subscription="no"/>
-  <recipe id="builtin:jsonline" language="en" description="" author="Krittika Goyal" title="Milwaukee Journal Sentinel" needs_subscription="no"/>
-  <recipe id="builtin:ecotrend" language="en" description="Thoughts on the global economy, housing, gold, silver, interest rates, oil, energy, China, commodities, the  dollar, Euro, Renminbi, Yen, inflation, deflation, stagflation, precious metals, emerging markets, and policy decisions that affect the global markets." author="Darko Miletic" title="Mish's Global Economic Trend Analysis" needs_subscription="no"/>
-  <recipe id="builtin:mobilenations" language="en" description="" author="Krittika Goyal" title="Mobile Nations" needs_subscription="no"/>
-  <recipe id="builtin:modoros" language="hu" description="Modoros.blog.hu" author="Zsolt Botykai" title="Modoros Blog" needs_subscription="no"/>
-  <recipe id="builtin:moldovaazi" language="ro" description="Moldova pe internet" author="Silviu Cotoară" title="Moldova Azi" needs_subscription="no"/>
-  <recipe id="builtin:mondedurable" language="fr" description="science news" author="Darko Miletic" title="Monde durable" needs_subscription="no"/>
-  <recipe id="builtin:monden" language="ro" description="Artişti, interviuri, concerte.. MUZICĂ" author="Silviu Cotoară" title="Monden" needs_subscription="no"/>
-  <recipe id="builtin:moneycontrol" language="en_IN" description="Financial news from India" author="kwetal" title="Money Control" needs_subscription="no"/>
-  <recipe id="builtin:moneyro" language="ro" description="Știri din România" author="Silviu Cotoară" title="Money Ro" needs_subscription="no"/>
-  <recipe id="builtin:money_pl" language="pl" description="Informacje finansowe z kraju i ze świata. Aktualne i archiwalne: notowania giełdowe, kursy walut, wskaźniki gospodarcze." author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" title="Money.pl" needs_subscription="no"/>
-  <recipe id="builtin:montevideo_com" language="es_UY" description="Noticias de Uruguay" author="Gustavo Azambuja" title="Montevideo COMM" needs_subscription="no"/>
-  <recipe id="builtin:montreal_gazette" language="en_CA" description="News from Montreal, QC" author="Nick Redding" title="Montreal Gazette" needs_subscription="no"/>
-  <recipe id="builtin:more_intelligent_life" language="en" description="More Intelligent Life (moreintelligentlife.com) is the online version of Intelligent Life, a lifestyle and culture magazine from The Economist. The website offers not only content from the print edition, trickled out over the course of its shelf-life, but also the Editors' Blog, which carries daily posts from the editorial team-quickfire observations and opinions that allow readers to eavesdrop on the conversation in the office." author="Darko Miletic" title="More Intelligent Life" needs_subscription="no"/>
-  <recipe id="builtin:motherjones" language="en" description="" author="Daniel Bonnery" title="Mother Jones" needs_subscription="no"/>
-  <recipe id="builtin:murnauer_tagblatt" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Murnauer Tagblatt" needs_subscription="no"/>
-  <recipe id="builtin:myapple_pl" language="pl" description=" Największy w Polsce serwis zajmujący się tematyką związaną z Apple i wszelkimi produktami tej firmy." author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" title="MyApple.pl" needs_subscription="no"/>
-  <recipe id="builtin:metro_montreal" language="fr" description="Le quotidien le plus branché sur le monde" author="Jerry Clapperton" title="Métro Montréal" needs_subscription="no"/>
-  <recipe id="builtin:mult_kor" language="hu" description="" author="pofa" title="Múlt-Kor" needs_subscription="no"/>
-  <recipe id="builtin:munchner_merkur_nord" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Münchner Merkur Nord" needs_subscription="no"/>
-  <recipe id="builtin:munchner_merkur_stadt" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Münchner Merkur Stadt" needs_subscription="no"/>
-  <recipe id="builtin:munchner_merkur_sud" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Münchner Merkur Süd" needs_subscription="no"/>
-  <recipe id="builtin:munchner_merkur_wurmtal" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Münchner Merkur Würmtal" needs_subscription="no"/>
-  <recipe id="builtin:mesec" language="cs" description="Zprávičky a články z Mesec.cz" author="Tomas Latal" title="Měšec" needs_subscription="no"/>
-  <recipe id="builtin:mlody_technik_pl" language="pl" description="Młody technik" author="fenuks" title="Młody technik" needs_subscription="no"/>
-  <recipe id="builtin:nasa" language="en" description="News from NASA" author="Scott Wxby &amp; David Chen" title="NASA" needs_subscription="no"/>
-  <recipe id="builtin:ngz" language="de" description="" author="schuster" title="NGZ-online" needs_subscription="no"/>
-  <recipe id="builtin:nin" language="sr" description="Nedeljne Informativne Novine" author="Darko Miletic" title="NIN online" needs_subscription="yes"/>
-  <recipe id="builtin:noaa" language="en" description="NOAA" author="Darko Miletic" title="NOAA Online" needs_subscription="no"/>
-  <recipe id="builtin:nol" language="hu" description="" author="Bigpapa" title="NOL" needs_subscription="no"/>
-  <recipe id="builtin:npr_music_blogs" language="en" description="" author="cix3" title="NPR Music Blogs" needs_subscription="no"/>
-  <recipe id="builtin:nrc.nl" language="nl" description="News from Netherlands" author="Darko Miletic" title="NRC" needs_subscription="no"/>
-  <recipe id="builtin:nrc_handelsblad" language="nl" description="Nieuws (no subscription needed)" author="veezh" title="NRC Handelsblad" needs_subscription="no"/>
-  <recipe id="builtin:nrc-nl-epub" language="nl" description="De ePaper-versie van NRC" author="Kovid Goyal" title="NRC Handelsblad" needs_subscription="yes"/>
-  <recipe id="builtin:nspm_int" language="en" description="Magazine dedicated to political theory and sociological research" author="Darko Miletic" title="NSPM in English" needs_subscription="no"/>
-  <recipe id="builtin:ntv_tr" language="tr" description="News from Turkey" author="A Erdogan" title="NTV" needs_subscription="no"/>
-  <recipe id="builtin:ntv_spor" language="tr" description="News from Turkey" author="A Erdogan" title="NTVSpor" needs_subscription="no"/>
-  <recipe id="builtin:iht" language="en" description="" author="Krittika Goyal" title="NY Times Global" needs_subscription="no"/>
-  <recipe id="builtin:nzz_folio" language="de" description="Aktuelle Artikel des NZZ Folio" author="Bernd Leinfelder" title="NZZ Folio" needs_subscription="no"/>
-  <recipe id="builtin:nzz_ger" language="de" description="Laufend aktualisierte Nachrichten, Analysen und Hintergruende zu Politik, Wirtschaft, Kultur und Sport" author="Darko Miletic, Bernd Leinfelder" title="NZZ Online" needs_subscription="no"/>
-  <recipe id="builtin:natemat_pl" language="pl" description="informacje, komentarze, opinie" author="fenuks" title="NaTemat.pl" needs_subscription="no"/>
-  <recipe id="builtin:nachdenkseiten" language="de" description="NachDenkSeiten - Die kritische Website" author="jrda" title="Nachdenkseiten" needs_subscription="no"/>
-  <recipe id="builtin:nacionred" language="es" description="" author="Arturo Martinez Nieves" title="NacionRed.com" needs_subscription="no"/>
-  <recipe id="builtin:nacional_cro" language="hr" description="news from Croatia" author="Darko Miletic" title="Nacional - Hr" needs_subscription="no"/>
-  <recipe id="builtin:nadacni_fond_proti_korupci" language="cs" description="nfpk.cz" author="bubak" title="Nadační fond proti korupci" needs_subscription="no"/>
-  <recipe id="builtin:najwyzszy_czas" language="pl" description="Wiadomości z nczas.com" author="teepel &lt;teepel44@gmail.com&gt;" title="Najwyższy Czas" needs_subscription="no"/>
-  <recipe id="builtin:nakedcapitalism" language="en" description="Commentary on current economic and financial news." author="Darko Miletic" title="Naked Capitalism" needs_subscription="no"/>
-  <recipe id="builtin:naszdziennik" language="pl" description="Nasz Dziennik - Ogólnopolska gazeta codzienna. Podejmuje tematykę dotyczącą życia społecznego, kulturalnego, politycznego i religijnego. Propaguje wartości chrześcijańskie oraz tradycję i kulturę polską." author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" title="Nasz Dziennik" needs_subscription="no"/>
-  <recipe id="builtin:natgeo" language="en" description="Inspiring people to care about the planet since 1888" author="Kovid Goyal" title="National Geographic" needs_subscription="no"/>
-  <recipe id="builtin:national_geographic_it" language="it" description="Science magazine" author="faber1971" title="National Geographic" needs_subscription="no"/>
-  <recipe id="builtin:national_geographic_es" language="es" description="Revista National Geographic - Últimas noticias" author="Vakya" title="National Geographic (es)" needs_subscription="no"/>
-  <recipe id="builtin:nationalgeoro" language="ro" description="Să avem grijă de planetă" author="Silviu Cotoară" title="National Geographic RO" needs_subscription="no"/>
-  <recipe id="builtin:national_post" language="en_CA" description="Canadian national newspaper" author="Kovid Goyal" title="National Post" needs_subscription="no"/>
-  <recipe id="builtin:npr" language="en" description="" author="onyxrev" title="National Public Radio" needs_subscription="no"/>
-  <recipe id="builtin:nationalreviewonline" language="en" description="National Review is America's most widely read and influential magazine and web site for Republican/conservative news, commentary, and opinion." author="Walt Anthony" title="National Review Online" needs_subscription="no"/>
-  <recipe id="builtin:nature" language="en" description="Nature is a weekly international multidisciplinary scientific journal publishing peer-reviewed research in all fields of science and technology on the basis of its originality, importance, interdisciplinary interest, timeliness, accessibility, elegance and surprising conclusions.  Nauture also provides rapid, authoritative, insightful and arresting news and interpretation of topical and coming trends affecting science, scientists and the wider public." author="Jose Ortiz" title="Nature" needs_subscription="no"/>
-  <recipe id="builtin:freenature" language="en" description="" author="Krittika Goyal, Starson17, adrianf0" title="Nature News" needs_subscription="no"/>
-  <recipe id="builtin:boortz" language="en" description="Neal Boortz Show Radio Notes" author="TonytheBookworm" title="Nealz Nuze" needs_subscription="no"/>
-  <recipe id="builtin:neowin" language="en" description="News from IT" author="Darko Miletic" title="Neowin.net" needs_subscription="no"/>
-  <recipe id="builtin:netzpolitik" language="de" description="" author="Kovid Goyal" title="Netzpolitik" needs_subscription="no"/>
-  <recipe id="builtin:noz" language="de" description="RSS-Feeds von noz.de" author="vo_he, epubli" title="Neue Osnabrücker Zeitung" needs_subscription="no"/>
-  <recipe id="builtin:neviditelny_pes" language="cs" description="Neviditelný pes" author="bubak" title="Neviditelný pes" needs_subscription="no"/>
-  <recipe id="builtin:nejm" language="en" description="Medical news" author="Kovid Goyal" title="New England Journal of Medicine" needs_subscription="yes"/>
-  <recipe id="builtin:njp" language="en" description="The open-access journal for physics" author="Chema Cortés" title="New Journal of Physics" needs_subscription="no"/>
-  <recipe id="builtin:new_london_day" language="en" description="State, local and business news from New London, CT" author="Being" title="New London Day" needs_subscription="no"/>
-  <recipe id="builtin:nme" language="en" description="UK Rock &amp; Pop Mag." author="Dave Asbury, Inge Aning" title="New Musical Express Magazine" needs_subscription="no"/>
-  <recipe id="builtin:new_scientist" language="en" description="Science news and science articles from New Scientist." author="calibre" title="New Scientist - Online News w. subscription" needs_subscription="optional"/>
-  <recipe id="builtin:new_statesman" language="en_GB" description="Current affairs, world politics, the arts and more from Britain's award-winning magazine" author="Darko Miletic" title="New Statesman" needs_subscription="no"/>
-  <recipe id="builtin:newsstraitstimes" language="en" description="Learning Curve, Sunday People, New Straits Times from Malaysia" author="Darko Miletic" title="New Straits Times from Malaysia" needs_subscription="no"/>
-  <recipe id="builtin:nymag" language="en" description="Food, culture, arts and entertainment in New York" author="Kovid Goyal" title="New York Magazine" needs_subscription="no"/>
-  <recipe id="builtin:nypost" language="en" description="Daily newspaper" author="Darko Miletic" title="New York Post" needs_subscription="no"/>
-  <recipe id="builtin:new_york_review_of_books" language="en" description="Book reviews" author="Kovid Goyal" title="New York Review of Books" needs_subscription="yes"/>
-  <recipe id="builtin:new_york_review_of_books_no_sub" language="en" description="Book reviews" author="Kovid Goyal" title="New York Review of Books (no subscription)" needs_subscription="no"/>
-  <recipe id="builtin:nytimesbook" language="en" description="The New York Times Sunday Book Review" author="Kovid Goyal" title="New York Times Book Review" needs_subscription="no"/>
-  <recipe id="builtin:nytimes_sports" language="en" description="Indepth sports from the New York Times" author="rylsfan" title="New York Times Sports Beat" needs_subscription="no"/>
-  <recipe id="builtin:nytimes_tech" language="en" description="The latest in technology - Gadgetwise" author="calibre" title="New York Times Technology Beat" needs_subscription="no"/>
-  <recipe id="builtin:new_yorker" language="en" description="Content from the New Yorker website" author="Kovid Goyal" title="New Yorker Magazine" needs_subscription="no"/>
-  <recipe id="builtin:nzherald" language="en_NZ" description="Daily news" author="Kovid Goyal" title="New Zealand Herald" needs_subscription="no"/>
-  <recipe id="builtin:newsobs" language="en" description="" author="Krittika Goyal" title="News And Observer" needs_subscription="no"/>
-  <recipe id="builtin:news_busters" language="en" description="Exposing and Combating Liberal Media Bias" author="jde" title="News Busters" needs_subscription="no"/>
-  <recipe id="builtin:japan_news" language="en" description="" author="Krittika Goyal" title="News On Japan" needs_subscription="no"/>
-  <recipe id="builtin:news24" language="en_ZA" description="News24." author="Nicki de Wet" title="News24" needs_subscription="no"/>
-  <recipe id="builtin:newsbeast" language="el" description="News from Greece" author="Stelios" title="Newsbeast" needs_subscription="no"/>
-  <recipe id="builtin:news_times" language="en" description="news from USA" author="Darko Miletic" title="Newstimes" needs_subscription="no"/>
-  <recipe id="builtin:newsweek_polska" language="pl" description="Weekly magazine" author="matek09, admroz" title="Newsweek Polska" needs_subscription="no"/>
-  <recipe id="builtin:nezavisne_novine" language="sr" description="Nezavisne novine - Najnovije vijesti iz BiH, Srbije, Hrvatske, Crne Gore i svijeta" author="Darko Miletic" title="Nezavisne novine" needs_subscription="no"/>
-  <recipe id="builtin:niebezpiecznik" language="pl" description="Niebezpiecznik.pl – o bezpieczeństwie i nie..." author="fenuks" title="Niebezpiecznik.pl" needs_subscription="no"/>
-  <recipe id="builtin:nieuws_be" language="nl_BE" description="News from Belgium in Dutch" author="erkfuizfeuadjfjzefzfuzeff" title="Nieuws.be" needs_subscription="no"/>
-  <recipe id="builtin:nightflier" language="sr" description="SF, Fantasy, Books, Knjige" author="Darko Miletic" title="Nightflier's Bookspace" needs_subscription="no"/>
-  <recipe id="builtin:nbonline" language="ja" description="Nikkei Business Online.注：ユーザー名にemailアドレスとユーザー名をセミコロンで区切って入れてください。例：email@address.jp;username . PLEASE NOTE: You need to put your email address and username into username filed separeted by ; (semi-colon)." author="Ado Nishimura" title="Nikkei Business Online" needs_subscription="yes"/>
-  <recipe id="builtin:njuz_net" language="sr" description="Iscasene vesti iz Srbije, regiona i sveta" author="Darko Miletic" title="Njuz.net" needs_subscription="no"/>
-  <recipe id="builtin:non_leggerlo" language="it" description="An Italian satirical blog" author="faber1971" title="Non leggerlo" needs_subscription="no"/>
-  <recipe id="builtin:nordjyske_dk" language="da" description="Nordjyske.dk er hele tiden klar med de nyheder, der handler om dig og dit liv. Og du får dem lige der, hvor du er - på din computer, tablet eller mobiltelefon." author="CoderAllan.github.com" title="Nordjyske.dk" needs_subscription="no"/>
-  <recipe id="builtin:nortecastilla" language="es" description="Daily newspaper from Spain" author="calibre" title="NorteCastilla " needs_subscription="no"/>
-  <recipe id="builtin:grrm" language="en" description="George R.R. Martin" author="Darko Miletic" title="Not A Blog - George R.R. Martin" needs_subscription="no"/>
-  <recipe id="builtin:nsfw_corp" language="en" description="Not Safe For Work Corporation" author="Darko Miletic" title="Not Safe For Work Corporation" needs_subscription="yes"/>
-  <recipe id="builtin:nspm" language="sr" description="Casopis za politicku teoriju i drustvena istrazivanja" author="Darko Miletic" title="Nova srpska politicka misao" needs_subscription="no"/>
-  <recipe id="builtin:novaya_gazeta" language="ru" description="" author="muwa" title="Novaya Gazeta" needs_subscription="no"/>
-  <recipe id="builtin:novilist_novine_hr" language="hr" description="Vijesti iz Hrvatske" author="Darko Miletic" title="Novi List" needs_subscription="yes"/>
-  <recipe id="builtin:novilist_portal_hr" language="hr" description="Portal Novog Lista" author="Darko Miletic" title="Novi List - online portal" needs_subscription="no"/>
-  <recipe id="builtin:novinite_bg" language="bg" description="Real time provider of the latest news from Bulgaria and the world" author="M3 Web" title="Novinite.bg" needs_subscription="no"/>
-  <recipe id="builtin:novinite" language="en_BG" description="Real time provider of the latest Bulgarian news in English" author="Martin Tsanchev" title="Novinite.com" needs_subscription="no"/>
-  <recipe id="builtin:novinky" language="cs" description="News from server Novinky.cz" author="Tomas Latal" title="Novinky" needs_subscription="no"/>
-  <recipe id="builtin:now_toronto" language="en_CA" description="Now Toronto" author="Starson17" title="Now Toronto" needs_subscription="no"/>
-  <recipe id="builtin:nowiny_rybnik" language="pl" description="Tygodnik Regionalny NOWINY. Ogłoszenia drobne, wiadomości i wydarzenia z regionu Rybnika i okolic" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" title="Nowiny - Rybnik" needs_subscription="no"/>
-  <recipe id="builtin:nowy_obywatel" language="pl" description="Pismo na rzecz sprawiedliwości społecznej" author="Łukasz Grączewski" title="Nowy Obywatel" needs_subscription="no"/>
-  <recipe id="builtin:nu" language="nl" description="Dutch News" author="Rob Hankel" title="Nu.nl" needs_subscription="no"/>
-  <recipe id="builtin:nursingtimes" language="en_GB" description="Nursing practice, NHS and health care news" author="Darko Miletic" title="Nursing Times" needs_subscription="yes"/>
-  <recipe id="builtin:nuus24" language="af" description="Daaglikse Afrikaanse Nuus via Nuus24" author="Nicki de Wet" title="Nuus24" needs_subscription="no"/>
-  <recipe id="builtin:nepszabadsag" language="hu" description="" author="bubak" title="Népszabadság" needs_subscription="no"/>
-  <recipe id="builtin:noerrebronordvestbladet_dk" language="da" description="" author="CoderAllan.github.com" title="Nørrebro Nordvest bladet" needs_subscription="no"/>
-  <recipe id="builtin:o_globo" language="pt_BR" description="News from Brasil" author="Darko Miletic and Carlos Laviola" title="O Globo" needs_subscription="no"/>
-  <recipe id="builtin:osel_cz" language="cs" description="" author="spacekpe" title="OSEL.cz" needs_subscription="no"/>
-  <recipe id="builtin:oakland_north" language="en" description="Oakland North" author="noah" title="Oakland North" needs_subscription="no"/>
-  <recipe id="builtin:observa_digital" language="es_UY" description="Noticias desde Uruguay" author="2010, Gustavo Azambuja &lt;hola at gazambuja.com&gt;" title="Observa Digital" needs_subscription="no"/>
-  <recipe id="builtin:observatorul_cultural" language="ro" description="Spiritul critic in acţiune&#10;" author="song2" title="Observatorul cultural" needs_subscription="no"/>
-  <recipe id="builtin:oilprice" language="en" description="The nr. 1 source for Oil Price Information" author="Darko Miletic" title="Oil Price" needs_subscription="no"/>
-  <recipe id="builtin:omgubuntu" language="en" description="" author="calibre" title="OmgUbuntu" needs_subscription="no"/>
-  <recipe id="builtin:onda_rock" language="it" description="Italian rock webzine" author="faber1971" title="Onda Rock" needs_subscription="no"/>
-  <recipe id="builtin:schattenblick" language="de" description="" author="ThB" title="Online-Zeitung Schattenblick" needs_subscription="no"/>
-  <recipe id="builtin:opinion_bo" language="es_BO" description="Opinión diario de circulación nacional, Cochabamba, Bolivia" author="Piet van Oostrum" title="Opinión - Bolivia" needs_subscription="no"/>
-  <recipe id="builtin:oc_register" language="en" description="The O.C. Register&#10;Recipe: Nov 2016" author="TechnoCat" title="Orange County Register" needs_subscription="no"/>
-  <recipe id="builtin:legitymizm" language="pl" description="Portal legitymistyczny" author="Tomasz Długosz" title="Organizacja Monarchistów Polskich" needs_subscription="no"/>
-  <recipe id="builtin:oriental_daily" language="zh" description="News from HK" author="Larry Chan" title="Oriental Dailly" needs_subscription="no"/>
-  <recipe id="builtin:orlando_sentinel" language="en" description="Orlando, Florida, Newspaper" author="rty" title="Orlando Sentinel" needs_subscription="no"/>
-  <recipe id="builtin:orsai" language="es" description="" author="Darko Miletic" title="Orsai" needs_subscription="no"/>
-  <recipe id="builtin:ottawa_citizen" language="en_CA" description="News from Ottawa, ON" author="Nick Redding" title="Ottawa Citizen" needs_subscription="no"/>
-  <recipe id="builtin:ourdailybread" language="en" description="Our Daily Bread is a daily devotional from RBC Ministries which helps readers spend time each day in God's Word." author="Kovid Goyal" title="Our Daily Bread" needs_subscription="no"/>
-  <recipe id="builtin:outlook_india" language="en_IN" description="Weekly news and current affairs in India" author="Kovid Goyal" title="Outlook India" needs_subscription="no"/>
-  <recipe id="builtin:oxford_mail" language="en_GB" description="" author="Krittika Goyal" title="Oxford Mail" needs_subscription="no"/>
-  <recipe id="builtin:osw" language="pl" description="Ośrodek Studiów Wschodnich im. Marka Karpia. Centre for Eastern Studies." author="teepel &lt;teepel44@gmail.com&gt;" title="Ośrodek Studiów Wschodnich" needs_subscription="no"/>
-  <recipe id="builtin:nauka_w_polsce" language="pl" description="Serwis Nauka w Polsce ma za zadanie popularyzację polskiej nauki. Można na nim znaleźć wiadomości takie jak: osiągnięcia polskich naukowców, wydarzenia na polskich uczelniach, osiągnięcia studentów, konkursy dla badaczy, staże i stypendia naukowe, wydarzenia w polskiej nauce, kalendarium wydarzeń w nauce, materiały wideo o nauce." author="fenuks" title="PAP Nauka w Polsce" needs_subscription="no"/>
-  <recipe id="builtin:pc_foster" language="pl" description="Vortal technologiczny: testy, recenzje sprzętu komputerowego i telefonów, nowinki hardware, programy i gry dla Windows. Podkręcanie, modding i Overclocking." author="fenuks" title="PC Foster" needs_subscription="no"/>
-  <recipe id="builtin:pc_lab" language="pl" description="Articles from PC Lab website" author="ravcio - rlelusz[at]gmail.com" title="PC Lab" needs_subscription="no"/>
-  <recipe id="builtin:pc_mag" language="en" description="PCMag (www.pcmag.com) delivers authoritative, labs-based comparative reviews of computing and Internet products to highly engaged technology buyers." author="Lorenzo Vigentini" title="PC Magazine" needs_subscription="no"/>
-  <recipe id="builtin:pcworldro" language="ro" description="IT" author="Silviu Cotoară" title="PC World" needs_subscription="no"/>
-  <recipe id="builtin:pcworld_hu" language="hu" description="" author="Ezmegaz" title="PCWORLD.HU" needs_subscription="no"/>
-  <recipe id="builtin:pc_world" language="en" description="PC World and Macworld consistently deliver editorial excellence through award-winning content and trusted product reviews." author="Lorenzo Vigentini" title="PCWorld " needs_subscription="no"/>
-  <recipe id="builtin:phd_comics" language="en" description="" author="Rafardeon" title="PHD Comics" needs_subscription="no"/>
-  <recipe id="builtin:pnn" language="de" description="PNN RSS" author="n.kucklaender" title="PNN" needs_subscription="no"/>
-  <recipe id="builtin:pvp_online" language="en" description="" author="Krittika Goyal" title="PVP online" needs_subscription="no"/>
-  <recipe id="builtin:padreydecano" language="es_UY" description="El sitio del pueblo" author="Carlos Alves" title="Padre y Decano" needs_subscription="no"/>
-  <recipe id="builtin:pagina12" language="es_AR" description="Noticias de Argentina y el resto del mundo" author="Darko Miletic" title="Pagina - 12" needs_subscription="no"/>
-  <recipe id="builtin:pagina_12_print_ed" language="es" description="Diario argentino" author="Pablo Marfil" title="Pagina/12 - Edicion Impresa" needs_subscription="no"/>
-  <recipe id="builtin:pajama" language="en" description="Provides exclusive news and opinion for forty countries." author="Krittika Goyal" title="Pajamas Media" needs_subscription="no"/>
-  <recipe id="builtin:pambianco" language="it" description="fashion magazine for professional people" author="faber1971" title="Pambianco" needs_subscription="no"/>
-  <recipe id="builtin:pandodaily" language="en" description="speaking truth to the new power" author="Darko Miletic" title="PandoDaily" needs_subscription="no"/>
-  <recipe id="builtin:panorama" language="it" description="Italian weekly magazine" author="Lorenzo Vigentini, based on Darko Miletic" title="Panorama " needs_subscription="no"/>
-  <recipe id="builtin:parlamentni_listy" language="cs" description="" author="bubak" title="Parlamentní Listy" needs_subscription="no"/>
-  <recipe id="builtin:patente_de_corso" language="es" description="Arturo Perez Reverte" author="Oscar Megia Lopez" title="Patente de Corso" needs_subscription="no"/>
-  <recipe id="builtin:pc_advisor" language="en" description="PC Advisor delivers expert advice you can trust to business and home PC users who want to buy the best-value equipment and make the most out of the equipment they already own." author="Lorenzo Vigentini" title="Pc Advisor " needs_subscription="no"/>
-  <recipe id="builtin:penguin_news" language="en" description="Penguin News: the Falkland Islands' only newspaper." author="Russell Phillips" title="Penguin News" needs_subscription="no"/>
-  <recipe id="builtin:penzberger_merkur" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Penzberger Merkur" needs_subscription="no"/>
-  <recipe id="builtin:people_us_mashup" language="en" description="Headlines from People and US Magazine" author="BrianG" title="People/US Magazine Mashup" needs_subscription="no"/>
-  <recipe id="builtin:periodismo_humano_es" language="es" description="periodismohumano es un nuevo medio de comunicación con enfoque de derechos humanos y sin ánimo de lucro, dirigido por Javier Bauluz y con un equipo de redacción profesional, con corresponsales, colaboradores y analistas en diferentes partes del mundo." author="Marc Busqué &lt;marc@lamarciana.com&gt;" title="Periodismo Humano" needs_subscription="no"/>
-  <recipe id="builtin:el_colombiano" language="es_CO" description="" author="BIGO-CAVA" title="Periódico El Colombiano" needs_subscription="no"/>
-  <recipe id="builtin:el_mundo_co" language="es_CO" description="" author="BIGO-CAVA" title="Periódico El Mundo" needs_subscription="no"/>
-  <recipe id="builtin:portafolio" language="es_CO" description="" author="BIGO-CAVA" title="Periódico Portafolio Colombia" needs_subscription="no"/>
-  <recipe id="builtin:el_espectador" language="es_CO" description="" author="BIGO-CAVA" title="Periódico el Espectador" needs_subscription="no"/>
-  <recipe id="builtin:el_tiempo" language="es_CO" description="" author="BIGO-CAVA" title="Periódico el Tiempo" needs_subscription="no"/>
-  <recipe id="builtin:peterschiff" language="en" description="Economic commentary" author="Darko Miletic" title="Peter Schiff's Economic Commentary" needs_subscription="no"/>
-  <recipe id="builtin:pescanik" language="sr" description="Peščanik je udruženje građana osnovano 2006. godine. Glavni proizvod Peščanika je radio emisija koja je emitovana na Radiju B92 od 02.02.2000. do 16.06.2011, a od septembra 2011. se emituje na osam radio stanica u Srbiji, Crnoj Gori i BiH" author="Darko Miletic" title="Peščanik" needs_subscription="no"/>
-  <recipe id="builtin:philly" language="en" description="" author="bing" title="Philadelphia Inquirer" needs_subscription="no"/>
-  <recipe id="builtin:phillosophy_now" language="en" description="Philosophy Now is a lively magazine for everyone&#10;    interested in ideas. It isn't afraid to tackle all the major questions of&#10;    life, the universe and everything. Published every two months, it tries to&#10;    corrupt innocent citizens by convincing them that philosophy can be&#10;    exciting, worthwhile and comprehensible, and also to provide some enjoyable&#10;    reading matter for those already ensnared by the muse, such as philosophy&#10;    students and academics." author="Rick Shang" title="Philosophy Now" needs_subscription="yes"/>
-  <recipe id="builtin:phoronix" language="en" description="Actualités Phoronix" author="calibre" title="Phoronix" needs_subscription="no"/>
-  <recipe id="builtin:phys_org" language="en" description="" author="Krittika Goyal" title="PhysOrg" needs_subscription="no"/>
-  <recipe id="builtin:physics_today" language="en" description="Physics Today magazine" author="Hypernova" title="Physicstoday" needs_subscription="yes"/>
-  <recipe id="builtin:physics_world" language="en" description="News from the world of physics" author="Hypernova" title="Physicsworld" needs_subscription="yes"/>
-  <recipe id="builtin:philippino_star_ngayon" language="tgl" description="A daily Tabloid written in Tagalog, distributed in the Philippines. A tabloid style newspaper published in the national language - philstar.com is a Philippine news and entertainment portal for the Filipino global community.   It is the online presence of the STAR Group of Publications, a leading publisher of newspapers and magazines in the Philippines." author="jde" title="Pilipino Star Ngayon" needs_subscription="no"/>
-  <recipe id="builtin:pilot" language="en" description="" author="Krittika Goyal" title="Pilot Online" needs_subscription="no"/>
-  <recipe id="builtin:piratska_strana" language="cs" description="" author="bubak" title="Piratská strana" needs_subscription="no"/>
-  <recipe id="builtin:piratske_noviny" language="cs" description="nfpk.cz" author="bubak" title="Piratské noviny" needs_subscription="no"/>
-  <recipe id="builtin:planet_python" language="en" description="" author="Jelle van der Waa" title="Planet Python" needs_subscription="no"/>
-  <recipe id="builtin:pobjeda" language="sr" description="News from Montenegro" author="Darko Miletic" title="Pobjeda Online" needs_subscription="no"/>
-  <recipe id="builtin:readitlater" language="und" description="Personalized news feeds. Go to getpocket.com to setup up&#10;                  your news. This version displays pages of articles from&#10;                  oldest to newest, with max &amp; minimum counts, and marks&#10;                  articles read after downloading." author="Darko Miletic, Przemyslaw Kryger, Keith Callenberg, tBunnyMan" title="Pocket" needs_subscription="yes"/>
-  <recipe id="builtin:podnikatel" language="cs" description="Aktuality a články z Podnikatel.cz" author="Tomas Latal" title="Podnikatel" needs_subscription="no"/>
-  <recipe id="builtin:politico" language="en" description="Political news from USA" author="Darko Miletic and Sujata Raman" title="Politico" needs_subscription="no"/>
-  <recipe id="builtin:politifact" language="en" description="" author="Michael Heinz" title="Politifact" needs_subscription="no"/>
-  <recipe id="builtin:politika" language="sr" description="Najstariji dnevni list na Balkanu" author="Darko Miletic" title="Politika Online" needs_subscription="no"/>
-  <recipe id="builtin:politiken_dk" language="da" description="News from Denmark" author="Darko Miletic" title="Politiken.dk" needs_subscription="no"/>
-  <recipe id="builtin:politiko_dk" language="da" description="Læs de seneste nyheder om dansk politik. På Politiko får du alt om politik samlet et sted - Politiko.dk" author="CoderAllan.github.com" title="Politiko | Berlingskes politiske site" needs_subscription="no"/>
-  <recipe id="builtin:polityka" language="pl" description="Weekly magazine. Last archive issue" author="matek09" title="Polityka" needs_subscription="no"/>
-  <recipe id="builtin:polizeipress_de" language="de" description="Tagesaktuelle &quot;Polizeiberichte&quot; aus ganz Deutschland (bis auf Ortsebene).Um deinen Ort/Stadt/Kreis usw. einzubinden, gehe auf &quot;http://www.presseportal.de/polizeipresse/&quot; und suche im oberen &quot;Suchfeld&quot; nach dem Namen.Oberhalb der Suchergebnisse (Folgen:) auf den üblichen link zu den RSS-Feeds klicken und den RSS-link im Rezept unter &quot;feeds&quot; eintragen wie üblich.Die Auswahl von Orten kann vereinfacht werden wenn man den Suchbegriff wie folgt eingibt:&quot;Stadt-Ort&quot;." author="schuster" title="Polizeipresse - Deutschland" needs_subscription="no"/>
-  <recipe id="builtin:polter_pl" language="pl" description="Największy polski serwis poświęcony ogólno pojętej fantastyce - grom fabularnym (RPG), książkom, filmowi, komiksowi, grom planszowym, karcianym i bitewnym." author="fenuks" title="Polter.pl" needs_subscription="no"/>
-  <recipe id="builtin:popscience" language="en" description="Popular Science" author="Kovid Goyal" title="Popular Science" needs_subscription="no"/>
-  <recipe id="builtin:portfolio" language="en" description="Conde Nast Portfolio: For the businessman." author="JTravers" title="Portfolio" needs_subscription="no"/>
-  <recipe id="builtin:portfolio_hu_hu" language="hu" description="" author="laca" title="Portfolio.hu" needs_subscription="no"/>
-  <recipe id="builtin:portfolio_hu" language="en_HU" description="" author="laca" title="Portfolio.hu - English Edition" needs_subscription="no"/>
-  <recipe id="builtin:post_today" language="th" description="" author="Chotechai P." title="Post Today" needs_subscription="no"/>
-  <recipe id="builtin:poughkeepsie_journal" language="en" description="" author="weebl" title="Poughkeepsie Journal" needs_subscription="no"/>
-  <recipe id="builtin:praguemonitor" language="en" description="Czech news in English" author="Darko Miletic" title="Prague Daily Monitor" needs_subscription="no"/>
-  <recipe id="builtin:pravda" language="sk" description="News from Slovakia" author="kwetal" title="Pravda" needs_subscription="no"/>
-  <recipe id="builtin:pravda_por" language="pt" description="News from Russia and rest of the world" author="Darko Miletic" title="Pravda em português" needs_subscription="no"/>
-  <recipe id="builtin:pravda_it" language="it" description="News from Russia and rest of the world" author="Darko Miletic" title="Pravda in Italiano" needs_subscription="no"/>
-  <recipe id="builtin:pressonline" language="sr" description="Press Online portal dnevnih novina Press.Najnovije vesti iz Srbije i sveta,Sport,Dzet Set,Politika,Hronika,Komenteri,Zabava,Slike,Video,Horoskop,Nagradne igre,Kvizovi,Igrice" author="Darko Miletic" title="Press Online" needs_subscription="no"/>
-  <recipe id="builtin:pressthink" language="en" description="Ghost of democracy in the media machine" author="Darko Miletic" title="PressThink" needs_subscription="no"/>
-  <recipe id="builtin:german_gov" language="de" description="" author="malfi" title="Pressemitteilungen der Bundesregierung" needs_subscription="no"/>
-  <recipe id="builtin:eu_commission" language="de" description="" author="malfi" title="Pressemitteilungen der EU Kommission pro Politikbereich" needs_subscription="no"/>
-  <recipe id="builtin:presse_portal" language="de" description="Presseportal News Feed DE fetched: 2020-07-03" author="Volker Heggemann, VoHe" title="Presseportal DE" needs_subscription="no"/>
-  <recipe id="builtin:private_eye" language="en" description="Private Eye is a fortnightly British satirical news and current affairs magazine, edited by Ian Hislop, offering a unique blend of humour, social and political observations and investigative journalism. This e-book is a download of the online-edition. The full edition is available only on subscription." author="Sophist at sodalis.co.uk" title="Private Eye Online" needs_subscription="no"/>
-  <recipe id="builtin:pro_physik" language="de" description="" author="schuster, Armin Geller" title="Pro Physik" needs_subscription="no"/>
-  <recipe id="builtin:propublica" language="en" description="Independent investigative journalism in the public interest." author="kwetal" title="Pro Publica" needs_subscription="no"/>
-  <recipe id="builtin:pro_linux_de" language="de" description="" author="Bobus" title="Pro-Linux.de" needs_subscription="no"/>
-  <recipe id="builtin:protvmagazin" language="ro" description="Ghid TV" author="Silviu Cotoară" title="ProTv Magazin" needs_subscription="no"/>
-  <recipe id="builtin:promotor" language="ro" description="Auto-moto" author="Silviu Cotoară" title="Promotor" needs_subscription="no"/>
-  <recipe id="builtin:prospectmaguk" language="en_GB" description="A general-interest publication offering analysis and commentary about politics, news and business." author="barty, duluoz" title="Prospect Magazine" needs_subscription="yes"/>
-  <recipe id="builtin:prosport" language="ro" description="Știri Sportive din România" author="Silviu Cotoară" title="Prosport" needs_subscription="no"/>
-  <recipe id="builtin:prostamerika" language="en" description="Seattle soccer with a European accent. News, features, and match reports." author="rylsfan" title="Prost Amerika" needs_subscription="no"/>
-  <recipe id="builtin:protagon" language="el" description="Opinion articles in Greek" author="Stelios" title="Protagon" needs_subscription="no"/>
-  <recipe id="builtin:projo" language="en" description="" author="mikebw" title="Providence Journal" needs_subscription="no"/>
-  <recipe id="builtin:pravo" language="cs" description="" author="bubak" title="Právo" needs_subscription="no"/>
-  <recipe id="builtin:psychologies" language="ro" description="Psihologie şi Dezvoltare Personală.." author="Silviu Cotoară" title="Psychologies" needs_subscription="no"/>
-  <recipe id="builtin:psych" language="en" description="This magazine takes information from the latest research in the field of psychology and makes it useful to people in their everyday lives. Its coverage encompasses self-improvement, relationships, the mind-body connection, health, family, the workplace and culture." author="Kovid Goyal" title="Psychology Today" needs_subscription="no"/>
-  <recipe id="builtin:pubblico_giornale" language="it" description="Italian newspaper directed by Luca Telese" author="iusvar" title="Pubblico giornale" needs_subscription="no"/>
-  <recipe id="builtin:publico" language="pt" description="Jornal português" author="calibre" title="Publico.PT" needs_subscription="no"/>
-  <recipe id="builtin:el_publico" language="es" description="" author="Gerardo Diez" title="Publico.es" needs_subscription="no"/>
-  <recipe id="builtin:publika" language="ro" description="Ştiri din Moldova" author="Silviu Cotoară" title="Publika" needs_subscription="no"/>
-  <recipe id="builtin:punto_informatico" language="it" description="Punto Informatico: Internet dal 1996" author="Gabriele Marini" title="Punto Informatico " needs_subscription="no"/>
-  <recipe id="builtin:pure_pc" language="pl" description="Artykuły, aktualności, sprzęt, forum, chłodzenie, modding, urządzenia mobilne - wszystko w jednym miejscu." author="fenuks" title="PurePC" needs_subscription="no"/>
-  <recipe id="builtin:quanta_magazine" language="en" description="" author="lui1" title="Quanta Magazine" needs_subscription="no"/>
-  <recipe id="builtin:queleer" language="es" description="Libros, Novedades en libros, Criticas, Noticias libro" author="Darko Miletic" title="Que Leer" needs_subscription="no"/>
-  <recipe id="builtin:quotidiano" language="it" description="Italian News Agency" author="Lorenzo Vigentini, based on Darko Miletic" title="Quotidiano Net " needs_subscription="no"/>
-  <recipe id="builtin:rbc_ru" language="ru" description="Российское информационное агентство «РосБизнесКонсалтинг» (РБК) - ленты новостей политики, экономики и финансов, аналитические материалы, комментарии и прогнозы, тематические статьи" author="A. Chewi" title="RBC.ru" needs_subscription="no"/>
-  <recipe id="builtin:rds" language="en_CA" description="Hockey News" author="Nexus" title="RDS" needs_subscription="no"/>
-  <recipe id="builtin:rga" language="de" description="E-Zeitung aus RSS-Artikeln zusammengestellt." author="Werner Gerard" title="RGA Online - German" needs_subscription="no"/>
-  <recipe id="builtin:ria_ru" language="ru" description="News from Russia" author="Darko Miletic" title="RIA Novosti - Russian" needs_subscription="no"/>
-  <recipe id="builtin:rheinische_post" language="de" description="" author="schuster" title="RP-online" needs_subscription="no"/>
-  <recipe id="builtin:rtnews" language="en_RU" description="RT is the first Russian 24/7 English-language news channel which brings the Russian view on global news." author="Darko Miletic" title="RT in English" needs_subscription="no"/>
-  <recipe id="builtin:rte" language="en_IE" description="" author="Robin Phillips" title="RTE News" needs_subscription="no"/>
-  <recipe id="builtin:rts" language="sr" description="News from Serbia" author="Darko Miletic" title="RTS: Vesti" needs_subscription="no"/>
-  <recipe id="builtin:rabble_ca" language="en_CA" description="" author="timtoo" title="Rabble.ca" needs_subscription="no"/>
-  <recipe id="builtin:radikal_tr" language="tr" description="News from Turkey" author="Darko Miletic" title="Radikal - Turkey" needs_subscription="no"/>
-  <recipe id="builtin:radio_prague" language="en_CZ" description="News and information from and about The Czech republic. " author="Francois Pellicaan" title="Radio Praha" needs_subscription="no"/>
-  <recipe id="builtin:radio_praha" language="cs" description="Česká oficiální mezinárodní vysílací stanice." author="Francois Pellicaan" title="Radio Praha" needs_subscription="no"/>
-  <recipe id="builtin:observer" language="en" description="News from Raleigh, North Carolina" author="Krittika Goyal updated by Walt Anthony" title="Raleigh News &amp; Observer" needs_subscription="no"/>
-  <recipe id="builtin:readers_digest" language="en" description="Readers Digest Feeds" author="BrianG, Gobelinus" title="Readers Digest" needs_subscription="no"/>
-  <recipe id="builtin:real_clear" language="en" description="Real Clear Politics/Science/etc... aggregation of news&#10;" author="TMcN" title="Real Clear" needs_subscription="no"/>
-  <recipe id="builtin:real_world_economics_review" language="en" description="" author="Julio Map" title="Real-world economis review blog" needs_subscription="no"/>
-  <recipe id="builtin:realitatea" language="ro" description="Știri din România" author="Silviu Cotoară" title="Realitatea" needs_subscription="no"/>
-  <recipe id="builtin:rebelion" language="es" description="Rebelión pretende ser un medio de información alternativa que publique las noticias que no son consideradas importantes por los medios de comunicación tradicionales. También, dar a las noticias un tratamiento diferente en la línea de mostrar los intereses que los poderes económicos y políticos del mundo capitalista ocultan para mantener sus privilegios y el status actual. Queremos servir y ayudarnos de todos los grupos, colectivos y personas que trabajan por cambiar este mundo en una perspectiva radicalmente diferente, más justa, igualitaria y equilibrada social y ecológicamente. Es nuestro objetivo contar con la participación y colaboración de todos vosotros para que Rebelión sea un espacio serio, riguroso y actualizado en la difusión de noticias." author="Marc Busqué &lt;marc@lamarciana.com&gt;" title="Rebelion.org" needs_subscription="no"/>
-  <recipe id="builtin:red_voltaire" language="es" description="Red de prensa no alineada, especializada en el análisis de las relaciones internacionales" author="atordo" title="Red Voltaire" needs_subscription="no"/>
-  <recipe id="builtin:red_aragon" language="es" description="Guia de ocio desde Aragon" author="desUBIKado" title="RedAragon" needs_subscription="no"/>
-  <recipe id="builtin:regina_leader_post" language="en_CA" description="News from Regina, SK" author="Nick Redding" title="Regina Leader-Post" needs_subscription="no"/>
-  <recipe id="builtin:replicavedetelor" language="ro" description="Oferă vedetelor dreptul la replică" author="Silviu Cotoara" title="Replica Vedetelor" needs_subscription="no"/>
-  <recipe id="builtin:republica" language="en_NP" description="News from the Republica" author="Manish Bhattarai" title="Republica" needs_subscription="no"/>
-  <recipe id="builtin:republika" language="sr" description="Glasilo gradjanskog samooslobadjanja. Protiv stihije straha, mrznje i nasilja" author="Darko Miletic" title="Republika" needs_subscription="no"/>
-  <recipe id="builtin:respekt_magazine" language="cs" description="Articles from the print edition" author="Tomáš Hnyk" title="Respekt Magazine – Print" needs_subscription="yes"/>
-  <recipe id="builtin:reuters_ja" language="ja" description="Global news in Japanese" author="Hiroshi Miura" title="Reuters(Japan)" needs_subscription="no"/>
-  <recipe id="builtin:revista_bla" language="es_UY" description="Moda | Uruguay" author="Gustavo Azambuja" title="Revista Bla" needs_subscription="no"/>
-  <recipe id="builtin:revista_cromos" language="es_CO" description="Revista Cromos" author="Ismael Mejia &lt;iemejia@gmail.com&gt;" title="Revista Cromos" needs_subscription="no"/>
-  <recipe id="builtin:el_cultural" language="es" description="Revista de cultura" author="Jefferson Frantz" title="Revista El Cultural" needs_subscription="no"/>
-  <recipe id="builtin:felicia" language="ro" description="O revistă pentru sufletul tău" author="Silviu Cotoară" title="Revista Felicia" needs_subscription="no"/>
-  <recipe id="builtin:revista_muy" language="es" description="Revista de divulgacion" author="Jefferson Frantz" title="Revista Muy Interesante" needs_subscription="no"/>
-  <recipe id="builtin:revista_semana" language="es_CO" description="" author="BIGO-CAVA" title="Revista Semana" needs_subscription="no"/>
-  <recipe id="builtin:revista_summa" language="es" description="Informacion regional sobre economia y negocios" author="Vakya" title="Revista Summa" needs_subscription="no"/>
-  <recipe id="builtin:revista_veintitres" language="es_AR" description="Últimas noticias de Política | Revista Veintitrés, información precisa sin perder la mirada crítica" author="Darko Miletic" title="Revista Veintitres" needs_subscription="no"/>
-  <recipe id="builtin:revista_piaui" language="pt_BR" description="" author="Eduardo Gustini Simões" title="Revista piauí" needs_subscription="no"/>
-  <recipe id="builtin:rian_spa" language="es" description="Noticias desde Russia en Castellano" author="Darko Miletic" title="Ria Novosti" needs_subscription="no"/>
-  <recipe id="builtin:rian_eng" language="en" description="News from Russia in English" author="Darko Miletic" title="Ria Novosti" needs_subscription="no"/>
-  <recipe id="builtin:rmf24_ESKN" language="pl" description="Ekonomia, sport, kultura i nauka ze strony rmf24.pl" author="Tomasz Długosz" title="Rmf24.pl - Ekonomia Sport Kultura Nauka" needs_subscription="no"/>
-  <recipe id="builtin:rmf24_fakty" language="pl" description="Fakty ze strony rmf24.pl" author="Tomasz Długosz" title="Rmf24.pl - Fakty" needs_subscription="no"/>
-  <recipe id="builtin:rmf24_opinie" language="pl" description="Blogi, wywiady i komentarze ze strony rmf24.pl" author="Tomasz Długosz" title="Rmf24.pl - Opinie" needs_subscription="no"/>
-  <recipe id="builtin:roger_ebert" language="en" description="Roger Ebert Movie Reviews" author="Shane Erstad" title="Roger Ebert" needs_subscription="no"/>
-  <recipe id="builtin:roger_ebert_blog" language="en" description="Roger Ebert Movie Reviews" author="Shane Erstad" title="Roger Ebert" needs_subscription="no"/>
-  <recipe id="builtin:rollingstone" language="en" description="Rolling Stone Magazine features music, album and artist news, movie reviews, political, economic and pop culture commentary, videos, photos, and more." author="Darko Miletic" title="Rolling Stone Magazine - free content" needs_subscription="no"/>
-  <recipe id="builtin:romanialibera" language="ro" description="România Liberă" author="Silviu Cotoară" title="România Liberă" needs_subscription="no"/>
-  <recipe id="builtin:root" language="cs" description="Zprávičky a články z Root.cz" author="FunThomas" title="Root.cz" needs_subscription="no"/>
-  <recipe id="builtin:roskildelokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra Roskilde og omegn på roskilde.lokalavisen.dk" author="CoderAllan.github.com" title="Roskilde Avis" needs_subscription="no"/>
-  <recipe id="builtin:rubikon_de" language="de" description="Nachrichten anders/neutral beleuchtet" author="schuster" title="Rubikon.de" needs_subscription="no"/>
-  <recipe id="builtin:rudersdallokalavisen_dk" language="da" description="Lokale, regionale nyheder, sport, kultur fra Rudersdal, Birkerød, Holte, Nærum, Vedbæk, Søllerød på rudersdal.lokalavisen.dk" author="CoderAllan.github.com" title="Rudersdal Avis" needs_subscription="no"/>
-  <recipe id="builtin:rue89" language="fr" description="Popular free french news website" author="Louis Gesbert" title="Rue89" needs_subscription="no"/>
-  <recipe id="builtin:rushisaband" language="en_GB" description="A blog devoted to the band RUSH and its members, Neil Peart, Geddy Lee and Alex Lifeson" author="MrStefan &lt;mrstefaan@gmail.com&gt;" title="Rushisaband" needs_subscription="no"/>
-  <recipe id="builtin:rusiahoy" language="es" description="Noticias de Russia en castellano" author="Darko Miletic" title="Rusia Hoy" needs_subscription="no"/>
-  <recipe id="builtin:russiafeed" language="en_RU" description="News from Russia" author="Darko Miletic" title="RussiaFeed News" needs_subscription="no"/>
-  <recipe id="builtin:rynek_infrastruktury" language="pl" description="Portal &quot;Rynek Infrastruktury&quot; to źródło informacji o kluczowych elementach polskiej gospodarki: drogach, kolei, lotniskach, portach, telekomunikacji, energetyce, prawie i polityce, wzmocnione eksperckimi komentarzami kluczowych analityków." author="teepel &lt;teepel44@gmail.com&gt;" title="Rynek Infrastruktury" needs_subscription="no"/>
-  <recipe id="builtin:rynek_zdrowia" language="pl" description="" author="spi630" title="Rynek Zdrowia" needs_subscription="no"/>
-  <recipe id="builtin:rzeczpospolita" language="pl" description="Newspaper" author="kwetal, Tomasz Dlugosz, adrianf0" title="Rzeczpospolita OnLine" needs_subscription="no"/>
-  <recipe id="builtin:satkurier" language="pl" description="Serwis poświęcony telewizji cyfrowej" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" title="SATKurier.pl" needs_subscription="no"/>
-  <recipe id="builtin:sb_nation" language="en" description="More than 290 individual communities, each offering high quality year-round coverage and conversation led by fans who are passionate." author="rylsfan" title="SBNation" needs_subscription="no"/>
-  <recipe id="builtin:scprint" language="en" description="Last print version of the data security magazine" author="Tony Maro" title="SC Print Magazine" needs_subscription="yes"/>
-  <recipe id="builtin:sg_hu" language="hu" description="Informatika és Tudomány" author="davotibarna" title="SG.hu" needs_subscription="no"/>
-  <recipe id="builtin:skai" language="el" description="News from Greece" author="Stelios" title="SKAI" needs_subscription="no"/>
-  <recipe id="builtin:slovo" language="sk" description="Politicko-spoločenský týždenník" author="Abelturd" title="SLOVO" needs_subscription="no"/>
-  <recipe id="builtin:sme" language="sk" description="News from Slovakia" author="kwetal" title="SME" needs_subscription="no"/>
-  <recipe id="builtin:spin_magazine" language="en" description="" author="Quistopher" title="SPIN Magzine" needs_subscription="no"/>
-  <recipe id="builtin:sa_gazeta" language="sc" description="" author="tzium" title="Sa gazeta" needs_subscription="no"/>
-  <recipe id="builtin:sabah" language="tr" description="" author="Deniz Oğuz" title="Sabah" needs_subscription="no"/>
-  <recipe id="builtin:sabit_fikir" language="tr" description="" author="asalet_r" title="Sabit Fikir" needs_subscription="no"/>
-  <recipe id="builtin:saechsische" language="de" description="RSS-Feeds von saechsische.de" author="epubli" title="Saechsische Zeitung" needs_subscription="no"/>
-  <recipe id="builtin:salon" language="en" description="Salon.com - Breaking news, opinion, politics, entertainment, sports and culture." author="ebrandon" title="Salon.com" needs_subscription="no"/>
-  <recipe id="builtin:salonica_press_news" language="el" description="" author="SteliosGero" title="Salonica Press News" needs_subscription="no"/>
-  <recipe id="builtin:samanyolu_haber" language="tr" description=" Samanyolu Haber Sitesinden günlük haberler " author="thomass" title="Samanyolu Haber" needs_subscription="no"/>
-  <recipe id="builtin:samanyolu_teknoloji" language="tr" description="Samanyolu Teknoloji Haber Sitesinden  haberler " author="thomass" title="Samanyolu Teknoloji" needs_subscription="no"/>
-  <recipe id="builtin:sfbg" language="en" description="" author="Krittika Goyal" title="San Francisco Bay Guardian" needs_subscription="no"/>
-  <recipe id="builtin:san_fran_chronicle" language="en" description="San Francisco news" author="Darko Miletic and Sujata Raman" title="San Francisco Chronicle" needs_subscription="no"/>
-  <recipe id="builtin:sanjosemercurynews" language="en" description="News from San Jose" author="Darko Miletic" title="San Jose Mercury News" needs_subscription="no"/>
-  <recipe id="builtin:7seri" language="ro" description="Sapte Seri" author="Silviu Cotoară" title="Sapte Seri" needs_subscription="no"/>
-  <recipe id="builtin:sarajevo_x" language="bs" description="Sarajevo-x.com - najposjeceniji bosanskohercegovacki internet portal" author="Darko Miletic" title="Sarajevo-x.com" needs_subscription="no"/>
-  <recipe id="builtin:sardinia_post" language="sc" description="" author="tzium" title="Sardinia Post (Lapis)" needs_subscription="no"/>
-  <recipe id="builtin:saskatoon_star_phoenix" language="en_CA" description="News from Saskatoon, SK" author="Nick Redding" title="Saskatoon Star-Phoenix" needs_subscription="no"/>
-  <recipe id="builtin:satmagazine" language="en" description="North American Satellite Markets..." author="kiavash" title="SatMagazine" needs_subscription="no"/>
-  <recipe id="builtin:satira" language="it" description="Collection of Italian satiric blogs - v1.00 (28, January 2012)" author="faber1971" title="Satira" needs_subscription="no"/>
-  <recipe id="builtin:schongauer_nachrichten" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Schongauer Nachrichten" needs_subscription="no"/>
-  <recipe id="builtin:science_advances" language="en" description="Science Advances is a peer-reviewed multidisciplinary open-access scientific journal established in early 2015.  The journal's scope includes all areas of science, including the life sciences, physical sciences, social sciences, computer sciences, and environmental sciences." author="Jose Ortiz" title="Science Advances" needs_subscription="no"/>
-  <recipe id="builtin:science_based_medicine" language="en" description="Exploring issues and controversies in the relationship between science and medicine" author="BuzzKill" title="Science Based Medicine" needs_subscription="no"/>
-  <recipe id="builtin:science_news_recent_issues" language="en" description="Science News is an award-winning weekly&#10;    newsmagazine covering the most important research in all fields of science.&#10;    Its 16 pages each week are packed with short, accurate articles that appeal&#10;    to both general readers and scientists. Published since 1922, the magazine&#10;    now reaches about 150,000 subscribers and more than 1 million readers.&#10;    These are the latest News Items from Science News. This recipe downloads&#10;    the last 30 days worth of articles." author="Darko Miletic, Sujata Raman and Starson17" title="Science News Recent Issues" needs_subscription="no"/>
-  <recipe id="builtin:science_news" language="en" description="Science News is an award-winning weekly&#10;    newsmagazine covering the most important research in all fields of science.&#10;    Its 16 pages each week are packed with short, accurate articles that appeal&#10;    to both general readers and scientists. Published since 1922, the magazine&#10;    now reaches about 150,000 subscribers and more than 1 million readers.&#10;    These are the latest News Items from Science News. This recipe downloads&#10;    the last 30 days worth of articles." author="Darko Miletic, Sujata Raman and Starson17" title="Science News Recent Issues" needs_subscription="no"/>
-  <recipe id="builtin:sciencedaily" language="en" description="ScienceDaily is one of the Internet's most popular science news web sites. Since starting in 1995, the award-winning site has earned the loyalty of students, researchers, healthcare professionals, government agencies, educators and the general public around the world. Now with more than 6 million monthly visitors worldwide, ScienceDaily generates nearly 20 million page views a month and is steadily growing in its global audience." author="Darko Miletic" title="ScienceDaily" needs_subscription="no"/>
-  <recipe id="builtin:scientific_american" language="en" description="Popular Science. Monthly magazine. Should be downloaded around the middle of each month." author="Kovid Goyal" title="Scientific American" needs_subscription="optional"/>
-  <recipe id="builtin:scinexx" language="de" description="German  online portal of scinexx" author="JSuer" title="Scinexx.de" needs_subscription="no"/>
-  <recipe id="builtin:scott_hanselman" language="en" description="Scott Hanselman's Thoughts on Programming, Technology, Fatherhood, and Life" author="Darko Miletic" title="Scott Hanselman's Computer Zen" needs_subscription="no"/>
-  <recipe id="builtin:seanhannity" language="en" description="Articles from Sean Hannity's website, www.hannity.com" author="Rob Lammert - rob.lammert[at]gmail.com" title="Sean Hannity Show" needs_subscription="no"/>
-  <recipe id="builtin:sekurak_pl" language="pl" description="Wiadomości z dziedziny bezpieczeństwa" author="fenuks" title="Sekurak" needs_subscription="no"/>
-  <recipe id="builtin:shacknews" language="en" description="" author="Docbrown00" title="Shacknews" needs_subscription="no"/>
-  <recipe id="builtin:shortlist" language="en_GB" description="Articles From Shortlist.com" author="Dave Asbury" title="Shortlist" needs_subscription="no"/>
-  <recipe id="builtin:sigma_live" language="el" description="Cypriot News" author="Stelios" title="SigmaLive" needs_subscription="no"/>
-  <recipe id="builtin:sign_on_sd" language="en" description="Local news stories from The San Diego Union-Tribune; breaking news, business and technology, local and national sports coverage, entertainment news and reviews." author="Jay Kindle" title="Sign On San Diego" needs_subscription="no"/>
-  <recipe id="builtin:sign_of_the_times" language="en" description="" author="TerminalVeracity" title="Sign of the Times" needs_subscription="no"/>
-  <recipe id="builtin:silicon_republic" language="en_IE" description="" author="Neil Grogan" title="Silicon Republic" needs_subscription="no"/>
-  <recipe id="builtin:singtao_daily" language="zh" description="Toronto Canada Chinese Newspaper" author="rty" title="Singtao Daily - Canada" needs_subscription="no"/>
-  <recipe id="builtin:stnn" language="zh" description="Chinese News" author="Larry Chan, larry1chan" title="Singtao STNN" needs_subscription="no"/>
-  <recipe id="builtin:siol" language="sl" description="Multimedijski portal z aktualnimi vsebinami, intervjuji, komentarji iz Slovenije in sveta, sportal, trendi, avtomoto, blogos" author="BlonG" title="Siol.net" needs_subscription="no"/>
-  <recipe id="builtin:skylife" language="tr" description=" Türk Hava Yollarının yayınladığı aylık kültür dergisi (Fotoğrafları da içermesini isterseniz keep_only_tagda belirttiğim kodu da ekleyin) " author="thomass" title="Skylife" needs_subscription="no"/>
-  <recipe id="builtin:slashdot" language="en" description="Tech news. WARNING: This recipe downloads a lot&#10;    of content and may result in your IP being banned from slashdot.org" author="floweros edited by Huan T" title="Slashdot.org" needs_subscription="no"/>
-  <recipe id="builtin:slate" language="en" description="A general-interest publication offering analysis and commentary about politics, news and culture." author="Kovid Goyal" title="Slate" needs_subscription="no"/>
-  <recipe id="builtin:slate_star_codex" language="en" description="IN A MAD WORLD, ALL BLOGGING IS PSYCHIATRY BLOGGING" author="Ned Letcher" title="Slate Star Codex" needs_subscription="no"/>
-  <recipe id="builtin:ibm_smarter_planet" language="en" description="" author="Jack Mason" title="Smarter Planet | Tumblr" needs_subscription="no"/>
-  <recipe id="builtin:smashing" language="en" description="Founded in September 2006, Smashing Magazine delivers useful and innovative information to Web designers and developers. Our aim is to inform our readers about the latest trends and techniques in Web development. We try to persuade you not with the quantity but with the quality of the information we present. Smashing Magazine is and always has been independent." author="Marc Busqué &lt;marc@lamarciana.com&gt;" title="Smashing Magazine" needs_subscription="no"/>
-  <recipe id="builtin:smilezilla" language="en" description="Daily Jokes and funny stoires" author="Will" title="SmileZilla" needs_subscription="no"/>
-  <recipe id="builtin:smith" language="en" description="This magazine chronicles the arts, environment, sciences and popular culture of the times. It is edited for modern, well-rounded individuals with diverse, general interests. With your order, you become a National Associate Member of the Smithsonian. Membership benefits include your subscription to Smithsonian magazine, a personalized membership card, discounts from the Smithsonian catalog, and more." author="Kovid Goyal" title="Smithsonian Magazine" needs_subscription="no"/>
-  <recipe id="builtin:snopes" language="en" description="Urban Legends" author="Starson17" title="Snopes" needs_subscription="no"/>
-  <recipe id="builtin:socialdiva" language="ro" description="When in doubt, wear red" author="Silviu Cotoara" title="Social Diva" needs_subscription="no"/>
-  <recipe id="builtin:soldiers" language="en" description="The Official U.S. Army Magazine" author="Darko Miletic" title="Soldiers" needs_subscription="no"/>
-  <recipe id="builtin:something_awful" language="en" description="The Internet Makes You Stupid" author="atordo" title="Something Awful" needs_subscription="no"/>
-  <recipe id="builtin:scmp" language="en_CN" description="SCMP.com, Hong Kong's premier online English daily provides exclusive up-to-date news, audio video news, podcasts, RSS Feeds, Blogs, breaking news, top stories, award winning news and analysis on Hong Kong and China." author="llam" title="South China Morning Post" needs_subscription="optional"/>
-  <recipe id="builtin:spectator-au" language="en_AU" description="Spectator Australia is an Australian edition of The Spectator, first published in the UK in July 1828." author="Pat Stapleton, Dean Cording, James Cridland" title="Spectator Australia" needs_subscription="no"/>
-  <recipe id="builtin:spectator_magazine" language="en" description="Magazine" author="Kovid Goyal" title="Spectator Magazine" needs_subscription="no"/>
-  <recipe id="builtin:spektrum" language="de" description="German  online portal of Spektrum der Wissenschaft" author="Armin Geller, Bratzzo, Rainer Zenz, update epubli" title="Spektrum der Wissenschaft" needs_subscription="no"/>
-  <recipe id="builtin:spiegel_int" language="en_DE" description="Daily news, analysis and opinion from Europe's leading newsmagazine and Germany's top news Web site" author="Darko Miletic and Sujata Raman" title="Spiegel Online International" needs_subscription="no"/>
-  <recipe id="builtin:spiegelde" language="de" description="Spiegel Online RSS News fetched: 2020-07-03" author="Volker Heggemann, VoHe" title="Spiegel Online RSS - German alle Themen" needs_subscription="no"/>
-  <recipe id="builtin:sportowefakty" language="pl" description="Najważniejsze informacje sportowe z kraju i ze świata, relacje, komentarze, wywiady, zdjęcia!" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;, Tomasz Długosz &lt;tomek3d@gmail.com&gt;" title="SportoweFakty" needs_subscription="no"/>
-  <recipe id="builtin:sports_illustrated" language="en" description="" author="Kovid Goyal" title="Sports Illustrated" needs_subscription="no"/>
-  <recipe id="builtin:sporza_be" language="nl_BE" description="Sport news from Belgium in Dutch" author="erkfuizfeuadjfjzefzfuzeff" title="Sporza.be" needs_subscription="no"/>
-  <recipe id="builtin:st_louis_post_dispatch" language="en" description="" author="cisaak" title="St Louis Post-Dispatch" needs_subscription="no"/>
-  <recipe id="builtin:stackoverflow" language="en" description="a programming community exploit" author="Darko Miletic" title="Stack Overflow - Blog" needs_subscription="no"/>
-  <recipe id="builtin:stamgasten" language="nl" description="Stamgasten de populaire strip van Toon van Driel (http://www.toonvandriel.nl)" author="DrMerry" title="Stamgasten" needs_subscription="no"/>
-  <recipe id="builtin:standardmoney" language="ro" description="Portal de Business" author="Silviu Cotoară" title="Standard Money Ro" needs_subscription="no"/>
-  <recipe id="builtin:michalkiewicz" language="pl" description="Strona autorska * felietony * artykuły * komentarze" author="Tomasz Długosz" title="Stanisław Michalkiewicz" needs_subscription="no"/>
-  <recipe id="builtin:star_gazetesi" language="tr" description="yeni Türkiyenin Gazetesi" author="thomass" title="Star Gazetesi" needs_subscription="no"/>
-  <recipe id="builtin:starnberger_merkur" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Starnberger Merkur" needs_subscription="no"/>
-  <recipe id="builtin:stars_and_stripes" language="en" description="The U.S. militarys independent news source, featuring exclusive reports from Iraq, Afghanistan, Europe and the Far East." author="adoucette" title="Stars and Stripes" needs_subscription="no"/>
-  <recipe id="builtin:strange_horizons" language="en" description="A magazine of speculative fiction and related nonfiction. Best downloaded on weekends" author="Peter Fidelman, based on work by Jim DeVona" title="Strange Horizons" needs_subscription="no"/>
-  <recipe id="builtin:strategic_culture" language="en" description="Online Journal" author="Darko Miletic" title="Strategic Culture Foundation" needs_subscription="no"/>
-  <recipe id="builtin:strategy-business" language="en" description="Business magazine for senior business executives and the people who influence them.Go to http://www.strategy-business.com/registration to sign up for a free account" author="kwetal" title="Strategy+Business" needs_subscription="yes"/>
-  <recipe id="builtin:nation_ke" language="en" description="News from Kenia" author="Hans Donner" title="Sunday Nation" needs_subscription="no"/>
-  <recipe id="builtin:superbebe" language="ro" description="Superbebe" author="Silviu Cotoară" title="Superbebe" needs_subscription="no"/>
-  <recipe id="builtin:winsupersite" language="en" description="Paul Thurrott SuperSite for Windows" author="Hypernova" title="Supersite for Windows" needs_subscription="no"/>
-  <recipe id="builtin:sondagsavisen_dk" language="da" description="Danmarks mest læste avis" author="CoderAllan.github.com" title="Søndagsavisen.dk" needs_subscription="no"/>
-  <recipe id="builtin:sueddeutschezeitung" language="de" description="News from Germany. Access to paid content." author="Darko Miletic" title="Süddeutsche Zeitung" needs_subscription="yes"/>
-  <recipe id="builtin:sueddeutsche_mobil" language="de" description="Nachrichten aus Deutschland. Zugriff auf kostenpflichtiges Abo SZ mobil." author="Andreas Zeiser" title="Süddeutsche Zeitung mobil" needs_subscription="yes"/>
-  <recipe id="builtin:sueddeutsche" language="de" description="News from Germany, Access to online content" author="Oliver Niesner and Armin Geller" title="Süddeutsche.de" needs_subscription="no"/>
-  <recipe id="builtin:sfin" language="ro" description="SFIN" author="Silviu Cotoară" title="Săptămâna Financiară" needs_subscription="no"/>
-  <recipe id="builtin:sizinti_derigisi" language="tr" description="a Turkey based daily for national and international news in the fields of business, diplomacy, politics, culture, arts, sports and economics, in addition to commentaries, specials and features" author="thomass" title="Sızıntı Dergisi" needs_subscription="no"/>
-  <recipe id="builtin:time_magazine" language="en" description="Weekly US magazine." author="Kovid Goyal" title="TIME Magazine" needs_subscription="yes"/>
-  <recipe id="builtin:tjournal" language="ru" description="TJOURNAL: издание о медиа, технологиях и трендах" author="bug_me_not" title="TJournal" needs_subscription="no"/>
-  <recipe id="builtin:tsn" language="en_CA" description="" author="Nexus" title="TSN" needs_subscription="no"/>
-  <recipe id="builtin:tv2lorry_dk" language="da" description="Ved at abonnere på vores RSS-feed kan du få de seneste regionale nyheder til at dukke op på din skærm." author="CoderAllan.github.com" title="TV 2 Lorry" needs_subscription="no"/>
-  <recipe id="builtin:tv2oj_dk" language="da" description="Alle nyheder fra tv2oj.dk kan læses som RSS RSS-feedet kan findes via adressen www.tv2oj.dk/rss" author="CoderAllan.github.com" title="TV 2 | ØSTJYLLAND" needs_subscription="no"/>
-  <recipe id="builtin:tvmidtvest_dk" language="da" description="Du skal bruge en browser som understøtter RSS (f.eks. Firefox ), eller en nyhedslæser (f.eks. SharpReader eller RSSReader). Se rss-feed på tvmidtvest.dk/rss. Du kan også bruge vores RSS feeds på online feed-readers som f.eks. Google eller Live.com. Du kan frit indsætte vores RSS feeds på din hjemmeside, via f.eks. www.feedburner.com eller www.rss2html.com." author="CoderAllan.github.com" title="TV MIDTVEST" needs_subscription="no"/>
-  <recipe id="builtin:tvsyd_dk" language="da" description="Ved at abonnere på vores RSS-feed kan du få de seneste regionale nyheder til at dukke op på din skærm." author="CoderAllan.github.com" title="TV SYD" needs_subscription="no"/>
-  <recipe id="builtin:tveast_dk" language="da" description="Ved at abonnere på vores RSS-feed kan du få de seneste regionale nyheder til at automatisk dukke op på din skærm." author="CoderAllan.github.com" title="TV ØST" needs_subscription="no"/>
-  <recipe id="builtin:tv2nord_dk" language="da" description="Siden 1989 har nordjyderne inviteret TV2 Nord ind i stuen, men med premieren på Nordjylland LIVE i 2014 blev det forhold vendt om. Nu inviterer TV2 Nord nordjyderne i fjernsynet." author="CoderAllan.github.com" title="TV2 Nord" needs_subscription="no"/>
-  <recipe id="builtin:tvn24" language="pl" description="Sport, Biznes, Gospodarka, Informacje, Wiadomości Zawsze aktualne wiadomości z Polski i ze świata" author="fenuks, Artur Stachecki" title="TVN24" needs_subscription="no"/>
-  <recipe id="builtin:tvxs" language="el" description="News from Greece" author="hargikas" title="TVXS" needs_subscription="no"/>
-  <recipe id="builtin:tvmania" language="ro" description="Programe TV" author="Silviu Cotoară" title="TVmania" needs_subscription="no"/>
-  <recipe id="builtin:tanea" language="el" description="" author="Pan" title="Ta Nea" needs_subscription="no"/>
-  <recipe id="builtin:tablety_pl" language="pl" description="Tablety, gry i aplikacje na tablety." author="fenuks" title="Tablety.pl" needs_subscription="no"/>
-  <recipe id="builtin:tabu" language="ro" description="Cel mai curajos site de femei" author="Silviu Cotoară" title="Tabu" needs_subscription="no"/>
-  <recipe id="builtin:tagesan" language="de" description="" author="noxxx" title="Tagesanzeiger" needs_subscription="no"/>
-  <recipe id="builtin:tagespost" language="de" description="Die Tagespost trägt den Untertitel Katholische Wochenzeitung für Politik, Gesellschaft und Kultur und ist eine überregionale, wöchentlich im Johann Wilhelm Naumann Verlag in Würzburg erscheinende Zeitung." author="Pat Stapleton" title="Tagespost" needs_subscription="no"/>
-  <recipe id="builtin:taggeschau_de" language="de" description="Nachrichten der ARD" author="Florian Andreas Pfaff, a.peter" title="Tagesschau" needs_subscription="no"/>
-  <recipe id="builtin:taipei" language="en_TW" description="" author="Krittika Goyal" title="Taipei Times" needs_subscription="no"/>
-  <recipe id="builtin:tanuki" language="pl" description="Tanuki - portal o anime i mandze." author="fenuks" title="Tanuki" needs_subscription="no"/>
-  <recipe id="builtin:taz_rss" language="de" description="Taz.de - die tageszeitung (Anpassung von Robert)" author="Alexander Schremmer, Robert Riemann" title="Taz - die Tageszeitung" needs_subscription="no"/>
-  <recipe id="builtin:taz" language="de" description="Das EPUB DigiAbo der Taz" author="Lars Jacob" title="Taz Digiabo" needs_subscription="yes"/>
-  <recipe id="builtin:techdirt" language="en" description="" author="Krittika Goyal" title="Tech Dirt" needs_subscription="no"/>
-  <recipe id="builtin:tech_economy" language="it" description="Italian website on technology - v1.00 (28, January 2012)" author="faber1971" title="Tech Economy" needs_subscription="no"/>
-  <recipe id="builtin:techcrunch" language="en" description="IT News" author="Darko Miletic" title="TechCrunch" needs_subscription="no"/>
-  <recipe id="builtin:tech_world" language="en" description="Techworld offers the latest breaking IT industry news, product reviews, enterprise software downloads, how-to articles and expert blogs for technical professionals and enterprise users in the UK" author="Lorenzo Vigentini" title="TechWorld" needs_subscription="no"/>
-  <recipe id="builtin:technology_review" language="en" description="MIT Technology Magazine (from RSS feeds)" author="rty" title="Technology Review" needs_subscription="no"/>
-  <recipe id="builtin:technology_review_de" language="de" description="Technology news from Germany" author="Anton Gillert, schuster" title="Technology Review" needs_subscription="no"/>
-  <recipe id="builtin:techtarget" language="en" description="IT Infrastructure related blogs&#10;                                    from Techtarget" author="Julio:map" title="Techtarget" needs_subscription="yes"/>
-  <recipe id="builtin:tegernseer_zeitung" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Tegernseer Zeitung" needs_subscription="no"/>
-  <recipe id="builtin:telam" language="es_AR" description="AGENCIA DE NOTICIAS DE LA REPUBLICA ARGENTINA" author="Darko Miletic" title="Telam" needs_subscription="no"/>
-  <recipe id="builtin:telepolis" language="de" description="" author="Lutz Epperlein" title="Telepolis" needs_subscription="no"/>
-  <recipe id="builtin:telepolis_artikel" language="de_AT" description="Telepolis Artikel" author="Gerhard Aigner" title="Telepolis (Artikel)" needs_subscription="no"/>
-  <recipe id="builtin:teleread" language="en" description="News &amp; views on e-books, libraries, publishing and related topics" author="Kovid Goyal" title="Teleread Blog" needs_subscription="no"/>
-  <recipe id="builtin:thai_post_daily" language="th" description="" author="Chotechai P." title="Thai Post Daily" needs_subscription="no"/>
-  <recipe id="builtin:thairath" language="th" description="" author="Anat R." title="Thairath" needs_subscription="no"/>
-  <recipe id="builtin:tnxm" language="vi" description="Vietnam news and current affairs from TNXM - the finest Vietnamese bulletin board." author="Wasabi" title="Thanh Nien Xa Me" needs_subscription="no"/>
-  <recipe id="builtin:paperli_topic" language="en" description="paper.li page about climate" author="Hiroshi Miura" title="The #climate Daily - paperli" needs_subscription="no"/>
-  <recipe id="builtin:ajc" language="en" description="The Atlanta Journal-Constitution; Metro Atlanta &amp; Georgia" author="John McDole" title="The AJC" needs_subscription="no"/>
-  <recipe id="builtin:the_age" language="en_AU" description="Business News, World News and Breaking News in Melbourne, Australia" author="Matthew Briggs" title="The Age" needs_subscription="no"/>
-  <recipe id="builtin:amspec" language="en" description="News from USA" author="Kovid Goyal" title="The American Spectator" needs_subscription="no"/>
-  <recipe id="builtin:asianreviewofbooks" language="en_CN" description="In addition to reviewing books about or of relevance to Asia, the Asian Review of Books also features long-format essays by leading Asian writers and thinkers, to providing an unparalleled forum for discussion of key contemporary issues by Asians for Asia and a vehicle of intellectual depth and breadth where leading thinkers can write on the books, arts and ideas of the day. Widely quoted and referenced, with an archive of more than one thousand book reviews, it is the only web resource dedicated to Asian books. And now, with the addition of the new premium content, the Asian Review of Books, is a must-read publication." author="Darko Miletic" title="The Asian Review of Books" needs_subscription="no"/>
-  <recipe id="builtin:atlantic" language="en" description="Current affairs and politics focussed on the US" author="Kovid Goyal" title="The Atlantic" needs_subscription="no"/>
-  <recipe id="builtin:the_oz" language="en_AU" description="National broadsheet newspaper from down under - colloquially known as The Oz. You will need to have a subscription to http://www.theaustralian.com.au to get full articles." author="Kovid Goyal" title="The Australian" needs_subscription="optional"/>
-  <recipe id="builtin:the_baffler" language="en" description="This magazine contains left-wing criticism, cultural analysis, shorts stories, poems and art.  They publish six print issues annually." author="Jose Ortiz" title="The Baffler" needs_subscription="no"/>
-  <recipe id="builtin:baltimore_sun" language="en" description="Complete local news and blogs from Baltimore" author="Kovid Goyal" title="The Baltimore Sun" needs_subscription="no"/>
-  <recipe id="builtin:bay_citizen" language="en" description="The Bay Citizen" author="noah" title="The Bay Citizen" needs_subscription="no"/>
-  <recipe id="builtin:big_picture" language="en" description="Macro perspective on capital markets, economy, technology and digital media" author="Welovelucy" title="The Big Picture" needs_subscription="no"/>
-  <recipe id="builtin:the_budget_fashionista" language="en" description="Saving your money since 2003" author="Darko Miletic" title="The Budget Fashionista" needs_subscription="no"/>
-  <recipe id="builtin:hindu_business_line" language="en_IN" description="" author="Dhiru" title="The Business Line" needs_subscription="no"/>
-  <recipe id="builtin:cato" language="en" description="The Cato Institute is a public policy research organization — a think tank — dedicated to the principles of individual liberty, limited government, free markets and peace. Its scholars and analysts conduct independent, nonpartisan research on a wide range of policy issues." author="_reader" title="The CATO Institute" needs_subscription="no"/>
-  <recipe id="builtin:christian_post" language="en" description="Homepage" author="sexymax15" title="The Christian Post" needs_subscription="no"/>
-  <recipe id="builtin:chr_mon" language="en" description="The Christian Science Monitor is an international news organization that delivers thoughtful, global coverage via its website, weekly magazine, daily news briefing, and email newsletters." author="Darko Miletic" title="The Christian Science Monitor - daily" needs_subscription="no"/>
-  <recipe id="builtin:chronicle_higher_ed" language="en" description="Weekly news and job-information source for college and university faculty members, administrators, and students." author="Rick Shang" title="The Chronicle of Higher Education" needs_subscription="yes"/>
-  <recipe id="builtin:the_clinic_online" language="es_CL" description="Online version of Chilean satirical weekly" author="Alex Mitrani" title="The Clinic" needs_subscription="no"/>
-  <recipe id="builtin:thecodelesscode" language="en" description="The Art and Philosophy of software development, written in the spirit of Zen kōans" author="April King" title="The Codeless Code" needs_subscription="no"/>
-  <recipe id="builtin:columbusdispatch" language="en" description="Daily newspaper from central Ohio" author="kwetal" title="The Columbus Dispatch" needs_subscription="no"/>
-  <recipe id="builtin:the_conversation" language="en" description="" author="Krittika Goyal" title="The Conversation" needs_subscription="no"/>
-  <recipe id="builtin:courier_mail" language="en_AU" description="Breaking news headlines for Brisbane and Queensland, Australia. The Courier-Mail is owned by News Corp Australia." author="Krittika Goyal, James Cridland" title="The Courier-Mail" needs_subscription="no"/>
-  <recipe id="builtin:thecultofghoul" language="sr" description="Filmski blog" author="Darko Miletic" title="The Cult of Ghoul" needs_subscription="no"/>
-  <recipe id="builtin:daily_mail" language="en_GB" description="" author="Kovid Goyal" title="The Daily Mail" needs_subscription="no"/>
-  <recipe id="builtin:daily_mirror" language="en_GB" description="News as provided by The Daily Mirror -UK" author="Dave Asbury" title="The Daily Mirror" needs_subscription="no"/>
-  <recipe id="builtin:the_daily_news_egypt" language="en_EG" description="News from Egypt" author="Omm Mishmishah" title="The Daily News Egypt" needs_subscription="no"/>
-  <recipe id="builtin:dailyreckoning" language="en" description="Worldwide business and financial news and articles" author="Darko Miletic" title="The Daily Reckoning - US edition" needs_subscription="no"/>
-  <recipe id="builtin:thedailywtf" language="en" description="The Daily WTF is your how-not-to guide for developing software. We recount tales of disastrous development, from project management gone spectacularly bad to inexplicable coding choices." author="Jelle van der Waa" title="The Daily WTF" needs_subscription="no"/>
-  <recipe id="builtin:dallas" language="en" description="" author="calibre" title="The Dallas Morning News" needs_subscription="no"/>
-  <recipe id="builtin:theecocolapse" language="en" description="Are You Prepared For The Coming Economic Collapse And The Next Great Depression?" author="Darko Miletic" title="The Economic Collapse" needs_subscription="no"/>
-  <recipe id="builtin:theeconomictimes_india" language="en_IN" description="Financial news from India" author="Karthik, Darko Miletic" title="The Economic Times India" needs_subscription="no"/>
-  <recipe id="builtin:economist" language="en" description="Global news and current affairs from a European perspective. Best downloaded on Friday mornings (GMT)" author="Kovid Goyal" title="The Economist" needs_subscription="no"/>
-  <recipe id="builtin:economist_free" language="en" description="Global news and current affairs from a European perspective. Best downloaded on Friday mornings (GMT)" author="Kovid Goyal" title="The Economist" needs_subscription="no"/>
-  <recipe id="builtin:thedgesingapore" language="en" description="Financial news from Singapore" author="Darko Miletic" title="The Edge Singapore" needs_subscription="no"/>
-  <recipe id="builtin:the_escapist" language="en" description="The Escapist Magazine" author="calibre" title="The Escapist Magazine" needs_subscription="no"/>
-  <recipe id="builtin:the_feature" language="en" description="" author="Jose Pinto" title="The Feature" needs_subscription="no"/>
-  <recipe id="builtin:the_federalist" language="en" description="" author="Kovid Goyal" title="The Federalist" needs_subscription="no"/>
-  <recipe id="builtin:fe_india" language="en_IN" description="Financial news from India" author="Darko Miletic" title="The Financial Express" needs_subscription="no"/>
-  <recipe id="builtin:starwars" language="en" description="" author="Krittika Goyal" title="The Force" needs_subscription="no"/>
-  <recipe id="builtin:the_freeman" language="en_PH" description="The Freeman is a daily English-language newspaper published in Cebu, Philippines, by the Philippine Star. It was the first newspaper in Cebu, first published in May 1919.  The motto of the newspaper is &quot;The fair and fearless&quot; - philstar.com is a Philippine news and entertainment portal for the Filipino global community.   It is the online presence of the STAR Group of Publications, a leading publisher of newspapers and magazines in the Philippines." author="jde" title="The Freeman" needs_subscription="no"/>
-  <recipe id="builtin:the_friday_times" language="en_PK" description="Pakistan's First Independent Weekly Paper" author="Krittika Goyal, ireadtheinternet" title="The Friday Times" needs_subscription="no"/>
-  <recipe id="builtin:galaxys_edge" language="en" description="" author="andyh2000" title="The Galaxy's Edge" needs_subscription="no"/>
-  <recipe id="builtin:globe_and_mail" language="en_CA" description="" author="Kovid Goyal" title="The Globe and Mail" needs_subscription="no"/>
-  <recipe id="builtin:grid_to" language="en_CA" description="The Grid is a weekly city magazine and daily website providing a fresh, accessible voice for Toronto." author="Yusuf W" title="The Grid" needs_subscription="no"/>
-  <recipe id="builtin:guardian" language="en_GB" description="" author="Kovid Goyal" title="The Guardian and The Observer" needs_subscription="no"/>
-  <recipe id="builtin:hindu" language="en_IN" description="" author="Kovid Goyal" title="The Hindu" needs_subscription="no"/>
-  <recipe id="builtin:thn" language="en_CA" description="" author="Nexus" title="The Hockey News" needs_subscription="no"/>
-  <recipe id="builtin:hollywood_reporter" language="en" description="Read about the latest in Hollywood and entertainment news from The Hollywood Reporter, your source for detailed movie reviews, celebrity styles, and industry blogs." author="Darko Miletic" title="The Hollywood Reporter" needs_subscription="no"/>
-  <recipe id="builtin:house_news" language="zh" description="http://thehousenewsbloggers.net" author="Eddie Lau" title="The House News Bloggers 主場博客" needs_subscription="no"/>
-  <recipe id="builtin:houston_chronicle" language="en" description="News from Houston, Texas" author="Dale Furrow" title="The Houston Chronicle" needs_subscription="no"/>
-  <recipe id="builtin:huffingtonpost" language="en" description="Political Blog" author="kwetal and Archana Raman" title="The Huffington Post" needs_subscription="no"/>
-  <recipe id="builtin:independent" language="en_GB" description="The latest in UK News and World News from The                                Independent. Wide range of international and local news, sports                                news, commentary and opinion pieces.Independent News - Breaking news                                that matters. Your daily comprehensive news source - The                                Independent Newspaper" author="Krittika Goyal" title="The Independent" needs_subscription="no"/>
-  <recipe id="builtin:the_insider" language="ru" description="Расследования Репортажи Аналитика" author="bugmen00t" title="The Insider" needs_subscription="no"/>
-  <recipe id="builtin:irish_times" language="en_IE" description="Daily news from The Irish Times" author="Derry FitzGerald, Ray Kinsella, David O'Callaghan and Phil Burns, Tom Scholl" title="The Irish Times" needs_subscription="yes"/>
-  <recipe id="builtin:japan_times" language="en_JP" description="Daily news and features on Japan from the most widely read English-language newspaper in Japan. Coverage includes national news, business news, sports news, commentary and features on living in Japan, entertainment, the arts, education and more." author="Darko Miletic" title="The Japan Times" needs_subscription="no"/>
-  <recipe id="builtin:theluminouslandscape" language="en" description="A photography news and information website in the form of a weblog with multiple authors who write on a variety of photography and art-photography related issues." author="Darko Miletic" title="The Luminous Landscape" needs_subscription="no"/>
-  <recipe id="builtin:mainichi_en" language="en_JP" description="Japanese traditional newspaper Mainichi news in English" author="Hiroshi Miura" title="The Mainichi" needs_subscription="no"/>
-  <recipe id="builtin:the_manila_bulletin" language="en_PH" description="The Manila Bulletin, (also known as the Bulletin and previously known as the Manila Daily Bulletin and the Bulletin Today) is the Philippines' largest broadsheet newspaper by circulation." author="jde" title="The Manila Bulletin" needs_subscription="no"/>
-  <recipe id="builtin:the_manila_times" language="en_PH" description="The Manila Times is the oldest existing English language newspaper in the Philippines." author="jde" title="The Manila Times" needs_subscription="no"/>
-  <recipe id="builtin:themarketticker" language="en" description="Commentary On The Capital Markets" author="Darko Miletic" title="The Market Ticker" needs_subscription="no"/>
-  <recipe id="builtin:miami_herald" language="en" description="Miami-Dade and Broward's source for the latest breaking local news on sports, weather, business, jobs, real estate, shopping, health, travel, entertainment, &amp; more." author="Darko Miletic and Sujata Raman" title="The Miami Herald" needs_subscription="no"/>
-  <recipe id="builtin:themorningpaper" language="en" description="an interesting/influential/important paper from the world of CS every weekday morning, as selected by Adrian Colyer" author="Darko Miletic" title="The Morning Paper" needs_subscription="no"/>
-  <recipe id="builtin:moscow_times" language="en" description="The Moscow Times is a daily English-language newspaper featuring objective, reliable news on business, politics, sports and culture in Moscow, in Russia and the former Soviet Union (CIS)." author="Darko Miletic and Sujata Raman" title="The Moscow Times" needs_subscription="no"/>
-  <recipe id="builtin:the_nation" language="en" description="Unconventional Wisdom Since 1865" author="Darko Miletic" title="The Nation" needs_subscription="optional"/>
-  <recipe id="builtin:the_new_age_za" language="en_ZA" description="The New Age newspaper is a national daily newspaper, owned and operated by TNA Media (Pty) Ltd. TNA Media was established in June 2010 and the first publication of The New Age was on 6 December 2010. The New Age covers news from all nine provinces, along with national events, Op-Ed columns, politics, Africa and International news, sports, business, entertainment, lifestyle, science and technology." author="Darko Miletic" title="The New Age" needs_subscription="no"/>
-  <recipe id="builtin:thenewcriterion" language="en" description="On the front lines of the battle for culture" author="Darko Miletic" title="The New Criterion" needs_subscription="optional"/>
-  <recipe id="builtin:the_new_republic" language="en" description="The New Republic is a journal of opinion with an emphasis&#10;    on politics and domestic and international affairs. It carries feature&#10;    articles by staff and contributing editors. The second half of each issue&#10;    is devoted to book and the arts, theater, motion pictures, music and art." author="Krittika Goyal" title="The New Republic" needs_subscription="yes"/>
-  <recipe id="builtin:nytimes_sub" language="en" description="Today's New York Times" author="Kovid Goyal" title="The New York Times" needs_subscription="no"/>
-  <recipe id="builtin:nytimes" language="en" description="New York Times (Web). You can edit the recipe to remove sections you are not interested in." author="Kovid Goyal" title="The New York Times (Web)" needs_subscription="no"/>
-  <recipe id="builtin:thenews" language="en_PK" description="English Newspaper from Pakistan" author="kwetal" title="The News" needs_subscription="no"/>
-  <recipe id="builtin:onemagazine" language="ro" description="Be the ONE, not anyone .." author="Silviu Cotoară" title="The ONE" needs_subscription="no"/>
-  <recipe id="builtin:observer_gb" language="en_GB" description="" author="jbambridge" title="The Observer" needs_subscription="no"/>
-  <recipe id="builtin:theoldfoodie" language="en" description="Food blog" author="Darko Miletic" title="The Old Foodie" needs_subscription="no"/>
-  <recipe id="builtin:oldnewthing" language="en" description="Famous blog by Windows guru Raymond Chen" author="Darko Miletic" title="The Old New Thing" needs_subscription="no"/>
-  <recipe id="builtin:theonion" language="en" description="The Onion, America's Finest News Source, is an award-winning publication covering world, national, and * local issues. It is updated daily online and distributed weekly in select American cities." author="Darko Miletic" title="The Onion" needs_subscription="optional"/>
-  <recipe id="builtin:onionavclub" language="en" description="Film, Television and Music Reviews" author="Stephen Williams" title="The Onion AV Club" needs_subscription="no"/>
-  <recipe id="builtin:theonlinephotographer" language="en" description="A photography news and information website in the form of a weblog with multiple authors who write on a variety of photography and art-photography related issues." author="Darko Miletic" title="The Online Photographer" needs_subscription="no"/>
-  <recipe id="builtin:oregonian" language="en" description="Portland, Oregon local newspaper" author="Zotzot" title="The Oregonian" needs_subscription="no"/>
-  <recipe id="builtin:parisreview" language="en" description="The Paris Review is a literary magazine featuring original writing, art, and in-depth interviews with famous writers." author="fenuks" title="The Paris Review Blog" needs_subscription="no"/>
-  <recipe id="builtin:the_philippine_daily_inquirer" language="en_PH" description="The Philippine Daily Inquirer is a widely read and circulated newspaper." author="jde" title="The Philippine Daily Inquirer" needs_subscription="no"/>
-  <recipe id="builtin:the_philippine_star" language="en_PH" description="The Philippine Star is a daily English-language broadsheet newspaper based in Manila. It has the most subscribers of any newspaper in the Philippines - philstar.com is a Philippine news and entertainment portal for the Filipino global community.   It is the online presence of the STAR Group of Publications, a leading publisher of newspapers and magazines in the Philippines." author="jde" title="The Philippine Star" needs_subscription="no"/>
-  <recipe id="builtin:tpm_uk" language="en_GB" description="Title says it all" author="Darko Miletic" title="The Philosophers' Magazine" needs_subscription="no"/>
-  <recipe id="builtin:theprint" language="en_IN" description="News and current affairs in India" author="Kovid Goyal" title="The Print" needs_subscription="no"/>
-  <recipe id="builtin:publicdomainreview_org" language="en" description="Online journal dedicated to showcasing the most interesting and unusual out-of-copyright works available on the web" author="fenuks" title="The Public Domain Review" needs_subscription="no"/>
-  <recipe id="builtin:the_register" language="en" description="" author="vgrama" title="The Register" needs_subscription="no"/>
-  <recipe id="builtin:sage_news_opinion" language="en_CA" description="News without boundaries, Opinion" author="Brian Hahn" title="The Sage News - Opinion" needs_subscription="no"/>
-  <recipe id="builtin:sage_news" language="en_CA" description="News without boundaries, Satire" author="Brian Hahn" title="The Sage News - Satire" needs_subscription="no"/>
-  <recipe id="builtin:the_scotsman" language="en_GB" description="News from Scotland" author="Darko Miletic" title="The Scotsman" needs_subscription="no"/>
-  <recipe id="builtin:seattle_times" language="en" description="News from Seattle and USA" author="Darko Miletic" title="The Seattle Times" needs_subscription="no"/>
-  <recipe id="builtin:skeptic" language="en" description="Discussions with leading experts and investigation of fringe science and paranormal claims." author="Starson17" title="The Skeptic" needs_subscription="no"/>
-  <recipe id="builtin:skeptical_enquirer" language="en" description="Investigation of fringe science and paranormal claims." author="Starson17" title="The Skeptical Inquirer" needs_subscription="no"/>
-  <recipe id="builtin:southernstar" language="en_IE" description="West Cork's leading news and information provider since 1889" author="watou" title="The Southern Star" needs_subscription="no"/>
-  <recipe id="builtin:standardmedia_ke" language="en" description="News from Kenia" author="Hans Donner" title="The Standard" needs_subscription="no"/>
-  <recipe id="builtin:straitstimes" language="en_SG" description="Singapore newspaper" author="Darko Miletic" title="The Straits Times" needs_subscription="no"/>
-  <recipe id="builtin:the_sun" language="en_GB" description="Articles from The Sun tabloid UK" author="Dave Asbury" title="The Sun UK" needs_subscription="no"/>
-  <recipe id="builtin:sunday_times_magazine" language="en_GB" description="Newsmagazine from United Kingdom and World" author="Bobby Steel &amp; Darko Miletic" title="The Sunday Times Magazine UK" needs_subscription="yes"/>
-  <recipe id="builtin:smh" language="en_AU" description="Breaking news from Sydney, Australia and the world. Features the latest business, sport, entertainment, travel, lifestyle, and technology news." author="Darko Miletic" title="The Sydney Morning Herald" needs_subscription="no"/>
-  <recipe id="builtin:tmz" language="en" description="Celeb Gossip and News" author="Tony Stegall" title="The TMZ" needs_subscription="no"/>
-  <recipe id="builtin:telegraph_uk" language="en_GB" description="News from United Kingdom" author="A10KiloHam, based on work by Darko Miletic and Sujata Raman" title="The Telegraph (UK)" needs_subscription="yes"/>
-  <recipe id="builtin:times_online" language="en_GB" description="news from United Kingdom and World" author="Bobby Steel" title="The Times &amp; Sunday Times (UK)" needs_subscription="yes"/>
-  <recipe id="builtin:toi" language="en_IN" description="News from the Indian daily Times of India" author="Karthik" title="The Times of India" needs_subscription="no"/>
-  <recipe id="builtin:thestar" language="en_CA" description="Thestar.com is Canada's largest online news site. Stay current with our sports, business entertainment news and more from the Toronto Star and thestar.com" author="Darko Miletic" title="The Toronto Star" needs_subscription="no"/>
-  <recipe id="builtin:the_verge" language="en" description="" author="Krittika Goyal" title="The Verge" needs_subscription="no"/>
-  <recipe id="builtin:wsj" language="en" description="News and current affairs" author="Kovid Goyal" title="The Wall Street Journal" needs_subscription="yes"/>
-  <recipe id="builtin:wsj_free" language="en" description="News and current affairs" author="Kovid Goyal" title="The Wall Street Journal (free)" needs_subscription="no"/>
-  <recipe id="builtin:walrusmag" language="en" description="National general interest magazine about Canada and its place in the world" author="Bert" title="The Walrus Mag" needs_subscription="no"/>
-  <recipe id="builtin:wash_post" language="en" description="Leading source for news, video and opinion on politics, business, world and national news, science, travel, entertainment and more. Our local coverage includes reporting on education, crime, weather, traffic, real estate, jobs and cars for DC, Maryland and Virginia. Offering award-winning opinion writing, entertainment information and restaurant reviews." author="Darko Miletic" title="The Washington Post" needs_subscription="no"/>
-  <recipe id="builtin:twtfb" language="en" description="Frederik Pohl's blog" author="Darko Miletic" title="The Way the Future Blogs" needs_subscription="no"/>
-  <recipe id="builtin:thewest_au" language="en_AU" description="News from Australia" author="Darko Miletic" title="The West Australian" needs_subscription="no"/>
-  <recipe id="builtin:the_workingham_times" language="en_GB" description="News from UK" author="Darko Miletic" title="The Wokingham Times" needs_subscription="no"/>
-  <recipe id="builtin:atlantic_com" language="en" description="News and editorial about politics, culture, entertainment, tech, etc. Contains many articles not seen in The Atlantic magazine" author="Kovid Goyal" title="TheAtlantic.com" needs_subscription="no"/>
-  <recipe id="builtin:the_journal" language="en_IE" description="" author="calibre" title="TheJournal.ie" needs_subscription="no"/>
-  <recipe id="builtin:the_marker" language="he" description="TheMarker Financial News in Hebrew" author="Marbs" title="TheMarker" needs_subscription="no"/>
-  <recipe id="builtin:serverside" language="en" description="news" author="Rick Kellogg" title="TheServerSide.com" needs_subscription="no"/>
-  <recipe id="builtin:the_week_magazine_free" language="en" description="The best of the US and international media.  Daily coverage of commentary and analysis of the day's events, as well as arts, entertainment, people and gossip, and political cartoons." author="Jim Olo" title="TheWeek.com" needs_subscription="no"/>
-  <recipe id="builtin:think_progress" language="en" description="A compilation of progressive articles on social and economic justice, healthy communities,  media accountability, global and domestic security." author="Xanthan Gum" title="Think Progress" needs_subscription="no"/>
-  <recipe id="builtin:tidbits" language="en" description="Insightful news, reviews, and analysis of the Macintosh and Internet worlds" author="Darko Miletic" title="TidBITS: Mac News for the Rest of Us" needs_subscription="no"/>
-  <recipe id="builtin:tijolaco" language="pt_BR" description="Posts do Blog Tijolaço.com" author="Diniz Bortolotto" title="Tijolaco.com" needs_subscription="no"/>
-  <recipe id="builtin:tillsonburg" language="en_CA" description="Norfolk County and Tillsonburg, Ontario Canada Newspapers" author="Eric Coolman" title="Tillsonburg/Norfolk County" needs_subscription="no"/>
-  <recipe id="builtin:time_turk" language="tr" description="" author="asalet_r" title="TimeTürk" needs_subscription="no"/>
-  <recipe id="builtin:timesnewroman" language="ro" description="Cotidian independent de umor voluntar" author="Silviu Cotoară" title="Times New Roman" needs_subscription="no"/>
-  <recipe id="builtin:times_of_malta" language="en" description="" author="To Do" title="Times of Malta" needs_subscription="no"/>
-  <recipe id="builtin:titanic_de" language="de" description="" author="Krittika Goyal" title="Titanic" needs_subscription="no"/>
-  <recipe id="builtin:tovima" language="el" description=" News from Greece" author="Stelios" title="To Vima" needs_subscription="no"/>
-  <recipe id="builtin:today_online" language="en_SG" description="" author="rty" title="Today Online - Singapore" needs_subscription="no"/>
-  <recipe id="builtin:todays_zaman" language="en_TR" description="English version of Turkish Daily &quot;Zaman&quot;" author="spswerling" title="Todays Zaman" needs_subscription="no"/>
-  <recipe id="builtin:tomshardware_it" language="it" description="Italian website on technology - v1.00 (28, January 2012)" author="faber1971" title="Tom's Hardware" needs_subscription="no"/>
-  <recipe id="builtin:tomshardware" language="en" description="Hardware reviews and News" author="Darko Miletic" title="Tom's Hardware US" needs_subscription="optional"/>
-  <recipe id="builtin:toyokeizai" language="ja" description="Japanese traditional economy and business magazine, only for advanced subscribers supported" author="Hiroshi Miura" title="ToyoKeizai News" needs_subscription="yes"/>
-  <recipe id="builtin:tri_city_herald" language="en" description="The Tri-City Herald Mid-Columbia." author="Laura Gjovaag" title="Tri-City Herald" needs_subscription="no"/>
-  <recipe id="builtin:trombon" language="ro" description="Parodii si Pamflete" author="Silviu Cotoară" title="Trombon" needs_subscription="no"/>
-  <recipe id="builtin:trouw" language="nl" description="Trouw de Verdieping" author="asalet_r" title="Trouw" needs_subscription="no"/>
-  <recipe id="builtin:trystero" language="pl" description="Trystero.pl jest niezależnym blogiem finansowym. Publikowane na nim teksty dotyczą rynku kapitałowego, ekonomii, gospodarki i życia społecznego – w takiej mniej więcej kolejności." author="Tomasz Długosz" title="Trystero" needs_subscription="no"/>
-  <recipe id="builtin:trojmiasto_pl" language="pl" description="Wiadomości, imprezy, wydarzenia, spektakle.Gdańsk, Gdynia, Sopot - NOCLEGI, Katalog firm, repertuar kin, wydarzenia, przewodnik, mapa, kwatery, hotele. Portal regionalny trojmiasto.pl" author="fenuks" title="Trójmiasto.pl" needs_subscription="no"/>
-  <recipe id="builtin:tulsaworld" language="en" description="Find breaking news, local news, Oklahoma weather, sports, business, entertainment, lifestyle, opinion, government, movies, books, jobs, education, blogs, video &amp; multimedia." author="Darko Miletic" title="Tulsa World" needs_subscription="no"/>
-  <recipe id="builtin:tuttosport" language="it" description="Sport daily news from Italy" author="calibre" title="Tuttosport" needs_subscription="no"/>
-  <recipe id="builtin:tweakers" language="nl" description="" author="Kovid Goyal" title="Tweakers.net" needs_subscription="no"/>
-  <recipe id="builtin:tweakers_net" language="nl" description="" author="Kovid Goyal" title="Tweakers.net" needs_subscription="no"/>
-  <recipe id="builtin:twitchfilms" language="en" description="Twitch specializes in spreading the news on strange little films from around the world." author="Darko Miletic" title="Twitch Films" needs_subscription="no"/>
-  <recipe id="builtin:tyden.cz" language="cs" description="" author="bubak" title="Tyden.cz" needs_subscription="no"/>
-  <recipe id="builtin:tolzer_kurier" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Tölzer Kurier" needs_subscription="no"/>
-  <recipe id="builtin:ubuntu_pl" language="pl" description="Polskie forum użytkowników Ubuntu Linux. Projekty, porady i dyskusje, gotowe rozwiązania problemów." author="fenuks" title="UBUNTU.pl" needs_subscription="no"/>
-  <recipe id="builtin:unperiodico" language="es_CO" description="UN Periodico" author="Ismael Mejia &lt;iemejia@gmail.com&gt;" title="UN Periodico" needs_subscription="no"/>
-  <recipe id="builtin:usnews" language="en" description="News from USA and world" author="Darko Miletic" title="US &amp; World Report news" needs_subscription="no"/>
-  <recipe id="builtin:usatoday" language="en" description="newspaper" author="Kovid Goyal" title="USA Today" needs_subscription="no"/>
-  <recipe id="builtin:fredensborglokalavisen_dk" language="da" description="Uge-Nyt: Lokale og regionale nyheder, sport og kultur fra Fredensborg, Kokkedal og Humlebæk på fredensborg.lokalavisen.dk" author="CoderAllan.github.com" title="Uge-Nyt" needs_subscription="no"/>
-  <recipe id="builtin:hoersholmlokalavisen_dk" language="da" description="Lokale, regionale nyheder, sport og kultur i Hørsholm, Rungsted, Fredensborg og Humlebæk på hoersholm.lokalavisen.dk" author="CoderAllan.github.com" title="Ugebladet" needs_subscription="no"/>
-  <recipe id="builtin:gribskovlokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra Gribskov og omegn på gribskov.lokalavisen.dk" author="CoderAllan.github.com" title="Ugeposten Gribskov" needs_subscription="no"/>
-  <recipe id="builtin:ultimahora" language="es_PY" description="Noticias de Paraguay y el resto del mundo" author="Darko Miletic" title="Ultima Hora" needs_subscription="no"/>
-  <recipe id="builtin:uncrate" language="en" description="Uncrate is a web magazine for guys who love stuff. Our team digs up the best gadgets, clothes, cars, DVDs and more. New items are posted daily. Enjoy responsively." author="Darko Miletic" title="Uncrate" needs_subscription="no"/>
-  <recipe id="builtin:uninohimitu" language="ja" description="Japanese famous Cat blog" author="Hiroshi Miura" title="Uni secret base" needs_subscription="no"/>
-  <recipe id="builtin:unica" language="ro" description="Asa cum esti tu" author="Silviu Cotoară" title="Unica" needs_subscription="no"/>
-  <recipe id="builtin:upi" language="en" description="" author="calibre" title="United Press International" needs_subscription="no"/>
-  <recipe id="builtin:universe_today" language="en" description="Space and astronomy news." author="seird" title="Universe Today" needs_subscription="no"/>
-  <recipe id="builtin:utrinski" language="mk" description="Daily Macedonian newspaper" author="calibre" title="Utrinski Vesnik" needs_subscription="no"/>
-  <recipe id="builtin:vfr_magazine" language="it" description="" author="Krittika Goyal" title="VFR Magazine" needs_subscription="no"/>
-  <recipe id="builtin:vice" language="en" description="VICE News web site ebook" author="Adrian Tennessee (adrian.tennessee at domainthatnobodytakes.com)" title="VICE News" needs_subscription="no"/>
-  <recipe id="builtin:valbybladet_dk" language="da" description="" author="CoderAllan.github.com" title="Valby Bladet" needs_subscription="no"/>
-  <recipe id="builtin:vancouver_province" language="en_CA" description="News from Vancouver, BC" author="Nick Redding" title="Vancouver Province" needs_subscription="no"/>
-  <recipe id="builtin:vancouver_sun" language="en_CA" description="News from Vancouver, BC" author="Nick Redding" title="Vancouver Sun" needs_subscription="no"/>
-  <recipe id="builtin:vanloesebladet_dk" language="da" description="" author="CoderAllan.github.com" title="Vanløse Bladet" needs_subscription="no"/>
-  <recipe id="builtin:variety" language="en" description="Breaking entertainment movie news, movie reviews, entertainment industry events, news and reviews from Cannes, Oscars, and Hollywood awards.  Featuring box office charts, archives and more." author="Darko Miletic" title="Variety" needs_subscription="no"/>
-  <recipe id="builtin:novosti" language="sr" description="U početku su bile istinske večernje novine - pokrenute u vreme Tršćanske krize, Italijansko-jugoslovenskog konflikta oko grada Trsta - ali su brzo izrasle u dnevni informativno-politički list, koji već godinama ima najveći tiraž u Srbiji." author="Darko Miletic" title="Vecernje Novosti" needs_subscription="no"/>
-  <recipe id="builtin:vecernji_list" language="hr" description="Vecernji.hr je vodeci hrvatski news portal. Cilj je biti prvi u objavljivanju svih vijesti iz Hrvatske, svijeta, sporta, gospodarstva, showbiza i jos mnogo vise. Uz cjelodnevni rad, novinari objavljuju preko 300 raznih vijesti svakoga dana. Vecernji.hr prati sve vaznije dogadaje specijalnim izvjestajima, video specijalima i foto galerijama." author="Darko Miletic" title="Vecernji List" needs_subscription="no"/>
-  <recipe id="builtin:veintitres" language="es_AR" description="Revista Argentino dedicada a politica" author="Darko Miletic" title="Veintitres" needs_subscription="no"/>
-  <recipe id="builtin:version2" language="da" description="IT News" author="Rasmus Lauritsen" title="Version2.dk" needs_subscription="no"/>
-  <recipe id="builtin:vesterbrobladet_dk" language="da" description="" author="CoderAllan.github.com" title="Vesterbro Bladet" needs_subscription="no"/>
-  <recipe id="builtin:vice_magazine_de" language="de" description="Die offizielle Website des Vice Magazins Deutschland" author="atordo;alex" title="Vice Magazin Deutschland" needs_subscription="no"/>
-  <recipe id="builtin:vice_magazine" language="es" description="La página web oficial de la revista Vice España" author="atordo" title="Vice Magazine España" needs_subscription="no"/>
-  <recipe id="builtin:vic_times" language="en_CA" description="News from Victoria, BC" author="Nick Redding" title="Victoria Times Colonist" needs_subscription="no"/>
-  <recipe id="builtin:vignette" language="it" description="Ellekappa, Altan, Vauro - Italian best satirical cartoons" author="faber1971" title="Vignette" needs_subscription="no"/>
-  <recipe id="builtin:vijesti" language="sr" description="News from Montenegro" author="Darko Miletic" title="Vijesti" needs_subscription="no"/>
-  <recipe id="builtin:gentoftelokalavisen_dk" language="da" description="Lokale og regionale nyheder, sport og kultur fra Gentofte, Hellerup og Charlottenlund på gentofte.lokalavisen.dk" author="CoderAllan.github.com" title="Villabyerne" needs_subscription="no"/>
-  <recipe id="builtin:villagevoice" language="en" description="" author="Barty" title="Village Voice" needs_subscription="no"/>
-  <recipe id="builtin:virtualshackles" language="en" description="The adventures of Orion and Jack, making games they'd never play for people they don't like." author="Darko Miletic" title="Virtual Shackles" needs_subscription="no"/>
-  <recipe id="builtin:vitalia" language="cs" description="Aktuality a články z Vitalia.cz" author="Tomas Latal" title="Vitalia" needs_subscription="no"/>
-  <recipe id="builtin:viva" language="ro" description="Vedete si evenimente" author="Silviu Cotoară" title="Viva" needs_subscription="no"/>
-  <recipe id="builtin:vnexpress" language="vi" description="Vietnam news and current affairs from the Food Production Technology Corporation" author="Huan Komrade T" title="VnExpress" needs_subscription="no"/>
-  <recipe id="builtin:voetbal_belgie" language="nl_BE" description="Voetbalnieuws uit België" author="erkfuizfeuadjfjzefzfuzeff" title="Voetbal België" needs_subscription="no"/>
-  <recipe id="builtin:voice_of_america" language="en" description="" author="Krittika Goyal" title="Voice of America" needs_subscription="no"/>
-  <recipe id="builtin:vreme" language="sr" description="Politicki Nedeljnik Srbije" author="Darko Miletic" title="Vreme" needs_subscription="yes"/>
-  <recipe id="builtin:vrijnederland" language="nl" description="Weekly opinion magazine from the Netherlands" author="kwetal" title="Vrij Nederland" needs_subscription="no"/>
-  <recipe id="builtin:wnp" language="pl" description="Wirtualny Nowy Przemysł" author="fenuks" title="WNP" needs_subscription="no"/>
-  <recipe id="builtin:woz_die" language="de" description="" author="calibre" title="WOZ Die Wochenzeitung" needs_subscription="no"/>
-  <recipe id="builtin:wvhooligan" language="en" description="A look at Major League Soccer (MLS) through the eyes of a MLS writer and fan." author="rylsfan" title="WV Hooligan" needs_subscription="no"/>
-  <recipe id="builtin:waco_tribune" language="en" description="Waco, Texas, Newspaper" author="rty" title="Waco Tribune Herald" needs_subscription="no"/>
-  <recipe id="builtin:wallstreetro" language="ro" description="" author="Silviu Cotoară" title="Wall Street" needs_subscription="no"/>
-  <recipe id="builtin:walla" language="he" description="The WallaNews." author="marbs" title="Walla" needs_subscription="no"/>
-  <recipe id="builtin:warentest" language="de" description="Stiftung Warentest is a German consumer organisation and foundation involved in investigating and comparing goods and services in an unbiased way" author="asdfdsfksd" title="Warentest" needs_subscription="no"/>
-  <recipe id="builtin:wapo_cartoons" language="en" description="Cartoons from the Washington Post" author="kwetal" title="Washington Post Cartoons" needs_subscription="no"/>
-  <recipe id="builtin:wash_times" language="en" description="" author="Kos Semonski" title="Washington Times" needs_subscription="no"/>
-  <recipe id="builtin:watchingamerica" language="en" description="Global opinion about the United States" author="kwetal" title="Watching America" needs_subscription="no"/>
-  <recipe id="builtin:weblogs_sl" language="es" description="Weblogs colectivos dedicados a seguir la actualidad sobre tecnologia, entretenimiento, estilos de vida, motor, deportes y economia." author="desUBIKado" title="Weblogs SL (Xataka, Genbeta, VidaExtra, Blog de Cine y otros)" needs_subscription="no"/>
-  <recipe id="builtin:weilheimer_tagblatt" language="de" description="German  online portal of Münchner Merkur" author="Bernd Boehm" title="Weilheimer Tagblatt" needs_subscription="no"/>
-  <recipe id="builtin:welt_der_physik" language="de" description="Welt der Physik - heute schon geforscht?" author="Bernd Kunze" title="Welt der Physik" needs_subscription="no"/>
-  <recipe id="builtin:welt" language="de" description="german newspaper" author="Oliver Niesner" title="Weltonline" needs_subscription="no"/>
-  <recipe id="builtin:what_if" language="en" description="The &quot;What If&quot; feed from xkcd" author="kisnik" title="What If..." needs_subscription="no"/>
-  <recipe id="builtin:wichita_eagle" language="en" description="Daily news from the Wichita Eagle" author="Jason Cameron" title="Wichita Eagle" needs_subscription="no"/>
-  <recipe id="builtin:wikinews_en" language="en" description="News from wikipedia" author="Darko Miletic" title="Wikinews" needs_subscription="no"/>
-  <recipe id="builtin:windows_star" language="en_CA" description="News from Windsor, ON" author="Nick Redding" title="Windsor Star" needs_subscription="no"/>
-  <recipe id="builtin:windsor_star" language="en_CA" description="News from Windsor, ON" author="Nick Redding" title="Windsor Star" needs_subscription="no"/>
-  <recipe id="builtin:winnipeg_free_press" language="en_CA" description="News from Winnipeg, Manitoba, Canada" author="buyo" title="Winnipeg Free Press" needs_subscription="no"/>
-  <recipe id="builtin:winnipeg_sun" language="en_CA" description="Winnipeg Newspaper" author="rty" title="Winnipeg Sun" needs_subscription="no"/>
-  <recipe id="builtin:wired_daily" language="en" description="Wired is a full-color monthly American magazine, published in both print and online editions, that reports on how emerging technologies affect culture, the economy and politics." author="Darko Miletic, PatStapleton(update 2020-05-24)" title="Wired Daily Edition" needs_subscription="no"/>
-  <recipe id="builtin:wired" language="en" description="Wired is a full-color monthly American magazine, published in both print and online editions, that reports on how emerging technologies affect culture, the economy and politics. Monthly edition, best run at the start of every month." author="Darko Miletic, update by Zach Lapidus, Michael Marotta" title="Wired Magazine, Monthly Edition" needs_subscription="no"/>
-  <recipe id="builtin:wired_it" language="it" description="Wired - Make in Italy. Inventa, sbaglia, innova" author="isspro" title="Wired.it" needs_subscription="no"/>
-  <recipe id="builtin:wirtscafts_woche" language="de" description="Wirtschaftswoche Online - basierend auf den RRS-Feeds von Wiwo.de" author="Armin Geller" title="WirtschaftsWoche Online" needs_subscription="no"/>
-  <recipe id="builtin:wirtualnemedia_pl" language="pl" description="Portal o mediach, reklamie, internecie, PR, telekomunikacji - nr 1 w Polsce - WirtualneMedia.pl - wiadomości z pierwszej ręki." author="fenuks" title="Wirtualnemedia.pl" needs_subscription="no"/>
-  <recipe id="builtin:wow" language="en" description="" author="Krittika Goyal" title="WoW Insider" needs_subscription="no"/>
-  <recipe id="builtin:wolne_media" language="pl" description="Wiadomości z wolnemedia.net" author="teepel &lt;teepel44@gmail.com&gt;" title="Wolne Media" needs_subscription="no"/>
-  <recipe id="builtin:words_without_borders" language="en" description="" author="sexymax15" title="Words Without Borders" needs_subscription="no"/>
-  <recipe id="builtin:workers_world" language="en" description="Socialist news and analysis" author="urslnx" title="Workers World" needs_subscription="no"/>
-  <recipe id="builtin:worldcrunch" language="en" description="" author="Krittika Goyal" title="Worldcrunch" needs_subscription="no"/>
-  <recipe id="builtin:xpatloop" language="en_HU" description="" author="laca" title="XpatLoop.com" needs_subscription="no"/>
-  <recipe id="builtin:yagmur_dergisi" language="tr" description="Üç Aylık Dil, Kültür ve Edebiyat Dergisi" author="thomass" title="Yagmur Dergisi" needs_subscription="no"/>
-  <recipe id="builtin:yahoo_news" language="en" description="Yahoo-Science" author="Starson17" title="Yahoo News" needs_subscription="no"/>
-  <recipe id="builtin:yakima_herald" language="en" description="The Yakima Herald-Republic." author="Laura Gjovaag" title="Yakima Herald-Republic" needs_subscription="no"/>
-  <recipe id="builtin:yalansavar" language="tr" description="" author="asalet_r" title="Yalansavar" needs_subscription="no"/>
-  <recipe id="builtin:yazihane" language="tr" description="Sports Blog" author="A Erdogan" title="Yazihane" needs_subscription="no"/>
-  <recipe id="builtin:yementimes" language="en_YE" description="Award winning weekly from Yemen, promoting press freedom, professional journalism and the defense of human rights." author="kwetal" title="Yemen Times" needs_subscription="no"/>
-  <recipe id="builtin:yeni_umit_dergisi" language="tr" description="Aylık Dini İlimler ve Kültür Dergisi" author="thomass" title="Yeni Umit Dergisi" needs_subscription="no"/>
-  <recipe id="builtin:yenisafak_gazetesi" language="tr" description="" author="thomass" title="Yenişafak Gazetesi" needs_subscription="no"/>
-  <recipe id="builtin:ynet" language="he" description="This is a recipe of Ynet.co.il. The recipe opens the article page and clicks on an advertisement to not hurt the sites advertising income." author="marbs" title="Ynet" needs_subscription="no"/>
-  <recipe id="builtin:yomiuri" language="ja" description="Japanese traditional newspaper Yomiuri Online News" author="Hiroshi Miura" title="Yomiuri Online (Latest)" needs_subscription="no"/>
-  <recipe id="builtin:yomiuri_world" language="ja" description="Japanese traditional newspaper Yomiuri Online News/world news" author="Hiroshi Miura" title="Yomiuri Online (World)" needs_subscription="no"/>
-  <recipe id="builtin:zaman" language="tr" description=" Zaman Gazetesinin internet sitesinden günlük haberler" author="thomass" title="ZAMAN Gazetesi" needs_subscription="no"/>
-  <recipe id="builtin:zdnet.fr" language="fr" description="Actualités" author="calibre" title="ZDNet.fr" needs_subscription="no"/>
-  <recipe id="builtin:zaufana_trzecia_strona" language="pl" description="Niezależne źródło wiadomości o świecie bezpieczeństwa IT" author="fenuks" title="Zaufana Trzecia Strona" needs_subscription="no"/>
-  <recipe id="builtin:zaxid_net" language="uk" description="" author="rpalyvoda" title="Zaxid.net" needs_subscription="no"/>
-  <recipe id="builtin:zeitde" language="de" description="German online portal of newspaper Die Zeit" author="Armin Geller, Thomas Hollstegge" title="Zeit Online" needs_subscription="no"/>
-  <recipe id="builtin:zerohedge" language="en" description="On a long enough timeline the survival rate for everyone drops to zero" author="Darko Miletic" title="Zero Hedge" needs_subscription="no"/>
-  <recipe id="builtin:zerocalcare" language="und" description="Free Italian Comics" author="faber1971" title="Zerocalcare" needs_subscription="no"/>
-  <recipe id="builtin:ziarulfinanciar" language="ro" description="Știri din Business" author="Silviu Cotoară" title="Ziarul Financiar" needs_subscription="no"/>
-  <recipe id="builtin:zita_be" language="nl_BE" description="Lifestyle News from Belgium in Dutch" author="erkfuizfeuadjfjzefzfuzeff" title="Zita.be" needs_subscription="no"/>
-  <recipe id="builtin:ziuaveche" language="ro" description="Cotidian online" author="Silviu Cotoară" title="Ziua Veche" needs_subscription="no"/>
-  <recipe id="builtin:znadplanszy_pl" language="pl" description="" author="fenuks" title="ZnadPlanszy.pl" needs_subscription="no"/>
-  <recipe id="builtin:origo_hu" language="hu" description="" author="laca" title="[origo]" needs_subscription="no"/>
-  <recipe id="builtin:aktualne.cz" language="cs" description="aktuálně.cz" author="bubak" title="aktualne.cz" needs_subscription="no"/>
-  <recipe id="builtin:attac_es" language="es" description="La Asociación por la Tasación de las Transacciones Financieras y por la Ayuda a los Ciudadanos (ATTAC) es un movimiento internacional altermundialista que promueve el control democrático de los mercados financieros y las instituciones encargadas de su control mediante la reflexión política y la movilización social." author="Marc Busqué &lt;marc@lamarciana.com&gt;" title="attac.es" needs_subscription="no"/>
-  <recipe id="builtin:b365realitatea" language="ro" description="b365 Realitatea" author="Silviu Cotoară" title="b365 Realitatea" needs_subscription="no"/>
-  <recipe id="builtin:badania_net" language="pl" description="chcesz wiedzieć więcej?" author="fenuks" title="badania.net" needs_subscription="no"/>
-  <recipe id="builtin:bitacora" language="es_UY" description="Noticias de Uruguay" author="Gustavo Azambuja" title="bitacora.com.uy" needs_subscription="no"/>
-  <recipe id="builtin:brand_eins" language="de" description="brand eins beschreibt den momentanen Wandel in Wirtschaft und Gesellschaft." author="Nikolas Mangold-Takao, Thomas Schlenkhoff" title="brand eins" needs_subscription="no"/>
-  <recipe id="builtin:darknet" language="en" description="Ethical hacking and security news" author="Oliver Niesner" title="darknet" needs_subscription="no"/>
-  <recipe id="builtin:denik.cz" language="cs" description="Český deník" author="bubak" title="denik.cz" needs_subscription="no"/>
-  <recipe id="builtin:der_standard" language="de_AT" description="Nachrichten aus Österreich" author="Gerhard Aigner and Sujata Raman and Marcel Jira and Peter Reschenhofer" title="derStandard" needs_subscription="no"/>
-  <recipe id="builtin:diagonal" language="es" description="Periodico quincenal de actualidad critica" author="Ruben Pollan" title="diagonal" needs_subscription="no"/>
-  <recipe id="builtin:drivelry" language="en" description="A blog by Mike Abrahams" author="Krittika Goyal" title="drivelry.com" needs_subscription="no"/>
-  <recipe id="builtin:dzieje_pl" language="pl" description="Dzieje.pl - najlepszy portal informacyjno-edukacyjny dotyczący historii Polski XX wieku. Archiwalne fotografie, filmy, katalog postaci, quizy i konkursy." author="fenuks" title="dzieje.pl" needs_subscription="no"/>
-  <recipe id="builtin:ecuisine" language="ro" description="Reinventează plăcerea de a găti" author="Silviu Cotoară" title="eCuisine" needs_subscription="no"/>
-  <recipe id="builtin:egirl" language="ro" description="Necesar pentru tine" author="Silviu Cotoară" title="egirl" needs_subscription="no"/>
-  <recipe id="builtin:eioba" language="pl" description="eioba.pl - daj się przeczytać!" author="fenuks" title="eioba" needs_subscription="no"/>
-  <recipe id="builtin:ekathemerini" language="en_GR" description="News from Greece, English edition" author="Thomas Scholl" title="ekathimerini" needs_subscription="no"/>
-  <recipe id="builtin:folketidende_dk" language="da" description="Lokalt nyhedssite, med nyheder og lokalstof om Lolland og Falster" author="CoderAllan.github.com" title="folketidende.dk" needs_subscription="no"/>
-  <recipe id="builtin:freeway" language="es_UY" description="Revista Freeway, Montevideo, Uruguay" author="Gustavo Azambuja" title="freeway.com.uy" needs_subscription="no"/>
-  <recipe id="builtin:go4it" language="ro" description="Gadgeturi, Lifestyle, Tehnologie" author="Silviu Cotoară" title="go4it" needs_subscription="no"/>
-  <recipe id="builtin:heise" language="de" description="Computernews from Germany" author="Oliver Niesner" title="heise" needs_subscription="no"/>
-  <recipe id="builtin:idnes" language="cs" description="iDNES.cz Zprávy, Technet, Komiksy a další" author="FunThomas" title="iDnes.cz" needs_subscription="no"/>
-  <recipe id="builtin:ihned" language="cs" description="Zprávy z iHNed.cz" author="Karel Bílek" title="iHNed" needs_subscription="no"/>
-  <recipe id="builtin:ihned.cz" language="cs" description="ihned.cz" author="bubak" title="iHNed.cz" needs_subscription="no"/>
-  <recipe id="builtin:iliteratura_cz" language="cs" description="O LITERATUŘE V CELÉM SVĚTĚ A DOMA" author="Abelturd" title="iLiteratura.cz" needs_subscription="no"/>
-  <recipe id="builtin:iprofesional" language="es_AR" description="Las ultimas noticias sobre profesionales" author="Darko Miletic" title="iProfesional.com" needs_subscription="no"/>
-  <recipe id="builtin:heise_ix" language="de" description="Das iX Magazin als ePaper. Benötigt Heise Plus Digitalabo (siehe https://www.heise.de/plus/)" author="Ralf Hein" title="iX" needs_subscription="yes"/>
-  <recipe id="builtin:ixbt" language="ru" description="Специализированный российский информационно-аналитический сайт с самыми актуальными новостями из сферы IT, детальными обзорами смартфонов, планшетов, персональных компьютеров, компьютерных комплектующих, программного обеспечения и периферийных устройств" author="bugmen00t" title="iXBT.com" needs_subscription="no"/>
-  <recipe id="builtin:il_cambiamento" language="it" description="" author="ghib9" title="il Cambiamento" needs_subscription="no"/>
-  <recipe id="builtin:in_gr" language="el" description="News from Greece" author="Stelios" title="in.gr" needs_subscription="no"/>
-  <recipe id="builtin:ifzm" language="zh" description="Chinese Weekly Tabloid" author="rty" title="infzm - China Southern Weekly" needs_subscription="no"/>
-  <recipe id="builtin:io9" language="en" description="io9, We Come From the Future." author="NA" title="io9" needs_subscription="no"/>
-  <recipe id="builtin:ionline_pt" language="pt" description="News from Portugal" author="Darko Miletic" title="ionline - Portugal" needs_subscription="no"/>
-  <recipe id="builtin:kath_net" language="de" description="Katholische Nachrichten" author="Bobus" title="kath.net" needs_subscription="no"/>
-  <recipe id="builtin:ksiazka_pl" language="pl" description="Portal Księgarski - tematyczny serwis o książkach. Wydarzenia z rynku księgarsko-wydawniczego, nowości, zapowiedzi, bestsellery, setki recenzji. Niezbędne informacje dla każdego miłośnika książek, księgarza, bibliotekarza i wydawcy." author="fenuks" title="książka.net.pl" needs_subscription="no"/>
-  <recipe id="builtin:lequipe" language="fr" description="Retrouvez tout le sport en direct sur le site de L'EQUIPE et suivez l'actualité du football, rugby, basket, cyclisme, f1, volley, hand, tous les résultats sportifs" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" title="l'equipe" needs_subscription="no"/>
-  <recipe id="builtin:lidovky" language="cs" description="lidovky.cz" author="bubak" title="lidovky" needs_subscription="no"/>
-  <recipe id="builtin:lwn" language="en" description="Linux Weekly News" author="Oliver Niesner" title="lwn" needs_subscription="yes"/>
-  <recipe id="builtin:msnbc" language="en" description="A Fuller Spectrum of News" author="Darko Miletic" title="msnbc.com" needs_subscription="no"/>
-  <recipe id="builtin:newz_dk" language="da" description="Nyheder for rigtige nørder" author="CoderAllan.github.com" title="newz.dk" needs_subscription="no"/>
-  <recipe id="builtin:nos_nl" language="nl_NL" description="News from the Netherlands in Dutch" author="erkfuizfeuadjfjzefzfuzeff" title="nos.nl" needs_subscription="no"/>
-  <recipe id="builtin:novinky.cz" language="cs" description="novinky.cz" author="bubak" title="novinky.cz" needs_subscription="no"/>
-  <recipe id="builtin:ncrnext" language="nl" description="Dutch newsblog from the Dutch daily newspaper nrcnext." author="kwetal" title="nrcnext" needs_subscription="no"/>
-  <recipe id="builtin:nrc_next" language="nl" description="De ePaper-versie van nrc•next" author="Niels Giesen" title="nrc•next" needs_subscription="yes"/>
-  <recipe id="builtin:optyczne_pl" language="pl" description="Najlepsze testy obiektywów, testy aparatów cyfrowych i testy lornetek w sieci!" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" title="optyczne.pl" needs_subscription="no"/>
-  <recipe id="builtin:ppe_pl" language="pl" description="Portal o konsolach i grach wideo." author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" title="ppe.pl" needs_subscription="no"/>
-  <recipe id="builtin:security_watch" language="en" description="security news" author="Oliver Niesner" title="securitywatch" needs_subscription="no"/>
-  <recipe id="builtin:sn_dk" language="da" description="Sjællandske medier" author="CoderAllan.github.com" title="sn.dk" needs_subscription="no"/>
-  <recipe id="builtin:sol_haber" language="tr" description="Hayata soLdan bakın.." author="Onur Güngör" title="soL Haber" needs_subscription="no"/>
-  <recipe id="builtin:dominion" language="en_NZ" description="" author="Krittika Goyal" title="stuff.co.nz" needs_subscription="no"/>
-  <recipe id="builtin:tomshardware_de" language="de" description="computer news in german" author="Oliver Niesner" title="tomshardware" needs_subscription="no"/>
-  <recipe id="builtin:tuttojove" language="it" description="Juventus" author="faber1971" title="tuttojuve" needs_subscription="no"/>
-  <recipe id="builtin:poche" language="und" description="Get your wallabag from your framabag account. wallabag is a self hosted read it later platform" author="Xavier Detant" title="wallabag" needs_subscription="yes"/>
-  <recipe id="builtin:wenxuecity-znjy" language="zh" description="" author="Derek Liang" title="wenxuecity - znjy" needs_subscription="no"/>
-  <recipe id="builtin:superesportes" language="pt" description="Superesportes - Not√≠cias do esporte no Brasil e no mundo" author="Luciano Furtado" title="www.superesportes.com.br" needs_subscription="no"/>
-  <recipe id="builtin:xkcd" language="en" description="A webcomic of romance and math humor." author="Martin Pitt updated by DrMerry." title="xkcd" needs_subscription="no"/>
-  <recipe id="builtin:zdnet" language="en" description="zdnet security" author="Oliver Niesner, Krittika Goyal" title="zdnet" needs_subscription="no"/>
-  <recipe id="builtin:zougla" language="el" description="" author="Stelios" title="zougla" needs_subscription="no"/>
-  <recipe id="builtin:hola" language="es" description="Diario de actualidad, moda y belleza" author="calibre" title="¡Hola!" needs_subscription="no"/>
-  <recipe id="builtin:elet_es_irodalom" language="hu" description="" author="Bigpapa" title="Élet és Irodalom" needs_subscription="optional"/>
-  <recipe id="builtin:intrefete" language="ro" description="Petrece ziua cu stil, află ce e nou între fete" author="Silviu Cotoară" title="Între fete" needs_subscription="no"/>
-  <recipe id="builtin:oesterbroavis_dk" language="da" description="" author="CoderAllan.github.com" title="Østerbro Avis" needs_subscription="no"/>
-  <recipe id="builtin:ct24" language="cs" description="" author="zoidozoido" title="ČT24" needs_subscription="no"/>
-  <recipe id="builtin:ceska_pozice" language="cs" description="Česká pozice" author="bubak" title="Česká pozice" needs_subscription="no"/>
-  <recipe id="builtin:ceske_noviny" language="cs" description="ceskenoviny.cz" author="bubak" title="České Noviny" needs_subscription="no"/>
-  <recipe id="builtin:cesky_rozhlas_6" language="cs" description="Český rozhlas 6" author="bubak" title="Český rozhlas 6" needs_subscription="no"/>
-  <recipe id="builtin:iktibas" language="tr" description="" author="asalet_r" title="İktibas" needs_subscription="no"/>
-  <recipe id="builtin:insan_okur" language="tr" description="" author="asalet_r" title="İnsan Okur" needs_subscription="no"/>
-  <recipe id="builtin:swiatkindle" language="pl" description="Czytniki e-książek w Polsce. Jak wybrać, kupić i korzystać z Amazon Kindle i innych" author="Tomasz Długosz" title="Świat Czytników" needs_subscription="no"/>
-  <recipe id="builtin:swiat_obrazu" language="pl" description="Internetowy Dziennik o Fotografii i Wideo www.SwiatObrazu.pl to źródło informacji o technice fotografii i wideo, o sprzęcie najbardziej znanych i uznanych firm: Canon, Nikon, Sony, Hasselblad i wielu innych. Znajdziecie tu programy do obróbki zdjęć, forum foto i forum wideo i galerie zdjęć. Codziennie najświeższe informacje: aktualności, testy, poradniki, wywiady, felietony. Swiatobrazu.pl stale organizuje konkursy oraz warsztaty fotograficzne i wideo." author="fenuks" title="Świat Obrazu" needs_subscription="no"/>
-  <recipe id="builtin:zycie_warszawy" language="pl" description="Wiadomości z Warszawy" author="Łukasz Grączewski" title="Życie Warszawy" needs_subscription="no"/>
-  <recipe id="builtin:stiintasitehnica" language="ro" description="Știință şi Tehnică" author="Silviu Cotoară" title="Știință şi Tehnică" needs_subscription="no"/>
-  <recipe id="builtin:navalny" language="ru" description="Блог Алексея Навального. Финальная битва между добром и нейтралитетом" author="bugmen00t" title="Алексей Навальный" needs_subscription="no"/>
-  <recipe id="builtin:iekspries" language="uk" description="" author="rpalyvoda" title="Експрес" needs_subscription="no"/>
-  <recipe id="builtin:zadolba_li" language="ru" description="Всё началось в 2009 году с историй о клиентах и покупателях. Оказалось, не всё ладно и в университетах, и в госструктурах, да и соседи не сахар. «Задолба!ли» открывает глаза на негласные нормы поведения, прививает взаимную терпимость и дарит хорошее настроение людям с обеих сторон прилавка. Мы не претендуем на звание главной жалобной книги Рунета, но поучительных историй у нас предостаточно." author="bugmen00t" title="Задолба!ли" needs_subscription="no"/>
-  <recipe id="builtin:id_pixel" language="ru" description="Новостной проект о ретро-играх и ретро-технике. Восьмибитные игры, шестнадцатибитные консоли, домашние компьютеры с играми на кассетах и так далее. Мы ищем ретро-новости по всему свету и доносим их до вас." author="bugmen00t" title="Идеальный пиксель" needs_subscription="no"/>
-  <recipe id="builtin:inopressa" language="ru" description="Иностранная пресса о России и не только" author="bug_me_not" title="ИноПресса" needs_subscription="no"/>
-  <recipe id="builtin:kompiutierra" language="ru" description="Компьютерра: все новости про компьютеры, железо, новые технологии, информационные технологии" author="lcd1232" title="Компьютерра" needs_subscription="no"/>
-  <recipe id="builtin:l_vivs_ghazieta" language="uk" description="" author="rpalyvoda" title="Львівська газета" needs_subscription="no"/>
-  <recipe id="builtin:lvivs_ks_ghazieta" language="uk" description="" author="rpalyvoda" title="Львівська газета" needs_subscription="no"/>
-  <recipe id="builtin:media_zone" language="ru" description="Общественно-политическое издание, сделавшее акцент на функционировании закона в России. По мнению авторитетных медиаэкспертов, по цитируемости и посещаемости формат «Медиазоны» оказался ведущим форматом новостного издания в России 2015 года. «Медиазона» пишет о реально происходящем в России, первой улавливая векторы развития общества." author="bugmen00t" title="МедиаЗона" needs_subscription="no"/>
-  <recipe id="builtin:oba" language="ru" description="Независимый правозащитный медиа-проект, посвященный политическим преследованиям в России." author="bugmen00t" title="ОВД-Инфо" needs_subscription="no"/>
-  <recipe id="builtin:pecat" language="sr" description="Интернет портал слободне Србије" author="Darko Miletic" title="Печат" needs_subscription="optional"/>
-  <recipe id="builtin:pravda_ru" language="ru" description="Правда.Ру: Аналитика и новости" author="Darko Miletic" title="Правда" needs_subscription="no"/>
-  <recipe id="builtin:trv" language="ru" description="" author="Vadim Dyadkin" title="Троицкий вариант" needs_subscription="no"/>
-  <recipe id="builtin:ukraiyns_kii_tizhdien" language="uk" description="" author="rpalyvoda" title="Український Тиждень" needs_subscription="no"/>
-  <recipe id="builtin:ukraiyns_tizhdien" language="uk" description="" author="rpalyvoda" title="Український Тиждень" needs_subscription="no"/>
-  <recipe id="builtin:echo_moskvy" language="ru" description="Радиостанция Эхо Москвы" author="bug_me_not" title="Эхо Москвы" needs_subscription="no"/>
-  <recipe id="builtin:china_times" language="zh" description="China Times (Taiwan)" author="einstuerzende, updated by Eddie Lau" title="中時電子報" needs_subscription="no"/>
-  <recipe id="builtin:people_daily" language="zh" description="People Daily Newspaper" author="zzh" title="人民日报" needs_subscription="no"/>
-  <recipe id="builtin:nikkei_news" language="ja" description="日経電子版による日本経済新聞。朝刊・夕刊は取得時間により切り替わります。要購読" author="Ado Nishimura" title="日本経済新聞（朝刊・夕刊）" needs_subscription="yes"/>
-  <recipe id="builtin:nikkei_free" language="ja" description="News and current market affairs from Japan, no subscription and getting max feed." author="Hiroshi Miura" title="日経新聞電子版(Free, MAX)" needs_subscription="no"/>
-  <recipe id="builtin:nikkei_sub" language="ja" description="News and current market affairs from Japan, gather MAX articles" author="Hiroshi Miura" title="日経新聞電子版(MAX)" needs_subscription="yes"/>
-  <recipe id="builtin:singtaohk" language="zh" description="Hong Kong Chinese Newspaper (http://singtao.com)" author="Eddie Lau" title="星島日報 (香港)" needs_subscription="no"/>
-  <recipe id="builtin:jijinews" language="ja" description="World News from Jiji Press" author="Hiroshi Miura" title="時事通信" needs_subscription="no"/>
-  <recipe id="builtin:mainichi" language="ja" description="Japanese traditional newspaper Mainichi Daily News" author="Hiroshi Miura" title="毎日新聞" needs_subscription="no"/>
-  <recipe id="builtin:mainichi_science_news" language="ja" description="Japanese traditional newspaper Mainichi Daily News - science" author="Hiroshi Miura" title="毎日新聞(Science)" needs_subscription="no"/>
-  <recipe id="builtin:kahokushinpo" language="ja" description="Tohoku regional news paper in Japan" author="Hiroshi Miura" title="河北新報" needs_subscription="no"/>
-  <recipe id="builtin:zaobao" language="zh" description="News from zaobao.com" author="Pu Bo" title="联合早报网 zaobao.com" needs_subscription="no"/>
-  <recipe id="builtin:united_daily" language="zh_TW" description="United Daily (Taiwan)" author="Eddie Lau" title="聯合新聞網" needs_subscription="no"/>
-  <recipe id="builtin:liberty_times" language="zh" description="Liberty Times (Taiwan)" author="einstuerzende, updated by Eddie Lau" title="自由電子報" needs_subscription="no"/>
-  <recipe id="builtin:appledaily_tw" language="zh_TW" description="24 小時陪你看新聞，我們是最勁爆、最八卦、最貼近大家生活的台灣蘋果日報！" author="YuLun Shih" title="蘋果日報 (台灣)" needs_subscription="no"/>
-  <recipe id="builtin:apple_daily" language="zh" description="http://hkm.appledaily.com/" author="Eddie Lau" title="蘋果日報 (香港)" needs_subscription="no"/>
-  <recipe id="builtin:maekyung" language="ko" description="매일경제 신문 기사" author="Hoje Lee" title="매일경제" needs_subscription="no"/>
-  <recipe id="builtin:daum_net" language="ko" description="Articles from media.daum.net" author="trustin" title="미디어 다음 오늘의 주요 뉴스" needs_subscription="no"/>
-  <recipe id="builtin:sisainlive" language="ko" description="시사인 라이브 기사" author="Hoje Lee" title="시사인 라이브" needs_subscription="no"/>
-  <recipe id="builtin:chosun" language="ko" description="조선닷컴 기사" author="Hoje Lee" title="조선일보" needs_subscription="no"/>
-  <recipe id="builtin:joongang" language="ko" description="중앙일보 신문 기사" author="Hoje Lee" title="중앙일보" needs_subscription="no"/>
-  <recipe id="builtin:hankyoreh" language="ko" description="The Hankyoreh News articles" author="Seongkyoun Yoo" title="한겨례" needs_subscription="no"/>
+  <recipe needs_subscription="no" id="builtin:plus_info" author="Darko Spasovski" description="Macedonian news portal" title="+info" language="mk"/>
+  <recipe needs_subscription="optional" id="builtin:tyzden" author="Martin Račák, zemiak" description="Politicko-spoločenský týždenník." title=".týždeň" language="sk"/>
+  <recipe needs_subscription="no" id="builtin:10minutos" author="Carlos Alves" description="Noticias de Salto - Uruguay" title="10minutos" language="es_UY"/>
+  <recipe needs_subscription="no" id="builtin:180" author="Gustavo Azambuja" description="Noticias de Uruguay" title="180.com.uy" language="es_UY"/>
+  <recipe needs_subscription="no" id="builtin:1843" author="Kovid Goyal" description="The ideas, culture and lifestyle magazine from The Economist" title="1843" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:20_minutos" author="Luis Hernandez" description="Free spanish newspaper" title="20 Minutos" language="es"/>
+  <recipe needs_subscription="no" id="builtin:20minutes" author="Aurélien Chabot" description="Actualités" title="20 minutes" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:24sata" author="Darko Miletic" description="News Portal from Croatia" title="24 Sata - Hr" language="hr"/>
+  <recipe needs_subscription="no" id="builtin:3dnews" author="bugmen00t" description="Независимое российское онлайн-издание, посвященное цифровым технологиям" title="3DNews: Daily Digital Digest" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:lomza" author="fenuks" description="Regionalny portal. Najświeższe informacje z regionu, kulturalne, sportowe. Ogłoszenia, baza biznesu, forum." title="4Łomza" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:7x7" author="bugmen00t" description="7x7 - межрегиональный интернет-журнал" title="7x7" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:list_apart" author="Marc Busqué &lt;marc@lamarciana.com&gt;" description="A List Apart Magazine (ISSN: 1534-0295) explores the design, development, and meaning of web content, with a special focus on web standards and best practices. This recipe retrieve articles and columns." title="A List Apart" language="en"/>
+  <recipe needs_subscription="no" id="builtin:abc_py" author="Darko Miletic" description="Noticias de Paraguay y el resto del mundo" title="ABC Color" language="es_PY"/>
+  <recipe needs_subscription="no" id="builtin:abc" author="Funthomas" description="" title="ABC Linuxu" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:abc_au" author="Pat Stapleton" description="From the Australian Broadcasting Corporation. The ABC is owned and funded by the Australian Government, but is editorially independent." title="ABC News" language="en_AU"/>
+  <recipe needs_subscription="no" id="builtin:abc_es" author="Ricardo Jurado" description="Noticias de Spain y el mundo" title="ABC.es" language="es"/>
+  <recipe needs_subscription="no" id="builtin:queueacmorg" author="CoderAllan.github.com" description="Queue is the ACMs magazine for practicing software engineers. Written by engineers for engineers, Queue focuses on the technical problems and challenges that loom ahead, helping readers to sharpen their own thinking and pursue innovative solutions. Queue does not focus on either industry news or the latest &quot;solutions.&quot; Rather, Queue takes a critical look at current and emerging technologies, highlighting problems that are likely to arise and posing questions that software engineers should be thinking about." title="ACM Queue Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:ad" author="kwetal" description="News and Sports from the Netherlands" title="AD" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:am730" author="Eddie Lau" description="http://www.am730.com.hk" title="AM730" language="zh"/>
+  <recipe needs_subscription="no" id="builtin:app_funds" author="teepel &lt;teepel44@gmail.com&gt;" description="Blog inwestora dla inwestorów i oszczędzających" title="APP Funds" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:arizona_republic" author="Jim Olo" description="The Arizona Republic is Arizona's leading provider of news and information, and has published a daily newspaper in Phoenix for more than 110 years" title="AZRepublic" language="en"/>
+  <recipe needs_subscription="no" id="builtin:aachener_nachrichten" author="schuster" description="" title="Aachener Nachrichten" language="de"/>
+  <recipe needs_subscription="no" id="builtin:catavencu" author="Silviu Cotoară" description="Academia Catavencu. Pamflete!" title="Academia Caţavencu" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:acrimed" author="Gaëtan Lehmann" description="" title="Acrimed" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:adevarul" author="Silviu Cotoară" description="Știri din România" title="Adevărul" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:adnkronos" author="Gabriele Marini" description="News agency" title="Adnkronos" language="it"/>
+  <recipe needs_subscription="no" id="builtin:ebeltoftlokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport, kultur fra Ebeltoft og omegn på ebeltoft.lokalavisen.dk" title="Adresseavisen Ebeltoft" language="da"/>
+  <recipe needs_subscription="no" id="builtin:syddjurslokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra det sydlige Djursland på syddjurs.lokalavisen.dk" title="Adresseavisen Syddjurs" language="da"/>
+  <recipe needs_subscription="no" id="builtin:adventuregamers" author="Darko Miletic" description="Adventure games portal" title="Adventure Gamers" language="en"/>
+  <recipe needs_subscription="no" id="builtin:aftenposten" author="davotibarna" description="Norske nyheter" title="Aftenposten" language="no"/>
+  <recipe needs_subscription="no" id="builtin:newsmoldova" author="Silviu Cotoară" description="Agenţia de ştiri Moldova" title="Agenţia de ştiri Moldova" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:agrogerila" author="Darko Miletic" description="Politicki nekorektan blog." title="Agro Gerila" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:air_force_times" author="jde" description="News of the U.S. Air Force" title="Air Force Times" language="en"/>
+  <recipe needs_subscription="no" id="builtin:ajiajin" author="Hiroshi Miura" description="The next generation internet trends in Japan and Asia" title="Ajiajin blog" language="en"/>
+  <recipe needs_subscription="no" id="builtin:aksiyon_derigisi" author="thomass" description="Haftalık haber dergisi " title="Aksiyon Dergisi" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:al_jazeera" author="Darko Miletic" description="News from Middle East" title="Al Jazeera in English" language="en"/>
+  <recipe needs_subscription="no" id="builtin:al_monitor" author="spswerling" description="a The Pulse of the Middle East" title="Al Monitor" language="en"/>
+  <recipe needs_subscription="no" id="builtin:al_masry_alyoum_arabic" author="Hassan Williamson" description="The Arabic version of the Al-Masry Alyoum (Egypt Independent) newspaper." title="Al-Masry Alyoum (المصري اليوم)" language="ar"/>
+  <recipe needs_subscription="no" id="builtin:albert_mohler" author="Peter Grungi" description="" title="Albert Mohler's Blog" language="en"/>
+  <recipe needs_subscription="no" id="builtin:dosisdiarias" author="Darko Miletic" description="Mire sin compromiso y si le gusta vuelva" title="Alberto Montt en dosis diarias" language="es"/>
+  <recipe needs_subscription="no" id="builtin:alejakomiksu_com" author="fenuks" description="Serwis poświęcony komiksom. Najnowsze wieści, recenzje, artykuły, wywiady, galerie, komiksy online, konkursy, linki, baza komiksów online." title="Aleja Komiksu" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:alleroedlokalavisen_dk" author="CoderAllan.github.com" description="RSS feed med sidste nyt fra Allerød Nyt. Der er nye historier flere gange dagligt - få de seneste nyheder fra dit lokalområde automatisk. Allerød Nyt. alleroed.lokalavisen.dk" title="Allerød Nyt - alleroed.lokalavisen.dk" language="da"/>
+  <recipe needs_subscription="no" id="builtin:altomdata_dk" author="CoderAllan.github.com" description="" title="Alt om DATA, Datatid TechLife - Download, test, antivirus, netværk" language="da"/>
+  <recipe needs_subscription="no" id="builtin:alt_om_herning" author="Rasmus Lauritsen" description="Nyheder fra Herning om omegn" title="Alt om Herning" language="da"/>
+  <recipe needs_subscription="no" id="builtin:alternet" author="rty" description="News magazine and online community" title="Alternet" language="en"/>
+  <recipe needs_subscription="no" id="builtin:amagerbladet_dk" author="CoderAllan.github.com" description="" title="Amagerbladet" language="da"/>
+  <recipe needs_subscription="yes" id="builtin:ambito_financiero" author="Darko Miletic" description="Informacion Libre las 24 horas" title="Ambito Financiero" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:ambito" author="Darko Miletic" description="Ambito.com con noticias del Diario Ambito Financiero de Buenos Aires" title="Ambito.com" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:aprospect" author="Michael Heinz, a.peter" description="" title="American Prospect" language="en"/>
+  <recipe needs_subscription="no" id="builtin:american_thinker" author="Walt Anthony" description="American Thinker is a daily internet publication devoted to the thoughtful exploration of issues of importance to Americans." title="American Thinker" language="en"/>
+  <recipe needs_subscription="no" id="builtin:an_druma_mor" author="David O'Callaghan" description="" title="An Druma Mór" language="ga"/>
+  <recipe needs_subscription="no" id="builtin:anandtech" author="Oliver Niesner, Armin Geller" description="comprehensive Hardware Tests" title="Anandtech" language="en"/>
+  <recipe needs_subscription="no" id="builtin:anchorage_daily" author="rty" description="'Alaska's Newspaper" title="Anchorage Daily News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:android_com_pl" author="fenuks" description="Android.com.pl - to największe w Polsce centrum Android OS. Znajdziesz tu: nowości, forum, pomoc, recenzje, gry, aplikacje." title="Android.com.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:animal_politico" author="Jose Ortiz" description="Noticias Políticas" title="Animal Político" language="es_MX"/>
+  <recipe needs_subscription="no" id="builtin:anthony_muroni" author="tzium" description="" title="AnthonyMuroni.it (sardu)" language="sc"/>
+  <recipe needs_subscription="no" id="builtin:antyweb" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;, adrianf0" description="Blog o internecie i nowych technologiach" title="Antyweb" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:apcom" author="Marini Gabriele" description="Italian daily newspaper" title="Apcom" language="it"/>
+  <recipe needs_subscription="no" id="builtin:ara_info" author="Ruben Pollan" description="Regional newspaper from Aragon" title="AraInfo.org" language="es"/>
+  <recipe needs_subscription="no" id="builtin:arabian_business" author="Darko Miletic" description="Comprehensive Guide to Middle East Business &amp; Gulf Industry News including,Banking &amp; Finance,Construction,Energy,Media &amp; Marketing,Real Estate,Transportation,Travel,Technology,Politics,Healthcare,Lifestyle,Jobs &amp; UAE guide.Top Gulf &amp; Dubai Business News." title="Arabian Business" language="en"/>
+  <recipe needs_subscription="no" id="builtin:arbetaren" author="Jonatan Nyberg" description="Nyheter från Arbetaren" title="Arbetaren" language="sv"/>
+  <recipe needs_subscription="no" id="builtin:arcadia" author="Masahiro Hasegawa" description="" title="Arcadia" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:arcamax" author="Kovid Goyal" description="Family Friendly Comics - Customize for more days/comics: Defaults to 7 days, 25 comics - 20 general, 5 editorial." title="Arcamax" language="en"/>
+  <recipe needs_subscription="no" id="builtin:aif_ru" author="Darko Miletic" description="News from Russia" title="Arguments &amp; Facts - Russian" language="ru"/>
+  <recipe needs_subscription="yes" id="builtin:azstarnet" author="Darko Miletic" description="news from Arizona" title="Arizona Daily Star" language="en"/>
+  <recipe needs_subscription="no" id="builtin:navy_times" author="jde" description="News of the U.S. Navy" title="Army and Navy Times" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:arret_sur_images" author="François D. (aka franek)" description="Global news in french from news site &quot;Arrêt sur images&quot;" title="Arrêt sur images" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:ars_technica" author="Darko Miletic, Sujata Raman, Alexis Rohou, Tom Sparks" description="Ars Technica: Serving the technologist for 1.2 decades" title="Ars Technica" language="en"/>
+  <recipe needs_subscription="no" id="builtin:ald" author="https://github.com/pjpaulpj" description="" title="Arts and Letters Daily" language="en"/>
+  <recipe needs_subscription="no" id="builtin:asco_de_vida" author="Krittika Goyal" description="" title="Asco de vida" language="es"/>
+  <recipe needs_subscription="no" id="builtin:asia_one" author="Bruce" description="News from Singapore Press Holdings Portal" title="AsiaOne" language="en_SG"/>
+  <recipe needs_subscription="no" id="builtin:ap" author="Krittika Goyal" description="Global news" title="Associated Press" language="en"/>
+  <recipe needs_subscription="no" id="builtin:astro_news_pl" author="fenuks" description="AstroNEWS regularnie dostarcza wiadomości o wydarzeniach związanych z astronomią i astronautyką. Informujemy o aktualnych odkryciach i wydarzeniach naukowych, zapowiadamy ciekawe zjawiska astronomiczne. Serwis jest częścią portalu astronomicznego AstroNET prowadzonego przez miłośników astronomii i zawodowych astronomów." title="AstroNEWS" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:apod" author="Starson17" description="Astronomy Pictures" title="Astronomy Picture of the Day" language="en"/>
+  <recipe needs_subscription="no" id="builtin:athens_news" author="Darko Miletic" description="Greece in English since 1952" title="Athens News" language="en_GR"/>
+  <recipe needs_subscription="no" id="builtin:auto" author="Gabriele Marini" description="Auto and Formula 1" title="Auto" language="it"/>
+  <recipe needs_subscription="no" id="builtin:autobild" author="Silviu Cotoară" description="Auto" title="Auto Bild" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:auto_blog" author="Welovelucy" description="Auto industry news" title="Auto Blog" language="en"/>
+  <recipe needs_subscription="no" id="builtin:auto_prove" author="Gabriele Marini" description="Auto and Formula 1" title="Auto Prove" language="it"/>
+  <recipe needs_subscription="no" id="builtin:automatiseringgids" author="DrMerry" description="IT-nieuws van Automatiseringgids" title="Automatiseringgids IT" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:autosport" author="MrStefan &lt;mrstefaan@gmail.com&gt;" description="Daily Formula 1 and motorsport news from the leading weekly motor racing magazine. The authority on Formula 1, F1, MotoGP, GP2, Champ Car, Le Mans..." title="Autosport" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:avantaje" author="Silviu Cotoară" description="" title="Avantaje" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:aventurilapescuit" author="Silviu Cotoară" description="Aventuri La Pescuit" title="Aventuri La Pescuit" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:ainonline" author="Jose Ortiz" description="Aviation International News covers all sectors of the aviation industry, from business aviation to air transport to defense and unmanned aerial vehicles." title="Aviation International News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:avisen_dk" author="CoderAllan.github.com" description="Nyheder, artikler, seneste nyt, nyhedsarkiv, kommentarer og blogs. Avisen.dk dækker bredt, men har fokus på arbejdslivet. Avisen.dk - går arbejdet bedre" title="Avisen.dk" language="da"/>
+  <recipe needs_subscription="no" id="builtin:avto-magazin" author="BlonG" description="Za avtomobilistiÄne frike, poznavalce in nedeljske Å¡oferje." title="Avto Magazin" language="sl"/>
+  <recipe needs_subscription="no" id="builtin:acim_bilim_dergisi" author="thomass" description=" Aylık çevrimiçi bilim dergisi" title="AÇIK BİLİM DERGİSİ" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:b92" author="Darko Miletic" description="Najnovije vesti iz Srbije, regiona i sveta, aktuelne teme iz sveta politike, ekonomije, drustva, foto galerija, kolumne" title="B92" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:bbc_brasil" author="Carlos Laviola" description="Notícias do Brasil e do mundo pela British Broadcasting Corporation" title="BBC Brasil" language="pt_BR"/>
+  <recipe needs_subscription="no" id="builtin:bbc_es" author="Luis Hernandez" description="BBC World for spanish readers" title="BBC Mundo" language="es"/>
+  <recipe needs_subscription="no" id="builtin:bbc" author="mattst" description="BBC web site ebook created using rss feeds." title="BBC News" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:bbc_fast" author="Darko Miletic, Starson17" description="Visit BBC News for up-to-the-minute news, breaking news, video, audio and feature stories. BBC News provides trusted World and UK news as well as local and regional perspectives. Also entertainment, business, science, technology and health news." title="BBC News (fast)" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:bbc_sport" author="limawhiskey, Darko Miletic, Starson17" description="Sports news from UK. A fast version that does not download pictures" title="BBC Sport" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:bbcvietnamese" author="Huan Komrade T" description="Vietnam news and current affairs from the British Broadcasting Corporation" title="BBC Vietnamese" language="vi"/>
+  <recipe needs_subscription="no" id="builtin:bsi_news" author="Volker Heggemann, VoHe" description="News from BSI fetched: 2020-07-14" title="BSI News - DE" language="de"/>
+  <recipe needs_subscription="no" id="builtin:bt_dk" author="CoderAllan.github.com" description="" title="BT Nyheder" language="da"/>
+  <recipe needs_subscription="no" id="builtin:bugun_gazetesi" author="thomass" description="" title="BUGÜN Gazetesi" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:babyonline" author="Silviu Cotoară" description="De la părinte la părinte" title="Baby Online" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:balkaninsight" author="Darko Miletic" description="Get exclusive news and in depth information on business, politics, events and lifestyle in the Balkans. Free and exclusive premium content." title="Balkan Insight" language="en"/>
+  <recipe needs_subscription="no" id="builtin:balkanist" author="Darko Miletic" description="Balkanist is an experimental, bilingual platform featuring politics, analysis, culture, and criticism for a smart international audience underwhelmed by what is currently on offer. Our aim is to provide bold, uncompromising coverage of the Balkan region and everything to its East. We are currently entirely independent, self- and reader-funded, and are not affiliated with any organization, company, or government institution." title="Balkanist" language="en"/>
+  <recipe needs_subscription="no" id="builtin:bangkok_biz" author="Anat R." description="" title="Bangkok Biz News" language="th"/>
+  <recipe needs_subscription="no" id="builtin:bangkokpost" author="kwetal" description="The world's window to Thailand" title="Bangkok Post" language="en_TH"/>
+  <recipe needs_subscription="no" id="builtin:bankier_pl" author="teepel &lt;teepel44@gmail.com&gt;" description="Polski portal finansowy. Informacje o: gospodarka, inwestowanie, finanse osobiste, prowadzenie firmy, kursy walut, notowania akcji, fundusze." title="Bankier.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:barrons" author="Kovid Goyal" description="Financial news from the publisher of the WSJ" title="Barron's Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:benchmark_pl" author="fenuks" description="benchmark.pl, recenzje i testy sprzętu, aktualności, rankingi, sterowniki, porady, opinie" title="Benchmark.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:beppe_grillo" author="faber1971" description="Blog of the famous comedian and politician Beppe Grillo - v1.00 (28, January 2012)" title="Beppe Grillo" language="it"/>
+  <recipe needs_subscription="no" id="builtin:berlin_policy_journal" author="Aimylios" description="Articles from berlinpolicyjournal.com" title="Berlin Policy Journal" language="en_DE"/>
+  <recipe needs_subscription="no" id="builtin:berliner_zeitung" author="Kovid Goyal" description="Berliner Zeitung RSS" title="Berliner Zeitung" language="de"/>
+  <recipe needs_subscription="no" id="builtin:berlingske_dk" author="Darko Miletic" description="News from Denmark" title="Berlingske Tidende" language="da"/>
+  <recipe needs_subscription="no" id="builtin:biamag" author="Osman Kaysan" description="Independent News from Turkey" title="BiaMag" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:bianet" author="Osman Kaysan" description="Independent News from Turkey" title="Bianet" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:biamag_en" author="Osman Kaysan" description="Independent News Network from Turkey(English)" title="Bianet-English" language="en_TR"/>
+  <recipe needs_subscription="no" id="builtin:biggovernment" author="kwetal" description="Political news from the USA" title="Big Government" language="en"/>
+  <recipe needs_subscription="no" id="builtin:bighollywood" author="Darko Miletic" description="News and articles from the media world" title="Big Hollywood" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:big_oven" author="Starson17" description="Recipes for the Foodie in us all. Registration is free. A fake username and password just gives smaller photos." title="BigOven" language="en"/>
+  <recipe needs_subscription="no" id="builtin:bild_de" author="schuster" description="RSS-Feeds von Bild.de" title="Bild.de" language="de"/>
+  <recipe needs_subscription="no" id="builtin:billorielly" author="Rob Lammert - rob.lammert[at]gmail.com" description="Articles from Bill O'Reilly's website and his Fox New's website" title="Bill O'Reilly" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:oreilly_premium" author="TMcN" description="Retrieves Premium and News Letter content from BillOReilly.com.  Requires a Bill OReilly Premium Membership." title="Bill O'Reilly Premium" language="en"/>
+  <recipe needs_subscription="no" id="builtin:birgun_gazetesi" author="Osman Kaysan" description="Birgun gazatesi haberleri, kose yazarlari" title="Birgün Gazetesi" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:birmingham_evening_mail" author="Dave Asbury" description="News for Birmingham UK" title="Birmingham Evening Mail" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:birmingham_post" author="Dave Asbury" description="Author D.Asbury. News for Birmingham UK" title="Birmingham post" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:biz_portal" author="marbs" description="This is a recipe of BizPortal.co.il." title="BizPortal" language="he"/>
+  <recipe needs_subscription="no" id="builtin:blesk" author="bubak" description="blesk.cz" title="Blesk" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:blic" author="Darko Miletic" description="Blic.rs online verzija najtiraznije novine u Srbiji donosi najnovije vesti iz Srbije i sveta, komentare, politicke analize, poslovne i ekonomske vesti, vesti iz regiona, intervjue, informacije iz kulture, reportaze, pokriva sve sportske dogadjaje, detaljan tv program, nagradne igre, zabavu, fenomenalni Blic strip, dnevni horoskop, arhivu svih dogadjaja" title="Blic" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:vio_mundo" author="Diniz Bortolotto" description="Posts do Blog VioMundo" title="Blog VioMundo" language="pt_BR"/>
+  <recipe needs_subscription="no" id="builtin:dbb" author="Luis Hernández" description="blog sobre leyes, p2p y copyright" title="Blog de David Bravo" language="es"/>
+  <recipe needs_subscription="no" id="builtin:boston.com" author="Rob Freundlich" description="Boston Globe with full articles for subscribers" title="Boston Globe Subscription" language="en"/>
+  <recipe needs_subscription="no" id="builtin:boxis" author="tzium" description="" title="Boxis" language="sc"/>
+  <recipe needs_subscription="no" id="builtin:brasil_de_fato" author="Alex Mitrani" description="Uma visão popular do Brasil e do mundo." title="Brasil de Fato" language="pt_BR"/>
+  <recipe needs_subscription="no" id="builtin:breaking_mad" author="bugmen00t" description="Breaking Mad - пока смерть не насмешит нас. Breakingmad - это агрегатор самых странных и драматичных новостей с жизнеутверждающим эффектом. Breakingmad - это все, что вы должны знать о России и не только." title="Breaking Mad" language="ru"/>
+  <recipe needs_subscription="optional" id="builtin:brecha" author="Darko Miletic" description="Brecha , Cultura ,Sociales , Separatas, Lupas, Vueltas de Montevideo y toda la infomacion que caracteriza a este semanario" title="Brecha Digital" language="es_UY"/>
+  <recipe needs_subscription="no" id="builtin:brewiarz" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" description="Serwis poświęcony Liturgii Godzin (brewiarzowi) - formie codziennej modlitwy Kościoła katolickiego." title="Brewiarz" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:brigitte_de" author="schuster" description="" title="Brigitte.de" language="de"/>
+  <recipe needs_subscription="no" id="builtin:bucataras" author="Silviu Cotoară" description="" title="Bucataras" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:buchreport" author="a.peter" description="Buchreport" title="Buchreport" language="de"/>
+  <recipe needs_subscription="no" id="builtin:buckmasters" author="TonytheBookworm &amp; Starson17" description="Learn how to cook all those outdoor varments" title="BuckMasters In The Kitchen" language="en"/>
+  <recipe needs_subscription="no" id="builtin:buenosaireseconomico" author="Darko Miletic" description="Diario BAE es el diario economico-politico con mas influencia en la Argentina. Fuente de empresarios y politicos del pais y el exterior. El pozo estaria aportando en periodos breves un volumen equivalente a 800m3 diarios. Pero todavia deben efectuarse otras perforaciones adicionales." title="Buenos Aires Economico" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:ba_herald" author="Darko Miletic" description="A world of information in a few words" title="Buenos Aires Herald" language="en_AR"/>
+  <recipe needs_subscription="no" id="builtin:buffalo_news" author="ChappyOnIce, Krittika Goyal" description="" title="Buffalo News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:business_insider" author="Darko Miletic" description="Noticias de Argentina y el resto del mundo" title="Business Insider" language="en"/>
+  <recipe needs_subscription="no" id="builtin:business_standard" author="Darko Miletic" description="India's most respected business daily" title="Business Standard" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:businessworldin" author="Kovid Goyal" description="News from India" title="Business World Magazine" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:borse_online" author="schuster, Armin Geller" description="" title="Börse-online" language="de"/>
+  <recipe needs_subscription="no" id="builtin:borsen_dk" author="CoderAllan.github.com" description="Meget mere end Danmarks førende erhvervsavis. Børsen sætter dagsordenen for erhvervslivet. Vi skriver interessant og med kant. På alle platforme." title="Børsen.dk" language="da"/>
+  <recipe needs_subscription="yes" id="builtin:cacm" author="jonmisurda" description="" title="CACM" language="en"/>
+  <recipe needs_subscription="no" id="builtin:cbc_canada" author="rty" description="" title="CBC Canada" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:cbn" author="Roger" description="The Christian Broadcasting Network" title="CBN News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:cd_action" author="fenuks" description="Strona CD-Action (CDA), największego w Polsce pisma dla graczy.Pełne wersje gier, newsy, recenzje, zapowiedzi, konkursy, forum, opinie, galerie screenów,trailery, filmiki, patche, teksty. Gry komputerowe (PC) oraz na konsole (PS3, XBOX 360)." title="CD-Action" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:cdrinfo_pl" author="fenuks" description="Serwis poświęcony archiwizacji danych. Testy i recenzje nagrywarek. Programy do nagrywania płyt.  Dyski twarde, dyski SSD i serwery sieciowe NAS. Rankingi dyskow twardych, najszybsze dyski twarde, newsy, artykuły, testy, recenzje, porady, oprogramowanie. Zestawienie nagrywarek, najnowsze biosy do nagrywarek, programy dla dysków twardych." title="CDRinfo.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:cgm_pl" author="fenuks" description="Codzienna Gazeta Muzyczna" title="CGM" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:cio" author="Lorenzo Vigentini" description="CIO is the leading information brand for today's busy chief information officer." title="CIO " language="en"/>
+  <recipe needs_subscription="no" id="builtin:cio_magazine" author="Julio Map" description="CIO is the leading information brand for today-s busy Chief information Officer - CIO Magazine bi-monthly " title="CIO Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:ciperchile" author="Darko Miletic" description="El Centro de Investigacion e Informacion Periodistica (CIPER) es una institucion independiente que desarrolla reportajes de investigacion de acuerdo a principios de maxima calidad e integridad profesional. Para lograr dicho objetivo, los profesionales de CIPER incorporan a las tecnicas propias del reporteo el uso sistematico de las leyes chilenas que norman el libre acceso a la informacion, de manera que los documentos que se obtengan por esta via esten puestos a disposicion del publico sin restricciones." title="CIPER Chile" language="es_CL"/>
+  <recipe needs_subscription="no" id="builtin:cnetjapan" author="Hiroshi Miura" description="" title="CNET Japan" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:cnetjapan_digital" author="Hiroshi Miura" description="" title="CNET Japan Digital" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:cnetjapan_release" author="Hiroshi Miura" description="" title="CNET Japan release" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:cnetnews" author="Kovid Goyal" description="Tech news and business reports by CNET News. Focused on information technology, core topics include computers, hardware, software, networking, and Internet media." title="CNET News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:cnn" author="Kovid Goyal" description="Global news" title="CNN" language="en"/>
+  <recipe needs_subscription="no" id="builtin:cafcaf_dergisi" author="asalet_r" description="" title="CafCaf Dergisi" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:calcalist" author="marbs" description="This is a recipe of Calcalist.co.il. The recipe downloads the article page to not hurt the sites advertising income." title="Calcalist" language="he"/>
+  <recipe needs_subscription="no" id="builtin:calgary_herald" author="Nick Redding" description="News from Calgary, AB" title="Calgary Herald" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:calibre_blog" author="Krittika Goyal" description="" title="Calibre Blog" language="en"/>
+  <recipe needs_subscription="no" id="builtin:camera_di_commercio_di_bari" author="faber1971" description="News from the Chamber of Commerce of Bari" title="Camera di Commercio di Bari" language="it"/>
+  <recipe needs_subscription="no" id="builtin:canardpc" author="zorgluf" description="" title="CanardPC" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:capes_n_babes" author="skyhawker" description="The Capes n Babes comic Blog" title="Capes n Babes" language="en"/>
+  <recipe needs_subscription="no" id="builtin:capital" author="Silviu Cotoară" description="Știri din România" title="Capital" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:capital_de" author="schuster" description="RSS-Feed von Capital.de" title="Capital.de" language="de"/>
+  <recipe needs_subscription="no" id="builtin:capital_gr" author="Stelios" description="Financial News from Greece" title="Capital.gr" language="el"/>
+  <recipe needs_subscription="optional" id="builtin:caravan_magazine" author="Kovid Goyal, Gobelinus" description="An Indian Journal of politics and culture" title="Caravan Magazine" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:carta" author="Armin Geller" description="Authors blog for politics, economics and digital community" title="Carta" language="de"/>
+  <recipe needs_subscription="no" id="builtin:catholic_daily_readings" author="adoucette" description="" title="Catholic Daily Readings" language="en"/>
+  <recipe needs_subscription="no" id="builtin:catholic_news_agency" author="Jetkey" description="" title="Catholic News Agency" language="en"/>
+  <recipe needs_subscription="no" id="builtin:catavencii" author="Silviu Cotoară" description="Caţavencii" title="Caţavencii" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:csid" author="Silviu Cotoară" description="Ce se întâmplă doctore?" title="Ce se întâmplă doctore?" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:champion" author="rpalyvoda" description="" title="Champion.com.ua" language="uk"/>
+  <recipe needs_subscription="no" id="builtin:cetnixploitation" author="Darko Miletic" description="Filmski blog" title="Chetnixploitation" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:chicago_breaking_news" author="Darko Miletic" description="Breaking News from Chicago" title="Chicago Breaking News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:chicago_tribune" author="Kovid Goyal" description="Politics, local and business news from Chicago" title="Chicago Tribune" language="en"/>
+  <recipe needs_subscription="no" id="builtin:chinadaily" author="Darko Miletic" description="Chinadaily.com.cn is the largest English portal in China, providing news, business information, BBS, learning materials." title="China Daily" language="en_CN"/>
+  <recipe needs_subscription="no" id="builtin:china_economic_net" author="rty" description="China Economic Net Magazine" title="China Economic Net" language="zh_CN"/>
+  <recipe needs_subscription="no" id="builtin:china_post" author="Krittika Goyal" description="" title="China Post" language="en_CN"/>
+  <recipe needs_subscription="no" id="builtin:chipro" author="Silviu Cotoară" description="Chip Online" title="Chip Online" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:chowk" author="kwetal" description="Ideas &amp; Identities of South Asia" title="Chowk" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:cicero" author="Armin Geller" description="Magazin für politische Kultur (RSS Version)" title="Cicero Online" language="de"/>
+  <recipe needs_subscription="no" id="builtin:cincinnati_enquirer" author="Joseph Kitzmiller and Sujata Raman" description="" title="Cincinnati Enquirer" language="en"/>
+  <recipe needs_subscription="no" id="builtin:cinco_dias" author="Luis Hernandez" description="spanish web about money and bussiness, free edition" title="Cinco Dias" language="es"/>
+  <recipe needs_subscription="no" id="builtin:cinebel_be" author="Lionel Bergeret" description="Cinema news from Belgium in French" title="Cinebel" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:cityavisen_dk" author="CoderAllan.github.com" description="" title="City Avisen" language="da"/>
+  <recipe needs_subscription="no" id="builtin:clarion_ledger" author="cr4zyd" description="" title="Clarion Ledger" language="en"/>
+  <recipe needs_subscription="optional" id="builtin:clarin" author="Darko Miletic, updated by GGsalas" description="Clarin.com. Noticias de la Argentina y el mundo. Información actualizada las 24 horas y en español. Informate ya" title="Clarín" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:clic_rbs" author="arvoredo" description="" title="ClicRBS" language="pt"/>
+  <recipe needs_subscription="no" id="builtin:climate_progress" author="Darko Miletic" description="An insider's view of climate science, politics and solutions" title="Climate Progress" language="en"/>
+  <recipe needs_subscription="no" id="builtin:coding_horror" author="Darko Miletic" description="programming and human factors - Jeff Atwood" title="Coding Horror" language="en"/>
+  <recipe needs_subscription="no" id="builtin:colta" author="bug_me_not" description="Всё о культуре и духе времени" title="Colta.ru" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:cjr" author="Xanthan Gum" description="News about journalism." title="Columbia Journalism Review" language="en"/>
+  <recipe needs_subscription="no" id="builtin:common_dreams" author="XanthanGum" description="Breaking News &amp; Views for the Progressive Community." title="Common Dreams" language="en"/>
+  <recipe needs_subscription="no" id="builtin:computerworld_dk" author="CoderAllan.github.com" description="Nyheder, analyser, viden, blogs og debat om it. Computerworld er dit medie om det digitale Danmark. Computerworld skriver om nye teknologier, hardware, software, informationssamfundet, internettet, it-branchen, telebranchen, it-ledelse, it-strategi, forretnings-it , it-job og meget mere." title="Computerworld.dk" language="da"/>
+  <recipe needs_subscription="no" id="builtin:computerworld_pl" author="fenuks" description="Serwis o IT w przemyśle, finansach, handlu, administracji oraz rynku IT i telekomunikacyjnym - wiadomości, opinie, analizy, porady prawne" title="Computerworld.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:consortium_news" author="kiavash" description="" title="Consortium News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:contemporary_argentine_writers" author="Darko Miletic" description="Short stories by Argentine writers (and others) translated into English" title="Contemporary Argentine Writers" language="en_AR"/>
+  <recipe needs_subscription="no" id="builtin:contropiano" author="michele" description="" title="Contropiano" language="it"/>
+  <recipe needs_subscription="no" id="builtin:cm_journal" author="jmst" description="As noticias de Portugal e do Mundo" title="Correio da Manha - Portugal" language="pt"/>
+  <recipe needs_subscription="no" id="builtin:cosmopolitan" author="Gustavo Azambuja" description="Revista Cosmopolitan, Edicion Espanola" title="Cosmopolitan" language="es"/>
+  <recipe needs_subscription="no" id="builtin:cosmopolitan_uk" author="Dave Asbury" description="Womens Fashion, beauty and Gossip for women from COSMOPOLITAN -UK" title="Cosmopolitan UK" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:cosmopolitan_de" author="schuster" description="" title="Cosmopolitan.de" language="de"/>
+  <recipe needs_subscription="no" id="builtin:cotidianul" author="Silviu Cotoară" description="" title="Cotidianul" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:counterpunch" author="calibre" description="" title="Counterpunch" language="en"/>
+  <recipe needs_subscription="no" id="builtin:countryfile" author="Dave Asbury" description="The official website of Countryfile Magazine" title="Countryfile.com" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:courrier" author="Krittika Goyal" description="" title="Courier Press" language="en"/>
+  <recipe needs_subscription="optional" id="builtin:courrierinternational" author="Mathieu Godlewski &lt;mathieu at godlewski.fr&gt;" description="Global news in french from international newspapers" title="Courrier International" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:cracked_com" author="UnWeave" description="America's Only HumorSite since 1958" title="Cracked.com" language="en"/>
+  <recipe needs_subscription="no" id="builtin:dot_net" author="Bonni Salles" description="Web Design and Tutorials from Creative Blog (part of .Net Magazine and others)" title="Creative Blog" language="en"/>
+  <recipe needs_subscription="no" id="builtin:credit_slips" author="zotzot" description="A discussion on credit and bankruptcy" title="Credit Slips.org" language="en"/>
+  <recipe needs_subscription="no" id="builtin:cronica" author="Darko Miletic" description="Últimas noticias" title="Cronica" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:cubadebate" author="Darko Miletic" description="Contra el Terorismo Mediatico" title="CubaDebate" language="es_CU"/>
+  <recipe needs_subscription="no" id="builtin:cumhuriyet" author="Cumhuriyet Gazetesi Yazarları" description="Günlük Cumhuriyet Gazetesi Köşe Yazıları" title="Cumhuriyet - Yazarlar" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:curierulnational" author="Silviu Cotoară" description="" title="Curierul Naţional" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:cvecezla" author="Darko Miletic" description="Haoticnost razmisljanja poradja haoticnost pisanja. Muzika, stripovi, igre, knjige, generalno glupiranje..." title="Cvece zla i naopakog" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:cyberpresse" author="balok and Sujata Raman" description="Canadian news in French" title="Cyberpresse" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:cynewslive" author="kwetal" description="News from Cyprus" title="Cyprus News Live" language="en_CY"/>
+  <recipe needs_subscription="no" id="builtin:cyprus_weekly" author="kwetal" description="News from Cyprus" title="Cyprus Weekly" language="en_CY"/>
+  <recipe needs_subscription="no" id="builtin:czas_gentlemanow" author="fenuks" description="Historia mężczyzn z dala od wielkiej polityki" title="Czas Gentlemanów" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:mateusz_czytania" author="teepel &lt;teepel44@gmail.com&gt;" description="Codzienne czytania z jednego z najstarszych polskich serwisów katolickich." title="Czytania na każdy dzień" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:dna" author="Kovid Goyal" description="Mumbai news, India news, World news, breaking news" title="DNA India" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:dr_dk" author="Darko Miletic" description="Her finder du nyheder fra DR og alle vores TV og Radio kanaler live og on demand - når du har lyst." title="DR Nyheder" language="da"/>
+  <recipe needs_subscription="no" id="builtin:dachauer_nachrichten" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Dachauer Nachrichten" language="de"/>
+  <recipe needs_subscription="no" id="builtin:dagens_industri" author="Jonas Svensson" description="Economy news from Sweden" title="Dagens Industri" language="sv"/>
+  <recipe needs_subscription="no" id="builtin:dagensmedicin_dk" author="CoderAllan.github.com" description="Uafhængig nyhedsavis om sundhedssektoren" title="Dagens Medicin" language="da"/>
+  <recipe needs_subscription="no" id="builtin:dn_se" author="Darko Miletic" description="News from Sweden" title="Dagens Nyheter" language="sv"/>
+  <recipe needs_subscription="no" id="builtin:dagenspharma_dk" author="CoderAllan.github.com" description="Først med professionelles nyheder om medicin" title="Dagens Pharma" language="da"/>
+  <recipe needs_subscription="no" id="builtin:daily_express" author="Dave Asbury" description="" title="Daily Express" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:daily_telegraph" author="Adrian G." description="Daily Telegraph News" title="Daily Telegraph" language="en_AU"/>
+  <recipe needs_subscription="no" id="builtin:daily_writing_tips" author="NotTaken" description="" title="Daily Writing Tips" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:dailytportal" author="Darko Miletic" description="News from Croatia" title="Daily tportal.h" language="en_HR"/>
+  <recipe needs_subscription="no" id="builtin:danas" author="Darko Miletic" description="Dnevne novine sa vestima iz sveta, politike, ekonomije, kulture, sporta, Beograda, Novog Sada i cele Srbije." title="Danas" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:dark_horizons" author="Jaded" description="News, images, video clips and reviews of current and upcoming blockbuster films. " title="Dark Horizons" language="en"/>
+  <recipe needs_subscription="no" id="builtin:dark_reading" author="Brandon Allberry" description="Dark Reading is the premier online resource helping information security professionals manage the balance between protection and access. It offers breaking news and analysis on attacks, breaches and vulnerabilities, as well as strategies for protecting enterprise data. It also offers guidance on setting risk management and compliance policies." title="Dark Reading" language="en"/>
+  <recipe needs_subscription="no" id="builtin:data_news" author="oCkz7bJ_" description="Technology / Best Practice / Business" title="DataNews" language="nl_BE"/>
+  <recipe needs_subscription="no" id="builtin:datasport" author="faber1971" description="" title="Datasport" language="it"/>
+  <recipe needs_subscription="no" id="builtin:dawn" author="kwetal" description="Leading English Newspaper of Pakistan covering national &amp; international news" title="Dawn" language="en_PK"/>
+  <recipe needs_subscription="no" id="builtin:daytona_beach" author="BRGriff" description="Daytona Beach, Florida, Newspaper" title="Daytona Beach News Journal" language="en"/>
+  <recipe needs_subscription="no" id="builtin:degentenaar" author="Darko Miletic" description="News from Belgium in Dutch" title="De Gentenaar" language="nl_BE"/>
+  <recipe needs_subscription="no" id="builtin:luns_a_venres" author="Susana Sotelo Docío" description="O gratuíto galego" title="De Luns a Venres (RSS)" language="gl"/>
+  <recipe needs_subscription="no" id="builtin:demorgen_be" author="Darko Miletic" description="News from Belgium in Dutch" title="De Morgen" language="nl_BE"/>
+  <recipe needs_subscription="no" id="builtin:de_redactie_be" author="erkfuizfeuadjfjzefzfuzeff" description="News from Belgium in Dutch" title="De Redactie.be" language="nl_BE"/>
+  <recipe needs_subscription="no" id="builtin:de_standaard" author="Darko Miletic, Aimylios, oCkz7bJ_" description="De Standaard" title="De Standaard" language="nl_BE"/>
+  <recipe needs_subscription="no" id="builtin:tijd" author="Darko Miletic" description="News from Belgium in Dutch" title="De Tijd" language="nl_BE"/>
+  <recipe needs_subscription="no" id="builtin:volksrant" author="acidzebra" description="" title="De Volkskrant" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:deadspin" author="NA" description="Deadspin, Sports News without Access, Favor, or Discretion." title="Deadspin" language="en"/>
+  <recipe needs_subscription="no" id="builtin:defensenews" author="Darko Miletic" description="Find late-breaking defense news from the leading defense news weekly" title="Defense News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:delco_times" author="Krittika Goyal" description="" title="Delcoe Times" language="en"/>
+  <recipe needs_subscription="no" id="builtin:demagog.cz" author="bubak" description="demagog.cz" title="Demagog.cz" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:democracy_journal" author="David Nye" description="A journal of ideas. Published quarterly." title="Democracy Journal" language="en"/>
+  <recipe needs_subscription="no" id="builtin:democracy_now" author="Antoine Beaupré" description="A daily TV/radio news program, hosted by Amy Goodman and Juan Gonzalez, airing on over 1,100 stations, pioneering the largest community media collaboration in the United States." title="Democracy now!" language="en"/>
+  <recipe needs_subscription="no" id="builtin:den_of_geek" author="Jaded" description="From science fiction enthusiasts through to gaming fanatics, Den of Geek has become the one-stop UK website for people genuinely passionate about their entertainment media. Den of Geek covers popular culture but always with an edgy, UK centric slant that sets it apart from the crowd." title="Den of Geek" language="en"/>
+  <recipe needs_subscription="no" id="builtin:denver_post" author="Kovid Goyal" description="" title="Denver Post" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:denikn.cz" author="Robert Mihaly" description="Deník N - Nezávislý český deník" title="Deník N" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:denik_referendum" author="bubak" description="" title="Deník Referendum" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:tagesspiegel" author="Kovid Goyal" description="" title="Der Tagesspiegel" language="de"/>
+  <recipe needs_subscription="no" id="builtin:deredactie" author="malfi" description="" title="Deredactie.be" language="de"/>
+  <recipe needs_subscription="no" id="builtin:derin_dusunce" author="asalet_r" description="" title="Derin Dusunce" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:descopera" author="Silviu Cotoară" description="E lumea ta" title="Descoperă" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:descopera_org" author="Marius Ignătescu" description="Descoperă. Placerea de a cunoaște" title="Descoperă.org" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:desiring_god" author="Peter Grungi" description="" title="Desiring God" language="en"/>
+  <recipe needs_subscription="no" id="builtin:lyngby-taarbaeklokalavisen_dk" author="CoderAllan.github.com" description="Lokale, regionale nyheder, sport og kultur i Lyngby-Taarbæk, Virum, Holte, Nærum, Vedbæk og Skodsborg på lyngby-taarbaek.lokalavisen.dk" title="Det grønne område" language="da"/>
+  <recipe needs_subscription="no" id="builtin:detroit_news" author="DTM" description="" title="Detroit News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:deutsche_welle_hr" author="Darko Miletic" description="Vesti iz Njemacke i svijeta" title="Deutsche Welle" language="hr"/>
+  <recipe needs_subscription="no" id="builtin:deutsche_welle_es" author="Darko Miletic" description="Noticias desde Alemania y mundo" title="Deutsche Welle" language="es"/>
+  <recipe needs_subscription="no" id="builtin:deutsche_welle_sr" author="Darko Miletic" description="Vesti iz Nemacke i sveta" title="Deutsche Welle" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:deutsche_welle_bs" author="Darko Miletic" description="Vijesti iz Njemacke i svijeta" title="Deutsche Welle" language="bs"/>
+  <recipe needs_subscription="no" id="builtin:deutsche_welle_en" author="Darko Miletic" description="News from Germany and the world" title="Deutsche Welle" language="en"/>
+  <recipe needs_subscription="no" id="builtin:deutsche_welle_pt" author="Darko Miletic" description="Noticias desde Alemania y mundo" title="Deutsche Welle" language="pt"/>
+  <recipe needs_subscription="no" id="builtin:developpez" author="louhike" description="Toutes les news du site Developpez.com" title="Developpez.com" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:diario_cordoba" author="Francisco" description="News Cordoba" title="Diario Cordoba" language="es"/>
+  <recipe needs_subscription="no" id="builtin:diario_el_pueblo" author="Carlos Alves" description="Noticias de Salto - Uruguay" title="Diario El Pueblo" language="es_UY"/>
+  <recipe needs_subscription="no" id="builtin:diario_extra" author="Douglas Delgado" description="Diario de circulacion nacional de Costa Rica." title="Diario Extra" language="es_CR"/>
+  <recipe needs_subscription="no" id="builtin:granma" author="Darko Miletic" description="Organo oficial del Comite Central del Partido Comunista de Cuba" title="Diario Granma" language="es_CU"/>
+  <recipe needs_subscription="no" id="builtin:diario_la_republica" author="CAVALENCIA" description="" title="Diario La Republica" language="es_CO"/>
+  <recipe needs_subscription="no" id="builtin:diario_sport" author="Jefferson Frantz" description="Todas las noticias del Barça y del mundo del deporte en general" title="Diario Sport" language="es"/>
+  <recipe needs_subscription="no" id="builtin:diariovasco" author="Darko Miletic" description="Noticias de pais Vasco y el resto del mundo" title="Diario Vasco" language="es"/>
+  <recipe needs_subscription="no" id="builtin:diario_ibiza" author="Joan Tur, cullet" description="Principal periodico de las islas Pitiusas, Ibiza y Formentera (Espanya) - v1.06 (29/04/2011)" title="Diario de Ibiza digital" language="es"/>
+  <recipe needs_subscription="no" id="builtin:diepresse" author="Gerhard Aigner" description="DiePresse.com - Die Online-Ausgabe der Österreichischen Tageszeitung Die Presse." title="Die Presse" language="de_AT"/>
+  <recipe needs_subscription="yes" id="builtin:zeitde_sub" author="Steffen Siebert, revised by Tobias Isenberg (with some code by Kovid Goyal), updated by Henning Losert" description="Das EPUB Abo der Zeit (needs subscription)" title="Die Zeit" language="de"/>
+  <recipe needs_subscription="no" id="builtin:digizone" author="Tomas Latal" description="Aktuality a články z DigiZone.cz" title="DigiZone" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:digital_arts" author="Lorenzo Vigentini" description="Digital Arts - comprehensive coverage of the art of graphic design, 3D, animation, video, effects, web and interactive design, in print and online." title="Digital Arts Magazine  " language="en"/>
+  <recipe needs_subscription="no" id="builtin:digitaljournal" author="Darko Miletic" description="A Global Citizen Journalism News Network" title="Digital Journal" language="en"/>
+  <recipe needs_subscription="no" id="builtin:digitalspy_uk" author="Darko Miletic" description="Entertainment news about the biggest TV shows, films and celebrities, updated around the clock." title="Digital Spy - UK Edition" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:dilbert" author="TechnoCat" description="Dilbert, by Scott Adams. Includes last three or so comics and blog entries." title="Dilbert" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:dilemaveche" author="song2" description="&quot;Sint vechi, domnule!&quot; (I.L. Caragiale)" title="Dilema Veche" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:randerslokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport, kultur fra Randers og omegn på dinavis.lokalavisen.dk" title="Din avis Randers" language="da"/>
+  <recipe needs_subscription="no" id="builtin:dingoo_a320" author="bug_me_not" description="Портативная игровая консоль Dingoo A320 и другие необычные гаджеты" title="Dingoo A320. Русский ресурс" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:discover_magazine_monthly" author="Kovid Goyal" description="Monthly magazine version of Discover Magazine (not rss feed)." title="Discover Magazine Monthly" language="en"/>
+  <recipe needs_subscription="no" id="builtin:divahair" author="Silviu Cotoară" description="Coafuri, frizuri, tunsori .." title="Diva Hair" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:diario_de_noticias" author="Jose Pinto" description="" title="Diário de Notícias" language="pt"/>
+  <recipe needs_subscription="no" id="builtin:djurslandsposten_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder" title="DjurslandsPosten" language="da"/>
+  <recipe needs_subscription="no" id="builtin:pravda_rs" author="Darko Miletic" description="24 sata portal vesti iz Srbije" title="Dnevne novine Pravda" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:dnevnik_cro" author="Darko Miletic" description="Vijesti iz Hrvatske" title="Dnevnik - Hr" language="hr"/>
+  <recipe needs_subscription="no" id="builtin:dnevnik_mk" author="Darko Spasovski" description="Daily Macedonian newspaper" title="Dnevnik - mk" language="mk"/>
+  <recipe needs_subscription="no" id="builtin:dnevnik" author="BlonG" description="Dnevnik je časnik z več kot polstoletno zgodovino.&#10;  Pod sloganom »Življenje ima besedo« na svojih straneh prinaša&#10;  bralcem bogastvo informacij, komentarjev in kolumen in raznovrstnost&#10;  pogledov, zaznamovanih z odgovornostjo do posameznika in širše&#10;  družbe." title="Dnevnik.si" language="sl"/>
+  <recipe needs_subscription="no" id="builtin:dobanevinosti" author="Darko Miletic" description="Filmski blog" title="Doba Nevinosti" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:dobreprogamy" author="fenuks &amp; Tomasz Długosz" description="Aktualności i blogi z dobreprogramy.pl" title="Dobreprogramy.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:doghousediaries" author="NiLuJe" description="A webcomic." title="Doghouse Diaries" language="en"/>
+  <recipe needs_subscription="no" id="builtin:dorfener_anzeiger" author="Bernd Boehm" description="German  online portal of münchner Merkur" title="Dorfener Anzeiger" language="de"/>
+  <recipe needs_subscription="no" id="builtin:dotpod" author="Federico Escalada" description="Tecnologia y Comunicacion Audiovisual" title="Dotpod" language="es"/>
+  <recipe needs_subscription="no" id="builtin:down_to_earth" author="Amit" description="" title="Down To Earth" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:DrawAndCook" author="Starson17" description="Drawings of recipes!" title="DrawAndCook" language="en"/>
+  <recipe needs_subscription="no" id="builtin:drytooling_pl" author="Damian Granowski" description="Drytooling.com.pl jest serwisem wspinaczki zimowej, alpinizmu i himalaizmu. Jeśli uwielbiasz zimę, nie możesz doczekać się aż wyciągniesz szpej z szafki i uderzysz w Tatry, Alpy, czy może Himalaje, to znajdziesz tutaj naprawdę dużo interesujących Cię treści! Zapraszamy!" title="Drytooling.com.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:dvhn" author="Reijndert" description="Nieuws uit Noord Nederland" title="DvhN" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:dwutygodnik" author="Łukasz Grąbczewski" description="Strona Kultury: literatura, teatr, film, sztuka, muzyka, felietony, rozmowy" title="Dwutygodnik" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:dziennik_baltycki" author="fenuks" description="Gazeta Regionalna Dziennik Bałtycki. Najnowsze Wiadomości Trójmiasto i Wiadomości Pomorskie. Czytaj!" title="Dziennik Bałtycki" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:di" author="Mori" description="Internet w życiu i biznesie. Porady, wywiady, interwencje, bezpieczeństwo w Sieci, technologia." title="Dziennik Internautów" language="pl"/>
+  <recipe needs_subscription="yes" id="builtin:dziennik_polski" author="grzegorz.maj" description="Wiadomości z wydania Dziennika Polskiego" title="Dziennik Polski" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:dziennik_wschodni" author="fenuks" description="Dziennik Wschodni - portal regionalny województwa lubelskiego." title="Dziennik Wschodni" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:dziennik_zachodni" author="fenuks" description="Gazeta Regionalna Dziennik Zachodni. Najnowsze Wiadomości Śląskie. Wiadomości Śląsk. Czytaj!" title="Dziennik Zachodni" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:dziennikzwiazkowy" author="fenuks &amp; Tomasz Długosz" description="Najstarsza polskojęzyczna gazeta codzienna w USA" title="Dziennik Związkowy" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:dziennik_lodzki" author="fenuks" description="Gazeta Regionalna Dziennik Łódzki. Najnowsze Wiadomości Łódź. Czytaj Wiadomości Łódzkie!" title="Dziennik Łódzki" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:dziennik_pl" author="fenuks" description="Wiadomości z kraju i ze świata. Wiadomości gospodarcze. Znajdziesz u nas informacje, wydarzenia, komentarze, opinie." title="Dziennik.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:dunya_bizim" author="asalet_r" description="" title="Dünya Bizim" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:dunya_bulteni" author="asalet_r" description="" title="Dünya Bülteni" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:dunyahalleri" author="Sukru Alatas" description="Gözden Kaçanlar Rehberi" title="Dünya Halleri" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:dunyahalleri_haftaninozeti" author="Sukru Alatas" description="Geçen hafta boyunca Türkiye ve dünyadan haber, site, yazılım, donanım, cihaz, video ve trendler..." title="Dünya Halleri - Haftanın Özeti" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:eos_wetenschap" author="erkfuizfeuadjfjzefzfuzeff" description="Wetenschapsnieuws" title="EOS Wetenschap" language="nl_NL"/>
+  <recipe needs_subscription="no" id="builtin:epl_talk" author="rylsfan" description="News and Analysis from the English Premier League" title="EPL Talk" language="en"/>
+  <recipe needs_subscription="no" id="builtin:eso_pl" author="fenuks" description="ESO, Europejskie Obserwatorium Południowe, buduje i obsługuje najbardziej zaawansowane naziemne teleskopy astronomiczne na świecie" title="ESO PL" language="pl"/>
+  <recipe needs_subscription="optional" id="builtin:espn" author="Kovid Goyal and Sujata Raman" description="Sports news" title="ESPN" language="en"/>
+  <recipe needs_subscription="no" id="builtin:ebetrsberger_zeitung" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Ebersberger Zeitung" language="de"/>
+  <recipe needs_subscription="no" id="builtin:echo_dnia" author="fenuks" description="Echo Dnia - portal regionalny świętokrzyskiego radomskiego i podkarpackiego. Najnowsze wiadomości z Twojego regionu, galerie, video, mp3." title="Echo Dnia" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:echo_online" author="Armin Geller" description="-Echo Online-" title="Echo Online" language="de"/>
+  <recipe needs_subscription="no" id="builtin:eclipseonline" author="Jim DeVona" description="&quot;Where strange and wonderful things happen, where reality is eclipsed for a little while with something magical and new.&quot; Eclipse Online is edited by Jonathan Strahan and published online by Night Shade Books. http://www.nightshadebooks.com/category/eclipse/" title="Eclipse Online" language="en"/>
+  <recipe needs_subscription="no" id="builtin:ecogeek" author="Darko Miletic" description="EcoGeek - Technology for the Environment Blog Feed" title="EcoGeek" language="en"/>
+  <recipe needs_subscription="no" id="builtin:economia" author="Kovid Goyal" description="Economia - Intelligence &amp; Insight for ICAEW Members" title="Economia Magazine" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:epw" author="Kovid Goyal" description="Economic and Political news from India" title="Economic and Political Weekly" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:economico" author="Krittika Goyal" description="" title="Economico" language="pt"/>
+  <recipe needs_subscription="no" id="builtin:edebistan" author="asalet_r" description="" title="Edebistan" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:edebiyat_haber" author="asalet_r" description="" title="Edebiyat Haber" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:edge_conversations" author="levien" description="Edge.org offers &quot;open-minded, free ranging, intellectually&#10;    playful ... an unadorned pleasure in curiosity, a collective expression of&#10;    wonder at the living and inanimate world ... an ongoing and thrilling&#10;    colloquium." title="Edge.org Conversations" language="en"/>
+  <recipe needs_subscription="no" id="builtin:editor_and_publisher" author="elsuave (modified from Xanthan Gum)" description="News about newspapers and journalism." title="Editor and Publisher" language="en"/>
+  <recipe needs_subscription="no" id="builtin:editoriali" author="faber1971" description="Leading articles on Italy by the best Italian editorials" title="Editoriali" language="it"/>
+  <recipe needs_subscription="no" id="builtin:edmonton_journal" author="Nick Redding" description="News from Edmonton, AB" title="Edmonton Journal" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:ekantipur" author="Manish Bhattarai" description="News from the No.1 News Portal In Nepal" title="Ekantipur" language="en_NP"/>
+  <recipe needs_subscription="no" id="builtin:ekologia_pl" author="fenuks" description="Portal ekologiczny - eko, ekologia, ochrona przyrody, ochrona środowiska, przyroda, środowisko online. Ekologia i ochrona środowiska. Ekologia dla dzieci." title="Ekologia.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:emg_en" author="Darko Miletic" description="Daily business news from Serbia." title="Ekonom:east News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:ekot" author="Joakim Lindskog" description="Nyheter frÃ¥n Ekot" title="Ekot" language="sv"/>
+  <recipe needs_subscription="no" id="builtin:elcohetealaluna" author="Darko Miletic" description="El nuevo portal de Horacio Verbitsky" title="El Cohete a la Luna" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:elcomercio" author="Darko Miletic" description="Gizmodo, the gadget guide. So much in love with shiny new toys, it's unnatural." title="El Comercio " language="es_EC"/>
+  <recipe needs_subscription="no" id="builtin:el_correo" author="desUBIKado" description="Daily newspaper from Biscay" title="El Correo" language="es"/>
+  <recipe needs_subscription="no" id="builtin:elcronista-arg" author="Darko Miletic" description="El Cronista Comercial es el Diario economico-politico mas valorado. Es la fuente mas confiable de informacion en temas de economia, finanzas y negocios." title="El Cronista" language="es_AR"/>
+  <recipe needs_subscription="yes" id="builtin:el_diplo" author="Tomas Di Domenico" description="Publicacion mensual de Le Monde Diplomatique, edicion Argentina" title="El Diplo" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:el_faro" author="Jefferson Frantz" description="Noticias de Vigo" title="El Faro de Vigo" language="es"/>
+  <recipe needs_subscription="no" id="builtin:el_malpensante" author="Ismael Mejia &lt;iemejia@gmail.com&gt;" description="El Malpensante" title="El Malpensante" language="es_CO"/>
+  <recipe needs_subscription="no" id="builtin:el_mostrador" author="Alex Mitrani" description="Chilean online newspaper" title="El Mostrador" language="es_CL"/>
+  <recipe needs_subscription="no" id="builtin:elmundo" author="Darko Miletic" description="Lider de informacion en español" title="El Mundo" language="es"/>
+  <recipe needs_subscription="no" id="builtin:el_mundo_today" author="calibre" description="La actualidad del mañana" title="El Mundo Today" language="es"/>
+  <recipe needs_subscription="no" id="builtin:el_observador" author="yrvn" description="Noticias desde Uruguay" title="El Observador" language="es_UY"/>
+  <recipe needs_subscription="no" id="builtin:el_pais" author="Kovid Goyal &amp; Lorenzo Vigentini &amp; Jordi Balcells" description="Main daily newspaper from Spain" title="El Pais" language="es"/>
+  <recipe needs_subscription="no" id="builtin:el_pais_uy" author="Gustavo Azambuja" description="Noticias de Uruguay y el resto del mundo" title="El Pais - Uruguay" language="es_UY"/>
+  <recipe needs_subscription="no" id="builtin:el_pais_babelia" author="oneillpt" description="El Pais Babelia" title="El Pais Babelia" language="es"/>
+  <recipe needs_subscription="no" id="builtin:elpais_semanal" author="Darko Miletic" description="Revista semanal de diario El Pais" title="El Pais semanal" language="es"/>
+  <recipe needs_subscription="no" id="builtin:elpais_impreso" author="Darko Miletic" description="Noticias de última hora sobre la actualidad en España y el mundo: política, economía, deportes, cultura, sociedad, tecnología, gente, opinión, viajes, moda, televisión, los blogs y las firmas de EL PAÍS. Además especiales, vídeos, fotos, audios, gráficos, entrevistas, promociones y todos los servicios de EL PAÍS." title="El País" language="es"/>
+  <recipe needs_subscription="no" id="builtin:el_periodico" author="desUBIKado" description="Noticias desde Aragon" title="El Periodico de Aragon" language="es"/>
+  <recipe needs_subscription="no" id="builtin:elperiodico_spanish" author="Jordi Balcells/Darko Miletic" description="Noticias desde Catalunya" title="El Periodico de Catalunya" language="es"/>
+  <recipe needs_subscription="no" id="builtin:mediterraneo" author="benages" description="Noticias desde Castellón" title="El Periódico Mediterráneo" language="es"/>
+  <recipe needs_subscription="no" id="builtin:eltiempo_hn" author="Darko Miletic" description="Noticias de Honduras y mundo" title="El Tiempo - Honduras" language="es_HN"/>
+  <recipe needs_subscription="no" id="builtin:el_universal" author="Darko Miletic" description="Sitio líder de noticias minuto x minuto de México y el mundo, con información sobre política, ciudad; videos, interactividad, opinión, blogs" title="El Universal" language="es_MX"/>
+  <recipe needs_subscription="no" id="builtin:eluniversal_ve" author="Darko Miletic" description="Noticias de Venezuela y el mundo. Avances informativos de ultimo minuto. Incluye secciones de politica, deportes, economia y mas." title="El Universal" language="es_VE"/>
+  <recipe needs_subscription="no" id="builtin:eluniverso_ec" author="Darko Miletic" description="Noticias del Ecuador y el resto del mundo" title="El Universo - Ecuador" language="es_EC"/>
+  <recipe needs_subscription="no" id="builtin:elclubdelebook" author="Darko Miletic" description="El Club del eBook, es la primera fuente de informacion sobre ebooks de Argentina. Aca vas a encontrar noticias, tips, tutoriales, recursos y opiniones sobre el mundo de los libros electronicos." title="El club del ebook" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:ele" author="Silviu Cotoară" description="Dezvăluie ceea ce eşti" title="Ele" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:elektroda_pl" author="fenuks" description="Międzynarodowy portal elektroniczny udostępniający bogate zasoby z dziedziny elektroniki oraz forum dyskusyjne." title="Elektroda" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:elsevier" author="Darko Miletic" description="News from Holland" title="Elsevier.nl" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:el_mercurio_chile" author="Darko Miletic" description="El sitio de noticias online de Chile" title="Emol.com - El sitio de noticias online de Chile" language="es_CL"/>
+  <recipe needs_subscription="no" id="builtin:empire_magazine" author="Dave Asbury" description="Author D.Asbury. Film articles from Empire Mag. " title="Empire Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:endgadget_ja" author="Hiroshi Miura" description="" title="Endgadget日本版" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:endgadget" author="Starson17, modified by epubli" description="Tech news" title="Engadget" language="en"/>
+  <recipe needs_subscription="no" id="builtin:entrepeneur" author="Kovid Goyal" description="Online magazine on business, small business, management and economy" title="Entrepeneur Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:erdinger_anzeiger" author="Bernd Boehm" description="German  online portal of münchner Merkur" title="Erdinger Anzeiger" language="de"/>
+  <recipe needs_subscription="no" id="builtin:erhvervs_avisen_dk" author="CoderAllan.github.com" description="Lokale, regionale nyheder, bolig, motor og job i Køge, Greve, Ringsted og Stevns på erhvervsavisen.dk" title="Erhvervs Avisen" language="da"/>
+  <recipe needs_subscription="no" id="builtin:esenja" author="matek09 &amp; fenuks" description="Magazyn kultury popularnej" title="Esensja" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:esensja_(rss)" author="fenuks" description="Magazyn kultury popularnej" title="Esensja (RSS)" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:esquire" author="Kovid Goyal" description="Esquire: Man at His Best" title="Esquire" language="en"/>
+  <recipe needs_subscription="no" id="builtin:estadao" author="Euler Alves" description="Brazilian news from Estadão" title="Estadão" language="pt"/>
+  <recipe needs_subscription="no" id="builtin:europa_press" author="calibre" description="spanish news agency" title="Europa Press" language="es"/>
+  <recipe needs_subscription="no" id="builtin:europasur" author="Darko Miletic" description="News in Spanish" title="Europa Sur" language="es"/>
+  <recipe needs_subscription="no" id="builtin:evangelizo" author="Bobus" description="" title="Evangelizo.org" language="de"/>
+  <recipe needs_subscription="no" id="builtin:evz.ro" author="Silviu Cotoară" description="" title="Evenimentul Zilei" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:everett_herald" author="77ja65" description="" title="Everett Herald" language="en"/>
+  <recipe needs_subscription="no" id="builtin:exiled" author="Darko Miletic" description="Mankind's only alternative since 1997 - Formerly known as The eXile" title="Exiled Online" language="en"/>
+  <recipe needs_subscription="no" id="builtin:expansion_spanish" author="Gerardo Diez &amp; desUBIKado" description="Financial news from Spain" title="Expansion" language="es"/>
+  <recipe needs_subscription="no" id="builtin:explosm" author="Andromeda Rabbit" description="Explosm" title="Explosm Rotated" language="en"/>
+  <recipe needs_subscription="no" id="builtin:express_de" author="schuster" description="" title="Express.de" language="de"/>
+  <recipe needs_subscription="no" id="builtin:f_secure" author="louhike" description="All the news from the weblog of F-Secure" title="F-Secure Weblog" language="en"/>
+  <recipe needs_subscription="no" id="builtin:faznet" author="Kovid Goyal, Darko Miletic, Armin Geller" description="Frankfurter Allgemeine Zeitung" title="FAZ.NET" language="de"/>
+  <recipe needs_subscription="no" id="builtin:fc_knudde" author="DrMerry" description="FC Knudde de populaire sport strip van Toon van Driel (http://www.toonvandriel.nl)" title="FC Knudde" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:fhmro" author="Silviu Cotoară" description="Pentru că noi putem" title="FHM Ro" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:fhm_uk" author="Dave Asbury" description="Good News for Men." title="FHM UK" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:foxnews" author="Darko Miletic" description="Breaking News from FOX" title="FOX News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:factcheck" author="Michael Heinz" description="" title="Factcheck" language="en"/>
+  <recipe needs_subscription="no" id="builtin:fairbanks_daily" author="Roger" description="The voice of interior Alaska since 1903" title="Fairbanks Daily News-miner" language="en"/>
+  <recipe needs_subscription="no" id="builtin:fan_graphs" author="David Appelman" description="Baseball statistical analysis, graphs, and projections." title="FanGraphs" language="en"/>
+  <recipe needs_subscription="no" id="builtin:fastcompany" author="Darko Miletic" description="Where ideas and people meet" title="Fast Company" language="en"/>
+  <recipe needs_subscription="no" id="builtin:favrskovavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder" title="Favrskov Avisen" language="da"/>
+  <recipe needs_subscription="no" id="builtin:favrskovlokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra Favrskov og omegn på favrskov.lokalavisen.dk" title="Favrskovposten" language="da"/>
+  <recipe needs_subscription="no" id="builtin:fdb_pl" author="fenuks" description="Wiadomości ze świata filmu, baza danych filmowych, recenzje, zwiastuny, boxoffice." title="Fdb.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:fstream" author="Starson17 and Tonythebookworm" description="Hunting and Fishing and Gun Talk" title="Field and Stream" language="en"/>
+  <recipe needs_subscription="no" id="builtin:film_org_pl" author="fenuks" description="Recenzje, analizy, artykuły, rankingi - wszystko o filmie dla miłośników kina. Opisy efektów specjalnych, wersji reżyserskich, remake'ów, sequeli. No i forum filmowe. Jedne z największych w Polsce." title="Film.org.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:film_web" author="fenuks" description="Filmweb.pl - Filmy takie jak Ty Filmweb to największy i najczęściej odwiedzany polski serwis filmowy." title="FilmWeb" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:financialsense" author="Darko Miletic" description="Uncommon News &amp; Views for the Wise Investor" title="Financial Sense" language="en"/>
+  <recipe needs_subscription="no" id="builtin:financiarul" author="Silviu Cotoară" description="FIN.ro" title="Financiarul" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:first_things" author="John Hutson" description="America's Most Influential Journal of Religion and Public Life" title="First Things" language="en"/>
+  <recipe needs_subscription="no" id="builtin:fisco_oggi" author="faber1971" description="" title="Fisco Oggi" language="it"/>
+  <recipe needs_subscription="no" id="builtin:fleshbot" author="NA" description="Fleshbot, Pure Filth." title="Fleshbot" language="en"/>
+  <recipe needs_subscription="no" id="builtin:flickr" author="Ricardo Jurado" description="Pictures Blog" title="Flickr Blog" language="en"/>
+  <recipe needs_subscription="no" id="builtin:flickr_es" author="Ricardo Jurado" description="Pictures Blog" title="Flickr Blog" language="es"/>
+  <recipe needs_subscription="no" id="builtin:fluter_de" author="Armin Geller" description="fluter.de Magazin der Bundeszentrale für politische Bildung/bpb" title="Fluter" language="de"/>
+  <recipe needs_subscription="no" id="builtin:focus_pl" author="Krittika Goyal" description="Polish scientific monthly magazine" title="Focus" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:focus_de" author="Anonymous" description="RSS-Feeds von Focus.de" title="Focus (DE)" language="de"/>
+  <recipe needs_subscription="no" id="builtin:fokkeensukke" author="kwetal" description="Popular Dutch daily cartoon Fokke en Sukke" title="Fokke en Sukke" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:folhadesaopaulo" author="Bola de Fogo" description="" title="Folha de São Paolo" language="pt_BR"/>
+  <recipe needs_subscription="yes" id="builtin:folhadesaopaulo_sub" author="Joao Eduardo Bertacchi, lc_addicted " description="Printed edition contents. UOL subscription required (Folha subscription currently not supported). [Conteúdo completo da edição impressa. Somente para assinantes UOL.]" title="Folha de São Paulo" language="pt_BR"/>
+  <recipe needs_subscription="no" id="builtin:folha" author="Darko Miletic" description="Um Jornala a servicao do Brasil" title="Folha de São Paulo - portal" language="pt_BR"/>
+  <recipe needs_subscription="no" id="builtin:folkebladet_dk" author="CoderAllan.github.com" description="Dine lokale nyheder på nettet" title="Folkebladet" language="da"/>
+  <recipe needs_subscription="no" id="builtin:folkebladetdjursland_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder" title="Folkebladet Djursland" language="da"/>
+  <recipe needs_subscription="no" id="builtin:forbes" author="Kovid Goyal" description="Business and Financial News" title="Forbes" language="en"/>
+  <recipe needs_subscription="no" id="builtin:forbes_india" author="rty" description="India Edition Forbes" title="Forbes India" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:forbes_pl" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" description="Biznes, finanse, gospodarka, strategie, wiadomości gospodarcze, analizy finasowe i strategiczne." title="Forbes.pl" language="pl"/>
+  <recipe needs_subscription="yes" id="builtin:foreignaffairs" author="Rick Shang, kwetal, anisotrope" description="The leading forum for serious discussion of American foreign policy and international affairs." title="Foreign Affairs (Subcription)" language="en"/>
+  <recipe needs_subscription="no" id="builtin:foreign_policy" author="Kovid Goyal" description="International News" title="Foreign Policy" language="en"/>
+  <recipe needs_subscription="no" id="builtin:formulaas" author="Silviu Cotoară" description="Formula AS" title="Formula AS" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:f1_ultra" author="MrStefan &lt;mrstefaan@gmail.com&gt;, Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" description="Formuła 1, Robert Kubica, F3, GP2 oraz inne serie wyścigowe." title="Formuła 1 - F1 ultra" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:forsal" author="fenuks" description="Na portalu finansowym Forsal.pl znajdziesz najświeższe wiadomości finansowe i analizy. Kliknij i poznaj aktualne kursy walut, notowania giełdowe oraz inne wiadomości ze świata finansów." title="Forsal.pl" language="pl"/>
+  <recipe needs_subscription="optional" id="builtin:fortune_magazine" author="Rick Shang" description="FORTUNE is a global business magazine that has been revered in its content and credibility since 1930. FORTUNE covers the entire field of business, including specific companies and business trends, prominent business leaders, and new ideas shaping the global marketplace." title="Fortune Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:fotoblogia_pl" author="fenuks" description="Jeden z największych polskich blogów o fotografii." title="Fotoblogia.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:frandroid" author="calibre" description="" title="FrAndroid" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:frankfurter_rundschau" author="Kovid Goyal" description="Nachrichten aus D und aller Welt" title="Frankfurter Rundschau" language="de"/>
+  <recipe needs_subscription="no" id="builtin:fr_online" author="maccs" description="Nachrichten aus D und aller Welt" title="Frankfurter Rundschau" language="de"/>
+  <recipe needs_subscription="no" id="builtin:freakonomics" author="Starson17" description="The Hidden side of everything" title="Freakonomics Blog" language="en"/>
+  <recipe needs_subscription="no" id="builtin:frederiksbergbladet_dk" author="CoderAllan.github.com" description="" title="Frederiksberg Bladet" language="da"/>
+  <recipe needs_subscription="no" id="builtin:freisinger_tagblatt" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Freisinger Tagblatt" language="de"/>
+  <recipe needs_subscription="no" id="builtin:fudzilla" author="Starson17" description="Tech news" title="Fudzilla" language="en"/>
+  <recipe needs_subscription="no" id="builtin:furesoelokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra Farum, Værløse og Furesø på furesoe.lokalavisen.dk" title="Furesø Avis" language="da"/>
+  <recipe needs_subscription="no" id="builtin:futurismic" author="Darko Miletic" description="Near-future science fiction and fact since 2001" title="Futurismic" language="en"/>
+  <recipe needs_subscription="no" id="builtin:furstenfeldbrucker_tagblatt" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Fürstenfeldbrucker Tagblatt" language="de"/>
+  <recipe needs_subscription="no" id="builtin:gs24_pl" author="Michał Szkutnik" description="Internetowy serwis Głosu Szczecińskiego" title="GS24.pl (Głos Szczeciński)" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gwup" author="Bernd Boehm" description="German  online portal of GWUP  die Skeptiker" title="GWUP | Die Skeptiker" language="de"/>
+  <recipe needs_subscription="no" id="builtin:galicia_confidential" author="Susana Sotelo Docío" description="Unha fiestra de información aberta a todos" title="Galicia Confidencial (RSS)" language="gl"/>
+  <recipe needs_subscription="no" id="builtin:gamasutra_fa" author="Darko Miletic" description="The Art and Business of Making Games" title="Gamasutra Featured articles" language="en"/>
+  <recipe needs_subscription="no" id="builtin:gamasutra_news" author="Darko Miletic" description="The Art and Business of Making Games" title="Gamasutra News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:gamekult" author="Malah" description="Toute l`actualité du jeu vidéo PC, consoles, mobiles." title="Gamekult.com" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:gameplay_pl" author="fenuks" description="gameplay.pl - serwis o naszych zainteresowaniach, grach, filmach, książkach, muzyce, fotografii i konsolach." title="Gameplay.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gamespot" author="Marc Tönsing" description="review articles from gamespot.com" title="Gamespot.com Reviews" language="en"/>
+  <recipe needs_subscription="no" id="builtin:garmischer_tagblatt" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Garmisch-Partenkirchener Tagblatt" language="de"/>
+  <recipe needs_subscription="no" id="builtin:gva_be" author="Darko Miletic" description="News from Belgium in Dutch" title="Gazet van Antwerpen" language="nl_BE"/>
+  <recipe needs_subscription="no" id="builtin:gcn" author="fenuks" description="nowiny24.pl - portal regionalny województwa podkarpackiego." title="Gazeta Codziennej Nowiny" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gazeta_krakowska" author="fenuks" description="Gazeta Regionalna Gazeta Krakowska. Najnowsze Wiadomości Kraków. Informacje Kraków. Czytaj!" title="Gazeta Krakowska" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gazeta_lubuska" author="fenuks" description="Gazeta Lubuska - portal regionalny województwa lubuskiego." title="Gazeta Lubuska" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gazeta_pomorska" author="Richard z forum.eksiazki.org, fenuks" description="Gazeta Pomorska - portal regionalny" title="Gazeta Pomorska" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gazeta-prawna-calibre-v1" author="Tomasz Jozwiak" description="Polski dziennik gospodarczy" title="Gazeta Prawna" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gsp" author="Silviu Cotoară" description="Gazeta Sporturilor" title="Gazeta Sporturilor" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:gazeta_wroclawska" author="fenuks" description="Gazeta Regionalna Gazeta Wrocławska. Najnowsze Wiadomości Wrocław, Informacje Wrocław. Czytaj!" title="Gazeta Wrocławska" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gazeta_wspolczesna" author="fenuks" description="Gazeta Współczesna - portal regionalny." title="Gazeta Współczesna" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gazeta_wyborcza" author="fenuks, Artur Stachecki" description="Wiadomości z Polski i ze świata. Serwisy tematyczne i lokalne w 20 miastach." title="Gazeta Wyborcza" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gazeta_pl_bydgoszcz" author="fenuks" description="Wiadomości z Bydgoszczy na portalu Gazeta.pl." title="Gazeta Wyborcza Bydgoszcz" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gazeta_pl_krakow" author="teepel &lt;teepel44@gmail.com&gt; based on GW from fenuks" description="Wiadomości z Krakowa na portalu Gazeta.pl." title="Gazeta Wyborcza Kraków" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gazeta_pl_szczecin" author="Michał Szkutnik" description="Wiadomości ze Szczecina na portalu Gazeta.pl." title="Gazeta Wyborcza Szczecin" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gazeta_pl_warszawa" author="teepel &lt;teepel44@gmail.com&gt; based on GW from fenuks" description="Wiadomości z Warszawy na portalu Gazeta.pl." title="Gazeta Wyborcza Warszawa" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:geek_poke" author="DrMerry" description="Geek and Poke Cartoons" title="Geek and Poke" language="en"/>
+  <recipe needs_subscription="no" id="builtin:gkt" author="Kovid Goyal" description="" title="General Knowledge Today" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:geopolityka" author="chemik111" description="" title="Geopolityka.org" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:monbiot" author="Darko Miletic" description="Tell people something they know already and they will thank you for it. Tell people something new and they will hate you for it." title="George Monbiot - blog" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:geretsrieder_merkur" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Geretsrieder Merkur" language="de"/>
+  <recipe needs_subscription="no" id="builtin:gezgin_dergi" author="asalet_r" description="" title="Gezgin Dergi" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:gildia_pl" author="fenuks" description="Fantastyczny Portal Kulturalny - newsy, recenzje, galerie, wywiady. Literatura, film, gry komputerowe i planszowe, komiks, RPG, sklep. Nie lekceważ potęgi wyobraźni!" title="Gildia.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gizmodo" author="Darko Miletic" description="Gizmodo, the gadget guide. So much in love with shiny new toys, it's unnatural." title="Gizmodo" language="en"/>
+  <recipe needs_subscription="no" id="builtin:glamour" author="Anonymous" description="" title="Glamour (US)" language="en"/>
+  <recipe needs_subscription="no" id="builtin:glasgow_herald" author="Kovid Goyal" description="" title="Glasgow Herald" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:glennbeck" author="kwetal" description="The fusion of entertainment and enlightenment" title="Glenn Beck" language="en"/>
+  <recipe needs_subscription="no" id="builtin:glenn_greenwald" author="anywho" description="" title="Glenn Greenwald | guardian.co.uk" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:globaltimes" author="Jose Ortiz" description="" title="Global Times" language="en_CN"/>
+  <recipe needs_subscription="no" id="builtin:globes_co_il" author="marbs" description="This is Globes.co.il." title="Globes" language="he"/>
+  <recipe needs_subscription="no" id="builtin:go_comics" author="Kovid Goyal" description="200+ Comics - Customize for more days/comics: Defaults to 1 day, 25 comics - 20 general, 5 editorial." title="Go Comics" language="en"/>
+  <recipe needs_subscription="no" id="builtin:goal" author="faber1971" description="Sports news from Italy" title="Goal" language="it"/>
+  <recipe needs_subscription="no" id="builtin:gofin_pl" author="teepel &lt;teepel44@gmail.com&gt;" description="Portal Podatkowo-Księgowy" title="Gofin" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:golem_de" author="schuster" description="" title="Golem.de" language="de"/>
+  <recipe needs_subscription="no" id="builtin:good_house_keeping" author="Anonymous" description="" title="Good House Keeping" language="en"/>
+  <recipe needs_subscription="no" id="builtin:good_to_know" author="Anonymous" description="" title="Good to Know (uk)" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:googlemobileblog" author="calibre" description="" title="Google Mobile Blog" language="en"/>
+  <recipe needs_subscription="no" id="builtin:gosc_niedzielny" author="Piotr Kontek, Tomasz Długosz" description="Ogólnopolski tygodnik katolicki - fragmenty artykułów z aktualnego numeru" title="Gość Niedzielny" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gosc_full" author="Piotr Kontek, Tomasz Długosz" description="Ogólnopolski tygodnik katolicki - pełny numer sprzed 4 tygodni" title="Gość Niedzielny - pełny numer" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gram_pl" author="fenuks" description="Serwis społecznościowy o grach: recenzje, newsy, zapowiedzi, encyklopedia gier, forum. Gry PC, PS3, X360, PS Vita, sprzęt dla graczy." title="Gram.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:grandes_corresponsales_es" author="Marc Busqué &lt;marc@lamarciana.com&gt;" description="Corresponsales de verdad, de los que no se quedan en el hotel." title="Grandes corresponsales" language="es"/>
+  <recipe needs_subscription="yes" id="builtin:granta" author="Gary Arnold" description="The Magazine of New Writing" title="Granta" language="en"/>
+  <recipe needs_subscription="no" id="builtin:grantland" author="barty on mobileread.com forum" description="Writings on Sports &amp; Pop Culture" title="Grantland" language="en"/>
+  <recipe needs_subscription="no" id="builtin:greensboro_news_and_record" author="Walt Anthony" description="News from Greensboro, North Carolina" title="Greensboro News &amp; Record" language="en"/>
+  <recipe needs_subscription="no" id="builtin:gry_online_pl" author="fenuks" description="Wiadomości o grach, recenzje, zapowiedzi. Encyklopedia Gier zawiera opisy gier na PC, konsole Xbox360, PS3 i inne platformy." title="Gry-Online.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:gulfnews" author="Darko Miletic" description="News from United Arab Emirrates, persian gulf and rest of the world" title="Gulf News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:gulli" author="posativ" description="News from Germany" title="Gulli" language="de"/>
+  <recipe needs_subscription="no" id="builtin:gandul" author="Silviu Cotoară" description="Cotidian Online" title="Gândul" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:glos_wielkopolski" author="fenuks" description="Gazeta Regionalna Głos Wielkopolski. Najnowsze Wiadomości Poznań. Czytaj Informacje Poznań!" title="Głos Wielkopolski" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:hackernews" author="Tom Scholl &amp; David Kerschner" description="Hacker News, run by Y Combinator. Anything that good hackers would find interesting, with a focus on programming and startups." title="HN With Comments Link" language="en"/>
+  <recipe needs_subscription="no" id="builtin:hna" author="Oliver Niesner" description="local news from Hessen/Germany" title="HNA" language="de"/>
+  <recipe needs_subscription="no" id="builtin:hnonline" author="lacike" description="News from Slovakia" title="HNonline" language="sk"/>
+  <recipe needs_subscription="no" id="builtin:hoy" author="Fco Javier Nieto" description="Noticias desde Extremadura" title="HOY" language="es"/>
+  <recipe needs_subscription="no" id="builtin:hrt" author="Darko Miletic" description="News from Croatia" title="HRT: Vesti" language="hr"/>
+  <recipe needs_subscription="no" id="builtin:hvg" author="Bigpapa" description="" title="HVG" language="hu"/>
+  <recipe needs_subscription="yes" id="builtin:haaretz_en" author="Darko Miletic" description="Haaretz.com is the world's leading English-language Website for real-time news and analysis of Israel and the Middle East." title="Haaretz" language="en_IL"/>
+  <recipe needs_subscription="no" id="builtin:haksoz" author="asalet_r" description="" title="Haksöz" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:hamilton_spectator" author="Eric Coolman" description="Ontario Canada Newspaper" title="Hamilton Spectator" language="en_CA"/>
+  <recipe needs_subscription="optional" id="builtin:handelsblatt" author="Aimylios" description="RSS-Feeds von Handelsblatt.com" title="Handelsblatt" language="de"/>
+  <recipe needs_subscription="no" id="builtin:hankyoreh21" author="Seongkyoun Yoo" description="The Hankyoreh21 Magazine articles" title="Hankyoreh21" language="ko"/>
+  <recipe needs_subscription="no" id="builtin:hannoversche_zeitung" author="Artemis" description="" title="Hannoversche Allgemeine Zeitung" language="de"/>
+  <recipe needs_subscription="no" id="builtin:harpers" author="Darko Miletic" description="Harper's Magazine: Founded June 1850." title="Harper's Magazine" language="en"/>
+  <recipe needs_subscription="optional" id="builtin:harpers_full" author="Darko Miletic" description="Harper's Magazine, the oldest general-interest monthly in America, explores the issues that drive our national conversation, through long-form narrative journalism and essays, and such celebrated features as the iconic Harper's Index." title="Harper's Magazine - articles from printed edition" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:hbr" author="Kovid Goyal" description="To subscribe go to http://hbr.harvardbusiness.org" title="Harvard Business Review" language="en"/>
+  <recipe needs_subscription="no" id="builtin:hatalska" author="teepel &lt;teepel44@gmail.com&gt;" description="Blog specjalistki z branży mediowo-reklamowej - Natalii Hatalskiej" title="Hatalska" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:heavy_metal_it" author="faber1971" description="An Heavy metal Italian magazine" title="Heavy Metal" language="it"/>
+  <recipe needs_subscription="no" id="builtin:heise_open" author="Anton Gillert" description="Opensource news from Germany" title="Heise Open" language="de"/>
+  <recipe needs_subscription="yes" id="builtin:heise_ct" author="Ralf Hein" description="Das ct Magazin als ePaper. Benötigt Heise Plus Digitalabo (siehe https://www.heise.de/plus/)" title="Heise ct" language="de"/>
+  <recipe needs_subscription="no" id="builtin:helsingin_sanomat" author="oneillpt" description="" title="Helsingin Sanomat" language="fi"/>
+  <recipe needs_subscription="no" id="builtin:financieele_dagblad" author="marvin_2" description="" title="Het Financieele Dagblad" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:hln_be" author="Darko Miletic" description="News from Belgium in Dutch" title="Het Laatste Nieuws" language="nl_BE"/>
+  <recipe needs_subscription="no" id="builtin:high_country_news" author="Armin Geller" description="High Country News (RSS Version)" title="High Country News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:historia_pl" author="fenuks" description="Artykuły dotyczące historii w układzie epok i tematów, forum. Najlepsza strona historii. Matura z historii i egzamin gimnazjalny z historii." title="Historia.org.pl" language="pl"/>
+  <recipe needs_subscription="yes" id="builtin:history_today" author="Rick Shang" description="UK-based magazine, publishing articles and book reviews covering all types and periods of history." title="History Today" language="en"/>
+  <recipe needs_subscription="no" id="builtin:holzkirchener_merkur" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Holzkirchener Merkur" language="de"/>
+  <recipe needs_subscription="no" id="builtin:staradvertiser" author="Darko Miletic" description="Latest national and local Hawaii sports news" title="Honolulu Star-Advertiser" language="en"/>
+  <recipe needs_subscription="no" id="builtin:hornsherredavis_dk" author="CoderAllan.github.com" description="Lokale nyheder fra Jægerspis, Skibby og Bramsnæs" title="Hornsherred Avis" language="da"/>
+  <recipe needs_subscription="no" id="builtin:hotair" author="Walt Anthony" description="The world's first, full-service conservative Internet broadcast network" title="Hot Air" language="en"/>
+  <recipe needs_subscription="no" id="builtin:hotcity" author="Silviu Cotoară" description="Cultura urbană feminină" title="Hotcity" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:hotnews" author="Silviu Cotoară" description="Știri din România" title="Hotnews" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:howtogeek" author="TonytheBookworm, PatStapleton (update 2020-05-20)" description="Daily Computer Tips and Tricks" title="How To Geek" language="en"/>
+  <recipe needs_subscription="no" id="builtin:huffingtonpost_uk" author="Krittika Goyal" description="" title="Huffington Post UK" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:hvidovrelokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra Hvidovre på hvidovre.lokalavisen.dk" title="Hvidovre Avis" language="da"/>
+  <recipe needs_subscription="no" id="builtin:hvidovreavis_dk" author="calibre" description="" title="Hvidovre avis" language="da"/>
+  <recipe needs_subscription="no" id="builtin:h3" author="Ezmegaz" description="" title="Hírszerző" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:hurriyet" author="Adrian Tennessee (adrian.tennessee at domainthatnobodytakes.com)" description="Hürriyet web site ebook" title="Hürriyet" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:idg_se" author="Stanislav Khromov" description="IDG.se" title="IDG" language="sv"/>
+  <recipe needs_subscription="no" id="builtin:ieeespectrum" author="Armin Geller" description="The world's largest professional association dedicated to advancing technological innovation and excellence for the benefit of humanity" title="IEEE-Spectrum Online" language="en"/>
+  <recipe needs_subscription="no" id="builtin:in4_pl" author="fenuks" description="Serwis Informacyjny - Aktualnosci, recenzje" title="IN4.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:infra_pl" author="fenuks" description="Serwis Informacyjny INFRA - UFO, Zjawiska Paranormalne, Duchy, Tajemnice świata." title="INFRA" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:iol_za" author="Darko Miletic" description="South Africa's Premier Online News Source. Discover the world of IOL, News South Africa, Sport, Business, Financial, World News, Entertainment, Technology, Motoring, Travel, Property, Classifieds and more." title="IOL News" language="en_ZA"/>
+  <recipe needs_subscription="no" id="builtin:ideal_almeria" author="Josemi Liébana" description="Noticias de Almería y el resto del mundo" title="Ideal (Edición Almería)" language="es"/>
+  <recipe needs_subscription="no" id="builtin:ideal_granada" author="Josemi Liébana" description="Noticias de Granada y el resto del mundo" title="Ideal (Edición Granada)" language="es"/>
+  <recipe needs_subscription="no" id="builtin:ideal_jaen" author="Josemi Liébana" description="Noticias de Jaén y el resto del mundo" title="Ideal (Edición Jaén)" language="es"/>
+  <recipe needs_subscription="no" id="builtin:corriere_della_sera_it" author="calibre" description="" title="Il Corriere della sera" language="it"/>
+  <recipe needs_subscription="no" id="builtin:corriere_della_sera_en" author="calibre" description="Italian daily newspaper (english version)" title="Il Corriere della sera (english) " language="en"/>
+  <recipe needs_subscription="no" id="builtin:corriere_dello_sport" author="Gabriele Marini" description="Italian daily newspaper" title="Il Corriere dello Sport" language="it"/>
+  <recipe needs_subscription="no" id="builtin:disinformatico" author="isspro" description="Un blog di Paolo Attivissimo, giornalista informatico e cacciatore di bufale" title="Il Disinformatico - Paolo Attivissimo" language="it"/>
+  <recipe needs_subscription="no" id="builtin:il_fatto" author="egilh" description="" title="Il Fatto Quotidiano" language="it"/>
+  <recipe needs_subscription="no" id="builtin:il_foglio" author="faber1971" description="Leading articles from an Italian newspaper - v1.00 (16 July, 2013)" title="Il Foglio - Editoriali" language="it"/>
+  <recipe needs_subscription="no" id="builtin:il_giornale" author="GAMBARINI" description="Italian daily newspaper" title="Il Giornale" language="it"/>
+  <recipe needs_subscription="no" id="builtin:ilmanifesto" author="Giacomo Lacava" description="quotidiano comunista - ultima edizione html disponibile" title="Il Manifesto" language="it"/>
+  <recipe needs_subscription="no" id="builtin:il_messaggero" author="Gabriele Marini" description="Italian News" title="Il Messaggero" language="it"/>
+  <recipe needs_subscription="no" id="builtin:il_post" author="Marco Scirea" description="Puoi decidere quali sezioni scaricare modificando la ricetta. Di default le immagini sono convertite in scala di grigio per risparmiare spazio, la ricetta puo' essere configurata per tenerle a colori" title="Il Post" language="it"/>
+  <recipe needs_subscription="no" id="builtin:ilsole24ore" author="Marco Saraceno" description="Italian financial daily newspaper" title="Il Sole 24 Ore" language="it"/>
+  <recipe needs_subscription="no" id="builtin:imperatortravel" author="Silviu Cotoară" description="Călătorii" title="Imperator Travel" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:impulse_de" author="schuster" description="" title="Impulse.de" language="de"/>
+  <recipe needs_subscription="yes" id="builtin:inc" author="Nikolas Mangold-Takao &lt;nmangold at gmail.com&gt;" description="Free account required to browse website. Handbook of the American Entrepeneur" title="Inc Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:independent_australia" author="Pat Stapleton" description="Independent Australia is a progressive journal focusing on politics, democracy, the environment, Australian history and Australian identity. It contains news and opinion from Australia and around the world." title="Independent Australia" language="en_AU"/>
+  <recipe needs_subscription="no" id="builtin:index_hu" author="laca" description="" title="Index.hu" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:india_today" author="Krittika Goyal" description="" title="India Today" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:indian_express" author="Krittika Goyal" description="" title="Indian Express" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:indy_star" author="Owen Kelly" description="" title="Indianapolis Star" language="en"/>
+  <recipe needs_subscription="no" id="builtin:infobae" author="Darko Miletic and Sujata Raman" description="Infobae.com es el sitio de noticias con mayor actualizacion de Latinoamérica. Noticias actualizadas las 24 horas, los 365 días del año." title="Infobae.com" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:infomotori" author="calibre" description="" title="Infomotori" language="it"/>
+  <recipe needs_subscription="no" id="builtin:information_dk" author="Darko Miletic" description="News from Denmark" title="Information - Denmark" language="da"/>
+  <recipe needs_subscription="no" id="builtin:infoworld" author="Rick Kellogg" description="news" title="Infoworld.com" language="en"/>
+  <recipe needs_subscription="no" id="builtin:ing_dk" author="CoderAllan.github.com" description="Nyheder om teknologi og naturvidenskab for fagfolk og interesserede; artikler, blogs, debat, infografik, video." title="Ingeniøren" language="da"/>
+  <recipe needs_subscription="no" id="builtin:inquirer_net" author="Krittika Goyal" description="News from Philipines" title="Inquirer.net" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:insider" author="bubak" description="" title="Insider" language="cs"/>
+  <recipe needs_subscription="yes" id="builtin:instapaper" author="Darko Miletic, Stanislav Khromov, Jim Ramsay" description="" title="Instapaper" language="und"/>
+  <recipe needs_subscription="no" id="builtin:intelligencer" author="calibre" description="" title="Intelligencer" language="en"/>
+  <recipe needs_subscription="no" id="builtin:tedneward" author="Darko Miletic" description="Tech blog by Ted Neward" title="Interoperability Happens" language="en"/>
+  <recipe needs_subscription="no" id="builtin:irish_independent" author="Neil Grogan" description="Irish and World news from Irelands Bestselling Daily Broadsheet" title="Irish Independent" language="en_IE"/>
+  <recipe needs_subscription="no" id="builtin:office_space" author="Zsolt Botykai" description="officespace.blog.hu" title="Irodai patkényok" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:isar-loisachbote" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Isar-Loisachbote" language="de"/>
+  <recipe needs_subscription="no" id="builtin:istorias" author="tzium" description="" title="Istòrias" language="sc"/>
+  <recipe needs_subscription="no" id="builtin:ivanamilakovic" author="Darko Miletic" description="Hronika mačijeg škrabala - priče, inspiracija, knjige, pisanje, prevodi..." title="Ivana Milaković" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:izvestia" author="Darko Miletic" description="News from Russia" title="Izvestia" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:japaa" author="adoucette" description="" title="JAAPA" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:jbpress" author="Ado Nishimura" description="Japan Business Press New articles (using small print version)" title="JBPress" language="ja"/>
+  <recipe needs_subscription="optional" id="builtin:jacobinmag" author="Darko Miletic" description="Jacobin is a leading voice of the American left, offering socialist perspectives on politics, economics, and culture." title="Jacobin" language="en"/>
+  <recipe needs_subscription="no" id="builtin:jagran_josh" author="Krittika Goyal" description="" title="Jagran Josh" language="en"/>
+  <recipe needs_subscription="no" id="builtin:jakarta_globe" author="rty" description="JakartaGlobe, Indonesia, Newspaper" title="Jakarta Globe" language="en_ID"/>
+  <recipe needs_subscription="no" id="builtin:jakarta_post" author="Kovid Goyal" description="Indonesian Newspaper in English from Jakarta Post Online Edition" title="Jakarta Post" language="en_ID"/>
+  <recipe needs_subscription="no" id="builtin:jalopnik" author="NA" description="Jalopnik, Obsessed With The Cult of Cars." title="Jalopnik" language="en"/>
+  <recipe needs_subscription="no" id="builtin:javalobby" author="Rick Kellogg" description="news" title="Javalobby" language="en"/>
+  <recipe needs_subscription="no" id="builtin:jpost" author="Kovid Goyal" description="News from Israel and the Middle East" title="Jerusalem Post" language="en"/>
+  <recipe needs_subscription="no" id="builtin:jpost_fr" author="TonytheBookworm" description="The Jerusalem Post (in French)" title="Jerusalem post" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:jeuxvideo" author="Malah" description="La Référence des Jeux Vidéo sur PC et Consoles !" title="JeuxVideo.com" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:jezebel" author="NA" description="Jezebel, Celebrity, Sex, Fashion for Women. Without Airbrushing." title="Jezebel" language="en"/>
+  <recipe needs_subscription="no" id="builtin:joelonsoftware" author="Darko Miletic" description="Painless Software Management" title="Joel on Software" language="en"/>
+  <recipe needs_subscription="no" id="builtin:joop" author="kwetal" description="Political blog from the Netherlands" title="Joop" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:jb_online" author="Darko Miletic" description="News from Brasil" title="Jornal Brasileiro Online" language="pt"/>
+  <recipe needs_subscription="no" id="builtin:jot_down" author="calibre" description="Revista digital con magníficos y extensos artículos" title="Jot Down - Contemporary Culture Magazine" language="es"/>
+  <recipe needs_subscription="no" id="builtin:journalgazette" author="cynvision" description="" title="Journal Gazette Ft. Wayne IN" language="en"/>
+  <recipe needs_subscription="no" id="builtin:journalofaccountancy" author="Jose Ortiz" description="A monthly journal of tax, financial reporting, auditing and other topics of accountancy from American Institute of Certified Public Accountants (AICPA)." title="Journal of Accountancy" language="en_US"/>
+  <recipe needs_subscription="yes" id="builtin:johm" author="Kovid Goyal" description="Medical news" title="Journal of Hospital Medicine" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:kidney" author="Krittika Goyal" description="" title="Journal of the American Society of Nephrology" language="en"/>
+  <recipe needs_subscription="no" id="builtin:jurnalulnational" author="Silviu Cotoară" description="Știri din România" title="Jurnalul Naţional" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:jutarnji" author="Darko Miletic" description="Hrvatski portal" title="Jutarnji" language="hr"/>
+  <recipe needs_subscription="no" id="builtin:juve_la_stampa" author="faber1971" description="News about Juventus from La Stampa" title="Juve - La Stampa" language="it"/>
+  <recipe needs_subscription="no" id="builtin:juventudrebelde" author="Oscar Megia Lopez" description="Periodico cubano" title="Juventud Rebelde" language="es"/>
+  <recipe needs_subscription="no" id="builtin:jv_dk" author="CoderAllan.github.com" description="JydskeVestkysten" title="JydskeVestkysten | JV.dk | jv.dk" language="da"/>
+  <recipe needs_subscription="no" id="builtin:jp_dk" author="Darko Miletic" description="News from Denmark" title="Jyllands-Posten" language="da"/>
+  <recipe needs_subscription="no" id="builtin:karlsruhe" author="tfeld" description="Nachrichten aus Karlsruhe, Deutschland und der Welt." title="KA-News.de" language="de"/>
+  <recipe needs_subscription="no" id="builtin:planet_kde" author="Riccardo Iaconelli" description="" title="KDE News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:kamikaze" author="Silviu Cotoară" description="Săptămânal scăpat de sub control" title="Kamikaze" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:kstar" author="TonytheBookworm" description="www.kansascity.com feed" title="Kansas City Star" language="en"/>
+  <recipe needs_subscription="no" id="builtin:karsi_gazete" author="Voltran" description="" title="Karsi Gazete" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:kathemerini" author="jenniepet" description="News from Greece" title="Kathimerini" language="el"/>
+  <recipe needs_subscription="no" id="builtin:kellog_insight" author="Kovid Goyal and Sujata Raman" description="Articles from the Kellog School of Management" title="Kellog Insight" language="en"/>
+  <recipe needs_subscription="no" id="builtin:kerrang" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" description="UK-based magazine devoted to rock music published by Bauer Media Group" title="Kerrang!" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:kgsenghavebladet_dk" author="CoderAllan.github.com" description="lokalavisen med alle dine lokale nyheder" title="Kgs. Enghave Bladet" language="da"/>
+  <recipe needs_subscription="no" id="builtin:kitekinto" author="pofa" description="" title="Kitekintő" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:kitsapun" author="Darko Miletic" description="News from Kitsap County" title="Kitsap Sun" language="en"/>
+  <recipe needs_subscription="no" id="builtin:kleinezeitung" author="kwetal" description="Nachrichten aus Österreich" title="Kleine Zeitung" language="de_AT"/>
+  <recipe needs_subscription="no" id="builtin:klubknjige" author="Darko Miletic" description="literarni blog" title="Klub knjige" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:knack_be" author="erkfuizfeuadjfjzefzfuzeff" description="News from Belgium in Dutch" title="Knack.be" language="nl_BE"/>
+  <recipe needs_subscription="no" id="builtin:komchadluek" author="ballsaii and Chotechai" description="Komchadluek News" title="KomChadLuek" language="th"/>
+  <recipe needs_subscription="no" id="builtin:kommersant" author="Darko Miletic" description="News from Russia" title="Kommersant" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:kommunalsundhed_dk" author="CoderAllan.github.com" description="Nyheder til kommunale ledere, der arbejder med sundhed og sygdom" title="Kommunal Sundhed" language="da"/>
+  <recipe needs_subscription="no" id="builtin:kompas" author="Adrian Gunawan" description="Indonesian News from Kompas Online Edition" title="Kompas" language="id"/>
+  <recipe needs_subscription="no" id="builtin:konflikty_zbrojne" author="fenuks" description="Zbiór ciekawych artykułów historycznych, militarnych oraz recenzji książek, gier i filmów. Najświeższe informacje o lotnictwie, wojskach lądowych i polityce." title="Konflikty Zbrojne" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:kopalniawiedzy" author="Attis &amp; Tomasz Długosz" description="Ciekawostki ze świata nauki i techniki" title="Kopalnia Wiedzy" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:korben" author="calibre" description="" title="Korben" language="und"/>
+  <recipe needs_subscription="no" id="builtin:korea_herald" author="Seongkyoun Yoo" description="Korea Herald News articles" title="KoreaHerald" language="en"/>
+  <recipe needs_subscription="no" id="builtin:km_blog" author="teepel &lt;teepel44@gmail.com&gt;" description="Wiadomości z bloga korwin-mikke.pl/blog" title="Korwin-Mikke Blog" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:kosmonauta_pl" author="fenuks" description="polskojęzyczny portal w całości dedykowany misjom kosmicznym i badaniom kosmosu." title="Kosmonauta.net" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:kotaku" author="NA" description="Kotaku, the Gamer's Guide." title="Kotaku" language="en"/>
+  <recipe needs_subscription="no" id="builtin:krebs_on_security" author="Jelle van der Waa" description="In-depth Security news and investigation" title="Krebs on Security" language="en"/>
+  <recipe needs_subscription="no" id="builtin:kresy_pl" author="fenuks" description="portal społeczności kresowej" title="Kresy" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:kristeligt_dagblad_dk" author="calibre" description="" title="Kristeligt Dagblad" language="da"/>
+  <recipe needs_subscription="no" id="builtin:krstarica_en" author="Darko Miletic" description="News from Serbia and world" title="Krstarica - news in english" language="en"/>
+  <recipe needs_subscription="no" id="builtin:kp" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" description=" Lewicowe pismo zaangażowane w bieg spraw publicznych w Polsce." title="Krytyka Polityczna" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:kudika" author="Silviu Cotoară" description="Revistă pentru femei" title="Kudika" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:kudy_z_nudy" author="bubak" description="kudyznudy.cz" title="Kudy z nudy" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:kukuburi" author="Mori" description="KUKUBURI by RamÃ³n PÃ©rez" title="Kukuburi" language="en"/>
+  <recipe needs_subscription="no" id="builtin:kurier" author="Darko Miletic" description="News from Austria" title="Kurier" language="de_AT"/>
+  <recipe needs_subscription="no" id="builtin:kurier_lubelski" author="fenuks" description="Gazeta Regionalna Kurier Lubelski. Najnowsze Wiadomości Lublin. Czytaj Informacje Lublin!" title="Kurier Lubelski" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:kurier_poranny" author="fenuks" description="Kurier Poranny | poranny.pl - portal miejski Białegostoku,informacje,wydarzenia" title="Kurier Poranny" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:kurier_szczecinski" author="fenuks" description="24Kurier jest portalem Kuriera Szczecińskiego. Zawiera aktualności ze Szczecina oraz wiadomości regionalne z  województwa zachodniopomorskiego." title="Kurier Szczeciński" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:kyungyhang" author="Seongkyoun Yoo" description="The Kyungyhang Shinmun articles" title="Kyungyhang" language="ko"/>
+  <recipe needs_subscription="no" id="builtin:lavenir_be" author="Lionel Bergeret" description="News from Belgium in French" title="L'Avenir" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:l_espresso" author="Lorenzo Vigentini, Gabriele Marini, Krittika Goyal" description="Italian weekly magazine" title="L'Espresso " language="it"/>
+  <recipe needs_subscription="no" id="builtin:losservatoreromano_it" author="Darko Miletic" description="Quiornale quotidiano, politico, religioso del Vaticano" title="L'Osservatore Romano" language="it"/>
+  <recipe needs_subscription="no" id="builtin:lexpress" author="calibre" description="Actualités" title="L'express" language="fr"/>
+  <recipe needs_subscription="optional" id="builtin:lwn_weekly" author="Davide Cavalca" description="Weekly summary of what has happened in the free software world." title="LWN.net Weekly Edition" language="en"/>
+  <recipe needs_subscription="no" id="builtin:la_cuarta" author="Darko Miletic" description="La Cuarta Cibernetica: El Diario popular" title="La Cuarta" language="es_CL"/>
+  <recipe needs_subscription="no" id="builtin:dhnet_be" author="Lionel Bergeret" description="News from Belgium in French" title="La Derniere Heure" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:la_gazetta_del_mezzogiorno" author="faber1971" description="Italian regional magazine - Apulia" title="La Gazzetta del Mezzogiorno" language="it"/>
+  <recipe needs_subscription="no" id="builtin:la_gazzeta_dello_sport" author="Lorenzo Vigentini" description="Sport news from the most read sport newspaper in Italy" title="La Gazzetta dello Sport " language="it"/>
+  <recipe needs_subscription="no" id="builtin:la_jornada" author="Darko Miletic/Rogelio Domínguez" description="Noticias del diario mexicano La Jornada" title="La Jornada (Mexico)" language="es_MX"/>
+  <recipe needs_subscription="no" id="builtin:lalibre_be" author="Lionel Bergeret" description="News from Belgium in French" title="La Libre Belgique" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:lameuse_be" author="Lionel Bergeret" description="News from Belgium in French" title="La Meuse" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:lanacion" author="Darko Miletic" description="lanacion.com - Informacion actualizada las 24 horas, con noticias de Argentina y del mundo" title="La Nacion" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:lanacion_chile" author="Darko Miletic" description="El sitio de noticias online de Chile" title="La Nacion Chile" language="es_CL"/>
+  <recipe needs_subscription="no" id="builtin:la_nacion_cr" author="Douglas Delgado" description="Diario de circulacion nacional de Costa Rica. Recipe creado por Douglas Delgado (doudelgado@gmail.com) para su uso con Calibre por Kovid Goyal" title="La Nacion Costa Rica" language="es_CR"/>
+  <recipe needs_subscription="no" id="builtin:la_nueva" author="Luis Hernandez" description="Diario independiente de Asturias" title="La Nueva España" language="es"/>
+  <recipe needs_subscription="no" id="builtin:lapoliticaonline_ar" author="Darko Miletic" description="Informacion actualizada las 24 horas, con noticias de Argentina y del mundo" title="La Politica Online" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:laprensa" author="Darko Miletic and Sujata Raman" description="Informacion Libre las 24 horas" title="La Prensa" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:laprensa_hn" author="Darko Miletic" description="Noticias de Honduras y mundo" title="La Prensa - Honduras" language="es_HN"/>
+  <recipe needs_subscription="no" id="builtin:laprensa_ni" author="Darko Miletic" description="LA PRENSA - EL Diario de los Nicaraguenses" title="La Prensa - Nicaragua" language="es_NI"/>
+  <recipe needs_subscription="no" id="builtin:la_razon_bo" author="Darko Miletic" description="El diario nacional de Bolivia" title="La Razón - Bolivia" language="es_BO"/>
+  <recipe needs_subscription="no" id="builtin:la_republica" author="Lorenzo Vigentini, Gabriele Marini, Darko Miletic, faber1971" description="il quotidiano online con tutte le notizie in tempo reale. News e ultime notizie. Tutti i settori: politica, cronaca, economia, sport, esteri, scienza, tecnologia, internet, spettacoli, musica, cultura, arte, mostre, libri, dvd, vhs, concerti, cinema, attori, attrici, recensioni, chat, cucina, mappe. Le citta di Repubblica: Roma, Milano, Bologna, Firenze, Palermo, Napoli, Bari, Torino." title="La Repubblica" language="it"/>
+  <recipe needs_subscription="no" id="builtin:la_rioja" author="Arturo Martinez Nieves" description="Noticias de La Rioja y el resto del mundo" title="La Rioja" language="es"/>
+  <recipe needs_subscription="no" id="builtin:la_segunda" author="Darko Miletic" description="El sitio de noticias online de Chile" title="La Segunda" language="es_CL"/>
+  <recipe needs_subscription="no" id="builtin:la_stampa" author="Gabriele Marini" description="" title="La Stampa" language="it"/>
+  <recipe needs_subscription="no" id="builtin:la_tercera" author="Darko Miletic and Alex Mitrani" description="El sitio de noticias online de Chile" title="La Tercera" language="es_CL"/>
+  <recipe needs_subscription="no" id="builtin:latribuna" author="Darko Miletic" description="Noticias de Honduras y mundo" title="La Tribuna - Honduras" language="es_HN"/>
+  <recipe needs_subscription="no" id="builtin:la_tribuna" author="Luis Hernández" description="Varios diarios locales del grupo PROMECAL" title="La Tribuna de" language="es"/>
+  <recipe needs_subscription="no" id="builtin:lavanguardia_corresponsales_es" author="Marc Busqué &lt;marc@lamarciana.com&gt;" description="Blogs de los corresponsales de La Vanguardia en este mismo periódico" title="La Vanguardia - Blogs de los corresponsales" language="es"/>
+  <recipe needs_subscription="no" id="builtin:lavanguardia" author="Darko Miletic" description="Noticias desde España" title="La Vanguardia Digital" language="es"/>
+  <recipe needs_subscription="no" id="builtin:la_voce" author="faber1971" description="Italian website on Economy - v1.02 (27, December 2012)" title="La Voce" language="it"/>
+  <recipe needs_subscription="no" id="builtin:la_pausa_caffe" author="faber1971" description="An Italian satirical blog" title="La pausa caffè" language="it"/>
+  <recipe needs_subscription="no" id="builtin:lamebook" author="atordo" description="Funny Facebook Statuses, Fails, LOLs and More - The Original" title="Lamebook" language="en"/>
+  <recipe needs_subscription="no" id="builtin:las_vegas_review" author="Kovid Goyal" description="" title="Las Vegas Review Journal" language="en"/>
+  <recipe needs_subscription="optional" id="builtin:ledevoir" author="calibre" description="Canadian Paper. A subscription is optional, with it you get more content" title="Le Devoir " language="fr"/>
+  <recipe needs_subscription="no" id="builtin:le_gorafi" author="Malah" description="Depuis 1826, toute l'information de sources contradictoires" title="Le GORAFI.fr" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:le_journal" author="Luciano Furtado" description="Le Journal de Montreal" title="Le Journal de Montreal" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:le_monde" author="veezh" description="Actualités" title="Le Monde" language="fr"/>
+  <recipe needs_subscription="yes" id="builtin:lemonde_dip" author="Darko Miletic" description="Le Monde diplomatique is the place you go when you want to know what's really happening. This is a major international paper that is truly independent, that sees the world in fresh ways, that focuses on places no other publications reach. We offer a clear, considered view of the conflicting interests and complexities of a modern global world. LMD in English is a concise version of the Paris-based parent edition, publishing all the major stories each month, expertly translated, and with some London-based commissions too. We offer a taster of LMD quality on our website where a selection of articles are available each month." title="Le Monde diplomatique - English edition" language="en"/>
+  <recipe needs_subscription="no" id="builtin:le_monde_diplomatique_fr" author="Gaëtan Lehmann" description="Le Monde diplomatique est un mensuel français d’information et d’opinion à la ligne éditoriale nettement engagée en faveur d'une gauche de rupture avec le capitalisme. Il aborde de nombreux sujets — géopolitique, relations internationales, économie, questions sociales, écologie, culture, médias, …" title="Le Monde diplomatique.fr" language="fr"/>
+  <recipe needs_subscription="yes" id="builtin:le_monde_sub" author="Sylvain Durand" description="La version papier du quotidien Le Monde, disponible du lundi au samedi à partir de 14 heures environ, avec tous ses cahiers." title="Le Monde: Édition abonnés" language="fr"/>
+  <recipe needs_subscription="yes" id="builtin:le_monde_sub_paper" author="Rémi Vanicat" description="Actualités" title="Le Monde: Édition abonnés papier" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:le_nouvel_observateur" author="Malah" description="Actualités en temps réel, Info à la Une" title="Le Nouvel Observateur" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:le_peuple_breton" author="Lionel Plais" description="Aujourd'hui, être libre c'est être informé" title="Le Peuple Breton" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:lepoint" author="calibre" description="Actualités" title="Le Point" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:lescienze" author="calibre" description="Edizione italiana di Scientific American" title="Le Scienze" language="it"/>
+  <recipe needs_subscription="no" id="builtin:lesoir_be" author="Lionel Bergeret" description="News from Belgium in French" title="Le Soir" language="fr"/>
+  <recipe needs_subscription="yes" id="builtin:le_temps" author="Kovid Goyal" description="French news. Needs a subscription from https://www.letemps.ch" title="Le Temps" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:leduc" author="Brian Hahn" description="Provides news from central Alberta, Canada.  This is a&#10; weekly publication that provides coverage from the Cities of Leduc and&#10; Wetaskiwin, including news from two complete counties, plus the towns and&#10; villages within.  The counties of Leduc and Wetaskiwin provide news&#10; coverage of agriculture, sports, government, family, events and opinion.&#10; This publication updated weekly every Thursday." title="Leduc - Wetaskiwin Pipestone Flyer" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:lega_nerd" author="faber1971" description="nerd / geek culture, pc, comics, music, culture" title="Lega Nerd" language="it"/>
+  <recipe needs_subscription="no" id="builtin:legeartis" author="Mori, Tomasz Długosz" description="Prawie wszystko, co chcielibyście wiedzieć o prawie, ale wstydziliście się zapytać" title="Lege Artis" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:leggo_it" author="Gabriele Marini" description="Italian Free daily newspaper" title="Leggo.it" language="it"/>
+  <recipe needs_subscription="no" id="builtin:leipzer_volkszeitung" author="a.peter" description="Leipziger Volkszeitung Online RSS" title="Leipziger Volkszeitung Online RSS" language="de"/>
+  <recipe needs_subscription="no" id="builtin:lenta_ru" author="Nikolai Kotchetkov" description="Ежедневная интернет-газета. Новости со всего мира на русском языке" title="Lenta.ru: Новости" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:les_echos" author="Krittika Goyal" description="" title="Les Echos" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:letsgetcritical" author="barty on mobileread.com forum" description="Curation / aggregation of criticisms of the arts and culture " title="Let's Get Critical" language="en"/>
+  <recipe needs_subscription="no" id="builtin:levante" author="kwetal" description="El Mercantil Valenciano" title="Levante" language="es"/>
+  <recipe needs_subscription="optional" id="builtin:liberation" author="calibre" description="Actualités" title="Liberation" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:liberatorio_politico" author="faber1971" description="Inquiry journalism - a blog on Molfetta, Land of Bari, Apulia and Italy - v1.00 (07, April 2012)" title="Liberatorio Politico" language="it"/>
+  <recipe needs_subscription="no" id="builtin:libero" author="Marini Gabriele" description="Italian daily newspaper" title="Libero " language="it"/>
+  <recipe needs_subscription="no" id="builtin:libertad_digital" author="Darko Miletic" description="En Libertad Digital encontraras noticias y opinion sobre: España, el Mundo, Internet, sociedad, economia y deportes" title="Libertad Digital" language="es"/>
+  <recipe needs_subscription="no" id="builtin:lifehacker" author="Kovid Goyal" description="Tips, tricks, and downloads for getting things done." title="LifeHacker" language="en"/>
+  <recipe needs_subscription="no" id="builtin:lifehacker_pl" author="MrStefan &lt;mrstefaan@gmail.com&gt;" description="Lifehacking - sposoby na zwiększanie własnej wydajności. Ułatwiaj sobie życie, wykorzystując wiedzę, metody, technologie, przydatne strony ..." title="Lifehacker Polska" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:lightspeed_magazine" author="Jose Pinto" description="" title="Lightspeed Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:limba_sarda" author="tzium" description="" title="Limba Sarda 2.0" language="sc"/>
+  <recipe needs_subscription="no" id="builtin:limes" author="faber1971" description="Italian weekly magazine" title="Limes" language="it"/>
+  <recipe needs_subscription="no" id="builtin:linux_magazine" author="Darko Miletic" description="Linux news" title="Linux Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:linuxportal_pl" author="fenuks" description="Na LinuxPortal.pl znajdziesz wiadomości o systemie Linux, open source oraz Androidzie." title="LinuxPortal" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:livemint" author="Krittika Goyal" description="" title="Live Mint" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:living_stones" author="Peter Grungi" description="" title="Living Stones Pastors Blog" language="en"/>
+  <recipe needs_subscription="no" id="builtin:aabenraalokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport, kultur fra Aabenraa og omegn på aabenraa.lokalavisen.dk" title="Lokalavisen Aabenraa" language="da"/>
+  <recipe needs_subscription="no" id="builtin:aarhuslokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra Aarhus Midt, Nord, Vest og Syd på aarhus.lokalavisen.dk" title="Lokalavisen Aarhus" language="da"/>
+  <recipe needs_subscription="no" id="builtin:aarhusmidtlokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra Aarhus Midt på aarhusmidt.lokalavisen.dk" title="Lokalavisen Aarhus Midt" language="da"/>
+  <recipe needs_subscription="no" id="builtin:aarhusnordlokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra Aarhus Nord på aarhusnord.lokalavisen.dk" title="Lokalavisen Aarhus Nord" language="da"/>
+  <recipe needs_subscription="no" id="builtin:aarhussydlokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra Aarhus Syd på aarhussyd.lokalavisen.dk" title="Lokalavisen Aarhus Syd" language="da"/>
+  <recipe needs_subscription="no" id="builtin:aarhusvestlokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra Aarhus Vest på aarhusvest.lokalavisen.dk" title="Lokalavisen Aarhus Ves" language="da"/>
+  <recipe needs_subscription="no" id="builtin:egedallokalavisen_dk" author="CoderAllan.github.com" description="Lokale, regionale nyheder, sport og kultur i Egedal, Stenløse, Ølstykke, Ganløse, Gundsø, Slangerup, Roskilde på egedal.lokalavisen.dk" title="Lokalavisen Egedal" language="da"/>
+  <recipe needs_subscription="no" id="builtin:esbjerglokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport, kultur fra Esbjerg og omegn på esbjerg.lokalavisen.dk" title="Lokalavisen Esbjerg" language="da"/>
+  <recipe needs_subscription="no" id="builtin:fredericialokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport, kultur fra Fredericia og omegn på fredericia.lokalavisen.dk" title="Lokalavisen Fredericia" language="da"/>
+  <recipe needs_subscription="no" id="builtin:frederikssundlokalavisen_dk" author="CoderAllan.github.com" description="Lokale, regionale nyheder, sport og kultur fra Frederikssund, Jægerspris og omegn på frederikssund.lokalavisen.dk" title="Lokalavisen Frederikssund" language="da"/>
+  <recipe needs_subscription="no" id="builtin:grenaalokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport, kultur fra Grenå og omegn på grenaa.lokalavisen.dk" title="Lokalavisen Grenaa" language="da"/>
+  <recipe needs_subscription="no" id="builtin:haderslevlokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport, kultur fra Haderslev og omegn på haderslev.lokalavisen.dk" title="Lokalavisen Haderslev" language="da"/>
+  <recipe needs_subscription="no" id="builtin:hornsherredlokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra Hornsherred og omegn på hornsherred.lokalavisen.dk" title="Lokalavisen Hornsherred" language="da"/>
+  <recipe needs_subscription="no" id="builtin:kaloeviglokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra Hornslet og omegn på kaloevig.lokalavisen.dk" title="Lokalavisen Kalø Vig" language="da"/>
+  <recipe needs_subscription="no" id="builtin:koldinglokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport, kultur fra Kolding og omegn på kolding.lokalavisen.dk" title="Lokalavisen Kolding" language="da"/>
+  <recipe needs_subscription="no" id="builtin:norddjurslokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport, kultur fra det nordlige Djursland på norddjurs.lokalavisen.dk" title="Lokalavisen Norddjurs" language="da"/>
+  <recipe needs_subscription="no" id="builtin:odenselokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra Odense på odense.lokalavisen.dk" title="Lokalavisen Odense" language="da"/>
+  <recipe needs_subscription="no" id="builtin:skanderborglokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport, kultur fra Skanderborg og omegn på skanderborg.lokalavisen.dk" title="Lokalavisen Skanderborg" language="da"/>
+  <recipe needs_subscription="no" id="builtin:soenderborglokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport, kultur fra Sønderborg og omegn på soenderborg.lokalavisen.dk" title="Lokalavisen Sønderborg" language="da"/>
+  <recipe needs_subscription="no" id="builtin:vardelokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport, kultur fra Varde og omegn på varde.lokalavisen.dk" title="Lokalavisen Varde" language="da"/>
+  <recipe needs_subscription="no" id="builtin:vejlelokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport, kultur fra Vejle og omegn på vejle.lokalavisen.dk" title="Lokalavisen Vejle" language="da"/>
+  <recipe needs_subscription="no" id="builtin:london_free_press" author="rty" description="Ontario Canada Newspaper" title="London Free Press" language="en_CA"/>
+  <recipe needs_subscription="yes" id="builtin:lrb" author="Kovid Goyal" description="Literary review publishing essay-length book reviews and topical articles on politics, literature, history, philosophy, science and the arts by leading writers and thinkers" title="London Review of Books" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:latimes" author="Jose Ortiz" description="The Los Angeles Times is a leading source of news on Southern California, entertainment, movies, television, music, politics, business, health, technology, travel, sports, environment, economics, autos, jobs, real estate and other topics affecting California" title="Los Angeles Times" language="en"/>
+  <recipe needs_subscription="no" id="builtin:los_tiempos_bo" author="Darko Miletic" description="El periódico de mayor circulación en la ciudad de Cochabamba, Bolivia" title="Los Tiempos - Bolivia" language="es_BO"/>
+  <recipe needs_subscription="no" id="builtin:ludwig_mises" author="anywho" description="" title="Ludwig von Mises Institute" language="en"/>
+  <recipe needs_subscription="no" id="builtin:lupa" author="Tomas Latal" description="Zprávičky a články z Lupa.cz" title="Lupa" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:koegelokalavisen_dk" author="CoderAllan.github.com" description="Lokale, regionale nyheder, bolig, motor og job i Køge, Greve, Ringsted og Stevns på koege.lokalavisen.dk" title="Lørdagsavisen" language="da"/>
+  <recipe needs_subscription="no" id="builtin:mit_technology_review" author="Michael Marotta" description="Bi-monthly magazine version of MIT Technology Review. This is different than the recipe named simply &quot;Technology Review&quot; which downloads the rss feed with daily articles from the website." title="MIT Technology Review Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:mmc_rtv" author="BlonG" description="Prvi interaktivni multimedijski portal, MMC RTV Slovenija" title="MMC RTV Slovenija" language="sl"/>
+  <recipe needs_subscription="no" id="builtin:msdnmag_en" author="Darko Miletic" description="The Microsoft Journal for Developers" title="MSDN Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:msnsankei" author="Hiroshi Miura" description="Products release from Japan" title="MSN産経ニュース(新商品)" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:mac_world" author="Lorenzo Vigentini" description="Macworld is an independent journal not affiliated with Apple Computer." title="Mac World " language="en"/>
+  <recipe needs_subscription="no" id="builtin:mac_world_uk" author="Lorenzo Vigentini" description="Macworld is a publication of IDG Communication in the UK specifically on the Apple Mac." title="Mac World UK " language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:macity" author="faber1971" description="Apple and hi-tech news" title="Macity" language="it"/>
+  <recipe needs_subscription="no" id="builtin:macleans" author="Medius" description="" title="Macleans Magazine" language="en_CA"/>
+  <recipe needs_subscription="optional" id="builtin:macrobusiness" author="2018robert" description="" title="Macrobusiness" language="en_AU"/>
+  <recipe needs_subscription="no" id="builtin:magyar_nemzet" author="pofa" description="" title="Magyar Nemzet" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:maharashtra_times" author="Krittika Goyal" description="" title="Maharashtra Times" language="mr"/>
+  <recipe needs_subscription="no" id="builtin:mail_and_guardian" author="77ja65" description="" title="Mail &amp; Guardian ZA News" language="en_ZA"/>
+  <recipe needs_subscription="no" id="builtin:malaya_business_insight" author="jde" description="The Malaya Business Insight is a broadsheet newspaper in the Philippines.  The newspaper's name was derived from the Filipino word that means 'freedom'." title="Malaya Business Insight" language="en_PH"/>
+  <recipe needs_subscription="no" id="builtin:malaysian_mirror" author="Tonythebookworm" description="The Pulse of the Nation" title="MalaysianMirror" language="en"/>
+  <recipe needs_subscription="no" id="builtin:mandidner" author="pofa" description="" title="Mandiner" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:manila_standard_today" author="jde" description="The Manila Standard Today is the fourth-largest broadsheet newspaper in the Philippines as of 2006. Initially established as the Manila Standard, it merged with another newspaper of record, Today, on March 6, 2005. It was the first newspaper merger in the Philippines." title="Manila Standard Today" language="en_PH"/>
+  <recipe needs_subscription="no" id="builtin:marctv" author="Marc Toensing" description="Marc Toensings Visionen" title="Marc Toensings Visionen" language="de"/>
+  <recipe needs_subscription="no" id="builtin:marca" author="Darko Miletic" description="Noticias deportivas" title="Marca" language="es"/>
+  <recipe needs_subscription="no" id="builtin:mdj" author="Tony Stegall" description="Marietta Ga and Metro Atlanta News" title="Marietta Daily Journal" language="en"/>
+  <recipe needs_subscription="no" id="builtin:marine_corps_times" author="jde" description="News of the U.S. Marine Corps" title="Marine Corps Times" language="en"/>
+  <recipe needs_subscription="no" id="builtin:marketing_magazine" author="faber1971" description="Collection of Italian marketing websites" title="Marketing Magazine" language="it"/>
+  <recipe needs_subscription="no" id="builtin:marketing_sensoriale" author="NotTaken" description="Marketing Sensoriale, il Blog" title="Marketing sensoriale" language="it"/>
+  <recipe needs_subscription="no" id="builtin:maskinbladet_dk" author="CoderAllan.github.com" description="Landbrugets største, uafhængige nyhedskilde med adgang til nye og brugte landbrugs- og entreprenørmaskiner" title="Maskinbladet" language="da"/>
+  <recipe needs_subscription="no" id="builtin:matichon" author="Anat R." description="" title="Matichon" language="th"/>
+  <recipe needs_subscription="no" id="builtin:max_planck" author="schuster, a.peter" description="Forschungs-News-Feed der Max-Planck-Gesellschaft" title="Max-Planck-Gesellschaft" language="de"/>
+  <recipe needs_subscription="no" id="builtin:mayra" author="Silviu Cotoară" description="Traieste urban, cool, sexy" title="Mayra" language="ro"/>
+  <recipe needs_subscription="yes" id="builtin:medscape" author="Tony Stegall" description="Nursing News" title="MedScape" language="en"/>
+  <recipe needs_subscription="no" id="builtin:mediaindonesia" author="bakthariq" description="Indonesian Media Indonesia newsportal" title="Media Indonesia" language="id"/>
+  <recipe needs_subscription="no" id="builtin:media2" author="teepel &lt;teepel44@gmail.com&gt;" description="Media2.pl to jeden z najczęściej odwiedzanych serwisów dla profesjonalistów z branży medialnej, telekomunikacyjnej, public relations oraz nowych technologii." title="Media2" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:mediafax" author="Silviu Cotoară" description="Știri din România" title="Mediafax" language="ro"/>
+  <recipe needs_subscription="yes" id="builtin:mediapart" author="Daniel Bonnery from a version by Mathieu Godlewski, Louis Gesbert" description="Global news in french from news site Mediapart" title="Mediapart" language="fr"/>
+  <recipe needs_subscription="optional" id="builtin:melbourne_herald_sun" author="Ray Hartley" description="Victorian and National News. You will need to have a subscription to http://www.heraldsun.com.au to get full articles." title="Melbourne Herald Sun" language="en_AU"/>
+  <recipe needs_subscription="no" id="builtin:men24_gr" author="Stelios" description="Greek Mens portal" title="Men24.gr" language="el"/>
+  <recipe needs_subscription="no" id="builtin:mens_health" author="Anonymous" description="" title="Mens Health (US)" language="en"/>
+  <recipe needs_subscription="no" id="builtin:merco_press" author="Russell Phillips" description="Read News, Stories and Insight Analysis from Latin America and Mercosur. Politics, Economy, Business and Investments in South America." title="Merco Press" language="en"/>
+  <recipe needs_subscription="no" id="builtin:metro_news_nl" author="DrMerry" description="Metro Nederland v1.9.5 2013-05-28, Download nieuws van de Nederlandse editie van de krant Metro" title="Metro Nieuws NL" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:metro_uk" author="D Asbury" description="" title="Metro UK" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:metropol_tv" author="bubak" description="metropol.cz" title="Metropol TV" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:michellemalkin" author="Walt Anthony" description="Michelle Malkin's take on events, a mother, wife, blogger, conservative syndicated columnist, author, and Fox News Channel contributor." title="Michelle Malkin" language="en"/>
+  <recipe needs_subscription="no" id="builtin:mwjournal" author="calibre" description="Microwave Journal Monthly Magazine" title="Microwave Journal" language="en"/>
+  <recipe needs_subscription="no" id="builtin:miesbacher_merkur" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Miesbacher Merkur" language="de"/>
+  <recipe needs_subscription="no" id="builtin:military_times" author="jde" description="News of the U.S. Military" title="Military Times" language="en"/>
+  <recipe needs_subscription="no" id="builtin:jsonline" author="Krittika Goyal" description="" title="Milwaukee Journal Sentinel" language="en"/>
+  <recipe needs_subscription="no" id="builtin:ecotrend" author="Darko Miletic" description="Thoughts on the global economy, housing, gold, silver, interest rates, oil, energy, China, commodities, the  dollar, Euro, Renminbi, Yen, inflation, deflation, stagflation, precious metals, emerging markets, and policy decisions that affect the global markets." title="Mish's Global Economic Trend Analysis" language="en"/>
+  <recipe needs_subscription="no" id="builtin:mobilenations" author="Krittika Goyal" description="" title="Mobile Nations" language="en"/>
+  <recipe needs_subscription="no" id="builtin:modoros" author="Zsolt Botykai" description="Modoros.blog.hu" title="Modoros Blog" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:moldovaazi" author="Silviu Cotoară" description="Moldova pe internet" title="Moldova Azi" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:mondedurable" author="Darko Miletic" description="science news" title="Monde durable" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:monden" author="Silviu Cotoară" description="Artişti, interviuri, concerte.. MUZICĂ" title="Monden" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:moneycontrol" author="kwetal" description="Financial news from India" title="Money Control" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:moneyro" author="Silviu Cotoară" description="Știri din România" title="Money Ro" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:money_pl" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" description="Informacje finansowe z kraju i ze świata. Aktualne i archiwalne: notowania giełdowe, kursy walut, wskaźniki gospodarcze." title="Money.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:montevideo_com" author="Gustavo Azambuja" description="Noticias de Uruguay" title="Montevideo COMM" language="es_UY"/>
+  <recipe needs_subscription="no" id="builtin:montreal_gazette" author="Nick Redding" description="News from Montreal, QC" title="Montreal Gazette" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:more_intelligent_life" author="Darko Miletic" description="More Intelligent Life (moreintelligentlife.com) is the online version of Intelligent Life, a lifestyle and culture magazine from The Economist. The website offers not only content from the print edition, trickled out over the course of its shelf-life, but also the Editors' Blog, which carries daily posts from the editorial team-quickfire observations and opinions that allow readers to eavesdrop on the conversation in the office." title="More Intelligent Life" language="en"/>
+  <recipe needs_subscription="no" id="builtin:motherjones" author="Daniel Bonnery" description="" title="Mother Jones" language="en"/>
+  <recipe needs_subscription="no" id="builtin:murnauer_tagblatt" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Murnauer Tagblatt" language="de"/>
+  <recipe needs_subscription="no" id="builtin:myapple_pl" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" description=" Największy w Polsce serwis zajmujący się tematyką związaną z Apple i wszelkimi produktami tej firmy." title="MyApple.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:metro_montreal" author="Jerry Clapperton" description="Le quotidien le plus branché sur le monde" title="Métro Montréal" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:mult_kor" author="pofa" description="" title="Múlt-Kor" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:munchner_merkur_nord" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Münchner Merkur Nord" language="de"/>
+  <recipe needs_subscription="no" id="builtin:munchner_merkur_stadt" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Münchner Merkur Stadt" language="de"/>
+  <recipe needs_subscription="no" id="builtin:munchner_merkur_sud" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Münchner Merkur Süd" language="de"/>
+  <recipe needs_subscription="no" id="builtin:munchner_merkur_wurmtal" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Münchner Merkur Würmtal" language="de"/>
+  <recipe needs_subscription="no" id="builtin:mesec" author="Tomas Latal" description="Zprávičky a články z Mesec.cz" title="Měšec" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:mlody_technik_pl" author="fenuks" description="Młody technik" title="Młody technik" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:nasa" author="Scott Wxby &amp; David Chen" description="News from NASA" title="NASA" language="en"/>
+  <recipe needs_subscription="no" id="builtin:ngz" author="schuster" description="" title="NGZ-online" language="de"/>
+  <recipe needs_subscription="yes" id="builtin:nin" author="Darko Miletic" description="Nedeljne Informativne Novine" title="NIN online" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:noaa" author="Darko Miletic" description="NOAA" title="NOAA Online" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nol" author="Bigpapa" description="" title="NOL" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:npr_music_blogs" author="cix3" description="" title="NPR Music Blogs" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nrc.nl" author="Darko Miletic" description="News from Netherlands" title="NRC" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:nrc_handelsblad" author="veezh" description="Nieuws (no subscription needed)" title="NRC Handelsblad" language="nl"/>
+  <recipe needs_subscription="yes" id="builtin:nrc-nl-epub" author="Kovid Goyal" description="De ePaper-versie van NRC" title="NRC Handelsblad" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:nspm_int" author="Darko Miletic" description="Magazine dedicated to political theory and sociological research" title="NSPM in English" language="en"/>
+  <recipe needs_subscription="no" id="builtin:ntv_tr" author="A Erdogan" description="News from Turkey" title="NTV" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:ntv_spor" author="A Erdogan" description="News from Turkey" title="NTVSpor" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:iht" author="Krittika Goyal" description="" title="NY Times Global" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nzz_folio" author="Bernd Leinfelder" description="Aktuelle Artikel des NZZ Folio" title="NZZ Folio" language="de"/>
+  <recipe needs_subscription="no" id="builtin:nzz_ger" author="Darko Miletic, Bernd Leinfelder" description="Laufend aktualisierte Nachrichten, Analysen und Hintergruende zu Politik, Wirtschaft, Kultur und Sport" title="NZZ Online" language="de"/>
+  <recipe needs_subscription="no" id="builtin:natemat_pl" author="fenuks" description="informacje, komentarze, opinie" title="NaTemat.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:nachdenkseiten" author="jrda" description="NachDenkSeiten - Die kritische Website" title="Nachdenkseiten" language="de"/>
+  <recipe needs_subscription="no" id="builtin:nacionred" author="Arturo Martinez Nieves" description="" title="NacionRed.com" language="es"/>
+  <recipe needs_subscription="no" id="builtin:nacional_cro" author="Darko Miletic" description="news from Croatia" title="Nacional - Hr" language="hr"/>
+  <recipe needs_subscription="no" id="builtin:nadacni_fond_proti_korupci" author="bubak" description="nfpk.cz" title="Nadační fond proti korupci" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:najwyzszy_czas" author="teepel &lt;teepel44@gmail.com&gt;" description="Wiadomości z nczas.com" title="Najwyższy Czas" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:nakedcapitalism" author="Darko Miletic" description="Commentary on current economic and financial news." title="Naked Capitalism" language="en"/>
+  <recipe needs_subscription="no" id="builtin:naszdziennik" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" description="Nasz Dziennik - Ogólnopolska gazeta codzienna. Podejmuje tematykę dotyczącą życia społecznego, kulturalnego, politycznego i religijnego. Propaguje wartości chrześcijańskie oraz tradycję i kulturę polską." title="Nasz Dziennik" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:natgeo" author="Kovid Goyal" description="Inspiring people to care about the planet since 1888" title="National Geographic" language="en"/>
+  <recipe needs_subscription="no" id="builtin:national_geographic_it" author="faber1971" description="Science magazine" title="National Geographic" language="it"/>
+  <recipe needs_subscription="no" id="builtin:national_geographic_es" author="Vakya" description="Revista National Geographic - Últimas noticias" title="National Geographic (es)" language="es"/>
+  <recipe needs_subscription="no" id="builtin:nationalgeoro" author="Silviu Cotoară" description="Să avem grijă de planetă" title="National Geographic RO" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:national_post" author="Kovid Goyal" description="Canadian national newspaper" title="National Post" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:npr" author="onyxrev" description="" title="National Public Radio" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nationalreviewonline" author="Walt Anthony" description="National Review is America's most widely read and influential magazine and web site for Republican/conservative news, commentary, and opinion." title="National Review Online" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nature" author="Jose Ortiz" description="Nature is a weekly international multidisciplinary scientific journal publishing peer-reviewed research in all fields of science and technology on the basis of its originality, importance, interdisciplinary interest, timeliness, accessibility, elegance and surprising conclusions.  Nauture also provides rapid, authoritative, insightful and arresting news and interpretation of topical and coming trends affecting science, scientists and the wider public." title="Nature" language="en"/>
+  <recipe needs_subscription="no" id="builtin:freenature" author="Krittika Goyal, Starson17, adrianf0" description="" title="Nature News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:boortz" author="TonytheBookworm" description="Neal Boortz Show Radio Notes" title="Nealz Nuze" language="en"/>
+  <recipe needs_subscription="no" id="builtin:neowin" author="Darko Miletic" description="News from IT" title="Neowin.net" language="en"/>
+  <recipe needs_subscription="no" id="builtin:netzpolitik" author="Kovid Goyal" description="" title="Netzpolitik" language="de"/>
+  <recipe needs_subscription="no" id="builtin:noz" author="vo_he, epubli" description="RSS-Feeds von noz.de" title="Neue Osnabrücker Zeitung" language="de"/>
+  <recipe needs_subscription="no" id="builtin:neviditelny_pes" author="bubak" description="Neviditelný pes" title="Neviditelný pes" language="cs"/>
+  <recipe needs_subscription="yes" id="builtin:nejm" author="Kovid Goyal" description="Medical news" title="New England Journal of Medicine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:njp" author="Chema Cortés" description="The open-access journal for physics" title="New Journal of Physics" language="en"/>
+  <recipe needs_subscription="no" id="builtin:new_london_day" author="Being" description="State, local and business news from New London, CT" title="New London Day" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nme" author="Dave Asbury, Inge Aning" description="UK Rock &amp; Pop Mag." title="New Musical Express Magazine" language="en"/>
+  <recipe needs_subscription="optional" id="builtin:new_scientist" author="calibre" description="Science news and science articles from New Scientist." title="New Scientist - Online News w. subscription" language="en"/>
+  <recipe needs_subscription="no" id="builtin:new_statesman" author="Darko Miletic" description="Current affairs, world politics, the arts and more from Britain's award-winning magazine" title="New Statesman" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:newsstraitstimes" author="Darko Miletic" description="Learning Curve, Sunday People, New Straits Times from Malaysia" title="New Straits Times from Malaysia" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nymag" author="Kovid Goyal" description="Food, culture, arts and entertainment in New York" title="New York Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nypost" author="Darko Miletic" description="Daily newspaper" title="New York Post" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:new_york_review_of_books" author="Kovid Goyal" description="Book reviews" title="New York Review of Books" language="en"/>
+  <recipe needs_subscription="no" id="builtin:new_york_review_of_books_no_sub" author="Kovid Goyal" description="Book reviews" title="New York Review of Books (no subscription)" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nytimesbook" author="Kovid Goyal" description="The New York Times Sunday Book Review" title="New York Times Book Review" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nytimes_sports" author="rylsfan" description="Indepth sports from the New York Times" title="New York Times Sports Beat" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nytimes_tech" author="calibre" description="The latest in technology - Gadgetwise" title="New York Times Technology Beat" language="en"/>
+  <recipe needs_subscription="no" id="builtin:new_yorker" author="Kovid Goyal" description="Content from the New Yorker website" title="New Yorker Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nzherald" author="Kovid Goyal" description="Daily news" title="New Zealand Herald" language="en_NZ"/>
+  <recipe needs_subscription="no" id="builtin:newsobs" author="Krittika Goyal" description="" title="News And Observer" language="en"/>
+  <recipe needs_subscription="no" id="builtin:news_busters" author="jde" description="Exposing and Combating Liberal Media Bias" title="News Busters" language="en"/>
+  <recipe needs_subscription="no" id="builtin:japan_news" author="Krittika Goyal" description="" title="News On Japan" language="en"/>
+  <recipe needs_subscription="no" id="builtin:news24" author="Nicki de Wet" description="News24." title="News24" language="en_ZA"/>
+  <recipe needs_subscription="no" id="builtin:newsbeast" author="Stelios" description="News from Greece" title="Newsbeast" language="el"/>
+  <recipe needs_subscription="no" id="builtin:news_times" author="Darko Miletic" description="news from USA" title="Newstimes" language="en"/>
+  <recipe needs_subscription="no" id="builtin:newsweek_polska" author="matek09, admroz" description="Weekly magazine" title="Newsweek Polska" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:nezavisne_novine" author="Darko Miletic" description="Nezavisne novine - Najnovije vijesti iz BiH, Srbije, Hrvatske, Crne Gore i svijeta" title="Nezavisne novine" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:niebezpiecznik" author="fenuks" description="Niebezpiecznik.pl – o bezpieczeństwie i nie..." title="Niebezpiecznik.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:nieuws_be" author="erkfuizfeuadjfjzefzfuzeff" description="News from Belgium in Dutch" title="Nieuws.be" language="nl_BE"/>
+  <recipe needs_subscription="no" id="builtin:nightflier" author="Darko Miletic" description="SF, Fantasy, Books, Knjige" title="Nightflier's Bookspace" language="sr"/>
+  <recipe needs_subscription="yes" id="builtin:nbonline" author="Ado Nishimura" description="Nikkei Business Online.注：ユーザー名にemailアドレスとユーザー名をセミコロンで区切って入れてください。例：email@address.jp;username . PLEASE NOTE: You need to put your email address and username into username filed separeted by ; (semi-colon)." title="Nikkei Business Online" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:njuz_net" author="Darko Miletic" description="Iscasene vesti iz Srbije, regiona i sveta" title="Njuz.net" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:non_leggerlo" author="faber1971" description="An Italian satirical blog" title="Non leggerlo" language="it"/>
+  <recipe needs_subscription="no" id="builtin:nordjyske_dk" author="CoderAllan.github.com" description="Nordjyske.dk er hele tiden klar med de nyheder, der handler om dig og dit liv. Og du får dem lige der, hvor du er - på din computer, tablet eller mobiltelefon." title="Nordjyske.dk" language="da"/>
+  <recipe needs_subscription="no" id="builtin:nortecastilla" author="calibre" description="Daily newspaper from Spain" title="NorteCastilla " language="es"/>
+  <recipe needs_subscription="no" id="builtin:grrm" author="Darko Miletic" description="George R.R. Martin" title="Not A Blog - George R.R. Martin" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:nsfw_corp" author="Darko Miletic" description="Not Safe For Work Corporation" title="Not Safe For Work Corporation" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nspm" author="Darko Miletic" description="Casopis za politicku teoriju i drustvena istrazivanja" title="Nova srpska politicka misao" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:novaya_gazeta" author="muwa" description="" title="Novaya Gazeta" language="ru"/>
+  <recipe needs_subscription="yes" id="builtin:novilist_novine_hr" author="Darko Miletic" description="Vijesti iz Hrvatske" title="Novi List" language="hr"/>
+  <recipe needs_subscription="no" id="builtin:novilist_portal_hr" author="Darko Miletic" description="Portal Novog Lista" title="Novi List - online portal" language="hr"/>
+  <recipe needs_subscription="no" id="builtin:novinite_bg" author="M3 Web" description="Real time provider of the latest news from Bulgaria and the world" title="Novinite.bg" language="bg"/>
+  <recipe needs_subscription="no" id="builtin:novinite" author="Martin Tsanchev" description="Real time provider of the latest Bulgarian news in English" title="Novinite.com" language="en_BG"/>
+  <recipe needs_subscription="no" id="builtin:novinky" author="Tomas Latal" description="News from server Novinky.cz" title="Novinky" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:now_toronto" author="Starson17" description="Now Toronto" title="Now Toronto" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:nowiny_rybnik" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" description="Tygodnik Regionalny NOWINY. Ogłoszenia drobne, wiadomości i wydarzenia z regionu Rybnika i okolic" title="Nowiny - Rybnik" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:nowy_obywatel" author="Łukasz Grączewski" description="Pismo na rzecz sprawiedliwości społecznej" title="Nowy Obywatel" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:nu" author="Rob Hankel" description="Dutch News" title="Nu.nl" language="nl"/>
+  <recipe needs_subscription="yes" id="builtin:nursingtimes" author="Darko Miletic" description="Nursing practice, NHS and health care news" title="Nursing Times" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:nuus24" author="Nicki de Wet" description="Daaglikse Afrikaanse Nuus via Nuus24" title="Nuus24" language="af"/>
+  <recipe needs_subscription="no" id="builtin:nepszabadsag" author="bubak" description="" title="Népszabadság" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:noerrebronordvestbladet_dk" author="CoderAllan.github.com" description="" title="Nørrebro Nordvest bladet" language="da"/>
+  <recipe needs_subscription="no" id="builtin:o_globo" author="Darko Miletic and Carlos Laviola" description="News from Brasil" title="O Globo" language="pt_BR"/>
+  <recipe needs_subscription="no" id="builtin:osel_cz" author="spacekpe" description="" title="OSEL.cz" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:oakland_north" author="noah" description="Oakland North" title="Oakland North" language="en"/>
+  <recipe needs_subscription="no" id="builtin:observa_digital" author="2010, Gustavo Azambuja &lt;hola at gazambuja.com&gt;" description="Noticias desde Uruguay" title="Observa Digital" language="es_UY"/>
+  <recipe needs_subscription="no" id="builtin:observatorul_cultural" author="song2" description="Spiritul critic in acţiune&#10;" title="Observatorul cultural" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:oilprice" author="Darko Miletic" description="The nr. 1 source for Oil Price Information" title="Oil Price" language="en"/>
+  <recipe needs_subscription="no" id="builtin:omgubuntu" author="calibre" description="" title="OmgUbuntu" language="en"/>
+  <recipe needs_subscription="no" id="builtin:onda_rock" author="faber1971" description="Italian rock webzine" title="Onda Rock" language="it"/>
+  <recipe needs_subscription="no" id="builtin:schattenblick" author="ThB" description="" title="Online-Zeitung Schattenblick" language="de"/>
+  <recipe needs_subscription="no" id="builtin:opinion_bo" author="Piet van Oostrum" description="Opinión diario de circulación nacional, Cochabamba, Bolivia" title="Opinión - Bolivia" language="es_BO"/>
+  <recipe needs_subscription="no" id="builtin:oc_register" author="TechnoCat" description="The O.C. Register&#10;Recipe: Nov 2016" title="Orange County Register" language="en"/>
+  <recipe needs_subscription="no" id="builtin:legitymizm" author="Tomasz Długosz" description="Portal legitymistyczny" title="Organizacja Monarchistów Polskich" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:oriental_daily" author="Larry Chan" description="News from HK" title="Oriental Dailly" language="zh"/>
+  <recipe needs_subscription="no" id="builtin:orlando_sentinel" author="rty" description="Orlando, Florida, Newspaper" title="Orlando Sentinel" language="en"/>
+  <recipe needs_subscription="no" id="builtin:orsai" author="Darko Miletic" description="" title="Orsai" language="es"/>
+  <recipe needs_subscription="no" id="builtin:ottawa_citizen" author="Nick Redding" description="News from Ottawa, ON" title="Ottawa Citizen" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:ourdailybread" author="Kovid Goyal" description="Our Daily Bread is a daily devotional from RBC Ministries which helps readers spend time each day in God's Word." title="Our Daily Bread" language="en"/>
+  <recipe needs_subscription="no" id="builtin:outlook_india" author="Kovid Goyal" description="Weekly news and current affairs in India" title="Outlook India" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:oxford_mail" author="Krittika Goyal" description="" title="Oxford Mail" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:osw" author="teepel &lt;teepel44@gmail.com&gt;" description="Ośrodek Studiów Wschodnich im. Marka Karpia. Centre for Eastern Studies." title="Ośrodek Studiów Wschodnich" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:nauka_w_polsce" author="fenuks" description="Serwis Nauka w Polsce ma za zadanie popularyzację polskiej nauki. Można na nim znaleźć wiadomości takie jak: osiągnięcia polskich naukowców, wydarzenia na polskich uczelniach, osiągnięcia studentów, konkursy dla badaczy, staże i stypendia naukowe, wydarzenia w polskiej nauce, kalendarium wydarzeń w nauce, materiały wideo o nauce." title="PAP Nauka w Polsce" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:pc_foster" author="fenuks" description="Vortal technologiczny: testy, recenzje sprzętu komputerowego i telefonów, nowinki hardware, programy i gry dla Windows. Podkręcanie, modding i Overclocking." title="PC Foster" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:pc_lab" author="ravcio - rlelusz[at]gmail.com" description="Articles from PC Lab website" title="PC Lab" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:pc_mag" author="Lorenzo Vigentini" description="PCMag (www.pcmag.com) delivers authoritative, labs-based comparative reviews of computing and Internet products to highly engaged technology buyers." title="PC Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:pcworldro" author="Silviu Cotoară" description="IT" title="PC World" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:pcworld_hu" author="Ezmegaz" description="" title="PCWORLD.HU" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:pc_world" author="Lorenzo Vigentini" description="PC World and Macworld consistently deliver editorial excellence through award-winning content and trusted product reviews." title="PCWorld " language="en"/>
+  <recipe needs_subscription="no" id="builtin:phd_comics" author="Rafardeon" description="" title="PHD Comics" language="en"/>
+  <recipe needs_subscription="no" id="builtin:pnn" author="n.kucklaender" description="PNN RSS" title="PNN" language="de"/>
+  <recipe needs_subscription="no" id="builtin:pvp_online" author="Krittika Goyal" description="" title="PVP online" language="en"/>
+  <recipe needs_subscription="no" id="builtin:padreydecano" author="Carlos Alves" description="El sitio del pueblo" title="Padre y Decano" language="es_UY"/>
+  <recipe needs_subscription="no" id="builtin:pagina12" author="Darko Miletic" description="Noticias de Argentina y el resto del mundo" title="Pagina - 12" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:pagina_12_print_ed" author="Pablo Marfil" description="Diario argentino" title="Pagina/12 - Edicion Impresa" language="es"/>
+  <recipe needs_subscription="no" id="builtin:pajama" author="Krittika Goyal" description="Provides exclusive news and opinion for forty countries." title="Pajamas Media" language="en"/>
+  <recipe needs_subscription="no" id="builtin:pambianco" author="faber1971" description="fashion magazine for professional people" title="Pambianco" language="it"/>
+  <recipe needs_subscription="no" id="builtin:pandodaily" author="Darko Miletic" description="speaking truth to the new power" title="PandoDaily" language="en"/>
+  <recipe needs_subscription="no" id="builtin:panorama" author="Lorenzo Vigentini, based on Darko Miletic" description="Italian weekly magazine" title="Panorama " language="it"/>
+  <recipe needs_subscription="no" id="builtin:parlamentni_listy" author="bubak" description="" title="Parlamentní Listy" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:patente_de_corso" author="Oscar Megia Lopez" description="Arturo Perez Reverte" title="Patente de Corso" language="es"/>
+  <recipe needs_subscription="no" id="builtin:pc_advisor" author="Lorenzo Vigentini" description="PC Advisor delivers expert advice you can trust to business and home PC users who want to buy the best-value equipment and make the most out of the equipment they already own." title="Pc Advisor " language="en"/>
+  <recipe needs_subscription="no" id="builtin:penguin_news" author="Russell Phillips" description="Penguin News: the Falkland Islands' only newspaper." title="Penguin News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:penzberger_merkur" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Penzberger Merkur" language="de"/>
+  <recipe needs_subscription="no" id="builtin:people_us_mashup" author="BrianG" description="Headlines from People and US Magazine" title="People/US Magazine Mashup" language="en"/>
+  <recipe needs_subscription="no" id="builtin:periodismo_humano_es" author="Marc Busqué &lt;marc@lamarciana.com&gt;" description="periodismohumano es un nuevo medio de comunicación con enfoque de derechos humanos y sin ánimo de lucro, dirigido por Javier Bauluz y con un equipo de redacción profesional, con corresponsales, colaboradores y analistas en diferentes partes del mundo." title="Periodismo Humano" language="es"/>
+  <recipe needs_subscription="no" id="builtin:el_colombiano" author="BIGO-CAVA" description="" title="Periódico El Colombiano" language="es_CO"/>
+  <recipe needs_subscription="no" id="builtin:el_mundo_co" author="BIGO-CAVA" description="" title="Periódico El Mundo" language="es_CO"/>
+  <recipe needs_subscription="no" id="builtin:portafolio" author="BIGO-CAVA" description="" title="Periódico Portafolio Colombia" language="es_CO"/>
+  <recipe needs_subscription="no" id="builtin:el_espectador" author="BIGO-CAVA" description="" title="Periódico el Espectador" language="es_CO"/>
+  <recipe needs_subscription="no" id="builtin:el_tiempo" author="BIGO-CAVA" description="" title="Periódico el Tiempo" language="es_CO"/>
+  <recipe needs_subscription="no" id="builtin:peterschiff" author="Darko Miletic" description="Economic commentary" title="Peter Schiff's Economic Commentary" language="en"/>
+  <recipe needs_subscription="no" id="builtin:pescanik" author="Darko Miletic" description="Peščanik je udruženje građana osnovano 2006. godine. Glavni proizvod Peščanika je radio emisija koja je emitovana na Radiju B92 od 02.02.2000. do 16.06.2011, a od septembra 2011. se emituje na osam radio stanica u Srbiji, Crnoj Gori i BiH" title="Peščanik" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:philly" author="bing" description="" title="Philadelphia Inquirer" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:phillosophy_now" author="Rick Shang" description="Philosophy Now is a lively magazine for everyone&#10;    interested in ideas. It isn't afraid to tackle all the major questions of&#10;    life, the universe and everything. Published every two months, it tries to&#10;    corrupt innocent citizens by convincing them that philosophy can be&#10;    exciting, worthwhile and comprehensible, and also to provide some enjoyable&#10;    reading matter for those already ensnared by the muse, such as philosophy&#10;    students and academics." title="Philosophy Now" language="en"/>
+  <recipe needs_subscription="no" id="builtin:phoronix" author="calibre" description="Actualités Phoronix" title="Phoronix" language="en"/>
+  <recipe needs_subscription="no" id="builtin:phys_org" author="Krittika Goyal" description="" title="PhysOrg" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:physics_today" author="Hypernova" description="Physics Today magazine" title="Physicstoday" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:physics_world" author="Hypernova" description="News from the world of physics" title="Physicsworld" language="en"/>
+  <recipe needs_subscription="no" id="builtin:philippino_star_ngayon" author="jde" description="A daily Tabloid written in Tagalog, distributed in the Philippines. A tabloid style newspaper published in the national language - philstar.com is a Philippine news and entertainment portal for the Filipino global community.   It is the online presence of the STAR Group of Publications, a leading publisher of newspapers and magazines in the Philippines." title="Pilipino Star Ngayon" language="tgl"/>
+  <recipe needs_subscription="no" id="builtin:pilot" author="Krittika Goyal" description="" title="Pilot Online" language="en"/>
+  <recipe needs_subscription="no" id="builtin:piratska_strana" author="bubak" description="" title="Piratská strana" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:piratske_noviny" author="bubak" description="nfpk.cz" title="Piratské noviny" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:planet_python" author="Jelle van der Waa" description="" title="Planet Python" language="en"/>
+  <recipe needs_subscription="no" id="builtin:pobjeda" author="Darko Miletic" description="News from Montenegro" title="Pobjeda Online" language="sr"/>
+  <recipe needs_subscription="yes" id="builtin:readitlater" author="Darko Miletic, Przemyslaw Kryger, Keith Callenberg, tBunnyMan" description="Personalized news feeds. Go to getpocket.com to setup up&#10;                  your news. This version displays pages of articles from&#10;                  oldest to newest, with max &amp; minimum counts, and marks&#10;                  articles read after downloading." title="Pocket" language="und"/>
+  <recipe needs_subscription="no" id="builtin:podnikatel" author="Tomas Latal" description="Aktuality a články z Podnikatel.cz" title="Podnikatel" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:politico" author="Darko Miletic and Sujata Raman" description="Political news from USA" title="Politico" language="en"/>
+  <recipe needs_subscription="no" id="builtin:politifact" author="Michael Heinz" description="" title="Politifact" language="en"/>
+  <recipe needs_subscription="no" id="builtin:politika" author="Darko Miletic" description="Najstariji dnevni list na Balkanu" title="Politika Online" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:politiken_dk" author="Darko Miletic" description="News from Denmark" title="Politiken.dk" language="da"/>
+  <recipe needs_subscription="no" id="builtin:politiko_dk" author="CoderAllan.github.com" description="Læs de seneste nyheder om dansk politik. På Politiko får du alt om politik samlet et sted - Politiko.dk" title="Politiko | Berlingskes politiske site" language="da"/>
+  <recipe needs_subscription="no" id="builtin:polityka" author="matek09" description="Weekly magazine. Last archive issue" title="Polityka" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:polizeipress_de" author="schuster" description="Tagesaktuelle &quot;Polizeiberichte&quot; aus ganz Deutschland (bis auf Ortsebene).Um deinen Ort/Stadt/Kreis usw. einzubinden, gehe auf &quot;http://www.presseportal.de/polizeipresse/&quot; und suche im oberen &quot;Suchfeld&quot; nach dem Namen.Oberhalb der Suchergebnisse (Folgen:) auf den üblichen link zu den RSS-Feeds klicken und den RSS-link im Rezept unter &quot;feeds&quot; eintragen wie üblich.Die Auswahl von Orten kann vereinfacht werden wenn man den Suchbegriff wie folgt eingibt:&quot;Stadt-Ort&quot;." title="Polizeipresse - Deutschland" language="de"/>
+  <recipe needs_subscription="no" id="builtin:polter_pl" author="fenuks" description="Największy polski serwis poświęcony ogólno pojętej fantastyce - grom fabularnym (RPG), książkom, filmowi, komiksowi, grom planszowym, karcianym i bitewnym." title="Polter.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:popscience" author="Kovid Goyal" description="Popular Science" title="Popular Science" language="en"/>
+  <recipe needs_subscription="no" id="builtin:portfolio" author="JTravers" description="Conde Nast Portfolio: For the businessman." title="Portfolio" language="en"/>
+  <recipe needs_subscription="no" id="builtin:portfolio_hu_hu" author="laca" description="" title="Portfolio.hu" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:portfolio_hu" author="laca" description="" title="Portfolio.hu - English Edition" language="en_HU"/>
+  <recipe needs_subscription="no" id="builtin:post_today" author="Chotechai P." description="" title="Post Today" language="th"/>
+  <recipe needs_subscription="no" id="builtin:poughkeepsie_journal" author="weebl" description="" title="Poughkeepsie Journal" language="en"/>
+  <recipe needs_subscription="no" id="builtin:praguemonitor" author="Darko Miletic" description="Czech news in English" title="Prague Daily Monitor" language="en"/>
+  <recipe needs_subscription="no" id="builtin:pravda" author="kwetal" description="News from Slovakia" title="Pravda" language="sk"/>
+  <recipe needs_subscription="no" id="builtin:pravda_por" author="Darko Miletic" description="News from Russia and rest of the world" title="Pravda em português" language="pt"/>
+  <recipe needs_subscription="no" id="builtin:pravda_it" author="Darko Miletic" description="News from Russia and rest of the world" title="Pravda in Italiano" language="it"/>
+  <recipe needs_subscription="no" id="builtin:pressonline" author="Darko Miletic" description="Press Online portal dnevnih novina Press.Najnovije vesti iz Srbije i sveta,Sport,Dzet Set,Politika,Hronika,Komenteri,Zabava,Slike,Video,Horoskop,Nagradne igre,Kvizovi,Igrice" title="Press Online" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:pressthink" author="Darko Miletic" description="Ghost of democracy in the media machine" title="PressThink" language="en"/>
+  <recipe needs_subscription="no" id="builtin:german_gov" author="malfi" description="" title="Pressemitteilungen der Bundesregierung" language="de"/>
+  <recipe needs_subscription="no" id="builtin:eu_commission" author="malfi" description="" title="Pressemitteilungen der EU Kommission pro Politikbereich" language="de"/>
+  <recipe needs_subscription="no" id="builtin:presse_portal" author="Volker Heggemann, VoHe" description="Presseportal News Feed DE fetched: 2020-07-14" title="Presseportal DE" language="de"/>
+  <recipe needs_subscription="no" id="builtin:private_eye" author="Sophist at sodalis.co.uk" description="Private Eye is a fortnightly British satirical news and current affairs magazine, edited by Ian Hislop, offering a unique blend of humour, social and political observations and investigative journalism. This e-book is a download of the online-edition. The full edition is available only on subscription." title="Private Eye Online" language="en"/>
+  <recipe needs_subscription="no" id="builtin:pro_physik" author="schuster, Armin Geller" description="" title="Pro Physik" language="de"/>
+  <recipe needs_subscription="no" id="builtin:propublica" author="kwetal" description="Independent investigative journalism in the public interest." title="Pro Publica" language="en"/>
+  <recipe needs_subscription="no" id="builtin:pro_linux_de" author="Bobus" description="" title="Pro-Linux.de" language="de"/>
+  <recipe needs_subscription="no" id="builtin:protvmagazin" author="Silviu Cotoară" description="Ghid TV" title="ProTv Magazin" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:promotor" author="Silviu Cotoară" description="Auto-moto" title="Promotor" language="ro"/>
+  <recipe needs_subscription="yes" id="builtin:prospectmaguk" author="barty, duluoz" description="A general-interest publication offering analysis and commentary about politics, news and business." title="Prospect Magazine" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:prosport" author="Silviu Cotoară" description="Știri Sportive din România" title="Prosport" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:prostamerika" author="rylsfan" description="Seattle soccer with a European accent. News, features, and match reports." title="Prost Amerika" language="en"/>
+  <recipe needs_subscription="no" id="builtin:protagon" author="Stelios" description="Opinion articles in Greek" title="Protagon" language="el"/>
+  <recipe needs_subscription="no" id="builtin:projo" author="mikebw" description="" title="Providence Journal" language="en"/>
+  <recipe needs_subscription="no" id="builtin:pravo" author="bubak" description="" title="Právo" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:psychologies" author="Silviu Cotoară" description="Psihologie şi Dezvoltare Personală.." title="Psychologies" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:psych" author="Kovid Goyal" description="This magazine takes information from the latest research in the field of psychology and makes it useful to people in their everyday lives. Its coverage encompasses self-improvement, relationships, the mind-body connection, health, family, the workplace and culture." title="Psychology Today" language="en"/>
+  <recipe needs_subscription="no" id="builtin:pubblico_giornale" author="iusvar" description="Italian newspaper directed by Luca Telese" title="Pubblico giornale" language="it"/>
+  <recipe needs_subscription="no" id="builtin:publico" author="calibre" description="Jornal português" title="Publico.PT" language="pt"/>
+  <recipe needs_subscription="no" id="builtin:el_publico" author="Gerardo Diez" description="" title="Publico.es" language="es"/>
+  <recipe needs_subscription="no" id="builtin:publika" author="Silviu Cotoară" description="Ştiri din Moldova" title="Publika" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:punto_informatico" author="Gabriele Marini" description="Punto Informatico: Internet dal 1996" title="Punto Informatico " language="it"/>
+  <recipe needs_subscription="no" id="builtin:pure_pc" author="fenuks" description="Artykuły, aktualności, sprzęt, forum, chłodzenie, modding, urządzenia mobilne - wszystko w jednym miejscu." title="PurePC" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:quanta_magazine" author="lui1" description="" title="Quanta Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:queleer" author="Darko Miletic" description="Libros, Novedades en libros, Criticas, Noticias libro" title="Que Leer" language="es"/>
+  <recipe needs_subscription="no" id="builtin:quotidiano" author="Lorenzo Vigentini, based on Darko Miletic" description="Italian News Agency" title="Quotidiano Net " language="it"/>
+  <recipe needs_subscription="no" id="builtin:rbc_ru" author="A. Chewi" description="Российское информационное агентство «РосБизнесКонсалтинг» (РБК) - ленты новостей политики, экономики и финансов, аналитические материалы, комментарии и прогнозы, тематические статьи" title="RBC.ru" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:rds" author="Nexus" description="Hockey News" title="RDS" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:rga" author="Werner Gerard" description="E-Zeitung aus RSS-Artikeln zusammengestellt." title="RGA Online - German" language="de"/>
+  <recipe needs_subscription="no" id="builtin:ria_ru" author="Darko Miletic" description="News from Russia" title="RIA Novosti - Russian" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:rheinische_post" author="schuster" description="" title="RP-online" language="de"/>
+  <recipe needs_subscription="no" id="builtin:rtnews" author="Darko Miletic" description="RT is the first Russian 24/7 English-language news channel which brings the Russian view on global news." title="RT in English" language="en_RU"/>
+  <recipe needs_subscription="no" id="builtin:rte" author="Robin Phillips" description="" title="RTE News" language="en_IE"/>
+  <recipe needs_subscription="no" id="builtin:rts" author="Darko Miletic" description="News from Serbia" title="RTS: Vesti" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:rabble_ca" author="timtoo" description="" title="Rabble.ca" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:radikal_tr" author="Darko Miletic" description="News from Turkey" title="Radikal - Turkey" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:radio_prague" author="Francois Pellicaan" description="News and information from and about The Czech republic. " title="Radio Praha" language="en_CZ"/>
+  <recipe needs_subscription="no" id="builtin:radio_praha" author="Francois Pellicaan" description="Česká oficiální mezinárodní vysílací stanice." title="Radio Praha" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:observer" author="Krittika Goyal updated by Walt Anthony" description="News from Raleigh, North Carolina" title="Raleigh News &amp; Observer" language="en"/>
+  <recipe needs_subscription="no" id="builtin:readers_digest" author="BrianG, Gobelinus" description="Readers Digest Feeds" title="Readers Digest" language="en"/>
+  <recipe needs_subscription="no" id="builtin:real_clear" author="TMcN" description="Real Clear Politics/Science/etc... aggregation of news&#10;" title="Real Clear" language="en"/>
+  <recipe needs_subscription="no" id="builtin:real_world_economics_review" author="Julio Map" description="" title="Real-world economis review blog" language="en"/>
+  <recipe needs_subscription="no" id="builtin:realitatea" author="Silviu Cotoară" description="Știri din România" title="Realitatea" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:rebelion" author="Marc Busqué &lt;marc@lamarciana.com&gt;" description="Rebelión pretende ser un medio de información alternativa que publique las noticias que no son consideradas importantes por los medios de comunicación tradicionales. También, dar a las noticias un tratamiento diferente en la línea de mostrar los intereses que los poderes económicos y políticos del mundo capitalista ocultan para mantener sus privilegios y el status actual. Queremos servir y ayudarnos de todos los grupos, colectivos y personas que trabajan por cambiar este mundo en una perspectiva radicalmente diferente, más justa, igualitaria y equilibrada social y ecológicamente. Es nuestro objetivo contar con la participación y colaboración de todos vosotros para que Rebelión sea un espacio serio, riguroso y actualizado en la difusión de noticias." title="Rebelion.org" language="es"/>
+  <recipe needs_subscription="no" id="builtin:red_voltaire" author="atordo" description="Red de prensa no alineada, especializada en el análisis de las relaciones internacionales" title="Red Voltaire" language="es"/>
+  <recipe needs_subscription="no" id="builtin:red_aragon" author="desUBIKado" description="Guia de ocio desde Aragon" title="RedAragon" language="es"/>
+  <recipe needs_subscription="no" id="builtin:regina_leader_post" author="Nick Redding" description="News from Regina, SK" title="Regina Leader-Post" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:replicavedetelor" author="Silviu Cotoara" description="Oferă vedetelor dreptul la replică" title="Replica Vedetelor" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:republica" author="Manish Bhattarai" description="News from the Republica" title="Republica" language="en_NP"/>
+  <recipe needs_subscription="no" id="builtin:republika" author="Darko Miletic" description="Glasilo gradjanskog samooslobadjanja. Protiv stihije straha, mrznje i nasilja" title="Republika" language="sr"/>
+  <recipe needs_subscription="yes" id="builtin:respekt_magazine" author="Tomáš Hnyk" description="Articles from the print edition" title="Respekt Magazine – Print" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:reuters_ja" author="Hiroshi Miura" description="Global news in Japanese" title="Reuters(Japan)" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:revista_bla" author="Gustavo Azambuja" description="Moda | Uruguay" title="Revista Bla" language="es_UY"/>
+  <recipe needs_subscription="no" id="builtin:revista_cromos" author="Ismael Mejia &lt;iemejia@gmail.com&gt;" description="Revista Cromos" title="Revista Cromos" language="es_CO"/>
+  <recipe needs_subscription="no" id="builtin:el_cultural" author="Jefferson Frantz" description="Revista de cultura" title="Revista El Cultural" language="es"/>
+  <recipe needs_subscription="no" id="builtin:felicia" author="Silviu Cotoară" description="O revistă pentru sufletul tău" title="Revista Felicia" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:revista_muy" author="Jefferson Frantz" description="Revista de divulgacion" title="Revista Muy Interesante" language="es"/>
+  <recipe needs_subscription="no" id="builtin:revista_semana" author="BIGO-CAVA" description="" title="Revista Semana" language="es_CO"/>
+  <recipe needs_subscription="no" id="builtin:revista_summa" author="Vakya" description="Informacion regional sobre economia y negocios" title="Revista Summa" language="es"/>
+  <recipe needs_subscription="no" id="builtin:revista_veintitres" author="Darko Miletic" description="Últimas noticias de Política | Revista Veintitrés, información precisa sin perder la mirada crítica" title="Revista Veintitres" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:revista_piaui" author="Eduardo Gustini Simões" description="" title="Revista piauí" language="pt_BR"/>
+  <recipe needs_subscription="no" id="builtin:rian_spa" author="Darko Miletic" description="Noticias desde Russia en Castellano" title="Ria Novosti" language="es"/>
+  <recipe needs_subscription="no" id="builtin:rian_eng" author="Darko Miletic" description="News from Russia in English" title="Ria Novosti" language="en"/>
+  <recipe needs_subscription="no" id="builtin:rmf24_ESKN" author="Tomasz Długosz" description="Ekonomia, sport, kultura i nauka ze strony rmf24.pl" title="Rmf24.pl - Ekonomia Sport Kultura Nauka" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:rmf24_fakty" author="Tomasz Długosz" description="Fakty ze strony rmf24.pl" title="Rmf24.pl - Fakty" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:rmf24_opinie" author="Tomasz Długosz" description="Blogi, wywiady i komentarze ze strony rmf24.pl" title="Rmf24.pl - Opinie" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:roger_ebert_blog" author="Shane Erstad" description="Roger Ebert Movie Reviews" title="Roger Ebert" language="en"/>
+  <recipe needs_subscription="no" id="builtin:roger_ebert" author="Shane Erstad" description="Roger Ebert Movie Reviews" title="Roger Ebert" language="en"/>
+  <recipe needs_subscription="no" id="builtin:rollingstone" author="Darko Miletic" description="Rolling Stone Magazine features music, album and artist news, movie reviews, political, economic and pop culture commentary, videos, photos, and more." title="Rolling Stone Magazine - free content" language="en"/>
+  <recipe needs_subscription="no" id="builtin:romanialibera" author="Silviu Cotoară" description="România Liberă" title="România Liberă" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:root" author="FunThomas" description="Zprávičky a články z Root.cz" title="Root.cz" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:roskildelokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra Roskilde og omegn på roskilde.lokalavisen.dk" title="Roskilde Avis" language="da"/>
+  <recipe needs_subscription="no" id="builtin:rubikon_de" author="schuster" description="Nachrichten anders/neutral beleuchtet" title="Rubikon.de" language="de"/>
+  <recipe needs_subscription="no" id="builtin:rudersdallokalavisen_dk" author="CoderAllan.github.com" description="Lokale, regionale nyheder, sport, kultur fra Rudersdal, Birkerød, Holte, Nærum, Vedbæk, Søllerød på rudersdal.lokalavisen.dk" title="Rudersdal Avis" language="da"/>
+  <recipe needs_subscription="no" id="builtin:rue89" author="Louis Gesbert" description="Popular free french news website" title="Rue89" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:rushisaband" author="MrStefan &lt;mrstefaan@gmail.com&gt;" description="A blog devoted to the band RUSH and its members, Neil Peart, Geddy Lee and Alex Lifeson" title="Rushisaband" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:rusiahoy" author="Darko Miletic" description="Noticias de Russia en castellano" title="Rusia Hoy" language="es"/>
+  <recipe needs_subscription="no" id="builtin:russiafeed" author="Darko Miletic" description="News from Russia" title="RussiaFeed News" language="en_RU"/>
+  <recipe needs_subscription="no" id="builtin:rynek_infrastruktury" author="teepel &lt;teepel44@gmail.com&gt;" description="Portal &quot;Rynek Infrastruktury&quot; to źródło informacji o kluczowych elementach polskiej gospodarki: drogach, kolei, lotniskach, portach, telekomunikacji, energetyce, prawie i polityce, wzmocnione eksperckimi komentarzami kluczowych analityków." title="Rynek Infrastruktury" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:rynek_zdrowia" author="spi630" description="" title="Rynek Zdrowia" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:rzeczpospolita" author="kwetal, Tomasz Dlugosz, adrianf0" description="Newspaper" title="Rzeczpospolita OnLine" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:satkurier" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" description="Serwis poświęcony telewizji cyfrowej" title="SATKurier.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:sb_nation" author="rylsfan" description="More than 290 individual communities, each offering high quality year-round coverage and conversation led by fans who are passionate." title="SBNation" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:scprint" author="Tony Maro" description="Last print version of the data security magazine" title="SC Print Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:sg_hu" author="davotibarna" description="Informatika és Tudomány" title="SG.hu" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:skai" author="Stelios" description="News from Greece" title="SKAI" language="el"/>
+  <recipe needs_subscription="no" id="builtin:slovo" author="Abelturd" description="Politicko-spoločenský týždenník" title="SLOVO" language="sk"/>
+  <recipe needs_subscription="no" id="builtin:sme" author="kwetal" description="News from Slovakia" title="SME" language="sk"/>
+  <recipe needs_subscription="no" id="builtin:spin_magazine" author="Quistopher" description="" title="SPIN Magzine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:sa_gazeta" author="tzium" description="" title="Sa gazeta" language="sc"/>
+  <recipe needs_subscription="no" id="builtin:sabah" author="Deniz Oğuz" description="" title="Sabah" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:sabit_fikir" author="asalet_r" description="" title="Sabit Fikir" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:saechsische" author="epubli" description="RSS-Feeds von saechsische.de" title="Saechsische Zeitung" language="de"/>
+  <recipe needs_subscription="no" id="builtin:salon" author="ebrandon" description="Salon.com - Breaking news, opinion, politics, entertainment, sports and culture." title="Salon.com" language="en"/>
+  <recipe needs_subscription="no" id="builtin:salonica_press_news" author="SteliosGero" description="" title="Salonica Press News" language="el"/>
+  <recipe needs_subscription="no" id="builtin:samanyolu_haber" author="thomass" description=" Samanyolu Haber Sitesinden günlük haberler " title="Samanyolu Haber" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:samanyolu_teknoloji" author="thomass" description="Samanyolu Teknoloji Haber Sitesinden  haberler " title="Samanyolu Teknoloji" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:sfbg" author="Krittika Goyal" description="" title="San Francisco Bay Guardian" language="en"/>
+  <recipe needs_subscription="no" id="builtin:san_fran_chronicle" author="Darko Miletic and Sujata Raman" description="San Francisco news" title="San Francisco Chronicle" language="en"/>
+  <recipe needs_subscription="no" id="builtin:sanjosemercurynews" author="Darko Miletic" description="News from San Jose" title="San Jose Mercury News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:7seri" author="Silviu Cotoară" description="Sapte Seri" title="Sapte Seri" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:sarajevo_x" author="Darko Miletic" description="Sarajevo-x.com - najposjeceniji bosanskohercegovacki internet portal" title="Sarajevo-x.com" language="bs"/>
+  <recipe needs_subscription="no" id="builtin:sardinia_post" author="tzium" description="" title="Sardinia Post (Lapis)" language="sc"/>
+  <recipe needs_subscription="no" id="builtin:saskatoon_star_phoenix" author="Nick Redding" description="News from Saskatoon, SK" title="Saskatoon Star-Phoenix" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:satmagazine" author="kiavash" description="North American Satellite Markets..." title="SatMagazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:satira" author="faber1971" description="Collection of Italian satiric blogs - v1.00 (28, January 2012)" title="Satira" language="it"/>
+  <recipe needs_subscription="no" id="builtin:schongauer_nachrichten" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Schongauer Nachrichten" language="de"/>
+  <recipe needs_subscription="no" id="builtin:science_advances" author="Jose Ortiz" description="Science Advances is a peer-reviewed multidisciplinary open-access scientific journal established in early 2015.  The journal's scope includes all areas of science, including the life sciences, physical sciences, social sciences, computer sciences, and environmental sciences." title="Science Advances" language="en"/>
+  <recipe needs_subscription="no" id="builtin:science_based_medicine" author="BuzzKill" description="Exploring issues and controversies in the relationship between science and medicine" title="Science Based Medicine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:science_news_recent_issues" author="Darko Miletic, Sujata Raman and Starson17" description="Science News is an award-winning weekly&#10;    newsmagazine covering the most important research in all fields of science.&#10;    Its 16 pages each week are packed with short, accurate articles that appeal&#10;    to both general readers and scientists. Published since 1922, the magazine&#10;    now reaches about 150,000 subscribers and more than 1 million readers.&#10;    These are the latest News Items from Science News. This recipe downloads&#10;    the last 30 days worth of articles." title="Science News Recent Issues" language="en"/>
+  <recipe needs_subscription="no" id="builtin:science_news" author="Darko Miletic, Sujata Raman and Starson17" description="Science News is an award-winning weekly&#10;    newsmagazine covering the most important research in all fields of science.&#10;    Its 16 pages each week are packed with short, accurate articles that appeal&#10;    to both general readers and scientists. Published since 1922, the magazine&#10;    now reaches about 150,000 subscribers and more than 1 million readers.&#10;    These are the latest News Items from Science News. This recipe downloads&#10;    the last 30 days worth of articles." title="Science News Recent Issues" language="en"/>
+  <recipe needs_subscription="no" id="builtin:sciencedaily" author="Darko Miletic" description="ScienceDaily is one of the Internet's most popular science news web sites. Since starting in 1995, the award-winning site has earned the loyalty of students, researchers, healthcare professionals, government agencies, educators and the general public around the world. Now with more than 6 million monthly visitors worldwide, ScienceDaily generates nearly 20 million page views a month and is steadily growing in its global audience." title="ScienceDaily" language="en"/>
+  <recipe needs_subscription="optional" id="builtin:scientific_american" author="Kovid Goyal" description="Popular Science. Monthly magazine. Should be downloaded around the middle of each month." title="Scientific American" language="en"/>
+  <recipe needs_subscription="no" id="builtin:scinexx" author="JSuer" description="German  online portal of scinexx" title="Scinexx.de" language="de"/>
+  <recipe needs_subscription="no" id="builtin:scott_hanselman" author="Darko Miletic" description="Scott Hanselman's Thoughts on Programming, Technology, Fatherhood, and Life" title="Scott Hanselman's Computer Zen" language="en"/>
+  <recipe needs_subscription="no" id="builtin:seanhannity" author="Rob Lammert - rob.lammert[at]gmail.com" description="Articles from Sean Hannity's website, www.hannity.com" title="Sean Hannity Show" language="en"/>
+  <recipe needs_subscription="no" id="builtin:sekurak_pl" author="fenuks" description="Wiadomości z dziedziny bezpieczeństwa" title="Sekurak" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:shacknews" author="Docbrown00" description="" title="Shacknews" language="en"/>
+  <recipe needs_subscription="no" id="builtin:shortlist" author="Dave Asbury" description="Articles From Shortlist.com" title="Shortlist" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:sigma_live" author="Stelios" description="Cypriot News" title="SigmaLive" language="el"/>
+  <recipe needs_subscription="no" id="builtin:sign_on_sd" author="Jay Kindle" description="Local news stories from The San Diego Union-Tribune; breaking news, business and technology, local and national sports coverage, entertainment news and reviews." title="Sign On San Diego" language="en"/>
+  <recipe needs_subscription="no" id="builtin:sign_of_the_times" author="TerminalVeracity" description="" title="Sign of the Times" language="en"/>
+  <recipe needs_subscription="no" id="builtin:silicon_republic" author="Neil Grogan" description="" title="Silicon Republic" language="en_IE"/>
+  <recipe needs_subscription="no" id="builtin:singtao_daily" author="rty" description="Toronto Canada Chinese Newspaper" title="Singtao Daily - Canada" language="zh"/>
+  <recipe needs_subscription="no" id="builtin:stnn" author="Larry Chan, larry1chan" description="Chinese News" title="Singtao STNN" language="zh"/>
+  <recipe needs_subscription="no" id="builtin:siol" author="BlonG" description="Multimedijski portal z aktualnimi vsebinami, intervjuji, komentarji iz Slovenije in sveta, sportal, trendi, avtomoto, blogos" title="Siol.net" language="sl"/>
+  <recipe needs_subscription="no" id="builtin:skylife" author="thomass" description=" Türk Hava Yollarının yayınladığı aylık kültür dergisi (Fotoğrafları da içermesini isterseniz keep_only_tagda belirttiğim kodu da ekleyin) " title="Skylife" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:slashdot" author="floweros edited by Huan T" description="Tech news. WARNING: This recipe downloads a lot&#10;    of content and may result in your IP being banned from slashdot.org" title="Slashdot.org" language="en"/>
+  <recipe needs_subscription="no" id="builtin:slate" author="Kovid Goyal" description="A general-interest publication offering analysis and commentary about politics, news and culture." title="Slate" language="en"/>
+  <recipe needs_subscription="no" id="builtin:slate_star_codex" author="Ned Letcher" description="IN A MAD WORLD, ALL BLOGGING IS PSYCHIATRY BLOGGING" title="Slate Star Codex" language="en"/>
+  <recipe needs_subscription="no" id="builtin:ibm_smarter_planet" author="Jack Mason" description="" title="Smarter Planet | Tumblr" language="en"/>
+  <recipe needs_subscription="no" id="builtin:smashing" author="Marc Busqué &lt;marc@lamarciana.com&gt;" description="Founded in September 2006, Smashing Magazine delivers useful and innovative information to Web designers and developers. Our aim is to inform our readers about the latest trends and techniques in Web development. We try to persuade you not with the quantity but with the quality of the information we present. Smashing Magazine is and always has been independent." title="Smashing Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:smilezilla" author="Will" description="Daily Jokes and funny stoires" title="SmileZilla" language="en"/>
+  <recipe needs_subscription="no" id="builtin:smith" author="Kovid Goyal" description="This magazine chronicles the arts, environment, sciences and popular culture of the times. It is edited for modern, well-rounded individuals with diverse, general interests. With your order, you become a National Associate Member of the Smithsonian. Membership benefits include your subscription to Smithsonian magazine, a personalized membership card, discounts from the Smithsonian catalog, and more." title="Smithsonian Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:snopes" author="Starson17" description="Urban Legends" title="Snopes" language="en"/>
+  <recipe needs_subscription="no" id="builtin:socialdiva" author="Silviu Cotoara" description="When in doubt, wear red" title="Social Diva" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:soldiers" author="Darko Miletic" description="The Official U.S. Army Magazine" title="Soldiers" language="en"/>
+  <recipe needs_subscription="no" id="builtin:something_awful" author="atordo" description="The Internet Makes You Stupid" title="Something Awful" language="en"/>
+  <recipe needs_subscription="optional" id="builtin:scmp" author="llam" description="SCMP.com, Hong Kong's premier online English daily provides exclusive up-to-date news, audio video news, podcasts, RSS Feeds, Blogs, breaking news, top stories, award winning news and analysis on Hong Kong and China." title="South China Morning Post" language="en_CN"/>
+  <recipe needs_subscription="no" id="builtin:spectator-au" author="Pat Stapleton, Dean Cording, James Cridland" description="Spectator Australia is an Australian edition of The Spectator, first published in the UK in July 1828." title="Spectator Australia" language="en_AU"/>
+  <recipe needs_subscription="no" id="builtin:spectator_magazine" author="Kovid Goyal" description="Magazine" title="Spectator Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:spektrum" author="Armin Geller, Bratzzo, Rainer Zenz, update epubli" description="German  online portal of Spektrum der Wissenschaft" title="Spektrum der Wissenschaft" language="de"/>
+  <recipe needs_subscription="no" id="builtin:spiegel_int" author="Darko Miletic and Sujata Raman" description="Daily news, analysis and opinion from Europe's leading newsmagazine and Germany's top news Web site" title="Spiegel Online International" language="en_DE"/>
+  <recipe needs_subscription="no" id="builtin:spiegelde" author="Volker Heggemann, VoHe" description="Spiegel Online RSS News fetched: 2020-07-14" title="Spiegel Online RSS - German alle Themen" language="de"/>
+  <recipe needs_subscription="no" id="builtin:sportowefakty" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;, Tomasz Długosz &lt;tomek3d@gmail.com&gt;" description="Najważniejsze informacje sportowe z kraju i ze świata, relacje, komentarze, wywiady, zdjęcia!" title="SportoweFakty" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:sports_illustrated" author="Kovid Goyal" description="" title="Sports Illustrated" language="en"/>
+  <recipe needs_subscription="no" id="builtin:sporza_be" author="erkfuizfeuadjfjzefzfuzeff" description="Sport news from Belgium in Dutch" title="Sporza.be" language="nl_BE"/>
+  <recipe needs_subscription="no" id="builtin:st_louis_post_dispatch" author="cisaak" description="" title="St Louis Post-Dispatch" language="en"/>
+  <recipe needs_subscription="no" id="builtin:stackoverflow" author="Darko Miletic" description="a programming community exploit" title="Stack Overflow - Blog" language="en"/>
+  <recipe needs_subscription="no" id="builtin:stamgasten" author="DrMerry" description="Stamgasten de populaire strip van Toon van Driel (http://www.toonvandriel.nl)" title="Stamgasten" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:standardmoney" author="Silviu Cotoară" description="Portal de Business" title="Standard Money Ro" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:michalkiewicz" author="Tomasz Długosz" description="Strona autorska * felietony * artykuły * komentarze" title="Stanisław Michalkiewicz" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:star_gazetesi" author="thomass" description="yeni Türkiyenin Gazetesi" title="Star Gazetesi" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:starnberger_merkur" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Starnberger Merkur" language="de"/>
+  <recipe needs_subscription="no" id="builtin:stars_and_stripes" author="adoucette" description="The U.S. militarys independent news source, featuring exclusive reports from Iraq, Afghanistan, Europe and the Far East." title="Stars and Stripes" language="en"/>
+  <recipe needs_subscription="no" id="builtin:strange_horizons" author="Peter Fidelman, based on work by Jim DeVona" description="A magazine of speculative fiction and related nonfiction. Best downloaded on weekends" title="Strange Horizons" language="en"/>
+  <recipe needs_subscription="no" id="builtin:strategic_culture" author="Darko Miletic" description="Online Journal" title="Strategic Culture Foundation" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:strategy-business" author="kwetal" description="Business magazine for senior business executives and the people who influence them.Go to http://www.strategy-business.com/registration to sign up for a free account" title="Strategy+Business" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nation_ke" author="Hans Donner" description="News from Kenia" title="Sunday Nation" language="en"/>
+  <recipe needs_subscription="no" id="builtin:superbebe" author="Silviu Cotoară" description="Superbebe" title="Superbebe" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:winsupersite" author="Hypernova" description="Paul Thurrott SuperSite for Windows" title="Supersite for Windows" language="en"/>
+  <recipe needs_subscription="no" id="builtin:sondagsavisen_dk" author="CoderAllan.github.com" description="Danmarks mest læste avis" title="Søndagsavisen.dk" language="da"/>
+  <recipe needs_subscription="yes" id="builtin:sueddeutschezeitung" author="Darko Miletic" description="News from Germany. Access to paid content." title="Süddeutsche Zeitung" language="de"/>
+  <recipe needs_subscription="yes" id="builtin:sueddeutsche_mobil" author="Andreas Zeiser" description="Nachrichten aus Deutschland. Zugriff auf kostenpflichtiges Abo SZ mobil." title="Süddeutsche Zeitung mobil" language="de"/>
+  <recipe needs_subscription="no" id="builtin:sueddeutsche" author="Oliver Niesner and Armin Geller" description="News from Germany, Access to online content" title="Süddeutsche.de" language="de"/>
+  <recipe needs_subscription="no" id="builtin:sfin" author="Silviu Cotoară" description="SFIN" title="Săptămâna Financiară" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:sizinti_derigisi" author="thomass" description="a Turkey based daily for national and international news in the fields of business, diplomacy, politics, culture, arts, sports and economics, in addition to commentaries, specials and features" title="Sızıntı Dergisi" language="tr"/>
+  <recipe needs_subscription="yes" id="builtin:time_magazine" author="Kovid Goyal" description="Weekly US magazine." title="TIME Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:tjournal" author="bug_me_not" description="TJOURNAL: издание о медиа, технологиях и трендах" title="TJournal" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:tsn" author="Nexus" description="" title="TSN" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:tv2lorry_dk" author="CoderAllan.github.com" description="Ved at abonnere på vores RSS-feed kan du få de seneste regionale nyheder til at dukke op på din skærm." title="TV 2 Lorry" language="da"/>
+  <recipe needs_subscription="no" id="builtin:tv2oj_dk" author="CoderAllan.github.com" description="Alle nyheder fra tv2oj.dk kan læses som RSS RSS-feedet kan findes via adressen www.tv2oj.dk/rss" title="TV 2 | ØSTJYLLAND" language="da"/>
+  <recipe needs_subscription="no" id="builtin:tvmidtvest_dk" author="CoderAllan.github.com" description="Du skal bruge en browser som understøtter RSS (f.eks. Firefox ), eller en nyhedslæser (f.eks. SharpReader eller RSSReader). Se rss-feed på tvmidtvest.dk/rss. Du kan også bruge vores RSS feeds på online feed-readers som f.eks. Google eller Live.com. Du kan frit indsætte vores RSS feeds på din hjemmeside, via f.eks. www.feedburner.com eller www.rss2html.com." title="TV MIDTVEST" language="da"/>
+  <recipe needs_subscription="no" id="builtin:tvsyd_dk" author="CoderAllan.github.com" description="Ved at abonnere på vores RSS-feed kan du få de seneste regionale nyheder til at dukke op på din skærm." title="TV SYD" language="da"/>
+  <recipe needs_subscription="no" id="builtin:tveast_dk" author="CoderAllan.github.com" description="Ved at abonnere på vores RSS-feed kan du få de seneste regionale nyheder til at automatisk dukke op på din skærm." title="TV ØST" language="da"/>
+  <recipe needs_subscription="no" id="builtin:tv2nord_dk" author="CoderAllan.github.com" description="Siden 1989 har nordjyderne inviteret TV2 Nord ind i stuen, men med premieren på Nordjylland LIVE i 2014 blev det forhold vendt om. Nu inviterer TV2 Nord nordjyderne i fjernsynet." title="TV2 Nord" language="da"/>
+  <recipe needs_subscription="no" id="builtin:tvn24" author="fenuks, Artur Stachecki" description="Sport, Biznes, Gospodarka, Informacje, Wiadomości Zawsze aktualne wiadomości z Polski i ze świata" title="TVN24" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:tvxs" author="hargikas" description="News from Greece" title="TVXS" language="el"/>
+  <recipe needs_subscription="no" id="builtin:tvmania" author="Silviu Cotoară" description="Programe TV" title="TVmania" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:tanea" author="Pan" description="" title="Ta Nea" language="el"/>
+  <recipe needs_subscription="no" id="builtin:tablety_pl" author="fenuks" description="Tablety, gry i aplikacje na tablety." title="Tablety.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:tabu" author="Silviu Cotoară" description="Cel mai curajos site de femei" title="Tabu" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:tagesan" author="noxxx" description="" title="Tagesanzeiger" language="de"/>
+  <recipe needs_subscription="no" id="builtin:tagespost" author="Pat Stapleton" description="Die Tagespost trägt den Untertitel Katholische Wochenzeitung für Politik, Gesellschaft und Kultur und ist eine überregionale, wöchentlich im Johann Wilhelm Naumann Verlag in Würzburg erscheinende Zeitung." title="Tagespost" language="de"/>
+  <recipe needs_subscription="no" id="builtin:taggeschau_de" author="Florian Andreas Pfaff, a.peter" description="Nachrichten der ARD" title="Tagesschau" language="de"/>
+  <recipe needs_subscription="no" id="builtin:taipei" author="Krittika Goyal" description="" title="Taipei Times" language="en_TW"/>
+  <recipe needs_subscription="no" id="builtin:tanuki" author="fenuks" description="Tanuki - portal o anime i mandze." title="Tanuki" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:taz_rss" author="Alexander Schremmer, Robert Riemann" description="Taz.de - die tageszeitung (Anpassung von Robert)" title="Taz - die Tageszeitung" language="de"/>
+  <recipe needs_subscription="yes" id="builtin:taz" author="Lars Jacob" description="Das EPUB DigiAbo der Taz" title="Taz Digiabo" language="de"/>
+  <recipe needs_subscription="no" id="builtin:techdirt" author="Krittika Goyal" description="" title="Tech Dirt" language="en"/>
+  <recipe needs_subscription="no" id="builtin:tech_economy" author="faber1971" description="Italian website on technology - v1.00 (28, January 2012)" title="Tech Economy" language="it"/>
+  <recipe needs_subscription="no" id="builtin:techcrunch" author="Darko Miletic" description="IT News" title="TechCrunch" language="en"/>
+  <recipe needs_subscription="no" id="builtin:tech_world" author="Lorenzo Vigentini" description="Techworld offers the latest breaking IT industry news, product reviews, enterprise software downloads, how-to articles and expert blogs for technical professionals and enterprise users in the UK" title="TechWorld" language="en"/>
+  <recipe needs_subscription="no" id="builtin:technology_review_de" author="Anton Gillert, schuster" description="Technology news from Germany" title="Technology Review" language="de"/>
+  <recipe needs_subscription="no" id="builtin:technology_review" author="rty" description="MIT Technology Magazine (from RSS feeds)" title="Technology Review" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:techtarget" author="Julio:map" description="IT Infrastructure related blogs&#10;                                    from Techtarget" title="Techtarget" language="en"/>
+  <recipe needs_subscription="no" id="builtin:tegernseer_zeitung" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Tegernseer Zeitung" language="de"/>
+  <recipe needs_subscription="no" id="builtin:telam" author="Darko Miletic" description="AGENCIA DE NOTICIAS DE LA REPUBLICA ARGENTINA" title="Telam" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:telepolis" author="Lutz Epperlein" description="" title="Telepolis" language="de"/>
+  <recipe needs_subscription="no" id="builtin:telepolis_artikel" author="Gerhard Aigner" description="Telepolis Artikel" title="Telepolis (Artikel)" language="de_AT"/>
+  <recipe needs_subscription="no" id="builtin:teleread" author="Kovid Goyal" description="News &amp; views on e-books, libraries, publishing and related topics" title="Teleread Blog" language="en"/>
+  <recipe needs_subscription="no" id="builtin:thai_post_daily" author="Chotechai P." description="" title="Thai Post Daily" language="th"/>
+  <recipe needs_subscription="no" id="builtin:thairath" author="Anat R." description="" title="Thairath" language="th"/>
+  <recipe needs_subscription="no" id="builtin:tnxm" author="Wasabi" description="Vietnam news and current affairs from TNXM - the finest Vietnamese bulletin board." title="Thanh Nien Xa Me" language="vi"/>
+  <recipe needs_subscription="no" id="builtin:paperli_topic" author="Hiroshi Miura" description="paper.li page about climate" title="The #climate Daily - paperli" language="en"/>
+  <recipe needs_subscription="no" id="builtin:ajc" author="John McDole" description="The Atlanta Journal-Constitution; Metro Atlanta &amp; Georgia" title="The AJC" language="en"/>
+  <recipe needs_subscription="no" id="builtin:the_age" author="Matthew Briggs" description="Business News, World News and Breaking News in Melbourne, Australia" title="The Age" language="en_AU"/>
+  <recipe needs_subscription="no" id="builtin:amspec" author="Kovid Goyal" description="News from USA" title="The American Spectator" language="en"/>
+  <recipe needs_subscription="no" id="builtin:asianreviewofbooks" author="Darko Miletic" description="In addition to reviewing books about or of relevance to Asia, the Asian Review of Books also features long-format essays by leading Asian writers and thinkers, to providing an unparalleled forum for discussion of key contemporary issues by Asians for Asia and a vehicle of intellectual depth and breadth where leading thinkers can write on the books, arts and ideas of the day. Widely quoted and referenced, with an archive of more than one thousand book reviews, it is the only web resource dedicated to Asian books. And now, with the addition of the new premium content, the Asian Review of Books, is a must-read publication." title="The Asian Review of Books" language="en_CN"/>
+  <recipe needs_subscription="no" id="builtin:atlantic" author="Kovid Goyal" description="Current affairs and politics focussed on the US" title="The Atlantic" language="en"/>
+  <recipe needs_subscription="optional" id="builtin:the_oz" author="Kovid Goyal" description="National broadsheet newspaper from down under - colloquially known as The Oz. You will need to have a subscription to http://www.theaustralian.com.au to get full articles." title="The Australian" language="en_AU"/>
+  <recipe needs_subscription="no" id="builtin:the_baffler" author="Jose Ortiz" description="This magazine contains left-wing criticism, cultural analysis, shorts stories, poems and art.  They publish six print issues annually." title="The Baffler" language="en"/>
+  <recipe needs_subscription="no" id="builtin:baltimore_sun" author="Kovid Goyal" description="Complete local news and blogs from Baltimore" title="The Baltimore Sun" language="en"/>
+  <recipe needs_subscription="no" id="builtin:bay_citizen" author="noah" description="The Bay Citizen" title="The Bay Citizen" language="en"/>
+  <recipe needs_subscription="no" id="builtin:big_picture" author="Welovelucy" description="Macro perspective on capital markets, economy, technology and digital media" title="The Big Picture" language="en"/>
+  <recipe needs_subscription="no" id="builtin:the_budget_fashionista" author="Darko Miletic" description="Saving your money since 2003" title="The Budget Fashionista" language="en"/>
+  <recipe needs_subscription="no" id="builtin:hindu_business_line" author="Dhiru" description="" title="The Business Line" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:cato" author="_reader" description="The Cato Institute is a public policy research organization — a think tank — dedicated to the principles of individual liberty, limited government, free markets and peace. Its scholars and analysts conduct independent, nonpartisan research on a wide range of policy issues." title="The CATO Institute" language="en"/>
+  <recipe needs_subscription="no" id="builtin:christian_post" author="sexymax15" description="Homepage" title="The Christian Post" language="en"/>
+  <recipe needs_subscription="no" id="builtin:chr_mon" author="Darko Miletic" description="The Christian Science Monitor is an international news organization that delivers thoughtful, global coverage via its website, weekly magazine, daily news briefing, and email newsletters." title="The Christian Science Monitor - daily" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:chronicle_higher_ed" author="Rick Shang" description="Weekly news and job-information source for college and university faculty members, administrators, and students." title="The Chronicle of Higher Education" language="en"/>
+  <recipe needs_subscription="no" id="builtin:the_clinic_online" author="Alex Mitrani" description="Online version of Chilean satirical weekly" title="The Clinic" language="es_CL"/>
+  <recipe needs_subscription="no" id="builtin:thecodelesscode" author="April King" description="The Art and Philosophy of software development, written in the spirit of Zen kōans" title="The Codeless Code" language="en"/>
+  <recipe needs_subscription="no" id="builtin:columbusdispatch" author="kwetal" description="Daily newspaper from central Ohio" title="The Columbus Dispatch" language="en"/>
+  <recipe needs_subscription="no" id="builtin:the_conversation" author="Krittika Goyal" description="" title="The Conversation" language="en"/>
+  <recipe needs_subscription="no" id="builtin:courier_mail" author="Krittika Goyal, James Cridland" description="Breaking news headlines for Brisbane and Queensland, Australia. The Courier-Mail is owned by News Corp Australia." title="The Courier-Mail" language="en_AU"/>
+  <recipe needs_subscription="no" id="builtin:thecultofghoul" author="Darko Miletic" description="Filmski blog" title="The Cult of Ghoul" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:daily_mail" author="Kovid Goyal" description="" title="The Daily Mail" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:daily_mirror" author="Dave Asbury" description="News as provided by The Daily Mirror -UK" title="The Daily Mirror" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:the_daily_news_egypt" author="Omm Mishmishah" description="News from Egypt" title="The Daily News Egypt" language="en_EG"/>
+  <recipe needs_subscription="no" id="builtin:dailyreckoning" author="Darko Miletic" description="Worldwide business and financial news and articles" title="The Daily Reckoning - US edition" language="en"/>
+  <recipe needs_subscription="no" id="builtin:thedailywtf" author="Jelle van der Waa" description="The Daily WTF is your how-not-to guide for developing software. We recount tales of disastrous development, from project management gone spectacularly bad to inexplicable coding choices." title="The Daily WTF" language="en"/>
+  <recipe needs_subscription="no" id="builtin:dallas" author="calibre" description="" title="The Dallas Morning News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:theecocolapse" author="Darko Miletic" description="Are You Prepared For The Coming Economic Collapse And The Next Great Depression?" title="The Economic Collapse" language="en"/>
+  <recipe needs_subscription="no" id="builtin:theeconomictimes_india" author="Karthik, Darko Miletic" description="Financial news from India" title="The Economic Times India" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:economist" author="Kovid Goyal" description="Global news and current affairs from a European perspective. Best downloaded on Friday mornings (GMT)" title="The Economist" language="en"/>
+  <recipe needs_subscription="no" id="builtin:economist_free" author="Kovid Goyal" description="Global news and current affairs from a European perspective. Best downloaded on Friday mornings (GMT)" title="The Economist" language="en"/>
+  <recipe needs_subscription="no" id="builtin:thedgesingapore" author="Darko Miletic" description="Financial news from Singapore" title="The Edge Singapore" language="en"/>
+  <recipe needs_subscription="no" id="builtin:the_escapist" author="calibre" description="The Escapist Magazine" title="The Escapist Magazine" language="en"/>
+  <recipe needs_subscription="no" id="builtin:the_feature" author="Jose Pinto" description="" title="The Feature" language="en"/>
+  <recipe needs_subscription="no" id="builtin:the_federalist" author="Kovid Goyal" description="" title="The Federalist" language="en"/>
+  <recipe needs_subscription="no" id="builtin:fe_india" author="Darko Miletic" description="Financial news from India" title="The Financial Express" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:starwars" author="Krittika Goyal" description="" title="The Force" language="en"/>
+  <recipe needs_subscription="no" id="builtin:the_freeman" author="jde" description="The Freeman is a daily English-language newspaper published in Cebu, Philippines, by the Philippine Star. It was the first newspaper in Cebu, first published in May 1919.  The motto of the newspaper is &quot;The fair and fearless&quot; - philstar.com is a Philippine news and entertainment portal for the Filipino global community.   It is the online presence of the STAR Group of Publications, a leading publisher of newspapers and magazines in the Philippines." title="The Freeman" language="en_PH"/>
+  <recipe needs_subscription="no" id="builtin:the_friday_times" author="Krittika Goyal, ireadtheinternet" description="Pakistan's First Independent Weekly Paper" title="The Friday Times" language="en_PK"/>
+  <recipe needs_subscription="no" id="builtin:galaxys_edge" author="andyh2000" description="" title="The Galaxy's Edge" language="en"/>
+  <recipe needs_subscription="no" id="builtin:globe_and_mail" author="Kovid Goyal" description="" title="The Globe and Mail" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:grid_to" author="Yusuf W" description="The Grid is a weekly city magazine and daily website providing a fresh, accessible voice for Toronto." title="The Grid" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:guardian" author="Kovid Goyal" description="" title="The Guardian and The Observer" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:hindu" author="Kovid Goyal" description="" title="The Hindu" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:thn" author="Nexus" description="" title="The Hockey News" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:hollywood_reporter" author="Darko Miletic" description="Read about the latest in Hollywood and entertainment news from The Hollywood Reporter, your source for detailed movie reviews, celebrity styles, and industry blogs." title="The Hollywood Reporter" language="en"/>
+  <recipe needs_subscription="no" id="builtin:house_news" author="Eddie Lau" description="http://thehousenewsbloggers.net" title="The House News Bloggers 主場博客" language="zh"/>
+  <recipe needs_subscription="no" id="builtin:houston_chronicle" author="Dale Furrow" description="News from Houston, Texas" title="The Houston Chronicle" language="en"/>
+  <recipe needs_subscription="no" id="builtin:huffingtonpost" author="kwetal and Archana Raman" description="Political Blog" title="The Huffington Post" language="en"/>
+  <recipe needs_subscription="no" id="builtin:independent" author="Krittika Goyal" description="The latest in UK News and World News from The                                Independent. Wide range of international and local news, sports                                news, commentary and opinion pieces.Independent News - Breaking news                                that matters. Your daily comprehensive news source - The                                Independent Newspaper" title="The Independent" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:the_insider" author="bugmen00t" description="Расследования Репортажи Аналитика" title="The Insider" language="ru"/>
+  <recipe needs_subscription="yes" id="builtin:irish_times" author="Derry FitzGerald, Ray Kinsella, David O'Callaghan and Phil Burns, Tom Scholl" description="Daily news from The Irish Times" title="The Irish Times" language="en_IE"/>
+  <recipe needs_subscription="no" id="builtin:japan_times" author="Darko Miletic" description="Daily news and features on Japan from the most widely read English-language newspaper in Japan. Coverage includes national news, business news, sports news, commentary and features on living in Japan, entertainment, the arts, education and more." title="The Japan Times" language="en_JP"/>
+  <recipe needs_subscription="no" id="builtin:theluminouslandscape" author="Darko Miletic" description="A photography news and information website in the form of a weblog with multiple authors who write on a variety of photography and art-photography related issues." title="The Luminous Landscape" language="en"/>
+  <recipe needs_subscription="no" id="builtin:mainichi_en" author="Hiroshi Miura" description="Japanese traditional newspaper Mainichi news in English" title="The Mainichi" language="en_JP"/>
+  <recipe needs_subscription="no" id="builtin:the_manila_bulletin" author="jde" description="The Manila Bulletin, (also known as the Bulletin and previously known as the Manila Daily Bulletin and the Bulletin Today) is the Philippines' largest broadsheet newspaper by circulation." title="The Manila Bulletin" language="en_PH"/>
+  <recipe needs_subscription="no" id="builtin:the_manila_times" author="jde" description="The Manila Times is the oldest existing English language newspaper in the Philippines." title="The Manila Times" language="en_PH"/>
+  <recipe needs_subscription="no" id="builtin:themarketticker" author="Darko Miletic" description="Commentary On The Capital Markets" title="The Market Ticker" language="en"/>
+  <recipe needs_subscription="no" id="builtin:miami_herald" author="Darko Miletic and Sujata Raman" description="Miami-Dade and Broward's source for the latest breaking local news on sports, weather, business, jobs, real estate, shopping, health, travel, entertainment, &amp; more." title="The Miami Herald" language="en"/>
+  <recipe needs_subscription="no" id="builtin:themorningpaper" author="Darko Miletic" description="an interesting/influential/important paper from the world of CS every weekday morning, as selected by Adrian Colyer" title="The Morning Paper" language="en"/>
+  <recipe needs_subscription="no" id="builtin:moscow_times" author="Darko Miletic and Sujata Raman" description="The Moscow Times is a daily English-language newspaper featuring objective, reliable news on business, politics, sports and culture in Moscow, in Russia and the former Soviet Union (CIS)." title="The Moscow Times" language="en"/>
+  <recipe needs_subscription="optional" id="builtin:the_nation" author="Darko Miletic" description="Unconventional Wisdom Since 1865" title="The Nation" language="en"/>
+  <recipe needs_subscription="no" id="builtin:the_new_age_za" author="Darko Miletic" description="The New Age newspaper is a national daily newspaper, owned and operated by TNA Media (Pty) Ltd. TNA Media was established in June 2010 and the first publication of The New Age was on 6 December 2010. The New Age covers news from all nine provinces, along with national events, Op-Ed columns, politics, Africa and International news, sports, business, entertainment, lifestyle, science and technology." title="The New Age" language="en_ZA"/>
+  <recipe needs_subscription="optional" id="builtin:thenewcriterion" author="Darko Miletic" description="On the front lines of the battle for culture" title="The New Criterion" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:the_new_republic" author="Krittika Goyal" description="The New Republic is a journal of opinion with an emphasis&#10;    on politics and domestic and international affairs. It carries feature&#10;    articles by staff and contributing editors. The second half of each issue&#10;    is devoted to book and the arts, theater, motion pictures, music and art." title="The New Republic" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nytimes_sub" author="Kovid Goyal" description="Today's New York Times" title="The New York Times" language="en"/>
+  <recipe needs_subscription="no" id="builtin:nytimes" author="Kovid Goyal" description="New York Times (Web). You can edit the recipe to remove sections you are not interested in." title="The New York Times (Web)" language="en"/>
+  <recipe needs_subscription="no" id="builtin:thenews" author="kwetal" description="English Newspaper from Pakistan" title="The News" language="en_PK"/>
+  <recipe needs_subscription="no" id="builtin:onemagazine" author="Silviu Cotoară" description="Be the ONE, not anyone .." title="The ONE" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:observer_gb" author="jbambridge" description="" title="The Observer" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:theoldfoodie" author="Darko Miletic" description="Food blog" title="The Old Foodie" language="en"/>
+  <recipe needs_subscription="no" id="builtin:oldnewthing" author="Darko Miletic" description="Famous blog by Windows guru Raymond Chen" title="The Old New Thing" language="en"/>
+  <recipe needs_subscription="optional" id="builtin:theonion" author="Darko Miletic" description="The Onion, America's Finest News Source, is an award-winning publication covering world, national, and * local issues. It is updated daily online and distributed weekly in select American cities." title="The Onion" language="en"/>
+  <recipe needs_subscription="no" id="builtin:onionavclub" author="Stephen Williams" description="Film, Television and Music Reviews" title="The Onion AV Club" language="en"/>
+  <recipe needs_subscription="no" id="builtin:theonlinephotographer" author="Darko Miletic" description="A photography news and information website in the form of a weblog with multiple authors who write on a variety of photography and art-photography related issues." title="The Online Photographer" language="en"/>
+  <recipe needs_subscription="no" id="builtin:oregonian" author="Zotzot" description="Portland, Oregon local newspaper" title="The Oregonian" language="en"/>
+  <recipe needs_subscription="no" id="builtin:parisreview" author="fenuks" description="The Paris Review is a literary magazine featuring original writing, art, and in-depth interviews with famous writers." title="The Paris Review Blog" language="en"/>
+  <recipe needs_subscription="no" id="builtin:the_philippine_daily_inquirer" author="jde" description="The Philippine Daily Inquirer is a widely read and circulated newspaper." title="The Philippine Daily Inquirer" language="en_PH"/>
+  <recipe needs_subscription="no" id="builtin:the_philippine_star" author="jde" description="The Philippine Star is a daily English-language broadsheet newspaper based in Manila. It has the most subscribers of any newspaper in the Philippines - philstar.com is a Philippine news and entertainment portal for the Filipino global community.   It is the online presence of the STAR Group of Publications, a leading publisher of newspapers and magazines in the Philippines." title="The Philippine Star" language="en_PH"/>
+  <recipe needs_subscription="no" id="builtin:tpm_uk" author="Darko Miletic" description="Title says it all" title="The Philosophers' Magazine" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:theprint" author="Kovid Goyal" description="News and current affairs in India" title="The Print" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:publicdomainreview_org" author="fenuks" description="Online journal dedicated to showcasing the most interesting and unusual out-of-copyright works available on the web" title="The Public Domain Review" language="en"/>
+  <recipe needs_subscription="no" id="builtin:the_register" author="vgrama" description="" title="The Register" language="en"/>
+  <recipe needs_subscription="no" id="builtin:sage_news_opinion" author="Brian Hahn" description="News without boundaries, Opinion" title="The Sage News - Opinion" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:sage_news" author="Brian Hahn" description="News without boundaries, Satire" title="The Sage News - Satire" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:the_scotsman" author="Darko Miletic" description="News from Scotland" title="The Scotsman" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:seattle_times" author="Darko Miletic" description="News from Seattle and USA" title="The Seattle Times" language="en"/>
+  <recipe needs_subscription="no" id="builtin:skeptic" author="Starson17" description="Discussions with leading experts and investigation of fringe science and paranormal claims." title="The Skeptic" language="en"/>
+  <recipe needs_subscription="no" id="builtin:skeptical_enquirer" author="Starson17" description="Investigation of fringe science and paranormal claims." title="The Skeptical Inquirer" language="en"/>
+  <recipe needs_subscription="no" id="builtin:southernstar" author="watou" description="West Cork's leading news and information provider since 1889" title="The Southern Star" language="en_IE"/>
+  <recipe needs_subscription="no" id="builtin:standardmedia_ke" author="Hans Donner" description="News from Kenia" title="The Standard" language="en"/>
+  <recipe needs_subscription="no" id="builtin:straitstimes" author="Darko Miletic" description="Singapore newspaper" title="The Straits Times" language="en_SG"/>
+  <recipe needs_subscription="no" id="builtin:the_sun" author="Dave Asbury" description="Articles from The Sun tabloid UK" title="The Sun UK" language="en_GB"/>
+  <recipe needs_subscription="yes" id="builtin:sunday_times_magazine" author="Bobby Steel &amp; Darko Miletic" description="Newsmagazine from United Kingdom and World" title="The Sunday Times Magazine UK" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:smh" author="Darko Miletic" description="Breaking news from Sydney, Australia and the world. Features the latest business, sport, entertainment, travel, lifestyle, and technology news." title="The Sydney Morning Herald" language="en_AU"/>
+  <recipe needs_subscription="no" id="builtin:tmz" author="Tony Stegall" description="Celeb Gossip and News" title="The TMZ" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:telegraph_uk" author="A10KiloHam, based on work by Darko Miletic and Sujata Raman" description="News from United Kingdom" title="The Telegraph (UK)" language="en_GB"/>
+  <recipe needs_subscription="yes" id="builtin:times_online" author="Bobby Steel" description="news from United Kingdom and World" title="The Times &amp; Sunday Times (UK)" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:toi" author="Karthik" description="News from the Indian daily Times of India" title="The Times of India" language="en_IN"/>
+  <recipe needs_subscription="no" id="builtin:thestar" author="Darko Miletic" description="Thestar.com is Canada's largest online news site. Stay current with our sports, business entertainment news and more from the Toronto Star and thestar.com" title="The Toronto Star" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:the_verge" author="Krittika Goyal" description="" title="The Verge" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:wsj" author="Kovid Goyal" description="News and current affairs" title="The Wall Street Journal" language="en"/>
+  <recipe needs_subscription="no" id="builtin:wsj_free" author="Kovid Goyal" description="News and current affairs" title="The Wall Street Journal (free)" language="en"/>
+  <recipe needs_subscription="no" id="builtin:walrusmag" author="Bert" description="National general interest magazine about Canada and its place in the world" title="The Walrus Mag" language="en"/>
+  <recipe needs_subscription="no" id="builtin:wash_post" author="Darko Miletic" description="Leading source for news, video and opinion on politics, business, world and national news, science, travel, entertainment and more. Our local coverage includes reporting on education, crime, weather, traffic, real estate, jobs and cars for DC, Maryland and Virginia. Offering award-winning opinion writing, entertainment information and restaurant reviews." title="The Washington Post" language="en"/>
+  <recipe needs_subscription="no" id="builtin:twtfb" author="Darko Miletic" description="Frederik Pohl's blog" title="The Way the Future Blogs" language="en"/>
+  <recipe needs_subscription="no" id="builtin:thewest_au" author="Darko Miletic" description="News from Australia" title="The West Australian" language="en_AU"/>
+  <recipe needs_subscription="no" id="builtin:the_workingham_times" author="Darko Miletic" description="News from UK" title="The Wokingham Times" language="en_GB"/>
+  <recipe needs_subscription="no" id="builtin:atlantic_com" author="Kovid Goyal" description="News and editorial about politics, culture, entertainment, tech, etc. Contains many articles not seen in The Atlantic magazine" title="TheAtlantic.com" language="en"/>
+  <recipe needs_subscription="no" id="builtin:the_journal" author="calibre" description="" title="TheJournal.ie" language="en_IE"/>
+  <recipe needs_subscription="no" id="builtin:the_marker" author="Marbs" description="TheMarker Financial News in Hebrew" title="TheMarker" language="he"/>
+  <recipe needs_subscription="no" id="builtin:serverside" author="Rick Kellogg" description="news" title="TheServerSide.com" language="en"/>
+  <recipe needs_subscription="no" id="builtin:the_week_magazine_free" author="Jim Olo" description="The best of the US and international media.  Daily coverage of commentary and analysis of the day's events, as well as arts, entertainment, people and gossip, and political cartoons." title="TheWeek.com" language="en"/>
+  <recipe needs_subscription="no" id="builtin:think_progress" author="Xanthan Gum" description="A compilation of progressive articles on social and economic justice, healthy communities,  media accountability, global and domestic security." title="Think Progress" language="en"/>
+  <recipe needs_subscription="no" id="builtin:tidbits" author="Darko Miletic" description="Insightful news, reviews, and analysis of the Macintosh and Internet worlds" title="TidBITS: Mac News for the Rest of Us" language="en"/>
+  <recipe needs_subscription="no" id="builtin:tijolaco" author="Diniz Bortolotto" description="Posts do Blog Tijolaço.com" title="Tijolaco.com" language="pt_BR"/>
+  <recipe needs_subscription="no" id="builtin:tillsonburg" author="Eric Coolman" description="Norfolk County and Tillsonburg, Ontario Canada Newspapers" title="Tillsonburg/Norfolk County" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:time_turk" author="asalet_r" description="" title="TimeTürk" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:timesnewroman" author="Silviu Cotoară" description="Cotidian independent de umor voluntar" title="Times New Roman" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:times_of_malta" author="To Do" description="" title="Times of Malta" language="en"/>
+  <recipe needs_subscription="no" id="builtin:titanic_de" author="Krittika Goyal" description="" title="Titanic" language="de"/>
+  <recipe needs_subscription="no" id="builtin:tovima" author="Stelios" description=" News from Greece" title="To Vima" language="el"/>
+  <recipe needs_subscription="no" id="builtin:today_online" author="rty" description="" title="Today Online - Singapore" language="en_SG"/>
+  <recipe needs_subscription="no" id="builtin:todays_zaman" author="spswerling" description="English version of Turkish Daily &quot;Zaman&quot;" title="Todays Zaman" language="en_TR"/>
+  <recipe needs_subscription="no" id="builtin:tomshardware_it" author="faber1971" description="Italian website on technology - v1.00 (28, January 2012)" title="Tom's Hardware" language="it"/>
+  <recipe needs_subscription="optional" id="builtin:tomshardware" author="Darko Miletic" description="Hardware reviews and News" title="Tom's Hardware US" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:toyokeizai" author="Hiroshi Miura" description="Japanese traditional economy and business magazine, only for advanced subscribers supported" title="ToyoKeizai News" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:tri_city_herald" author="Laura Gjovaag" description="The Tri-City Herald Mid-Columbia." title="Tri-City Herald" language="en"/>
+  <recipe needs_subscription="no" id="builtin:trombon" author="Silviu Cotoară" description="Parodii si Pamflete" title="Trombon" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:trouw" author="asalet_r" description="Trouw de Verdieping" title="Trouw" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:trystero" author="Tomasz Długosz" description="Trystero.pl jest niezależnym blogiem finansowym. Publikowane na nim teksty dotyczą rynku kapitałowego, ekonomii, gospodarki i życia społecznego – w takiej mniej więcej kolejności." title="Trystero" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:trojmiasto_pl" author="fenuks" description="Wiadomości, imprezy, wydarzenia, spektakle.Gdańsk, Gdynia, Sopot - NOCLEGI, Katalog firm, repertuar kin, wydarzenia, przewodnik, mapa, kwatery, hotele. Portal regionalny trojmiasto.pl" title="Trójmiasto.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:tulsaworld" author="Darko Miletic" description="Find breaking news, local news, Oklahoma weather, sports, business, entertainment, lifestyle, opinion, government, movies, books, jobs, education, blogs, video &amp; multimedia." title="Tulsa World" language="en"/>
+  <recipe needs_subscription="no" id="builtin:tuttosport" author="calibre" description="Sport daily news from Italy" title="Tuttosport" language="it"/>
+  <recipe needs_subscription="no" id="builtin:tweakers" author="Kovid Goyal" description="" title="Tweakers.net" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:tweakers_net" author="Kovid Goyal" description="" title="Tweakers.net" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:twitchfilms" author="Darko Miletic" description="Twitch specializes in spreading the news on strange little films from around the world." title="Twitch Films" language="en"/>
+  <recipe needs_subscription="no" id="builtin:tyden.cz" author="bubak" description="" title="Tyden.cz" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:tolzer_kurier" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Tölzer Kurier" language="de"/>
+  <recipe needs_subscription="no" id="builtin:ubuntu_pl" author="fenuks" description="Polskie forum użytkowników Ubuntu Linux. Projekty, porady i dyskusje, gotowe rozwiązania problemów." title="UBUNTU.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:unperiodico" author="Ismael Mejia &lt;iemejia@gmail.com&gt;" description="UN Periodico" title="UN Periodico" language="es_CO"/>
+  <recipe needs_subscription="no" id="builtin:usnews" author="Darko Miletic" description="News from USA and world" title="US &amp; World Report news" language="en"/>
+  <recipe needs_subscription="no" id="builtin:usatoday" author="Kovid Goyal" description="newspaper" title="USA Today" language="en"/>
+  <recipe needs_subscription="no" id="builtin:fredensborglokalavisen_dk" author="CoderAllan.github.com" description="Uge-Nyt: Lokale og regionale nyheder, sport og kultur fra Fredensborg, Kokkedal og Humlebæk på fredensborg.lokalavisen.dk" title="Uge-Nyt" language="da"/>
+  <recipe needs_subscription="no" id="builtin:hoersholmlokalavisen_dk" author="CoderAllan.github.com" description="Lokale, regionale nyheder, sport og kultur i Hørsholm, Rungsted, Fredensborg og Humlebæk på hoersholm.lokalavisen.dk" title="Ugebladet" language="da"/>
+  <recipe needs_subscription="no" id="builtin:gribskovlokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra Gribskov og omegn på gribskov.lokalavisen.dk" title="Ugeposten Gribskov" language="da"/>
+  <recipe needs_subscription="no" id="builtin:ultimahora" author="Darko Miletic" description="Noticias de Paraguay y el resto del mundo" title="Ultima Hora" language="es_PY"/>
+  <recipe needs_subscription="no" id="builtin:uncrate" author="Darko Miletic" description="Uncrate is a web magazine for guys who love stuff. Our team digs up the best gadgets, clothes, cars, DVDs and more. New items are posted daily. Enjoy responsively." title="Uncrate" language="en"/>
+  <recipe needs_subscription="no" id="builtin:uninohimitu" author="Hiroshi Miura" description="Japanese famous Cat blog" title="Uni secret base" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:unica" author="Silviu Cotoară" description="Asa cum esti tu" title="Unica" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:upi" author="calibre" description="" title="United Press International" language="en"/>
+  <recipe needs_subscription="no" id="builtin:universe_today" author="seird" description="Space and astronomy news." title="Universe Today" language="en"/>
+  <recipe needs_subscription="no" id="builtin:utrinski" author="calibre" description="Daily Macedonian newspaper" title="Utrinski Vesnik" language="mk"/>
+  <recipe needs_subscription="no" id="builtin:vfr_magazine" author="Krittika Goyal" description="" title="VFR Magazine" language="it"/>
+  <recipe needs_subscription="no" id="builtin:vice" author="Adrian Tennessee (adrian.tennessee at domainthatnobodytakes.com)" description="VICE News web site ebook" title="VICE News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:valbybladet_dk" author="CoderAllan.github.com" description="" title="Valby Bladet" language="da"/>
+  <recipe needs_subscription="no" id="builtin:vancouver_province" author="Nick Redding" description="News from Vancouver, BC" title="Vancouver Province" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:vancouver_sun" author="Nick Redding" description="News from Vancouver, BC" title="Vancouver Sun" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:vanloesebladet_dk" author="CoderAllan.github.com" description="" title="Vanløse Bladet" language="da"/>
+  <recipe needs_subscription="no" id="builtin:variety" author="Darko Miletic" description="Breaking entertainment movie news, movie reviews, entertainment industry events, news and reviews from Cannes, Oscars, and Hollywood awards.  Featuring box office charts, archives and more." title="Variety" language="en"/>
+  <recipe needs_subscription="no" id="builtin:novosti" author="Darko Miletic" description="U početku su bile istinske večernje novine - pokrenute u vreme Tršćanske krize, Italijansko-jugoslovenskog konflikta oko grada Trsta - ali su brzo izrasle u dnevni informativno-politički list, koji već godinama ima najveći tiraž u Srbiji." title="Vecernje Novosti" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:vecernji_list" author="Darko Miletic" description="Vecernji.hr je vodeci hrvatski news portal. Cilj je biti prvi u objavljivanju svih vijesti iz Hrvatske, svijeta, sporta, gospodarstva, showbiza i jos mnogo vise. Uz cjelodnevni rad, novinari objavljuju preko 300 raznih vijesti svakoga dana. Vecernji.hr prati sve vaznije dogadaje specijalnim izvjestajima, video specijalima i foto galerijama." title="Vecernji List" language="hr"/>
+  <recipe needs_subscription="no" id="builtin:veintitres" author="Darko Miletic" description="Revista Argentino dedicada a politica" title="Veintitres" language="es_AR"/>
+  <recipe needs_subscription="no" id="builtin:version2" author="Rasmus Lauritsen" description="IT News" title="Version2.dk" language="da"/>
+  <recipe needs_subscription="no" id="builtin:vesterbrobladet_dk" author="CoderAllan.github.com" description="" title="Vesterbro Bladet" language="da"/>
+  <recipe needs_subscription="no" id="builtin:vice_magazine_de" author="atordo;alex" description="Die offizielle Website des Vice Magazins Deutschland" title="Vice Magazin Deutschland" language="de"/>
+  <recipe needs_subscription="no" id="builtin:vice_magazine" author="atordo" description="La página web oficial de la revista Vice España" title="Vice Magazine España" language="es"/>
+  <recipe needs_subscription="no" id="builtin:vic_times" author="Nick Redding" description="News from Victoria, BC" title="Victoria Times Colonist" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:vignette" author="faber1971" description="Ellekappa, Altan, Vauro - Italian best satirical cartoons" title="Vignette" language="it"/>
+  <recipe needs_subscription="no" id="builtin:vijesti" author="Darko Miletic" description="News from Montenegro" title="Vijesti" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:gentoftelokalavisen_dk" author="CoderAllan.github.com" description="Lokale og regionale nyheder, sport og kultur fra Gentofte, Hellerup og Charlottenlund på gentofte.lokalavisen.dk" title="Villabyerne" language="da"/>
+  <recipe needs_subscription="no" id="builtin:villagevoice" author="Barty" description="" title="Village Voice" language="en"/>
+  <recipe needs_subscription="no" id="builtin:virtualshackles" author="Darko Miletic" description="The adventures of Orion and Jack, making games they'd never play for people they don't like." title="Virtual Shackles" language="en"/>
+  <recipe needs_subscription="no" id="builtin:vitalia" author="Tomas Latal" description="Aktuality a články z Vitalia.cz" title="Vitalia" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:viva" author="Silviu Cotoară" description="Vedete si evenimente" title="Viva" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:vnexpress" author="Huan Komrade T" description="Vietnam news and current affairs from the Food Production Technology Corporation" title="VnExpress" language="vi"/>
+  <recipe needs_subscription="no" id="builtin:voetbal_belgie" author="erkfuizfeuadjfjzefzfuzeff" description="Voetbalnieuws uit België" title="Voetbal België" language="nl_BE"/>
+  <recipe needs_subscription="no" id="builtin:voice_of_america" author="Krittika Goyal" description="" title="Voice of America" language="en"/>
+  <recipe needs_subscription="yes" id="builtin:vreme" author="Darko Miletic" description="Politicki Nedeljnik Srbije" title="Vreme" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:vrijnederland" author="kwetal" description="Weekly opinion magazine from the Netherlands" title="Vrij Nederland" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:wnp" author="fenuks" description="Wirtualny Nowy Przemysł" title="WNP" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:woz_die" author="calibre" description="" title="WOZ Die Wochenzeitung" language="de"/>
+  <recipe needs_subscription="no" id="builtin:wvhooligan" author="rylsfan" description="A look at Major League Soccer (MLS) through the eyes of a MLS writer and fan." title="WV Hooligan" language="en"/>
+  <recipe needs_subscription="no" id="builtin:waco_tribune" author="rty" description="Waco, Texas, Newspaper" title="Waco Tribune Herald" language="en"/>
+  <recipe needs_subscription="no" id="builtin:wallstreetro" author="Silviu Cotoară" description="" title="Wall Street" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:walla" author="marbs" description="The WallaNews." title="Walla" language="he"/>
+  <recipe needs_subscription="no" id="builtin:warentest" author="asdfdsfksd" description="Stiftung Warentest is a German consumer organisation and foundation involved in investigating and comparing goods and services in an unbiased way" title="Warentest" language="de"/>
+  <recipe needs_subscription="no" id="builtin:wapo_cartoons" author="kwetal" description="Cartoons from the Washington Post" title="Washington Post Cartoons" language="en"/>
+  <recipe needs_subscription="no" id="builtin:wash_times" author="Kos Semonski" description="" title="Washington Times" language="en"/>
+  <recipe needs_subscription="no" id="builtin:watchingamerica" author="kwetal" description="Global opinion about the United States" title="Watching America" language="en"/>
+  <recipe needs_subscription="no" id="builtin:weblogs_sl" author="desUBIKado" description="Weblogs colectivos dedicados a seguir la actualidad sobre tecnologia, entretenimiento, estilos de vida, motor, deportes y economia." title="Weblogs SL (Xataka, Genbeta, VidaExtra, Blog de Cine y otros)" language="es"/>
+  <recipe needs_subscription="no" id="builtin:weilheimer_tagblatt" author="Bernd Boehm" description="German  online portal of Münchner Merkur" title="Weilheimer Tagblatt" language="de"/>
+  <recipe needs_subscription="no" id="builtin:welt_der_physik" author="Bernd Kunze" description="Welt der Physik - heute schon geforscht?" title="Welt der Physik" language="de"/>
+  <recipe needs_subscription="no" id="builtin:welt" author="Oliver Niesner" description="german newspaper" title="Weltonline" language="de"/>
+  <recipe needs_subscription="no" id="builtin:what_if" author="kisnik" description="The &quot;What If&quot; feed from xkcd" title="What If..." language="en"/>
+  <recipe needs_subscription="no" id="builtin:wichita_eagle" author="Jason Cameron" description="Daily news from the Wichita Eagle" title="Wichita Eagle" language="en"/>
+  <recipe needs_subscription="no" id="builtin:wikinews_en" author="Darko Miletic" description="News from wikipedia" title="Wikinews" language="en"/>
+  <recipe needs_subscription="no" id="builtin:windows_star" author="Nick Redding" description="News from Windsor, ON" title="Windsor Star" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:windsor_star" author="Nick Redding" description="News from Windsor, ON" title="Windsor Star" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:winnipeg_free_press" author="buyo" description="News from Winnipeg, Manitoba, Canada" title="Winnipeg Free Press" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:winnipeg_sun" author="rty" description="Winnipeg Newspaper" title="Winnipeg Sun" language="en_CA"/>
+  <recipe needs_subscription="no" id="builtin:wired_daily" author="Darko Miletic, PatStapleton(update 2020-05-24)" description="Wired is a full-color monthly American magazine, published in both print and online editions, that reports on how emerging technologies affect culture, the economy and politics." title="Wired Daily Edition" language="en"/>
+  <recipe needs_subscription="no" id="builtin:wired" author="Darko Miletic, update by Zach Lapidus, Michael Marotta" description="Wired is a full-color monthly American magazine, published in both print and online editions, that reports on how emerging technologies affect culture, the economy and politics. Monthly edition, best run at the start of every month." title="Wired Magazine, Monthly Edition" language="en"/>
+  <recipe needs_subscription="no" id="builtin:wired_it" author="isspro" description="Wired - Make in Italy. Inventa, sbaglia, innova" title="Wired.it" language="it"/>
+  <recipe needs_subscription="no" id="builtin:wirtscafts_woche" author="Armin Geller" description="Wirtschaftswoche Online - basierend auf den RRS-Feeds von Wiwo.de" title="WirtschaftsWoche Online" language="de"/>
+  <recipe needs_subscription="no" id="builtin:wirtualnemedia_pl" author="fenuks" description="Portal o mediach, reklamie, internecie, PR, telekomunikacji - nr 1 w Polsce - WirtualneMedia.pl - wiadomości z pierwszej ręki." title="Wirtualnemedia.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:wow" author="Krittika Goyal" description="" title="WoW Insider" language="en"/>
+  <recipe needs_subscription="no" id="builtin:wolne_media" author="teepel &lt;teepel44@gmail.com&gt;" description="Wiadomości z wolnemedia.net" title="Wolne Media" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:words_without_borders" author="sexymax15" description="" title="Words Without Borders" language="en"/>
+  <recipe needs_subscription="no" id="builtin:workers_world" author="urslnx" description="Socialist news and analysis" title="Workers World" language="en"/>
+  <recipe needs_subscription="no" id="builtin:worldcrunch" author="Krittika Goyal" description="" title="Worldcrunch" language="en"/>
+  <recipe needs_subscription="no" id="builtin:xpatloop" author="laca" description="" title="XpatLoop.com" language="en_HU"/>
+  <recipe needs_subscription="no" id="builtin:yagmur_dergisi" author="thomass" description="Üç Aylık Dil, Kültür ve Edebiyat Dergisi" title="Yagmur Dergisi" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:yahoo_news" author="Starson17" description="Yahoo-Science" title="Yahoo News" language="en"/>
+  <recipe needs_subscription="no" id="builtin:yakima_herald" author="Laura Gjovaag" description="The Yakima Herald-Republic." title="Yakima Herald-Republic" language="en"/>
+  <recipe needs_subscription="no" id="builtin:yalansavar" author="asalet_r" description="" title="Yalansavar" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:yazihane" author="A Erdogan" description="Sports Blog" title="Yazihane" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:yementimes" author="kwetal" description="Award winning weekly from Yemen, promoting press freedom, professional journalism and the defense of human rights." title="Yemen Times" language="en_YE"/>
+  <recipe needs_subscription="no" id="builtin:yeni_umit_dergisi" author="thomass" description="Aylık Dini İlimler ve Kültür Dergisi" title="Yeni Umit Dergisi" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:yenisafak_gazetesi" author="thomass" description="" title="Yenişafak Gazetesi" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:ynet" author="marbs" description="This is a recipe of Ynet.co.il. The recipe opens the article page and clicks on an advertisement to not hurt the sites advertising income." title="Ynet" language="he"/>
+  <recipe needs_subscription="no" id="builtin:yomiuri" author="Hiroshi Miura" description="Japanese traditional newspaper Yomiuri Online News" title="Yomiuri Online (Latest)" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:yomiuri_world" author="Hiroshi Miura" description="Japanese traditional newspaper Yomiuri Online News/world news" title="Yomiuri Online (World)" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:zaman" author="thomass" description=" Zaman Gazetesinin internet sitesinden günlük haberler" title="ZAMAN Gazetesi" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:zdnet.fr" author="calibre" description="Actualités" title="ZDNet.fr" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:zaufana_trzecia_strona" author="fenuks" description="Niezależne źródło wiadomości o świecie bezpieczeństwa IT" title="Zaufana Trzecia Strona" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:zaxid_net" author="rpalyvoda" description="" title="Zaxid.net" language="uk"/>
+  <recipe needs_subscription="no" id="builtin:zeitde" author="Armin Geller, Thomas Hollstegge" description="German online portal of newspaper Die Zeit" title="Zeit Online" language="de"/>
+  <recipe needs_subscription="no" id="builtin:zerohedge" author="Darko Miletic" description="On a long enough timeline the survival rate for everyone drops to zero" title="Zero Hedge" language="en"/>
+  <recipe needs_subscription="no" id="builtin:zerocalcare" author="faber1971" description="Free Italian Comics" title="Zerocalcare" language="und"/>
+  <recipe needs_subscription="no" id="builtin:ziarulfinanciar" author="Silviu Cotoară" description="Știri din Business" title="Ziarul Financiar" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:zita_be" author="erkfuizfeuadjfjzefzfuzeff" description="Lifestyle News from Belgium in Dutch" title="Zita.be" language="nl_BE"/>
+  <recipe needs_subscription="no" id="builtin:ziuaveche" author="Silviu Cotoară" description="Cotidian online" title="Ziua Veche" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:znadplanszy_pl" author="fenuks" description="" title="ZnadPlanszy.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:origo_hu" author="laca" description="" title="[origo]" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:aktualne.cz" author="bubak" description="aktuálně.cz" title="aktualne.cz" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:attac_es" author="Marc Busqué &lt;marc@lamarciana.com&gt;" description="La Asociación por la Tasación de las Transacciones Financieras y por la Ayuda a los Ciudadanos (ATTAC) es un movimiento internacional altermundialista que promueve el control democrático de los mercados financieros y las instituciones encargadas de su control mediante la reflexión política y la movilización social." title="attac.es" language="es"/>
+  <recipe needs_subscription="no" id="builtin:b365realitatea" author="Silviu Cotoară" description="b365 Realitatea" title="b365 Realitatea" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:badania_net" author="fenuks" description="chcesz wiedzieć więcej?" title="badania.net" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:bitacora" author="Gustavo Azambuja" description="Noticias de Uruguay" title="bitacora.com.uy" language="es_UY"/>
+  <recipe needs_subscription="no" id="builtin:brand_eins" author="Nikolas Mangold-Takao, Thomas Schlenkhoff" description="brand eins beschreibt den momentanen Wandel in Wirtschaft und Gesellschaft." title="brand eins" language="de"/>
+  <recipe needs_subscription="no" id="builtin:darknet" author="Oliver Niesner" description="Ethical hacking and security news" title="darknet" language="en"/>
+  <recipe needs_subscription="no" id="builtin:denik.cz" author="bubak" description="Český deník" title="denik.cz" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:der_standard" author="Gerhard Aigner and Sujata Raman and Marcel Jira and Peter Reschenhofer" description="Nachrichten aus Österreich" title="derStandard" language="de_AT"/>
+  <recipe needs_subscription="no" id="builtin:diagonal" author="Ruben Pollan" description="Periodico quincenal de actualidad critica" title="diagonal" language="es"/>
+  <recipe needs_subscription="no" id="builtin:drivelry" author="Krittika Goyal" description="A blog by Mike Abrahams" title="drivelry.com" language="en"/>
+  <recipe needs_subscription="no" id="builtin:dzieje_pl" author="fenuks" description="Dzieje.pl - najlepszy portal informacyjno-edukacyjny dotyczący historii Polski XX wieku. Archiwalne fotografie, filmy, katalog postaci, quizy i konkursy." title="dzieje.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:ecuisine" author="Silviu Cotoară" description="Reinventează plăcerea de a găti" title="eCuisine" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:egirl" author="Silviu Cotoară" description="Necesar pentru tine" title="egirl" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:eioba" author="fenuks" description="eioba.pl - daj się przeczytać!" title="eioba" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:ekathemerini" author="Thomas Scholl" description="News from Greece, English edition" title="ekathimerini" language="en_GR"/>
+  <recipe needs_subscription="no" id="builtin:folketidende_dk" author="CoderAllan.github.com" description="Lokalt nyhedssite, med nyheder og lokalstof om Lolland og Falster" title="folketidende.dk" language="da"/>
+  <recipe needs_subscription="no" id="builtin:freeway" author="Gustavo Azambuja" description="Revista Freeway, Montevideo, Uruguay" title="freeway.com.uy" language="es_UY"/>
+  <recipe needs_subscription="no" id="builtin:go4it" author="Silviu Cotoară" description="Gadgeturi, Lifestyle, Tehnologie" title="go4it" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:heise" author="Oliver Niesner" description="Computernews from Germany" title="heise" language="de"/>
+  <recipe needs_subscription="no" id="builtin:idnes" author="FunThomas" description="iDNES.cz Zprávy, Technet, Komiksy a další" title="iDnes.cz" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:ihned" author="Karel Bílek" description="Zprávy z iHNed.cz" title="iHNed" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:ihned.cz" author="bubak" description="ihned.cz" title="iHNed.cz" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:iliteratura_cz" author="Abelturd" description="O LITERATUŘE V CELÉM SVĚTĚ A DOMA" title="iLiteratura.cz" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:iprofesional" author="Darko Miletic" description="Las ultimas noticias sobre profesionales" title="iProfesional.com" language="es_AR"/>
+  <recipe needs_subscription="yes" id="builtin:heise_ix" author="Ralf Hein" description="Das iX Magazin als ePaper. Benötigt Heise Plus Digitalabo (siehe https://www.heise.de/plus/)" title="iX" language="de"/>
+  <recipe needs_subscription="no" id="builtin:ixbt" author="bugmen00t" description="Специализированный российский информационно-аналитический сайт с самыми актуальными новостями из сферы IT, детальными обзорами смартфонов, планшетов, персональных компьютеров, компьютерных комплектующих, программного обеспечения и периферийных устройств" title="iXBT.com" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:il_cambiamento" author="ghib9" description="" title="il Cambiamento" language="it"/>
+  <recipe needs_subscription="no" id="builtin:in_gr" author="Stelios" description="News from Greece" title="in.gr" language="el"/>
+  <recipe needs_subscription="no" id="builtin:ifzm" author="rty" description="Chinese Weekly Tabloid" title="infzm - China Southern Weekly" language="zh"/>
+  <recipe needs_subscription="no" id="builtin:io9" author="NA" description="io9, We Come From the Future." title="io9" language="en"/>
+  <recipe needs_subscription="no" id="builtin:ionline_pt" author="Darko Miletic" description="News from Portugal" title="ionline - Portugal" language="pt"/>
+  <recipe needs_subscription="no" id="builtin:kath_net" author="Bobus" description="Katholische Nachrichten" title="kath.net" language="de"/>
+  <recipe needs_subscription="no" id="builtin:ksiazka_pl" author="fenuks" description="Portal Księgarski - tematyczny serwis o książkach. Wydarzenia z rynku księgarsko-wydawniczego, nowości, zapowiedzi, bestsellery, setki recenzji. Niezbędne informacje dla każdego miłośnika książek, księgarza, bibliotekarza i wydawcy." title="książka.net.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:lequipe" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" description="Retrouvez tout le sport en direct sur le site de L'EQUIPE et suivez l'actualité du football, rugby, basket, cyclisme, f1, volley, hand, tous les résultats sportifs" title="l'equipe" language="fr"/>
+  <recipe needs_subscription="no" id="builtin:lidovky" author="bubak" description="lidovky.cz" title="lidovky" language="cs"/>
+  <recipe needs_subscription="yes" id="builtin:lwn" author="Oliver Niesner" description="Linux Weekly News" title="lwn" language="en"/>
+  <recipe needs_subscription="no" id="builtin:msnbc" author="Darko Miletic" description="A Fuller Spectrum of News" title="msnbc.com" language="en"/>
+  <recipe needs_subscription="no" id="builtin:newz_dk" author="CoderAllan.github.com" description="Nyheder for rigtige nørder" title="newz.dk" language="da"/>
+  <recipe needs_subscription="no" id="builtin:nos_nl" author="erkfuizfeuadjfjzefzfuzeff" description="News from the Netherlands in Dutch" title="nos.nl" language="nl_NL"/>
+  <recipe needs_subscription="no" id="builtin:novinky.cz" author="bubak" description="novinky.cz" title="novinky.cz" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:ncrnext" author="kwetal" description="Dutch newsblog from the Dutch daily newspaper nrcnext." title="nrcnext" language="nl"/>
+  <recipe needs_subscription="yes" id="builtin:nrc_next" author="Niels Giesen" description="De ePaper-versie van nrc•next" title="nrc•next" language="nl"/>
+  <recipe needs_subscription="no" id="builtin:optyczne_pl" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" description="Najlepsze testy obiektywów, testy aparatów cyfrowych i testy lornetek w sieci!" title="optyczne.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:ppe_pl" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" description="Portal o konsolach i grach wideo." title="ppe.pl" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:security_watch" author="Oliver Niesner" description="security news" title="securitywatch" language="en"/>
+  <recipe needs_subscription="no" id="builtin:sn_dk" author="CoderAllan.github.com" description="Sjællandske medier" title="sn.dk" language="da"/>
+  <recipe needs_subscription="no" id="builtin:sol_haber" author="Onur Güngör" description="Hayata soLdan bakın.." title="soL Haber" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:dominion" author="Krittika Goyal" description="" title="stuff.co.nz" language="en_NZ"/>
+  <recipe needs_subscription="no" id="builtin:tomshardware_de" author="Oliver Niesner" description="computer news in german" title="tomshardware" language="de"/>
+  <recipe needs_subscription="no" id="builtin:tuttojove" author="faber1971" description="Juventus" title="tuttojuve" language="it"/>
+  <recipe needs_subscription="yes" id="builtin:poche" author="Xavier Detant" description="Get your wallabag from your framabag account. wallabag is a self hosted read it later platform" title="wallabag" language="und"/>
+  <recipe needs_subscription="no" id="builtin:wenxuecity-znjy" author="Derek Liang" description="" title="wenxuecity - znjy" language="zh"/>
+  <recipe needs_subscription="no" id="builtin:superesportes" author="Luciano Furtado" description="Superesportes - Not√≠cias do esporte no Brasil e no mundo" title="www.superesportes.com.br" language="pt"/>
+  <recipe needs_subscription="no" id="builtin:xkcd" author="Martin Pitt updated by DrMerry." description="A webcomic of romance and math humor." title="xkcd" language="en"/>
+  <recipe needs_subscription="no" id="builtin:zdnet" author="Oliver Niesner, Krittika Goyal" description="zdnet security" title="zdnet" language="en"/>
+  <recipe needs_subscription="no" id="builtin:zougla" author="Stelios" description="" title="zougla" language="el"/>
+  <recipe needs_subscription="no" id="builtin:hola" author="calibre" description="Diario de actualidad, moda y belleza" title="¡Hola!" language="es"/>
+  <recipe needs_subscription="optional" id="builtin:elet_es_irodalom" author="Bigpapa" description="" title="Élet és Irodalom" language="hu"/>
+  <recipe needs_subscription="no" id="builtin:intrefete" author="Silviu Cotoară" description="Petrece ziua cu stil, află ce e nou între fete" title="Între fete" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:oesterbroavis_dk" author="CoderAllan.github.com" description="" title="Østerbro Avis" language="da"/>
+  <recipe needs_subscription="no" id="builtin:ct24" author="zoidozoido" description="" title="ČT24" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:ceska_pozice" author="bubak" description="Česká pozice" title="Česká pozice" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:ceske_noviny" author="bubak" description="ceskenoviny.cz" title="České Noviny" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:cesky_rozhlas_6" author="bubak" description="Český rozhlas 6" title="Český rozhlas 6" language="cs"/>
+  <recipe needs_subscription="no" id="builtin:iktibas" author="asalet_r" description="" title="İktibas" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:insan_okur" author="asalet_r" description="" title="İnsan Okur" language="tr"/>
+  <recipe needs_subscription="no" id="builtin:swiatkindle" author="Tomasz Długosz" description="Czytniki e-książek w Polsce. Jak wybrać, kupić i korzystać z Amazon Kindle i innych" title="Świat Czytników" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:swiat_obrazu" author="fenuks" description="Internetowy Dziennik o Fotografii i Wideo www.SwiatObrazu.pl to źródło informacji o technice fotografii i wideo, o sprzęcie najbardziej znanych i uznanych firm: Canon, Nikon, Sony, Hasselblad i wielu innych. Znajdziecie tu programy do obróbki zdjęć, forum foto i forum wideo i galerie zdjęć. Codziennie najświeższe informacje: aktualności, testy, poradniki, wywiady, felietony. Swiatobrazu.pl stale organizuje konkursy oraz warsztaty fotograficzne i wideo." title="Świat Obrazu" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:zycie_warszawy" author="Łukasz Grączewski" description="Wiadomości z Warszawy" title="Życie Warszawy" language="pl"/>
+  <recipe needs_subscription="no" id="builtin:stiintasitehnica" author="Silviu Cotoară" description="Știință şi Tehnică" title="Știință şi Tehnică" language="ro"/>
+  <recipe needs_subscription="no" id="builtin:navalny" author="bugmen00t" description="Блог Алексея Навального. Финальная битва между добром и нейтралитетом" title="Алексей Навальный" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:iekspries" author="rpalyvoda" description="" title="Експрес" language="uk"/>
+  <recipe needs_subscription="no" id="builtin:zadolba_li" author="bugmen00t" description="Всё началось в 2009 году с историй о клиентах и покупателях. Оказалось, не всё ладно и в университетах, и в госструктурах, да и соседи не сахар. «Задолба!ли» открывает глаза на негласные нормы поведения, прививает взаимную терпимость и дарит хорошее настроение людям с обеих сторон прилавка. Мы не претендуем на звание главной жалобной книги Рунета, но поучительных историй у нас предостаточно." title="Задолба!ли" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:id_pixel" author="bugmen00t" description="Новостной проект о ретро-играх и ретро-технике. Восьмибитные игры, шестнадцатибитные консоли, домашние компьютеры с играми на кассетах и так далее. Мы ищем ретро-новости по всему свету и доносим их до вас." title="Идеальный пиксель" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:inopressa" author="bug_me_not" description="Иностранная пресса о России и не только" title="ИноПресса" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:kompiutierra" author="lcd1232" description="Компьютерра: все новости про компьютеры, железо, новые технологии, информационные технологии" title="Компьютерра" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:lvivs_ks_ghazieta" author="rpalyvoda" description="" title="Львівська газета" language="uk"/>
+  <recipe needs_subscription="no" id="builtin:l_vivs_ghazieta" author="rpalyvoda" description="" title="Львівська газета" language="uk"/>
+  <recipe needs_subscription="no" id="builtin:media_zone" author="bugmen00t" description="Общественно-политическое издание, сделавшее акцент на функционировании закона в России. По мнению авторитетных медиаэкспертов, по цитируемости и посещаемости формат «Медиазоны» оказался ведущим форматом новостного издания в России 2015 года. «Медиазона» пишет о реально происходящем в России, первой улавливая векторы развития общества." title="МедиаЗона" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:oba" author="bugmen00t" description="Независимый правозащитный медиа-проект, посвященный политическим преследованиям в России." title="ОВД-Инфо" language="ru"/>
+  <recipe needs_subscription="optional" id="builtin:pecat" author="Darko Miletic" description="Интернет портал слободне Србије" title="Печат" language="sr"/>
+  <recipe needs_subscription="no" id="builtin:pravda_ru" author="Darko Miletic" description="Правда.Ру: Аналитика и новости" title="Правда" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:trv" author="Vadim Dyadkin" description="" title="Троицкий вариант" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:ukraiyns_tizhdien" author="rpalyvoda" description="" title="Український Тиждень" language="uk"/>
+  <recipe needs_subscription="no" id="builtin:ukraiyns_kii_tizhdien" author="rpalyvoda" description="" title="Український Тиждень" language="uk"/>
+  <recipe needs_subscription="no" id="builtin:echo_moskvy" author="bug_me_not" description="Радиостанция Эхо Москвы" title="Эхо Москвы" language="ru"/>
+  <recipe needs_subscription="no" id="builtin:china_times" author="einstuerzende, updated by Eddie Lau" description="China Times (Taiwan)" title="中時電子報" language="zh"/>
+  <recipe needs_subscription="no" id="builtin:people_daily" author="zzh" description="People Daily Newspaper" title="人民日报" language="zh"/>
+  <recipe needs_subscription="yes" id="builtin:nikkei_news" author="Ado Nishimura" description="日経電子版による日本経済新聞。朝刊・夕刊は取得時間により切り替わります。要購読" title="日本経済新聞（朝刊・夕刊）" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:nikkei_free" author="Hiroshi Miura" description="News and current market affairs from Japan, no subscription and getting max feed." title="日経新聞電子版(Free, MAX)" language="ja"/>
+  <recipe needs_subscription="yes" id="builtin:nikkei_sub" author="Hiroshi Miura" description="News and current market affairs from Japan, gather MAX articles" title="日経新聞電子版(MAX)" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:singtaohk" author="Eddie Lau" description="Hong Kong Chinese Newspaper (http://singtao.com)" title="星島日報 (香港)" language="zh"/>
+  <recipe needs_subscription="no" id="builtin:jijinews" author="Hiroshi Miura" description="World News from Jiji Press" title="時事通信" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:mainichi" author="Hiroshi Miura" description="Japanese traditional newspaper Mainichi Daily News" title="毎日新聞" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:mainichi_science_news" author="Hiroshi Miura" description="Japanese traditional newspaper Mainichi Daily News - science" title="毎日新聞(Science)" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:kahokushinpo" author="Hiroshi Miura" description="Tohoku regional news paper in Japan" title="河北新報" language="ja"/>
+  <recipe needs_subscription="no" id="builtin:zaobao" author="Pu Bo" description="News from zaobao.com" title="联合早报网 zaobao.com" language="zh"/>
+  <recipe needs_subscription="no" id="builtin:united_daily" author="Eddie Lau" description="United Daily (Taiwan)" title="聯合新聞網" language="zh_TW"/>
+  <recipe needs_subscription="no" id="builtin:liberty_times" author="einstuerzende, updated by Eddie Lau" description="Liberty Times (Taiwan)" title="自由電子報" language="zh"/>
+  <recipe needs_subscription="no" id="builtin:appledaily_tw" author="YuLun Shih" description="24 小時陪你看新聞，我們是最勁爆、最八卦、最貼近大家生活的台灣蘋果日報！" title="蘋果日報 (台灣)" language="zh_TW"/>
+  <recipe needs_subscription="no" id="builtin:apple_daily" author="Eddie Lau" description="http://hkm.appledaily.com/" title="蘋果日報 (香港)" language="zh"/>
+  <recipe needs_subscription="no" id="builtin:maekyung" author="Hoje Lee" description="매일경제 신문 기사" title="매일경제" language="ko"/>
+  <recipe needs_subscription="no" id="builtin:daum_net" author="trustin" description="Articles from media.daum.net" title="미디어 다음 오늘의 주요 뉴스" language="ko"/>
+  <recipe needs_subscription="no" id="builtin:sisainlive" author="Hoje Lee" description="시사인 라이브 기사" title="시사인 라이브" language="ko"/>
+  <recipe needs_subscription="no" id="builtin:chosun" author="Hoje Lee" description="조선닷컴 기사" title="조선일보" language="ko"/>
+  <recipe needs_subscription="no" id="builtin:joongang" author="Hoje Lee" description="중앙일보 신문 기사" title="중앙일보" language="ko"/>
+  <recipe needs_subscription="no" id="builtin:hankyoreh" author="Seongkyoun Yoo" description="The Hankyoreh News articles" title="한겨례" language="ko"/>
 </recipe_collection>
Binary files 4.99.6+dfsg+really4.20.0-1/resources/builtin_recipes.zip and 4.99.7+dfsg+really4.21.0-1/resources/builtin_recipes.zip differ
diff -pruN 4.99.6+dfsg+really4.20.0-1/resources/content-server/index-generated.html 4.99.7+dfsg+really4.21.0-1/resources/content-server/index-generated.html
--- 4.99.6+dfsg+really4.20.0-1/resources/content-server/index-generated.html	2020-07-03 02:16:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/resources/content-server/index-generated.html	2020-07-16 17:19:58.000000000 +0000
@@ -18756,7 +18756,7 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
             for (var ρσ_Index0 = 0; ρσ_Index0 < ρσ_Iter0.length; ρσ_Index0++) {
                 a = ρσ_Iter0[ρσ_Index0];
                 href = a.getAttribute("href");
-                if (href.startswith("#")) {
+                if (href && href.startswith("#")) {
                     a.setAttribute("href", "javascript: void(0)");
                     a.setAttribute("data-" + link_uid, JSON.stringify((function(){
                         var ρσ_d = Object.create(null);
@@ -19708,50 +19708,46 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
             self.last_event_mode = "page";
             self.last_event_at = -1e4;
             self.last_event_backwards = false;
-            self.accumlated_scroll = 0;
+            self.accumulated_scroll = 0;
         };
         if (!HandleWheel.prototype.reset.__module__) Object.defineProperties(HandleWheel.prototype.reset, {
             __module__ : {value: "read_book.paged_mode"}
         });
         HandleWheel.prototype.onwheel = function onwheel(evt) {
             var self = this;
-            var backward, WheelEvent;
+            var backward;
             if (!evt.deltaY) {
                 return;
             }
             backward = evt.deltaY < 0;
-            WheelEvent = window.WheelEvent;
-            if (evt.deltaMode === WheelEvent.DOM_DELTA_PAGE) {
-                self.do_scroll(backward);
+            if (evt.deltaMode === window.WheelEvent.DOM_DELTA_PIXEL) {
+                self.add_pixel_scroll(backward, Math.abs(evt.deltaY));
             } else {
-                self.add_event(backward, Math.abs(evt.deltaY), (evt.deltaMode === WheelEvent.DOM_DELTA_LINE) ? "line" : "pixel");
+                self.do_scroll(backward);
             }
         };
         if (!HandleWheel.prototype.onwheel.__argnames__) Object.defineProperties(HandleWheel.prototype.onwheel, {
             __argnames__ : {value: ["evt"]},
             __module__ : {value: "read_book.paged_mode"}
         });
-        HandleWheel.prototype.add_event = function add_event(backward, deltaY, mode) {
+        HandleWheel.prototype.add_pixel_scroll = function add_pixel_scroll(backward, deltaY) {
             var self = this;
             var now, lh;
             now = window.performance.now();
-            if (now - self.last_event_at > 1e3 || self.last_event_backwards !== backward || self.last_event_mode !== mode) {
-                self.accumlated_scroll = 0;
+            if (now - self.last_event_at > 1e3 || self.last_event_backwards !== backward || self.last_event_mode !== "pixel") {
+                self.accumulated_scroll = 0;
             }
-            self.last_event_mode = mode;
+            self.last_event_mode = "pixel";
             self.last_event_at = now;
             self.last_event_backwards = backward;
+            self.accumulated_scroll += deltaY;
             lh = line_height();
-            if (mode === "line") {
-                deltaY *= lh;
-            }
-            self.accumlated_scroll += deltaY;
-            if (self.accumlated_scroll > 5 * lh) {
+            if (self.accumulated_scroll > 5 * lh) {
                 self.do_scroll(backward);
             }
         };
-        if (!HandleWheel.prototype.add_event.__argnames__) Object.defineProperties(HandleWheel.prototype.add_event, {
-            __argnames__ : {value: ["backward", "deltaY", "mode"]},
+        if (!HandleWheel.prototype.add_pixel_scroll.__argnames__) Object.defineProperties(HandleWheel.prototype.add_pixel_scroll, {
+            __argnames__ : {value: ["backward", "deltaY"]},
             __module__ : {value: "read_book.paged_mode"}
         });
         HandleWheel.prototype.do_scroll = function do_scroll(backward) {
@@ -21929,7 +21925,7 @@ return this.__repr__();
         var is_ios = ρσ_modules.utils.is_ios;
 
         FORCE_FLOW_MODE = false;
-        CALIBRE_VERSION = "4.20.0";
+        CALIBRE_VERSION = "4.21.0";
         ERS_SUPPORTED_FEATURES = (function(){
             var s = ρσ_set();
             s.jsset.add("dom-manipulation");
Binary files 4.99.6+dfsg+really4.20.0-1/resources/content-server/locales.zip and 4.99.7+dfsg+really4.21.0-1/resources/content-server/locales.zip differ
Binary files 4.99.6+dfsg+really4.20.0-1/resources/ebook-convert-complete.calibre_msgpack and 4.99.7+dfsg+really4.21.0-1/resources/ebook-convert-complete.calibre_msgpack differ
diff -pruN 4.99.6+dfsg+really4.20.0-1/resources/editor-functions.json 4.99.7+dfsg+really4.21.0-1/resources/editor-functions.json
--- 4.99.6+dfsg+really4.20.0-1/resources/editor-functions.json	2020-07-03 02:17:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/resources/editor-functions.json	2020-07-16 17:20:26.000000000 +0000
@@ -1,12 +1,12 @@
 {
+    "Title-case text (ignore tags)": "from calibre.utils.titlecase import titlecase\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_html_text\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Title-case matched text, ignoring the text inside tag definitions.'''\n    return apply_func_to_html_text(match, titlecase)\n", 
     "Swap the case of text (ignore tags)": "from icu import swap_case\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_html_text\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Swap the case of the matched text, ignoring the text inside tag definitions.'''\n    return apply_func_to_html_text(match, swapcase)\n", 
-    "Swap the case of text": "from icu import swap_case\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_match_groups\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Swap the case of the matched text. If the regular expression contains groups,\n    only the text in the groups will be changed, otherwise the entire text is\n    changed.'''\n    return apply_func_to_match_groups(match, swapcase)\n", 
-    "Capitalize text (ignore tags)": "from calibre.utils.icu import capitalize\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_html_text\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Capitalize matched text, ignoring the text inside tag definitions.'''\n    return apply_func_to_html_text(match, capitalize)\n", 
+    "Title-case text": "from calibre.utils.titlecase import titlecase\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_match_groups\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Title-case matched text. If the regular expression contains groups,\n    only the text in the groups will be changed, otherwise the entire text is\n    changed.'''\n    return apply_func_to_match_groups(match, titlecase)\n", 
+    "Lower-case text (ignore tags)": "from calibre.utils.icu import lower\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_html_text\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Make matched text lower case, ignoring the text inside tag definitions.'''\n    return apply_func_to_html_text(match, lower)\n", 
     "Upper-case text (ignore tags)": "from calibre.utils.icu import upper\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_html_text\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Make matched text upper case, ignoring the text inside tag definitions.'''\n    return apply_func_to_html_text(match, upper)\n", 
+    "Capitalize text (ignore tags)": "from calibre.utils.icu import capitalize\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_html_text\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Capitalize matched text, ignoring the text inside tag definitions.'''\n    return apply_func_to_html_text(match, capitalize)\n", 
+    "Swap the case of text": "from icu import swap_case\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_match_groups\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Swap the case of the matched text. If the regular expression contains groups,\n    only the text in the groups will be changed, otherwise the entire text is\n    changed.'''\n    return apply_func_to_match_groups(match, swapcase)\n", 
     "Lower-case text": "from calibre.utils.icu import lower\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_match_groups\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Make matched text lower case. If the regular expression contains groups,\n    only the text in the groups will be changed, otherwise the entire text is\n    changed.'''\n    return apply_func_to_match_groups(match, lower)\n", 
-    "Title-case text": "from calibre.utils.titlecase import titlecase\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_match_groups\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Title-case matched text. If the regular expression contains groups,\n    only the text in the groups will be changed, otherwise the entire text is\n    changed.'''\n    return apply_func_to_match_groups(match, titlecase)\n", 
-    "Title-case text (ignore tags)": "from calibre.utils.titlecase import titlecase\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_html_text\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Title-case matched text, ignoring the text inside tag definitions.'''\n    return apply_func_to_html_text(match, titlecase)\n", 
     "Capitalize text": "from calibre.utils.icu import capitalize\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_match_groups\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Capitalize matched text. If the regular expression contains groups,\n    only the text in the groups will be changed, otherwise the entire text is\n    changed.'''\n    return apply_func_to_match_groups(match, capitalize)\n", 
-    "Upper-case text": "from calibre.utils.icu import upper\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_match_groups\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Make matched text upper case. If the regular expression contains groups,\n    only the text in the groups will be changed, otherwise the entire text is\n    changed.'''\n    return apply_func_to_match_groups(match, upper)\n", 
-    "Lower-case text (ignore tags)": "from calibre.utils.icu import lower\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_html_text\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Make matched text lower case, ignoring the text inside tag definitions.'''\n    return apply_func_to_html_text(match, lower)\n"
+    "Upper-case text": "from calibre.utils.icu import upper\nfrom calibre.ebooks.oeb.polish.utils import apply_func_to_match_groups\n\ndef replace(match, number, file_name, metadata, dictionaries, data, functions, *args, **kwargs):\n    '''Make matched text upper case. If the regular expression contains groups,\n    only the text in the groups will be changed, otherwise the entire text is\n    changed.'''\n    return apply_func_to_match_groups(match, upper)\n"
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/resources/hyphenation/locales.json 4.99.7+dfsg+really4.21.0-1/resources/hyphenation/locales.json
--- 4.99.6+dfsg+really4.20.0-1/resources/hyphenation/locales.json	2020-07-03 02:17:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/resources/hyphenation/locales.json	2020-07-16 17:20:22.000000000 +0000
@@ -1,89 +1,89 @@
 {
-  "fr_MC": "hyph_fr.dic", 
-  "hr_HR": "hyph_hr_HR.dic", 
-  "en_BS": "hyph_en_GB.dic", 
-  "es_DO": "hyph_es_ANY.dic", 
-  "is": "hyph_is.dic", 
-  "pl_PL": "hyph_pl_PL.dic", 
-  "te_IN": "hyph_te_IN.dic", 
-  "en_BZ": "hyph_en_GB.dic", 
-  "et_EE": "hyph_et_EE.dic", 
-  "nb_NO": "hyph_nb_NO.dic", 
   "fr_LU": "hyph_fr.dic", 
-  "id_ID": "hyph_id_ID.dic", 
-  "uk_UA": "hyph_uk_UA.dic", 
-  "en_IN": "hyph_en_GB.dic", 
-  "en_US": "hyph_en_US.dic", 
-  "lt_LT": "hyph_lt.dic", 
-  "es_UY": "hyph_es_ANY.dic", 
-  "en_IE": "hyph_en_GB.dic", 
-  "es_HN": "hyph_es_ANY.dic", 
+  "es_SV": "hyph_es_ANY.dic", 
   "en_CA": "hyph_en_GB.dic", 
-  "es_CU": "hyph_es_ANY.dic", 
-  "es_CR": "hyph_es_ANY.dic", 
-  "es_MX": "hyph_es_ANY.dic", 
-  "bg_BG": "hyph_bg_BG.dic", 
-  "en_ZA": "hyph_en_GB.dic", 
   "af_ZA": "hyph_af_ZA.dic", 
-  "es_GT": "hyph_es_ANY.dic", 
-  "en_GH": "hyph_en_GB.dic", 
-  "gl_ES": "hyph_gl.dic", 
-  "lv_LV": "hyph_lv_LV.dic", 
-  "es_CO": "hyph_es_ANY.dic", 
-  "nl_NL": "hyph_nl_NL.dic", 
-  "es_CL": "hyph_es_ANY.dic", 
-  "en_ZW": "hyph_en_GB.dic", 
-  "en_GB": "hyph_en_GB.dic", 
-  "nl_BE": "hyph_nl_NL.dic", 
-  "af_NA": "hyph_af_ZA.dic", 
-  "es_PY": "hyph_es_ANY.dic", 
-  "es_PR": "hyph_es_ANY.dic", 
+  "es_BO": "hyph_es_ANY.dic", 
+  "uk_UA": "hyph_uk_UA.dic", 
+  "bg_BG": "hyph_bg_BG.dic", 
+  "sr_Latn_RS": "hyph_sr-Latn.dic", 
   "sr_RS": "hyph_sr.dic", 
-  "en_NZ": "hyph_en_GB.dic", 
-  "de_DE": "hyph_de_DE.dic", 
-  "is_IS": "hyph_is.dic", 
-  "de": "hyph_de_DE.dic", 
   "en_NA": "hyph_en_GB.dic", 
-  "es_PA": "hyph_es_ANY.dic", 
-  "pt_AO": "hyph_pt_PT.dic", 
-  "es_PE": "hyph_es_ANY.dic", 
-  "gl": "hyph_gl.dic", 
-  "ru_RU": "hyph_ru_RU.dic", 
+  "te_IN": "hyph_te_IN.dic", 
+  "pt_PT": "hyph_pt_PT.dic", 
+  "en_NZ": "hyph_en_GB.dic", 
+  "en_JM": "hyph_en_GB.dic", 
+  "nn_NO": "hyph_nn_NO.dic", 
+  "it_IT": "hyph_it_IT.dic", 
+  "es_ES": "hyph_es_ANY.dic", 
   "te": "hyph_te_IN.dic", 
-  "da_DK": "hyph_da_DK.dic", 
   "be_BY": "hyph_be_BY.dic", 
-  "sl_SI": "hyph_sl_SI.dic", 
-  "sv_SE": "hyph_sv.dic", 
-  "es_BO": "hyph_es_ANY.dic", 
-  "sv_FI": "hyph_sv.dic", 
+  "pt_BR": "hyph_pt_BR.dic", 
+  "es_AR": "hyph_es_ANY.dic", 
+  "es_MX": "hyph_es_ANY.dic", 
+  "es_EC": "hyph_es_ANY.dic", 
   "de_CH": "hyph_de_CH.dic", 
-  "it_IT": "hyph_it_IT.dic", 
-  "en_JM": "hyph_en_GB.dic", 
+  "de": "hyph_de_DE.dic", 
+  "et_EE": "hyph_et_EE.dic", 
+  "sr_Latn_CS": "hyph_sr-Latn.dic", 
+  "lv_LV": "hyph_lv_LV.dic", 
+  "en_TT": "hyph_en_GB.dic", 
+  "sr_CS": "hyph_sr.dic", 
+  "ru_RU": "hyph_ru_RU.dic", 
+  "pl_PL": "hyph_pl_PL.dic", 
+  "en_GB": "hyph_en_GB.dic", 
+  "en_PH": "hyph_en_US.dic", 
+  "en_GH": "hyph_en_GB.dic", 
   "fr_CH": "hyph_fr.dic", 
-  "ro_RO": "hyph_ro_RO.dic", 
-  "es_NI": "hyph_es_ANY.dic", 
+  "es_HN": "hyph_es_ANY.dic", 
+  "da_DK": "hyph_da_DK.dic", 
+  "nl_NL": "hyph_nl_NL.dic", 
+  "gl": "hyph_gl.dic", 
+  "es_VE": "hyph_es_ANY.dic", 
+  "de_DE": "hyph_de_DE.dic", 
+  "gl_ES": "hyph_gl.dic", 
+  "en_AU": "hyph_en_GB.dic", 
+  "pt_AO": "hyph_pt_PT.dic", 
+  "id_ID": "hyph_id_ID.dic", 
+  "es_DO": "hyph_es_ANY.dic", 
   "cs_CZ": "hyph_cs_CZ.dic", 
+  "is": "hyph_is.dic", 
+  "hr_HR": "hyph_hr_HR.dic", 
+  "nl_BE": "hyph_nl_NL.dic", 
+  "hu_HU": "hyph_hu_HU.dic", 
+  "en_US": "hyph_en_US.dic", 
+  "fr_FR": "hyph_fr.dic", 
+  "es_UY": "hyph_es_ANY.dic", 
+  "sv_FI": "hyph_sv.dic", 
+  "fr_BE": "hyph_fr.dic", 
+  "es_GT": "hyph_es_ANY.dic", 
   "fr_CA": "hyph_fr.dic", 
+  "el_GR": "hyph_el_GR.dic", 
+  "is_IS": "hyph_is.dic", 
+  "nb_NO": "hyph_nb_NO.dic", 
+  "es_CO": "hyph_es_ANY.dic", 
+  "af_NA": "hyph_af_ZA.dic", 
+  "es_CL": "hyph_es_ANY.dic", 
+  "es_CR": "hyph_es_ANY.dic", 
+  "en_BS": "hyph_en_GB.dic", 
+  "fr_MC": "hyph_fr.dic", 
+  "es_NI": "hyph_es_ANY.dic", 
+  "ro_RO": "hyph_ro_RO.dic", 
   "zu_ZA": "hyph_zu_ZA.dic", 
-  "es_SV": "hyph_es_ANY.dic", 
+  "en_BZ": "hyph_en_GB.dic", 
+  "sv_SE": "hyph_sv.dic", 
+  "es_CU": "hyph_es_ANY.dic", 
   "sk_SK": "hyph_sk_SK.dic", 
-  "nn_NO": "hyph_nn_NO.dic", 
-  "sr_Latn_CS": "hyph_sr-Latn.dic", 
-  "pt_BR": "hyph_pt_BR.dic", 
-  "fr_FR": "hyph_fr.dic", 
-  "sr_Latn_RS": "hyph_sr-Latn.dic", 
-  "pt_PT": "hyph_pt_PT.dic", 
-  "es_ES": "hyph_es_ANY.dic", 
-  "hu_HU": "hyph_hu_HU.dic", 
-  "es_EC": "hyph_es_ANY.dic", 
-  "en_AU": "hyph_en_GB.dic", 
+  "es_PE": "hyph_es_ANY.dic", 
+  "sl_SI": "hyph_sl_SI.dic", 
+  "en_ZA": "hyph_en_GB.dic", 
+  "es_PA": "hyph_es_ANY.dic", 
   "en_MW": "hyph_en_GB.dic", 
-  "en_PH": "hyph_en_US.dic", 
-  "el_GR": "hyph_el_GR.dic", 
-  "sr_CS": "hyph_sr.dic", 
-  "fr_BE": "hyph_fr.dic", 
+  "en_IN": "hyph_en_GB.dic", 
+  "es_PY": "hyph_es_ANY.dic", 
+  "en_ZW": "hyph_en_GB.dic", 
+  "lt_LT": "hyph_lt.dic", 
+  "es_PR": "hyph_es_ANY.dic", 
   "de_AT": "hyph_de_AT.dic", 
-  "es_VE": "hyph_es_ANY.dic", 
-  "en_TT": "hyph_en_GB.dic", 
-  "es_AR": "hyph_es_ANY.dic"
+  "en_IE": "hyph_en_GB.dic"
 }
\ No newline at end of file
Binary files 4.99.6+dfsg+really4.20.0-1/resources/localization/iso3166.calibre_msgpack and 4.99.7+dfsg+really4.21.0-1/resources/localization/iso3166.calibre_msgpack differ
Binary files 4.99.6+dfsg+really4.20.0-1/resources/localization/iso639.calibre_msgpack and 4.99.7+dfsg+really4.21.0-1/resources/localization/iso639.calibre_msgpack differ
Binary files 4.99.6+dfsg+really4.20.0-1/resources/localization/locales.zip and 4.99.7+dfsg+really4.21.0-1/resources/localization/locales.zip differ
Binary files 4.99.6+dfsg+really4.20.0-1/resources/localization/stats.calibre_msgpack and 4.99.7+dfsg+really4.21.0-1/resources/localization/stats.calibre_msgpack differ
diff -pruN 4.99.6+dfsg+really4.20.0-1/resources/template-functions.json 4.99.7+dfsg+really4.21.0-1/resources/template-functions.json
--- 4.99.6+dfsg+really4.20.0-1/resources/template-functions.json	2020-07-03 02:17:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/resources/template-functions.json	2020-07-16 17:20:26.000000000 +0000
@@ -1,78 +1,78 @@
 {
-    "in_list": "def evaluate(self, formatter, kwargs, mi, locals, val, sep, *args):\n    if (len(args) % 2) != 1:\n        raise ValueError(_('in_list requires an odd number of arguments'))\n    l = [v.strip() for v in val.split(sep) if v.strip()]\n    i = 0\n    while i < len(args):\n        if i + 1 >= len(args):\n            return args[i]\n        sf = args[i]\n        fv = args[i+1]\n        if l:\n            for v in l:\n                if re.search(sf, v, flags=re.I):\n                    return fv\n        i += 2\n", 
-    "lowercase": "def evaluate(self, formatter, kwargs, mi, locals, val):\n    return val.lower()\n", 
-    "re": "def evaluate(self, formatter, kwargs, mi, locals, val, pattern, replacement):\n    return re.sub(pattern, replacement, val, flags=re.I)\n", 
-    "switch": "def evaluate(self, formatter, kwargs, mi, locals, val, *args):\n    if (len(args) % 2) != 1:\n        raise ValueError(_('switch requires an odd number of arguments'))\n    i = 0\n    while i < len(args):\n        if i + 1 >= len(args):\n            return args[i]\n        if re.search(args[i], val, flags=re.I):\n            return args[i+1]\n        i += 2\n", 
-    "list_intersection": "def evaluate(self, formatter, kwargs, mi, locals, list1, list2, separator):\n    l1 = [l.strip() for l in list1.split(separator) if l.strip()]\n    l2 = {icu_lower(l.strip()) for l in list2.split(separator) if l.strip()}\n    res = []\n    for i in l1:\n        if icu_lower(i) in l2 and i not in res:\n            res.append(i)\n    if separator == ',':\n        return ', '.join(res)\n    return separator.join(res)\n", 
-    "strcmp": "def evaluate(self, formatter, kwargs, mi, locals, x, y, lt, eq, gt):\n    v = strcmp(x, y)\n    if v < 0:\n        return lt\n    if v == 0:\n        return eq\n    return gt\n", 
-    "ondevice": "def evaluate(self, formatter, kwargs, mi, locals):\n    if hasattr(mi, '_proxy_metadata'):\n        if mi._proxy_metadata.ondevice_col:\n            return _('Yes')\n        return ''\n    return _('This function can be used only in the GUI')\n", 
-    "rating_to_stars": "def evaluate(self, formatter, kwargs, mi, locals, value, use_half_stars):\n    if not value:\n        return ''\n    err_msg = _('The rating must be a number between 0 and 5')\n    try:\n        v = float(value) * 2\n    except:\n        raise ValueError(err_msg)\n    if v < 0 or v > 10:\n        raise ValueError(err_msg)\n    from calibre.ebooks.metadata import rating_to_stars\n    return rating_to_stars(v, use_half_stars == '1')\n", 
-    "transliterate": "def evaluate(self, formatter, kwargs, mi, locals, source):\n    from calibre.utils.filenames import ascii_text\n    return ascii_text(source)\n", 
-    "author_sorts": "def evaluate(self, formatter, kwargs, mi, locals, val_sep):\n    sort_data = mi.author_sort_map\n    if not sort_data:\n        return ''\n    names = [sort_data.get(n) for n in mi.authors if n.strip()]\n    return val_sep.join(n for n in names)\n", 
-    "formats_paths": "def evaluate(self, formatter, kwargs, mi, locals):\n    fmt_data = mi.get('format_metadata', {})\n    try:\n        return ','.join(k.upper()+':'+unicode_type(v['path']) for k,v in iteritems(fmt_data))\n    except:\n        return ''\n", 
-    "cmp": "def evaluate(self, formatter, kwargs, mi, locals, x, y, lt, eq, gt):\n    x = float(x if x and x != 'None' else 0)\n    y = float(y if y and y != 'None' else 0)\n    if x < y:\n        return lt\n    if x == y:\n        return eq\n    return gt\n", 
-    "list_item": "def evaluate(self, formatter, kwargs, mi, locals, val, index, sep):\n    if not val:\n        return ''\n    index = int(index)\n    val = val.split(sep)\n    try:\n        return val[index].strip()\n    except:\n        return ''\n", 
-    "formats_sizes": "def evaluate(self, formatter, kwargs, mi, locals):\n    fmt_data = mi.get('format_metadata', {})\n    try:\n        return ','.join(k.upper()+':'+unicode_type(v['size']) for k,v in iteritems(fmt_data))\n    except:\n        return ''\n", 
-    "format_number": "def evaluate(self, formatter, kwargs, mi, locals, val, template):\n    if val == '' or val == 'None':\n        return ''\n    if '{' not in template:\n        template = '{0:' + template + '}'\n    try:\n        v1 = float(val)\n    except:\n        return ''\n    try:  # Try formatting the value as a float\n        return template.format(v1)\n    except:\n        pass\n    try:  # Try formatting the value as an int\n        v2 = trunc(v1)\n        if v2 == v1:\n            return template.format(v2)\n    except:\n        pass\n    return ''\n", 
-    "booksize": "def evaluate(self, formatter, kwargs, mi, locals):\n    if hasattr(mi, '_proxy_metadata'):\n        try:\n            v = mi._proxy_metadata.book_size\n            if v is not None:\n                return unicode_type(mi._proxy_metadata.book_size)\n            return ''\n        except:\n            pass\n        return ''\n    return _('This function can be used only in the GUI')\n", 
-    "finish_formatting": "def evaluate(self, formatter, kwargs, mi, locals_, val, fmt, prefix, suffix):\n    if not val:\n        return val\n    return prefix + formatter._do_format(val, fmt) + suffix\n", 
-    "first_matching_cmp": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    if (len(args) % 2) != 0:\n        raise ValueError(_('first_matching_cmp requires an even number of arguments'))\n    val = float(args[0] if args[0] and args[0] != 'None' else 0)\n    for i in range(1, len(args) - 1, 2):\n        c = float(args[i] if args[i] and args[i] != 'None' else 0)\n        if val < c:\n            return args[i+1]\n    return args[len(args)-1]\n", 
-    "first_non_empty": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    i = 0\n    while i < len(args):\n        if args[i]:\n            return args[i]\n        i += 1\n    return ''\n", 
-    "field": "def evaluate(self, formatter, kwargs, mi, locals, name):\n    return formatter.get_value(name, [], kwargs)\n", 
-    "raw_list": "def evaluate(self, formatter, kwargs, mi, locals, name, separator):\n    res = getattr(mi, name, None)\n    if not isinstance(res, list):\n        return \"%s is not a list\" % name\n    return separator.join(res)\n", 
-    "list_sort": "def evaluate(self, formatter, kwargs, mi, locals, list1, direction, separator):\n    res = [l.strip() for l in list1.split(separator) if l.strip()]\n    if separator == ',':\n        return ', '.join(sorted(res, key=sort_key, reverse=direction != \"0\"))\n    return separator.join(sorted(res, key=sort_key, reverse=direction != \"0\"))\n", 
-    "titlecase": "def evaluate(self, formatter, kwargs, mi, locals, val):\n    return titlecase(val)\n", 
-    "current_library_name": "def evaluate(self, formatter, kwargs, mi, locals):\n    from calibre.library import current_library_name\n    return current_library_name()\n", 
-    "or": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    i = 0\n    while i < len(args):\n        if args[i]:\n            return '1'\n        i += 1\n    return ''\n", 
-    "multiply": "def evaluate(self, formatter, kwargs, mi, locals, x, y):\n    x = float(x if x and x != 'None' else 0)\n    y = float(y if y and y != 'None' else 0)\n    return unicode_type(x * y)\n", 
-    "language_codes": "def evaluate(self, formatter, kwargs, mi, locals, lang_strings):\n    retval = []\n    for c in [c.strip() for c in lang_strings.split(',') if c.strip()]:\n        try:\n            cv = canonicalize_lang(c)\n            if cv:\n                retval.append(canonicalize_lang(cv))\n        except:\n            pass\n    return ', '.join(retval)\n", 
-    "approximate_formats": "def evaluate(self, formatter, kwargs, mi, locals):\n    if hasattr(mi, '_proxy_metadata'):\n        fmt_data = mi._proxy_metadata.db_approx_formats\n        if not fmt_data:\n            return ''\n        data = sorted(fmt_data)\n        return ','.join(v.upper() for v in data)\n    return _('This function can be used only in the GUI')\n", 
-    "author_links": "def evaluate(self, formatter, kwargs, mi, locals, val_sep, pair_sep):\n    if hasattr(mi, '_proxy_metadata'):\n        link_data = mi._proxy_metadata.author_link_map\n        if not link_data:\n            return ''\n        names = sorted(link_data.keys(), key=sort_key)\n        return pair_sep.join(n + val_sep + link_data[n] for n in names)\n    return _('This function can be used only in the GUI')\n", 
-    "check_yes_no": "def evaluate(self, formatter, kwargs, mi, locals, field, is_undefined, is_false, is_true):\n    res = getattr(mi, field, None)\n    if res is None:\n        if is_undefined == '1':\n            return 'yes'\n        return \"\"\n    if not isinstance(res, bool):\n        raise ValueError(_('check_yes_no requires the field be a Yes/No custom column'))\n    if is_false == '1' and not res:\n        return 'yes'\n    if is_true == '1' and res:\n        return 'yes'\n    return \"\"\n", 
-    "list_re_group": "def evaluate(self, formatter, kwargs, mi, locals, src_list, separator, include_re,\n             search_re, *args):\n    from calibre.utils.formatter import EvalFormatter\n    l = [l.strip() for l in src_list.split(separator) if l.strip()]\n    res = []\n    for item in l:\n        def repl(mo):\n            newval = ''\n            if mo and mo.lastindex:\n                for dex in range(0, mo.lastindex):\n                    gv = mo.group(dex+1)\n                    if gv is None:\n                        continue\n                    if len(args) > dex:\n                        template = args[dex].replace('[[', '{').replace(']]', '}')\n                        newval += EvalFormatter().safe_format(template, {'$': gv},\n                                          'EVAL', None, strip_results=False)\n                    else:\n                        newval += gv\n            return newval\n        if re.search(include_re, item, flags=re.I) is not None:\n            item = re.sub(search_re, repl, item, flags=re.I)\n            for i in [t.strip() for t in item.split(separator) if t.strip()]:\n                if i not in res:\n                    res.append(i)\n    if separator == ',':\n        return ', '.join(res)\n    return separator.join(res)\n", 
-    "lookup": "def evaluate(self, formatter, kwargs, mi, locals, val, *args):\n    if len(args) == 2:  # here for backwards compatibility\n        if val:\n            return formatter.vformat('{'+args[0].strip()+'}', [], kwargs)\n        else:\n            return formatter.vformat('{'+args[1].strip()+'}', [], kwargs)\n    if (len(args) % 2) != 1:\n        raise ValueError(_('lookup requires either 2 or an odd number of arguments'))\n    i = 0\n    while i < len(args):\n        if i + 1 >= len(args):\n            return formatter.vformat('{' + args[i].strip() + '}', [], kwargs)\n        if re.search(args[i], val, flags=re.I):\n            return formatter.vformat('{'+args[i+1].strip() + '}', [], kwargs)\n        i += 2\n", 
+    "swap_around_articles": "def evaluate(self, formatter, kwargs, mi, locals, val, separator):\n    if not val:\n        return ''\n    if not separator:\n        return title_sort(val).replace(',', ';')\n    result = []\n    try:\n        for v in [x.strip() for x in val.split(separator)]:\n            result.append(title_sort(v).replace(',', ';'))\n    except:\n        traceback.print_exc()\n    return separator.join(sorted(result, key=sort_key))\n", 
     "list_union": "def evaluate(self, formatter, kwargs, mi, locals, list1, list2, separator):\n    res = [l.strip() for l in list1.split(separator) if l.strip()]\n    l2 = [l.strip() for l in list2.split(separator) if l.strip()]\n    lcl1 = {icu_lower(l) for l in res}\n    for i in l2:\n        if icu_lower(i) not in lcl1 and i not in res:\n            res.append(i)\n    if separator == ',':\n        return ', '.join(res)\n    return separator.join(res)\n", 
-    "uppercase": "def evaluate(self, formatter, kwargs, mi, locals, val):\n    return val.upper()\n", 
-    "human_readable": "def evaluate(self, formatter, kwargs, mi, locals, val):\n    try:\n        return human_readable(round(float(val)))\n    except:\n        return ''\n", 
-    "strcat": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    i = 0\n    res = ''\n    for i in range(0, len(args)):\n        res += args[i]\n    return res\n", 
-    "current_library_path": "def evaluate(self, formatter, kwargs, mi, locals):\n    from calibre.library import current_library_path\n    return current_library_path()\n", 
-    "list_difference": "def evaluate(self, formatter, kwargs, mi, locals, list1, list2, separator):\n    l1 = [l.strip() for l in list1.split(separator) if l.strip()]\n    l2 = {icu_lower(l.strip()) for l in list2.split(separator) if l.strip()}\n    res = []\n    for i in l1:\n        if icu_lower(i) not in l2 and i not in res:\n            res.append(i)\n    if separator == ',':\n        return ', '.join(res)\n    return separator.join(res)\n", 
-    "identifier_in_list": "def evaluate(self, formatter, kwargs, mi, locals, val, ident, fv, nfv):\n    l = [v.strip() for v in val.split(',') if v.strip()]\n    (id, _, regexp) = ident.partition(':')\n    if not id:\n        return nfv\n    id += ':'\n    if l:\n        for v in l:\n            if v.startswith(id):\n                if not regexp or re.search(regexp, v[len(id):], flags=re.I):\n                    return fv\n    return nfv\n", 
+    "list_equals": "def evaluate(self, formatter, kwargs, mi, locals, list1, sep1, list2, sep2, yes_val, no_val):\n    s1 = {icu_lower(l.strip()) for l in list1.split(sep1) if l.strip()}\n    s2 = {icu_lower(l.strip()) for l in list2.split(sep2) if l.strip()}\n    if s1 == s2:\n        return yes_val\n    return no_val\n", 
+    "print": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    print(args)\n    return ''\n", 
+    "add": "def evaluate(self, formatter, kwargs, mi, locals, x, y):\n    x = float(x if x and x != 'None' else 0)\n    y = float(y if y and y != 'None' else 0)\n    return unicode_type(x + y)\n", 
+    "days_between": "def evaluate(self, formatter, kwargs, mi, locals, date1, date2):\n    try:\n        d1 = parse_date(date1)\n        if d1 == UNDEFINED_DATE:\n            return ''\n        d2 = parse_date(date2)\n        if d2 == UNDEFINED_DATE:\n            return ''\n    except:\n        return ''\n    i = d1 - d2\n    return '%.1f'%(i.days + (i.seconds/(24.0*60.0*60.0)))\n", 
+    "sublist": "def evaluate(self, formatter, kwargs, mi, locals, val, start_index, end_index, sep):\n    if not val:\n        return ''\n    si = int(start_index)\n    ei = int(end_index)\n    # allow empty list items so counts are what the user expects\n    val = [v.strip() for v in val.split(sep)]\n    if sep == ',':\n        sep = ', '\n    try:\n        if ei == 0:\n            return sep.join(val[si:])\n        else:\n            return sep.join(val[si:ei])\n    except:\n        return ''\n", 
+    "field": "def evaluate(self, formatter, kwargs, mi, locals, name):\n    return formatter.get_value(name, [], kwargs)\n", 
     "count": "def evaluate(self, formatter, kwargs, mi, locals, val, sep):\n    return unicode_type(len([v for v in val.split(sep) if v]))\n", 
+    "today": "def evaluate(self, formatter, kwargs, mi, locals):\n    return format_date(now(), 'iso')\n", 
+    "language_strings": "def evaluate(self, formatter, kwargs, mi, locals, lang_codes, localize):\n    retval = []\n    for c in [c.strip() for c in lang_codes.split(',') if c.strip()]:\n        try:\n            n = calibre_langcode_to_name(c, localize != '0')\n            if n:\n                retval.append(n)\n        except:\n            pass\n    return ', '.join(retval)\n", 
+    "list_difference": "def evaluate(self, formatter, kwargs, mi, locals, list1, list2, separator):\n    l1 = [l.strip() for l in list1.split(separator) if l.strip()]\n    l2 = {icu_lower(l.strip()) for l in list2.split(separator) if l.strip()}\n    res = []\n    for i in l1:\n        if icu_lower(i) not in l2 and i not in res:\n            res.append(i)\n    if separator == ',':\n        return ', '.join(res)\n    return separator.join(res)\n", 
+    "author_sorts": "def evaluate(self, formatter, kwargs, mi, locals, val_sep):\n    sort_data = mi.author_sort_map\n    if not sort_data:\n        return ''\n    names = [sort_data.get(n) for n in mi.authors if n.strip()]\n    return val_sep.join(n for n in names)\n", 
+    "eval": "def evaluate(self, formatter, kwargs, mi, locals, template):\n    from calibre.utils.formatter import EvalFormatter\n    template = template.replace('[[', '{').replace(']]', '}')\n    return EvalFormatter().safe_format(template, locals, 'EVAL', None)\n", 
+    "current_library_name": "def evaluate(self, formatter, kwargs, mi, locals):\n    from calibre.library import current_library_name\n    return current_library_name()\n", 
+    "list_sort": "def evaluate(self, formatter, kwargs, mi, locals, list1, direction, separator):\n    res = [l.strip() for l in list1.split(separator) if l.strip()]\n    if separator == ',':\n        return ', '.join(sorted(res, key=sort_key, reverse=direction != \"0\"))\n    return separator.join(sorted(res, key=sort_key, reverse=direction != \"0\"))\n", 
+    "raw_list": "def evaluate(self, formatter, kwargs, mi, locals, name, separator):\n    res = getattr(mi, name, None)\n    if not isinstance(res, list):\n        return \"%s is not a list\" % name\n    return separator.join(res)\n", 
+    "divide": "def evaluate(self, formatter, kwargs, mi, locals, x, y):\n    x = float(x if x and x != 'None' else 0)\n    y = float(y if y and y != 'None' else 0)\n    return unicode_type(x / y)\n", 
+    "has_cover": "def evaluate(self, formatter, kwargs, mi, locals):\n    if mi.has_cover:\n        return _('Yes')\n    return ''\n", 
+    "ondevice": "def evaluate(self, formatter, kwargs, mi, locals):\n    if hasattr(mi, '_proxy_metadata'):\n        if mi._proxy_metadata.ondevice_col:\n            return _('Yes')\n        return ''\n    return _('This function can be used only in the GUI')\n", 
+    "contains": "def evaluate(self, formatter, kwargs, mi, locals,\n             val, test, value_if_present, value_if_not):\n    if re.search(test, val, flags=re.I):\n        return value_if_present\n    else:\n        return value_if_not\n", 
+    "assign": "def evaluate(self, formatter, kwargs, mi, locals, target, value):\n    locals[target] = value\n    return value\n", 
+    "swap_around_comma": "def evaluate(self, formatter, kwargs, mi, locals, val):\n    return re.sub(r'^(.*?),\\s*(.*$)', r'\\2 \\1', val, flags=re.I).strip()\n", 
     "list_re": "def evaluate(self, formatter, kwargs, mi, locals, src_list, separator, include_re, opt_replace):\n    l = [l.strip() for l in src_list.split(separator) if l.strip()]\n    res = []\n    for item in l:\n        if re.search(include_re, item, flags=re.I) is not None:\n            if opt_replace:\n                item = re.sub(include_re, opt_replace, item)\n            for i in [t.strip() for t in item.split(separator) if t.strip()]:\n                if i not in res:\n                    res.append(i)\n    if separator == ',':\n        return ', '.join(res)\n    return separator.join(res)\n", 
-    "sublist": "def evaluate(self, formatter, kwargs, mi, locals, val, start_index, end_index, sep):\n    if not val:\n        return ''\n    si = int(start_index)\n    ei = int(end_index)\n    # allow empty list items so counts are what the user expects\n    val = [v.strip() for v in val.split(sep)]\n    if sep == ',':\n        sep = ', '\n    try:\n        if ei == 0:\n            return sep.join(val[si:])\n        else:\n            return sep.join(val[si:ei])\n    except:\n        return ''\n", 
-    "print": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    print(args)\n    return ''\n", 
-    "select": "def evaluate(self, formatter, kwargs, mi, locals, val, key):\n    if not val:\n        return ''\n    vals = [v.strip() for v in val.split(',')]\n    for v in vals:\n        if v.startswith(key+':'):\n            return v[len(key)+1:]\n    return ''\n", 
     "not": "def evaluate(self, formatter, kwargs, mi, locals, val):\n    return '' if val else '1'\n", 
     "format_date": "def evaluate(self, formatter, kwargs, mi, locals, val, format_string):\n    if not val or val == 'None':\n        return ''\n    try:\n        dt = parse_date(val)\n        s = format_date(dt, format_string)\n    except:\n        s = 'BAD DATE'\n    return s\n", 
-    "days_between": "def evaluate(self, formatter, kwargs, mi, locals, date1, date2):\n    try:\n        d1 = parse_date(date1)\n        if d1 == UNDEFINED_DATE:\n            return ''\n        d2 = parse_date(date2)\n        if d2 == UNDEFINED_DATE:\n            return ''\n    except:\n        return ''\n    i = d1 - d2\n    return '%.1f'%(i.days + (i.seconds/(24.0*60.0*60.0)))\n", 
-    "substr": "def evaluate(self, formatter, kwargs, mi, locals, str_, start_, end_):\n    return str_[int(start_): len(str_) if int(end_) == 0 else int(end_)]\n", 
+    "shorten": "def evaluate(self, formatter, kwargs, mi, locals,\n             val, leading, center_string, trailing):\n    l = max(0, int(leading))\n    t = max(0, int(trailing))\n    if len(val) > l + len(center_string) + t:\n        return val[0:l] + center_string + ('' if t == 0 else val[-t:])\n    else:\n        return val\n", 
+    "select": "def evaluate(self, formatter, kwargs, mi, locals, val, key):\n    if not val:\n        return ''\n    vals = [v.strip() for v in val.split(',')]\n    for v in vals:\n        if v.startswith(key+':'):\n            return v[len(key)+1:]\n    return ''\n", 
+    "current_library_path": "def evaluate(self, formatter, kwargs, mi, locals):\n    from calibre.library import current_library_path\n    return current_library_path()\n", 
     "and": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    i = 0\n    while i < len(args):\n        if not args[i]:\n            return ''\n        i += 1\n    return '1'\n", 
-    "eval": "def evaluate(self, formatter, kwargs, mi, locals, template):\n    from calibre.utils.formatter import EvalFormatter\n    template = template.replace('[[', '{').replace(']]', '}')\n    return EvalFormatter().safe_format(template, locals, 'EVAL', None)\n", 
+    "re": "def evaluate(self, formatter, kwargs, mi, locals, val, pattern, replacement):\n    return re.sub(pattern, replacement, val, flags=re.I)\n", 
+    "switch": "def evaluate(self, formatter, kwargs, mi, locals, val, *args):\n    if (len(args) % 2) != 1:\n        raise ValueError(_('switch requires an odd number of arguments'))\n    i = 0\n    while i < len(args):\n        if i + 1 >= len(args):\n            return args[i]\n        if re.search(args[i], val, flags=re.I):\n            return args[i+1]\n        i += 2\n", 
+    "ifempty": "def evaluate(self, formatter, kwargs, mi, locals, val, value_if_empty):\n    if val:\n        return val\n    else:\n        return value_if_empty\n", 
+    "virtual_libraries": "def evaluate(self, formatter, kwargs, mi, locals_):\n    if hasattr(mi, '_proxy_metadata'):\n        return mi._proxy_metadata.virtual_libraries\n    return _('This function can be used only in the GUI')\n", 
     "raw_field": "def evaluate(self, formatter, kwargs, mi, locals, name):\n    res = getattr(mi, name, None)\n    if isinstance(res, list):\n        fm = mi.metadata_for_field(name)\n        if fm is None:\n            return ', '.join(res)\n        return fm['is_multiple']['list_to_ui'].join(res)\n    return unicode_type(res)\n", 
-    "assign": "def evaluate(self, formatter, kwargs, mi, locals, target, value):\n    locals[target] = value\n    return value\n", 
-    "today": "def evaluate(self, formatter, kwargs, mi, locals):\n    return format_date(now(), 'iso')\n", 
-    "user_categories": "def evaluate(self, formatter, kwargs, mi, locals_):\n    if hasattr(mi, '_proxy_metadata'):\n        cats = set(k for k, v in iteritems(mi._proxy_metadata.user_categories) if v)\n        cats = sorted(cats, key=sort_key)\n        return ', '.join(cats)\n    return _('This function can be used only in the GUI')\n", 
-    "contains": "def evaluate(self, formatter, kwargs, mi, locals,\n             val, test, value_if_present, value_if_not):\n    if re.search(test, val, flags=re.I):\n        return value_if_present\n    else:\n        return value_if_not\n", 
+    "multiply": "def evaluate(self, formatter, kwargs, mi, locals, x, y):\n    x = float(x if x and x != 'None' else 0)\n    y = float(y if y and y != 'None' else 0)\n    return unicode_type(x * y)\n", 
+    "list_re_group": "def evaluate(self, formatter, kwargs, mi, locals, src_list, separator, include_re,\n             search_re, *args):\n    from calibre.utils.formatter import EvalFormatter\n    l = [l.strip() for l in src_list.split(separator) if l.strip()]\n    res = []\n    for item in l:\n        def repl(mo):\n            newval = ''\n            if mo and mo.lastindex:\n                for dex in range(0, mo.lastindex):\n                    gv = mo.group(dex+1)\n                    if gv is None:\n                        continue\n                    if len(args) > dex:\n                        template = args[dex].replace('[[', '{').replace(']]', '}')\n                        newval += EvalFormatter().safe_format(template, {'$': gv},\n                                          'EVAL', None, strip_results=False)\n                    else:\n                        newval += gv\n            return newval\n        if re.search(include_re, item, flags=re.I) is not None:\n            item = re.sub(search_re, repl, item, flags=re.I)\n            for i in [t.strip() for t in item.split(separator) if t.strip()]:\n                if i not in res:\n                    res.append(i)\n    if separator == ',':\n        return ', '.join(res)\n    return separator.join(res)\n", 
+    "first_non_empty": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    i = 0\n    while i < len(args):\n        if args[i]:\n            return args[i]\n        i += 1\n    return ''\n", 
+    "lookup": "def evaluate(self, formatter, kwargs, mi, locals, val, *args):\n    if len(args) == 2:  # here for backwards compatibility\n        if val:\n            return formatter.vformat('{'+args[0].strip()+'}', [], kwargs)\n        else:\n            return formatter.vformat('{'+args[1].strip()+'}', [], kwargs)\n    if (len(args) % 2) != 1:\n        raise ValueError(_('lookup requires either 2 or an odd number of arguments'))\n    i = 0\n    while i < len(args):\n        if i + 1 >= len(args):\n            return formatter.vformat('{' + args[i].strip() + '}', [], kwargs)\n        if re.search(args[i], val, flags=re.I):\n            return formatter.vformat('{'+args[i+1].strip() + '}', [], kwargs)\n        i += 2\n", 
+    "rating_to_stars": "def evaluate(self, formatter, kwargs, mi, locals, value, use_half_stars):\n    if not value:\n        return ''\n    err_msg = _('The rating must be a number between 0 and 5')\n    try:\n        v = float(value) * 2\n    except:\n        raise ValueError(err_msg)\n    if v < 0 or v > 10:\n        raise ValueError(err_msg)\n    from calibre.ebooks.metadata import rating_to_stars\n    return rating_to_stars(v, use_half_stars == '1')\n", 
+    "in_list": "def evaluate(self, formatter, kwargs, mi, locals, val, sep, *args):\n    if (len(args) % 2) != 1:\n        raise ValueError(_('in_list requires an odd number of arguments'))\n    l = [v.strip() for v in val.split(sep) if v.strip()]\n    i = 0\n    while i < len(args):\n        if i + 1 >= len(args):\n            return args[i]\n        sf = args[i]\n        fv = args[i+1]\n        if l:\n            for v in l:\n                if re.search(sf, v, flags=re.I):\n                    return fv\n        i += 2\n", 
+    "test": "def evaluate(self, formatter, kwargs, mi, locals, val, value_if_set, value_not_set):\n    if val:\n        return value_if_set\n    else:\n        return value_not_set\n", 
+    "first_matching_cmp": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    if (len(args) % 2) != 0:\n        raise ValueError(_('first_matching_cmp requires an even number of arguments'))\n    val = float(args[0] if args[0] and args[0] != 'None' else 0)\n    for i in range(1, len(args) - 1, 2):\n        c = float(args[i] if args[i] and args[i] != 'None' else 0)\n        if val < c:\n            return args[i+1]\n    return args[len(args)-1]\n", 
+    "strlen": "def evaluate(self, formatter, kwargs, mi, locals, a):\n    try:\n        return len(a)\n    except:\n        return -1\n", 
+    "format_number": "def evaluate(self, formatter, kwargs, mi, locals, val, template):\n    if val == '' or val == 'None':\n        return ''\n    if '{' not in template:\n        template = '{0:' + template + '}'\n    try:\n        v1 = float(val)\n    except:\n        return ''\n    try:  # Try formatting the value as a float\n        return template.format(v1)\n    except:\n        pass\n    try:  # Try formatting the value as an int\n        v2 = trunc(v1)\n        if v2 == v1:\n            return template.format(v2)\n    except:\n        pass\n    return ''\n", 
+    "template": "def evaluate(self, formatter, kwargs, mi, locals, template):\n    template = template.replace('[[', '{').replace(']]', '}')\n    return formatter.__class__().safe_format(template, kwargs, 'TEMPLATE', mi)\n", 
+    "finish_formatting": "def evaluate(self, formatter, kwargs, mi, locals_, val, fmt, prefix, suffix):\n    if not val:\n        return val\n    return prefix + formatter._do_format(val, fmt) + suffix\n", 
+    "list_intersection": "def evaluate(self, formatter, kwargs, mi, locals, list1, list2, separator):\n    l1 = [l.strip() for l in list1.split(separator) if l.strip()]\n    l2 = {icu_lower(l.strip()) for l in list2.split(separator) if l.strip()}\n    res = []\n    for i in l1:\n        if icu_lower(i) in l2 and i not in res:\n            res.append(i)\n    if separator == ',':\n        return ', '.join(res)\n    return separator.join(res)\n", 
+    "check_yes_no": "def evaluate(self, formatter, kwargs, mi, locals, field, is_undefined, is_false, is_true):\n    res = getattr(mi, field, None)\n    if res is None:\n        if is_undefined == '1':\n            return 'yes'\n        return \"\"\n    if not isinstance(res, bool):\n        raise ValueError(_('check_yes_no requires the field be a Yes/No custom column'))\n    if is_false == '1' and not res:\n        return 'yes'\n    if is_true == '1' and res:\n        return 'yes'\n    return \"\"\n", 
+    "author_links": "def evaluate(self, formatter, kwargs, mi, locals, val_sep, pair_sep):\n    if hasattr(mi, '_proxy_metadata'):\n        link_data = mi._proxy_metadata.author_link_map\n        if not link_data:\n            return ''\n        names = sorted(link_data.keys(), key=sort_key)\n        return pair_sep.join(n + val_sep + link_data[n] for n in names)\n    return _('This function can be used only in the GUI')\n", 
+    "approximate_formats": "def evaluate(self, formatter, kwargs, mi, locals):\n    if hasattr(mi, '_proxy_metadata'):\n        fmt_data = mi._proxy_metadata.db_approx_formats\n        if not fmt_data:\n            return ''\n        data = sorted(fmt_data)\n        return ','.join(v.upper() for v in data)\n    return _('This function can be used only in the GUI')\n", 
+    "cmp": "def evaluate(self, formatter, kwargs, mi, locals, x, y, lt, eq, gt):\n    x = float(x if x and x != 'None' else 0)\n    y = float(y if y and y != 'None' else 0)\n    if x < y:\n        return lt\n    if x == y:\n        return eq\n    return gt\n", 
+    "formats_sizes": "def evaluate(self, formatter, kwargs, mi, locals):\n    fmt_data = mi.get('format_metadata', {})\n    try:\n        return ','.join(k.upper()+':'+unicode_type(v['size']) for k,v in iteritems(fmt_data))\n    except:\n        return ''\n", 
+    "language_codes": "def evaluate(self, formatter, kwargs, mi, locals, lang_strings):\n    retval = []\n    for c in [c.strip() for c in lang_strings.split(',') if c.strip()]:\n        try:\n            cv = canonicalize_lang(c)\n            if cv:\n                retval.append(canonicalize_lang(cv))\n        except:\n            pass\n    return ', '.join(retval)\n", 
     "capitalize": "def evaluate(self, formatter, kwargs, mi, locals, val):\n    return capitalize(val)\n", 
-    "list_equals": "def evaluate(self, formatter, kwargs, mi, locals, list1, sep1, list2, sep2, yes_val, no_val):\n    s1 = {icu_lower(l.strip()) for l in list1.split(sep1) if l.strip()}\n    s2 = {icu_lower(l.strip()) for l in list2.split(sep2) if l.strip()}\n    if s1 == s2:\n        return yes_val\n    return no_val\n", 
-    "strcat_max": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    if len(args) < 2:\n        raise ValueError(_('strcat_max requires 2 or more arguments'))\n    if (len(args) % 2) != 0:\n        raise ValueError(_('strcat_max requires an even number of arguments'))\n    try:\n        max = int(args[0])\n    except:\n        raise ValueError(_('first argument to strcat_max must be an integer'))\n    i = 2\n    result = args[1]\n    try:\n        while i < len(args):\n            if (len(result) + len(args[i]) + len(args[i+1])) > max:\n                break\n            result = result + args[i] + args[i+1]\n            i += 2\n    except:\n        pass\n    return result.strip()\n", 
-    "swap_around_articles": "def evaluate(self, formatter, kwargs, mi, locals, val, separator):\n    if not val:\n        return ''\n    if not separator:\n        return title_sort(val).replace(',', ';')\n    result = []\n    try:\n        for v in [x.strip() for x in val.split(separator)]:\n            result.append(title_sort(v).replace(',', ';'))\n    except:\n        traceback.print_exc()\n    return separator.join(sorted(result, key=sort_key))\n", 
+    "strcmp": "def evaluate(self, formatter, kwargs, mi, locals, x, y, lt, eq, gt):\n    v = strcmp(x, y)\n    if v < 0:\n        return lt\n    if v == 0:\n        return eq\n    return gt\n", 
+    "user_categories": "def evaluate(self, formatter, kwargs, mi, locals_):\n    if hasattr(mi, '_proxy_metadata'):\n        cats = set(k for k, v in iteritems(mi._proxy_metadata.user_categories) if v)\n        cats = sorted(cats, key=sort_key)\n        return ', '.join(cats)\n    return _('This function can be used only in the GUI')\n", 
+    "formats_paths": "def evaluate(self, formatter, kwargs, mi, locals):\n    fmt_data = mi.get('format_metadata', {})\n    try:\n        return ','.join(k.upper()+':'+unicode_type(v['path']) for k,v in iteritems(fmt_data))\n    except:\n        return ''\n", 
+    "transliterate": "def evaluate(self, formatter, kwargs, mi, locals, source):\n    from calibre.utils.filenames import ascii_text\n    return ascii_text(source)\n", 
     "subitems": "def evaluate(self, formatter, kwargs, mi, locals, val, start_index, end_index):\n    if not val:\n        return ''\n    si = int(start_index)\n    ei = int(end_index)\n    has_periods = '.' in val\n    items = [v.strip() for v in val.split(',')]\n    rv = set()\n    for item in items:\n        if has_periods and '.' in item:\n            components = self.period_pattern.split(item)\n        else:\n            components = [item]\n        try:\n            if ei == 0:\n                rv.add('.'.join(components[si:]))\n            else:\n                rv.add('.'.join(components[si:ei]))\n        except:\n            pass\n    return ', '.join(sorted(rv, key=sort_key))\n", 
-    "ifempty": "def evaluate(self, formatter, kwargs, mi, locals, val, value_if_empty):\n    if val:\n        return val\n    else:\n        return value_if_empty\n", 
-    "shorten": "def evaluate(self, formatter, kwargs, mi, locals,\n             val, leading, center_string, trailing):\n    l = max(0, int(leading))\n    t = max(0, int(trailing))\n    if len(val) > l + len(center_string) + t:\n        return val[0:l] + center_string + ('' if t == 0 else val[-t:])\n    else:\n        return val\n", 
+    "human_readable": "def evaluate(self, formatter, kwargs, mi, locals, val):\n    try:\n        return human_readable(round(float(val)))\n    except:\n        return ''\n", 
+    "titlecase": "def evaluate(self, formatter, kwargs, mi, locals, val):\n    return titlecase(val)\n", 
+    "strcat_max": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    if len(args) < 2:\n        raise ValueError(_('strcat_max requires 2 or more arguments'))\n    if (len(args) % 2) != 0:\n        raise ValueError(_('strcat_max requires an even number of arguments'))\n    try:\n        max = int(args[0])\n    except:\n        raise ValueError(_('first argument to strcat_max must be an integer'))\n    i = 2\n    result = args[1]\n    try:\n        while i < len(args):\n            if (len(result) + len(args[i]) + len(args[i+1])) > max:\n                break\n            result = result + args[i] + args[i+1]\n            i += 2\n    except:\n        pass\n    return result.strip()\n", 
     "series_sort": "def evaluate(self, formatter, kwargs, mi, locals):\n    if mi.series:\n        return title_sort(mi.series)\n    return ''\n", 
+    "formats_modtimes": "def evaluate(self, formatter, kwargs, mi, locals, fmt):\n    fmt_data = mi.get('format_metadata', {})\n    try:\n        data = sorted(fmt_data.items(), key=lambda x:x[1]['mtime'], reverse=True)\n        return ','.join(k.upper()+':'+format_date(v['mtime'], fmt)\n                    for k,v in data)\n    except:\n        return ''\n", 
     "str_in_list": "def evaluate(self, formatter, kwargs, mi, locals, val, sep, *args):\n    if (len(args) % 2) != 1:\n        raise ValueError(_('str_in_list requires an odd number of arguments'))\n    l = [v.strip() for v in val.split(sep) if v.strip()]\n    i = 0\n    while i < len(args):\n        if i + 1 >= len(args):\n            return args[i]\n        sf = args[i]\n        fv = args[i+1]\n        c = [v.strip() for v in sf.split(sep) if v.strip()]\n        if l:\n            for v in l:\n                for t in c:\n                    if strcmp(t, v) == 0:\n                        return fv\n        i += 2\n", 
-    "template": "def evaluate(self, formatter, kwargs, mi, locals, template):\n    template = template.replace('[[', '{').replace(']]', '}')\n    return formatter.__class__().safe_format(template, kwargs, 'TEMPLATE', mi)\n", 
-    "strlen": "def evaluate(self, formatter, kwargs, mi, locals, a):\n    try:\n        return len(a)\n    except:\n        return -1\n", 
-    "re_group": "def evaluate(self, formatter, kwargs, mi, locals, val, pattern, *args):\n    from calibre.utils.formatter import EvalFormatter\n    def repl(mo):\n        res = ''\n        if mo and mo.lastindex:\n            for dex in range(0, mo.lastindex):\n                gv = mo.group(dex+1)\n                if gv is None:\n                    continue\n                if len(args) > dex:\n                    template = args[dex].replace('[[', '{').replace(']]', '}')\n                    res += EvalFormatter().safe_format(template, {'$': gv},\n                                       'EVAL', None, strip_results=False)\n                else:\n                    res += gv\n        return res\n    return re.sub(pattern, repl, val, flags=re.I)\n", 
-    "swap_around_comma": "def evaluate(self, formatter, kwargs, mi, locals, val):\n    return re.sub(r'^(.*?),\\s*(.*$)', r'\\2 \\1', val, flags=re.I).strip()\n", 
-    "has_cover": "def evaluate(self, formatter, kwargs, mi, locals):\n    if mi.has_cover:\n        return _('Yes')\n    return ''\n", 
     "subtract": "def evaluate(self, formatter, kwargs, mi, locals, x, y):\n    x = float(x if x and x != 'None' else 0)\n    y = float(y if y and y != 'None' else 0)\n    return unicode_type(x - y)\n", 
-    "formats_modtimes": "def evaluate(self, formatter, kwargs, mi, locals, fmt):\n    fmt_data = mi.get('format_metadata', {})\n    try:\n        data = sorted(fmt_data.items(), key=lambda x:x[1]['mtime'], reverse=True)\n        return ','.join(k.upper()+':'+format_date(v['mtime'], fmt)\n                    for k,v in data)\n    except:\n        return ''\n", 
-    "add": "def evaluate(self, formatter, kwargs, mi, locals, x, y):\n    x = float(x if x and x != 'None' else 0)\n    y = float(y if y and y != 'None' else 0)\n    return unicode_type(x + y)\n", 
-    "virtual_libraries": "def evaluate(self, formatter, kwargs, mi, locals_):\n    if hasattr(mi, '_proxy_metadata'):\n        return mi._proxy_metadata.virtual_libraries\n    return _('This function can be used only in the GUI')\n", 
-    "test": "def evaluate(self, formatter, kwargs, mi, locals, val, value_if_set, value_not_set):\n    if val:\n        return value_if_set\n    else:\n        return value_not_set\n", 
-    "divide": "def evaluate(self, formatter, kwargs, mi, locals, x, y):\n    x = float(x if x and x != 'None' else 0)\n    y = float(y if y and y != 'None' else 0)\n    return unicode_type(x / y)\n", 
-    "language_strings": "def evaluate(self, formatter, kwargs, mi, locals, lang_codes, localize):\n    retval = []\n    for c in [c.strip() for c in lang_codes.split(',') if c.strip()]:\n        try:\n            n = calibre_langcode_to_name(c, localize != '0')\n            if n:\n                retval.append(n)\n        except:\n            pass\n    return ', '.join(retval)\n"
+    "strcat": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    i = 0\n    res = ''\n    for i in range(0, len(args)):\n        res += args[i]\n    return res\n", 
+    "lowercase": "def evaluate(self, formatter, kwargs, mi, locals, val):\n    return val.lower()\n", 
+    "list_item": "def evaluate(self, formatter, kwargs, mi, locals, val, index, sep):\n    if not val:\n        return ''\n    index = int(index)\n    val = val.split(sep)\n    try:\n        return val[index].strip()\n    except:\n        return ''\n", 
+    "uppercase": "def evaluate(self, formatter, kwargs, mi, locals, val):\n    return val.upper()\n", 
+    "substr": "def evaluate(self, formatter, kwargs, mi, locals, str_, start_, end_):\n    return str_[int(start_): len(str_) if int(end_) == 0 else int(end_)]\n", 
+    "booksize": "def evaluate(self, formatter, kwargs, mi, locals):\n    if hasattr(mi, '_proxy_metadata'):\n        try:\n            v = mi._proxy_metadata.book_size\n            if v is not None:\n                return unicode_type(mi._proxy_metadata.book_size)\n            return ''\n        except:\n            pass\n        return ''\n    return _('This function can be used only in the GUI')\n", 
+    "or": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    i = 0\n    while i < len(args):\n        if args[i]:\n            return '1'\n        i += 1\n    return ''\n", 
+    "identifier_in_list": "def evaluate(self, formatter, kwargs, mi, locals, val, ident, fv, nfv):\n    l = [v.strip() for v in val.split(',') if v.strip()]\n    (id, _, regexp) = ident.partition(':')\n    if not id:\n        return nfv\n    id += ':'\n    if l:\n        for v in l:\n            if v.startswith(id):\n                if not regexp or re.search(regexp, v[len(id):], flags=re.I):\n                    return fv\n    return nfv\n", 
+    "re_group": "def evaluate(self, formatter, kwargs, mi, locals, val, pattern, *args):\n    from calibre.utils.formatter import EvalFormatter\n    def repl(mo):\n        res = ''\n        if mo and mo.lastindex:\n            for dex in range(0, mo.lastindex):\n                gv = mo.group(dex+1)\n                if gv is None:\n                    continue\n                if len(args) > dex:\n                    template = args[dex].replace('[[', '{').replace(']]', '}')\n                    res += EvalFormatter().safe_format(template, {'$': gv},\n                                       'EVAL', None, strip_results=False)\n                else:\n                    res += gv\n        return res\n    return re.sub(pattern, repl, val, flags=re.I)\n"
 }
\ No newline at end of file
Binary files 4.99.6+dfsg+really4.20.0-1/resources/tracer.epub and 4.99.7+dfsg+really4.21.0-1/resources/tracer.epub differ
diff -pruN 4.99.6+dfsg+really4.20.0-1/resources/user-manual-translation-stats.json 4.99.7+dfsg+really4.21.0-1/resources/user-manual-translation-stats.json
--- 4.99.6+dfsg+really4.20.0-1/resources/user-manual-translation-stats.json	2020-07-03 02:17:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/resources/user-manual-translation-stats.json	2020-07-16 17:20:26.000000000 +0000
@@ -1,13 +1,13 @@
 {
-    "es": 1.0, 
-    "et": 0.36148300720906285, 
     "uk": 1.0, 
-    "cs": 0.6065911431513903, 
+    "pt": 0.30874785591766724, 
+    "et": 0.36295025728987995, 
     "fr": 1.0, 
-    "tr": 0.6604874699622383, 
-    "ru": 0.557157569515963, 
-    "de": 0.4507380707174734, 
-    "pt": 0.3062135255750086, 
-    "nl": 0.49570889117748024, 
-    "sv": 0.9917610710607621
+    "nl": 0.4939965694682676, 
+    "sv": 0.99073756432247, 
+    "es": 1.0, 
+    "ru": 0.5530017152658662, 
+    "cs": 0.6061749571183533, 
+    "de": 0.4490566037735849, 
+    "tr": 0.6583190394511149
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/resources/viewer.js 4.99.7+dfsg+really4.21.0-1/resources/viewer.js
--- 4.99.6+dfsg+really4.20.0-1/resources/viewer.js	2020-07-03 02:16:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/resources/viewer.js	2020-07-16 17:19:58.000000000 +0000
@@ -11038,9 +11038,9 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
             book.is_complete = false;
             if (get_interface_data().username) {
                 newest_epoch = newest_pos = null;
-                var ρσ_Iter5 = ρσ_Iterable(manifest.last_read_positions);
-                for (var ρσ_Index5 = 0; ρσ_Index5 < ρσ_Iter5.length; ρσ_Index5++) {
-                    pos = ρσ_Iter5[ρσ_Index5];
+                var ρσ_Iter0 = ρσ_Iterable(manifest.last_read_positions);
+                for (var ρσ_Index0 = 0; ρσ_Index0 < ρσ_Iter0.length; ρσ_Index0++) {
+                    pos = ρσ_Iter0[ρσ_Index0];
                     if (newest_epoch === null || pos.epoch > newest_epoch) {
                         newest_epoch = pos.epoch;
                         newest_pos = pos.cfi;
@@ -15936,9 +15936,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         function unwrapped_nodes(range_wrapper) {
             var ans, child;
             ans = [];
-            var ρσ_Iter6 = ρσ_Iterable(range_wrapper.childNodes);
-            for (var ρσ_Index6 = 0; ρσ_Index6 < ρσ_Iter6.length; ρσ_Index6++) {
-                child = ρσ_Iter6[ρσ_Index6];
+            var ρσ_Iter0 = ρσ_Iterable(range_wrapper.childNodes);
+            for (var ρσ_Index0 = 0; ρσ_Index0 < ρσ_Iter0.length; ρσ_Index0++) {
+                child = ρσ_Iter0[ρσ_Index0];
                 if (child.nodeType === Node.ELEMENT_NODE && child.dataset.calibreRangeWrapper) {
                     ans = ans.concat(unwrapped_nodes(child));
                 } else {
@@ -15973,8 +15973,8 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
 
         function increment_index_for_children(children, index, sentinel) {
             var child, i;
-            for (var ρσ_Index7 = 0; ρσ_Index7 < children.length; ρσ_Index7++) {
-                i = ρσ_Index7;
+            for (var ρσ_Index1 = 0; ρσ_Index1 < children.length; ρσ_Index1++) {
+                i = ρσ_Index1;
                 child = children[(typeof i === "number" && i < 0) ? children.length + i : i];
                 index = increment_index_for_child(child, index, sentinel);
                 if (child === sentinel) {
@@ -16074,8 +16074,8 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
 
         function node_at_index(nodes, target, index, iter_text_nodes) {
             var node, is_element, ρσ_unpack, q, i;
-            for (var ρσ_Index8 = 0; ρσ_Index8 < nodes.length; ρσ_Index8++) {
-                i = ρσ_Index8;
+            for (var ρσ_Index2 = 0; ρσ_Index2 < nodes.length; ρσ_Index2++) {
+                i = ρσ_Index2;
                 node = nodes[(typeof i === "number" && i < 0) ? nodes.length + i : i];
                 is_element = node.nodeType === Node.ELEMENT_NODE;
                 if (is_element && node.dataset.calibreRangeWrapper) {
@@ -16127,8 +16127,8 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             var last_text_node, seen_first, node, l, ρσ_unpack, qn, ok, i;
             last_text_node = null;
             seen_first = false;
-            for (var ρσ_Index9 = 0; ρσ_Index9 < nodes.length; ρσ_Index9++) {
-                i = ρσ_Index9;
+            for (var ρσ_Index3 = 0; ρσ_Index3 < nodes.length; ρσ_Index3++) {
+                i = ρσ_Index3;
                 node = nodes[(typeof i === "number" && i < 0) ? nodes.length + i : i];
                 if (!seen_first) {
                     if (!first_node || node.isSameNode(first_node)) {
@@ -16321,9 +16321,9 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
                     var diff, i;
                     a = key_map[(typeof a === "number" && a < 0) ? key_map.length + a : a];
                     b = key_map[(typeof b === "number" && b < 0) ? key_map.length + b : b];
-                    var ρσ_Iter10 = ρσ_Iterable(range(min(a.steps.length, b.steps.length)));
-                    for (var ρσ_Index10 = 0; ρσ_Index10 < ρσ_Iter10.length; ρσ_Index10++) {
-                        i = ρσ_Iter10[ρσ_Index10];
+                    var ρσ_Iter4 = ρσ_Iterable(range(min(a.steps.length, b.steps.length)));
+                    for (var ρσ_Index4 = 0; ρσ_Index4 < ρσ_Iter4.length; ρσ_Index4++) {
+                        i = ρσ_Iter4[ρσ_Index4];
                         diff = (ρσ_expr_temp = a.steps)[(typeof i === "number" && i < 0) ? ρσ_expr_temp.length + i : i] - (ρσ_expr_temp = b.steps)[(typeof i === "number" && i < 0) ? ρσ_expr_temp.length + i : i];
                         if (diff !== 0) {
                             return diff;
@@ -16561,9 +16561,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                         var rect, p, node, offset, rects, x, y, ρσ_unpack;
                         rect = span.getBoundingClientRect();
                         p = span.parentNode;
-                        var ρσ_Iter11 = ρσ_Iterable(span.childNodes);
-                        for (var ρσ_Index11 = 0; ρσ_Index11 < ρσ_Iter11.length; ρσ_Index11++) {
-                            node = ρσ_Iter11[ρσ_Index11];
+                        var ρσ_Iter5 = ρσ_Iterable(span.childNodes);
+                        for (var ρσ_Index5 = 0; ρσ_Index5 < ρσ_Iter5.length; ρσ_Index5++) {
+                            node = ρσ_Iter5[ρσ_Index5];
                             span.removeChild(node);
                             p.insertBefore(node, span);
                         }
@@ -16726,9 +16726,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             maxx = winw;
             function x_loop(cury) {
                 var delta, curx, cfi, direction;
-                var ρσ_Iter12 = ρσ_Iterable([-1, 1]);
-                for (var ρσ_Index12 = 0; ρσ_Index12 < ρσ_Iter12.length; ρσ_Index12++) {
-                    direction = ρσ_Iter12[ρσ_Index12];
+                var ρσ_Iter6 = ρσ_Iterable([-1, 1]);
+                for (var ρσ_Index6 = 0; ρσ_Index6 < ρσ_Iter6.length; ρσ_Index6++) {
+                    direction = ρσ_Iter6[ρσ_Index6];
                     delta = deltax * direction;
                     curx = 0;
                     while (!((direction < 0 && curx < minx || direction > 0 && curx > maxx))) {
@@ -16745,9 +16745,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 __module__ : {value: "read_book.cfi"}
             });
 
-            var ρσ_Iter13 = ρσ_Iterable([-1, 1]);
-            for (var ρσ_Index13 = 0; ρσ_Index13 < ρσ_Iter13.length; ρσ_Index13++) {
-                direction = ρσ_Iter13[ρσ_Index13];
+            var ρσ_Iter7 = ρσ_Iterable([-1, 1]);
+            for (var ρσ_Index7 = 0; ρσ_Index7 < ρσ_Iter7.length; ρσ_Index7++) {
+                direction = ρσ_Iter7[ρσ_Index7];
                 delta = deltay * direction;
                 cury = 0;
                 while (!((direction < 0 && cury < miny || direction > 0 && cury > maxy))) {
@@ -18124,7 +18124,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             for (var ρσ_Index0 = 0; ρσ_Index0 < ρσ_Iter0.length; ρσ_Index0++) {
                 a = ρσ_Iter0[ρσ_Index0];
                 href = a.getAttribute("href");
-                if (href.startswith("#")) {
+                if (href && href.startswith("#")) {
                     a.setAttribute("href", "javascript: void(0)");
                     a.setAttribute("data-" + link_uid, JSON.stringify((function(){
                         var ρσ_d = Object.create(null);
@@ -19076,50 +19076,46 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             self.last_event_mode = "page";
             self.last_event_at = -1e4;
             self.last_event_backwards = false;
-            self.accumlated_scroll = 0;
+            self.accumulated_scroll = 0;
         };
         if (!HandleWheel.prototype.reset.__module__) Object.defineProperties(HandleWheel.prototype.reset, {
             __module__ : {value: "read_book.paged_mode"}
         });
         HandleWheel.prototype.onwheel = function onwheel(evt) {
             var self = this;
-            var backward, WheelEvent;
+            var backward;
             if (!evt.deltaY) {
                 return;
             }
             backward = evt.deltaY < 0;
-            WheelEvent = window.WheelEvent;
-            if (evt.deltaMode === WheelEvent.DOM_DELTA_PAGE) {
-                self.do_scroll(backward);
+            if (evt.deltaMode === window.WheelEvent.DOM_DELTA_PIXEL) {
+                self.add_pixel_scroll(backward, Math.abs(evt.deltaY));
             } else {
-                self.add_event(backward, Math.abs(evt.deltaY), (evt.deltaMode === WheelEvent.DOM_DELTA_LINE) ? "line" : "pixel");
+                self.do_scroll(backward);
             }
         };
         if (!HandleWheel.prototype.onwheel.__argnames__) Object.defineProperties(HandleWheel.prototype.onwheel, {
             __argnames__ : {value: ["evt"]},
             __module__ : {value: "read_book.paged_mode"}
         });
-        HandleWheel.prototype.add_event = function add_event(backward, deltaY, mode) {
+        HandleWheel.prototype.add_pixel_scroll = function add_pixel_scroll(backward, deltaY) {
             var self = this;
             var now, lh;
             now = window.performance.now();
-            if (now - self.last_event_at > 1e3 || self.last_event_backwards !== backward || self.last_event_mode !== mode) {
-                self.accumlated_scroll = 0;
+            if (now - self.last_event_at > 1e3 || self.last_event_backwards !== backward || self.last_event_mode !== "pixel") {
+                self.accumulated_scroll = 0;
             }
-            self.last_event_mode = mode;
+            self.last_event_mode = "pixel";
             self.last_event_at = now;
             self.last_event_backwards = backward;
+            self.accumulated_scroll += deltaY;
             lh = line_height();
-            if (mode === "line") {
-                deltaY *= lh;
-            }
-            self.accumlated_scroll += deltaY;
-            if (self.accumlated_scroll > 5 * lh) {
+            if (self.accumulated_scroll > 5 * lh) {
                 self.do_scroll(backward);
             }
         };
-        if (!HandleWheel.prototype.add_event.__argnames__) Object.defineProperties(HandleWheel.prototype.add_event, {
-            __argnames__ : {value: ["backward", "deltaY", "mode"]},
+        if (!HandleWheel.prototype.add_pixel_scroll.__argnames__) Object.defineProperties(HandleWheel.prototype.add_pixel_scroll, {
+            __argnames__ : {value: ["backward", "deltaY"]},
             __module__ : {value: "read_book.paged_mode"}
         });
         HandleWheel.prototype.do_scroll = function do_scroll(backward) {
@@ -19619,9 +19615,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 ρσ_d["shiftKey"] = false;
                 return ρσ_d;
             }).call(this);
-            var ρσ_Iter14 = ρσ_Iterable(parts.slice(0, -1));
-            for (var ρσ_Index14 = 0; ρσ_Index14 < ρσ_Iter14.length; ρσ_Index14++) {
-                modifier = ρσ_Iter14[ρσ_Index14];
+            var ρσ_Iter0 = ρσ_Iterable(parts.slice(0, -1));
+            for (var ρσ_Index0 = 0; ρσ_Index0 < ρσ_Iter0.length; ρσ_Index0++) {
+                modifier = ρσ_Iter0[ρσ_Index0];
                 q = modifier.toLowerCase();
                 if (q === "ctrl") {
                     ans.ctrlKey = true;
@@ -19646,9 +19642,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 sc = [sc];
             }
             pkey = [];
-            var ρσ_Iter15 = ρσ_Iterable(sc);
-            for (var ρσ_Index15 = 0; ρσ_Index15 < ρσ_Iter15.length; ρσ_Index15++) {
-                x = ρσ_Iter15[ρσ_Index15];
+            var ρσ_Iter1 = ρσ_Iterable(sc);
+            for (var ρσ_Index1 = 0; ρσ_Index1 < ρσ_Iter1.length; ρσ_Index1++) {
+                x = ρσ_Iter1[ρσ_Index1];
                 pkey.push(parse_key_repr(x));
             }
             return (function(){
@@ -19718,9 +19714,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         function keyevent_to_index(evt) {
             var parts, mod;
             parts = [];
-            var ρσ_Iter16 = ρσ_Iterable(['altKey', 'ctrlKey', 'metaKey', 'shiftKey']);
-            for (var ρσ_Index16 = 0; ρσ_Index16 < ρσ_Iter16.length; ρσ_Index16++) {
-                mod = ρσ_Iter16[ρσ_Index16];
+            var ρσ_Iter2 = ρσ_Iterable(['altKey', 'ctrlKey', 'metaKey', 'shiftKey']);
+            for (var ρσ_Index2 = 0; ρσ_Index2 < ρσ_Iter2.length; ρσ_Index2++) {
+                mod = ρσ_Iter2[ρσ_Index2];
                 parts.push((evt[(typeof mod === "number" && mod < 0) ? evt.length + mod : mod]) ? "y" : "n");
             }
             return parts.join("") + get_key_text(evt);
@@ -19733,9 +19729,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         function key_as_text(evt) {
             var mods, x, key;
             mods = [];
-            var ρσ_Iter17 = ρσ_Iterable(ρσ_list_decorate([ "alt", "ctrl", "meta", "shift" ]));
-            for (var ρσ_Index17 = 0; ρσ_Index17 < ρσ_Iter17.length; ρσ_Index17++) {
-                x = ρσ_Iter17[ρσ_Index17];
+            var ρσ_Iter3 = ρσ_Iterable(ρσ_list_decorate([ "alt", "ctrl", "meta", "shift" ]));
+            for (var ρσ_Index3 = 0; ρσ_Index3 < ρσ_Iter3.length; ρσ_Index3++) {
+                x = ρσ_Iter3[ρσ_Index3];
                 if (evt[ρσ_bound_index(x + "Key", evt)]) {
                     if (ρσ_in("macos", window.navigator.userAgent)) {
                         if (x === "alt") {
@@ -19859,17 +19855,17 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             var ans, scd, entry, shortcuts, sc, sc_name;
             ans = Object.create(null);
             scd = shortcuts_definition();
-            var ρσ_Iter18 = ρσ_Iterable(Object.keys(scd));
-            for (var ρσ_Index18 = 0; ρσ_Index18 < ρσ_Iter18.length; ρσ_Index18++) {
-                sc_name = ρσ_Iter18[ρσ_Index18];
+            var ρσ_Iter4 = ρσ_Iterable(Object.keys(scd));
+            for (var ρσ_Index4 = 0; ρσ_Index4 < ρσ_Iter4.length; ρσ_Index4++) {
+                sc_name = ρσ_Iter4[ρσ_Index4];
                 entry = scd[(typeof sc_name === "number" && sc_name < 0) ? scd.length + sc_name : sc_name];
                 shortcuts = entry.shortcuts;
                 if (custom_shortcuts && custom_shortcuts[(typeof sc_name === "number" && sc_name < 0) ? custom_shortcuts.length + sc_name : sc_name]) {
                     shortcuts = custom_shortcuts[(typeof sc_name === "number" && sc_name < 0) ? custom_shortcuts.length + sc_name : sc_name];
                 }
-                var ρσ_Iter19 = ρσ_Iterable(shortcuts);
-                for (var ρσ_Index19 = 0; ρσ_Index19 < ρσ_Iter19.length; ρσ_Index19++) {
-                    sc = ρσ_Iter19[ρσ_Index19];
+                var ρσ_Iter5 = ρσ_Iterable(shortcuts);
+                for (var ρσ_Index5 = 0; ρσ_Index5 < ρσ_Iter5.length; ρσ_Index5++) {
+                    sc = ρσ_Iter5[ρσ_Index5];
                     ans[ρσ_bound_index(keyevent_to_index(sc), ans)] = sc_name;
                 }
             }
@@ -23138,9 +23134,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             var self = this;
             var now, uuid, annot;
             now = (new Date).toISOString();
-            var ρσ_Iter20 = ρσ_Iterable(msg.removed_highlights);
-            for (var ρσ_Index20 = 0; ρσ_Index20 < ρσ_Iter20.length; ρσ_Index20++) {
-                uuid = ρσ_Iter20[ρσ_Index20];
+            var ρσ_Iter0 = ρσ_Iterable(msg.removed_highlights);
+            for (var ρσ_Index0 = 0; ρσ_Index0 < ρσ_Iter0.length; ρσ_Index0++) {
+                uuid = ρσ_Iter0[ρσ_Index0];
                 self.remove_highlight(uuid);
             }
             annot = (ρσ_expr_temp = self.highlights)[ρσ_bound_index(msg.uuid, ρσ_expr_temp)] = (function(){
@@ -23172,9 +23168,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             var name, ans, h, uuid;
             name = self.view.currently_showing.name;
             ans = [];
-            var ρσ_Iter21 = ρσ_Iterable(Object.keys(self.highlights));
-            for (var ρσ_Index21 = 0; ρσ_Index21 < ρσ_Iter21.length; ρσ_Index21++) {
-                uuid = ρσ_Iter21[ρσ_Index21];
+            var ρσ_Iter1 = ρσ_Iterable(Object.keys(self.highlights));
+            for (var ρσ_Index1 = 0; ρσ_Index1 < ρσ_Iter1.length; ρσ_Index1++) {
+                uuid = ρσ_Iter1[ρσ_Index1];
                 h = (ρσ_expr_temp = self.highlights)[(typeof uuid === "number" && uuid < 0) ? ρσ_expr_temp.length + uuid : uuid];
                 if (h.spine_name === name && !h.removed && h.start_cfi) {
                     ans.push(h);
@@ -23693,9 +23689,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 __module__ : {value: "read_book.create_annotation"}
             });
 
-            var ρσ_Iter22 = ρσ_Iterable(highlight_colors);
-            for (var ρσ_Index22 = 0; ρσ_Index22 < ρσ_Iter22.length; ρσ_Index22++) {
-                bg = ρσ_Iter22[ρσ_Index22];
+            var ρσ_Iter2 = ρσ_Iterable(highlight_colors);
+            for (var ρσ_Index2 = 0; ρσ_Index2 < ρσ_Iter2.length; ρσ_Index2++) {
+                bg = ρσ_Iter2[ρσ_Index2];
                 if (add(bg)) {
                     found_current = true;
                 }
@@ -23743,9 +23739,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             var fill, stroke, use, handle;
             fill = self.current_highlight_style["background-color"];
             stroke = self.current_highlight_style["color"];
-            var ρσ_Iter23 = ρσ_Iterable(ρσ_list_decorate([ self.left_handle, self.right_handle ]));
-            for (var ρσ_Index23 = 0; ρσ_Index23 < ρσ_Iter23.length; ρσ_Index23++) {
-                handle = ρσ_Iter23[ρσ_Index23];
+            var ρσ_Iter3 = ρσ_Iterable(ρσ_list_decorate([ self.left_handle, self.right_handle ]));
+            for (var ρσ_Index3 = 0; ρσ_Index3 < ρσ_Iter3.length; ρσ_Index3++) {
+                handle = ρσ_Iter3[ρσ_Index3];
                 use = handle.querySelector("use");
                 use.style.stroke = stroke;
                 use.style.fill = fill;
@@ -23785,9 +23781,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         CreateAnnotation.prototype.save_handle_state = function save_handle_state() {
             var self = this;
             var h;
-            var ρσ_Iter24 = ρσ_Iterable(ρσ_list_decorate([ self.left_handle, self.right_handle ]));
-            for (var ρσ_Index24 = 0; ρσ_Index24 < ρσ_Iter24.length; ρσ_Index24++) {
-                h = ρσ_Iter24[ρσ_Index24];
+            var ρσ_Iter4 = ρσ_Iterable(ρσ_list_decorate([ self.left_handle, self.right_handle ]));
+            for (var ρσ_Index4 = 0; ρσ_Index4 < ρσ_Iter4.length; ρσ_Index4++) {
+                h = ρσ_Iter4[ρσ_Index4];
                 h.dataset.savedState = h.style.display;
                 h.style.display = "none";
             }
@@ -23798,9 +23794,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         CreateAnnotation.prototype.restore_handle_state = function restore_handle_state() {
             var self = this;
             var h;
-            var ρσ_Iter25 = ρσ_Iterable(ρσ_list_decorate([ self.left_handle, self.right_handle ]));
-            for (var ρσ_Index25 = 0; ρσ_Index25 < ρσ_Iter25.length; ρσ_Index25++) {
-                h = ρσ_Iter25[ρσ_Index25];
+            var ρσ_Iter5 = ρσ_Iterable(ρσ_list_decorate([ self.left_handle, self.right_handle ]));
+            for (var ρσ_Index5 = 0; ρσ_Index5 < ρσ_Iter5.length; ρσ_Index5++) {
+                h = ρσ_Iter5[ρσ_Index5];
                 h.style.display = h.dataset.savedState;
             }
         };
@@ -23812,9 +23808,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             var s, style, k;
             s = self.current_highlight_style;
             style = "";
-            var ρσ_Iter26 = ρσ_Iterable(Object.keys(self.current_highlight_style));
-            for (var ρσ_Index26 = 0; ρσ_Index26 < ρσ_Iter26.length; ρσ_Index26++) {
-                k = ρσ_Iter26[ρσ_Index26];
+            var ρσ_Iter6 = ρσ_Iterable(Object.keys(self.current_highlight_style));
+            for (var ρσ_Index6 = 0; ρσ_Index6 < ρσ_Iter6.length; ρσ_Index6++) {
+                k = ρσ_Iter6[ρσ_Index6];
                 style += "" + ρσ_str.format("{}", k) + ": " + ρσ_str.format("{}", s[(typeof k === "number" && k < 0) ? s.length + k : k]) + "; ";
             }
             ρσ_interpolate_kwargs.call(self, self.send_message, ["apply-highlight"].concat([ρσ_desugar_kwargs({style: style, uuid: short_uuid(), existing: self.editing_annot_uuid})]));
@@ -23903,9 +23899,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             if (self.state === WAITING_FOR_CLICK) {
                 return;
             }
-            var ρσ_Iter27 = ρσ_Iterable(ev.changedTouches);
-            for (var ρσ_Index27 = 0; ρσ_Index27 < ρσ_Iter27.length; ρσ_Index27++) {
-                touch = ρσ_Iter27[ρσ_Index27];
+            var ρσ_Iter7 = ρσ_Iterable(ev.changedTouches);
+            for (var ρσ_Index7 = 0; ρσ_Index7 < ρσ_Iter7.length; ρσ_Index7++) {
+                touch = ρσ_Iter7[ρσ_Index7];
                 self.active_touch = touch.identifier;
                 self.start_handle_drag(touch, ev.currentTarget.id);
                 break;
@@ -23931,9 +23927,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             var touch;
             if (ρσ_in(self.state, [DRAGGING_RIGHT, DRAGGING_LEFT])) {
                 [ev.preventDefault(), ev.stopPropagation()];
-                var ρσ_Iter28 = ρσ_Iterable(ev.changedTouches);
-                for (var ρσ_Index28 = 0; ρσ_Index28 < ρσ_Iter28.length; ρσ_Index28++) {
-                    touch = ρσ_Iter28[ρσ_Index28];
+                var ρσ_Iter8 = ρσ_Iterable(ev.changedTouches);
+                for (var ρσ_Index8 = 0; ρσ_Index8 < ρσ_Iter8.length; ρσ_Index8++) {
+                    touch = ρσ_Iter8[ρσ_Index8];
                     if (touch.identifier === self.active_touch) {
                         self.active_touch = null;
                         self.state = WAITING_FOR_DRAG;
@@ -23981,9 +23977,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 return;
             }
             [ev.stopPropagation(), ev.preventDefault()];
-            var ρσ_Iter29 = ρσ_Iterable(ev.changedTouches);
-            for (var ρσ_Index29 = 0; ρσ_Index29 < ρσ_Iter29.length; ρσ_Index29++) {
-                touch = ρσ_Iter29[ρσ_Index29];
+            var ρσ_Iter9 = ρσ_Iterable(ev.changedTouches);
+            for (var ρσ_Index9 = 0; ρσ_Index9 < ρσ_Iter9.length; ρσ_Index9++) {
+                touch = ρσ_Iter9[ρσ_Index9];
                 if (touch.identifier === self.active_touch) {
                     self.handle_moved(touch);
                     return;
@@ -24291,9 +24287,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 __module__ : {value: "read_book.create_annotation"}
             });
 
-            var ρσ_Iter30 = ρσ_Iterable(text.splitlines());
-            for (var ρσ_Index30 = 0; ρσ_Index30 < ρσ_Iter30.length; ρσ_Index30++) {
-                line = ρσ_Iter30[ρσ_Index30];
+            var ρσ_Iter10 = ρσ_Iterable(text.splitlines());
+            for (var ρσ_Index10 = 0; ρσ_Index10 < ρσ_Iter10.length; ρσ_Index10++) {
+                line = ρσ_Iter10[ρσ_Index10];
                 if (!line || !line.strip()) {
                     if (current_block) {
                         add_para();
@@ -33771,18 +33767,18 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             dev = get_device_uuid();
             epoch = 0;
             ans = null;
-            var ρσ_Iter31 = ρσ_Iterable(data);
-            for (var ρσ_Index31 = 0; ρσ_Index31 < ρσ_Iter31.length; ρσ_Index31++) {
-                key = ρσ_Iter31[ρσ_Index31];
+            var ρσ_Iter0 = ρσ_Iterable(data);
+            for (var ρσ_Index0 = 0; ρσ_Index0 < ρσ_Iter0.length; ρσ_Index0++) {
+                key = ρσ_Iter0[ρσ_Index0];
                 ρσ_unpack = ρσ_eslice(key.partition(":"), 2);
 ρσ_unpack = ρσ_unpack_asarray(2, ρσ_unpack);
                 book_id = ρσ_unpack[0];
                 fmt = ρσ_unpack[1];
                 if (book_id === str(book.key[1]) && fmt.upper() === book.key[2].upper()) {
                     last_read_positions = data[(typeof key === "number" && key < 0) ? data.length + key : key];
-                    var ρσ_Iter32 = ρσ_Iterable(last_read_positions);
-                    for (var ρσ_Index32 = 0; ρσ_Index32 < ρσ_Iter32.length; ρσ_Index32++) {
-                        d = ρσ_Iter32[ρσ_Index32];
+                    var ρσ_Iter1 = ρσ_Iterable(last_read_positions);
+                    for (var ρσ_Index1 = 0; ρσ_Index1 < ρσ_Iter1.length; ρσ_Index1++) {
+                        d = ρσ_Iter1[ρσ_Index1];
                         if (d.device !== dev && d.epoch > epoch) {
                             epoch = d.epoch;
                             ans = d;
@@ -34801,9 +34797,9 @@ return this.__repr__();
                 table = ρσ_interpolate_kwargs.call(E, E.table, [ρσ_desugar_kwargs({class_: "metadata"})]);
                 container.lastChild.appendChild(table);
                 render_metadata(mi, table, null, "html { font-size: " + ρσ_str.format("{}", document.documentElement.style.fontSize) + " }");
-                var ρσ_Iter33 = ρσ_Iterable(table.querySelectorAll("a[href]"));
-                for (var ρσ_Index33 = 0; ρσ_Index33 < ρσ_Iter33.length; ρσ_Index33++) {
-                    a = ρσ_Iter33[ρσ_Index33];
+                var ρσ_Iter2 = ρσ_Iterable(table.querySelectorAll("a[href]"));
+                for (var ρσ_Index2 = 0; ρσ_Index2 < ρσ_Iter2.length; ρσ_Index2++) {
+                    a = ρσ_Iter2[ρσ_Index2];
                     a.removeAttribute("href");
                     a.removeAttribute("title");
                     a.classList.remove("blue-link");
@@ -36180,9 +36176,9 @@ return this.__repr__();
             var evt, attr;
             event.preventDefault();
             evt = Object.create(null);
-            var ρσ_Iter34 = ρσ_Iterable(ρσ_list_decorate([ "deltaX", "deltaY", "deltaMode", "altKey", "ctrlKey", "shiftKey", "metaKey" ]));
-            for (var ρσ_Index34 = 0; ρσ_Index34 < ρσ_Iter34.length; ρσ_Index34++) {
-                attr = ρσ_Iter34[ρσ_Index34];
+            var ρσ_Iter0 = ρσ_Iterable(ρσ_list_decorate([ "deltaX", "deltaY", "deltaMode", "altKey", "ctrlKey", "shiftKey", "metaKey" ]));
+            for (var ρσ_Index0 = 0; ρσ_Index0 < ρσ_Iter0.length; ρσ_Index0++) {
+                attr = ρσ_Iter0[ρσ_Index0];
                 evt[(typeof attr === "number" && attr < 0) ? evt.length + attr : attr] = event[(typeof attr === "number" && attr < 0) ? event.length + attr : attr];
             }
             ρσ_interpolate_kwargs.call(self.iframe_wrapper, self.iframe_wrapper.send_message, ["wheel_from_margin"].concat([ρσ_desugar_kwargs({evt: evt})]));
@@ -36511,12 +36507,12 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             }
             names = [];
             item_groups = (data.backwards) ? ρσ_list_decorate([ range(idx - 1, -1, -1), range(spine.length - 1, idx, -1) ]) : ρσ_list_decorate([ range(idx + 1, spine.length), range(idx) ]);
-            var ρσ_Iter35 = ρσ_Iterable(item_groups);
-            for (var ρσ_Index35 = 0; ρσ_Index35 < ρσ_Iter35.length; ρσ_Index35++) {
-                items = ρσ_Iter35[ρσ_Index35];
-                var ρσ_Iter36 = ρσ_Iterable(items);
-                for (var ρσ_Index36 = 0; ρσ_Index36 < ρσ_Iter36.length; ρσ_Index36++) {
-                    i = ρσ_Iter36[ρσ_Index36];
+            var ρσ_Iter1 = ρσ_Iterable(item_groups);
+            for (var ρσ_Index1 = 0; ρσ_Index1 < ρσ_Iter1.length; ρσ_Index1++) {
+                items = ρσ_Iter1[ρσ_Index1];
+                var ρσ_Iter2 = ρσ_Iterable(items);
+                for (var ρσ_Index2 = 0; ρσ_Index2 < ρσ_Iter2.length; ρσ_Index2++) {
+                    i = ρσ_Iter2[ρσ_Index2];
                     names.push(spine[(typeof i === "number" && i < 0) ? spine.length + i : i]);
                 }
             }
@@ -36750,9 +36746,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             var ans, m, s, mc, ρσ_unpack, which, sd, iframe, bg_image;
             ans = resolve_color_scheme();
             self.current_color_scheme = ans;
-            var ρσ_Iter37 = ρσ_Iterable("left top right bottom".split(" "));
-            for (var ρσ_Index37 = 0; ρσ_Index37 < ρσ_Iter37.length; ρσ_Index37++) {
-                which = ρσ_Iter37[ρσ_Index37];
+            var ρσ_Iter3 = ρσ_Iterable("left top right bottom".split(" "));
+            for (var ρσ_Index3 = 0; ρσ_Index3 < ρσ_Iter3.length; ρσ_Index3++) {
+                which = ρσ_Iter3[ρσ_Index3];
                 m = document.getElementById("book-{}-margin".format(which));
                 s = m.style;
                 mc = ans[ρσ_bound_index("margin_" + ρσ_str.format("{}", which) + "", ans)];
@@ -37101,9 +37097,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             page = total_length * frac;
             chapter_frac = 0;
             chapter_name = null;
-            var ρσ_Iter38 = ρσ_Iterable(self.book.manifest.spine);
-            for (var ρσ_Index38 = 0; ρσ_Index38 < ρσ_Iter38.length; ρσ_Index38++) {
-                name = ρσ_Iter38[ρσ_Index38];
+            var ρσ_Iter4 = ρσ_Iterable(self.book.manifest.spine);
+            for (var ρσ_Index4 = 0; ρσ_Index4 < ρσ_Iter4.length; ρσ_Index4++) {
+                name = ρσ_Iter4[ρσ_Index4];
                 chapter_length = ρσ_exists.d((ρσ_expr_temp = self.book.manifest.files)[(typeof name === "number" && name < 0) ? ρσ_expr_temp.length + name : name]).length || 0;
                 chapter_end_page = chapter_start_page + chapter_length;
                 if (chapter_start_page <= page && page <= chapter_end_page) {
@@ -37268,9 +37264,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                     found = true;
                     return;
                 }
-                var ρσ_Iter39 = ρσ_Iterable(x.children);
-                for (var ρσ_Index39 = 0; ρσ_Index39 < ρσ_Iter39.length; ρσ_Index39++) {
-                    c = ρσ_Iter39[ρσ_Index39];
+                var ρσ_Iter5 = ρσ_Iterable(x.children);
+                for (var ρσ_Index5 = 0; ρσ_Index5 < ρσ_Iter5.length; ρσ_Index5++) {
+                    c = ρσ_Iter5[ρσ_Index5];
                     process_node(c);
                 }
             };
@@ -37465,9 +37461,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 __module__ : {value: "read_book.view"}
             });
 
-            var ρσ_Iter40 = ρσ_Iterable(ρσ_list_decorate([ "left", "right", "top", "bottom" ]));
-            for (var ρσ_Index40 = 0; ρσ_Index40 < ρσ_Iter40.length; ρσ_Index40++) {
-                edge = ρσ_Iter40[ρσ_Index40];
+            var ρσ_Iter6 = ρσ_Iterable(ρσ_list_decorate([ "left", "right", "top", "bottom" ]));
+            for (var ρσ_Index6 = 0; ρσ_Index6 < ρσ_Iter6.length; ρσ_Index6++) {
+                edge = ρσ_Iter6[ρσ_Index6];
                 div = document.getElementById("book-" + ρσ_str.format("{}", edge) + "-margin");
                 if (div) {
                     tname = (ρσ_expr_temp = (function(){
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/constants.py 4.99.7+dfsg+really4.21.0-1/src/calibre/constants.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/constants.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/constants.py	2020-07-16 16:35:56.000000000 +0000
@@ -6,7 +6,7 @@ from polyglot.builtins import map, unico
 import sys, locale, codecs, os, importlib, collections
 
 __appname__   = 'calibre'
-numeric_version = (4, 20, 0)
+numeric_version = (4, 21, 0)
 __version__   = '.'.join(map(unicode_type, numeric_version))
 git_version   = None
 __author__    = "Kovid Goyal <kovid@kovidgoyal.net>"
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/db/cache.py 4.99.7+dfsg+really4.21.0-1/src/calibre/db/cache.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/db/cache.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/db/cache.py	2020-07-16 16:35:56.000000000 +0000
@@ -26,7 +26,7 @@ from calibre.db.tables import VirtualTab
 from calibre.db.write import get_series_values, uniq
 from calibre.db.lazy import FormatMetadata, FormatsList, ProxyMetadata
 from calibre.ebooks import check_ebook_format
-from calibre.ebooks.metadata import string_to_authors, author_to_author_sort, authors_to_sort_string
+from calibre.ebooks.metadata import string_to_authors, author_to_author_sort
 from calibre.ebooks.metadata.book.base import Metadata
 from calibre.ebooks.metadata.opf2 import metadata_to_opf
 from calibre.ptempfile import (base_dir, PersistentTemporaryFile,
@@ -92,6 +92,22 @@ def _add_newbook_tag(mi):
                     mi.tags.append(tag)
 
 
+def _add_default_custom_column_values(mi, fm):
+    cols = fm.custom_field_metadata(include_composites=False)
+    for cc,col in iteritems(cols):
+        dv = col['display'].get('default_value', '')
+        try:
+            if dv:
+                if not mi.get_user_metadata(cc, make_copy=False):
+                    mi.set_user_metadata(cc, col)
+                dt = col['datatype']
+                if dt == 'datetime' and icu_lower(dv) == 'now':
+                    dv = nowf()
+                mi.set(cc, dv)
+        except:
+            traceback.print_exc()
+
+
 dynamic_category_preferences = frozenset({'grouped_search_make_user_categories', 'grouped_search_terms', 'user_categories'})
 
 
@@ -1349,7 +1365,7 @@ class Cache(object):
 
                 val = mi.get('author_sort', None)
                 if authors_changed and (not val or mi.is_null('author_sort')):
-                    val = authors_to_sort_string(mi.authors)
+                    val = self._author_sort_from_authors(mi.authors)
                 if authors_changed or (force_changes and val is not None) or not mi.is_null('author_sort'):
                     protected_set_field('author_sort', val)
 
@@ -1571,6 +1587,7 @@ class Cache(object):
             mi.tags = list(mi.tags)
         if apply_import_tags:
             _add_newbook_tag(mi)
+            _add_default_custom_column_values(mi, self.field_metadata)
         if not add_duplicates and self._has_book(mi):
             return
         series_index = (self._get_next_series_num_for(mi.series) if mi.series_index is None else mi.series_index)
@@ -1583,7 +1600,7 @@ class Cache(object):
                 series_index = 1.0
         if not mi.authors:
             mi.authors = (_('Unknown'),)
-        aus = mi.author_sort if mi.author_sort else self._author_sort_from_authors(mi.authors)
+        aus = mi.author_sort if not mi.is_null('author_sort') else self._author_sort_from_authors(mi.authors)
         mi.title = mi.title or _('Unknown')
         if isbytestring(aus):
             aus = aus.decode(preferred_encoding, 'replace')
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/db/tests/writing.py 4.99.7+dfsg+really4.21.0-1/src/calibre/db/tests/writing.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/db/tests/writing.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/db/tests/writing.py	2020-07-16 16:35:56.000000000 +0000
@@ -442,6 +442,11 @@ class WritingTest(BaseTest):
         mi = Metadata('empty', ['a1', 'a2'])
         cache.set_metadata(1, mi)
         self.assertEqual('a1 & a2', cache.field_for('author_sort', 1))
+        cache.set_sort_for_authors({cache.get_item_id('authors', 'a1'): 'xy'})
+        self.assertEqual('xy & a2', cache.field_for('author_sort', 1))
+        mi = Metadata('empty', ['a1'])
+        cache.set_metadata(1, mi)
+        self.assertEqual('xy', cache.field_for('author_sort', 1))
 
     # }}}
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/devices/kobo/driver.py 4.99.7+dfsg+really4.21.0-1/src/calibre/devices/kobo/driver.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/devices/kobo/driver.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/devices/kobo/driver.py	2020-07-16 16:35:56.000000000 +0000
@@ -1379,6 +1379,7 @@ class KOBOTOUCH(KOBO):
     min_fwversion_epub_location     = (4, 17, 13651)  # ePub reading location without full contentid.
     min_fwversion_dropbox           = (4, 18, 13737)  # The Forma only at this point.
     min_fwversion_serieslist        = (4, 20, 14601)  # Series list needs the SeriesID to be set.
+    min_nia_fwversion               = (4, 22, 15202)
 
     has_kepubs = True
 
@@ -1410,13 +1411,15 @@ class KOBOTOUCH(KOBO):
     GLO_HD_PRODUCT_ID   = [0x4223]
     LIBRA_H2O_PRODUCT_ID = [0x4232]
     MINI_PRODUCT_ID     = [0x4183]
+    NIA_PRODUCT_ID      = [0x4230]
     TOUCH_PRODUCT_ID    = [0x4163]
     TOUCH2_PRODUCT_ID   = [0x4224]
     PRODUCT_ID          = AURA_PRODUCT_ID + AURA_EDITION2_PRODUCT_ID + \
                           AURA_HD_PRODUCT_ID + AURA_H2O_PRODUCT_ID + AURA_H2O_EDITION2_PRODUCT_ID + \
                           GLO_PRODUCT_ID + GLO_HD_PRODUCT_ID + \
                           MINI_PRODUCT_ID + TOUCH_PRODUCT_ID + TOUCH2_PRODUCT_ID + \
-                          AURA_ONE_PRODUCT_ID + CLARA_HD_PRODUCT_ID + FORMA_PRODUCT_ID + LIBRA_H2O_PRODUCT_ID
+                          AURA_ONE_PRODUCT_ID + CLARA_HD_PRODUCT_ID + FORMA_PRODUCT_ID + LIBRA_H2O_PRODUCT_ID + \
+                          NIA_PRODUCT_ID
 
     BCD = [0x0110, 0x0326, 0x401]
 
@@ -3359,6 +3362,9 @@ class KOBOTOUCH(KOBO):
     def isMini(self):
         return self.detected_device.idProduct in self.MINI_PRODUCT_ID
 
+    def isNia(self):
+        return self.detected_device.idProduct in self.NIA_PRODUCT_ID
+
     def isTouch(self):
         return self.detected_device.idProduct in self.TOUCH_PRODUCT_ID
 
@@ -3390,6 +3396,8 @@ class KOBOTOUCH(KOBO):
             _cover_file_endings = self.LIBRA_H2O_COVER_FILE_ENDINGS
         elif self.isMini():
             _cover_file_endings = self.LEGACY_COVER_FILE_ENDINGS
+        elif self.isNia():
+            _cover_file_endings = self.GLO_COVER_FILE_ENDINGS
         elif self.isTouch():
             _cover_file_endings = self.LEGACY_COVER_FILE_ENDINGS
         elif self.isTouch2():
@@ -3428,6 +3436,8 @@ class KOBOTOUCH(KOBO):
             device_name = 'Kobo Libra H2O'
         elif self.isMini():
             device_name = 'Kobo Mini'
+        elif self.isNia():
+            device_name = 'Kobo Nia'
         elif self.isTouch():
             device_name = 'Kobo Touch'
         elif self.isTouch2():
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/ebooks/conversion/plugins/comic_input.py 4.99.7+dfsg+really4.21.0-1/src/calibre/ebooks/conversion/plugins/comic_input.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/ebooks/conversion/plugins/comic_input.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/ebooks/conversion/plugins/comic_input.py	2020-07-16 16:35:56.000000000 +0000
@@ -176,6 +176,7 @@ class ComicInput(InputFormatPlugin):
             comics_ = [['Comic', os.path.abspath(stream.name)]]
         stream.close()
         comics = []
+        num_pages_per_comic = []
         for i, x in enumerate(comics_):
             title, fname = x
             cdir = 'comic_%d'%(i+1) if len(comics_) > 1 else '.'
@@ -185,8 +186,9 @@ class ComicInput(InputFormatPlugin):
             pages = self.get_pages(fname, cdir)
             if not pages:
                 continue
+            num_pages_per_comic.append(len(pages))
             if self.for_viewer:
-                comics.append((title, pages, [self.create_viewer_wrapper(pages)]))
+                comics.append((title, pages, [self.create_viewer_wrapper(pages, cdir)]))
             else:
                 wrappers = self.create_wrappers(pages)
                 comics.append((title, pages, wrappers))
@@ -220,25 +222,41 @@ class ComicInput(InputFormatPlugin):
             self._images.extend(comic[1])
         opf.create_spine(spine)
         if self.for_viewer and cover_href:
+            if os.path.isabs(cover_href):
+                cover_href = os.path.relpath(cover_href).replace(os.sep, '/')
             opf.guide.set_cover(cover_href)
         toc = TOC()
         if len(comics) == 1:
             wrappers = comics[0][2]
-            for i, x in enumerate(wrappers):
-                toc.add_item(href(x), None, _('Page')+' %d'%(i+1),
-                        play_order=i)
+            if self.for_viewer:
+                wrapper_page_href = href(wrappers[0])
+                for i in range(num_pages_per_comic[0]):
+                    toc.add_item('{}#page_{}'.format(wrapper_page_href, i+1), None,
+                        _('Page')+' %d'%(i+1), play_order=i)
+
+            else:
+                for i, x in enumerate(wrappers):
+                    toc.add_item(href(x), None, _('Page')+' %d'%(i+1),
+                            play_order=i)
         else:
             po = 0
-            for comic in comics:
+            for num_pages, comic in zip(num_pages_per_comic, comics):
                 po += 1
                 wrappers = comic[2]
                 stoc = toc.add_item(href(wrappers[0]),
                         None, comic[0], play_order=po)
                 if not opts.dont_add_comic_pages_to_toc:
-                    for i, x in enumerate(wrappers):
-                        stoc.add_item(href(x), None,
-                                _('Page')+' %d'%(i+1), play_order=po)
-                        po += 1
+                    if self.for_viewer:
+                        wrapper_page_href = href(wrappers[0])
+                        for i in range(num_pages):
+                            stoc.add_item('{}#page_{}'.format(wrapper_page_href, i+1), None,
+                                    _('Page')+' %d'%(i+1), play_order=po)
+                            po += 1
+                    else:
+                        for i, x in enumerate(wrappers):
+                            stoc.add_item(href(x), None,
+                                    _('Page')+' %d'%(i+1), play_order=po)
+                            po += 1
         opf.set_toc(toc)
         with open('metadata.opf', 'wb') as m, open('toc.ncx', 'wb') as n:
             opf.render(m, n, 'toc.ncx')
@@ -274,13 +292,13 @@ class ComicInput(InputFormatPlugin):
             wrappers.append(page)
         return wrappers
 
-    def create_viewer_wrapper(self, pages):
+    def create_viewer_wrapper(self, pages, cdir):
         from calibre.ebooks.oeb.base import XHTML_NS
 
-        def page(src):
-            return '<img src="{}"></img>'.format(os.path.basename(src))
+        def page(pnum, src):
+            return '<img id="page_{}" src="{}"></img>'.format(pnum + 1, os.path.basename(src))
 
-        pages = '\n'.join(map(page, pages))
+        pages = '\n'.join(page(i, src) for i, src in enumerate(pages))
         base = os.path.dirname(pages[0])
         wrapper = '''
         <html xmlns="%s">
@@ -304,7 +322,7 @@ class ComicInput(InputFormatPlugin):
             </body>
         </html>
         ''' % (XHTML_NS, pages)
-        path = os.path.join(base, 'wrapper.xhtml')
+        path = os.path.join(base, cdir, 'wrapper.xhtml')
         with open(path, 'wb') as f:
             f.write(wrapper.encode('utf-8'))
         return path
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/ebooks/docx/writer/from_html.py 4.99.7+dfsg+really4.21.0-1/src/calibre/ebooks/docx/writer/from_html.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/ebooks/docx/writer/from_html.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/ebooks/docx/writer/from_html.py	2020-07-16 16:35:56.000000000 +0000
@@ -575,9 +575,13 @@ class Convert(object):
             self.images_manager.add_image(html_tag, block, stylizer, as_block=True)
         else:
             text = html_tag.text
+            is_list_item = tagname == 'li'
+            has_sublist = is_list_item and len(html_tag) and barename(html_tag[0].tag) in ('ul', 'ol') and len(html_tag[0])
+            if text and has_sublist and not text.strip():
+                text = ''  # whitespace only, ignore
             if text:
                 block.add_text(text, tag_style, ignore_leading_whitespace=True, is_parent_style=True, link=self.current_link, lang=self.current_lang)
-            elif tagname == 'li' and len(html_tag) and barename(html_tag[0].tag) in ('ul', 'ol') and len(html_tag[0]):
+            elif has_sublist:
                 block.force_not_empty = True
 
     def add_inline_tag(self, tagname, html_tag, tag_style, stylizer):
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/ebooks/oeb/polish/css.py 4.99.7+dfsg+really4.21.0-1/src/calibre/ebooks/oeb/polish/css.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/ebooks/oeb/polish/css.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/ebooks/oeb/polish/css.py	2020-07-16 16:35:56.000000000 +0000
@@ -18,6 +18,7 @@ from calibre.ebooks.oeb.polish.pretty im
 from calibre.utils.icu import numeric_sort_key
 from css_selectors import Select, SelectorError
 from polyglot.builtins import iteritems, itervalues, unicode_type, filter
+from polyglot.functools import lru_cache
 
 
 def filter_used_rules(rules, log, select):
@@ -291,6 +292,7 @@ def _classes_in_selector(selector, class
         classes.add(cn)
 
 
+@lru_cache(maxsize=4096)
 def classes_in_selector(text):
     classes = set()
     try:
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/actions/sort.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/actions/sort.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/actions/sort.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/actions/sort.py	2020-07-16 16:35:56.000000000 +0000
@@ -32,9 +32,7 @@ class SortByAction(InterfaceAction):
     action_type = 'current'
     popup_type = QToolButton.InstantPopup
     action_add_menu = True
-    dont_add_to = frozenset([
-        'toolbar-device', 'context-menu-device', 'menubar', 'menubar-device',
-        'context-menu-cover-browser'])
+    dont_add_to = frozenset(('context-menu-cover-browser', ))
 
     def genesis(self):
         self.sorted_icon = QIcon(I('ok.png'))
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/dialogs/custom_recipes.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/dialogs/custom_recipes.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/dialogs/custom_recipes.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/dialogs/custom_recipes.py	2020-07-16 16:35:56.000000000 +0000
@@ -569,7 +569,7 @@ class CustomRecipes(Dialog):
         la = lambda *args:self.list_actions.append(args)
         la('plus.png', _('&New recipe'), _('Create a new recipe from scratch'), self.add_recipe)
         la('news.png', _('Customize &builtin recipe'), _('Customize a builtin news download source'), self.customize_recipe)
-        la('document_open.png', _('Load recipe from &file'), _('Load a recipe from a &file'), self.load_recipe)
+        la('document_open.png', _('Load recipe from &file'), _('Load a recipe from a file'), self.load_recipe)
         la('mimetypes/dir.png', _('&Show recipe files'), _('Show the folder containing all recipe files'), self.show_recipe_files)
         la('mimetypes/opml.png', _('Import &OPML'), _(
             "Import a collection of RSS feeds in OPML format\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/dialogs/quickview.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/dialogs/quickview.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/dialogs/quickview.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/dialogs/quickview.py	2020-07-16 16:35:56.000000000 +0000
@@ -174,6 +174,10 @@ class Quickview(QDialog, Ui_Quickview):
         self.last_search = None
         self.no_valid_items = False
 
+        self.apply_vls.setCheckState(Qt.Checked if gprefs['qv_respects_vls']
+                                        else Qt.Unchecked)
+        self.apply_vls.stateChanged.connect(self.vl_box_changed)
+
         self.fm = self.db.field_metadata
 
         self.items.setSelectionMode(QAbstractItemView.SingleSelection)
@@ -428,6 +432,10 @@ class Quickview(QDialog, Ui_Quickview):
         self.fill_in_books_box(unicode_type(txt))
         self.set_search_text(self.current_key + ':"=' + txt.replace('"', '\\"') + '"')
 
+    def vl_box_changed(self):
+        gprefs['qv_respects_vls'] = self.apply_vls.isChecked()
+        self._refresh(self.current_book_id, self.current_key)
+
     def refresh(self, idx):
         '''
         Given a cell in the library view, display the information. This method
@@ -534,7 +542,7 @@ class Quickview(QDialog, Ui_Quickview):
         else:
             sv = selected_item
         sv = self.current_key + ':"=' + sv.replace('"', r'\"') + '"'
-        if gprefs['qv_respects_vls']:
+        if self.apply_vls.isChecked():
             books = self.db.search(sv, return_matches=True, sort_results=False)
         else:
             books = self.db.new_api.search(sv)
@@ -588,8 +596,8 @@ class Quickview(QDialog, Ui_Quickview):
                         a = TableItem(v, timestampfromdt(d))
                     elif self.fm[col]['datatype'] in ('float', 'int'):
                         v = mi.format_field(col)[1]
-                        sv = mi.get(col)
-                        a = TableItem(v, sv)
+                        sort_val = mi.get(col)
+                        a = TableItem(v, sort_val)
                     else:
                         v = mi.format_field(col)[1]
                         a = TableItem(v, v)
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/dialogs/quickview.ui 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/dialogs/quickview.ui
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/dialogs/quickview.ui	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/dialogs/quickview.ui	2020-07-16 16:35:56.000000000 +0000
@@ -76,6 +76,17 @@
       </spacer>
      </item>
      <item>
+      <widget class="QCheckBox" name="apply_vls">
+       <property name="text">
+        <string>&amp;Apply virtual libraries</string>
+       </property>
+       <property name="toolTip">
+        <string>&lt;p&gt;Select to make Quickview show only books in the current
+        virtual library&lt;/p&gt;</string>
+       </property>
+      </widget>
+     </item>
+     <item>
       <widget class="QCheckBox" name="lock_qv">
        <property name="text">
         <string>&amp;Lock Quickview contents</string>
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/dialogs/quickview_ui.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/dialogs/quickview_ui.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/dialogs/quickview_ui.py	2019-10-14 10:31:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/dialogs/quickview_ui.py	2020-07-07 06:20:24.000000000 +0000
@@ -2,9 +2,10 @@
 
 # Form implementation generated from reading ui file '/home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.ui'
 #
-# Created by: PyQt5 UI code generator 5.13.0
+# Created by: PyQt5 UI code generator 5.15.0
 #
-# WARNING! All changes made in this file will be lost!
+# WARNING: Any manual changes made to this file will be lost when pyuic5 is
+# run again.  Do not edit this file unless you know what you are doing.
 
 
 from PyQt5 import QtCore, QtGui, QtWidgets
@@ -49,6 +50,9 @@ class Ui_Quickview(object):
         self.hboxlayout.setObjectName("hboxlayout")
         spacerItem = QtWidgets.QSpacerItem(200, 0, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
         self.hboxlayout.addItem(spacerItem)
+        self.apply_vls = QtWidgets.QCheckBox(Quickview)
+        self.apply_vls.setObjectName("apply_vls")
+        self.hboxlayout.addWidget(self.apply_vls)
         self.lock_qv = QtWidgets.QCheckBox(Quickview)
         self.lock_qv.setObjectName("lock_qv")
         self.hboxlayout.addWidget(self.lock_qv)
@@ -87,6 +91,9 @@ class Ui_Quickview(object):
     def retranslateUi(self, Quickview):
 
         Quickview.setWindowTitle(_("Quickview"))
+        self.apply_vls.setText(_("&Apply virtual libraries"))
+        self.apply_vls.setToolTip(_("<p>Select to make Quickview show only books in the current\n"
+"        virtual library</p>"))
         self.lock_qv.setText(_("&Lock Quickview contents"))
         self.lock_qv.setToolTip(_("<p>Select to prevent Quickview from changing content when the\n"
 "        selection on the library view is changed</p>"))
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/dialogs/tag_list_editor.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/dialogs/tag_list_editor.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/dialogs/tag_list_editor.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/dialogs/tag_list_editor.py	2020-07-16 16:35:56.000000000 +0000
@@ -341,9 +341,11 @@ class TagListEditor(QDialog, Ui_TagListE
 
         if select_item is not None:
             self.table.setCurrentItem(select_item)
+            self.table.setFocus(True)
             self.start_find_pos = select_item.row()
         else:
             self.table.setCurrentCell(0, 0)
+            self.search_box.setFocus()
             self.start_find_pos = -1
         self.table.blockSignals(False)
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/library/alternate_views.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/library/alternate_views.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/library/alternate_views.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/library/alternate_views.py	2020-07-16 16:35:56.000000000 +0000
@@ -12,10 +12,10 @@ from textwrap import wrap
 
 from PyQt5.Qt import (
     QListView, QSize, QStyledItemDelegate, QModelIndex, Qt, QImage, pyqtSignal,
-    QTimer, QPalette, QColor, QItemSelection, QPixmap, QApplication,
+    QTimer, QColor, QItemSelection, QPixmap, QApplication,
     QMimeData, QUrl, QDrag, QPoint, QPainter, QRect, pyqtProperty, QEvent,
     QPropertyAnimation, QEasingCurve, pyqtSlot, QHelpEvent, QAbstractItemView,
-    QStyleOptionViewItem, QToolTip, QByteArray, QBuffer, QBrush, qRed, qGreen,
+    QStyleOptionViewItem, QToolTip, QByteArray, QBuffer, qRed, qGreen,
     qBlue, QItemSelectionModel, QIcon, QFont, QTableView, QTreeView)
 
 from calibre import fit_image, prints, prepare_string_for_xml, human_readable
@@ -565,9 +565,9 @@ class CoverDelegate(QStyledItemDelegate)
                 dpr = cdata.devicePixelRatio()
                 cw, ch = int(cdata.width() / dpr), int(cdata.height() / dpr)
                 dx = max(0, int((rect.width() - cw)/2.0))
-                dy = max(0, rect.height() - ch)
+                dy = max(0, int((rect.height() - ch)/2.0))
                 right_adjust = dx
-                rect.adjust(dx, dy, -dx, 0)
+                rect.adjust(dx, dy, -dx, -dy)
                 painter.drawPixmap(rect, cdata)
                 if self.title_height != 0:
                     self.paint_title(painter, trect, db, book_id)
@@ -794,23 +794,26 @@ class GridView(QListView):
 
     def set_color(self):
         r, g, b = gprefs['cover_grid_color']
-        pal = QPalette()
-        col = QColor(r, g, b)
-        pal.setColor(pal.Base, col)
         tex = gprefs['cover_grid_texture']
+        pal = self.palette()
+        pal.setColor(pal.Base, QColor(r, g, b))
+        self.setPalette(pal)
+        ss = ''
         if tex:
             from calibre.gui2.preferences.texture_chooser import texture_path
             path = texture_path(tex)
             if path:
+                path = os.path.abspath(path).replace(os.sep, '/')
+                ss += 'background-image: url({});'.format(path)
+                ss += 'background-attachment: fixed;'
                 pm = QPixmap(path)
                 if not pm.isNull():
                     val = pm.scaled(1, 1).toImage().pixel(0, 0)
                     r, g, b = qRed(val), qGreen(val), qBlue(val)
-                    pal.setBrush(pal.Base, QBrush(pm))
-        dark = (r + g + b)/3.0 < 128
-        pal.setColor(pal.Text, QColor(Qt.white if dark else Qt.black))
-        self.setPalette(pal)
-        self.delegate.highlight_color = pal.color(pal.Text)
+        dark = max(r, g, b) < 115
+        ss += 'color: {};'.format('white' if dark else 'black')
+        self.delegate.highlight_color = QColor(Qt.white if dark else Qt.black)
+        self.setStyleSheet('QListView {{ {} }}'.format(ss))
 
     def refresh_settings(self):
         size_changed = (
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/pictureflow/pictureflow.cpp 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/pictureflow/pictureflow.cpp
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/pictureflow/pictureflow.cpp	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/pictureflow/pictureflow.cpp	2020-07-16 16:35:56.000000000 +0000
@@ -435,6 +435,7 @@ PictureFlowPrivate::PictureFlowPrivate(P
   target = 0;
   fade = 256;
   subtitleFont = QFont();
+  subtitleFont.setHintingPreference(QFont::PreferNoHinting);
 
   triggerTimer.setSingleShot(true);
   triggerTimer.setInterval(0);
@@ -767,6 +768,11 @@ void PictureFlowPrivate::render()
       r = renderSlide(centerSlide);
   int c1 = r.left();
   int c2 = r.right();
+  QFont font = QFont();
+  font.setBold(true);
+  font.setPixelSize(fontSize);
+  font.setHintingPreference(QFont::PreferNoHinting);
+
 
   if(step == 0)
   {
@@ -788,10 +794,6 @@ void PictureFlowPrivate::render()
 
     QPainter painter;
     painter.begin(&buffer);
-
-    QFont font = QFont();
-    font.setBold(true);
-    font.setPixelSize(fontSize);
     painter.setFont(font);
     painter.setPen(Qt::white);
     //painter.setPen(QColor(255,255,255,127));
@@ -835,14 +837,8 @@ void PictureFlowPrivate::render()
         c2 = rs.right();
     }
 
-
-
     QPainter painter;
     painter.begin(&buffer);
-
-    QFont font = QFont();
-    font.setBold(true);
-    font.setPixelSize(fontSize);
     painter.setFont(font);
 
     int leftTextIndex = (step>0) ? centerIndex : centerIndex-1;
@@ -1253,6 +1249,7 @@ void PictureFlow::setPreserveAspectRatio
 void PictureFlow::setSubtitleFont(QFont font)
 {
   d->subtitleFont = font;
+  d->subtitleFont.setHintingPreference(QFont::PreferNoHinting);
 }
 
 QFont PictureFlow::subtitleFont() const
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/preferences/adding.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/preferences/adding.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/preferences/adding.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/preferences/adding.py	2020-07-16 16:35:56.000000000 +0000
@@ -151,6 +151,7 @@ class ConfigWidget(ConfigWidgetBase, Ui_
         if path != gprefs['auto_add_path']:
             if path:
                 path = os.path.abspath(path)
+                bname = os.path.basename(path)
                 self.opt_auto_add_path.setText(path)
                 if not os.path.isdir(path):
                     error_dialog(self, _('Invalid folder'),
@@ -163,7 +164,7 @@ class ConfigWidget(ConfigWidgetBase, Ui_
                             _('You do not have read/write permissions for '
                                 'the folder: %s')%path, show=True)
                     raise AbortCommit('invalid auto-add folder')
-                if os.path.basename(path)[0] in '._':
+                if bname and bname[0] in '._':
                     error_dialog(self, _('Invalid folder'),
                             _('Cannot use folders whose names start with a '
                                 'period or underscore: %s')%os.path.basename(path), show=True)
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/preferences/create_custom_column.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/preferences/create_custom_column.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/preferences/create_custom_column.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/preferences/create_custom_column.py	2020-07-16 16:35:56.000000000 +0000
@@ -17,6 +17,7 @@ from PyQt5.Qt import (
 )
 
 from calibre.gui2 import error_dialog
+from calibre.utils.date import parse_date, UNDEFINED_DATE
 from polyglot.builtins import iteritems, unicode_type, range, map
 
 
@@ -127,8 +128,7 @@ class CreateCustomColumn(QDialog):
         self.shortcuts.setVisible(False)
         idx = current_row
         if idx < 0:
-            self.simple_error(_('No column selected'),
-                    _('No column has been selected'))
+            self.simple_error(_('No column selected'), _('No column has been selected'))
             return
         col = current_key
         if col not in parent.custcols:
@@ -177,6 +177,24 @@ class CreateCustomColumn(QDialog):
             self.comments_type.setCurrentIndex(idx)
         elif ct == 'rating':
             self.allow_half_stars.setChecked(bool(c['display'].get('allow_half_stars', False)))
+
+        # Default values
+        dv = c['display'].get('default_value', None)
+        if dv is not None:
+            if ct == 'bool':
+                self.default_value.setText(_('Yes') if dv else _('No'))
+            elif ct == 'datetime':
+                self.default_value.setText(_('Now') if dv == 'now' else dv)
+            elif ct == 'rating':
+                if self.allow_half_stars.isChecked():
+                    self.default_value.setText(unicode_type(dv/2))
+                else:
+                    self.default_value.setText(unicode_type(dv//2))
+            elif ct in ('int', 'float'):
+                self.default_value.setText(unicode_type(dv))
+            elif ct not in ('composite', '*composite'):
+                self.default_value.setText(dv)
+
         self.datatype_changed()
         if ct in ['text', 'composite', 'enumeration']:
             self.use_decorations.setChecked(c['display'].get('use_decorations', False))
@@ -390,6 +408,15 @@ class CreateCustomColumn(QDialog):
         l.addWidget(cch)
         add_row(None, l)
 
+        # Default value
+        self.default_value = dv = QLineEdit(self)
+        dv.setToolTip('<p>' + _('Default value when a new book is added to the '
+            'library. For Date columns enter the word "Now", or the date as '
+            'yyyy-mm-dd. For Yes/No columns enter "Yes" "No". For Text with '
+            'a fixed set of values enter one of the permitted values. For '
+            'Rating columns enter a number between 0 and 5.') + '</p>')
+        self.default_value_label = add_row(_('Default value'), dv)
+
         self.resize(self.sizeHint())
     # }}}
 
@@ -456,6 +483,8 @@ class CreateCustomColumn(QDialog):
             getattr(self, 'composite_'+x).setVisible(col_type in ['composite', '*composite'])
         for x in ('box', 'default_label', 'label', 'colors', 'colors_label'):
             getattr(self, 'enum_'+x).setVisible(col_type == 'enumeration')
+        for x in ('value_label', 'value'):
+            getattr(self, 'default_'+x).setVisible(col_type not in ['composite', '*composite'])
         self.use_decorations.setVisible(col_type in ['text', 'composite', 'enumeration'])
         self.is_names.setVisible(col_type == '*text')
         is_comments = col_type == 'comments'
@@ -512,15 +541,30 @@ class CreateCustomColumn(QDialog):
 
         display_dict = {}
 
+        default_val = (unicode_type(self.default_value.text()).strip()
+                        if col_type != 'composite' else None)
+
         if col_type == 'datetime':
             if unicode_type(self.format_box.text()).strip():
                 display_dict = {'date_format':unicode_type(self.format_box.text()).strip()}
             else:
                 display_dict = {'date_format': None}
+            if default_val:
+                if default_val == _('Now'):
+                    display_dict['default_value'] = 'now'
+                else:
+                    try:
+                        tv = parse_date(default_val)
+                    except:
+                        tv = UNDEFINED_DATE
+                    if tv == UNDEFINED_DATE:
+                        return self.simple_error(_('Invalid default value'),
+                                 _('The default value must be "Now" or a date'))
+                    display_dict['default_value'] = default_val
         elif col_type == 'composite':
             if not unicode_type(self.composite_box.text()).strip():
-                return self.simple_error('', _('You must enter a template for'
-                    ' composite columns'))
+                return self.simple_error('', _('You must enter a template for '
+                           'composite columns'))
             display_dict = {'composite_template':unicode_type(self.composite_box.text()).strip(),
                             'composite_sort': ['text', 'number', 'date', 'bool']
                                         [self.composite_sort_by.currentIndex()],
@@ -529,8 +573,8 @@ class CreateCustomColumn(QDialog):
                         }
         elif col_type == 'enumeration':
             if not unicode_type(self.enum_box.text()).strip():
-                return self.simple_error('', _('You must enter at least one'
-                    ' value for enumeration columns'))
+                return self.simple_error('', _('You must enter at least one '
+                            'value for enumeration columns'))
             l = [v.strip() for v in unicode_type(self.enum_box.text()).split(',') if v.strip()]
             l_lower = [v.lower() for v in l]
             for i,v in enumerate(l_lower):
@@ -544,13 +588,16 @@ class CreateCustomColumn(QDialog):
                 c = []
             if len(c) != 0 and len(c) != len(l):
                 return self.simple_error('', _('The colors box must be empty or '
-                'contain the same number of items as the value box'))
+                           'contain the same number of items as the value box'))
             for tc in c:
                 if tc not in QColor.colorNames() and not re.match("#(?:[0-9a-f]{3}){1,4}",tc,re.I):
-                    return self.simple_error('',
-                            _('The color {0} is unknown').format(tc))
-
+                    return self.simple_error('', _('The color {0} is unknown').format(tc))
             display_dict = {'enum_values': l, 'enum_colors': c}
+            if default_val:
+                if default_val not in l:
+                    return self.simple_error(_('Invalid default value'),
+                             _('The default value must be one of the permitted values'))
+                display_dict['default_value'] = default_val
         elif col_type == 'text' and is_multiple:
             display_dict = {'is_names': self.is_names.isChecked()}
         elif col_type in ['int', 'float']:
@@ -558,14 +605,51 @@ class CreateCustomColumn(QDialog):
                 display_dict = {'number_format':unicode_type(self.format_box.text()).strip()}
             else:
                 display_dict = {'number_format': None}
+            if default_val:
+                try:
+                    if col_type == 'int':
+                        msg = _('The default value must be an integer')
+                        tv = int(default_val)
+                        display_dict['default_value'] = tv
+                    else:
+                        msg = _('The default value must be a real number')
+                        tv = float(default_val)
+                        display_dict['default_value'] = tv
+                except:
+                    return self.simple_error(_('Invalid default value'), msg)
         elif col_type == 'comments':
             display_dict['heading_position'] = unicode_type(self.comments_heading_position.currentData())
             display_dict['interpret_as'] = unicode_type(self.comments_type.currentData())
         elif col_type == 'rating':
-            display_dict['allow_half_stars'] = bool(self.allow_half_stars.isChecked())
+            half_stars = bool(self.allow_half_stars.isChecked())
+            display_dict['allow_half_stars'] = half_stars
+            if default_val:
+                try:
+                    tv = int((float(default_val) if half_stars else int(default_val)) * 2)
+                except:
+                    tv = -1
+                if tv < 0 or tv > 10:
+                    if half_stars:
+                        return self.simple_error(_('Invalid default value'),
+                             _('The default value must be a real number between 0 and 5.0'))
+                    else:
+                        return self.simple_error(_('Invalid default value'),
+                             _('The default value must be an integer between 0 and 5'))
+                display_dict['default_value'] = tv
+        elif col_type == 'bool':
+            if default_val:
+                tv = {_('Yes'): True, _('No'): False}.get(default_val, None)
+                if tv is None:
+                    return self.simple_error(_('Invalid default value'),
+                             _('The default value must be "Yes" or "No"'))
+                display_dict['default_value'] = tv
 
         if col_type in ['text', 'composite', 'enumeration'] and not is_multiple:
             display_dict['use_decorations'] = self.use_decorations.checkState()
+
+        if default_val and 'default_value' not in display_dict:
+            display_dict['default_value'] = default_val
+
         display_dict['description'] = self.description_box.text().strip()
 
         if not self.editing_col:
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/preferences/look_feel.ui 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/preferences/look_feel.ui
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/preferences/look_feel.ui	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/preferences/look_feel.ui	2020-07-16 16:35:56.000000000 +0000
@@ -17,7 +17,7 @@
    <item row="0" column="0">
     <widget class="ScrollingTabWidget" name="tabWidget">
      <property name="currentIndex">
-      <number>2</number>
+      <number>0</number>
      </property>
      <widget class="QWidget" name="main_interface_tab">
       <attribute name="icon">
@@ -301,6 +301,12 @@
       </layout>
      </widget>
      <widget class="QTabWidget" name="cover_grid_tab">
+      <property name="tabPosition">
+       <enum>QTabWidget::West</enum>
+      </property>
+      <property name="currentIndex">
+       <number>0</number>
+      </property>
       <attribute name="icon">
        <iconset resource="../../../../resources/images.qrc">
         <normaloff>:/images/grid.png</normaloff>:/images/grid.png</iconset>
@@ -308,70 +314,166 @@
       <attribute name="title">
        <string>Cover &amp;grid</string>
       </attribute>
-         <property name="tabPosition">
-          <enum>QTabWidget::West</enum>
-         </property>
-         <property name="currentIndex">
-          <number>0</number>
-         </property>
-         <widget class="QWidget" name="tab_5">
-          <attribute name="title">
-           <string>&amp;Layout</string>
-          </attribute>
-          <layout class="QFormLayout" name="formLayout_2">
-           <item row="0" column="0" colspan="2">
-            <widget class="QLabel" name="label_19">
+      <widget class="QWidget" name="tab_5">
+       <attribute name="title">
+        <string>&amp;Layout</string>
+       </attribute>
+       <layout class="QFormLayout" name="formLayout_2">
+        <item row="0" column="0" colspan="2">
+         <widget class="QLabel" name="label_19">
+          <property name="text">
+           <string>Control the Cover grid view. You can enable this view by clicking the &quot;Layout&quot; button in the bottom right corner of the main calibre window.</string>
+          </property>
+          <property name="wordWrap">
+           <bool>true</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="3" column="1">
+         <spacer name="verticalSpacer_6">
+          <property name="orientation">
+           <enum>Qt::Vertical</enum>
+          </property>
+          <property name="sizeType">
+           <enum>QSizePolicy::Fixed</enum>
+          </property>
+          <property name="sizeHint" stdset="0">
+           <size>
+            <width>20</width>
+            <height>10</height>
+           </size>
+          </property>
+         </spacer>
+        </item>
+        <item row="5" column="0">
+         <widget class="QLabel" name="label_14">
+          <property name="text">
+           <string>Field to show &amp;under the covers:</string>
+          </property>
+          <property name="buddy">
+           <cstring>opt_field_under_covers_in_grid</cstring>
+          </property>
+         </widget>
+        </item>
+        <item row="5" column="1">
+         <widget class="QComboBox" name="opt_field_under_covers_in_grid"/>
+        </item>
+        <item row="6" column="0">
+         <widget class="QLabel" name="label_16">
+          <property name="text">
+           <string>Spac&amp;ing between covers:</string>
+          </property>
+          <property name="buddy">
+           <cstring>opt_cover_grid_spacing</cstring>
+          </property>
+         </widget>
+        </item>
+        <item row="6" column="1">
+         <widget class="QDoubleSpinBox" name="opt_cover_grid_spacing">
+          <property name="toolTip">
+           <string>The spacing between covers. A value of zero means calculate automatically based on cover size.</string>
+          </property>
+          <property name="specialValueText">
+           <string>Automatic</string>
+          </property>
+          <property name="suffix">
+           <string> cm</string>
+          </property>
+          <property name="decimals">
+           <number>2</number>
+          </property>
+          <property name="singleStep">
+           <double>0.100000000000000</double>
+          </property>
+         </widget>
+        </item>
+        <item row="7" column="0" colspan="2">
+         <widget class="QGroupBox" name="cg_background_box">
+          <property name="title">
+           <string>Background for the Cover grid</string>
+          </property>
+          <layout class="QGridLayout" name="gridLayout_5"/>
+         </widget>
+        </item>
+        <item row="10" column="0" colspan="2">
+         <widget class="QGroupBox" name="groupBox_4">
+          <property name="title">
+           <string>Cover size</string>
+          </property>
+          <layout class="QGridLayout" name="gridLayout_4">
+           <item row="0" column="0" colspan="5">
+            <widget class="QLabel" name="label_20">
              <property name="text">
-              <string>Control the Cover grid view. You can enable this view by clicking the &quot;Layout&quot; button in the bottom right corner of the main calibre window.</string>
+              <string>By default, calibre chooses a cover size based on your computer's screen size. You can change the cover size here:</string>
              </property>
              <property name="wordWrap">
               <bool>true</bool>
              </property>
             </widget>
            </item>
-           <item row="3" column="1">
-            <spacer name="verticalSpacer_6">
-             <property name="orientation">
-              <enum>Qt::Vertical</enum>
-             </property>
-             <property name="sizeType">
-              <enum>QSizePolicy::Fixed</enum>
-             </property>
-             <property name="sizeHint" stdset="0">
-              <size>
-               <width>20</width>
-               <height>10</height>
-              </size>
+           <item row="3" column="0" colspan="5">
+            <widget class="QLabel" name="cover_grid_aspect_ratio">
+             <property name="text">
+              <string/>
              </property>
-            </spacer>
+            </widget>
            </item>
-           <item row="5" column="0">
-            <widget class="QLabel" name="label_14">
+           <item row="1" column="0">
+            <widget class="QLabel" name="label_11">
              <property name="text">
-              <string>Field to show &amp;under the covers:</string>
+              <string>Cover &amp;width: </string>
              </property>
              <property name="buddy">
-              <cstring>opt_field_under_covers_in_grid</cstring>
+              <cstring>opt_cover_grid_width</cstring>
+             </property>
+            </widget>
+           </item>
+           <item row="1" column="1">
+            <widget class="QDoubleSpinBox" name="opt_cover_grid_width">
+             <property name="toolTip">
+              <string>The width of displayed covers.
+A value of zero means calculate automatically.</string>
+             </property>
+             <property name="specialValueText">
+              <string>Automatic</string>
+             </property>
+             <property name="suffix">
+              <string> cm</string>
+             </property>
+             <property name="decimals">
+              <number>1</number>
              </property>
             </widget>
            </item>
-           <item row="5" column="1">
-            <widget class="QComboBox" name="opt_field_under_covers_in_grid"/>
+           <item row="1" column="2">
+            <widget class="QPushButton" name="cover_grid_larger_cover">
+             <property name="toolTip">
+              <string>Make the covers larger, maintaining current aspect ratio.</string>
+             </property>
+             <property name="text">
+              <string>&amp;Larger covers</string>
+             </property>
+             <property name="icon">
+              <iconset resource="../../../../resources/images.qrc">
+               <normaloff>:/images/plus.png</normaloff>:/images/plus.png</iconset>
+             </property>
+            </widget>
            </item>
-           <item row="6" column="0">
-            <widget class="QLabel" name="label_16">
+           <item row="2" column="0">
+            <widget class="QLabel" name="label_12">
              <property name="text">
-              <string>Spac&amp;ing between covers:</string>
+              <string>Cover &amp;height: </string>
              </property>
              <property name="buddy">
-              <cstring>opt_cover_grid_spacing</cstring>
+              <cstring>opt_cover_grid_height</cstring>
              </property>
             </widget>
            </item>
-           <item row="6" column="1">
-            <widget class="QDoubleSpinBox" name="opt_cover_grid_spacing">
+           <item row="2" column="1">
+            <widget class="QDoubleSpinBox" name="opt_cover_grid_height">
              <property name="toolTip">
-              <string>The spacing between covers. A value of zero means calculate automatically based on cover size.</string>
+              <string>The height of displayed covers.
+A value of zero means calculate automatically.</string>
              </property>
              <property name="specialValueText">
               <string>Automatic</string>
@@ -380,337 +482,235 @@
               <string> cm</string>
              </property>
              <property name="decimals">
-              <number>2</number>
-             </property>
-             <property name="singleStep">
-              <double>0.100000000000000</double>
+              <number>1</number>
              </property>
             </widget>
            </item>
-           <item row="7" column="0" colspan="2">
-            <widget class="QGroupBox" name="cg_background_box">
-             <property name="title">
-              <string>Background for the Cover grid</string>
+           <item row="2" column="2">
+            <widget class="QPushButton" name="cover_grid_smaller_cover">
+             <property name="toolTip">
+              <string>Make the covers smaller, maintaining current aspect ratio.</string>
+             </property>
+             <property name="text">
+              <string>&amp;Smaller covers</string>
+             </property>
+             <property name="icon">
+              <iconset resource="../../../../resources/images.qrc">
+               <normaloff>:/images/minus.png</normaloff>:/images/minus.png</iconset>
              </property>
-             <layout class="QGridLayout" name="gridLayout_5"/>
             </widget>
            </item>
-           <item row="10" column="0" colspan="2">
-            <widget class="QGroupBox" name="groupBox_4">
-             <property name="title">
-              <string>Cover size</string>
-             </property>
-             <layout class="QGridLayout" name="gridLayout_4">
-              <item row="0" column="0" colspan="5">
-               <widget class="QLabel" name="label_20">
-                <property name="text">
-                 <string>By default, calibre chooses a cover size based on your computer's screen size. You can change the cover size here:</string>
-                </property>
-                <property name="wordWrap">
-                 <bool>true</bool>
-                </property>
-               </widget>
-              </item>
-              <item row="3" column="0" colspan="5">
-               <widget class="QLabel" name="cover_grid_aspect_ratio">
-                <property name="text">
-                 <string/>
-                </property>
-               </widget>
-              </item>
-              <item row="1" column="0">
-               <widget class="QLabel" name="label_11">
-                <property name="text">
-                 <string>Cover &amp;width: </string>
-                </property>
-                <property name="buddy">
-                 <cstring>opt_cover_grid_width</cstring>
-                </property>
-               </widget>
-              </item>
-              <item row="1" column="1">
-               <widget class="QDoubleSpinBox" name="opt_cover_grid_width">
-                <property name="toolTip">
-                 <string>The width of displayed covers.
-A value of zero means calculate automatically.</string>
-                </property>
-                <property name="specialValueText">
-                 <string>Automatic</string>
-                </property>
-                <property name="suffix">
-                 <string> cm</string>
-                </property>
-                <property name="decimals">
-                 <number>1</number>
-                </property>
-               </widget>
-              </item>
-              <item row="1" column="2">
-               <widget class="QPushButton" name="cover_grid_larger_cover">
-                <property name="toolTip">
-                 <string>Make the covers larger, maintaining current aspect ratio.</string>
-                </property>
-                <property name="text">
-                 <string>&amp;Larger covers</string>
-                </property>
-                <property name="icon">
-                 <iconset resource="../../../../resources/images.qrc">
-                  <normaloff>:/images/plus.png</normaloff>:/images/plus.png</iconset>
-                </property>
-               </widget>
-              </item>
-              <item row="2" column="0">
-               <widget class="QLabel" name="label_12">
-                <property name="text">
-                 <string>Cover &amp;height: </string>
-                </property>
-                <property name="buddy">
-                 <cstring>opt_cover_grid_height</cstring>
-                </property>
-               </widget>
-              </item>
-              <item row="2" column="1">
-               <widget class="QDoubleSpinBox" name="opt_cover_grid_height">
-                <property name="toolTip">
-                 <string>The height of displayed covers.
-A value of zero means calculate automatically.</string>
-                </property>
-                <property name="specialValueText">
-                 <string>Automatic</string>
-                </property>
-                <property name="suffix">
-                 <string> cm</string>
-                </property>
-                <property name="decimals">
-                 <number>1</number>
-                </property>
-               </widget>
-              </item>
-              <item row="2" column="2">
-               <widget class="QPushButton" name="cover_grid_smaller_cover">
-                <property name="toolTip">
-                 <string>Make the covers smaller, maintaining current aspect ratio.</string>
-                </property>
-                <property name="text">
-                 <string>&amp;Smaller covers</string>
-                </property>
-                <property name="icon">
-                 <iconset resource="../../../../resources/images.qrc">
-                  <normaloff>:/images/minus.png</normaloff>:/images/minus.png</iconset>
-                </property>
-               </widget>
-              </item>
-              <item row="1" column="3" rowspan="2">
-               <widget class="QPushButton" name="cover_grid_reset_size">
-                <property name="toolTip">
-                 <string>Reset size to automatic</string>
-                </property>
-                <property name="text">
-                 <string>&amp;Reset size</string>
-                </property>
-               </widget>
-              </item>
-              <item row="1" column="4">
-               <spacer name="horizontalSpacer_4">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>40</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
+           <item row="1" column="3" rowspan="2">
+            <widget class="QPushButton" name="cover_grid_reset_size">
+             <property name="toolTip">
+              <string>Reset size to automatic</string>
+             </property>
+             <property name="text">
+              <string>&amp;Reset size</string>
+             </property>
             </widget>
            </item>
-           <item row="11" column="1">
-            <widget class="QSpinBox" name="opt_emblem_size">
+           <item row="1" column="4">
+            <spacer name="horizontalSpacer_4">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>40</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+          </layout>
+         </widget>
+        </item>
+        <item row="11" column="1">
+         <widget class="QSpinBox" name="opt_emblem_size">
+          <property name="suffix">
+           <string> px</string>
+          </property>
+          <property name="minimum">
+           <number>16</number>
+          </property>
+          <property name="maximum">
+           <number>1000</number>
+          </property>
+         </widget>
+        </item>
+        <item row="11" column="0">
+         <widget class="QLabel" name="label_21">
+          <property name="text">
+           <string>Size of the emblems (if any) shown &amp;next to the covers: </string>
+          </property>
+          <property name="buddy">
+           <cstring>opt_emblem_size</cstring>
+          </property>
+         </widget>
+        </item>
+        <item row="4" column="0" colspan="2">
+         <widget class="QCheckBox" name="opt_cover_grid_show_title">
+          <property name="text">
+           <string>Show a &amp;field (such as title) under the covers</string>
+          </property>
+         </widget>
+        </item>
+        <item row="12" column="0">
+         <widget class="QLabel" name="label_22">
+          <property name="text">
+           <string>&amp;Location of the emblems shown next to the covers:</string>
+          </property>
+          <property name="buddy">
+           <cstring>opt_emblem_position</cstring>
+          </property>
+         </widget>
+        </item>
+        <item row="12" column="1">
+         <widget class="QComboBox" name="opt_emblem_position"/>
+        </item>
+       </layout>
+      </widget>
+      <widget class="QWidget" name="emblems_tab">
+       <attribute name="title">
+        <string>&amp;Emblems</string>
+       </attribute>
+      </widget>
+      <widget class="QWidget" name="tab_6">
+       <attribute name="title">
+        <string>&amp;Performance</string>
+       </attribute>
+       <layout class="QVBoxLayout" name="verticalLayout_2">
+        <item>
+         <widget class="QGroupBox" name="groupBox_3">
+          <property name="title">
+           <string>Caching of covers for improved performance</string>
+          </property>
+          <layout class="QGridLayout" name="gridLayout">
+           <item row="2" column="2">
+            <widget class="QSpinBox" name="opt_cover_grid_disk_cache_size">
+             <property name="specialValueText">
+              <string>Disable</string>
+             </property>
              <property name="suffix">
-              <string> px</string>
+              <string> MB</string>
              </property>
              <property name="minimum">
-              <number>16</number>
+              <number>100</number>
              </property>
-             <property name="maximum">
-              <number>1000</number>
+             <property name="singleStep">
+              <number>100</number>
              </property>
             </widget>
            </item>
-           <item row="11" column="0">
-            <widget class="QLabel" name="label_21">
+           <item row="3" column="1">
+            <widget class="QPushButton" name="cover_grid_open_cache">
              <property name="text">
-              <string>Size of the emblems (if any) shown &amp;next to the covers: </string>
+              <string>&amp;Open cache directory</string>
              </property>
-             <property name="buddy">
-              <cstring>opt_emblem_size</cstring>
+            </widget>
+           </item>
+           <item row="1" column="3">
+            <spacer name="horizontalSpacer_5">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>40</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+           <item row="0" column="0" colspan="5">
+            <widget class="QLabel" name="label_13">
+             <property name="text">
+              <string>There are two kinds of caches that calibre uses to improve performance when rendering covers in the grid view. A disk cache that is kept on your hard disk and stores the cover thumbnails and an in memory cache used to ensure flicker free rendering of covers. For best results, keep the memory cache small and the disk cache large, unless you have a lot of extra RAM in your computer and don't mind it being used by the memory cache.</string>
+             </property>
+             <property name="wordWrap">
+              <bool>true</bool>
              </property>
             </widget>
            </item>
-           <item row="4" column="0" colspan="2">
-            <widget class="QCheckBox" name="opt_cover_grid_show_title">
+           <item row="2" column="3" colspan="2">
+            <widget class="QLabel" name="cover_grid_current_disk_cache">
              <property name="text">
-              <string>Show a &amp;field (such as title) under the covers</string>
+              <string/>
              </property>
             </widget>
            </item>
-           <item row="12" column="0">
-            <widget class="QLabel" name="label_22">
+           <item row="3" column="2" colspan="3">
+            <spacer name="horizontalSpacer_3">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>310</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+           <item row="1" column="0" colspan="2">
+            <widget class="QLabel" name="label_15">
              <property name="text">
-              <string>&amp;Location of the emblems shown next to the covers:</string>
+              <string>Number of screenfulls of covers to cache in &amp;memory (keep this small):</string>
              </property>
              <property name="buddy">
-              <cstring>opt_emblem_position</cstring>
+              <cstring>opt_cover_grid_cache_size_multiple</cstring>
              </property>
             </widget>
            </item>
-           <item row="12" column="1">
-            <widget class="QComboBox" name="opt_emblem_position"/>
+           <item row="2" column="0" colspan="2">
+            <widget class="QLabel" name="label_18">
+             <property name="text">
+              <string>Maximum amount of &amp;disk space to use for caching thumbnails: </string>
+             </property>
+             <property name="buddy">
+              <cstring>opt_cover_grid_disk_cache_size</cstring>
+             </property>
+            </widget>
            </item>
-          </layout>
-         </widget>
-         <widget class="QWidget" name="emblems_tab">
-          <attribute name="title">
-           <string>&amp;Emblems</string>
-          </attribute>
-         </widget>
-         <widget class="QWidget" name="tab_6">
-          <attribute name="title">
-           <string>&amp;Performance</string>
-          </attribute>
-          <layout class="QVBoxLayout" name="verticalLayout_2">
-           <item>
-            <widget class="QGroupBox" name="groupBox_3">
-             <property name="title">
-              <string>Caching of covers for improved performance</string>
-             </property>
-             <layout class="QGridLayout" name="gridLayout">
-              <item row="2" column="2">
-               <widget class="QSpinBox" name="opt_cover_grid_disk_cache_size">
-                <property name="specialValueText">
-                 <string>Disable</string>
-                </property>
-                <property name="suffix">
-                 <string> MB</string>
-                </property>
-                <property name="minimum">
-                 <number>100</number>
-                </property>
-                <property name="singleStep">
-                 <number>100</number>
-                </property>
-               </widget>
-              </item>
-              <item row="3" column="1">
-               <widget class="QPushButton" name="cover_grid_open_cache">
-                <property name="text">
-                 <string>&amp;Open cache directory</string>
-                </property>
-               </widget>
-              </item>
-              <item row="1" column="3">
-               <spacer name="horizontalSpacer_5">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>40</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-              <item row="0" column="0" colspan="5">
-               <widget class="QLabel" name="label_13">
-                <property name="text">
-                 <string>There are two kinds of caches that calibre uses to improve performance when rendering covers in the grid view. A disk cache that is kept on your hard disk and stores the cover thumbnails and an in memory cache used to ensure flicker free rendering of covers. For best results, keep the memory cache small and the disk cache large, unless you have a lot of extra RAM in your computer and don't mind it being used by the memory cache.</string>
-                </property>
-                <property name="wordWrap">
-                 <bool>true</bool>
-                </property>
-               </widget>
-              </item>
-              <item row="2" column="3" colspan="2">
-               <widget class="QLabel" name="cover_grid_current_disk_cache">
-                <property name="text">
-                 <string/>
-                </property>
-               </widget>
-              </item>
-              <item row="3" column="2" colspan="3">
-               <spacer name="horizontalSpacer_3">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>310</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-              <item row="1" column="0" colspan="2">
-               <widget class="QLabel" name="label_15">
-                <property name="text">
-                 <string>Number of screenfulls of covers to cache in &amp;memory (keep this small):</string>
-                </property>
-                <property name="buddy">
-                 <cstring>opt_cover_grid_cache_size_multiple</cstring>
-                </property>
-               </widget>
-              </item>
-              <item row="2" column="0" colspan="2">
-               <widget class="QLabel" name="label_18">
-                <property name="text">
-                 <string>Maximum amount of &amp;disk space to use for caching thumbnails: </string>
-                </property>
-                <property name="buddy">
-                 <cstring>opt_cover_grid_disk_cache_size</cstring>
-                </property>
-               </widget>
-              </item>
-              <item row="3" column="0">
-               <widget class="QPushButton" name="cover_grid_empty_cache">
-                <property name="text">
-                 <string>&amp;Empty disk cache</string>
-                </property>
-               </widget>
-              </item>
-              <item row="1" column="2">
-               <widget class="QSpinBox" name="opt_cover_grid_cache_size_multiple">
-                <property name="toolTip">
-                 <string>The maximum number of screenfulls of thumbnails to keep in memory. Increasing this will make rendering faster, at the cost of more memory usage. Note that regardless of this setting, a minimum of one hundred thumbnails are always kept in memory, to ensure flicker free rendering.</string>
-                </property>
-                <property name="minimum">
-                 <number>2</number>
-                </property>
-                <property name="maximum">
-                 <number>100</number>
-                </property>
-               </widget>
-              </item>
-              <item row="4" column="1">
-               <spacer name="verticalSpacer_2">
-                <property name="orientation">
-                 <enum>Qt::Vertical</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>20</width>
-                  <height>40</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
+           <item row="3" column="0">
+            <widget class="QPushButton" name="cover_grid_empty_cache">
+             <property name="text">
+              <string>&amp;Empty disk cache</string>
+             </property>
+            </widget>
+           </item>
+           <item row="1" column="2">
+            <widget class="QSpinBox" name="opt_cover_grid_cache_size_multiple">
+             <property name="toolTip">
+              <string>The maximum number of screenfulls of thumbnails to keep in memory. Increasing this will make rendering faster, at the cost of more memory usage. Note that regardless of this setting, a minimum of one hundred thumbnails are always kept in memory, to ensure flicker free rendering.</string>
+             </property>
+             <property name="minimum">
+              <number>2</number>
+             </property>
+             <property name="maximum">
+              <number>100</number>
+             </property>
             </widget>
            </item>
+           <item row="4" column="1">
+            <spacer name="verticalSpacer_2">
+             <property name="orientation">
+              <enum>Qt::Vertical</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>20</width>
+               <height>40</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
           </layout>
          </widget>
+        </item>
+       </layout>
+      </widget>
      </widget>
      <widget class="QWidget" name="book_details_tab">
       <attribute name="icon">
@@ -816,7 +816,7 @@ A value of zero means calculate automati
          <item>
           <widget class="QCheckBox" name="opt_bd_show_cover">
            <property name="text">
-            <string>Show &amp;cover in the Book details panel</string>
+            <string>Show &amp;cover</string>
            </property>
           </widget>
          </item>
@@ -972,7 +972,7 @@ then the tags will be displayed each on
        <item row="11" column="0" colspan="2">
         <widget class="QCheckBox" name="opt_tag_browser_old_look">
          <property name="text">
-          <string>Use &amp;alternating row colors in the Tag browser</string>
+          <string>Use &amp;alternating row colors</string>
          </property>
         </widget>
        </item>
@@ -985,7 +985,7 @@ then the tags will be displayed each on
  box will cause these empty categories to be hidden.</string>
          </property>
          <property name="text">
-          <string>Hi&amp;de empty categories (columns) in the Tag browser</string>
+          <string>Hi&amp;de empty categories (columns)</string>
          </property>
         </widget>
        </item>
@@ -997,7 +997,7 @@ then the tags will be displayed each on
  also checked then only categories containing a matched item will be shown.</string>
          </property>
          <property name="text">
-          <string>Find &amp;shows all items that match in the Tag browser</string>
+          <string>Find &amp;shows all items that match</string>
          </property>
         </widget>
        </item>
@@ -1015,7 +1015,7 @@ if you never want subcategories</string>
        <item row="1" column="0">
         <widget class="QLabel" name="label_9">
          <property name="text">
-          <string>&amp;Tag browser category partitioning method:</string>
+          <string>&amp;Category partitioning method:</string>
          </property>
          <property name="buddy">
           <cstring>opt_tags_browser_partition_method</cstring>
@@ -1025,7 +1025,7 @@ if you never want subcategories</string>
        <item row="9" column="0">
         <widget class="QCheckBox" name="opt_show_avg_rating">
          <property name="text">
-          <string>Show &amp;average ratings in the Tag browser</string>
+          <string>Show &amp;average ratings</string>
          </property>
          <property name="checked">
           <bool>true</bool>
@@ -1040,7 +1040,7 @@ by each author, the number of authors, e
 see the counts by hovering your mouse over any item.</string>
          </property>
          <property name="text">
-          <string>Show &amp;counts in the Tag browser</string>
+          <string>Show &amp;counts</string>
          </property>
         </widget>
        </item>
@@ -1079,7 +1079,7 @@ see the counts by hovering your mouse ov
        <item row="8" column="0">
         <widget class="QCheckBox" name="opt_tag_browser_show_tooltips">
          <property name="text">
-          <string>Show &amp;tooltips in the Tag browser</string>
+          <string>Show &amp;tooltips</string>
          </property>
         </widget>
        </item>
@@ -1147,14 +1147,14 @@ see the counts by hovering your mouse ov
        <item row="7" column="0" colspan="3">
         <widget class="QCheckBox" name="opt_cb_fullscreen">
          <property name="text">
-          <string>When showing the Cover browser in a separate window, show it &amp;fullscreen</string>
+          <string>When showing in a separate window, show it &amp;fullscreen</string>
          </property>
         </widget>
        </item>
        <item row="0" column="0" colspan="3">
         <widget class="QCheckBox" name="opt_separate_cover_flow">
          <property name="text">
-          <string>Show Cover &amp;browser in a separate window (needs restart)</string>
+          <string>Show in a &amp;separate window (needs restart)</string>
          </property>
         </widget>
        </item>
@@ -1165,14 +1165,14 @@ see the counts by hovering your mouse ov
 them to all have the same width and height</string>
          </property>
          <property name="text">
-          <string>Preserve &amp;aspect ratio of covers displayed in the Cover browser</string>
+          <string>Preserve &amp;aspect ratio of covers</string>
          </property>
         </widget>
        </item>
        <item row="2" column="0" colspan="3">
         <widget class="QCheckBox" name="opt_cover_browser_reflections">
          <property name="text">
-          <string>Show &amp;reflections in the Cover browser</string>
+          <string>Show &amp;reflections</string>
          </property>
         </widget>
        </item>
@@ -1223,7 +1223,7 @@ current Virtual library. If unchecked, Q
 unchecked then only row changes are taken into account.</string>
            </property>
            <property name="text">
-            <string>&amp;Apply Virtual libraries in Quickview panel</string>
+            <string>&amp;Apply Virtual libraries</string>
            </property>
           </widget>
          </item>
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/preferences/look_feel_ui.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/preferences/look_feel_ui.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/preferences/look_feel_ui.py	2020-06-26 04:22:32.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/preferences/look_feel_ui.py	2020-07-07 13:56:50.000000000 +0000
@@ -552,7 +552,7 @@ class Ui_Form(object):
         self.label_24.setBuddy(self.opt_cover_browser_subtitle_field)
 
         self.retranslateUi(Form)
-        self.tabWidget.setCurrentIndex(2)
+        self.tabWidget.setCurrentIndex(0)
         self.cover_grid_tab.setCurrentIndex(0)
         self.opt_cover_grid_show_title.toggled['bool'].connect(self.opt_field_under_covers_in_grid.setEnabled)
         QtCore.QMetaObject.connectSlotsByName(Form)
@@ -642,7 +642,7 @@ class Ui_Form(object):
         self.df_down_button.setToolTip(_("Move down"))
         self.df_up_button.setToolTip(_("Move up"))
         self.label_3.setText(_("Note that <b>comments</b> will always be displayed at the end, regardless of the position you assign here."))
-        self.opt_bd_show_cover.setText(_("Show &cover in the Book details panel"))
+        self.opt_bd_show_cover.setText(_("Show &cover"))
         self.opt_bd_overlay_cover_size.setToolTip(_("Show the size of the book\'s cover in pixels"))
         self.opt_bd_overlay_cover_size.setText(_("Show cover &size"))
         self.opt_use_roman_numerals_for_series_number.setText(_("Use &Roman numerals for series"))
@@ -664,49 +664,49 @@ class Ui_Form(object):
 "and \'Mystery.Thriller\' will be displayed with English and Thriller\n"
 "both under \'Mystery\'. If \'tags\' is not in this box,\n"
 "then the tags will be displayed each on their own line."))
-        self.opt_tag_browser_old_look.setText(_("Use &alternating row colors in the Tag browser"))
+        self.opt_tag_browser_old_look.setText(_("Use &alternating row colors"))
         self.opt_tag_browser_hide_empty_categories.setToolTip(_("When checked, calibre will automatically hide any category\n"
 " (a column, custom or standard) that has no items to show. For example, some\n"
 " categories might not have values when using Virtual libraries. Checking this\n"
 " box will cause these empty categories to be hidden."))
-        self.opt_tag_browser_hide_empty_categories.setText(_("Hi&de empty categories (columns) in the Tag browser"))
+        self.opt_tag_browser_hide_empty_categories.setText(_("Hi&de empty categories (columns)"))
         self.opt_tag_browser_always_autocollapse.setToolTip(_("When checked, Find in the Tag browser will show all items\n"
 " that match the search instead of the first one. If Hide empty categories is\n"
 " also checked then only categories containing a matched item will be shown."))
-        self.opt_tag_browser_always_autocollapse.setText(_("Find &shows all items that match in the Tag browser"))
+        self.opt_tag_browser_always_autocollapse.setText(_("Find &shows all items that match"))
         self.opt_tags_browser_partition_method.setToolTip(_("Choose how Tag browser subcategories are displayed when\n"
 "there are more items than the limit. Select by first\n"
 "letter to see an A, B, C list. Choose partitioned to\n"
 "have a list of fixed-sized groups. Set to disabled\n"
 "if you never want subcategories"))
-        self.label_9.setText(_("&Tag browser category partitioning method:"))
-        self.opt_show_avg_rating.setText(_("Show &average ratings in the Tag browser"))
+        self.label_9.setText(_("&Category partitioning method:"))
+        self.opt_show_avg_rating.setText(_("Show &average ratings"))
         self.opt_tag_browser_show_counts.setToolTip(_("Show counts for items in the Tag browser. Such as the number of books\n"
 "by each author, the number of authors, etc. If you turn it off, you can still\n"
 "see the counts by hovering your mouse over any item."))
-        self.opt_tag_browser_show_counts.setText(_("Show &counts in the Tag browser"))
+        self.opt_tag_browser_show_counts.setText(_("Show &counts"))
         self.label.setText(_("Spacing between &items:"))
         self.opt_tag_browser_item_padding.setToolTip(_("The spacing between consecutive items in the Tag browser. In units of (ex) which is the approximate height of the letter \'x\' in the currently used font. "))
         self.opt_tag_browser_item_padding.setSuffix(_(" ex"))
-        self.opt_tag_browser_show_tooltips.setText(_("Show &tooltips in the Tag browser"))
+        self.opt_tag_browser_show_tooltips.setText(_("Show &tooltips"))
         self.tabWidget.setTabText(self.tabWidget.indexOf(self.tag_browser_tab), _("&Tag browser"))
         self.opt_cover_browser_title_template.setToolTip(_("The template used to generate the text below the covers. Uses the same syntax as save templates. Defaults to just the book title. Note that this setting is per-library, which means that you have to set it again for every different calibre library you use."))
         self.label_6.setText(_("&Number of covers to show in browse mode (needs restart):"))
         self.label_23.setText(_("&Template for caption:"))
         self.cover_browser_title_template_button.setText(_("Template &editor"))
-        self.opt_cb_fullscreen.setText(_("When showing the Cover browser in a separate window, show it &fullscreen"))
-        self.opt_separate_cover_flow.setText(_("Show Cover &browser in a separate window (needs restart)"))
+        self.opt_cb_fullscreen.setText(_("When showing in a separate window, show it &fullscreen"))
+        self.opt_separate_cover_flow.setText(_("Show in a &separate window (needs restart)"))
         self.opt_cb_preserve_aspect_ratio.setToolTip(_("Show covers in their original aspect ratio instead of resizing\n"
 "them to all have the same width and height"))
-        self.opt_cb_preserve_aspect_ratio.setText(_("Preserve &aspect ratio of covers displayed in the Cover browser"))
-        self.opt_cover_browser_reflections.setText(_("Show &reflections in the Cover browser"))
+        self.opt_cb_preserve_aspect_ratio.setText(_("Preserve &aspect ratio of covers"))
+        self.opt_cover_browser_reflections.setText(_("Show &reflections"))
         self.fs_help_msg.setText(_("You can press the %s keys to toggle full screen mode."))
         self.label_24.setText(_("Fie&ld for sub-title:"))
         self.tabWidget.setTabText(self.tabWidget.indexOf(self.cover_browser_tab), _("Cover &browser"))
         self.opt_qv_respects_vls.setToolTip(_("Check this box to make Quickview show books only in the\n"
 "current Virtual library. If unchecked, Quickview ignores Virtual libraries. If\n"
 "unchecked then only row changes are taken into account."))
-        self.opt_qv_respects_vls.setText(_("&Apply Virtual libraries in Quickview panel"))
+        self.opt_qv_respects_vls.setText(_("&Apply Virtual libraries"))
         self.opt_qv_follows_column.setToolTip(_("Check this box to make Quickview change the column being examined\n"
 "when the column in the book list is changed using the cursor arrow keys"))
         self.opt_qv_follows_column.setText(_("&Change Quickview item when book list column changes"))
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/preferences/plugins.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/preferences/plugins.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/preferences/plugins.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/preferences/plugins.py	2020-07-16 16:35:56.000000000 +0000
@@ -198,9 +198,7 @@ class PluginModel(QAbstractItemModel, Ad
             return None
         if index.internalId() == 0:
             if role == Qt.DisplayRole:
-                category = self.categories[index.row()]
-                return (_("%(plugin_type)s %(plugins)s")%
-                        dict(plugin_type=category, plugins=_('plugins')))
+                return self.categories[index.row()]
         else:
             plugin = self.index_to_plugin(index)
             disabled = is_disabled(plugin)
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/tweak_book/boss.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/tweak_book/boss.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/tweak_book/boss.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/tweak_book/boss.py	2020-07-16 16:35:56.000000000 +0000
@@ -12,7 +12,7 @@ from functools import partial, wraps
 
 from PyQt5.Qt import (
     QApplication, QCheckBox, QDialog, QDialogButtonBox, QGridLayout, QIcon,
-    QInputDialog, QLabel, QMimeData, QObject, QSize, Qt, QUrl, QVBoxLayout,
+    QInputDialog, QLabel, QMimeData, QObject, QSize, Qt, QTimer, QUrl, QVBoxLayout,
     pyqtSignal
 )
 
@@ -1497,7 +1497,11 @@ class Boss(QObject):
         if ed is not None:
             name = editor_name(ed)
             if name is not None and getattr(ed, 'syntax', None) == 'html':
-                self.gui.preview.sync_to_editor(name, ed.current_tag())
+                ct = ed.current_tag()
+                self.gui.preview.sync_to_editor(name, ct)
+                hl = getattr(ed, 'highlighter', None)
+                if hl is not None and hl.is_working:
+                    QTimer.singleShot(75, self.sync_preview_to_editor)
 
     def show_partial_cfi_in_editor(self, name, cfi):
         editor = self.edit_file(name, 'html')
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/tweak_book/editor/syntax/base.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/tweak_book/editor/syntax/base.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/tweak_book/editor/syntax/base.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/tweak_book/editor/syntax/base.py	2020-07-16 16:35:56.000000000 +0000
@@ -201,6 +201,10 @@ class SyntaxHighlighter(object):
         finally:
             self.ignore_requests = False
 
+    @property
+    def is_working(self):
+        return bool(self.requests)
+
     def parse_single_block(self, block):
         ud, is_new_ud = self.get_user_data(block)
         orig_state = ud.state
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/tweak_book/editor/widget.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/tweak_book/editor/widget.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/tweak_book/editor/widget.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/tweak_book/editor/widget.py	2020-07-16 16:35:56.000000000 +0000
@@ -183,6 +183,10 @@ class Editor(QMainWindow):
         return self.editor.current_tag(for_position_sync=for_position_sync)
 
     @property
+    def highlighter(self):
+        return self.editor.highlighter
+
+    @property
     def number_of_lines(self):
         return self.editor.blockCount()
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/tweak_book/file_list.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/tweak_book/file_list.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/tweak_book/file_list.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/tweak_book/file_list.py	2020-07-16 16:35:56.000000000 +0000
@@ -792,9 +792,9 @@ class FileList(QTreeWidget, OpenWithHand
     def dropEvent(self, event):
         with self:
             text = self.categories['text']
-            pre_drop_order = {text.child(i):i for i in range(text.childCount())}
+            pre_drop_order = {text.child(i).data(0, NAME_ROLE):i for i in range(text.childCount())}
             super(FileList, self).dropEvent(event)
-            current_order = {text.child(i):i for i in range(text.childCount())}
+            current_order = {text.child(i).data(0, NAME_ROLE):i for i in range(text.childCount())}
             if current_order != pre_drop_order:
                 order = []
                 for child in (text.child(i) for i in range(text.childCount())):
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/tweak_book/preview.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/tweak_book/preview.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/tweak_book/preview.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/tweak_book/preview.py	2020-07-16 16:35:56.000000000 +0000
@@ -438,6 +438,7 @@ class Preview(QWidget):
         self.l = l = QVBoxLayout()
         self.setLayout(l)
         l.setContentsMargins(0, 0, 0, 0)
+        self.current_sync_retry_count = 0
         self.view = WebView(self)
         self.view._page.bridge.request_sync.connect(self.request_sync)
         self.view._page.bridge.request_split.connect(self.request_split)
@@ -533,20 +534,24 @@ class Preview(QWidget):
         if self.current_name:
             self.split_requested.emit(self.current_name, loc, totals)
 
+    @property
+    def bridge_ready(self):
+        return self.view._page.bridge.ready
+
     def sync_to_editor(self, name, sourceline_address):
         self.current_sync_request = (name, sourceline_address)
+        self.current_sync_retry_count = 0
         QTimer.singleShot(100, self._sync_to_editor)
 
     def _sync_to_editor(self):
-        if not actions['sync-preview-to-editor'].isChecked():
+        if not actions['sync-preview-to-editor'].isChecked() or self.current_sync_retry_count >= 3000 or self.current_sync_request is None:
             return
-        try:
-            if self.refresh_timer.isActive() or self.current_sync_request[0] != self.current_name:
-                return QTimer.singleShot(100, self._sync_to_editor)
-        except TypeError:
-            return  # Happens if current_sync_request is None
+        if self.refresh_timer.isActive() or not self.bridge_ready or self.current_sync_request[0] != self.current_name:
+            self.current_sync_retry_count += 1
+            return QTimer.singleShot(100, self._sync_to_editor)
         sourceline_address = self.current_sync_request[1]
         self.current_sync_request = None
+        self.current_sync_retry_count = 0
         self.view._page.go_to_sourceline_address(sourceline_address)
 
     def report_worker_launch_error(self):
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/viewer/search.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/viewer/search.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/viewer/search.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/viewer/search.py	2020-07-16 16:35:56.000000000 +0000
@@ -54,7 +54,7 @@ class BusySpinner(QWidget):  # {{{
 quote_map= {'"':'"“”', "'": "'‘’"}
 qpat = regex.compile(r'''(['"])''')
 spat = regex.compile(r'(\s+)')
-invisible_chars = '(?:[\u00ad\u200d]{0,1})'
+invisible_chars = '(?:[\u00ad\u200c\u200d]{0,1})'
 
 
 def text_to_regex(text):
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/wizard/__init__.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/wizard/__init__.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/wizard/__init__.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/wizard/__init__.py	2020-07-16 16:35:56.000000000 +0000
@@ -36,7 +36,7 @@ class Device(object):
 
     output_profile = 'generic_eink'
     output_format = 'EPUB'
-    name = 'Generic e-ink device'
+    name = _('Generic e-ink device')
     manufacturer = 'Generic'
     id = 'default'
     supports_color = False
@@ -192,7 +192,7 @@ class BooqCervantes(Booq):
 
 
 class BOOX(Device):
-    name = 'BOOX MAX, N96, i86, C67ML, M96, etc.'
+    name = _('BOOX MAX, N96, i86, C67ML, M96, etc.')
     manufacturer = 'Onyx'
     output_profile = 'generic_eink_hd'
     output_format = 'EPUB'
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/wizard/library.ui 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/wizard/library.ui
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/wizard/library.ui	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/wizard/library.ui	2020-07-16 16:35:56.000000000 +0000
@@ -77,6 +77,9 @@
     <layout class="QHBoxLayout" name="horizontalLayout_2">
      <item>
       <widget class="QLineEdit" name="location">
+       <property name="styleSheet">
+        <string notr="true">QLineEdit { background: transparent; border: 1px solid; border-radius: 5px; padding: 4px }</string>
+       </property>
        <property name="readOnly">
         <bool>true</bool>
        </property>
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/wizard/library_ui.py 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/wizard/library_ui.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/gui2/wizard/library_ui.py	2020-06-26 04:22:32.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/gui2/wizard/library_ui.py	2020-07-13 03:32:52.000000000 +0000
@@ -37,6 +37,7 @@ class Ui_WizardPage(object):
         self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
         self.horizontalLayout_2.setObjectName("horizontalLayout_2")
         self.location = QtWidgets.QLineEdit(WizardPage)
+        self.location.setStyleSheet("QLineEdit { background: transparent; border: 1px solid; border-radius: 5px; padding: 4px }")
         self.location.setReadOnly(True)
         self.location.setObjectName("location")
         self.horizontalLayout_2.addWidget(self.location)
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/calibre/srv/content.py 4.99.7+dfsg+really4.21.0-1/src/calibre/srv/content.py
--- 4.99.6+dfsg+really4.20.0-1/src/calibre/srv/content.py	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/calibre/srv/content.py	2020-07-16 16:35:56.000000000 +0000
@@ -160,8 +160,6 @@ def book_filename(rd, book_id, mi, fmt,
     au = authors_to_string(mi.authors or [_('Unknown')])
     title = mi.title or _('Unknown')
     ext = (fmt or '').lower()
-    if ext == 'kepub' and 'Kobo Touch' in rd.inheaders.get('User-Agent', ''):
-        ext = 'kepub.epub'
     fname = '%s - %s_%s.%s' % (title[:30], au[:30], book_id, ext)
     if as_encoded_unicode:
         # See https://tools.ietf.org/html/rfc6266
@@ -169,6 +167,9 @@ def book_filename(rd, book_id, mi, fmt,
         fname = unicode_type(quote(fname))
     else:
         fname = ascii_filename(fname).replace('"', '_')
+    if ext == 'kepub' and 'Kobo Touch' in rd.inheaders.get('User-Agent', ''):
+        fname = fname.replace('!', '_')
+        fname += '.epub'
     return fname
 
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/pyj/read_book/mathjax.pyj 4.99.7+dfsg+really4.21.0-1/src/pyj/read_book/mathjax.pyj
--- 4.99.6+dfsg+really4.20.0-1/src/pyj/read_book/mathjax.pyj	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/pyj/read_book/mathjax.pyj	2020-07-16 16:35:56.000000000 +0000
@@ -19,7 +19,7 @@ def get_url(mathjax_files, name):
 def postprocess(link_uid):
     for a in document.getElementsByTagName('a'):
         href = a.getAttribute('href')
-        if href.startswith('#'):
+        if href and href.startswith('#'):
             a.setAttribute('href', 'javascript: void(0)')
             a.setAttribute('data-' + link_uid, JSON.stringify({'frag':href[1:]}))
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/src/pyj/read_book/paged_mode.pyj 4.99.7+dfsg+really4.21.0-1/src/pyj/read_book/paged_mode.pyj
--- 4.99.6+dfsg+really4.20.0-1/src/pyj/read_book/paged_mode.pyj	2020-07-03 02:11:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/src/pyj/read_book/paged_mode.pyj	2020-07-16 16:35:56.000000000 +0000
@@ -548,30 +548,27 @@ class HandleWheel:
         self.last_event_mode = 'page'
         self.last_event_at = -10000
         self.last_event_backwards = False
-        self.accumlated_scroll = 0
+        self.accumulated_scroll = 0
 
     def onwheel(self, evt):
         if not evt.deltaY:
             return
         backward = evt.deltaY < 0
-        WheelEvent = window.WheelEvent
-        if evt.deltaMode is WheelEvent.DOM_DELTA_PAGE:
-            self.do_scroll(backward)
+        if evt.deltaMode is window.WheelEvent.DOM_DELTA_PIXEL:
+            self.add_pixel_scroll(backward, Math.abs(evt.deltaY))
         else:
-            self.add_event(backward, Math.abs(evt.deltaY), 'line' if evt.deltaMode is WheelEvent.DOM_DELTA_LINE else 'pixel')
+            self.do_scroll(backward)
 
-    def add_event(self, backward, deltaY, mode):
+    def add_pixel_scroll(self, backward, deltaY):
         now = window.performance.now()
-        if now - self.last_event_at > 1000 or self.last_event_backwards is not backward or self.last_event_mode is not mode:
-            self.accumlated_scroll = 0
-        self.last_event_mode = mode
+        if now - self.last_event_at > 1000 or self.last_event_backwards is not backward or self.last_event_mode is not 'pixel':
+            self.accumulated_scroll = 0
+        self.last_event_mode = 'pixel'
         self.last_event_at = now
         self.last_event_backwards = backward
+        self.accumulated_scroll += deltaY
         lh = line_height()
-        if mode is 'line':
-            deltaY *= lh
-        self.accumlated_scroll += deltaY
-        if self.accumlated_scroll > 5 * lh:
+        if self.accumulated_scroll > 5 * lh:
             self.do_scroll(backward)
 
     def do_scroll(self, backward):
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/af.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/af.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/af.po	2020-07-02 04:00:36.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/af.po	2020-07-16 16:37:16.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
@@ -210,7 +210,7 @@ msgstr "Doen absoluut niks"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -222,12 +222,12 @@ msgstr "Doen absoluut niks"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1137,9 +1137,9 @@ msgstr "Katalogus"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1164,7 +1164,7 @@ msgstr "Pad na biblioteek ({0}) te lank.
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1226,7 +1226,7 @@ msgstr "Bewaarde soektogte"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2839,8 +2839,8 @@ msgstr "Kry lys van boeke op toestel…"
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2849,8 +2849,8 @@ msgstr "Verwyder boeke van toestel se me
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3193,7 +3193,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3306,7 +3306,7 @@ msgid "Communicate with MTP devices"
 msgstr "Mommunikeer met MTP toestelle"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Kry toestelinligting…"
@@ -3333,8 +3333,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3722,61 +3722,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6210,7 +6221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Nee"
 
@@ -6233,7 +6244,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6499,103 +6510,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6603,7 +6614,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8492,7 +8503,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8970,7 +8981,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9015,7 +9026,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9067,7 +9078,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9222,7 +9233,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9262,7 +9273,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10158,7 +10169,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10760,7 +10771,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10971,7 +10982,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11419,8 +11430,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11549,42 +11560,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11593,112 +11609,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11706,7 +11722,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11775,7 +11791,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11793,11 +11809,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11936,7 +11952,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11971,7 +11987,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12018,8 +12034,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12131,22 +12147,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12374,7 +12390,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12849,10 +12865,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13284,7 +13300,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13299,7 +13315,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13308,7 +13324,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13323,8 +13339,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13391,45 +13407,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13775,7 +13791,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14601,74 +14617,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14676,44 +14691,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15419,11 +15434,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15487,79 +15502,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15609,8 +15629,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16166,46 +16186,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (was %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Item is leeg"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Geen item gekies"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "U moet een item uit die lys van Beskikbare Items kies."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Geen items gekies"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "U moet ten minste een item uit die lys kies."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Is u seker u wil die volgende items skrap?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Kategoriewysiger"
 
@@ -16214,7 +16234,7 @@ msgid "Items in use"
 msgstr "Items in gebruik"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16229,11 +16249,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Hierdie boek het DRB"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16261,7 +16281,7 @@ msgid "Already in calibre:"
 msgstr "Reeds in calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16286,28 +16306,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16334,65 +16354,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16725,77 +16745,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16803,7 +16823,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16813,7 +16833,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16828,80 +16848,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16909,90 +16929,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17000,118 +17020,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17120,152 +17140,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17273,48 +17293,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17943,7 +17963,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Bestuur Bewaarde soektogte"
 
@@ -18603,76 +18623,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18704,121 +18724,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19699,17 +19719,17 @@ msgstr "Uitleg"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Toon en versteek verskeie dele van die hoof- calibre venster"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Geen %s-formaat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Die boek {0} het nie die {1}-formaat nie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Stel %s terug"
@@ -19990,21 +20010,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Stel datum op ongedefinieerd"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Stel datum op vandag"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Stel op ongedefinieerd"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20348,7 +20358,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre Biblioteek"
 
@@ -20511,6 +20521,16 @@ msgstr "&Sluit af"
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Stel datum op ongedefinieerd"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Stel datum op vandag"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20790,7 +20810,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20860,7 +20880,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21621,13 +21641,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21652,80 +21672,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22714,37 +22734,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22881,7 +22901,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23019,7 +23039,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23290,7 +23310,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23685,86 +23705,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23773,47 +23793,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25359,7 +25379,7 @@ msgid "Paste and &search"
 msgstr "Plak en &soek"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Plak"
@@ -26385,150 +26405,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27198,7 +27218,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27605,12 +27625,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27668,76 +27688,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31140,18 +31160,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31165,70 +31185,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34176,13 +34196,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34217,30 +34237,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34294,44 +34314,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34339,15 +34363,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34355,7 +34379,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34363,7 +34387,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34378,7 +34402,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34416,17 +34440,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37012,6 +37036,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/am.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/am.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/am.po	2020-07-02 04:00:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/am.po	2020-07-16 16:42:01.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6494,103 +6505,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6598,7 +6609,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8487,7 +8498,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8965,7 +8976,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9010,7 +9021,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9062,7 +9073,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9217,7 +9228,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9257,7 +9268,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10153,7 +10164,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10755,7 +10766,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10966,7 +10977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11414,8 +11425,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11544,42 +11555,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11588,112 +11604,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11701,7 +11717,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11770,7 +11786,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11788,11 +11804,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11931,7 +11947,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11966,7 +11982,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12013,8 +12029,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12126,22 +12142,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12369,7 +12385,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12844,10 +12860,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13279,7 +13295,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13294,7 +13310,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13303,7 +13319,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13318,8 +13334,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13386,45 +13402,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13770,7 +13786,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14596,74 +14612,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14671,44 +14686,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15414,11 +15429,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15482,79 +15497,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15604,8 +15624,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16161,46 +16181,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16209,7 +16229,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16224,11 +16244,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16256,7 +16276,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16281,28 +16301,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16329,65 +16349,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16720,77 +16740,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16798,7 +16818,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16808,7 +16828,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16823,80 +16843,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16904,90 +16924,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16995,118 +17015,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17115,152 +17135,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17268,48 +17288,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17938,7 +17958,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18598,76 +18618,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18699,121 +18719,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19694,17 +19714,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19985,21 +20005,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20343,7 +20353,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20506,6 +20516,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20785,7 +20805,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20855,7 +20875,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21616,13 +21636,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21647,80 +21667,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22709,37 +22729,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22876,7 +22896,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23014,7 +23034,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23285,7 +23305,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23680,86 +23700,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23768,47 +23788,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25354,7 +25374,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26380,150 +26400,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27193,7 +27213,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27600,12 +27620,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27663,76 +27683,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31135,18 +31155,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31160,70 +31180,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34171,13 +34191,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34212,30 +34232,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34289,44 +34309,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34334,15 +34358,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34350,7 +34374,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34373,7 +34397,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34411,17 +34435,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37007,6 +37031,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ar.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ar.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ar.po	2020-07-02 04:06:16.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ar.po	2020-07-16 16:40:51.000000000 +0000
@@ -17,8 +17,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
@@ -216,7 +216,7 @@ msgstr "لا يفعل شيئاً إطل
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -228,12 +228,12 @@ msgstr "لا يفعل شيئاً إطل
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1143,9 +1143,9 @@ msgstr "الفهرس"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1170,7 +1170,7 @@ msgstr "المسار إلى المكتب
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1232,7 +1232,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2845,8 +2845,8 @@ msgstr "يجري إحصاء قائمة 
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2855,8 +2855,8 @@ msgstr "إزالة الكتب من سر
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3199,7 +3199,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3312,7 +3312,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "يجري إحصاء مجلة الجهاز..."
@@ -3339,8 +3339,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3728,61 +3728,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6216,7 +6227,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "كلا"
 
@@ -6239,7 +6250,7 @@ msgid "Producer"
 msgstr "المنتج"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6509,103 +6520,103 @@ msgstr "أمازون"
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "الولايات المتحدة"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "فرنسا"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "ألمانيا"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "بريطانيا"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "إيطاليا"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6613,7 +6624,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8514,7 +8525,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -9016,7 +9027,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9061,7 +9072,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9113,7 +9124,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9272,7 +9283,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9312,7 +9323,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10232,7 +10243,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "ه"
 
@@ -10846,7 +10857,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -11061,7 +11072,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11521,8 +11532,8 @@ msgstr "غير الطريقة التي 
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11651,42 +11662,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11695,112 +11711,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "المسار"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11808,7 +11824,7 @@ msgstr "المسار"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11877,7 +11893,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11895,11 +11911,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -12038,7 +12054,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -12073,7 +12089,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12120,8 +12136,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12233,22 +12249,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12476,7 +12492,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12951,10 +12967,10 @@ msgstr "قياس الخط &المفتا
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " حزب العمال"
@@ -13386,7 +13402,7 @@ msgid "Change the title of this book"
 msgstr "تغيير عنوان هذا الكتاب"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&المؤلف: "
 
@@ -13401,7 +13417,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&الناشر: "
 
@@ -13410,7 +13426,7 @@ msgid "Ta&gs: "
 msgstr "&الوسوم: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13425,8 +13441,8 @@ msgstr "والسلسلة:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "قائمة السلسلات المعروفة. بإمكانك ثم سلسلات جديدة."
@@ -13493,45 +13509,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "&طور الخرج:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "وصف الطور"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "&طور الدخل"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13877,7 +13893,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14703,74 +14719,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "تطبيق التغييرات"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14778,44 +14793,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15525,11 +15540,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15593,79 +15608,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "مكتبة من المسار"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15715,8 +15735,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16272,46 +16292,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16320,7 +16340,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16335,11 +16355,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16371,7 +16391,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16396,28 +16416,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16444,65 +16464,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16839,77 +16859,77 @@ msgstr[3] ""
 msgstr[4] ""
 msgstr[5] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16917,7 +16937,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16927,7 +16947,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16942,80 +16962,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17023,90 +17043,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "&ضبط ترتيب المؤلف آلياً"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17114,118 +17134,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&حذف الوسوم:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "قائمة من الوسوم مفرقة بالفاصلة لحذفها من الكتب. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17234,152 +17254,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "و التقييم"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17387,48 +17407,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18057,7 +18077,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18717,76 +18737,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18818,121 +18838,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19821,17 +19841,17 @@ msgstr "استعادة التخطيط ا
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -20124,21 +20144,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "S"
 
@@ -20482,7 +20492,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "مكتبة النظم"
 
@@ -20645,6 +20655,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20928,7 +20948,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -21006,7 +21026,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21775,13 +21795,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "مرتفع"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "منخفض"
 
@@ -21806,80 +21826,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " ثانية"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "&استخدم المستعرض الداخلي:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22868,37 +22888,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -23035,7 +23055,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23173,7 +23193,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "بواسطة الحرف الأول"
 
@@ -23444,7 +23464,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23839,86 +23859,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23927,47 +23947,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25521,7 +25541,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26547,150 +26567,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "التقسيم"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27360,7 +27380,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27767,12 +27787,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27830,76 +27850,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31334,18 +31354,18 @@ msgstr[5] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31359,70 +31379,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34386,13 +34406,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34427,30 +34447,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34504,44 +34524,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34549,15 +34573,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "إلغاء"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34565,7 +34589,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34573,7 +34597,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34588,7 +34612,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34626,17 +34650,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37226,6 +37250,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ast.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ast.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ast.po	2020-07-02 04:03:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ast.po	2020-07-16 16:38:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "Nun fai nada"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "Nun fai nada"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/az.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/az.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/az.po	2020-07-02 04:00:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/az.po	2020-07-16 16:40:31.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "Heç bir şey etmir"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "Heç bir şey etmir"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/be.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/be.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/be.po	2020-07-02 03:59:56.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/be.po	2020-07-16 16:38:51.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
@@ -210,7 +210,7 @@ msgstr "Нічога не робіць"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -222,12 +222,12 @@ msgstr "Нічога не робіць"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1137,9 +1137,9 @@ msgstr "Каталог"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1164,7 +1164,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1226,7 +1226,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2839,8 +2839,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2849,8 +2849,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3193,7 +3193,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3306,7 +3306,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3333,8 +3333,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3722,61 +3722,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6210,7 +6221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6233,7 +6244,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6501,103 +6512,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6605,7 +6616,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8500,7 +8511,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8990,7 +9001,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9035,7 +9046,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9087,7 +9098,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9244,7 +9255,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Капіяваць "
@@ -9284,7 +9295,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10192,7 +10203,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10800,7 +10811,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -11013,7 +11024,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11467,8 +11478,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11597,42 +11608,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11641,112 +11657,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Шлях"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11754,7 +11770,7 @@ msgstr "Шлях"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11823,7 +11839,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11841,11 +11857,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11984,7 +12000,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -12019,7 +12035,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12066,8 +12082,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Выдаліць"
 
@@ -12179,22 +12195,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12422,7 +12438,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12897,10 +12913,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13332,7 +13348,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13347,7 +13363,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13356,7 +13372,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13371,8 +13387,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13439,45 +13455,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13823,7 +13839,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14649,74 +14665,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14724,44 +14739,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15469,11 +15484,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15537,79 +15552,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15659,8 +15679,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16216,46 +16236,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16264,7 +16284,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16279,11 +16299,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16313,7 +16333,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16338,28 +16358,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16386,65 +16406,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16779,77 +16799,77 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16857,7 +16877,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16867,7 +16887,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16882,80 +16902,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16963,90 +16983,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17054,118 +17074,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17174,152 +17194,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Улічваць &памер літар"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17327,48 +17347,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17997,7 +18017,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18657,76 +18677,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18758,121 +18778,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19757,17 +19777,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -20054,21 +20074,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20412,7 +20422,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20575,6 +20585,16 @@ msgstr "&Выйсці"
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20856,7 +20876,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20930,7 +20950,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21695,13 +21715,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Высокі"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Нізкі"
 
@@ -21726,80 +21746,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " секунд"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22788,37 +22808,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22955,7 +22975,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23093,7 +23113,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23364,7 +23384,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Адключаны"
 
@@ -23759,86 +23779,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23847,47 +23867,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25437,7 +25457,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Уставіць"
@@ -26463,150 +26483,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27276,7 +27296,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27683,12 +27703,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27746,76 +27766,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31234,18 +31254,18 @@ msgstr[3] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31259,70 +31279,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34278,13 +34298,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34319,30 +34339,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "&Выразаць "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34396,44 +34416,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34441,15 +34465,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "Скасаваць"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34457,7 +34481,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34465,7 +34489,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34480,7 +34504,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34518,17 +34542,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37116,6 +37140,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/bg.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/bg.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/bg.po	2020-07-02 04:00:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/bg.po	2020-07-16 16:42:46.000000000 +0000
@@ -20,8 +20,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
@@ -219,7 +219,7 @@ msgstr "Не прави абсолютн
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -231,12 +231,12 @@ msgstr "Не прави абсолютн
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1146,9 +1146,9 @@ msgstr "Каталог"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1173,7 +1173,7 @@ msgstr "Пътят към библиот
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1235,7 +1235,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2848,8 +2848,8 @@ msgstr "Взимане на списък
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2858,8 +2858,8 @@ msgstr "Премахване на кни
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3202,7 +3202,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3315,7 +3315,7 @@ msgid "Communicate with MTP devices"
 msgstr "Свързване с MTP устройство"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Извличане на информация за устройство"
@@ -3342,8 +3342,8 @@ msgid "Finished reading metadata from de
 msgstr "Четенето на метаданни в ел. четеца е приключено"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3731,61 +3731,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Твърде много опити за свързване от %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Приложението на вашето устройство е твърде старо и вече не се поддържа. Актуализирайте към по-нова версия."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Във вашата библиотека има книги с датировка от бъдещето. Виж calibre за детайли"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Лоша настройка на качеството на компресия. Стойността трябва да е между 50 и 99. Наложително е да е %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Невалиден порт в опции: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Несполучлив опит за запазване на порт %d. Опитайте друга стойност."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Несполучлив опит за запазване на произволен порт"
 
@@ -6219,7 +6230,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Не"
 
@@ -6242,7 +6253,7 @@ msgid "Producer"
 msgstr "Производител"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6508,103 +6519,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "САЩ"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Франция"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Германия"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Великобритания"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Италия"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Япония"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Испания"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Бразилия"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Холандия"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Китай"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6612,7 +6623,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8501,7 +8512,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8979,7 +8990,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9024,7 +9035,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9076,7 +9087,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9231,7 +9242,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9271,7 +9282,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10167,7 +10178,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10769,7 +10780,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10980,7 +10991,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11428,8 +11439,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11558,42 +11569,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11602,112 +11618,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Път"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11715,7 +11731,7 @@ msgstr "Път"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11784,7 +11800,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11802,11 +11818,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11945,7 +11961,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11980,7 +11996,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12027,8 +12043,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12140,22 +12156,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12383,7 +12399,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12858,10 +12874,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " точки"
@@ -13293,7 +13309,7 @@ msgid "Change the title of this book"
 msgstr "Промяна на заглавието на тази книга"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Автор(и): "
 
@@ -13308,7 +13324,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Издател: "
 
@@ -13317,7 +13333,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13332,8 +13348,8 @@ msgstr "&Серии:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Списък с познати поредици. Можете да добавите нови поредици"
@@ -13400,45 +13416,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Полета"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Ляво:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Горе:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Дясно:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Долу:"
@@ -13784,7 +13800,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14610,74 +14626,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14685,44 +14700,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15428,11 +15443,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15496,79 +15511,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15618,8 +15638,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16175,46 +16195,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16223,7 +16243,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16238,11 +16258,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16270,7 +16290,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16295,28 +16315,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16343,65 +16363,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Търсене за:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16734,77 +16754,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Малки букви"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Главни букви"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Книга %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16812,7 +16832,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16822,7 +16842,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16837,80 +16857,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Премахване на запазените търсения"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16918,90 +16938,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Дата:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17009,118 +17029,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Добавяне на &етикети: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "Езици"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17129,152 +17149,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Рейтинг:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Основни метаданни"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Потребителски метаданни"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Замяна с:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17282,48 +17302,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17952,7 +17972,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18612,76 +18632,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18713,121 +18733,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19708,17 +19728,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19999,21 +20019,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20357,7 +20367,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre библиотека"
 
@@ -20520,6 +20530,16 @@ msgstr "&Изход"
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20799,7 +20819,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20869,7 +20889,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21630,13 +21650,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21661,80 +21681,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " секунди"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22723,37 +22743,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22890,7 +22910,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23028,7 +23048,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23299,7 +23319,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23694,86 +23714,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23782,47 +23802,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25368,7 +25388,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26394,150 +26414,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Дял"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27207,7 +27227,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27614,12 +27634,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27677,76 +27697,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31149,18 +31169,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31174,70 +31194,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34185,13 +34205,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34226,30 +34246,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34303,44 +34323,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34348,15 +34372,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "Отказ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34364,7 +34388,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34372,7 +34396,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34387,7 +34411,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Станицата на съветника"
@@ -34425,17 +34449,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37021,6 +37045,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/bn_BD.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/bn_BD.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/bn_BD.po	2020-07-02 04:05:36.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/bn_BD.po	2020-07-16 16:44:24.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -208,7 +208,7 @@ msgstr "কিছুই করে না
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -220,12 +220,12 @@ msgstr "কিছুই করে না
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1135,9 +1135,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1162,7 +1162,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1224,7 +1224,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2837,8 +2837,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2847,8 +2847,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3191,7 +3191,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3304,7 +3304,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3331,8 +3331,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3720,61 +3720,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6208,7 +6219,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6231,7 +6242,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6497,103 +6508,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6601,7 +6612,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8490,7 +8501,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8968,7 +8979,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9013,7 +9024,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9065,7 +9076,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9220,7 +9231,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9260,7 +9271,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10156,7 +10167,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10758,7 +10769,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10969,7 +10980,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11417,8 +11428,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11547,42 +11558,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11591,112 +11607,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11704,7 +11720,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11773,7 +11789,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11791,11 +11807,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11934,7 +11950,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11969,7 +11985,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12016,8 +12032,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12129,22 +12145,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12372,7 +12388,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12847,10 +12863,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13282,7 +13298,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13297,7 +13313,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13306,7 +13322,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13321,8 +13337,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13389,45 +13405,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13773,7 +13789,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14599,74 +14615,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14674,44 +14689,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15417,11 +15432,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15485,79 +15500,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15607,8 +15627,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16164,46 +16184,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16212,7 +16232,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16227,11 +16247,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16259,7 +16279,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16284,28 +16304,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16332,65 +16352,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16723,77 +16743,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16801,7 +16821,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16811,7 +16831,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16826,80 +16846,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16907,90 +16927,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16998,118 +17018,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17118,152 +17138,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17271,48 +17291,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17941,7 +17961,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18601,76 +18621,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18702,121 +18722,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19697,17 +19717,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19988,21 +20008,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20346,7 +20356,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20509,6 +20519,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20788,7 +20808,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20858,7 +20878,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21619,13 +21639,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21650,80 +21670,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22712,37 +22732,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22879,7 +22899,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23017,7 +23037,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23288,7 +23308,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23683,86 +23703,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23771,47 +23791,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25357,7 +25377,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26383,150 +26403,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27196,7 +27216,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27603,12 +27623,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27666,76 +27686,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31138,18 +31158,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31163,70 +31183,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34174,13 +34194,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34215,30 +34235,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34292,44 +34312,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34337,15 +34361,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34353,7 +34377,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34361,7 +34385,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34376,7 +34400,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34414,17 +34438,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37010,6 +37034,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/bn_IN.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/bn_IN.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/bn_IN.po	2020-07-02 04:01:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/bn_IN.po	2020-07-16 16:43:55.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6494,103 +6505,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6598,7 +6609,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8487,7 +8498,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8965,7 +8976,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9010,7 +9021,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9062,7 +9073,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9217,7 +9228,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9257,7 +9268,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10153,7 +10164,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10755,7 +10766,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10966,7 +10977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11414,8 +11425,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11544,42 +11555,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11588,112 +11604,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11701,7 +11717,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11770,7 +11786,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11788,11 +11804,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11931,7 +11947,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11966,7 +11982,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12013,8 +12029,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12126,22 +12142,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12369,7 +12385,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12844,10 +12860,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13279,7 +13295,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13294,7 +13310,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13303,7 +13319,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13318,8 +13334,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13386,45 +13402,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13770,7 +13786,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14596,74 +14612,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14671,44 +14686,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15414,11 +15429,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15482,79 +15497,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15604,8 +15624,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16161,46 +16181,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16209,7 +16229,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16224,11 +16244,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16256,7 +16276,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16281,28 +16301,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16329,65 +16349,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16720,77 +16740,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16798,7 +16818,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16808,7 +16828,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16823,80 +16843,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16904,90 +16924,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16995,118 +17015,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17115,152 +17135,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17268,48 +17288,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17938,7 +17958,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18598,76 +18618,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18699,121 +18719,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19694,17 +19714,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19985,21 +20005,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20343,7 +20353,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20506,6 +20516,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20785,7 +20805,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20855,7 +20875,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21616,13 +21636,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21647,80 +21667,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22709,37 +22729,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22876,7 +22896,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23014,7 +23034,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23285,7 +23305,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23680,86 +23700,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23768,47 +23788,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25354,7 +25374,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26380,150 +26400,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27193,7 +27213,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27600,12 +27620,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27663,76 +27683,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31135,18 +31155,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31160,70 +31180,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34171,13 +34191,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34212,30 +34232,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34289,44 +34309,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34334,15 +34358,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34350,7 +34374,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34373,7 +34397,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34411,17 +34435,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37007,6 +37031,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/bn.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/bn.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/bn.po	2020-07-02 04:02:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/bn.po	2020-07-16 16:38:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "আসলে কিছুই ক
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "আসলে কিছুই ক
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "না "
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/br.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/br.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/br.po	2020-07-02 04:00:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/br.po	2020-07-16 16:37:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "Ne ra netra da vat"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "Ne ra netra da vat"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr "Katalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Ket"
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6498,103 +6509,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6602,7 +6613,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8500,7 +8511,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8996,7 +9007,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9041,7 +9052,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9093,7 +9104,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9251,7 +9262,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9291,7 +9302,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10205,7 +10216,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10816,7 +10827,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -11030,7 +11041,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11487,8 +11498,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11617,42 +11628,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11661,112 +11677,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11774,7 +11790,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11843,7 +11859,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11861,11 +11877,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -12004,7 +12020,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -12039,7 +12055,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12086,8 +12102,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Dilemel"
 
@@ -12199,22 +12215,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12442,7 +12458,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12917,10 +12933,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13352,7 +13368,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13367,7 +13383,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13376,7 +13392,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13391,8 +13407,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13459,45 +13475,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13843,7 +13859,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14669,74 +14685,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14744,44 +14759,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15490,11 +15505,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15558,79 +15573,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15680,8 +15700,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16237,46 +16257,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16285,7 +16305,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16300,11 +16320,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16335,7 +16355,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16360,28 +16380,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16408,65 +16428,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16802,77 +16822,77 @@ msgstr[2] ""
 msgstr[3] ""
 msgstr[4] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16880,7 +16900,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16890,7 +16910,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16905,80 +16925,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16986,90 +17006,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17077,118 +17097,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17197,152 +17217,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17350,48 +17370,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18020,7 +18040,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18680,76 +18700,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18781,121 +18801,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19782,17 +19802,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -20082,21 +20102,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20440,7 +20450,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20603,6 +20613,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20885,7 +20905,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20961,7 +20981,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21728,13 +21748,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21759,80 +21779,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22821,37 +22841,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22988,7 +23008,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23126,7 +23146,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23397,7 +23417,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23792,86 +23812,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23880,47 +23900,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25472,7 +25492,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26498,150 +26518,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27311,7 +27331,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27718,12 +27738,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27781,76 +27801,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31277,18 +31297,18 @@ msgstr[4] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31302,70 +31322,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34325,13 +34345,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34366,30 +34386,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34443,44 +34463,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34488,15 +34512,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34504,7 +34528,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34512,7 +34536,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34527,7 +34551,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34565,17 +34589,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37164,6 +37188,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/bs.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/bs.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/bs.po	2020-07-02 04:04:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/bs.po	2020-07-16 16:42:18.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
@@ -207,7 +207,7 @@ msgstr "Ne radi apsolutno ništa"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -219,12 +219,12 @@ msgstr "Ne radi apsolutno ništa"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1134,9 +1134,9 @@ msgstr "Katalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1161,7 +1161,7 @@ msgstr "Putanja ka biblioteci ({0}) je d
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1223,7 +1223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2836,8 +2836,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2846,8 +2846,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3190,7 +3190,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3303,7 +3303,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3330,8 +3330,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3719,61 +3719,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6207,7 +6218,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Ne"
 
@@ -6230,7 +6241,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6497,103 +6508,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6601,7 +6612,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8493,7 +8504,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8977,7 +8988,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9022,7 +9033,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9074,7 +9085,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9230,7 +9241,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9270,7 +9281,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10172,7 +10183,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "e"
 
@@ -10777,7 +10788,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Traži %s"
@@ -10989,7 +11000,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11440,8 +11451,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11570,42 +11581,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Konfiguracija %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11614,112 +11630,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11727,7 +11743,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11796,7 +11812,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11814,11 +11830,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11957,7 +11973,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11992,7 +12008,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12039,8 +12055,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Izbriši"
 
@@ -12152,22 +12168,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12395,7 +12411,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12870,10 +12886,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13305,7 +13321,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13320,7 +13336,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13329,7 +13345,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13344,8 +13360,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13412,45 +13428,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13796,7 +13812,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Promijeni"
 
@@ -14622,74 +14638,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14697,44 +14712,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15441,11 +15456,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15509,79 +15524,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15631,8 +15651,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16188,46 +16208,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16236,7 +16256,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16251,11 +16271,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16284,7 +16304,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16309,28 +16329,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16357,65 +16377,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Upravljanje autorima"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16749,77 +16769,77 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Mala slova"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Velika slova"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16827,7 +16847,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16837,7 +16857,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16852,80 +16872,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16933,90 +16953,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17024,118 +17044,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17144,152 +17164,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17297,48 +17317,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17967,7 +17987,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18627,76 +18647,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18728,121 +18748,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19725,17 +19745,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -20019,21 +20039,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20377,7 +20387,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20540,6 +20550,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20820,7 +20840,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20892,7 +20912,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21655,13 +21675,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21686,80 +21706,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22748,37 +22768,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22915,7 +22935,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23053,7 +23073,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23324,7 +23344,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Onemogući"
 
@@ -23719,86 +23739,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23807,47 +23827,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25395,7 +25415,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26421,150 +26441,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Preimenuj %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Uredi sortiranje za %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Uredi linkove za %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Traži sve osim %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Dodaj podkategoriju u %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Sakrij kategoriju %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Prikaži kategoriju"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Traži knjige u kategoriji %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Traži knjige koje nisu u kategoriji %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Prikaži sve kategorije"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Particija (dio)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27234,7 +27254,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27641,12 +27661,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27704,76 +27724,76 @@ msgid "Import"
 msgstr "Uvoz"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31184,18 +31204,18 @@ msgstr[2] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31209,70 +31229,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34224,13 +34244,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34265,30 +34285,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34342,44 +34362,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34387,15 +34411,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "Otkaži"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34403,7 +34427,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34411,7 +34435,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34426,7 +34450,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34464,17 +34488,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "&Kindle email:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Odaberite vaš &jezik:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37061,6 +37085,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ca.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ca.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ca.po	2020-07-02 04:03:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ca.po	2020-07-16 16:41:04.000000000 +0000
@@ -33,8 +33,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
@@ -232,7 +232,7 @@ msgstr "No fa res"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -244,12 +244,12 @@ msgstr "No fa res"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1159,9 +1159,9 @@ msgstr "Catàleg"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1186,7 +1186,7 @@ msgstr "Camí a la biblioteca ({0}) mass
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1248,7 +1248,7 @@ msgstr "Cerques desades"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2861,8 +2861,8 @@ msgstr "S'està obtenint la llista de ll
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2871,8 +2871,8 @@ msgstr "S'estan suprimint els llibres de
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3215,7 +3215,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Edita la plantilla"
@@ -3328,7 +3328,7 @@ msgid "Communicate with MTP devices"
 msgstr "Comunicació amb dispositius MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Obtén la informació del dispositiu..."
@@ -3355,8 +3355,8 @@ msgid "Finished reading metadata from de
 msgstr "S'ha acabat de llegir les metadades des del dispositiu"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3744,61 +3744,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "Aquesta és una llista de formats de fitxers separats per comes que voleu enviar al dispositiu. Per exemple, llibres d'àudio de la biblioteca amb l'extensió «m4b» que voleu escoltar al vostre dispositiu. No feu cas de l'advertència: «extensions extres habilitades»."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Massa intents de connexió des de «%s»"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "L'aplicació al dispositiu és massa antiga i ja no és compatible. The app on your device is too old and is no longer supported. Actualitzeu-la a una versió més recent."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Teniu formats de llibres a la vostra biblioteca amb dates futures. Consulteu a calibre per a més detalls"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "La columna de sincronització de lectura %s no està a la biblioteca de calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "La columna de sincronització de lectura %s no és una columna de sí/no"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "La columna de sincronització de la data de lectura %s no està a la biblioteca de calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "La columna de sincronització de la data de lectura %s no és una columna de data"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Configuració de qualitat de compressió incorrecta. Ha de ser un nombre entre 50 i 99. S'ha forçat a %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Port no vàlid a les opcions: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "No s'ha pogut connectar al port %d. Intenteu un valor diferent."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "No s'ha pogut assignar un port a l'atzar"
 
@@ -6232,7 +6243,7 @@ msgstr "Extreu els formats comuns de lli
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "No"
 
@@ -6255,7 +6266,7 @@ msgid "Producer"
 msgstr "Productor"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6521,103 +6532,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Imatges de Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Baixa les metadades i les portades d'Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "Estats Units"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "França"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Alemanya"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Regne Unit"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Austràlia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Itàlia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japó"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Espanya"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brasil"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Països Baixos"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Xina"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Canadà"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Tria automàticament el servidor"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Servidors d'Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Memòria cau de cerca de Bing"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Memòria cau de cerca de Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Memòria cau de la màquina Wayback (lent)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "País del lloc web d'Amazon que s'utilitzarà:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "S'obtindrà les metadades d'Amazon del lloc web d'Amazon d'aquest país."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Servidor des d'on s'obtenen les dades:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon ha començat a bloquejar les descàrregues de metadades dels seus servidors. Per solucionar-ho, calibre pot obtenir les dades d'Amazon d'altres llocs on són emmagatzemades. Escolliu l'origen que preferiu."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6625,7 +6636,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "El temps d'espera d'Amazon s'ha esgotat. Torna-ho a provar més tard."
 
@@ -8514,7 +8525,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8992,7 +9003,7 @@ msgstr "La carpeta %s ja existeix. Esbor
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Massa llarg"
 
@@ -9037,7 +9048,7 @@ msgstr "S'ha suprimit de calibre la bibl
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9089,7 +9100,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9244,7 +9255,7 @@ msgid "Browse for library"
 msgstr "Navega per una biblioteca"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Copia"
@@ -9284,7 +9295,7 @@ msgstr "{0} per {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Selecciona'ls &tots"
 
@@ -10180,7 +10191,7 @@ msgid "Move to next highlighted match"
 msgstr "Passa a la següent coincidència ressaltada"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10782,7 +10793,7 @@ msgid "this book"
 msgstr "aquest llibre"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Cerca %s"
@@ -10993,7 +11004,7 @@ msgstr "Vista &prèvia del llibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11441,8 +11452,8 @@ msgstr "Canvia"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11571,42 +11582,47 @@ msgid "Search the internet for this book
 msgstr "Cerca aquest llibre a Internet"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Gestiona %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Suprimeix el format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Desa el format %s al disc"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Restaura el format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Estableix la portada del llibre a partir del fitxer %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Compara'l amb el format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11615,112 +11631,112 @@ msgstr "Compara'l amb el format %s"
 msgid "Open %s with..."
 msgstr "Obre %s amb..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Afegeix una altra aplicació per als fitxers %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Edita l'obertura amb les aplicacions..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Edita %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Copia el camí al fitxer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Cerca %s a calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Suprimeix %s d'aquest llibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Copi&a-ho tot"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Obre la portada amb..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Afegeix una altra aplicació per obrir la portada..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Enganxa la portada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Copia la portada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Desa la portada al disc"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Suprimeix la portada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Genera la portada a partir de les metadades"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Tria la ubicació del desament de la portada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "Imatges JPEG"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Feu doble clic per obrir la finestra dels detalls del llibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Camí"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11728,7 +11744,7 @@ msgstr "Camí"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Mida de la portada: %(width)d×%(height)d píxels"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Edita els identificadors d'aquest llibre"
 
@@ -11797,7 +11813,7 @@ msgstr "sortida"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11815,11 +11831,11 @@ msgstr "sortida"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11958,7 +11974,7 @@ msgid "Preset name:"
 msgstr "Nom del predefinit:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Heu de proporcionar un nom."
 
@@ -11993,7 +12009,7 @@ msgstr "Cert"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12040,8 +12056,8 @@ msgid "Delete current preset"
 msgstr "Suprimeix el predefinit actual"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Suprimeix"
 
@@ -12153,22 +12169,22 @@ msgstr "Restableix als valors predetermi
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12396,7 +12412,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12871,10 +12887,10 @@ msgstr "Re&ferència de la mida de la ll
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13306,7 +13322,7 @@ msgid "Change the title of this book"
 msgstr "Canvia el tí­tol del llibre"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Autors: "
 
@@ -13321,7 +13337,7 @@ msgid ""
 msgstr "Canvia l'autor o els autors del llibre. Si hi ha diversos autors, s'han de separar per comes"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Editorial: "
 
@@ -13330,7 +13346,7 @@ msgid "Ta&gs: "
 msgstr "Eti&quetes: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13345,8 +13361,8 @@ msgstr "&Sèrie:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Llista de les sèries conegudes. Podeu afegir-ne de noves."
@@ -13413,45 +13429,45 @@ msgstr "Mida de la pantalla: %s"
 msgid "Page setup"
 msgstr "Configuració de la pàgina"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Perfil de &sortida:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Descripció del perfil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Perf&il d'entrada:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Marges"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Esquerre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Sense canvis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Superior:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Dret:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Inferior:"
@@ -13797,7 +13813,7 @@ msgid "Edit the currently selected expre
 msgstr "Edita l'expressió seleccionada"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Canvia"
 
@@ -14623,74 +14639,73 @@ msgstr "Trieu el fitxer per a importar-n
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Sense definir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Estableix la data d'avui per a «%s»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Neteja «%s»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "S'ha canviat els valors"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Heu canviat els valors. Per utilitzar aquest editor heu de descartar o aplicar aquests canvis. S'apliquen els canvis?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " índex:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "L'enumeració «{0}» conté un valor no vàlid que s'establirà al predeterminat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Aplica els canvis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Neteja la sèrie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Numera els llibres automàticament"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14698,44 +14713,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Força començar la numeració amb "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "L'enumeració «{0}» té valors no vàlids que no surten a la llista"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Suprimeix totes les etiquetes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "etiquetes que s'afegiran"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "etiquetes que se suprimiran"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15441,11 +15456,11 @@ msgstr "Això trigarà una estona, esper
 msgid "Vacuuming..."
 msgstr "S'està recuperant l'emmagatzematge ocupat per tuples mortes..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Comprovació de la biblioteca -- S'han trobat problemes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15509,79 +15524,84 @@ msgid ""
 "        "
 msgstr "        <h1>Ajuda</h1>\n\n        <p>calibre emmagatzema la llista i les metadades dels llibres en una\n        base de dades. Els fitxers i les portades dels llibres s'emmagatzemen com a fitxers\n        normals a la carpeta de la biblioteca de calibre. La base de dades conté una llista dels fitxers\n        i les portades que pertanyen a cada entrada de llibre. Aquesta eina comprova que els\n        fitxers a la carpeta de la biblioteca de l'ordinador coincideixin amb la\n        informació a la base de dades.</p>\n\n        <p>El resultat de cada tipus de comprovació es mostra a l'esquerra. Les diverses\n        comprovacions són:\n        </p>\n        <ul>\n        <li><b>Títols no vàlids</b>: són els fitxers i les carpetes que apareixen\n        a la biblioteca on haurien de ser els llibres, però que no tenen la\n        forma correcta per ser un títol de llibre.</li>\n        <li><b>Títols addicionals</b>: són els fitxers addicionals a la\n        biblioteca de calibre que apareixen amb títols correctes, però no tenen entrades \n        corresponents a la base de dades</li>\n        <li><b>Autors no vàlids</b>: són els fitxers que apareixen\n        a la biblioteca on només haurien de ser les carpetes d'autor.</li>\n        <li><b>Autors addicionals</b>: són les carpetes a la\n        biblioteca de calibre que semblen autors però que no tenen entrades\n        a la base de dades</li>\n        <li><b>Formats de llibre perduts</b>: són formats de llibre que estan a\n        la base de dades però no tenen un fitxer de format corresponent a la carpeta del llibre.\n        <li><b>Formats de llibre addicionals</b>:  són fitxers de format de llibre que es troben a\n        la carpeta del llibre però no a la base de dades.\n        <li><b>Fitxers desconeguts als llibres</b>: són fitxers addicionals a la\n        carpeta de cada llibre que no es corresponen amb un fitxer de format o portada coneguts.</li>\n        <li><b>Fitxers de portada perduts</b>: representen llibres marcats\n        a la base de dades amb una portada però els fitxers de portada no es\n        troben.</li>\n        <li><b>Fitxers de portada que no són a la base de dades</b>: són llibres que tenen\n        fitxers de portada però estan marcats com si no en tinguessin a la base de dades.</li>\n        <li><b>Carpetes amb errors</b>:  representen carpetes a la\n        biblioteca de calibre que no s'han processat/entès per aquesta\n        eina.</li>\n        </ul>\n\n        <p>Hi ha dos tipus de correccions automàtiques possibles: <i>Eliminar\n        els marcats</i> i <i>arreglar els marcats</i>.</p>\n        <p><i>Eliminar els marcats</i> s'utilitza per suprimir els fitxers, les carpetes i les portades addicionals que\n        no tenen entrades a la base de dades. Marqueu la casella al costat de l'element que vulgueu\n        eliminar. Aneu amb compte.</p>\n\n        <p><i>Arreglar els marcats</i> només s'aplica a les portades i als formats perduts\n        (les tres línies marcades amb 'corregible'). En el cas dels fitxers de portada perduts,\n        marcant la casella 'corregible' i prement el botó li dirà a calibre que\n        no hi ha portada per a tots els llibres de la llista. Utilitzeu aquesta opció si no\n        restaurareu les portades d'una còpia de seguretat. En el cas de fitxers\n        de portada addicionals, marcant la casella 'corregible' i prement el botó li dirà\n        a calibre que els fitxers de portada trobats són correctes per a tots els llibres\n        de la llista. Utilitzeu aquesta si no eliminareu els fitxers. En el\n        cas dels formats perduts, marcant la casella 'corregible' i prement el\n        botó li dirà a calibre que els formats no estan. Utilitzeu aquesta si\n        no restaurareu els formats d'una còpia de seguretat.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "To&rna a fer la comprovació"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Copia al por&ta-retalls"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Fet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Marca-ho &tot per a suprimir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Marca tots els ítems que es poden suprimir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Suprimeix &marcats"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Suprimeix els fitxers marcats (subítems marcats)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Mar&ca-ho tot per a corregir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Marca tots els ítems que es poden corregir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&Repara els marcats"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Corregeix les seccions marcades (ítems corregibles marcats)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Noms que s'ignoraran:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Introduïu comodins estàndard de noms de fitxer separats per comes, com synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Extensions a ignorar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Introduïu extensions separades per comes sense punt al començament. Només per a carpetes de llibres"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(corregible)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Camí de la biblioteca"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15631,8 +15651,8 @@ msgstr "La ubicació %s conté la biblio
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "La ubicació és incorrecta"
 
@@ -16188,46 +16208,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (era %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "L'ítem està en blanc"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "No es pot deixar un ítem en blanc. En tot cas l'heu d'esborrar."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "No s'ha seleccionat cap ítem"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Heu de seleccionar almenys un ítem de la llista dels ítems disponibles."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "No s'ha seleccionat cap ítem"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Heu de seleccionar almenys un ítem de la llista."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Esteu segur que voleu suprimir els ítems següents?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Editor de categories"
 
@@ -16236,7 +16256,7 @@ msgid "Items in use"
 msgstr "Ítems que estan en ús"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16251,11 +16271,11 @@ msgstr "Canvia el nom de l'ítem en cada
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Aquest llibre té DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16283,7 +16303,7 @@ msgid "Already in calibre:"
 msgstr "Ja està al calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16308,28 +16328,28 @@ msgid "Change case"
 msgstr "Canvia majúscules/minúscules"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Majúscules"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Minúscules"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Intercanvia majúscules/minúscules"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16356,65 +16376,65 @@ msgstr "El nom de l'autor no és vàlid"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Gestiona els autors"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Cerca:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Restableix tots els valors de l'ordenació de l'autor a un valor generat\nautomàticament a partir de l'autor. Es pot controlar la manera\nexacta com es genera aquest valor a través de Preferències->Avançat->Retocs"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "To&rna a calcular tots els valors de l'ordenació de l'autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Copia l'ordenació de l'autor a l'autor per a tots els autors. Normalment\ns'utilitza aquest botó després de canviar Preferències->Avançat->Retocs->Algorisme d'ordre per autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "&Copia tots els valors d'ordenació de l'autor a l'autor"
 
@@ -16747,77 +16767,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "S'està treballant..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "S'estan processant %d llibres, espereu..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Minúscules"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Majúscules"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Inicials en majúscules"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Coincidència amb caràcters"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Expressió regular"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Reemplaça el camp"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Posa-ho abans del camp"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Annexa al camp"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Edició de la informació meta per a <b>%d llibres</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Fes immediatament tots els canvis sense tancar el diàleg. Aquesta acció no es pot cancel·lar ni desfer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Llibre %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Introduïu un tipus d'identificador"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16825,7 +16845,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Amb aquesta funció podeu destruir la vostra biblioteca.</b> Els canvis són permanents. No hi ha cap funció per a desfer-ho. Es recomana que feu una còpia de seguretat abans de continuar. <p>Cerca i reemplaça en els camps de text mitjançant la coincidència amb caràcters o expressions regulars. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16835,7 +16855,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16850,80 +16870,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "ERROR DE LA PLANTILLA CERCA/SUBSTITUCIÓ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Cal una destinació quan l'origen és un camp compost o una plantilla"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Heu d'especificar un tipus d'identificador de destí"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Heu d'especificar una expressió de cerca al camp «Cerca»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Cadena d'identificador no vàlida. Ha de ser una llista separada per comes de parells de cadenes separats per dos punts"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Cerca/substitució no vàlida"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "La cerca/substitució no és vàlida: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Suprimeix la cerca/substitució desada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "La cerca/reemplaça desades se suprimiran. N'esteu segur?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Desa la cerca/substitució"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Nom de cerca/substitució:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Aquesta cerca/reemplaça ja existeix i se sobreescriurà. N'esteu segur?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Edita la informació meta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16931,90 +16951,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Això farà que el camp d'ordenació de l'autor s'activi automàticament\nen funció del camp dels autors per a cada llibre seleccionat. Tingueu\nen compte que si utilitzeu el control anterior per establir els autors en\nmassa, el camp d'ordenació de l'autor s'actualitza de totes maneres,\nindependentment del valor d'aquesta casella de selecció."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Estableix a&utomàticament l'ordenació de l'autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "Inter&canvia el títol i l'autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Actualitza l'ordenació del títol en funció del títol actual. S'aplicarà després dels altres canvis al títol."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Actualitza l'ordenació del &títol"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "&Canvia la portada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Genera la portada predeterminada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "Sup&rimeix la portada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Intenta detectar i suprimir automàticament les vores i l'espai sobrer\n del voltant de les imatges de portada. Així a vegades se suprimeix massa,\n utilitzeu-ho amb compte."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "Re&talla la portada (PERILLÓS)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Estableix que les portades de tots els llibres seleccionats\nsigui la mateixa que la del primer llibre seleccionat."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Clona les portades"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Feu que el títol tingui les inicials en majúscules. Si es marca això i l'intercanvi\nd'autor i títol, primer es fa l'intercanvi i després es canvien les inicials en majúscules del títol"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Data:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Si es marca, es netejarà l'editorial"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "&Neteja l'editorial"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "P&ublicació:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17022,118 +17042,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Si no s'activa el número de la sèrie per als llibres, quedarà establert a 1.\nSi s'activa, els llibres seleccionats es numeraran automàticament\nen l'ordre que els hàgiu escollit. Si heu seleccionat el llibre A i després\nel llibre B, el llibre A tindrà el nombre 1 de la sèrie i el B el nombre 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Numera &automàticament els llibres de la sèrie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Les sèries normalment es tornaran a numerar a partir del número més alt a la\nbase de dades de la sèrie. Si marqueu aquesta casella, li dieu a calibre que\ncomenci la numeració a partir del valor a la casella"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Força que els nombres comencin per:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Si es marca, es netejarà la sèrie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "Neteja la sè&rie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Configura la &generació de les portades"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Estableix els co&mentaris per a tots els llibres seleccionats"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "Sup&rimeix les etiquetes:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Suprimeix-ho &tot"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Afegeix les eti&quetes: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Especifiqueu com s'han d'ordenar els autors d'aquest llibre. Per exemple, ordena «Vicent A. Estellés» com a «Estellés, Vicent A»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "&Aplica la valoració"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Neteja la data de publicació"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Llengües:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Llista d'etiquetes separades per comes que s'eliminaran dels llibres. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Obre l'editor d'etiquetes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "&Ordenació de l'autor: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Sèr&ie:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Suprimeix els ajusts de conversió desats per als llibres seleccionats.\n\nLa conversió d'aquests llibres es farà en endavant amb els ajusts predeterminats."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Suprimeix els ajusts de conversió de&sats per als llibres seleccionats"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17142,152 +17162,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "En fer una conversió al mateix format, per exemple\nd'EPUB a EPUB, calibre desa l'EPUB original com a\n ORIGINAL_EPUB. Aquesta opció fa que calibre\n restauri l'EPUB des d'ORIGINAL_EPUB. Útil si heu fet\n una conversió en bloc un nombre gran de llibre i\n quelcom surt malament."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Restaura els &originals d'abans de la conversió, si estan disponibles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Marqueu aquesta casella per eliminar totes les etiquetes dels llibres."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Valoració:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Metadades &bàsiques"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Personalitza les metadades"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "Carrega la cerca/su&bstitució:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Seleccioneu la cerca/substitució que s'ha de carregar."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Desa la cerca/substitució actual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Desa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Cerca al &camp:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Nom del camp on voleu fer la cerca"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "&Mode de cerca:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Trieu si s'ha d'utilitzar la coincidència de text bàsic o d'expressions regulars avançades"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "Tipus d'&identificador:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Trieu sobre quin tipus d'identificador s'intervindrà"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Plantilla:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Introduïu una plantilla per utilitzar-la com a origen de cerca/reemplaça"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Introduïu el que esteu cercant en text simple o com a expressió regular, segons el mode"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Marqueu aquesta casella si la cadena de cerca ha de coincidir exactament en majúscules i minúscules. Desmarqueu-la per ignorar-les."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Disting&eix entre majúscules i minúscules"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Reemplaça amb:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "El text de substitució. Els textos que coincideixin se substituiran per aquesta cadena"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Aplica una funció després de la substitució:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Especifiqueu com s'ha de processar el text després de la cerca i substitució. Al mode de caràcters es processa\ntot el camp. Al mode d'expressions regulars només es processa el text que coincideixi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "Camp de &destí:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "El camp on es posarà el text després d'acabar totes les substitucions.\nSi es deixa en blanc, s'utilitza el camp de l'origen si es pot modificar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "M&ode:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Especifica com s'ha de copiar el text al destí."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Especifica si els resultats s'han de dividir en diversos valors o es deixen\ncom un de sol. Aquesta opció és més efectiva si el camp d'origen no és\nmúltiple i el de destinació sí."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Divideix el &resultat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Tipus d'identificador:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17295,48 +17315,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Trieu el tipus d'identificador en què s'operarà. Quan el\n              camp d'origen és diferent d''identifiers' podeu\n              introduir «*» si voleu substituir tot el conjunt\n              d'identificadors amb el resultat de cerca/reemplaça.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Per als camps amb diversos &valors, mostra"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "valors començant al"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "amb els valors separats am&b"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "S'utilitza quan es visualitzen els resultats de la prova per separar els valors als camps amb valors diversos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Text de la prova"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Resultat de la prova"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "La vos&tra prova:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Cerca i reemplaça"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Si s'habilita, es reordenarà la llista de llibres i qualsevol\ncerca o biblioteca virtual existent s'actualitzarà quan\ns'acabi l'edició. Això pot ser lent en biblioteques grans."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "&Actualitza la llista de llibres després d'una edició"
 
@@ -17965,7 +17985,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Gestiona les cerques desades"
 
@@ -18625,76 +18645,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "La categoria d'etiqueta actual se <b>suprimirà permanentment</b>. N'esteu segur?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Editor de categories de l'usuari"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "&Nom de la categoria: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Seleccioneu una categoria per editar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "Filtre per &categoria: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Seleccioneu el tipus de contingut de la categoria nova"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr "&Filtre per ítem:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr "Entreu el text per filtrar els ítems disponibles. S'ignoren les majúscules i els accents."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Afegeix una categoria nova"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Reanomena la categoria actual amb el que hi ha a la casella"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "Ít&ems disponibles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Aplica les etiquetes a la categoria d'etiquetes actual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "Ítems apl&icats"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Suprimeix l'etiqueta de la categoria d'etiquetes actual"
 
@@ -18726,121 +18746,121 @@ msgid ""
 "to delete them?"
 msgstr "Un o més llibres estan utilitzant les etiquetes següents. Esteu segur que voleu suprimir-les?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Recompte"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Abans tenia el valor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Esteu segur que voleu desfer els vostres canvis?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Voleu desfer la supressió de l'ítem?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Aquest ítem està suprimit. En voleu desfer la supressió?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Desfés qualsevol eliminació o modificació a les línies seleccionades"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19721,17 +19741,17 @@ msgstr "Disposició"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Mostra o amaga diverses parts de la finestra principal de calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Sense format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "El llibre {0} no té el format {1}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Restaura %s"
@@ -20012,21 +20032,11 @@ msgstr "Llibre %(sidx)s de <span class=\
 msgid "This book is on the device in %s"
 msgstr "Aquest llibre està al dispositiu %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "estableix la data a indefinida"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Estableix-ho a indefinit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "S"
 
@@ -20370,7 +20380,7 @@ msgid ""
 msgstr "El camí al calibre portàtil (%s) és massa llarg. Ha de ser de menys de 59 caràcters."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Biblioteca de calibre"
 
@@ -20533,6 +20543,16 @@ msgstr "&Surt"
 msgid "Unhandled exception"
 msgstr "Excepció no gestionada"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "estableix la data a indefinida"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20812,7 +20832,7 @@ msgstr "&Editorial:"
 msgid "Clear publisher"
 msgstr "Neteja l'editorial"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Neteja la data"
 
@@ -20882,7 +20902,7 @@ msgid "Processed %s"
 msgstr "S'ha processat %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Camps de metadades a baixar"
 
@@ -21643,13 +21663,13 @@ msgid "&Automatic adding"
 msgstr "&Addició automàtica"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Alt"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Baix"
 
@@ -21674,80 +21694,80 @@ msgstr "Tot en una pestanya"
 msgid "Confirmation dialogs have all been reset"
 msgstr "S'han restablert tot els diàlegs de confirmació"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Envia automàticament les &notícies baixades al lector de llibres"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Prioritat dels treballs:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Ordre de formats d'entrada prefer&it:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "F&ormat de sortida preferit:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "Edita la &disposició (única) de les metadades:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Si s'activa, els valors de les columnes personalitzades «Sí/No» poden ser «Sí», «No» o «Desconegut».\nSi no s'activa, els valors poder ser «Sí» o «No»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "Les columnes «&Sí/No» tenen tres valors (requereix reiniciar)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Suprimeix les notícies de la biblioteca quan s'enviïn automàticament al lector"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "&Temps d'expiració de xarxa predeterminat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Estableix el temps d'expiració predeterminat per a les captures de xarxa (p. ex. cada vegada que s'hagi d'anar a internet per obtenir informació)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " segons"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Restableix tots els diàlegs de &confirmació que s'hagin inhabilitat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Utilitza el &visualitzador intern per:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Biblioteca virtual que s'aplica quan s'obre la bib&lioteca actual:"
 
@@ -22736,37 +22756,37 @@ msgid ""
 " effect.\n"
 msgstr "Es pot copiar els valors al porta-retalls, enganxar-los en un editor i introduir-los al USER_DEVICE personalitzant el connector del dispositiu a Preferències->Avançat->Connectors. Tingueu en compte que també s'han d'introduir les carpetes on voleu que es desin els llibres. Reinicieu Calibre perquè els canvis s'apliquin.\n"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Afegeix una adreça de correu electrònic per enviar-hi llibres"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Afegeix un correu electrònic"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Fes-ho el pre&determinat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "Elimina el co&rreu electrònic"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Afegiu els comentaris de les metadades del llibre al correu\nelectrònic. Útil per permetre que el destinatari vegi un\nresum del llibre abans d'obrir-lo."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Afegeix els &comentaris de les metadades com a text al correu electrònic"
 
@@ -22903,7 +22923,7 @@ msgid "Create a new rule"
 msgstr "Crea una regla nova"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23041,7 +23061,7 @@ msgid "If there is enough room"
 msgstr "Si hi ha prou espai"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Per la primera lletra"
 
@@ -23312,7 +23332,7 @@ msgid "Caching of covers for improved pe
 msgstr "Portades a la memòria cau per millorar el rendiment"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Inhabilita"
 
@@ -23707,86 +23727,86 @@ msgstr "No s'ha seleccionat cap origen"
 msgid "No source selected, cannot configure."
 msgstr "No s'ha seleccionat cap origen, no es pot configurar."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Orígens de les metadades"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Els orígens amb una X vermella al costat dels seus noms han de configurar-se abans que es puguin utilitzar. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "C&onfigura l'origen seleccionat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Si desmarqueu algun camp, no es baixaran les metadades d'aquests camps"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Selecciona-ho tot"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Restaureu el conjunt de camps seleccionats que definiu amb el botó «Estableix com a predeterminat»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Estableix com a predeterminat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Converteix tots els comentaris baixats a &text net"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Inverteix els noms d'&autors de «nom, cognom» a «cognom, nom»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Quan baixis els comentaris, annexa els comentaris a qualsevol comentari existent, en lloc de sobreescriure'ls."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "Quan baixis els comentaris, annexa els comentaris a qualsevol comentari existent, en lloc de sobreescriure'ls."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Annexa els comentaris als &existents"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23795,47 +23815,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Diferents fons de metadades tenen diferents conjunts d'etiquetes per al mateix llibre. Amb aquesta opció activada calibre utilitzarà el conjunt d'etiquetes més petit. Els conjunts petits solen contenir informació com el gènere, mentre que els conjunts més grans tendeixen a descriure el contingut del llibre.\n<p>Aquesta opció comporta una diferència pràctica només si una de les fonts de metadades té un conjunt d'etiquetes tipus gènere per al llibre que cerqueu. La majoria de vegades totes tenen conjunts d'etiquetes grans."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Prefereix conjunts d'etiquetes més petits en agafar etiquetes de diferents orígens de metadades"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Prefereix &menys etiquetes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Crea &regles per a filtrar o transformar les etiquetes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "&Nombre màxim d'etiquetes a baixar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "&Temps màxim d'espera després que s'hagi trobat la primera coincidència:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " segons"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Temps màxim d'espera després que s'hagi trobat la primera &portada:"
 
@@ -25381,7 +25401,7 @@ msgid "Paste and &search"
 msgstr "Enganxa i &cerca"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Enganxa"
@@ -26407,150 +26427,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Canvia la icona per a: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Canvia el nom de «%s»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Suprimeix %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Edita l'ordre de «%s»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Modifica l'enllaç per «%s»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "Afegeix %s a la categoria de l'usuari"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Fill de «%s»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Suprimeix %(item)s de la categoria %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Cerca-ho tot excepte %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "Cerca utilitzant expressió de cerca desada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Afegeix una subcategoria a %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Suprimeix la categoria de l'usuari %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Oculta la categoria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Mostra la categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Cerca els llibres que tinguin algun valor a la categoria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Cerca els llibres que no tinguin cap valor a la categoria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Canvia la icona de la categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Restaura la icona predeterminada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Gestiona les categories de l'usuari"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Mostra totes les categories"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Canvia el mètode de divisió per categories"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Partició"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Només es pot utilitzar la primera lletra quan s'ordena per nom"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "E&xpandeix tots els fills"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Contreu tots els nivells"
 
@@ -27220,7 +27240,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Canvis sense desar"
 
@@ -27627,12 +27647,12 @@ msgid ""
 msgstr "El fitxer %s no existeix. Si intentàveu clicar a un element a la taula de continguts, potser necessiteu actualitzar-la fent clic amb el botó dret i triant \"Actualitza\"."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Format de fitxer no compatible"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "L'edició de fitxers de tipus %s no és compatible"
@@ -27690,76 +27710,76 @@ msgid "Import"
 msgstr "Importa"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Abans: Reemplaça %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Primer heu d'obrir un llibre per a visualitzar-ne l'informe."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Primer heu d'obrir un llibre per a comprovar els enllaços."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Primer heu d'obrir un llibre per a comprimir les imatges."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Abans: comprimeix les imatges"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Error inesperat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "No s'han pogut comprimir les imatges, feu clic a «Mostra els detalls» per a més informació"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "No es pot descodificar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "No es pot editar %s perquè sembla que està en una codificació de caràcters desconeguda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "No hi ha cap llibre obert. Primer has d'obrir un llibre per poder-lo editar."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Surt immediatament"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Hi ha canvis sense desar, si sortiu sense desar, els perdreu."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Desa i surt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Surt sense desar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "S'està desant, espereu..."
 
@@ -31162,18 +31182,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31187,70 +31207,70 @@ msgid ""
 "            "
 msgstr "\n            <h3>Vista prèvia en directe</h3>\n\n            <p>Aquí podreu veure una vista prèvia del fitxer HTML que esteu editant actualment.\n            La vista prèvia s'actualitzarà automàticament a mesura que feu canvis.\n\n            <p style=\"font-size:x-small; color: gray\">Tingueu en compte que\n            únicament és una vista prèvia ràpida, la seva intenció no és la simulació d'un lector de llibres electrònics real. \n            Alguns aspectes del vostre llibre electrònic no funcionaran, com ara els salts de pàgina i els marges de pàgina.\n            "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Inspecciona l'element"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Obre l’enllaç"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Edita %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Cerca a la vista prèvia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Ubicació no vàlida"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "No es pot dividir l'etiqueta «body»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "No es pot inhabilitar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Torna a carregar automàticament la vista prèvia quan es canviï el text a l'editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Inhabilita la recàrrega automàtica de la vista prèvia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Inhabilita la sincronització de la posició de la vista prèvia a la posició de l'editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Habilita la sincronització de la vista prèvia a la posició de l'editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Avorta la divisió del fitxer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34198,13 +34218,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34239,30 +34259,30 @@ msgstr "Oculta {}"
 msgid "Show {}"
 msgstr "Mostra {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Trieu un &color"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Trieu un color"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Re&talla"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "Pa&s cap amunt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "Pas a&vall"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Sense valorar"
 
@@ -34316,44 +34336,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Trieu el vostre dispositiu de llibres electrònics. Si el dispositiu no és a la llista, trieu un dispositiu «%s»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "Si esteu traslladant calibre d'un ordinador vell a un de nou, si us plau llegiu <a href=\"{0}\">les instruccions</a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Seleccioneu una ubicació per als llibres"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "No s'ha pogut crear una carpeta a %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Heu de triar una carpeta buida per a la biblioteca de calibre. %s no està buit."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "Següe&nt >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Endarrere"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34361,15 +34385,15 @@ msgstr "< &Endarrere"
 msgid "Cancel"
 msgstr "Cancel·la"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Acaba"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Valida"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Assistent de benvinguda"
 
@@ -34377,7 +34401,7 @@ msgstr "Assistent de benvinguda"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Benvingut al calibre"
@@ -34385,7 +34409,7 @@ msgstr "Benvingut al calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "La solució unificada per a tot el que necessiteu en llibres electrònics."
@@ -34400,7 +34424,7 @@ msgstr "&Dispositius"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Pàgina de l'assistent"
@@ -34438,17 +34462,17 @@ msgstr "Calibre pot enviar els llibres p
 msgid "&Kindle email:"
 msgstr "Correu electrònic del &Kindle:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Trieu la vostra &llengua:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Trieu una ubicació per als llibres. Quan s'afegeixin llibres a calibre es copiaran aquí. Utilitzeu una <b>carpeta buida</b> per a una nova biblioteca de calibre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37034,6 +37058,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/crh.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/crh.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/crh.po	2020-07-02 04:02:53.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/crh.po	2020-07-16 16:42:42.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6494,103 +6505,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6598,7 +6609,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8487,7 +8498,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8965,7 +8976,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9010,7 +9021,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9062,7 +9073,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9217,7 +9228,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9257,7 +9268,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10153,7 +10164,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "E"
 
@@ -10755,7 +10766,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10966,7 +10977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11414,8 +11425,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11544,42 +11555,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11588,112 +11604,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11701,7 +11717,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11770,7 +11786,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11788,11 +11804,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11931,7 +11947,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11966,7 +11982,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12013,8 +12029,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12126,22 +12142,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12369,7 +12385,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12844,10 +12860,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13279,7 +13295,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13294,7 +13310,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13303,7 +13319,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13318,8 +13334,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13386,45 +13402,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13770,7 +13786,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14596,74 +14612,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14671,44 +14686,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15414,11 +15429,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15482,79 +15497,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15604,8 +15624,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16161,46 +16181,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16209,7 +16229,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16224,11 +16244,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16256,7 +16276,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16281,28 +16301,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16329,65 +16349,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16720,77 +16740,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16798,7 +16818,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16808,7 +16828,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16823,80 +16843,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16904,90 +16924,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16995,118 +17015,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17115,152 +17135,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17268,48 +17288,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17938,7 +17958,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18598,76 +18618,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18699,121 +18719,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19694,17 +19714,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19985,21 +20005,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20343,7 +20353,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20506,6 +20516,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20785,7 +20805,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20855,7 +20875,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21616,13 +21636,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21647,80 +21667,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22709,37 +22729,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22876,7 +22896,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23014,7 +23034,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23285,7 +23305,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23680,86 +23700,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23768,47 +23788,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25354,7 +25374,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26380,150 +26400,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27193,7 +27213,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27600,12 +27620,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27663,76 +27683,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31135,18 +31155,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31160,70 +31180,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34171,13 +34191,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34212,30 +34232,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34289,44 +34309,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34334,15 +34358,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34350,7 +34374,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34373,7 +34397,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34411,17 +34435,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37007,6 +37031,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/cs.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/cs.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/cs.po	2020-07-02 04:04:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/cs.po	2020-07-16 16:38:32.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 05:12+0000\n"
 "Last-Translator: Trottel <trottel09@gmail.com>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
@@ -210,7 +210,7 @@ msgstr "Nedělá vůbec nic"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -222,12 +222,12 @@ msgstr "Nedělá vůbec nic"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1137,9 +1137,9 @@ msgstr "Katalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1164,7 +1164,7 @@ msgstr "Cesta ke knihovně ({0}) je př
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1226,7 +1226,7 @@ msgstr "Uložená hledání"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2839,8 +2839,8 @@ msgstr "Získávání seznamu knih v za
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2849,8 +2849,8 @@ msgstr "Odebírání knih z výpisu meta
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3193,7 +3193,7 @@ msgstr "Zadejte šablonu použitou pro n
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Upravit šablonu"
@@ -3306,7 +3306,7 @@ msgid "Communicate with MTP devices"
 msgstr "Komunikovat se zařízením MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Získat informace o zařízení..."
@@ -3333,8 +3333,8 @@ msgid "Finished reading metadata from de
 msgstr "Dokončeno čtení metadat ze zařízení"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3722,61 +3722,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "Tento čárkami oddělený seznam přípon formátů souborů, které chcete, aby bylo možné odesílat do zařízení. Například můžete mít ve své knihovny audioknihy s příponou „m4b“, které chcete poslouchat na svém zařízení. Nevšímejte si varování „další povolené přípony“."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr "Ignorovat volné místo v zařízení"
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr "Zaškrtněte toto políčko pro ignorování množství volného místa nahlášeného vašimi zařízeními. To může být nutné, pokud ukládáte knihy na SD kartu a zařízení nemá příliš volné hlavní paměti."
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Příliš mnoho pokusů o připojení z %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Aplikace ve vašem zařízení je příliš stará a není již podporována. Aktualizujte ji na novější verzi."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Ve své knihovně máte formáty knih s daty v budoucnosti. Viz Calibre pro podrobnosti"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "Sloupec synchronizace přečtení %s není v knihovně Calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "Sloupec synchronizace přečtení %s není sloupec Ano/Ne"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "Sloupec synchronizace data přečtení %s není v knihovně Calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "Sloupec synchronizace data přečtení %s není sloupec data"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Špatné nastavení kvality komprese. Musí to být číslo mezi 50 a 99. Změněno na %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Neplatný port ve volbách: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Nepodařilo se připojit k portu %d. Zkuste jinou hodnotu."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Nepodařilo se přidělit náhodný port"
 
@@ -6210,7 +6221,7 @@ msgstr "Extrahovat běžné formáty e-k
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Ne"
 
@@ -6233,7 +6244,7 @@ msgid "Producer"
 msgstr "Producent"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6501,103 +6512,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Obrázky Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Stahuje metadata a obálky z Amazonu"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "Spojené státy"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Francie"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Německo"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Spojené království"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Austrálie"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Itálie"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japonsko"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Španělsko"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brazílie"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Nizozemsko"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Čína"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Kanada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Zvolit server automaticky"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Servery Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Mezipaměť vyhledávání Bing"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Mezipaměť vyhledávání Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Mezipaměť Wayback Machine (pomalé)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Webová stránka Amazonu pro zemi:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Metadata z Amazonu budou načtena pomocí stránky Amazonu této země."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Server, ze kterého získat data:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon začal blokovat pokusy stáhnout metadata z jeho serverů. Abyste se vyhnuli tomuto problému, Calibre může načíst data Amazonu z mnoha různých míst, kde jsou uložena v mezipaměti. Vyberte zdroj, který upřednostňujete."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Použít MOBI-ASIN pro vyhledávání metadat"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6605,7 +6616,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr "Povolte tuto volbu pro vyhledávání metadat pomocí identifikátoru ASIN ze souboru MOBI na aktuální webové stránce země, pokud není dostupný jakýkoliv jiný identifikátor Amazonu. Pamatujte, že soubor MOBI pochází z jiné země obchodu Amazon, můžete získat nesprávné výsledky."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Vypršení časového limitu Amazonu. Zkuste to znovu později."
 
@@ -8500,7 +8511,7 @@ msgstr "Do schránky nebyly zkopírován
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8990,7 +9001,7 @@ msgstr "Složka %s již existuje. Nejdř
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Příliš dlouhé"
 
@@ -9035,7 +9046,7 @@ msgstr "Knihovna %s byla odebrána z Cal
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9087,7 +9098,7 @@ msgstr "Nenalezeny žádné chyby ve va
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9244,7 +9255,7 @@ msgid "Browse for library"
 msgstr "Hledat knihovnu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Kopírovat"
@@ -9284,7 +9295,7 @@ msgstr "{0} od {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Vybrat &vše"
 
@@ -10192,7 +10203,7 @@ msgid "Move to next highlighted match"
 msgstr "Přesunout na další zvýrazněnou shodu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10800,7 +10811,7 @@ msgid "this book"
 msgstr "tuto knihu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Hledat %s"
@@ -11013,7 +11024,7 @@ msgstr "&Náhled knihy"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11467,8 +11478,8 @@ msgstr "Změnit"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11597,42 +11608,47 @@ msgid "Search the internet for this book
 msgstr "Vyhledat na internetu tuto knihu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Spravovat %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr "Najít %s v Prohlížeči štítků"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Odstranit formát %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Uložit formát %s na disk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Obnovit formát %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Nastavit obálku knihy ze souboru %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Porovnat s formátem %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11641,112 +11657,112 @@ msgstr "Porovnat s formátem %s"
 msgid "Open %s with..."
 msgstr "Otevřít %s v programu..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Přidat jinou aplikaci pro soubory %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Upravit aplikace Otevřít v programu..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Upravit %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Kopírovat cestu k souboru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr "&Kopírovat odkaz na autora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Vyhledat v Calibre %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Kopírovat cestu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr "&Kopírovat identifikátor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Odebrat %s z této knihy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Kopírovat &vše"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Kopírovat umístění odkazu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr "Otevřít okno Podrobnosti o knize"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Otevřít obálku v programu..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Přidat jinou aplikaci pro otevření obálky..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Vložit obálku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Kopírovat obálku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Uložit obálku na disk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Odebrat obálku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Generovat obálku z metadat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Zvolte umístění pro uložení obálky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "Obrázky JPEG"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Poklepejte pro otevření okna Podrobnosti o knize"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Cesta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11754,7 +11770,7 @@ msgstr "Cesta"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Velikost obálky: %(width)d x %(height)d pixelů"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Upravit identifikátory pro tuto knihu."
 
@@ -11823,7 +11839,7 @@ msgstr "výstup"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11841,11 +11857,11 @@ msgstr "výstup"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11984,7 +12000,7 @@ msgid "Preset name:"
 msgstr "Název předvolby:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Musíte zadat název."
 
@@ -12019,7 +12035,7 @@ msgstr "Pravda"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12066,8 +12082,8 @@ msgid "Delete current preset"
 msgstr "Odstranit aktuální předvolbu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Odstranit"
 
@@ -12179,22 +12195,22 @@ msgstr "Obnovit na výchozí"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12422,7 +12438,7 @@ msgstr "Nadpis {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12897,10 +12913,10 @@ msgstr "&Klíč velikosti písma:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " bodů"
@@ -13332,7 +13348,7 @@ msgid "Change the title of this book"
 msgstr "Změnit název této knihy"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Autoři: "
 
@@ -13347,7 +13363,7 @@ msgid ""
 msgstr "Změnit autory této knihy. Více autorů by mělo být odděleno čárkami"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Vydavatel: "
 
@@ -13356,7 +13372,7 @@ msgid "Ta&gs: "
 msgstr "Š&títky: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13371,8 +13387,8 @@ msgstr "&Série:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Seznam známých sérií. Můžete přidat novou sérii."
@@ -13439,45 +13455,45 @@ msgstr "Velikost obrazovky: %s"
 msgid "Page setup"
 msgstr "Nastavení stránky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Výstupní pr&ofil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Popis profilu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Vstupní prof&il:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Okraje"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Levý:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Nezměněno"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Horní:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Pravý:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Dolní:"
@@ -13823,7 +13839,7 @@ msgid "Edit the currently selected expre
 msgstr "Upravit aktuálně vybraný výraz"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Změnit"
 
@@ -14649,74 +14665,73 @@ msgstr "Zvolte soubor, ze kterého impor
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Nedefinováno"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Nastavit '%s' na dnes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Vymazat '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr "Otevřít editor položek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Hodnoty změněny"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Změnili jste hodnoty. Pro použití editoru musíte tyto změny buď zahodit nebo použít. Použít změny?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " , pořadí:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Výčet \"{0}\" obsahuje neplatnou hodnotu, která bude nastavena na výchozí"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Použít změny"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Vymazat sérii"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Automaticky číslovat knihy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14724,44 +14739,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "Pokud není zaškrtnuto, bude číslo série pro knihy nastaveno na 1. Pokud je zaškrtnuto, vybrané knihy budou automaticky očíslovány v pořadí, v jakém jste je vybrali. Takže pokud jste vybrali knihu A a pak knihu B, kniha A bude mít číslo série 1 a kniha B číslo série 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Vynutit, aby čísla začínala"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "Série budou obyčejně přečíslovány od nejvyššího čísla v databázi pro tuto sérii. Zaškrtnutí tohoto políčka řekne Calibre, aby začalo číslování od hodnoty v poli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "Množství, o které zvyšovat číslo série pro po sobě jdoucí knihy. Použitelné pouze, když používáte vynucení čísel sérií."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Výčet \"{0}\" obsahuje neplatné hodnoty, které se nezobrazí v seznamu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Odebrat všechny štítky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "štítky k přidání"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "štítky k odebrání"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15469,11 +15484,11 @@ msgstr "Bude to chvíli trvat, čekejte.
 msgid "Vacuuming..."
 msgstr "Čištění..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Zkontrolujte knihovnu -- Nalezeny problémy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15537,79 +15552,84 @@ msgid ""
 "        "
 msgstr "<h1>Nápověda</h1>\n\n<p>Calibre ukládá seznam vašich knih a jejich metadata do databáze.\nSkutečné soubory knih a obálek jsou uloženy jako normální soubory\nve složce knihovny Calibre. Databáze obsahuje seznam souborů\na obálek patřících ke každému záznamu  knihy. Tento nástroj kontroluje,\nzda skutečné soubory ve složce knihovny ve vašem počítači odpovídají\ninformacím v databázi.</p>\n\n<p>Výsledek každého typu kontroly je zobrazen vlevo. Různé kontroly\njsou:\n</p>\n<ul>\n<li><b>Neplatné názvy</b>: Toto jsou soubory a složky objevující\nse v knihovně tam, kde by měly být názvy knihy, ale které nemají\nsprávnou formu, aby byly názvem knihy.</li>\n<li><b>Další názvy</b>: Toto jsou další soubory ve vaší knihovně\nCalibre, které se zdají být správně utvořenými názvy, ale nemají\nžádné odpovídající záznamy v databázi.</li>\n<li><b>Neplatní autoři</b>: Toto jsou soubory objevující se\nv knihovně tam, kde by měly být pouze složky autorů.</li>\n<li><b>Další authoři</b>: Toto jsou složky v knihovně Calibre,\nkteré se zdají být autory, ale které nemají záznamy v databázi.</li>\n<li><b>Chybějící formáty knih</b>: Toto jsou formáty knih, které\njsou v databázi, ale nemají žádný odpovídající formát souboru\nve složce knihy.</li>\n<li><b>Další formáty knih</b>: Toto jsou soubory formátů knih\nnalezené ve složce knihy, ale ne v databázi.</li>\n<li><b>Neznámé soubory v knihách</b>: Toto jsou další soubory\nve složce každé knihy, které neodpovídají známému formátu nebo\nsouboru obálky.</li>\n<li><b>Chybějící soubory obálky</b>: Tyto zastupují knihy, které\njsou označené v databázi jako mající obálky, ale skutečné soubory\nobálek chybí.</li>\n<li><b>Soubory obálek nejsou v databázi</b>: Toto jsou knihy,\nkteré mají soubory obálek, ale v databázi jsou označeny jako\nnemající obálky.</li>\n<li><b>Složka způsobující výjimku</b>: Tyto zastupují složky\nv knihovně Calibre, které nemohou být zpracovány nebo rozpoznány\ntímto nástrojem.</li>\n</ul>\n\n<p>Jsou možné dva druhy automatické opravy: <i>Odstranit označené</i>\na <i>Opravit označené</i>.</p>\n<p><i>Odstranit označené</i> je používáno k odebrání dalších souborů,\nsložek nebo obálek, které nemají žádné záznamy v databázi. Zaškrtněte\npolíčko vedle položky, kterou chcete odstranit. Používejte opatrně.</p>\n\n<p><i>Opravit označené</i> je použitelné pouze na obálky a chybějící\nformáty (tři řádky označené 'opravitelné'). V případě chybějících\nsouborů obálek zaškrtnutí políčka opravy a stisknutí tohoto tlačítka\nřekne Calibre, že pro všechny vypsané knihy neexistuje žádná obálka.\nPoužijte tuto volbu, pokud se nechystáte obnovit obálky ze zálohy.\nV případě souborů obálek navíc zaškrtnutí políčka opravy a stisknutí\ntohoto tlačítka řekne Calibre, že nalezené soubory obálek jsou správné\npro všechny vypsané knihy. Použijte toto, pokud se nechystáte odstranit\ntyto soubory. V případě chybějících formátů zaškrtnutí políčka opravy\na stisknutí tohoto tlačítka řekne Calibre, že formáty jsou opravdu pryč.\nPoužijte toto, pokud se nechystáte obnovit formáty ze zálohy.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Spustit kontrolu znovu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Kopírovat &do schránky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Hotovo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Označit &vše k odstranění"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Označit všechny odstranitelné podpoložky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "&Odstranit označené"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Odstranit označené soubory (zaškrtnuté podpoložky)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Označi&t vše k opravení"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Označit všechny opravitelné položky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "O&pravit označené"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Opravit označené oddíly (označené opravitelné položky)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Ignorované názvy:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Zadejte čárkami oddělené názvy souborů se zástupnými znaky, jako synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Výrazy, které ignorovat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Zadejte čárkami oddělené přípony bez úvodní tečky. Použito pouze ve složkách knih"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(opravitelné)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr "(odstranitelný)"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Cesta z knihovny"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15659,8 +15679,8 @@ msgstr "Umístění %s obsahuje aktuáln
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Špatné umístění"
 
@@ -16216,46 +16236,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (bylo %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Položka je prázdná"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Položku nelze nastavit na nic. Místo toho ji odstranit."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Není vybrána žádná položka"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Musíte vybrat jednu položku ze seznamu dostupných položek."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Nejsou vybrány žádné položky"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Musíte vybrat alespoň jednu položku ze seznamu."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Opravdu chcete odstranit následující položky?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Editor kategorií"
 
@@ -16264,7 +16284,7 @@ msgid "Items in use"
 msgstr "Používané položky"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16279,11 +16299,11 @@ msgstr "Přejmenovat položku v každé
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Tato kniha má DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16313,7 +16333,7 @@ msgid "Already in calibre:"
 msgstr "Již v Calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16338,28 +16358,28 @@ msgid "Change case"
 msgstr "Změnit velikost písmen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Velká písmena"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Malá písmena"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Přepnout velikost písmen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16386,65 +16406,65 @@ msgstr "Neplatné jméno autora"
 msgid "You cannot change an author to multiple authors."
 msgstr "Nemůžete změnit autora na více autorů."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Spravovat autory"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Hledat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr "&Hledat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>Zobrazit pouze autory\n          v aktuální Virtuální knihovně. Již provedené úpravy budou možná skryty,\n          ale nebudou zapomenuty.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr "Zobrazit pouze autory v aktuální &Virtuální knihovně"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr "Filtrovat &podle:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr "<p>Zobrazovat pouze autory, kteří obsahují text v tomto poli.\n          Porovnávání ignoruje velikost písmen.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr "Fi&ltrovat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Obnovit všechny hodnoty řazení autora na hodnotu automaticky\ngenerovanou z autora. Jak přesně je tato hodnota automaticky\ngenerována, může být určeno pomocí Předvolby->Rozšířené->Vylepšení"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "&Přepočítat všechny hodnoty řazení autora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Kopírovat řazení autora do autora pro všechny autory. Obvykle použijete toto\ntlačítko po změně Předvolby->Rozšířené->Vylepšení->Algoritmus řazení jména autora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "&Kopírovat všechny hodnoty řazení autora do autora"
 
@@ -16779,77 +16799,77 @@ msgstr[1] "Skrýt zbývající {} chybov
 msgstr[2] "Skrýt zbývajících {} chybových zpráv"
 msgstr[3] "Skrýt zbývajících {} chybových zpráv"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Spuštěno"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Zpracování %d knih, čekejte..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "Průběh aktuálního kroku: %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Krok %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Malá písmena"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Velká písmena"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Všechna první velká"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Znaková shoda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Regulární výraz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Nahradit pole"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Předřadit poli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Připojit k poli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Úprava metainformací pro <b>%d knih</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Okamžitě provést všechny změny bez zavření dialogového okna. Tato operace nemůže být zrušena nebo vrácena"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Kniha %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Zadejte typ identifikátoru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16857,7 +16877,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Použitím této funkce můžete zničit svou knihovnu.</b> Změny jsou trvalé. Není žádná funkce vrácení zpět. Důrazně vám doporučujeme zálohovat svou knihovnu před pokračováním.<p>Hledejte a nahraďte v textových polích pomocí znakové shody nebo regulárních výrazů. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16867,7 +16887,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "Ve znakovém režimu se v poli hledá zadaný text hledání. Text je nahrazen zadaným nahrazovacím textem kdekoliv je v zadaném poli nalezen. Po dokončení nahrazení může být text změněn na velká, malá nebo všechna první velká písmena. Pokud je zaškrtnuto políčko Rozlišovat velikost písmen, musí se text hledání shodovat přesně. Pokud není zaškrtnuto, bude se text hledání shodovat jak s velkými, tak s malými písmeny."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16882,80 +16902,80 @@ msgid ""
 "function."
 msgstr "V režimu regulárního výrazu je text hledání libovolný regulární výraz kompatibilní s Pythonem. Nahrazovací text může obsahovat zpětné odkazy na výrazy v závorkách ve vzoru. Hledání není ukotvené a může odpovídat a nahradit vícekrát na stejném řetězci. Funkce úprav (malá písmena atd.) jsou použity na odpovídající text, ne na pole jako celek. Cílové pole určuje pole, kam má být přiřazen výsledek po porovnání a nahrazení. Můžete nahradit text v poli, nebo předřadit nebo připojit odpovídající text. Pro více informací o regulárních výrazech Pythonu a obzvláště o funkci 'sub' navštivte <a href=\"https://docs.python.org/library/re.html\">tento odkaz</a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "H/N CHYBA ŠABLONY"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Musíte zadat cíl, když je zdrojem složené pole nebo šablona"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Hodnota nahrazení pro sloupec hodnocení musí být prázdná nebo celé číslo mezi 0 a 10"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Musíte zadat typ cílového identifikátoru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Musíte zadat výraz hledání do pole \"Hledat\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Neplatný řetězec identifikátoru. Musí to čárkami oddělený seznam párů řetězců oddělených dvojtečkou"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Neplatné hledat/nahradit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Hledat nebo nahradit je neplatné: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Odstranit uložené hledat/nahradit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Vybrané uložené hledat/nahradit bude odstraněno. Opravdu to chcete?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Uložit hledat/nahradit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Název hledat/nahradit:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Uložené hledat/nahradit již existuje a bude přepsáno. Opravdu to chcete?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Upravit metainformace"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr "&Použít datum"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16963,90 +16983,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Toto způsobí, že pole řazení autora bude automaticky\naktualizováno na základě pole autorů pro každou vybranou\nknihu. Pamatujte, že pokud použijete výše uvedený ovládací\nprvek pro hromadné nastavení autorů, pole řazení autora se\naktualizuje bez ohledu na hodnotu tohoto zaškrtávacího políčka."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "A&utomaticky nastavit řazení autora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "&Prohodit název a autora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Aktualizovat řazení názvu na základě aktuálního názvu. Bude použito pouze po jiných změnách názvu."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Aktualizovat řazení &názvu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Změnit &obálku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Generovat výchozí obálku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Odebrat obálku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Pokusit se automaticky rozpoznat a odebrat rámečky a mezery navíc z hran\nobrázku obálky. Někdy to může odebrat příliš mnoho, takže používejte opatrně."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "&Oříznout obálku (NEBEZPEČNÉ)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "Nastavit ze souborů &e-knih"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Nastavit obálky všech vybraných knih, aby byly\nstejné jako ta v první vybrané knize."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Klonovat obálky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Vynutit, aby měl název všechna první písmena velká. Pokud je zaškrtnuta toto\na prohození autorů, název a autor jsou prohozeni před nastavením velikosti písma"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Změnit &velikost písmen názvu na:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Datum:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Pokud je zaškrtnuto, vydavatel bude vymazán"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "&Vymazat vydavatele"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "&Vydáno:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17054,118 +17074,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Pokud není zaškrtnuto, bude číslo série pro knihy nastaveno na 1.\nPokud je zaškrtnuto, vybrané knihy budou automaticky očíslovány\nv pořadí, v jakém jste je vybrali. Takže pokud jste vybrali knihu A\na pak knihu B, kniha A bude mít číslo série 1 a kniha B číslo série 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "&Automaticky číslovat knihy v této sérii"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Série budou obyčejně přečíslovány od nejvyššího čísla v databázi\npro tuto sérii. Zaškrtnutí tohoto políčka řekne Calibre, aby začalo\nčíslování od hodnoty v poli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Vynutit čísla, aby začala:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Pokud je zaškrtnuto, série bude vymazána"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Vymazat série"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Určete, jak jsou vytvářeny výchozí generované obálky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Konfigurovat generování obálky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Nastavit ko&mentáře pro všechny vybrané knihy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "Odeb&rat štítky:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "&Odebrat vše"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Přidat štít&ky: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Zadejte, jak by měli být řazeni autoři této knihy. Například Charles Dickens by měl být řazen jako Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "&Použít hodnocení"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Vymazat datum vydání"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Jazyky:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Čárkami oddělený seznam štítků k odebrání z knih. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Otevřít Editor štítků"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Řazení aut&ora: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Nastavit metadata v Calibre z metadat v souborech e-knihy přidružené ke každé knize. Pamatujte, že to nezmění obálku, k tomu použijte samostatnou volbu níže."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Nastavit &metadata (kromě obálky) ze souborů e-knihy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Sér&ie:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Odebrat uložené nastavení převodu pro vybrané knihy.\n\nBudoucí převod těchto knih použije výchozí nastavení."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Odebrat &uložená nastavení převodu pro vybrané knihy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17174,152 +17194,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Když provádíte převod ze stejného formátu na stejný formát,\nnapř. EPUB na EPUB, Calibre uloží původní EPUB jako\nORIGINAL_EPUB. Tato volba říká Calibre, aby obnovilo EPUB\nz ORIGINAL_EPUB. Užitečné, pokud jste udělali hromadný převod\nvelkého počtu kniha a něco se nepovedlo."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Obnovit &původní před převodem, pokud je to možné"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Zaškrtněte toto políčko pro odebrání všech štítků z knih."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Hodnocení:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Základní metadata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Vlastní metadata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "&Načíst hledat a nahradit:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Vybrat uložené hledat/nahradit k načtení."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Uložit aktuální hledat/nahradit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Uložit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Vyhledávací &pole:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Název pole, které chcete hledat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Vyhledávací &režim:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Zvolte, zda použít základní porovnávání textu nebo rozšířené porovnávání regulárními výrazy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "&Typ identifikátoru:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Zvolte, nad kterým typem identifikátoru pracovat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "Ša&blona:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Zadejte šablonu, která má být použita jako zdroj pro hledat/nahradit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Zadejte, co hledáte, buď prostý text nebo regulární výraz, v závislosti na režimu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Zaškrtněte toto políčko, pokud musí hledaný řetězec přesně odpovídat velkým a malým písmenům. Zrušte zaškrtnutí, pokud má být velikost písmen ignorována"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "&Rozlišovat velikost písmen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Nahradit čím:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Nahrazovací text. Odpovídající hledaný text bude nahrazen tímto řetězcem"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Použít funkci po nahrazení:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Zadejte, jak má být text zpracován po porovnání a nahrazení. Ve znakovém režim je\nzpracováno celé pole. V režimu regulárního výrazu je zpracován pouze odpovídající text"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "&Cílové pole:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Pole, do kterého bude umístěn text po všech nahrazeních.\nPokud je prázdné, je použito zdrojové pole, pokud je pole upravitelné"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "Reži&m:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Zadejte, jak by měl být text kopírován do cíle."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Určuje, zda by měly být výsledné položky rozděleny na více hodnot nebo\nponechány jako jedna hodnota. Tato volba má největší efekt, když zdrojové\npole není vícenásobné a cílové pole je vícenásobné."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "&Rozdělit výsledek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Typ identifikátoru:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17327,48 +17347,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Zvolte, nad kterým typem identifikátoru pracovat. Když je\nzdrojové pole něco jiného než 'identifikátory', můžete zadat *,\npokud chcete nahradit celou sadu identifikátorů výsledkem\nhledat/nahradit.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Pro pole s více hodnotami &zobrazit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "hodnoty začínající"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "s hodnotami &oddělenými"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Použito při zobrazení výsledků testu pro oddělení hodnot v polích s více hodnotami"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Testovací text"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Výsledek testu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Váš &test:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Hledat a nahradit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Pokud je povoleno, seznam knih bude znovu seřazen a jakékoliv\nexistující hledání nebo Virtuální knihovna budou aktualizovány po\ndokončení úpravy. Toto může být u velkých knihoven pomalé."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "&Aktualizovat seznam knih po úpravě"
 
@@ -17997,7 +18017,7 @@ msgstr "Neplatné uložené hledání"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Spravovat Uložená hledání"
 
@@ -18657,76 +18677,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Aktuální kategorie štítků bude <b>trvale odstraněna</b>. Opravdu to chcete?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Editor uživatelských kategorií"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "&Název kategorie: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Vyberte kategorii k úpravě"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "Filtr &kategorie: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Vyberte druh obsahu nové kategorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr "&Filtr položek: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr "Zadejte text pro filtrování dostupných položek. Velikost písmen a diakritika jsou ignorovány."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr "Odstranit aktuální kategorii štítku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr "Zadejte název kategorie, pak použijte tlačítko Přidat nebo tlačítko Přejmenovat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Přidat novou kategorii"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Přejmenovat aktuální kategorii na to, co je v poli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr "<p>Zobrazit položky v poli Dostupné položky, pouze pokud se objeví\n            v aktuální Virtuální knihovně. Použité položky, které nejsou ve virtuální\n            knihovně, budou označeny „nejsou v žádné knize“.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr "&Zobrazit pouze dostupné položky v aktuální Virtuální knihovně"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "&Dostupné položky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Použít štítky do aktuální kategorie štítků"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "&Použité položky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Zrušit použití (odebrat) štítku z aktuální kategorie štítků"
 
@@ -18758,121 +18778,121 @@ msgid ""
 "to delete them?"
 msgstr "Následující štítky jsou používány jednou nebo více knihami. Opravdu je chcete odstranit?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr "Spravovat položky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr "&Přidat položku:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr "Použít položky na aktuální knihu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr "Filtrovat dostupné položky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr "Odstranit položku z databáze. Zruší to použití položky ze všech knih a pak ji odebere z databáze."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr "&Dostupné položky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr "Použít položku na aktuální knihu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr "Zrušit použití (odebrat) položku z aktuální knihy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr "Filtrovat použité položky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Počet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Byl"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr "Upravování..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Opravdu chcete vrátit zpět vaše změny?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Zrušit odstranění položky?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Tato položka je odstraněna. Chcete zrušit její odstranění?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr "Hledat položku v prvním sloupci"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr "Najít položky obsahující hledaný řetězec"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>Zobrazit položky, pouze pokud se objeví\n          v aktuální Virtuální knihovně. Již provedené úpravy budou možná skryty,\n          ale nebudou zapomenuty.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr "Zobrazit pouze položky v aktuální &Virtuální knihovně"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr "&Filtrovat podle:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr "Filtrovat položky pomocí textu v tomto poli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr "Zobrazit pouze položky obsahující tento text"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr "F&iltrovat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr "Přejmenovat položku v každé knize, kde je použita"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Vrátit zpět všechna odstranění a úpravy na vybraných řádcích"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19757,17 +19777,17 @@ msgstr "Rozložení"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Zobrazit a skrýt jednotlivé části hlavního okna Calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Žádný formát %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Kniha {0} nemá formát {1}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Obnovit %s"
@@ -20054,21 +20074,11 @@ msgstr "%(sidx)s. kniha z <span class=\"
 msgid "This book is on the device in %s"
 msgstr "Tato kniha je v zařízení v %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Nastavit datum na nedefinováno"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Nastavit datum na dnes"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Nastavit na nedefinováno"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "A"
 
@@ -20412,7 +20422,7 @@ msgid ""
 msgstr "Cesta k přenosnému Calibre (%s) je příliš dlouhá. Musí být méně než 59 znaků."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Knihovna Calibre"
 
@@ -20575,6 +20585,16 @@ msgstr "&Ukončit"
 msgid "Unhandled exception"
 msgstr "Neošetřená výjimka"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Nastavit datum na nedefinováno"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Nastavit datum na dnes"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20856,7 +20876,7 @@ msgstr "&Vydavatel:"
 msgid "Clear publisher"
 msgstr "Vymazat vydavatele"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Vymazat datum"
 
@@ -20930,7 +20950,7 @@ msgid "Processed %s"
 msgstr "Zpracováno %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Pole metadat ke stažení"
 
@@ -21695,13 +21715,13 @@ msgid "&Automatic adding"
 msgstr "&Automatické přidávání"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Vysoká"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Nízká"
 
@@ -21726,80 +21746,80 @@ msgstr "Vše na 1 kartu"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Všechna potvrzovací dialogová okna byla obnovena"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Upozornit, když je dostupná &nová verze"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Automaticky odeslat stažené &zprávy do čtečky e-knih"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Priorita úlohy:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr "Zvolte různé rozložení pro dialogové okno Upravit metadata. Rozložení kompaktní metadata upřednostní úpravu vlastních metadat před změnou obálek a formátů."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Upřednostňované pořadí &vstupního formátu:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Upřednostňovaný &výstupní formát:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "&Rozložení Upravit metadata (jednoduché):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Pokud je zaškrtnuto, vlastní hodnoty sloupců typu Ano/Ne mohou být Ano, Ne nebo Neznámý.\nPokud není zaškrtnuto, hodnoty mohou být Ano nebo Ne."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "Sloupce typu &Ano/Ne mají tři hodnoty (vyžaduje restartování)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Odstranit zprávy z knihovny, když jsou automaticky odeslány do čtečky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Výchozí časový &limit sítě:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Nastavit výchozí časový limit pro síťové dotazy (např. pokaždé, když jdeme na internet získat informace)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " sekund"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr "Použít tuto Virtuální knihovnu při spuštění Calibre, pokud je použita aktuální knihovna. Také použito při přepnutí na tuto knihovnu. Pamatujte, že toto nastavení je vázáno na knihovnu."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Obnovit všechna zakázaná &potvrzovací dialogová okna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Použít interní &prohlížeč pro:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Použitá virtuální knihovna, když je otevřena aktuální &knihovna:"
 
@@ -22788,37 +22808,37 @@ msgid ""
 " effect.\n"
 msgstr "Zkopírujte tyto hodnoty do schránky, vložte je do editoru, pak je zadejte do USER_DEVICE přizpůsobením modulu zařízení v Předvolby->Rozšířené->Moduly. Nezapomeňte také zadat složky, do kterých chcete knihy umísťovat. Musíte restartovat Calibre, aby vaše změny fungovaly.\n"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr "<p>Calibre vám (nebo vaší čtečce) může odeslat vaše knihy e-mailem. E-maily budou automaticky odeslány pro stažené zprávy na všechny e-mailové adresy, které mají zaškrtnuté <i>Automaticky odeslat</i>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Přdat e-mailovou adresu, na kterou odeslat knihy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Přidat e-mail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Nastavit &výchozí"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Odebrat e-mail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Přidat komentáře z metadat knihy do e-mailu.\nUžitečné, aby příjemce viděl souhrn knihy,\nnež ji otevře."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Přidat metadata &komentářů jako text do e-mailu"
 
@@ -22955,8 +22975,8 @@ msgid "Create a new rule"
 msgstr "Vytvořit nové pravidlo"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
-msgstr "Klíč identifikátoru, například v isbn:XXX je klíč ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
+msgstr "Klíč identifikátoru, například v isbn:XXX je klíč „isbn"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
 msgid "&Key:"
@@ -23093,7 +23113,7 @@ msgid "If there is enough room"
 msgstr "Pokud je dostatek místa"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Podle prvního písmena"
 
@@ -23364,7 +23384,7 @@ msgid "Caching of covers for improved pe
 msgstr "Ukládání obálek do mezipaměti pro zlepšení výkonu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Zakázat"
 
@@ -23759,86 +23779,86 @@ msgstr "Není vybrán žádný zdroj"
 msgid "No source selected, cannot configure."
 msgstr "Není vybrán žádný zdroj, nelze konfigurovat."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Zdroje metadat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr "Zrušením jejich zaškrtnutí zakažte jakékoliv zdroje metadat, které nechcete. Můžete také nastavit prioritu obálky. Obálky ze zdrojů, které mají vyšší (menší) prioritu, budou upřednostňovány při hromadném stahování metadat."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Zdroje s červeným X vedle jejich názvů musí být konfigurovány, než budou použity."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "&Konfigurovat vybraný zdroj"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Pokud zrušíte zaškrtnutí jakýchkoliv polí, metadata pro tato pole nebudou stahována"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Vybrat vše"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr "&Zrušit výběr"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Obnovit vlastní podmnožinu zaškrtnutých polí, které jste definovali pomocí tlačítka 'Nastavit jako výchozí'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr "&Vybrat výchozí"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Uložit aktuálně zaškrtnutá pole jako výchozí, výchozí můžete rychle použít prostřednictvím tlačítka 'Vybrat výchozí'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Nastavit jako výchozí"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Převést všechny stažené komentáře na prostý &text"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Prohodit jména &autora z Jméno Příjmení na Příjmení, Jméno"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Při stahování komentářů připojit stažené komentáře ke všem existujícím komentářům namísto jejich přepsání."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "Při stahování komentářů připojit stažené komentáře ke všem existujícím komentářům namísto jejich přepsání."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Připojit komentáře k &existujícím"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23847,47 +23867,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr "<p>Obyčejně systém stahování metadat ponechá pouze jeden výsledek na zdroj metadat. Tato volba způsobí, že ponechá všechny výsledky vrácené ze všech zdrojů metadat. To je užitečné, pokud používáte pouze jeden nebo dva zdroje a chcete si z nich vybrat jednotlivé výsledky ručně. Pamatujte, že výsledky s totožným názvem, autorem nebo identifikátory jsou stále slučovány."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "Ponechat více než jeden záznam na zdroj"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Různé zdroje metadat mají různé sady štítků pro stejnou knihu. Pokud je tato volba zaškrtnuta, pak Calibre použije menší sady štítků. Ty mají sklon být spíše jako žánry, zatímco větší sady štítků mají sklon popisovat obsah knih.\n<p>Pamatujte, že tato volba udělá praktický rozdíl, pouze pokud jeden ze zdrojů metadat má žánr jako sadu štítků pro knihu, kterou hledáte. Nejčastěji mají všechny velké sady štítků."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Upřednostňovat menší sady štítků při vybírání štítků z různých zdrojů metadat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Upřednostňovat &méně štítků"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Vytvořit &pravidla pro filtrování nebo převod štítků"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "&Vytvořit pravidla pro převod jmen autorů"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "Max. &počet štítků ke stažení:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Max. čas čekání po nalezení první &shody:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " sekund"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Max. čas čekání po nalezení první &obálky:"
 
@@ -25437,7 +25457,7 @@ msgid "Paste and &search"
 msgstr "Vložit a &hledat"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Vložit"
@@ -26463,150 +26483,150 @@ msgstr "Všichni tito category_managers
 msgid "'Click' found item"
 msgstr "'Kliknout' na nalezenou položku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Změnit ikonu pro: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr "Přejmenovat %s ve Virtuální knihovně"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Přejmenovat %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr "Odstranit %s ve Virtuální knihovně"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Odstranit %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Upravit řazení pro %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Upravit odkaz pro %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "Přidat %s do Uživatelské kategorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Podřízená položka %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr "Použít %s na vybrané knihy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr "Přidat %s do vybraných knih"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr "Odebrat %s z vybraných knih"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr "Odstranit Uložené hledání %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Odebrat %(item)s z kategorie %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Hledat vše kromě %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "Hledat pomocí výrazu uloženého hledání"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Přidat podkategorii do %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Odstranit Uživatelskou kategorii %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Skrýt kategorii %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Zobrazit kategorii"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Hledat knihy v kategorii %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Hledat knihy mimo kategorii %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Změnit ikonu kategorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Obnovit výchozí ikonu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Spravovat Uživatelské kategorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Zobrazit všechny kategorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Změnit schéma podkategorizace"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Oddíl"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "První písmeno je užitečné pouze při řazení podle názvu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "&Rozbalit všechny podřízené položky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Sbalit všechny úrovně"
 
@@ -27276,7 +27296,7 @@ msgid "The Qt WebEngine Render process c
 msgstr "Proces vykreslení Qt WebEngine selhal a musel být znovu spuštěn"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Neuložené změny"
 
@@ -27683,12 +27703,12 @@ msgid ""
 msgstr "Soubor %s neexistuje. Pokud jste se pokoušeli kliknout na položku v obsahu, možná ho potřebujete obnovit kliknutím pravým tlačítkem myši a zvolením \"Obnovit\"."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Nepodporovaný formát souboru"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "Úprava souborů typu %s není podporována"
@@ -27746,76 +27766,76 @@ msgid "Import"
 msgstr "Importovat"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Před: Nahradit %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Nejdříve musíte otevřít nějakou knihu, abyste viděli hlášení."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Nejdříve musíte otevřít nějakou knihu, abyste zkontrolovali odkazy."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Nejdříve musíte otevřít nějakou knihu, abyste zkomprimovali obrázky."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Před: komprimace obrázků"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Neočekávaná chyba"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Nepodařilo se komprimovat obrázky, pro více informací klikněte na \"Zobrazit podrobnosti\"."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Nelze dekódovat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Nelze upravit %s, protože se zdá být v neznámém kódování znaků"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Aktuálně není otevřena žádná kniha. Nejdříve musíte otevřít knihu k úpravě."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "Aktuální kniha se ukládá na pozadí. Ukončení <p>přeruší proces ukládání</b>! Dokončit nejdříve ukládání?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Okamžitě ukončit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "&Dokončit nejdříve ukládání"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Jsou zde neuložené změny, pokud ukončíte bez uložení, přijdete o ně."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Uložit a ukončit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "U&končit bez uložení"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Ukládání, čekejte..."
 
@@ -31234,18 +31254,18 @@ msgstr[3] "Bylo obnoveno {} zakázaných
 msgid "Disabled confirmations restored"
 msgstr "Zakázaná potvrzení obnovena"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr "Proces vykreslení selhal "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr "Proces vykreslení Qt WebEngine selhal, takže Náhled nebo Živé CSS nebudou fungovat. Měli byste zkusit znovu spustit editor."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31259,70 +31279,70 @@ msgid ""
 "            "
 msgstr "\n<h3>Živý náhled</h3>\n\n<p>Zde uvidíte živý náhled souboru HTML, který právě upravujete.\nNáhled se bude automaticky aktualizovat, jak budete provádět změny.\n\n<p style=\"font-size:x-small; color: gray\">Pamatujte, že toto je pouze rychlý\nnáhled, není určen k simulaci skutečné čtečky e-knih. Některé aspekty vaší\ne-knihy, jako jsou konce stránek a okraje stránek, nebudou fungovat."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Zkontrolovat prvek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Otevřít odkaz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Upravit %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Hledat v náhledu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Neplatné umístění"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Nelze rozdělit na značce body"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Nepodařilo se spustit pracovní vlákno"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Nepodařilo se spustit proces pracovní vlákno použitý pro vykreslení náhledu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Nelze zakázat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Automatické opětovné načítání panelu náhledu nemůže být zakázáno, když je otevřený panel Živé CSS."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Automatické opětovné načtení náhledu, když se změní text v editoru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Zakázat automatické opětovné načtení náhledu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Zakázat synchronizaci pozice náhledu s pozicí editoru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Povolit synchronizaci pozice náhledu s pozicí editoru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Přerušit rozdělení souboru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34278,13 +34298,13 @@ msgstr "Načítání knihy selhalo"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Nepodařilo se otevřít knihu v {0}. Pro více informací klikněte na „Zobrazit podrobnosti“."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Proces vykreslení Qt WebEngine selhal. Měli byste zkusit znovu spustit prohlížeč."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "Zvolte obrázek na pozadí"
 
@@ -34319,30 +34339,30 @@ msgstr "Skrýt {}"
 msgid "Show {}"
 msgstr "Zobrazit {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Zvolte &barvu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Zvolte barvu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Vyjmou&t"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "Krok &nahoru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "Krok &dolů"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Nehodnoceno"
 
@@ -34396,44 +34416,48 @@ msgstr "Telefon s Androidem se čtečkou
 msgid "Android tablet with Kindle reader"
 msgstr "Tablet s Androidem se čtečkou Kindle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr "Všeobecný"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Zvolte své zařízení pro čtení e-knih. Pokud vaše zařízení není v seznamu, zvolte zařízení „%s“."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "Pokud přesouváte Calibre ze starého počítače na nový, přečtěte si <a href=\"{0}\">pokyny</a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Vyberte umístění pro knihy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Nepodařilo se vytvořit složku v %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Musíte zvolit prázdnou složku pro knihovnu Calibre. %s není prázdná."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Další >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Zpět"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34441,15 +34465,15 @@ msgstr "< &Zpět"
 msgid "Cancel"
 msgstr "Zrušit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Dokončit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Potvrdit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Uvítací průvodce"
 
@@ -34457,7 +34481,7 @@ msgstr "Uvítací průvodce"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Vítejte v Calibre"
@@ -34465,7 +34489,7 @@ msgstr "Vítejte v Calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Jediné řešení pro všechny potřeby vašich e-knih."
@@ -34480,7 +34504,7 @@ msgstr "&Zařízení"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "WizardPage"
@@ -34518,17 +34542,17 @@ msgstr "<p>Calibre může automaticky od
 msgid "&Kindle email:"
 msgstr "E-mail &Kindle:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Zvolte svůj &jazyk:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Zvolte umístění pro vaše knihy. Když přidáte knihy do Calibre, budou sem zkopírovány. Použijte <b>prázdnou složku</b> pro novou knihovnu Calibre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37116,6 +37140,27 @@ msgstr "check_yes_no(field_name, is_unde
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no vyžaduje, aby pole bylo vlastní sloupec Ano/Ne"
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr "rating_to_stars (hodnota, use_half_stars) -- Vrací hodnocení jako řetězec znaků hvězdiček. Hodnota je číslo mezi 0 a 5. Nastavte use_half_stars na 1, pokud chcete používat poloviční hvězdičky ve sloupcích s vlastním hodnocením, které podporují neceločíselná hodnocení, například 2,5."
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr "Hodnocení musí být číslo mezi 0 a 5."
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr "swap_around_articles (hodnota, oddělovač) -- Vrací hodnotu s články přesunutými na konec. Hodnota může být seznam, v takovém případě je zpracován každý člen seznamu. Pokud je hodnota seznam, pak musíte zadat oddělovač hodnot seznamu. Pokud není k dispozici žádný oddělovač, bude se s hodnotou zacházet jako s jedinou hodnotou, nikoliv jako se seznamem."
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "Nepojmenovaný obrázek"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/cy.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/cy.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/cy.po	2020-07-02 04:05:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/cy.po	2020-07-16 16:39:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "Dim yn gwneud dim byd"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "Dim yn gwneud dim byd"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr "Catalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr "Wrthi'n adalw rhestr o lyfrau ar
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr "Wrthi'n dileu lyfrau o restr uwc
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6497,103 +6508,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6601,7 +6612,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8496,7 +8507,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8986,7 +8997,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9031,7 +9042,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9083,7 +9094,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9240,7 +9251,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9280,7 +9291,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10188,7 +10199,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10796,7 +10807,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -11009,7 +11020,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11463,8 +11474,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11593,42 +11604,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11637,112 +11653,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11750,7 +11766,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11819,7 +11835,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11837,11 +11853,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11980,7 +11996,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -12015,7 +12031,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12062,8 +12078,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12175,22 +12191,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12418,7 +12434,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12893,10 +12909,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13328,7 +13344,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13343,7 +13359,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13352,7 +13368,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13367,8 +13383,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13435,45 +13451,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13819,7 +13835,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14645,74 +14661,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14720,44 +14735,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15465,11 +15480,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15533,79 +15548,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15655,8 +15675,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16212,46 +16232,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16260,7 +16280,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16275,11 +16295,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16309,7 +16329,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16334,28 +16354,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16382,65 +16402,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16775,77 +16795,77 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16853,7 +16873,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16863,7 +16883,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16878,80 +16898,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16959,90 +16979,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17050,118 +17070,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17170,152 +17190,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17323,48 +17343,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17993,7 +18013,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18653,76 +18673,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18754,121 +18774,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19753,17 +19773,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -20050,21 +20070,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20408,7 +20418,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20571,6 +20581,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20852,7 +20872,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20926,7 +20946,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21691,13 +21711,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21722,80 +21742,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22784,37 +22804,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22951,7 +22971,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23089,7 +23109,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23360,7 +23380,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23755,86 +23775,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23843,47 +23863,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25433,7 +25453,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26459,150 +26479,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27272,7 +27292,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27679,12 +27699,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27742,76 +27762,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31230,18 +31250,18 @@ msgstr[3] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31255,70 +31275,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34274,13 +34294,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34315,30 +34335,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34392,44 +34412,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34437,15 +34461,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34453,7 +34477,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34461,7 +34485,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34476,7 +34500,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34514,17 +34538,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37112,6 +37136,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/da.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/da.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/da.po	2020-07-02 04:05:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/da.po	2020-07-16 16:37:45.000000000 +0000
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
@@ -213,7 +213,7 @@ msgstr "Gør absolut ingenting"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -225,12 +225,12 @@ msgstr "Gør absolut ingenting"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1140,9 +1140,9 @@ msgstr "Katalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1167,7 +1167,7 @@ msgstr "Stien til biblioteket ({0}) er f
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1229,7 +1229,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2842,8 +2842,8 @@ msgstr "Henter en liste over bøgerne p
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2852,8 +2852,8 @@ msgstr "Fjerner bøger fra enhedens meta
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3196,7 +3196,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Redigér skabelon"
@@ -3309,7 +3309,7 @@ msgid "Communicate with MTP devices"
 msgstr "Kommuniker med MTP-enheder"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Hent enhedsoplysninger..."
@@ -3336,8 +3336,8 @@ msgid "Finished reading metadata from de
 msgstr "Afslutter hentning af metaoplysninger fra enhed"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3725,61 +3725,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "For mange forbindelsesforsøg fra %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Applikationen på din enhed er for gammel og er ikke længere understøttet. Opdater venligst til en nyere udgave."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Du har bog formater i dit bibliotek med datoer i fremtiden. Se Calibre for detaljer"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "Kolonnen til synkronisering af læst status %s kunne ikke findes i Calibre's bibliotek"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "Kolonnen til synkronisering af læst status %s er ikke en Ja/Nej kolonne"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "Kolonnen til synkronisering af læsningsdato status %s kunne ikke findes i Calibre's bibliotek"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Forkert komprimerings kvalitet indstillering. Den skal være et tal mellem 50 og 99. Tvunget til at være %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Ugyldig tcp/udp-portnummer i valgmuligheder: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Forbindelse til tcp/udp-portnummer %d mislykkedes. Prøv en anden."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Allokering af et tilfældigt tcp/udp-portnummer mislykkedes"
 
@@ -6213,7 +6224,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Nej"
 
@@ -6236,7 +6247,7 @@ msgid "Producer"
 msgstr "Producer"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6502,103 +6513,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Hent metadata og omslag fra Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "US"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Frankrig"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Tyskland"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "UK"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italien"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japan"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Spanien"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brasilien"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Metadata fra Amazon vil blive hentet fra dette lands Amazon website."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6606,7 +6617,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazon timede out. Prøv igen senere."
 
@@ -8495,7 +8506,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8973,7 +8984,7 @@ msgstr "Mappen %s eksisterer allerede. S
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "For lang"
 
@@ -9018,7 +9029,7 @@ msgstr "Biblioteket %s er blevet fjernet
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9070,7 +9081,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9225,7 +9236,7 @@ msgid "Browse for library"
 msgstr "Find bibliotek"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Kopier"
@@ -9265,7 +9276,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Vælg &alt"
 
@@ -10161,7 +10172,7 @@ msgid "Move to next highlighted match"
 msgstr "Gå til næste fremhævet match"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10763,7 +10774,7 @@ msgid "this book"
 msgstr "denne bog"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Søg efter %s"
@@ -10974,7 +10985,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11422,8 +11433,8 @@ msgstr "Skift"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11552,42 +11563,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Administrér %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Slet formatet %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Gem formatet %s til disk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Gendan formatet %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Sammenlign med %s-formatet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11596,112 +11612,112 @@ msgstr "Sammenlign med %s-formatet"
 msgid "Open %s with..."
 msgstr "Åbn %s med ..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Sti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11709,7 +11725,7 @@ msgstr "Sti"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Omslagsstørrelse: %(width)d x %(height)d pixels"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11778,7 +11794,7 @@ msgstr "output"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11796,11 +11812,11 @@ msgstr "output"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11939,7 +11955,7 @@ msgid "Preset name:"
 msgstr "Navn på forhåndsindstilling:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Du skal angive et navn."
 
@@ -11974,7 +11990,7 @@ msgstr "Sand"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12021,8 +12037,8 @@ msgid "Delete current preset"
 msgstr "Slet nuværende forhåndsindstilling"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Slet"
 
@@ -12134,22 +12150,22 @@ msgstr "Nulstil til standard"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12377,7 +12393,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12852,10 +12868,10 @@ msgstr "skriftstørrelses&nøgle:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pkt"
@@ -13287,7 +13303,7 @@ msgid "Change the title of this book"
 msgstr "Udskift bogens titel"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Forfatter(e): "
 
@@ -13302,7 +13318,7 @@ msgid ""
 msgstr "Udskift bogens forfatter(e). Flere forfattere skal adskilles med et komma"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "F&orlag: "
 
@@ -13311,7 +13327,7 @@ msgid "Ta&gs: "
 msgstr "&Mærker: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13326,8 +13342,8 @@ msgstr "&Serier:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Liste over kendte serier. Du kan tilføje nye serier."
@@ -13394,45 +13410,45 @@ msgstr "Skærmstørrelse: %s"
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "&Output-profil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Profil beskrivelse"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "&Input-profil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Marginer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Venstre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Uændret"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "Ø&verst:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Højre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Nederst:"
@@ -13778,7 +13794,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Ændre"
 
@@ -14604,74 +14620,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Udefineret"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Sæt '%s' til idag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Ryd '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Værdier ændret"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " indeks:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Opremsningen \"{0}\" indeholder en ugyldig værdi, som vil blive tildelt standardværdien"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Udfør ændringer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Ryd serier"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Numrér automatisk bøger"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14679,44 +14694,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Start nummerering fra "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Opremsningen \"{0}\" indeholder ugyldige værdi, som ikke vil vises i listen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Fjern alle mærkater"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "Mærkater at tilføje"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "Mærkater at fjerne"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15422,11 +15437,11 @@ msgstr "Dette vil tage et stykke tid, ve
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15490,79 +15505,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Kør tjekket igen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Kopiér &til udklipsholder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Færdig"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Slet &markerede"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Slet markerede filer (checket underemner)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&Fiks markerede"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Ordn markerede sektioner (checket ordenbare emner)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Navne der skal ignoreres:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Indtast komma-separeret standard filnavn jokertegn, såsom synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Indtast komma-separeret udvidelser uden foranstillet punktum. Anvendes kun i bogmapper"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(ordenbare)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Sti fra bibliotek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15612,8 +15632,8 @@ msgstr "Placeringen %s indeholder det ak
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Ikke brugbar placering"
 
@@ -16169,46 +16189,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (var %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Emne er blankt"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Et emne kan ikke sættes til ingenting. Slet det istedet."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Intet emne valgt"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Du skal vælge et emne fra listen af tilgængelige emner."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Ingen emner valgt"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Du skal vælge mindst et emne fra listen."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Er du sikker på at du ønsker at slette følgende emner?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16217,7 +16237,7 @@ msgid "Items in use"
 msgstr "Emner i brug"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16232,11 +16252,11 @@ msgstr "Omdøb emnet i bøger hvor det e
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16264,7 +16284,7 @@ msgid "Already in calibre:"
 msgstr "Allerede i calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16289,28 +16309,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16337,65 +16357,65 @@ msgstr "Ugyldigt forfatternavn"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Administrér forfattere"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Søg efter:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16728,77 +16748,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Arbejder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Behandler %d bøger, vent venligst..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Små bogstaver"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Store bogstaver"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Titel STORE/små bogstaver"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Tegn match"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Erstat felt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Tilføj til feltindholdets start"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Tilføj til felt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Redigér metaoplysninger for <b>%d bøger</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Lav øjeblikkeligt alle ændringer uden at lukke dialogen. Operationen kan ikke afbrydes eller fortrydes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Bog %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Indtast en identifikationstype"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16806,7 +16826,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Du kan ødelægge dit bibliotek ved at anvende denne egenskab.</b> Ændringer er permanente. Der er ingen fortryd-funktion. Du anbefales kraftigt at tage en sikkerhedskopi af dit bibliotek før fortsættelse.<p>Søg og erstat i tekstfelter ved at anvende tegn-matching eller regulære udtryk. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16816,7 +16836,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16831,80 +16851,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R SKABELON FEJL"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Søg/erstat ugyldig"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Gem søg/erstat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Søg/erstat navn:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16912,90 +16932,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "A&utomatisk forfattersortering"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Opdatér &titel sortering"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Skift &omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Generér standard omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Fjern omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Vælg titlen til at være i titel-case. Hvis både denne og ombyt-forfattere er hakket af,\nvil titel og forfatter blive byttet før titel-case anvendes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Dato:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17003,118 +17023,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Hvis ikke hakket af, vil serie-nummeret for bøgerne blive sat til 1.\nHvis hakket af, valgte bøgers serie vil automatisk blive nummeret, i rækkefølgen\ndu valgte dem i. Så hvis du valgte Bog A og derefter Bog B,\nvil Bog A have serie-nummer 1 og Bog B serie-nummer 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Serier vil normalt blive omnummeret fra det højeste nummer i databasen\nfor den givne serie. Hakkes denne boks vil det gøre at calibre starter nummerering\nfra værdien i boksen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Tving numre til at starte med:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Hvis hakket af, vil serier blive fjernet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Fjern mærkater:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Fjern &alt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Tilføj &mærker: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Angiv hvordan bogens forfatter(e) skal sorteres. Som eksempel burde Charles Dickens sorteres som Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Sprog:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Kommasepareret liste over mærkater, der skal fjernes fra bøgerne. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Forfatters&ortering: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Fjern gemte konverteringsindstillinger for de valgte bøger.\n\nFremtidige konverteringer af disse bøger vil anvende standardindstillinger."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Fjern &gemte konverteringsindstillinger for de valgte bøger"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17123,152 +17143,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Afkryds denne boks for at fjerne alle mærkater fra bøgerne."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Vurdering:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Grund metadata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Tilpas metadata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Vælg gemt søg/erstat til hentning."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Gem aktuel søg/erstat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Gem"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Søg &felt:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Feltnavnet du ønsker at søge efter"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Søge &tilstand:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Vælg om der ønskes anvendt almindelig matching - eller avanceret regulært udtryk matching"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Skabelon:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Sæt hak i denne boks, hvis søgestrengen også skal skelnes mellem store og små bogstaver. Fjern hak, hvis der ikke skal skelnes mellem store og små bogstaver"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "E&rstat med:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Erstatningsteksten. Den matchede søgefund vil bliver erstattet med denne tekststreng"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Angiv hvordan teksten skal blive behandlet efter match og erstat. I tegntilstand, behandles\nhele feltet. I regulært udtryk tilstand, behandles kun den matchede tekst"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "&Destinationsfelt:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "Tilstan&d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Angiv hvordan teksten skal kopieres til destinationen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17276,48 +17296,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Test tekst"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Test resultat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Søg og erstat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17946,7 +17966,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18606,76 +18626,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Den aktuelle mærkat kategori vil blive <b>permanent slettet</b>. Er du sikker?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Vælg en kategori der skal redigeres"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Vælg indholdstypen af den nye kategori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Tilføj en ny kategori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Påfør mærkater på aktuelle mærkat kategori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Påføringsannullering (fjerne) mærkat på aktuelle mærkat kategori"
 
@@ -18707,121 +18727,121 @@ msgid ""
 "to delete them?"
 msgstr "De følgende mærkater bliver anvendt af en eller flere bøger. Er du sikker på at du vil slette dem?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Antal"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Var"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19702,17 +19722,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Gendan %s"
@@ -19993,21 +20013,11 @@ msgstr "Bog %(sidx)s of <span class=\"se
 msgid "This book is on the device in %s"
 msgstr "Denne bog er på enheden i %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Angiv dato som udefineret"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Angiv som udefineret"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20351,7 +20361,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre bibliotek"
 
@@ -20514,6 +20524,16 @@ msgstr "&Afslut"
 msgid "Unhandled exception"
 msgstr "Uhåndteret undtagelse"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Angiv dato som udefineret"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20793,7 +20813,7 @@ msgstr "&Udgiver:"
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Ryd dato"
 
@@ -20863,7 +20883,7 @@ msgid "Processed %s"
 msgstr "Behandlet %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21624,13 +21644,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Høj"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Lav"
 
@@ -21655,80 +21675,80 @@ msgstr "Alt under 1 fane"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Alle bekræftigelsesdialoger er blevet nulstillet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "Opgave&prioritet:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Foretrukken &input-format sorteret:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Foretrukken &output-format:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Slet nyheder fra biblioteket, efter de automatisk er blevet sendt til læseren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Standard netværks &timeout:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Sætter standard timeouttiden for hentning fra netværket (f.eks.. hver gang vi henter information fra Internettet)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " sekunder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Nulstil alle deaktiverede &bekræftigelsesdialoger"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Brug intern &viser for:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22717,37 +22737,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Tilføj en e-mailadresse at sende bøgerne til"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Tilføj e-mail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Ændre til &standard"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Fjern e-mail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22884,7 +22904,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23022,7 +23042,7 @@ msgid "If there is enough room"
 msgstr "Hvis der er nok rum"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Efter første bogstav"
 
@@ -23293,7 +23313,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Deaktiver"
 
@@ -23688,86 +23708,86 @@ msgstr "Ingen kilde valgt"
 msgid "No source selected, cannot configure."
 msgstr "Ingen kilde valgt, kan ikke konfigurere."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Metadata kilder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Hvis du fjerner kryds fra felter, vil metadata for disse felter ikke blive hentet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Marker alle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Gendan dit eget undersæt af afkrydsede felter som du definerer via knappen »Angiv som standard«"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr "Vælg &standard"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Angiv som standard"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Konverter alle hentede dokumenter til ren &tekst"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23776,47 +23796,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Foretræk &færre mærkater"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " sek."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25362,7 +25382,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Indsæt"
@@ -26388,150 +26408,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Omdøb %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Slet %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Rediger sortering for %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Rediger henvisning for %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Fjern %(item)s fra kategori %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Søg efter alt undtagen %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Tilføj underkategori til %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Gem kategori %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Vis kategori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Søg efter bøger i kategori %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Søg efter bøger ej i kategori %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Ændr kategoriikon"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Gendan standardikon"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Vis alle kategorier"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Ændr skema for underkategorisering"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Partition"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Første bogstav kan kun bruges når der sorteres efter navn"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27201,7 +27221,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Ugemte ændringer"
 
@@ -27608,12 +27628,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "Redigering af filtype %s er ikke understøttet"
@@ -27671,76 +27691,76 @@ msgid "Import"
 msgstr "Importér"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Før: Erstat %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Kan ikke afkode"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Kan ikke redigere %s, da det fremstår som en ukendt tegnkodning"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Ingen bog er åben i øjeblikket. Du skal først åbne en bog for at redigere."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Der er ej-gemte ændringer, hvis du afslutter uden af gemme vil du miste dem."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Gem og afslut"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Afslut uden at gemme"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Gemmer, vent venligst..."
 
@@ -31143,18 +31163,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31168,70 +31188,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34179,13 +34199,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34220,30 +34240,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Kli&p"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34297,44 +34317,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Vælg din e-bogsenhed. Hvis din enhed ikke er i listen, så vælg en \"%s\" enhed."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Vælg placering til bøger"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Kunne ikke opret en mappe under %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Du skal vælge en tom mappe til calibre-biblioteket. %s er ikke tomt."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Næste >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Tilbage"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34342,15 +34366,15 @@ msgstr "< &Tilbage"
 msgid "Cancel"
 msgstr "Annullér"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Indsend"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Velkommen til calibre"
@@ -34366,7 +34390,7 @@ msgstr "Velkommen til calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "One-stop-løsningen til alle dine e-bogsbehov."
@@ -34381,7 +34405,7 @@ msgstr "&Enheder"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Guide side"
@@ -34419,17 +34443,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "&Kindle e-mail:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Vælg dit &sprog:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Vælg en placering til dine bøger. Når du tilføjer bøger til calibre, bliver de kopieret hertil. Anvend en <b>tom mappe</b> til et nyt calibre-bibliotek:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37015,6 +37039,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/de.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/de.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/de.po	2020-07-02 04:03:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/de.po	2020-07-16 16:41:53.000000000 +0000
@@ -77,8 +77,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
@@ -276,7 +276,7 @@ msgstr "Macht rein gar nichts"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -288,12 +288,12 @@ msgstr "Macht rein gar nichts"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1203,9 +1203,9 @@ msgstr "Katalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1230,7 +1230,7 @@ msgstr "Pfad zur Bibliothek ({0}) ist zu
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1292,7 +1292,7 @@ msgstr "Gespeicherte Suchen"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2905,8 +2905,8 @@ msgstr "Bücherliste des Geräts wird ge
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2915,8 +2915,8 @@ msgstr "Bücher werden aus der Metadaten
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3259,7 +3259,7 @@ msgstr "Wählen Sie eine Vorlage, um den
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Vorlage bearbeiten"
@@ -3372,7 +3372,7 @@ msgid "Communicate with MTP devices"
 msgstr "Kommunikation mit MTP-Geräten"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Geräteinformationen lesen …"
@@ -3399,8 +3399,8 @@ msgid "Finished reading metadata from de
 msgstr "Lesen der Gerätemetadaten abgeschlossen"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3788,61 +3788,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "Dies ist eine kommagetrennte Liste von Dateinamenerweiterungen für Formate, die Sie an das Gerät senden möchten. Beispielsweise könnten Sie in Ihrer Bibliothek Hörbücher mit der Erweiterung \"m4b\" haben, die Sie auf Ihrem Gerät anhören möchten. Machen Sie sich keine Sorgen um die Warnung \"extra enabled extensions\"."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Zu viele Verbindungsversuche von %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Die App auf Ihrem Gerät ist zu alt und wird nicht mehr unterstützt. Aktualisieren Sie sie auf eine neuere Version."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Sie haben Buchformate in Ihrer Bibliothek, deren Datum in der Zukunft liegt. Siehe Calibre für Details."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "Die Spalte für die Synchronisation des Lesefortschritts %s befindet sich nicht in Calibres Bibliothek"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "Die Spalte für die Synchronisation des Lesefortschritts %s ist keine Ja/Nein-Spalte"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "Die Spalte für die Synchronisation des Lesedatums %s befindet sich nicht in Calibres Bibliothek"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "Die Spalte für die Synchronisation des Lesedatums %s ist keine Datumsspalte"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Ungültige Einstellung für die Kompressionsqualität. Diese muss einen Zahl zwischen 50 und 99 enthalten. Wurde auf %d festgelegt."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Ungültiger Port in den Optionen: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Verbinden mit Port %d fehlgeschlagen. Versuchen Sie es mit einem anderen Wert."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Zuweisung eines zufälligen Ports fehlgeschlagen"
 
@@ -6276,7 +6287,7 @@ msgstr "Bekannte eBook-Formate aus Archi
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Nein"
 
@@ -6299,7 +6310,7 @@ msgid "Producer"
 msgstr "Produzent"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6565,103 +6576,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google Bilder"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Lädt Metadaten und Titelbilder von Amazon herunter"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "USA"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Frankreich"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Deutschland"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "UK"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Australien"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italien"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japan"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Spanien"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brasilien"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Niederlande"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "China"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Kanada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Server automatisch wählen"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Amazon-Server"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Zwischenspeicher der Bing-Suche"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Zwischenspeicher der Google-Suche"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Zwischenspeicher der Wayback Machine (langsam)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Zu verwendende Amazon-Landeswebsite:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Metadaten werden von der dem Land zugehörigen Amazon-Website geholt."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Server für Datenabruf:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon hat damit begonnen, das Herunterladen von Metadaten von seinen Servern zu blockieren. Um dieses Problem zu umgehen, kann Calibre die Amazon-Daten von vielen unterschiedlichen Orten abrufen, an denen die Daten zwischengespeichert sind. Wählen Sie Ihre bevorzugte Quelle aus."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "MOBI-ASIN für Metadatensuche verwenden"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6669,7 +6680,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Zeitüberschreitung beim Abruf von Metadaten bei Amazon. Versuche es später nochmal."
 
@@ -8558,7 +8569,7 @@ msgstr "Es wurden keine Dateien in die Z
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -9036,7 +9047,7 @@ msgstr "Der Ordner %s existiert bereits.
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Zu lang"
 
@@ -9081,7 +9092,7 @@ msgstr "Die Bibliothek %s wurde aus Cali
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9133,7 +9144,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9288,7 +9299,7 @@ msgid "Browse for library"
 msgstr "Nach Bibliothek suchen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Kopieren"
@@ -9328,7 +9339,7 @@ msgstr "{0} von {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "&Alle auswählen"
 
@@ -10224,7 +10235,7 @@ msgid "Move to next highlighted match"
 msgstr "Zur nächsten hervorgehobenen Übereinstimmung springen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10826,7 +10837,7 @@ msgid "this book"
 msgstr "diesem Buch"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Nach %s suchen"
@@ -11037,7 +11048,7 @@ msgstr "Buch&vorschau"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11485,8 +11496,8 @@ msgstr "Ändern"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11615,42 +11626,47 @@ msgid "Search the internet for this book
 msgstr "Internet nach diesem Buch durchsuchen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "%s verwalten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "%s-Format entfernen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "%s-Format exportieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "%s-Format wiederherstellen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Titelbild aus Datei %s übernehmen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Mit %s-Format vergleichen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11659,112 +11675,112 @@ msgstr "Mit %s-Format vergleichen"
 msgid "Open %s with..."
 msgstr "%s-Format öffnen mit …"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Andere Anwendung für %s-Dateien hinzufügen …"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "\"Öffnen mit\"-Anwendungen bearbeiten …"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "%s bearbeiten …"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Pfad zur Datei kopieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr "Autorenverweis &kopieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Calibre nach %s durchsuchen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Pfad kopieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr "Kennung &kopieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "%s aus diesem Buch entfernen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "&Alles kopieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Verweisadresse kopieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Titelbild öffnen mit …"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Andere Anwendung zum Öffnen von Titelbildern hinzufügen …"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Titelbild einfügen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Titelbild kopieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Titelbild auf Datenträger speichern"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Titelbild entfernen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Titelbild aus Metadaten erzeugen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Speicherort für Titelbild auswählen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "JPEG-Bilder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Doppelklicken, um das Buchdetailfenster zu öffnen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Pfad"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11772,7 +11788,7 @@ msgstr "Pfad"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Titelbildgröße: %(width)d x %(height)d Pixel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Kennungen dieses Buchs bearbeiten"
 
@@ -11841,7 +11857,7 @@ msgstr "Ausgabe"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11859,11 +11875,11 @@ msgstr "Ausgabe"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -12002,7 +12018,7 @@ msgid "Preset name:"
 msgstr "Voreinstellungsname:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Sie müssen einen Namen vergeben."
 
@@ -12037,7 +12053,7 @@ msgstr "Ja"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12084,8 +12100,8 @@ msgid "Delete current preset"
 msgstr "Aktuelle Voreinstellung löschen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Löschen"
 
@@ -12197,22 +12213,22 @@ msgstr "Auf Standard zurücksetzen"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12440,7 +12456,7 @@ msgstr "Überschrift {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12915,10 +12931,10 @@ msgstr "Schrift&größenschlüssel:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr "pt"
@@ -13350,7 +13366,7 @@ msgid "Change the title of this book"
 msgstr "Titel dieses Buches ändern"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Autor(en): "
 
@@ -13365,7 +13381,7 @@ msgid ""
 msgstr "Autor dieses Buches ändern. Mehrere Autoren sollten durch Kommata getrennt werden"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Verlag: "
 
@@ -13374,7 +13390,7 @@ msgid "Ta&gs: "
 msgstr "&Schlagwörter: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13389,8 +13405,8 @@ msgstr "&Serie:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Liste bekannter Serien. Sie können neue Serien hinzufügen."
@@ -13457,45 +13473,45 @@ msgstr "Bildschirmgröße: %s"
 msgid "Page setup"
 msgstr "Seiteneinrichtung"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Ausgabepr&ofil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Profilbeschreibung"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "E&ingabeprofil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Ränder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Links:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Unverändert"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Oben:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Rechts:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Unten:"
@@ -13841,7 +13857,7 @@ msgid "Edit the currently selected expre
 msgstr "Aktuell ausgewählten Ausdruck bearbeiten"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Ändern"
 
@@ -14667,74 +14683,73 @@ msgstr "Datei mit zu importierenden Rege
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Undefiniert"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "'%s' auf heute festlegen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "'%s' leeren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Werte geändert"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Sie haben die Werte verändert. Um diesen Editor zu verwenden müssen Sie entweder die Änderungen anwenden oder verwerfen. Änderungen anwenden?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " Index:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Die Aufzählung \"{0}\" enthält einen ungültigen Wert, der auf den Standardwert zurückgesetzt wird"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Änderungen anwenden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Serien entfernen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Bücher automatisch nummerieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14742,44 +14757,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "Falls nicht aktiviert, wird die Seriennummer für die Bücher auf 1 gesetzt. Falls aktiviert, werden ausgewählte Bücher automatisch nummeriert, und zwar in der Reihenfolge, in der Sie sie ausgewählt haben. Falls Sie also Buch A und dann Buch B gewählt haben, wird Buch A die Seriennummer 1 besitzen und Buch B die Seriennummer 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Start der Nummerierung erzwingen bei "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "Serien werden üblicherweise von der für diese Serie höchsten Nummer in der Datenbank ausgehend neu nummeriert. Bei Aktivierung dieser Option wird Calibre die Nummerierung vom Wert des Eingabefeldes aus beginnen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "Der Betrag, um den die Seriennummern aufeinander folgende Bücher einer Serie erhöht wird.\nNur beim Erzwingen von Seriennummern anwendbar."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Die Aufzählung \"{0}\" enthält ungültige Werte, die nicht in der Liste erscheinen werden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Alle Schlagwörter entfernen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "hinzuzufügende Schlagwörter"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "zu entfernende Schlagwörter"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15485,11 +15500,11 @@ msgstr "Dies wird eine Weile dauern. Bit
 msgid "Vacuuming..."
 msgstr "Bereinigung wird durchgeführt …"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Bibliothek überprüfen -- Probleme gefunden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15553,79 +15568,84 @@ msgid ""
 "        "
 msgstr "<h1>Hilfe</h1>\n<p>Calibre speichert die Liste Ihrer Bücher sowie deren Metadaten in einer Datenbank. Die eigentlichen Buchdateien und Titelbilder werden als normale Dateien im Calibre-Ordner gespeichert. Die Datenbank beinhaltet eine Liste der Dateien und Titelbilder für jeden Bucheintrag.\nDieses Werkzeug überprüft, ob die Dateien im Bibliotheksordner Ihres Computers mit den Einträgen der Datenbank übereinstimmen.</p>\n<p>Das Ergebnis jeder Typenüberprüfung wird auf der linken Seite angezeigt.\nDie Überprüfungen sind im Einzelnen:\n</p>\n<ul>\n<li><b>Ungültige Titel</b>: Dies sind Dateien und Ordner, die in der Bibliothek anstelle von Buchtiteln auftreten, die aber nicht die korrekte Form eines Buchtitels haben.</li>\n<li><b>Zusätzliche Titel</b>: Dies sind zusätzliche Dateien in der Calibre-Bibliothek, die zwar eine korrekte Form, aber keinen zugehörigen Eintrag in der Datenbank haben.</li>\n<li><b>Ungültige Autoren</b>: Dies sind Dateien in der Bibliothek, die anstelle von Autorenordnern auftauchen.</li>\n<li><b>Zusätzliche Autoren</b>: Dies sind Ordner in der\nCalibre-Bibliothek, die zwar  als Autoren erscheinen, aber keinen Eintrag\nin der Datenbank haben</li>\n<li><b>Fehlende Buchformate</b>: Diese Buchformate sind zwar in der Datenbank, nicht jedoch als Datei im zugehörigen Ordner zu finden.</li>\n<li><b>Zusätzliche Buch-Formate</b>: Dies sind Buchformatdateien, die im Buchordner, nicht jedoch in der Datenbank gefunden wurden.</li>\n<li><b>Unbekannte Dateien bei Büchern</b>: Dies sind zusätzliche Dateien im Ordner jedes Buchs, die weder einem Buchformat noch einem Titelbild zuzuordnen sind.</li>\n<li><b>Fehlende Titelbilddateien</b>: Diese repräsentieren Bücher, bei denen in der Datenbank hinterlegt ist, dass sie Titelbilder besitzen, die zugehörigen Dateien jedoch fehlen.</li>\n<li><b>Titelbilddateien nicht in Datenbank</b>: Dies sind Bücher, die Titelbilddateien besitzen, bei denen jedoch in der Datenbank hinterlegt ist, dass sie keine haben.</li>\n<li><b>Ordnerausnahme</b>: Dies repräsentiert Ordner der Calibre-Bibliothek, die von diesem Werkzeug nicht verarbeitet oder verstanden wurden</li>\n</ul>\n<p>Es gibt zwei Arten der automatischen Reparatur: <i>Markierte löschen</i> und <i>Markierte reparieren</i>.</p>\n<p><i>Markierte löschen</i> wird genutzt, um zusätzliche Dateien, Ordner oder Titelbilder, die keine Einträge in der Datenbank haben, zu löschen. Wählen Sie das Markierungsfeld neben dem zu löschenden Element. Mit Vorsicht zu verwenden</p>\n<p><i>Markierte reparieren</i> kann nur auf Titelbilder und fehlende Formate angewendet werden (siehe Zeilen mit Markierung \"reparierbar\").\nBei fehlenden Titelbilddateien signalisiert das Markieren des \"Reparierbar\"-Markierungsfeldes und Anklicken dieser Schaltfläche Calibre, dass für sämtliche gelisteten Bücher keine Titelbilder vorhanden sind. Nutzen Sie diese Option, wenn Sie die Titelbilder nicht aus einer Datensicherung wiederherstellen.\nIm Fall zusätzlicher Titelbilder signalisiert das Markieren des \"Reparierbar\"-Markierungsfeldes und Anklicken dieser Schaltfläche Calibre, dass die gefundenen Titelbilddateien für alle gelisteten Bücher korrekt sind. Nutzen Sie diese Option, wenn wenn Sie die Datei(en) nicht löschen werden.\nIm Fall fehlender Formate signalisiert das Markieren des \"Reparierbar\"-Markierungsfeldes und Anklicken dieser Schaltfläche Calibre, dass die Formate endgültig verschwunden sind. Nutzen Sie diese Option, wenn Sie die Formate nicht von einer Datensicherung wiederherstellen werden.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "Überprüfung erneut ausfüh&ren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "In &Zwischenablage kopieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Fertig"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "&Alle zum Löschen markieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Alle löschbaren Unterelemente markieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "&Markierte löschen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Markierte Dateien löschen (ausgewählte Untereinträge)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Alle zum Reparieren mar&kieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Alle reparablen Elemente markieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "Markierte &reparieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Markierte Sektionen reparieren (ausgewählte reparierbare Einträge)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Zu ignorierende Namen:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Geben Sie kommagetrennte Platzhalter für Standarddateinamen ein, zum Beispiel synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Zu ignorierende Dateinamenerweiterungen:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Geben Sie durch Kommata getrennte Dateinamenerweiterungen ohne Punkt ein. Wird nur in Buchordnern benutzt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(reparierbar)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Pfad relativ zur Bibliothek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15675,8 +15695,8 @@ msgstr "Der Ort %s enthält die aktuelle
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Ungültiger Ort"
 
@@ -16232,46 +16252,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (war %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Element ist leer"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Ein Element kann nicht auf Nichts gesetzt werden. Löschen Sie es stattdessen."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Kein Element ausgewählt"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Sie müssen ein Element aus der Liste der verfügbaren Elemente auswählen."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Keine Elemente ausgewählt"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Sie müssen zumindest ein Element aus der Liste auswählen."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Sind Sie sicher, dass Sie die folgenden Elemente löschen möchten?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Kategorieeditor"
 
@@ -16280,7 +16300,7 @@ msgid "Items in use"
 msgstr "Elemente in Verwendung"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16295,11 +16315,11 @@ msgstr "Eintrag in jedem Buch umbenennen
 msgid "Ctrl+S"
 msgstr "Strg+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Dieses Buch enthält DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16327,7 +16347,7 @@ msgid "Already in calibre:"
 msgstr "Bereits in Calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16352,28 +16372,28 @@ msgid "Change case"
 msgstr "Groß-/Kleinschreibung ändern"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Großbuchstaben"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Kleinbuchstaben"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Groß-/Kleinschreibung vertauschen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16400,65 +16420,65 @@ msgstr "Ungültiger Autorenname"
 msgid "You cannot change an author to multiple authors."
 msgstr "Ein Autor kann nicht in mehrere Autoren geändert werden."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Autoren verwalten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Suchen nach:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Alle Werte für die Autorensortierung auf einen automatisch aus dem Autorfeld erzeugten Wert zurücksetzen. Wie dieser Wert exakt erzeugt wird, kann über Einstellungen → Erweitert → Optimierungen gesteuert werden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "Alle Werte der Autorensortierung neu be&rechnen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Für jeden Autor den Inhalt des Felds \"Autorensortierung\" in das Feld \"Autor\" kopieren.\nTypischerweise verwenden Sie diese Schaltfläche nach einer Änderung von Einstellungen → Erweitert → Optimierungen → Algorithmus für Autorennamensortierung"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "Alle Werte von \"Autorensortierung\" zu \"Autor\" &kopieren"
 
@@ -16791,77 +16811,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Verbleibende Fehlermeldung ausblenden"
 msgstr[1] "Verbleibende {} Fehlermeldungen ausblenden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Verarbeitung läuft"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "%d Bücher werden verarbeitet. Bitte warten …"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "Derzeitiger Fortschritt: %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Schritt %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Kleinbuchstaben"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Großbuchstaben"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Überschriftenschreibweise"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Zeichenabgleich"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Regulärer Ausdruck"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Feld ersetzen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Vorne an das Feld anfügen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Hinten an das Feld anhängen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Metainformationen für <b>%d Bücher</b> bearbeiten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Sofort alle Änderungen anwenden, ohne diesen Dialog zu schließen. Diese Aktion kann weder abgebrochen, noch rückgängig gemacht werden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Buch %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Erkennungstyp eingeben"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16869,7 +16889,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Sie können mit dieser Funktion Ihre Bibliothek zerstören.</b> Änderungen sind permanent, eine Rückgängig-Funktion existiert nicht. Es ist sehr empfehlenswert, die Bibliothek vorher zu sichern.<p>Suchen und Ersetzen in Textfeldern via Textsuche oder reguläre Ausdrücke. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16879,7 +16899,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16894,80 +16914,80 @@ msgid ""
 "function."
 msgstr "Im Modus \"Regulärer Ausdruck\" ist der Suchtext ein beliebiger, python-kompatibler regulärer Ausdruck. Der Ersetzungstext kann Rückreferenzen auf geklammerte Ausdrücke im Suchmuster enthalten. Die Suche ist nicht verankert und kann mehrere Vorkommen des Suchtextes im gleichen String finden und ersetzen. Modifikationsfunktionen (Kleinbuchstaben usw) werden auf den gefundenen Text angewandt, nicht auf das gesamte Feld. Das \"Zielfeld\" gibt das Feld an, dem das Ergebnis nach dem Ersetzen zugeordnet wird. Sie können den Text im Feld vollständig ersetzen oder den gefundenen Text vorne bzw. hinten anfügen. Siehe <a href=\"https://docs.python.org/library/re.html\"> diese Referenz</a> für weitere Informationen über Pythons reguläre Ausdrücke und insbesondere die 'sub'-Funktion."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R-Vorlagenfehler"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Sie müssten ein Ziel definieren, wenn die Quelle eine Vorlage oder ein zusammengesetztes Feld ist"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Der neue Wert für die Bewertungsspalte muss leer oder eine ganze Zahl zwischen 0 und 10 sein"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Ein Zielerkennungstyp muss angeben werden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Sie müssen einen Suchausdruck für das \"Suchen nach\" Feld angeben"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Ungültige Identifikationszeichenkette. Sie muss aus einer durch Kommata getrennten Liste von jeweils zwei Zeichenketten bestehen, die durch einen Doppelpunkt getrennt sind"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Suchen/Ersetzen-Definition ungültig"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Suchen/Ersetzen-Definition ungültig: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Gespeicherte Suchen/Ersetzen-Definition löschen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Die ausgewählte Suchen/Ersetzen-Definition wird gelöscht. Sind Sie sicher?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Suchen/Ersetzen-Definition speichern"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Name Suchen/Ersetzen-Definition:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Die gespeicherte Suchen/Ersetzen-Definition existiert bereits und wird daher ersetzt. Sind Sie sicher?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Metainformationen bearbeiten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr "Datum an&wenden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16975,90 +16995,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Das führt dazu, dass das Feld \"Autorensortierung\" automatisch auf Basis des Feldes \"Autor(en)\" für jedes gewählte Buch aktualisiert wird.\nBeachten Sie, dass das Feld \"Autorensortierung\" unabhängig vom Wert dieses Markierungsfelds aktualisiert wird, wenn Sie mithilfe der Steuerelemente oben mehrere Autoren gleichzeitig ändern."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "A&utorensortierung automatisch festlegen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "Titel und Autor &tauschen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Titelsortierung basierend auf dem derzeitigem Titel aktualisieren. Dies wird erst nach weiteren Änderungen des Titels angewandt."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "&Titelsortierung aktualisieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Titelbild &ändern"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "Standardtitelbild &erzeugen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "Titelbild entfe&rnen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Versuchen, automatisch Seitenränder und überflüssige Leerräume an Titelbilderrändern zu erkennen und zu entfernen.\nDiese Option kann manchmal zu viel entfernen, ist also mit Vorsicht zu verwenden."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "Titelbild &zuschneiden (GEFÄHRLICH)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "Aus &eBook-Dateien festlegen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Titelbilder des ersten ausgewählten Buchs für alle ausgewählten Bücher festlegen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "Titelbilder &klonen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Titel in (englischer) Überschriftenschreibweise erzwingen. Falls dies gleichzeitig mit \"Titel und Autoren tauschen\" ausgewählt ist, werden Titel und Autor vor Festlegen der Überschriftenschreibweise getauscht"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Übers&chriftenschreibweise ändern in:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Datum:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Falls ausgewählt, wird der Verlag entfernt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "Verlag en&tfernen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "Ver&öffentlicht:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17066,118 +17086,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Wenn nicht ausgewählt, wird die Seriennummer der Bücher auf 1 gesetzt.\nWenn ausgewählt, werden die Bücher automatisch in der Reihenfolge, in der\nsie ausgewählt wurden, nummeriert. Wenn Sie also zuerst Buch A und dann\nBuch B ausgewählt haben, wird A die Nummer 1 und B die Nummer 2 haben."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Bücher in dieser Serie &automatisch nummerieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Serien werden üblicherweise von der für diese Serie höchsten Nummer in der\nDatenbank ausgehend nummeriert. Bei Wahl dieser Option wird Calibre die\nNummerierung vom Wert des Eingabefeldes aus starten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "Start der &Nummerierung mit:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Falls ausgewählt, wird der \"Serien\"-Eintrag entfernt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "Bu&chserie entfernen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Einstellen, wie die Standardtitelbilder generiert werden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Titelbilder&zeugung konfigurieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Ko&mmentare für alle ausgewählten Bücher festlegen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "Schlagwörter entfe&rnen:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "&Alle entfernen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Schlagwörter hinzufü&gen: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Geben Sie an, wie der Autor dieses Buches sortiert werden soll. \"Charles Dickens\" zum Beispiel als \"Dickens, Charles\"."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "Bewertung &anwenden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Veröffentlichungsdatum entfernen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Sprachen:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Kommagetrennte Liste der aus dem Buch zu entfernenden Schlagwörter. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Schlagworteditor öffnen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Autorens&ortierung:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Geben Sie die Metadaten in Calibre aus den Metadaten der eBook-Dateien für jedes Buch an. Beachten Sie, dass sich dadurch das Titelbild nicht ändert. Verwenden Sie dazu die separate Option unten."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "&Metadaten (außer Titelbild) aus eBook-Dateien übernehmen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Ser&ien:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Gespeicherte Konvertierungseinstellungen für die ausgewählten Bücher löschen.\n\nFür zukünftige Konvertierungen dieser Bücher werden die Standardeinstellungen verwendet."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Ge&speicherte Konvertierungseinstellungen für die ausgewählten Bücher löschen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17186,152 +17206,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Wenn eine Konvertierung in dasselbe Format, das jetzt schon vorhanden ist, stattfindet, z. B. EPUB nach EPUB, speichert Calibre die Originaldatei als ORIGINAL_EPUB. Diese Option lässt Calibre das EPUB von ORIGINAL_EPUB wiederherstellen. Nützlich, wenn Sie eine große Anzahl an Büchern gleichzeitig konvertieren und dabei etwas schief gegangen ist."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Falls verfügbar, die Ursprungsf&ormate wiederherstellen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Auswählen, um alle Schlagwörter von den Büchern zu entfernen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "Bewe&rtung:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Grundmetadaten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Ben&utzerdefinierte Metadaten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "Suchen/Ersetzen &laden:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Zu ladende Suchen/Ersetzen-Definition auswählen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Derzeitige Suchen/Ersetzen-Definition speichern"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Speichern"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Such&feld:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Name des zu durchsuchenden Feldes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Such&modus:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Auswählen, ob ein einfacher Textabgleich oder ein fortgeschrittener Abgleich mittels regulären Ausdrücken verwendet werden soll"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "&Kennungstyp:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Kennungstyp als Arbeitsgrundlage auswählen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Vorlage:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Geben Sie eine Vorlage ein, die als Quelle für die Suchen/Ersetzen-Definition verwendet werden soll"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Geben Sie ein, wonach Sie suchen - abhängig vom Modus entweder unformatierter Text oder einen regulären Ausdruck"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Aktivieren, falls die Suchzeichenkette der exakten Groß-/Kleinschreibung entsprechen soll. Deaktivieren, falls diese ignoriert werden soll."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Groß-/Kl&einschreibung beachten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "E&rsetzen durch:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Der Ersetzungstext. Der übereinstimmende Suchtext wird durch diese Zeichenkette ersetzt."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "Funktion nach Ersetzen &anwenden:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Geben Sie an, wie der Text nach dem Abgleichen und Ersetzen verarbeitet werden soll. Im Zeichenmodus\nwird das gesamte Feld verarbeitet, im Modus \"Regulärer Ausdruck\" wird nur der übereinstimmende Text verarbeitet."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "Zielfel&d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Das Feld, in das der Text nach allen Ersetzungen eingefügt wird.\nWird das Feld leer gelassen, wird das Quellfeld genutzt, sofern dieses veränderbar ist"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "M&odus:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Bestimmen Sie, wie der Text in das Zielfeld geschrieben wird."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Gibt an, ob die Ergebnisse in mehrere Werte getrennt oder als\neinzelne Werte belassen werden sollen. Diese Option hat den größten Einfluss,\nwenn das Quellfeld keine multiplen Werte erlaubt, das Zielfeld jedoch schon"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "E&rgebnis aufteilen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Kennungstyp:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17339,48 +17359,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Wählen Sie, mit welcher Art der Kennungs(ID) gearbeitet werden soll.\n              Wenn das Quellfeld anders ist, als \"Kennungen\",\n              können SIe ein * eingeben. Damit wird der ganze Kennungs-Satz\n              mit den Ergebnissen aus Suchen/Ersetzen ausgetauscht.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Bei Feldern mit mehreren &Werten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "Wer&te startend bei"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ", mit Werten getrennt &durch"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Verwendet zur Anzeige der Testergebnissen, um Werte in Feldern mit Mehrfachwerten zu trennen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Testtext"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Testergebnis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Ihr &Test:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Suchen und Ersetzen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Falls aktiviert, wird die Buchliste neu sortiert und alle vorhandenen Suchen oder virtuelle Bibliotheken nach Abschluss der Bearbeitung aktualisiert.\nDas kann bei großen Bibliotheken lange dauern."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "Bücherliste nach Bearbeitung aktualisie&ren"
 
@@ -18009,7 +18029,7 @@ msgstr "Ungültige gespeicherte Suche"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Gespeicherte Suchen verwalten"
 
@@ -18669,76 +18689,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Die aktuelle Schlagwortkategorie wird <b>dauerhaft gelöscht</b>. Sind Sie sicher?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Editor für Benutzerkategorien"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "Kategorie&name: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Kategorie zur Bearbeitung auswählen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "&Kategoriefilter: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Inhaltsart der neuen Kategorie auswählen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Neue Kategorie hinzufügen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Aktuelle Kategorie entsprechend des Feldinhalts umbenennen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "Verfügb&are Elemente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Schlagwörter auf die aktuelle Schlagwortkategorie anwenden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "Übernommene &Einträge"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Schlagwort aus aktueller Schlagwortkategorie entfernen"
 
@@ -18770,121 +18790,121 @@ msgid ""
 "to delete them?"
 msgstr "Die folgenden Schlagwörter werden von einem oder mehreren Büchern verwendet. Sind Sie wirklich sicher, dass Sie diese löschen möchten?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Anzahl"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "War"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Möchten Sie Ihre Änderungen wirklich rückgängig machen?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Element wiederherstellen?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Dieses Element ist gelöscht. Möchten Sie es wiederherstellen?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Strg+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Strg+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Löschungen oder Änderungen bei den ausgewählten Zeilen rückgängig machen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Strg+U"
 
@@ -19765,17 +19785,17 @@ msgstr "Layout"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Anzeigen und Verstecken verschiedener Teile des Calibre-Hauptfensters"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Kein %s-Format"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Das Buch {0} hat nicht das {1}-Format"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "%s wiederherstellen"
@@ -20056,21 +20076,11 @@ msgstr "Buch %(sidx)s von <span class=\"
 msgid "This book is on the device in %s"
 msgstr "Buch ist im %s des Geräts"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Datum auf undefiniert setzen"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Datum auf heute festlegen"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Auf nicht definiert setzen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "J"
 
@@ -20414,7 +20424,7 @@ msgid ""
 msgstr "Der Pfad zu Calibre Portable (%s) ist zu lang. Er muss aus weniger als 59 Zeichen bestehen."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre-Bibliothek"
 
@@ -20577,6 +20587,16 @@ msgstr "&Beenden"
 msgid "Unhandled exception"
 msgstr "Unbehandelter Ausnahmefehler"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Datum auf undefiniert setzen"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Datum auf heute festlegen"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20856,7 +20876,7 @@ msgstr "&Verlag:"
 msgid "Clear publisher"
 msgstr "Verlag entfernen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Datum entfernen"
 
@@ -20926,7 +20946,7 @@ msgid "Processed %s"
 msgstr "Verarbeitet %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Herunterzuladende Metadatenfelder"
 
@@ -21687,13 +21707,13 @@ msgid "&Automatic adding"
 msgstr "&Automatisches Hinzufügen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Hoch"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Niedrig"
 
@@ -21718,80 +21738,80 @@ msgstr "Alles auf einem Tab"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Alle Bestätigungsdialoge wurden zurückgesetzt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Benachrichtigen, wenn eine &neue Version verfügbar ist"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Geladene &Nachrichten automatisch an eBook-Reader senden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "Auftrags&priorität:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Bevorzugte Reihenfolge der &Quellformate:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Bev&orzugtes Zielformat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "Metadaten&layout (einzeln) bearbeiten:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Wenn diese Option ausgewählt ist, können die Werte von Ja/Nein-Spalten Ja, Nein \noder Unbekannt sein. Wenn nicht, können sie die Werte Ja oder Nein annehmen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "&Ja/Nein-Spalten besitzen 3 Werte (Neustart erforderlich)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "Nachrichten nach automatischer Übertragung auf das Gerät aus Bibliothek &löschen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Standard-Zei&tüberschreitung für Netzwerkverbindungen:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Standard-Zeitüberschreitung für Netzwerkabrufe festlegen (gilt immer dann, wenn aus dem Internet Informationen abgerufen werden sollen)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " Sekunden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Alle deaktivierten Bestätigungsdialoge zurü&cksetzen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Internen &Betrachter verwenden für:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Anzuwendende virtuelle Bibliothek, wenn aktuelle Bib&liothek geöffnet wird:"
 
@@ -22780,37 +22800,37 @@ msgid ""
 " effect.\n"
 msgstr "Diese Ausdrücke in die Zwischenablage kopieren, in einen Editor einfügen, dann USER_DEVICE auswählen, indem das Gerät unter Einstellungen → Erweitert → Erweiterungen angepasst wird. Denken Sie daran, auch den Ordner, in den die Bücher geladen werden sollen, anzugeben. Calibre muss neu gestartet werden, damit die Änderungen wirksam werden.\n"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Eine E-Mail-Adresse hinzufügen, an die die Bücher gesendet werden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "E-M&ail hinzufügen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Als Standard verwen&den"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "E-Mail entfe&rnen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Kommentare aus den Metadaten des Buches zur E-Mail hinzufügen.\nSo kann der Empfänger die Zusammenfassung des Buches lesen, bevor er es öffnet."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "&Kommentar-Metadaten als Text zur E-Mail hinzufügen"
 
@@ -22947,7 +22967,7 @@ msgid "Create a new rule"
 msgstr "Neue Regel erstellen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23085,7 +23105,7 @@ msgid "If there is enough room"
 msgstr "Falls genug Platz ist"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Nach Anfangsbuchstaben"
 
@@ -23356,7 +23376,7 @@ msgid "Caching of covers for improved pe
 msgstr "Titelbilder zur Leistungssteigerung zwischenspeichern"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Deaktivieren"
 
@@ -23751,86 +23771,86 @@ msgstr "Keine Quelle ausgewählt"
 msgid "No source selected, cannot configure."
 msgstr "Keine Quelle ausgewählt, Konfigurieren nicht möglich."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Metadatenquellen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Quellen mit einem roten X neben ihrem Namen müssen vor ihrer Verwendung konfiguriert werden. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "Ausgewählte Quelle k&onfigurieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Falls Sie Felder abwählen, werden die Metadaten für diese Felder nicht heruntergeladen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "Alle au&swählen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Wiederherstellen Ihrer eigenen Zusammenstellung gewählter Felder, die Sie durch die Schaltfläche \"Als Standard speichern\" festlegen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Speichern der aktuell gewählten Felder als Standardeinstellung, die Sie mit der Schaltfläche \"Standard auswählen\" schnell wiederherstellen können"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "Als &Standard festlegen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Alle heruntergeladenen Kommentare in Klar&text konvertieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "&Autorennamen von \"Vorname Nachname\" zu \"Nachname, Vorname\" tauschen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Beim Herunterladen von Kommentaren die heruntergeladenen Kommentare an eventuell bereits existierende Kommentare anhängen, anstatt diese zu überschreiben."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "Beim Herunterladen von Kommentaren die heruntergeladenen Kommentare an eventuell bereits existierende Kommentare anhängen, anstatt diese zu überschreiben."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Kommentare an bereits vorhand&ene anhängen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23839,47 +23859,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "Mehr als ein Eintrag je Quelle behalten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Verschiedene Metadatenquellen beinhalten unterschiedliche Schlagwortgruppen für das gleiche Buch. Wenn diese Option ausgewählt ist, wird Calibre die kleineren Schlagwortgruppen verwenden. Diese beschreiben eher Genres, während umfangreiche Schlagwortgruppen eher den Buchinhalt beschreiben.\n<p>Beachten Sie, dass diese Option nur einen praktischen Unterschied macht, wenn eine der Metadatenquellen genreartige Schlagwortgruppen für das entsprechende Buch beinhaltet. Meistens haben jedoch alle Quellen umfangreiche Schlagwortgruppen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Kleinere Schlagwortsammlungen beim Auswählen von Schlagwörtern aus unterschiedlichen Metadatenquellen bevorzugen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "&Weniger Schlagwörter bevorzugen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "&Regeln zum Filtern/Umwandeln von Schlagwörtern erstellen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "Regeln zum &Umwandeln von Autorennamen erstellen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "Max. A&nzahl herunterzuladender Schlagwörter:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Max. War&tezeit nach Finden der ersten Übereinstimmung:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr "s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Max. Wartezeit nach Finden des ersten &Titelbildes:"
 
@@ -25425,7 +25445,7 @@ msgid "Paste and &search"
 msgstr "Einfügen und &Suchen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Einfügen"
@@ -26451,150 +26471,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr "Gefundenen Eintrag anklicken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Symbol ändern für: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "%s umbenennen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "%s löschen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Sortierung für %s bearbeiten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Verweis für %s bearbeiten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "%s zu Benutzerkategorie hinzufügen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Untergeordnete Einträge von %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "%(item)s von Kategorie %(cat)s entfernen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Nach allem außer %s suchen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "Mit gespeichertem Suchausdruck suchen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Unterkategorie zu %s hinzufügen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Benutzerkategorie %s löschen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Kategorie \"%s\" ausblenden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Kategorie anzeigen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Bücher in der Kategorie \"%s\" suchen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Bücher außerhalb der Kategorie \"%s\" suchen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Kategoriesymbol ändern"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Standardsymbol wiederherstellen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Benutzerkategorien verwalten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Alle Kategorien anzeigen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Schema für die Unterkategorisierung ändern"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Unterteilen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Erster Buchstabe ist nur beim Sortieren nach Name verwendbar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "Alle untergeordneten Einträge aufklappen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Alle Ebenen einklappen"
 
@@ -27264,7 +27284,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Ungespeicherte Änderungen"
 
@@ -27671,12 +27691,12 @@ msgid ""
 msgstr "Die Datei %s existiert nicht. Versuchen Sie, das Element im Inhaltsverzeichnis zuvor mit der rechten Maustaste und \"Aktualisieren\" zu aktualisieren."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Dateiformat wird nicht unterstützt"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "Bearbeitung von %s-Dateien wird nicht unterstützt"
@@ -27734,76 +27754,76 @@ msgid "Import"
 msgstr "Importieren"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Vor: %s ersetzen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Um den Bericht anzuzeigen, muss zuerst ein Buch geöffnet werden."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Sie müssen zuerst ein Buch öffnen, um Verweise zu überprüfen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Sie müssen zuerst ein Buch öffnen, um Bilder zu komprimieren."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Vor: Bilder komprimieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Unerwarteter Fehler"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Komprimieren der Bilder fehlgeschlagen. Für weitere Informationen \"Details anzeigen\" anklicken."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Decodieren nicht möglich"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "%s kann nicht bearbeitet werden, da es in einer unbekannten Zeichencodierung vorzuliegen scheint."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Momentan ist kein Buch geöffnet. Sie müssen zuerst ein Buch zur Bearbeitung öffnen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "Das aktuelle Buch wird im Hintergrund gespeichert. <b>Wenn Sie jetzt abbrechen, wird der Speichervorgang abgebrochen</b>! Soll der Speichervorgang erst abgeschlossen werden?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "Sofort &beenden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "&Speichervorgang zuerst abschließen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Es gibt ungespeicherte Änderungen. Wenn Sie ohne zu Speichern beenden, verlieren Sie diese."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Speichern und beenden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "Ohne Speichern &beenden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Wird gespeichert. Bitte warten …"
 
@@ -31206,18 +31226,18 @@ msgstr[1] "{} deaktivierte Bestätigungs
 msgid "Disabled confirmations restored"
 msgstr "Deaktivierte Bestätigungsdialoge wiederhergestellt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr "Renderprozess ist abgestürzt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31231,70 +31251,70 @@ msgid ""
 "            "
 msgstr "\n<h3>Echtzeitvorschau</h3>\n\n<p>Hier werden Sie eine Echtzeitvorschau der gerade bearbeiteten HTML-Datei sehen. Die Vorschau wird bei Veränderungen automatisch aktualisiert.\n\n<p style=\"font-size:x-small; color: gray\">Dies ist lediglich eine Schnellvorschau, die nicht dazu gedacht ist, einen tatsächlichen eBook-Reader zu simulieren. Einige Aspekte Ihres eBooks werden nicht funktionieren, wie z. B. Seitenumbrüche und Blattränder."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Element untersuchen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Verweis öffnen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "%s bearbeiten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "In Vorschau suchen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Ungültige Adresse"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Kann nicht am \"body\"-Schlagwort geteilt werden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Fehler beim Start des Arbeitsprozesses"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Start des Arbeitsprozesses für die Vorschauanzeige fehlgeschlagen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Kann nicht deaktiviert werden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Das automatische Aktualisieren des Vorschaubereichs kann nicht deaktiviert werden, während der Echtzeit-CSS-Bereich geöffnet ist."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Vorschau automatisch aktualisieren, wenn im Editor Textänderungen vorgenommen werden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Automatische Vorschauaktualisierung deaktivieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Synchronisation der Vorschauposition zur Editorposition deaktivieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Synchronisation der Vorschauposition zur Editorposition aktivieren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Datei teilen abbrechen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34242,13 +34262,13 @@ msgstr "Buch konnte nicht geladen werden
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Buch konnte nicht geöffnet werden: {0}. \"Details anzeigen\" anklicken für weitere Informationen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Der Renderprozess der Qt WebEngine ist abgestürzt. Bitte versuchen Sie, den Betrachter neu zu starten."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "Hintergrundbild auswählen"
 
@@ -34283,30 +34303,30 @@ msgstr "{} ausblenden"
 msgid "Show {}"
 msgstr "{} anzeigen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "&Farbe auswählen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Wählen Sie eine Farbe"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "&Ausschneiden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "&Schritt aufwärts"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "Schritt a&bwärts"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Nicht bewertet"
 
@@ -34360,44 +34380,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Wählen Sie Ihr Lesegerät. Ist Ihr Gerät nicht in der Liste enthalten, so wählen Sie ein \"%s\"-Gerät."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "Falls Sie Calibre von einem alten auf einen neuen Computer verschieben, lesen Sie bitte <a href=\"{0}\">die Anweisungen</a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Speicherort für Bücher wählen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Ordnererstellung in %s gescheitert"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Sie müssen für die Calibre-Bibliothek einen leeren Ordner wählen. %s ist nicht leer."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Weiter >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Zurück"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34405,15 +34429,15 @@ msgstr "< &Zurück"
 msgid "Cancel"
 msgstr "Abbrechen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Fertigstellen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Anwenden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Willkommensassistent"
 
@@ -34421,7 +34445,7 @@ msgstr "Willkommensassistent"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Willkommen bei Calibre"
@@ -34429,7 +34453,7 @@ msgstr "Willkommen bei Calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Die Komplettlösung für Ihre eBook-Bedürfnisse."
@@ -34444,7 +34468,7 @@ msgstr "&Geräte"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Assistentenseite"
@@ -34482,17 +34506,17 @@ msgstr "<p>Calibre kann Bücher automati
 msgid "&Kindle email:"
 msgstr "&Kindle-E-Mail:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Wäh&len Sie Ihre Sprache:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Wählen Sie einen Ort für Ihre Bücher. Wenn Sie Bücher zu Calibre hinzufügen, werden diese hierher kopiert. Benutzen Sie einen <b>leeren Ordner</b> für eine neue Calibre-Bibliothek:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37078,6 +37102,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "Unbenanntes Bild"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/el.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/el.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/el.po	2020-07-02 04:03:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/el.po	2020-07-16 16:41:31.000000000 +0000
@@ -25,8 +25,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
@@ -224,7 +224,7 @@ msgstr "Δεν κάνει απολύτω
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -236,12 +236,12 @@ msgstr "Δεν κάνει απολύτω
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1151,9 +1151,9 @@ msgstr "Κατάλογος"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1178,7 +1178,7 @@ msgstr "Η διαδρομή για τη
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1240,7 +1240,7 @@ msgstr "Αποθηκευμένες Αν
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2853,8 +2853,8 @@ msgstr "Λήψη καταλόγου τω
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2863,8 +2863,8 @@ msgstr "Αφαίρεση βιβλίων
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3207,7 +3207,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Επεξεργασία προτύπου"
@@ -3320,7 +3320,7 @@ msgid "Communicate with MTP devices"
 msgstr "Επικοινωνία με  συσκευές MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Λήψη των στοιχείων της συσκευής"
@@ -3347,8 +3347,8 @@ msgid "Finished reading metadata from de
 msgstr "Ολοκλήρωση ανάγνωσης μεταδεδομένων από συσκευή"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3736,61 +3736,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Πολλές προσπάθειες σύνδεσης από %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Η εφαρμογή στη συσκευή σας είναι παρωχημένη, και δεν υποστηρίζεται πια. Ενημερώστε την σε μια νεώτερη έκδοση."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Έχεις μορφές βιβλίων στη βιβλιοθήκη σου με μελλοντικές ημερομηνίες. Κοίτα στο calibre για λεπτομέρειες"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Αποτυχία σύνδεσης στη θύρα %d. Δοκιμάστε κάποια άλλη τιμή."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Αποτυχία καταμερισμού τυχαίας θύρας"
 
@@ -6224,7 +6235,7 @@ msgstr "Εξαγωγή συνηθισμ
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Όχι"
 
@@ -6247,7 +6258,7 @@ msgid "Producer"
 msgstr "Παραγωγός"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6513,103 +6524,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "εικόνες Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Λήψη μεταδεδομένων και  εξώφυλλων από το Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "ΗΠΑ"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Γαλλία"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Γερμανία"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Ηνωμένο Βασίλειο"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Αυστραλία"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Ιταλία"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Ιαπωνία"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Ισπανία"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Βραζιλία"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Ολλανδία"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Κίνα"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Καναδάς"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Αυτόματη επιλογή διακομιστή"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "διακομιστές Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Ποιας χώρας την ιστοσελίδα Amazon να χρησιμοποιεί:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Τα μεταδεδομένα από το Amazon θα ληφθούν χρησιμοποιώντας την ιστοσελίδα του Amazon της κάθε χώρας."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Ο διακομιστής από τον οποίο θα πάρετε δεδομένα:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Η Amazon έχει αρχίσει να παρεμποδίζει προσπάθειες λήψης μεταδεδομένων από τους διακομιστές της. Για να παρακάμψει το πρόβλημα αυτό, το calibre μπορεί να πάρει δεδομένα από την Amazon από πολλές διαφορετικές τοποθεσίες στις οποίες βρίσκονται αποθηκευμένα. Επιλέξτε την πηγή που προτιμάτε."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Χρήση του MOBI-ASIN για αναζήτηση μεταδεδομένων"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6617,7 +6628,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr "Ενεργοποιήστε την επιλογή αυτή για αναζήτηση μεταδεδομένων  βάσει αναγνωριστικού ASIN από το αρχείο MOBI στην ιστοσελίδα του καταστήματος της τρέχουσας χώρας, εκτός και αν κάποιο άλλο αναγνωριστικό amazon είναι διαθέσιμο. Σημειώστε πως αν το αρχείο MOBI προήλθε από κατάστημα Amazon άλλης χώρας, μπορείτε να πάρετε εσφαλμένα αποτελέσματα."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8506,7 +8517,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8984,7 +8995,7 @@ msgstr "Ο φάκελος %s υπάρχ
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9029,7 +9040,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9081,7 +9092,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9236,7 +9247,7 @@ msgid "Browse for library"
 msgstr "Περιήγηση στη βιβλιοθήκη"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Αντιγραφή"
@@ -9276,7 +9287,7 @@ msgstr "{0} μέσω {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Επιλογή όλων"
 
@@ -10172,7 +10183,7 @@ msgid "Move to next highlighted match"
 msgstr "Μετακίνηση στην επόμενη επισημασμένη εγγραφή"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "Ν"
 
@@ -10774,7 +10785,7 @@ msgid "this book"
 msgstr "αυτό το βιβλίο"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Αναζήτηση για %s"
@@ -10985,7 +10996,7 @@ msgstr "&Προεπισκόπηση βι
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11433,8 +11444,8 @@ msgstr "Αλλαγή"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11563,42 +11574,47 @@ msgid "Search the internet for this book
 msgstr "Διαδικτυακή αναζήτηση για το βιβλίο αυτό"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Διαχείριση %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Διαγραφή μορφής %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Αποθήκευση της μορφής %s στο δίσκο"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Επαναφορά της μορφής %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Βάλε ως εξώφυλλο αυτό που έχει το αρχείο %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Σύγκριση με τη μορφή %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11607,112 +11623,112 @@ msgstr "Σύγκριση με τη μο
 msgid "Open %s with..."
 msgstr "Άνοιξε το %s με..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Προσθήκη άλλης εφαρμογής για αρχεία %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Επεξεργασία του Άνοιγμα με εφαρμογές..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Επεξεργασία %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "Αντιγραφή της &διαδρομής του αρχείου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Αναζήτηση στο calibre για %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Αντιγραφή διαδρομής"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Αφαίρεση %s από αυτό το βιβλίο"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "&Αντιγραφή όλων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Αντιγραφή θέσης συνδέσμου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Άνοιγμα εξωφύλλου με..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Προσθήκη άλλης εφαρμογής για άνοιγμα του εξώφυλλου..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Επικόλληση εξωφύλλου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Αντιγραφή εξωφύλλου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Αποθήκευση εξωφύλλου στο δίσκο"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Αφαίρεση εξωφύλλου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Δημιουργία εξωφύλλου από τα μεταδεδομένα"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "εικόνες JPEG"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Διπλό κλικ για να ανοίξετε το παράθυρο λεπτομερειών βιβλίου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Διαδρομή"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11720,7 +11736,7 @@ msgstr "Διαδρομή"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Μέγεθος εξωφύλλου: %(width)d x %(height)d πίξελ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Επεξεργασία αναγνωριστικών για το βιβλίο αυτό"
 
@@ -11789,7 +11805,7 @@ msgstr "έξοδος"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11807,11 +11823,11 @@ msgstr "έξοδος"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11950,7 +11966,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Πρέπει να δώσετε ένα όνομα."
 
@@ -11985,7 +12001,7 @@ msgstr "Αληθές"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12032,8 +12048,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Διαγραφή"
 
@@ -12145,22 +12161,22 @@ msgstr "Επαναφορά προεπι
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12388,7 +12404,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12863,10 +12879,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " σημ"
@@ -13298,7 +13314,7 @@ msgid "Change the title of this book"
 msgstr "Αλλαγή του τίτλου αυτού του βιβλίου"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Συγγραφέας(εις)"
 
@@ -13313,7 +13329,7 @@ msgid ""
 msgstr "Αλλαγή του συγγραφέα (ή των συγγραφέων) του βιβλίου. Πολλαπλοί συγγραφείς πρέπει να διαχωρίζονται με κόμμα"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "Ε&κδότης:"
 
@@ -13322,7 +13338,7 @@ msgid "Ta&gs: "
 msgstr "Ετ&ικέτες:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13337,8 +13353,8 @@ msgstr "Σει&ρές:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Κατάλογος γνωστών σειρών. Μπορείτε να προσθέσετε νέες σειρές."
@@ -13405,45 +13421,45 @@ msgstr "Μέγεθος οθόνης: %s"
 msgid "Page setup"
 msgstr "Διαμόρφωση σελίδας"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Περίγραμμα &εξαγομένων:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Περίγραμμα ε&ισόδου:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Περιθώρια"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Αριστερά:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "απαράλλαχτο"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Πάνω:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Δεξιά:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Κάτω:"
@@ -13789,7 +13805,7 @@ msgid "Edit the currently selected expre
 msgstr "Επεξεργασία της τρέχουσας επιλεχθείσας έκφρασης"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "Αλλα&γή"
 
@@ -14615,74 +14631,73 @@ msgstr "Επιλέξτε αρχείο γ
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Μη ορισμένο"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Θέστε την '%s' στη σημερινή μέρα"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Καθαρισμός '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Οι τιμές μεταβλήθηκαν"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr " Έχετε αλλάξει τις τιμές. Για να μπορέσετε να χρησιμοποιήσετε τον επεξεργαστή, πρέπει είτε να απορρίψετε, είτε να εφαρμόσετε αυτές τις αλλαγές. Να εφαρμοστούν οι αλλαγές;"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr "περιεχόμενα:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Η απαρίθμηση \"{0}\" περιέχει μια αντικανονική τιμή που θα πάρει την προεπιλεγμένη της τιμή"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Εφαρμογή αλλαγών"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Καθαρισμός σειράς"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Αυτόματη αρίθμηση βιβλίων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14690,44 +14705,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "Αν δεν επιλεγεί, θα θέσει ως δείκτη σειράς για τα βιβλία το 1. Αν επιλεγεί, τα επιλεγμένα βιβλία θα αριθμηθούν αυτομάτως, με βάση τη σειρά που τα επιλέξατε. Έτσι, αν επιλέξατε το Βιβλίο Α και μετά το Βιβλίο Β, το Βιβλίο Α θα έχει δείκτη σειράς 1, ενώ το Βιβλίο Β θα έχει δείκτη σειράς 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Επιβολή τιμής εκκίνησης σε"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "Οι σειρές κανονικά συνεχίζουν την αρίθμηση ξεκινώντας με τον μεγαλύτερο αριθμοδείκτη που υπάρχει στη βάση δεδομένων για τη σειρά αυτή. Επιλέγοντας το κουτί αυτό, μπορείτε να κάνετε το calibre να ξεκινήσει την αρίθμηση από την τιμή που εισάγετε στο κουτί"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "Το ποσό με το οποίο θα αυξάνεται ο δείκτης σειράς για κάθε\nεπόμενο βιβλίο. Εφαρμόζεται μόνο όταν γίνεται επιβολή τιμής\nεκκίνησης στις σειρές."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Αφαίρεση όλων των ετικετών"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "Προσθήκη ετικετών"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "Ετικέτες προς αφαίρεση"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15433,11 +15448,11 @@ msgstr "Θα πάρει λίγο χρό
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Έλεγχος βιβλιοθήκης - Βρέθηκαν προβλήματα"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15501,79 +15516,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Να ξαναγίνει έλεγχος"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Αντιγραφή &στο πρόχειρο"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "Έ&γινε"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Επισήμ&ανση όλων για διαγραφή"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Διαγραφή επιση&μασμένων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15623,8 +15643,8 @@ msgstr "Η τοποθεσία %s περ
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Κακή τοποθεσία"
 
@@ -16180,46 +16200,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (ήταν %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Το στοιχείο είναι κενό"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Δεν γίνεται να θέσετε ένα στοιχείο στο τίποτα. Διαγράψτε το."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Κανένα επιλεγμένο αντικείμενο"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Δεν υπάρχει επιλεγμένο στοιχείο"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Πρέπει να επιλέξετε τουλάχιστον ένα στοιχείο από τη λίστα."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Είστε σίγουρος/η ότι θέλετε να διαγράψετε τα ακόλουθα στοιχεία;"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Επεξεργαστής κατηγοριών"
 
@@ -16228,7 +16248,7 @@ msgid "Items in use"
 msgstr "Στοιχεία σε χρήση"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16243,11 +16263,11 @@ msgstr "Μετονομασία του σ
 msgid "Ctrl+S"
 msgstr "Ctrl+Ε"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Αυτό το βιβλίο έχει λογισμικό διαχείρισης ψηφιακών δικαιωμάτων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16275,7 +16295,7 @@ msgid "Already in calibre:"
 msgstr "Υπάρχει ήδη στο calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16300,28 +16320,28 @@ msgid "Change case"
 msgstr "Εναλλαγή Κεφαλαία-Μικρά"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Κεφαλαία"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Πεζά"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Ανταλλαγή πεζών-κεφαλαίων"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16348,65 +16368,65 @@ msgstr "Μη έγκυρο όνομα σ
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Διαχείριση συγγραφέων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Αναζήτηση για:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Επαναφορά όλων των πεδίων ταξινομημένου συγγραφέα\nσε τιμές που δημιουργούνται αυτόματα από τα δεδομένα του\nαντίστοιχου συγγραφέα. Το πως ακριβώς δημιουργούνται με\nαυτόματο τρόπο οι τιμές αυτές μπορεί να ρυθμιστεί στο:\nΠροτιμήσεις -> Για προχωρημένους: Προσαρμογές"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "Επανυπολογισμός όλων των εγγ&ραφών ταξινομημένου συγγραφέα"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Αντιγραφή του πεδίου ταξινομημένου συγγραφέα στο πεδίο\nτου συγγραφέα για κάθε εγγραφή. Αυτό το κουμπί τυπικά\nχρησιμοποιείται όταν αλλάξει ο αλγόριθμος στο:\nΠροτιμήσεις -> Για προχωρημένους:Προσαρμογές ->\nΑλγόριθμος ταξινόμησης ονομάτων συγγραφέων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "Αντιγραφή όλων των εγγραφών τα&ξινομημένου συγγραφέα στις αντίστοιχες εγγραφές συγγραφέα "
 
@@ -16739,77 +16759,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Σε εργασία"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Επεξεργασία %d βιβλίων, παρακαλώ περιμένετε..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Βήμα %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Πεζά"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Κεφαλαία"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Γράμματα τίτλου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Ταύτιση χαρακτήρων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Κανονική έκφραση"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Αντικατάσταση πεδίου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Προσθήκη στην αρχή του πεδίου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Προσθήκη στο τέλος του πεδίου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Επεξεργασία μεταδεδομένων για <b>%d βιβλία</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Άμεση εφαρμογή όλων των αλλαγών χωρίς το κλείσιμο του διαλόγου. Η ενέργεια αυτή δεν μπορεί να ακυρωθεί ή να αναιρεθεί"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Βιβλίο %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Εισάγετε τύπο αναγνωριστικού"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16817,7 +16837,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Μπορείτε να καταστρέψετε τη βιβλιοθήκη σας χρησιμοποιώντας αυτό το χαρακτηριστικό.</b> Οι αλλαγές είναι οριστικές. Δεν υπάρχει δυνατότητα αναίρεσης. Σας ενθαρρύνουμε σφόδρα να δημιουργήσετε αντίγραφο ασφαλείας της βιβλιοθήκης σας πριν προχωρήσετε.<p>Αναζητήστε και αντικαταστήστε σε πεδία κειμένου χρησιμοποιώντας ταύτιση χαρακτήρων ή κανονικές εκφράσεις. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16827,7 +16847,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16842,80 +16862,80 @@ msgid ""
 "function."
 msgstr "Σε κατάσταση κανονικής έκφρασης, το προς αναζήτηση κείμενο είναι μια τυχαία, συμβατή με Python, κανονική έκφραση. Το κείμενο αντικατάστασης μπορεί να περιέχει αναφορές σε προηγούμενες, εντός παρενθέσεων, εκφράσεις του υποδείγματος. Η αναζήτηση δεν έχει σταθερά σημεία, και μπορεί να ταυτοποιεί και να αντικαθιστά σε πολλά σημεία της ίδιας έκφρασης. Οι τροποποιητικές συναρτήσεις (πεζογράφηση κτλ) εφαρμόζονται στο ταυτοποιημένο κείμενο και όχι στο συνολικό πεδίο. Το κουτί προορισμού καθορίζει το πεδίο όπου θα τοποθετηθεί το αποτέλεσμα μετά την ταυτοποίηση και την αντικατάσταση. Μπορείτε να αντικαταστήσετε το κείμενο στο πεδίο, ή να προσθέσετε στην αρχή ή στο τέλος του ταυτοποιημένου κειμένου. Δείτε <a href=\"https://docs.python.org/library/re.html\">αυτή την αναφορά</a> για περισσότερες πληροφορίες ως προς τις κανονικές εκφράσεις της Python, και ειδικότερα τη συνάρτηση 'sub'."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Πρέπει να ορίσετε ως προορισμό ένα τύπο αναγνωριστικού"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Πρέπει να εισάγετε μια έκφραση αναζήτησης στο πεδίο ¨Αναζήτηση για\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Άκυρη συμβολοσειρά αναγνωριστικών. Πρέπει να είναι μια διαχωριζόμενη από κόμματα λίστα ζευγαριών συμβολοσειρών που διαχωρίζονται μεταξύ τους με :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Αναζήτηση/αντικατάσταση μη έγκυρη"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Η αναζήτηση/αντικατάσταση είναι άκυρη: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Διαγραφή αποθηκευμένης αναζήτησης/αντικαταστασης"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Η επιλεγμένη αποθηκευμένη αναζήτηση/αντικατάσταση θα διαγραφεί. Είστε βέβαιοι;"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Αποθήκευση αναζήτησης/αντικατάστασης"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Όνομα αναζήτησης/αντικατάστασης:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Αυτή η αποθηκευμένη αναζήτηση/αντικατάσταση ήδη υπάρχει και θα επικαλυφθεί. Είστε βέβαιοι;"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Επεξεργασία πληροφοριών μεταδεδομένων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16923,90 +16943,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Αυτό θα έχει ως επίπτωση την αυτόματη ενημέρωση του\nπεδίου ταξινομημένου συγγραφέα από τους συγγραφείς\nκάθε επιλεγμένου βιβλίου. Σημειώστε ότι αν χρησιμοποιήσετε\nτο παραπάνω πεδίο για τη μαζική εισαγωγή των συγγραφέων,\nτο πεδίο ταξινομημένων συγγραφέων ενημερώνεται ούτως ή\nάλλως, ανεξάρτητα από την επιλογή σας στο κουτί αυτό."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Αυτόματη ενημέρ&ωση ταξινομημένων συγγραφέων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "Ανταλλαγή συγγρα&φέα και τίτλου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Ενημέρωση του ταξινομημένου τίτλου με βάση τον τρέχοντα\nτίτλο. Αυτό θα εφαρμοστεί μόνο μετά τις υπόλοιπες αλλαγές\nστον τίτλο."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Ενημέρωση &ταξινομημένου τίτλου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Αλλαγή &εξωφύλλου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Δημιουργία προεπιλεγμένου εξωφύλλου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Αφαίρεση εξωφύλλου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Προσπάθεια αυτόματου εντοπισμού και αφαίρεσης ορίων\nκαι πλεονάζοντος χώρου από τις παρυφές των εικόνων των\nεξώφυλλων. Αυτό μπορεί σε ορισμένες περιπτώσεις να\nαφαιρέσει υπερβολικά, χρησιμοποιήστε το με προσοχή."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "Απο&ψίλωση εξωφύλλου (ΕΠΙΚΙΝΔΥΝΟ)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "Ορισμός από τα αρχεία ψηφιακών &βιβλίων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Καθορισμός των εξωφύλλων όλων των επιλεγμένων βιβλίων ώστε να είναι τα ίδια\nμε αυτό του πρώτου επιλεγμένου βιβλίου."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Κλωνισμός εξώφυλλων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Επιβολή γραμμάτων τίτλου στον τίτλο. Αν επιπροσθέτως έχει\nεπιλεγεί και η ανταλλαγή συγγραφέα και τίτλου, ο τίτλος και ο\nσυγγραφέας ανταλλάσσονται πριν επιβληθούν τα γράμματα\nτίτλου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Αλλαγή &γραμμάτων τίτλου σε:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "Η&μερομηνία:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Αν επιλεγεί, το πεδίο εκδότη θα καθαριστεί"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "Κα&θαρισμός εκδότη"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "Δημοσίε&υση:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17014,118 +17034,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Αν δεν επιλεγεί, ο δείκτης σειράς των βιβλίων ξεκινάει από το 1.\nΑν επιλεγεί, τα επιλεγμένα βιβλία θα αριθμηθούν αυτομάτως, με\nβάση τη σειρά που τα επιλέξατε. Έτσι, αν επιλέξατε το Βιβλίο Α\nκαι μετά το Βιβλίο Β, το Βιβλίο Α θα έχει δείκτη σειράς 1, ενώ το\nΒιβλίο Β θα έχει δείκτη σειράς 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "&Αυτόματη αρίθμηση βιβλίων στη σειρά αυτή"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Οι σειρές κανονικά συνεχίζουν την αρίθμηση ξεκινώντας με τον\nμεγαλύτερο αριθμοδείκτη που υπάρχει στη βάση δεδομένων για\nτη σειρά αυτή. Επιλέγοντας το κουτί αυτό, μπορείτε να κάνετε το\ncalibre να ξεκινήσει την αρίθμηση από την τιμή που εισάγετε στο\nκουτί"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Επιβολή τιμής εκκίνησης σε:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Αν επιλεγεί, το πεδίο σειρές θα καθαριστεί"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "Κα&θαρισμός σειράς"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Ρύθμιση &δημιουργίας εξώφυλλων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Καθορισμός σχολίων για όλα τα επιλεγ&μένα βιβλία"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "Αφαίρεση ετικετώ&ν:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Αφαίρεση ό&λων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Προσθήκη ετικετώ&ν:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Καθορίστε πως ο συγγραφέας (ή οι συγγραφείς) του βιβλίου\nαυτού πρέπει να ταξινομηθούν. Για παράδειγμα, ο Charles\nDickens πρέπει να ταξινομηθεί ως Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "Εφαρμογή αξιολόγηση&ς"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Καθαρισμός ημερομηνίας έκδοσης"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Γλώσσες:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Διαχωριζόμενη από κόμματα λίστα ετικετών που θα αφαιρεθούν από τα βιβλία."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Άνοιγμα Περιηγητή ετικετών"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Ταξινομ&ημένος συγγραφέας:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Καθορισμός των μεταδεδομένων στο calibre από τα\nμεταδεδομένα στα αντίστοιχα αρχεία ψηφιακών βιβλίων. Να\nσημειωθεί ότι αυτό δεν αλλάζει τα εξώφυλλα. Γι' αυτό το σκοπό\nθα πρέπει να χρησιμοποιηθεί ξεχωριστή επιλογή παρακάτω."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Καθορισμός &μεταδεδομένων (εκτός από τα εξώφυλλα) από τα αρχεία ψηφιακών βιβλίων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Σε&ιρές:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Αφαίρεση αποθηκευμένων ρυθμίσεων μετατροπής για τα επιλεγμένα βιβλία.\n\nΜελλοντικές μετατροπές των βιβλίων αυτών θα χρησιμοποιήσουν τις προκαθορισμένες ρυθμίσεις."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Αφαίρεση &αποθηκευμένων ρυθμίσεων μετατροπής για τα επιλεγμένα βιβλία"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17134,152 +17154,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Όταν γίνεται μετατροπή χωρίς αλλαγή μορφής, πχ από\nEPUB σε EPUB, το calibre αποθηκεύει τα πρωτότυπα EPUB\n ως ORIGINAL_EPUB. Αυτή η επιλογή ειδοποιεί το calibre\nνα επαναφέρει το EPUB από το ORIGINAL_EPUB. Είναι\nχρήσιμη αν έχετε κάνει μια μαζική μετατροπή για ένα μεγάλο\nαριθμό βιβλίων και κάτι πήγε στραβά."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Αν είναι διαθέσιμα, επαναφορά των προ της μετατροπής &πρωτότυπων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Επιλέξτε το κουμπί αυτό για να αφαιρέσετε όλες τις ετικέτες από τα βιβλία."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "Α&ξιολόγηση:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Βασικά μεταδεδομένα"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Εξατομικευμένα μεταδεδομένα"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "&Φόρτωση αναζήτησης/αντικατάστασης:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Επιλέξτε την αποθηκευμένη αναζήτηση/αντικατάσταση που θα φορτωθεί."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Αποθήκευση τρέχουσας αναζήτησης/αντικατάστασης"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "Απο&θήκευση"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Αναζήτηση &πεδίου:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Το όνομα του πεδίου που θέλετε να ψάξετε"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "&Κατάσταση αναζήτησης:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Επιλέξτε αν θα χρησιμοποιήσετε απλή ταύτιση χαρακτήρων ή προχωρημένη ταύτιση με κανονικές εκφράσεις"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "Τύπος αναγνωρ&ιστικού:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Επιλέξτε σε ποιο τύπο αναγνωριστικού θέλετε να ενεργήσετε"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Πρότυπο:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Εισάγετε ότι αναζητείτε, είτε ως απλό κείμενο, είτε ως κανονική έκφραση, ανάλογα με την επιλεχθείσα κατάσταση"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Επιλέξτε το κουτί αν η έκφραση αναζήτησης πρέπει να ταυτοποιεί επακριβώς τους κεφαλαίους και τους πεζούς χαρακτήρες. Αν επιθυμείτε ο χαρακτήρας της έκφρασης αναζήτησης να ταυτίζεται και με κεφαλαίους και με πεζούς χαρακτήρες, αποεπιλέξτε το κουτί."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Διάκριση &πεζών-κεφαλαίων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Αντικατάσταση με:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Το κείμενο αντικατάστασης. Το ταυτοποιημένο κείμενο αναζήτησης θα αντικατασταθεί από αυτή τη συμβολοσειρά"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "Εφ&αρμογή συνάρτησης μετά την αντικατάσταση:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Καθορίστε πως θα γίνει η επεξεργασία του κειμένου μετά την\nταυτοποίηση και την αντικατάσταση. Σε κατάσταση ταύτισης\nχαρακτήρων γίνεται επεξεργασία ολόκληρου του πεδίου. Σε\nκατάσταση κανονικής έκφρασης γίνεται επεξεργασία μόνο στο\nταυτοποιημένο κείμενο."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "Πεδίο &προορισμού:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Το πεδίο στο οποίο θα τοποθετηθεί το κείμενο μετά από όλες\nτις αντικαταστάσεις. Αν είναι κενό χρησιμοποιείται το πεδίο\nπροέλευσης, εφόσον επιτρέπεται η τροποποίησή του"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "&Λειτουργία:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Καθορίστε πως θα αντιγραφεί το κείμενο στον προορισμό του."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Καθορίζει αν τα εξαγόμενα στοιχεία πρέπει να κατατμηθούν σε\nπολλές τιμές ή να διατηρηθούν ως μια ενιαία τιμή. Η επιλογή\nαυτή έχει το μέγιστο αποτέλεσμα όταν το πεδίο προέλευσης δεν\nέχει πολλές τιμές και το πεδίο προορισμού έχει"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Κατάτμηση &αποτελέσματος"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Τύπος αναγνωριστικού:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17287,48 +17307,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Επιλέξτε σε ποιο τύπο αναγνωριστικού θέλετε να\nενεργήσετε. Όταν το πεδίο προέλευσης είναι κάτι διαφορετικό\nαπό το 'identifiers', μπορείτε να εισάγετε ένα * αν θέλετε να\nαντικαταστήσετε ολόκληρο το σύνολο των αναγνωριστικών με\nτο αποτέλεσμα της αναζήτησης/αντικατάστασης.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Για πεδία με πολλαπλές τιμές, να &εμφανίζονται"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "&τιμές, που ξεκινούν από το"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "με τιμές διαχωριζόμενες &από"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Χρησιμοποιείται κατά την εμφάνιση αποτελεσμάτων δοκιμών\nγια το διαχωρισμό τιμών σε πεδία πολλαπλών τιμών"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Κείμενο δοκιμής"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Αποτέλεσμα δοκιμής"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Η &δοκιμή σας:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Αναζήτηση και αντικατάσταση"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Αν επιλεγεί, ο κατάλογος βιβλίων θα επαναταξινομηθεί, και οι\nόποιες προϋπάρχουσες αναζητήσεις ή εικονικές βιβλιοθήκες θα\nανανεωθούν μετά το πέρας της επεξεργασίας. Αυτό μπορεί να\nείναι αργό για μεγάλες βιβλιοθήκες."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "Ανανέωση καταλόγου βιβλίων μετά την επεξε&ργασία"
 
@@ -17957,7 +17977,7 @@ msgstr "Άκυρη αποθηκευμέ
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Διαχείριση αποθηκευμένων αναζητήσεων"
 
@@ -18617,76 +18637,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Η τρέχουσα κατηγορία ετικετών θα <b>διαγραφεί οριστικά</b>. Είστε βέβαιοι;"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Επεξεργαστής κατηγοριών χρήστη"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "Ό&νομα κατηγορίας:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Επιλογή κατηγορίας προς επεξεργασία"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "Φίλτρο &κατηγορίας:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Επιλέξτε το είδος του περιεχομένου της νέας κατηγορίας"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Εισάγετε μια νέα κατηγορία"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Μετονομάστε την τρέχουσα κατηγορία σε οτιδήποτε υπάρχει στο πεδίο κειμένου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "Δι&αθέσιμα στοιχεία"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Εφαρμογή ετικετών στην τρέχουσα κατηγορία ετικετών"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "Εφαρμοσμένα στο&ιχεία"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Απομάκρυνση (αφαίρεση) ετικέτας από την τρέχουσα κατηγορία ετικετών"
 
@@ -18718,121 +18738,121 @@ msgid ""
 "to delete them?"
 msgstr "Οι ακόλουθες ετικέτες χρησιμοποιούντα από ένα ή περισσότερα βιβλία. Ειστε σίγουρος/η ότι θέλετε να τις διαγράψετε;"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Πλήθος"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Ήταν"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Θέλετε πραγματικά να αναιρέσετε τις αλλαγές σας;"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Αναίρεση διαγραφής στοιχείου;"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Το στοιχείο αυτό είναι διαγραμμένο. Θέλετε να το επαναφέρετε;"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Crtl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Αναίρεση κάθε αφαίρεσης ή επεξεργασίας στις επιλεγμένες γραμμές"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19713,17 +19733,17 @@ msgstr "Διαμόρφωση"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Δείξτε ή κρύψτε διάφορα τμήματα του κύριου παράθυρου του calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Επαναφορά %s"
@@ -20004,21 +20024,11 @@ msgstr "Βιβλίο %(sidx)s από <sp
 msgid "This book is on the device in %s"
 msgstr "Αυτό το βιβλίο είναι στη συσκευή σε %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Ορισμός ημερομηνίας σε απροσδιόριστη"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Θέστε την ημερομηνία στη σημερινή μέρα"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Ορισμός σε απροσδιόριστο"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Υ"
 
@@ -20362,7 +20372,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Βιβλιοθήκη calibre"
 
@@ -20525,6 +20535,16 @@ msgstr "Έ&ξοδος"
 msgid "Unhandled exception"
 msgstr "Άγνωστο σφάλμα"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Ορισμός ημερομηνίας σε απροσδιόριστη"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Θέστε την ημερομηνία στη σημερινή μέρα"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20804,7 +20824,7 @@ msgstr "Ε&κδότης:"
 msgid "Clear publisher"
 msgstr "Καθαρισμός εκδότη"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Καθαρισμός ημερομηνίας"
 
@@ -20874,7 +20894,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Πεδία μεταδεδομένων προς λήψη"
 
@@ -21635,13 +21655,13 @@ msgid "&Automatic adding"
 msgstr "&Αυτόματη προσθήκη"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Υψηλή"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Χαμηλή"
 
@@ -21666,80 +21686,80 @@ msgstr "Όλα σε 1 καρτέλα"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Οι διάλογοι αποδοχής έχουν όλοι επαναφερθεί"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Να γίνεται ειδοποίηση όταν είναι διαθέσιμη μία &νέα έκδοση"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Αυτόματη αποστολή ληφθεισών ειδήσεω&ν σε αναγνώστη ψηφιακών βιβλίων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Προτεραιότητα εργασίας"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Προτιμητέα σειρά &εισαγόμενων μορφών:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Πρ&οτιμητέα εξαγόμενη μορφή:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "&Διαμόρφωση (ατομικής) επεξεργασίας μεταδεδομένων:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Αν έχει επιλεγεί, οι στήλες Ναι/Όχι μπορούν να δεχτούν τιμές Ναι, Όχι, ή Άγνωστο.\n Αν δεν έχει επιλεγεί, οι τιμές μπορούν να είναι Ναι ή Όχι."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "Οι &στήλες Ναι/Όχι έχουν τρεις τιμές (απαιτεί επανεκκίνηση)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Διαγραφή των ειδήσεων από τη βιβλιοθήκη αφού αποσταλούν αυτόματα στον αναγνώστη"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Προκαθορισμένη μέγιστη διαδικτυακή &αναμονή:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Ορίστε την προκαθορισμένη μέγιστη αναμονή για λήψεις από το διαδίκτυο (δηλαδή για κάθε φορά που θα αναζητούνται κάποιες πληροφορίες στο διαδίκτυο)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " δευτερόλεπτα"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Επαναφορά όλων των απενεργοποιημένων διαλόγων &αποδοχής"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Χρήση εσωτερικού &προβολέα για:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Η εικονική βιβλιοθήκη που θα εμφανίζεται όταν ανοίγει η τρέχουσα &βιβλιοθήκη:"
 
@@ -22728,37 +22748,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Προσθήκη διεύθυνσης ηλεκτρονικού ταχυδρομείου στην οποία να αποσταλούν τα βιβλία"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Προσθήκη διεύθυνσης ηλεκτρονικού ταχυδρομείου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Θέσε ως &προεπιλογή"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Αφαίρεση διεύθυνσης ηλεκτρονικού ταχυδρομείου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Προσθήκη των σχολίων από τα μεταδεδομένα του βιβλίου στην\nηλεκτρονική αλληλογραφία. Χρήσιμο για να επιτρέψετε τους\nαποδέκτες να δουν μια περίληψη του βιβλίου πριν το ανοίξουν."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Προσθήκη των μεταδεδομένων σχολίων ως &κείμενο στην ηλεκτρονική αλληλογραφία"
 
@@ -22895,7 +22915,7 @@ msgid "Create a new rule"
 msgstr "Δημιουργία νέου κανόνα"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23033,7 +23053,7 @@ msgid "If there is enough room"
 msgstr "Αν υπάρχει αρκετός χώρος"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Με βάση το πρώτο γράμμα"
 
@@ -23304,7 +23324,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Απενεργοποίηση"
 
@@ -23699,86 +23719,86 @@ msgstr "Δεν έχει επιλεχθε
 msgid "No source selected, cannot configure."
 msgstr "Αδυναμία ρύθμισης, δεν επιλέχθηκε πηγή."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Πηγές μεταδεδομένων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Πηγές με κόκκινο Χ δίπλα στα ονόματά τους πρέπει να ρυθμιστούν πριν χρησιμοποιηθούν."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "&Ρύθμιση επιλεγμένης πηγής"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Αν αποεπιλέξετε κάποια πεδία, δεν θα ληφθούν μεταδεδομένα για τα πεδία αυτά "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Επιλογή όλων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Επαναφέρετε το δικό σας υποσύνολο επιλεγμένων πεδίων, το οποίο μπορείτε να ορίσετε με χρήση του κουμπιού \"Ορισμός ως προεπιλογή\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Αποθηκεύστε τα τρέχοντα επιλεγμένα πεδία ως προεπιλογή που μπορείτε να εφαρμόσετε γρήγορα χρησιμοποιώντας το κουμπί \"Χρήση προεπιλογής\" "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "Ορι&σμός ως προεπιλογή"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Πλήρης μετα&τροπή των ληφθέντων σχολίων σε απλό κείμενο"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Εν&αλλαγή ονομάτων συγγραφέων από μορφή \"Όνομα Επίθετο\" σε μορφή \"Επίθετο, Όνομα\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Όταν γίνεται λήψη σχολίων, να προστίθενται τα ληφθέντα σχόλια σε οποιαδήποτε σχόλια υπάρχουν ήδη, αντί να τα αντικαθιστούν."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "Όταν γίνεται λήψη σχολίων, να προστίθενται τα ληφθέντα σχόλια σε οποιαδήποτε σχόλια υπάρχουν ήδη, αντί να τα αντικαθιστούν."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Προσθήκη σχολίων στα ήδη &υπάρχοντα"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23787,47 +23807,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr "<p>Κανονικά, το σύστημα λήψης μεταδεδομένων θα κρατήσει ένα μόνο αποτέλεσμα από κάθε πηγή μεταδεδομένων. Η επιλογή αυτή θα το κάνει να διατηρεί όλα τα αποτελέσματα που επιστρέφονται από κάθε πηγή μεταδεδομένων. Χρήσιμο αν χρησιμοποιείτε μόνο μια ή δυο πηγές και θέλετε να επιλέξετε  διακριτά αποτελέσματα από αυτές μόνοι σας. Να σημειωθεί ότι αποτελέσματα με ταυτόσημους τίτλους/συγγραφείς/αναγνωριστικά είναι ακόμα συγχωνευμένα."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "Διατήρηση παραπάνω από μιας εισαγωγής για κάθε πηγή."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Διαφορετικές πηγές μεταδεδομένων έχουν διαφορετικά σύνολα ετικετών για το ίδιο βιβλίο. Αν αυτή η επιλογή είναι ενεργή, το calibre θα χρησιμοποιήσει το μικρότερο σύνολο ετικετών. Τα σύνολα αυτά προσομοιάζουν με γενικές κατηγορίες, σε αντίθεση με τα μεγαλύτερα σύνολα ετικετών που δίνουν περισσότερες λεπτομέρειες για τα περιεχόμενα του βιβλίου.\n<p>Σημειώστε ότι η επιλογή αυτή θα έχει πρακτικό αποτέλεσμα μόνο αν μια από τις πηγές μεταδεδομένων έχει ένα μικρό σύνολο ετικετών για το βιβλίο που αναζητείτε. Συνήθως έχουν όλες μεγάλα σύνολα ετικετών."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Προτιμήστε &λιγότερες ετικέτες"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Δημιου&ργήστε κανόνες φιλτραρίσματος/μετασχηματισμού ετικετών"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "Δημιουργήστε κανόνες &μετασχηματισμού ονομάτων συγγραφέων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "Μέγιστος αριθμός ληφθέ&ντων ετικετών:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Μέγιστος χρόνος αναμονής με&τά την εύρεση της πρώτης συμφωνίας:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " δευτερόλεπτα"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Μέγιστος χρόνος αναμονής αφού έχει βρεθεί το πρώτο &εξώφυλλο:"
 
@@ -25373,7 +25393,7 @@ msgid "Paste and &search"
 msgstr "Επικόλληση και &αναζήτηση"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Επικόλληση"
@@ -26399,150 +26419,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Αλλαγή εικόνας για: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Μετονομασία %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Διαγραφή %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Επεξεργασία συνδέσμου για %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "Προσθήκη %s στις κατηγορίες χρήστη"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Αφαίρεση %(item)s από την κατηγορία %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Αναζήτηση για τα πάντα πλην %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "Αναζήτηση με χρήση έκφρασης αποθηκευμένης αναζήτησης"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Προσθήκη υποκατηγορίας στην %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Διαγραφή κατηγορίας χρήστη %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Απόκρυψη κατηγορίας %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Προβολή κατηγορίας"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Αναζήτηση για βιβλία που έχουν δεδομένα στο πεδίο %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Αναζήτηση για βιβλία που δεν έχουν δεδομένα στο πεδίο %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Αλλαγή εικονιδίου κατηγορίας"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Επαναφορά προεπιλεγμένου εικονιδίου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Διαχείριση κατηγοριών χρήστη"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Προβολή Κατηγοριών"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Αλλαγή οργάνωσης υποκατηγοριοποιήσεων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Κατάτμηση"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "&Εμφάνιση όλων των υποκατηγοριών"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Σύμπτυξη όλων των επιπέδων"
 
@@ -27212,7 +27232,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Μη αποθηκευμένες αλλαγές"
 
@@ -27619,12 +27639,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Μη υποστηριζόμενη μορφή αρχείων"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "Η επεξεργασία αρχείων μορφής %s δεν υποστηρίζεται"
@@ -27682,76 +27702,76 @@ msgid "Import"
 msgstr "Εισαγωγή"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Πριν: Αντικατάσταση %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Για να δείτε την αναφορά, πρέπει πρώτα να ανοίξετε ένα βιβλίο."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Για να ελέγξετε συνδέσμους, πρέπει πρώτα να ανοίξετε ένα βιβλίο."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Για να συμπιέσετε εικόνες, πρέπει πρώτα να ανοίξετε ένα βιβλίο."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Πριν: συμπίεση εικόνων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Απρόσμενο σφάλμα"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Η αποκωδικοποίηση δεν είναι δυνατή"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Αδυναμία επεξεργασίας %s, καθώς παρουσιάζεται να έχει άγνωστο τύπο κωδικοποίησης χαρακτήρων"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Δεν υπάρχει ανοιχτό βιβλίο. Για να επεξεργαστείτε, πρέπει πρώτα να ανοίξετε ένα βιβλίο."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "Το τρέχον βιβλίο αποθηκεύεται στο υπόβαθρο. Η άμεση ακύρωση θα <b>ματαιώσει τη διεργασία αποθήκευσης</b>! Να τελειώσει πρώτα η αποθήκευση;"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "Άμεσος &τερματισμός"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Μετά την ολοκλήρωση &αποθήκευσης"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Υπάρχουν μη αποθηκευμένες αλλαγές που θα χαθούν αν τερματίσετε χωρίς να τις αποθηκεύσετε."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "Αποθήκευ&ση και έξοδος"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "Έ&ξοδος χωρίς αποθήκευση"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Αποθήκευση, παρακαλώ περιμένετε..."
 
@@ -31154,18 +31174,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31179,70 +31199,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Επιθεώρηση στοιχείου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Άνοιγμα συνδέσμου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Επεξεργασία %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Αυτόματη ανανέωση προεπισκόπησης όταν το κείμενο αλλάξει στον επεξεργαστή κειμένου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Απενεργοποίηση αυτόματης επαναφόρτωσης προεπισκόπησης"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Ακύρωση διαχωρισμού αρχείου"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34190,13 +34210,13 @@ msgstr "Αποτυχία φόρτωση
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34231,30 +34251,30 @@ msgstr ""
 msgid "Show {}"
 msgstr "Εμφάνιση {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Επιλογή &χρώματος"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Επιλογή χρώματος"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Αποκο&πή"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Χωρίς αξιολόγηση"
 
@@ -34308,44 +34328,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Επιλέξτε τον ηλεκτρονικό αναγνώστη σας. Αν η συσκευή σας δεν είναι στην λίστα, επιλέξτε  την \"%s\" συσκευή."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Επιλογή τοποθεσίας για τα βιβλία"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Αποτυχία δημιουργίας φακέλου στο %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Πρέπει να επιλέξετε ένα άδειο φάκελο για τη βιβλιοθήκη calibre. Ο %s δεν είναι άδειος."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "Επόμε&νο >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Πίσω"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34353,15 +34377,15 @@ msgstr "< &Πίσω"
 msgid "Cancel"
 msgstr "Ακύρωση"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "Τέ&λος"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34369,7 +34393,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Καλώς ήρθατε στο calibre"
@@ -34377,7 +34401,7 @@ msgstr "Καλώς ήρθατε στο c
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Το μόνο πρόγραμμα που χρειάζεστε για τη διαχείριση των ψηφιακών σας βιβλίων."
@@ -34392,7 +34416,7 @@ msgstr "&Συσκευές"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34430,17 +34454,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "Ηλεκτρονική διεύθυνση &Kindle:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Επιλέξτε τη &γλώσσα σας:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Επιλέξτε μια τοποθεσία για τα βιβλία σας. Όταν προσθέτετε βιβλία στο calibre, θα αντιγράφονται εδώ. Χρησιμοποιήστε ένα  <b>άδειο φάκελο</b> για μια νέα βιβλιοθήκη calibre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37026,6 +37050,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/en_AU.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/en_AU.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/en_AU.po	2020-07-02 04:02:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/en_AU.po	2020-07-16 16:38:18.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "Does absolutely nothing"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "Does absolutely nothing"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/en_CA.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/en_CA.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/en_CA.po	2020-07-02 04:07:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/en_CA.po	2020-07-16 16:39:34.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "Does absolutely nothing"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "Does absolutely nothing"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr "Getting list of books on device
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr "Removing books from device metad
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Get device information…"
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/en_GB.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/en_GB.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/en_GB.po	2020-07-02 04:00:50.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/en_GB.po	2020-07-16 16:38:04.000000000 +0000
@@ -15,8 +15,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
@@ -214,7 +214,7 @@ msgstr "Does absolutely nothing"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -226,12 +226,12 @@ msgstr "Does absolutely nothing"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1141,9 +1141,9 @@ msgstr "Catalogue"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1168,7 +1168,7 @@ msgstr "Path to library ({0}) too long.
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1230,7 +1230,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2843,8 +2843,8 @@ msgstr "Getting list of books on device.
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2853,8 +2853,8 @@ msgstr "Removing books from device metad
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3197,7 +3197,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Edit template"
@@ -3310,7 +3310,7 @@ msgid "Communicate with MTP devices"
 msgstr "Communicate with MTP devices"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Get device information..."
@@ -3337,8 +3337,8 @@ msgid "Finished reading metadata from de
 msgstr "Finished reading metadata from device"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3726,61 +3726,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Too many connection attempts from %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "The app on your device is too old and is no longer supported. Update it to a newer version."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "You have book formats in your library with dates in the future. See calibre for details"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "The read sync column %s is not in calibre's library"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "The read sync column %s is not a Yes/No column"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "The read date sync column %s is not in calibre's library"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Bad compression quality setting. It must be a number between 50 and 99. Forced to be %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Invalid port in options: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Failed to connect to port %d. Try a different value."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Failed to allocate a random port"
 
@@ -6214,7 +6225,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "No"
 
@@ -6237,7 +6248,7 @@ msgid "Producer"
 msgstr "Producer"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6503,103 +6514,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Downloads metadata and covers from Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "US"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "France"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Germany"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "UK"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italy"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japan"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Spain"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brazil"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Netherlands"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Metadata from Amazon will be fetched using this country's Amazon website."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6607,7 +6618,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazon timed out. Try again later."
 
@@ -8496,7 +8507,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8974,7 +8985,7 @@ msgstr "The folder %s already exists. De
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Too long"
 
@@ -9019,7 +9030,7 @@ msgstr "The library %s has been removed
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9071,7 +9082,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9226,7 +9237,7 @@ msgid "Browse for library"
 msgstr "Browse for library"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Copy"
@@ -9266,7 +9277,7 @@ msgstr "{0} by {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Select &all"
 
@@ -10162,7 +10173,7 @@ msgid "Move to next highlighted match"
 msgstr "Move to next highlighted match"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10764,7 +10775,7 @@ msgid "this book"
 msgstr "this book"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Search for %s"
@@ -10975,7 +10986,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11423,8 +11434,8 @@ msgstr "Change"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11553,42 +11564,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Manage %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Delete the %s format"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Save the %s format to disk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Restore the %s format"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Set the book cover from the %s file"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Compare to the %s format"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11597,112 +11613,112 @@ msgstr "Compare to the %s format"
 msgid "Open %s with..."
 msgstr "Open %s with..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Add other application for %s files..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Copy path to file"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Remove %s from this book"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Open cover with..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Add another application to open cover..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Path"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11710,7 +11726,7 @@ msgstr "Path"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Cover size: %(width)d x %(height)d pixels"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11779,7 +11795,7 @@ msgstr "output"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11797,11 +11813,11 @@ msgstr "output"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11940,7 +11956,7 @@ msgid "Preset name:"
 msgstr "Preset name:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "You must provide a name."
 
@@ -11975,7 +11991,7 @@ msgstr "True"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12022,8 +12038,8 @@ msgid "Delete current preset"
 msgstr "Delete current preset"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Delete"
 
@@ -12135,22 +12151,22 @@ msgstr "Reset to default"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12378,7 +12394,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12853,10 +12869,10 @@ msgstr "Font size &key:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13288,7 +13304,7 @@ msgid "Change the title of this book"
 msgstr "Change the title of this book"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Author(s): "
 
@@ -13303,7 +13319,7 @@ msgid ""
 msgstr "Change the author(s) of this book. Multiple authors should be separated by a comma"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Publisher: "
 
@@ -13312,7 +13328,7 @@ msgid "Ta&gs: "
 msgstr "Ta&gs: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13327,8 +13343,8 @@ msgstr "&Series:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "List of known series. You can add new series."
@@ -13395,45 +13411,45 @@ msgstr "Screen size: %s"
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "&Output profile:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Profile description"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "&Input profile:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Margins"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Left:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Unchanged"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Top:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Right:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Bottom:"
@@ -13779,7 +13795,7 @@ msgid "Edit the currently selected expre
 msgstr "Edit the currently selected expression"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Change"
 
@@ -14605,74 +14621,73 @@ msgstr "Choose file to import rules from
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Undefined"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Set '%s' to today"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Clear '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Values changed"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "You have changed the values. In order to use this editor, you must either discard or apply these changes. Apply changes?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " index:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "The enumeration \"{0}\" contains an invalid value that will be set to the default"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Apply changes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Clear series"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Automatically number books"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14680,44 +14695,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Force numbers to start with "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "The amount by which to increment the series number for successive books. Only applicable when using force series numbers."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "The enumeration \"{0}\" contains invalid values that will not appear in the list"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Remove all tags"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "tags to add"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "tags to remove"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15423,11 +15438,11 @@ msgstr "This will take a while, please w
 msgid "Vacuuming..."
 msgstr "Vacuuming..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15491,79 +15506,84 @@ msgid ""
 "        "
 msgstr "        <h1>Help</h1>\n\n        <p>calibre stores the list of your books and their metadata in a\n        database. The actual book files and covers are stored as normal\n        files in the calibre library folder. The database contains a list of the files\n        and covers belonging to each book entry. This tool checks that the\n        actual files in the library folder on your computer match the\n        information in the database.</p>\n\n        <p>The result of each type of check is shown to the left. The various\n        checks are:\n        </p>\n        <ul>\n        <li><b>Invalid titles</b>: These are files and folders appearing\n        in the library where books titles should, but that do not have the\n        correct form to be a book title.</li>\n        <li><b>Extra titles</b>: These are extra files in your Calibre\n        library that appear to be correctly-formed titles, but have no corresponding\n        entries in the database</li>\n        <li><b>Invalid authors</b>: These are files appearing\n        in the library where only author folders should be.</li>\n        <li><b>Extra authors</b>: These are folders in the\n        Calibre library that appear to be authors but that do not have entries\n        in the database</li>\n        <li><b>Missing book formats</b>: These are book formats that are in\n        the database but have no corresponding format file in the book's folder.\n        <li><b>Extra book formats</b>: These are book format files found in\n        the book's folder but not in the database.\n        <li><b>Unknown files in books</b>: These are extra files in the\n        folder of each book that do not correspond to a known format or cover\n        file.</li>\n        <li><b>Missing cover files</b>: These represent books that are marked\n        in the database as having covers but the actual cover files are\n        missing.</li>\n        <li><b>Cover files not in database</b>: These are books that have\n        cover files but are marked as not having covers in the database.</li>\n        <li><b>Folder raising exception</b>: These represent folders in the\n        Calibre library that could not be processed/understood by this\n        tool.</li>\n        </ul>\n\n        <p>There are two kinds of automatic fixes possible: <i>Delete\n        marked</i> and <i>Fix marked</i>.</p>\n        <p><i>Delete marked</i> is used to remove extra files/folders/covers that\n        have no entries in the database. Check the box next to the item you want\n        to delete. Use with caution.</p>\n\n        <p><i>Fix marked</i> is applicable only to covers and missing formats\n        (the three lines marked 'fixable'). In the case of missing cover files,\n        checking the fixable box and pushing this button will tell calibre that\n        there is no cover for all of the books listed. Use this option if you\n        are not going to restore the covers from a backup. In the case of extra\n        cover files, checking the fixable box and pushing this button will tell\n        Calibre that the cover files it found are correct for all the books\n        listed. Use this when you are not going to delete the file(s). In the\n        case of missing formats, checking the fixable box and pushing this\n        button will tell calibre that the formats are really gone. Use this if\n        you are not going to restore the formats from a backup.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Run the check again"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Copy &to clipboard"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Done"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Mark &all for delete"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Mark all deletable subitems"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Delete &marked"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Delete marked files (checked subitems)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Mar&k all for fix"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Mark all fixable items"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&Fix marked"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Fix marked sections (checked fixable items)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Names to ignore:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Extensions to ignore:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Enter comma-separated extensions without a leading dot. Used only in book folders"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(fixable)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Path from library"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15613,8 +15633,8 @@ msgstr "The location %s contains the cur
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Bad location"
 
@@ -16170,46 +16190,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (was %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Item is blank"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "An item cannot be set to nothing. Delete it instead."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "No item selected"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "You must select one item from the list of Available items."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "No items selected"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "You must select at least one item from the list."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Are you sure you want to delete the following items?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16218,7 +16238,7 @@ msgid "Items in use"
 msgstr "Items in use"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16233,11 +16253,11 @@ msgstr "Rename the item in every book wh
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16265,7 +16285,7 @@ msgid "Already in calibre:"
 msgstr "Already in calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16290,28 +16310,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16338,65 +16358,65 @@ msgstr "Invalid author name"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Manage authors"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Search for:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Reset all the author sort values to a value automatically\ngenerated from the author. Exactly how this value is automatically\ngenerated can be controlled via Preferences->Advanced->Tweaks"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Copy author sort to author for every author. You typically use this button\nafter changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16729,77 +16749,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Working"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Processing %d books, please wait..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Lower Case"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Upper Case"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Title Case"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Character match"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Replace field"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Prepend to field"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Append to field"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Editing meta information for <b>%d books</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Immediately make all changes without closing the dialogue. This operation cannot be cancelled or undone."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Book %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Enter an identifier type"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16807,7 +16827,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>You can destroy your library using this feature.</b> Changes are permanent. There is no undo function. You are strongly encouraged to back up your library before proceeding.<p>Search and replace in text fields using character matching or regular expressions. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16817,7 +16837,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16832,80 +16852,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R TEMPLATE ERROR"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "You must specify a destination when source is a composite field or a template"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "You must specify a destination identifier type"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "You must specify a search expression in the \"Search for\" field"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Invalid identifier string. It must be a comma-separated list of pairs of strings separated by a colon"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Search/replace invalid"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Delete saved search/replace"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "The selected saved search/replace will be deleted. Are you sure?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Save search/replace"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Search/replace name:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "That saved search/replace already exists and will be overwritten. Are you sure?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16913,90 +16933,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "This will cause the author sort field to be automatically updated\n based on the authors field for each selected book. Note that if\n you use the control above to set authors in bulk, the author sort\n field is updated anyway, regardless of the value of this checkbox."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "A&utomatically set author sort"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "S&wap title and author"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Update title sort based on the current title. This will be applied only after other changes to title."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Update &title sort"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Change &cover"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Generate default cover"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Remove cover"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Try to automatically detect and remove borders and extra space\n from the edges of cover images. This can sometimes remove too\n much, so use with care."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "&Trim cover (DANGEROUS)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Set the covers of all selected books to be the same\nas that of the first selected book."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Clone covers"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Force the title to be in title case. If both this and swap authors are checked,\ntitle and author are swapped before the title case is set"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Date:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "If checked, the publisher will be cleared"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "&Clear pub"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "P&ublished:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17004,118 +17024,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "If not checked, the series number for the books will be set to 1.\nIf checked, selected books will be automatically numbered, in the order\nyou selected them. So if you selected Book A and then Book B,\nBook A will have series number 1 and Book B series number 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "&Automatically number books in this series"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Series will normally be renumbered from the highest number in the database\nfor that series. Checking this box will tell calibre to start numbering\nfrom the value in the box"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Force numbers to start with:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "If checked, the series will be cleared"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Clear series"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Control how the default generated covers are created"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Configure co&ver generation"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Set the co&mments for all selected books"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Remove tags:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Remove &all"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Add ta&gs: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Specify how the author(s) of this book should be sorted. For example Charles Dickens should be sorted as Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "&Apply rating"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Clear published date"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Languages:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Comma separated list of tags to remove from the books. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Author s&ort: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Remove stored conversion settings for the selected books.\n\nFuture conversion of these books will use the default settings."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Remove &stored conversion settings for the selected books"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17124,152 +17144,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "When doing a same format to same format conversion,\nfor e.g., EPUB to EPUB, calibre saves the original EPUB\n as ORIGINAL_EPUB. This option tells calibre to restore\n the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n conversion of a large number of books and something went wrong."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Restore pre conversion &originals, if available"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Check this box to remove all tags from the books."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Rating:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Basic metadata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Custom metadata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Select saved search/replace to load."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Save current search/replace"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "Sa&ve"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Search &field:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "The name of the field that you want to search"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Search &mode:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Choose whether to use basic text matching or advanced regular expression matching"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Choose which identifier type to operate upon."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Template:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Enter a template to be used as the source for the search/replace"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Enter what you are looking for, either plain text or a regular expression, depending on the mode"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Check this box if the search string must match exactly upper and lower case. Uncheck it if case is to be ignored"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Cas&e sensitive"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Replace with:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "The replacement text. The matched search text will be replaced with this string"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Apply function after replace:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Specify how the text is to be processed after matching and replacement. In character mode, the entire\nfield is processed. In regular expression mode, only the matched text is processed"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "&Destination field:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "The field that the text will be put into after all replacements.\nIf blank, the source field is used if the field is modifiable"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "M&ode:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Specify how the text should be copied into the destination."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Specifies whether result items should be split into multiple values or\nleft as single values. This option has the most effect when the source field is\nnot multiple and the destination field is multiple"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Split &result"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Identifier type:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17277,48 +17297,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Choose which identifier type to operate upon. When the\n              source field is something other than 'identifiers' you can enter\n              a * if you want to replace the entire set of identifiers with\n              the result of the search/replace.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "For multiple-valued fields, sho&w"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "with values separated b&y"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Used when displaying test results to separate values in multiple-valued fields"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Test text"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Test result"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Search and replace"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "&Refresh book list after edit"
 
@@ -17947,7 +17967,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18607,76 +18627,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Select a category to edit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Select the content kind of the new category"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Add a new category"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Rename the current category to what is in the box"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Apply tags to current tag category"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Unapply (remove) tag from current tag category"
 
@@ -18708,121 +18728,121 @@ msgid ""
 "to delete them?"
 msgstr "The following tags are used by one or more books. Are you certain you want to delete them?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Count"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Was"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Undelete item?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "That item is deleted. Do you want to undelete it?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19703,17 +19723,17 @@ msgstr "Layout"
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "No %s format"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "The book {0} does not have the {1} format"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Restore %s"
@@ -19994,21 +20014,11 @@ msgstr "Book %(sidx)s of <span class=\"s
 msgid "This book is on the device in %s"
 msgstr "This book is on the device in %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Set date to undefined"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Set to undefined"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20352,7 +20362,7 @@ msgid ""
 msgstr "Path to Calibre Portable (%s) too long. Must be less than 59 characters."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre Library"
 
@@ -20515,6 +20525,16 @@ msgstr "&Quit"
 msgid "Unhandled exception"
 msgstr "Unhandled exception"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Set date to undefined"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20794,7 +20814,7 @@ msgstr "&Publisher:"
 msgid "Clear publisher"
 msgstr "Clear publisher"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Clear date"
 
@@ -20864,7 +20884,7 @@ msgid "Processed %s"
 msgstr "Processed %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21625,13 +21645,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "High"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Low"
 
@@ -21656,80 +21676,80 @@ msgstr "All on 1 tab"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Confirmation dialogues have all been reset"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "Job &priority:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Preferred &input format order:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Preferred &output format:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "If checked, Yes/No custom column values can be Yes, No, or Unknown.\nIf not checked, the values can be Yes or No."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Delete news from library when it is automatically sent to reader"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Default network &timeout:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Set the default timeout for network fetches (i.e. anytime we go out to the internet to get information)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " seconds"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Reset all disabled &confirmation dialogues"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Use internal &viewer for:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22718,37 +22738,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Add an email address to which to send books"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Add email"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Make &default"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Remove email"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Add the comments from the book metadata to the email.\nUseful to allow the recipient to see a summary of the\nbook before opening it."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Add &comments metadata as text to the email"
 
@@ -22885,7 +22905,7 @@ msgid "Create a new rule"
 msgstr "Create a new rule"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23023,7 +23043,7 @@ msgid "If there is enough room"
 msgstr "If there is enough room"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "By first letter"
 
@@ -23294,7 +23314,7 @@ msgid "Caching of covers for improved pe
 msgstr "Caching of covers for improved performance"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Disable"
 
@@ -23689,86 +23709,86 @@ msgstr "No source selected"
 msgid "No source selected, cannot configure."
 msgstr "No source selected, cannot configure."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Metadata sources"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Sources with a red X next to their names must be configured before they're used. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "If you uncheck any fields, metadata for those fields will not be downloaded."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Select all"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Restore your own subset of checked fields that you define using the 'Set as default' button."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Set as default"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Convert all downloaded comments to plain &text"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>When downloading comments, append the downloaded comments to any existing comment, instead of overwriting them."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "When downloading comments, append the downloaded comments to any existing comment, instead of overwriting them."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23777,47 +23797,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then Calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the book's content.\n<p>Note that this option will only make a practical difference if one of the metadata sources has a genre-like tag set for the book you are searching for. Most often, they all have large tag sets."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Prefer smaller tag sets when picking tags from different metadata sources"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Prefer &fewer tags"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Create &rules to filter/transform tags"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "Max. &number of tags to download:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Max. &time to wait after first match is found:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " secs"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Max. time to wait after first &cover is found:"
 
@@ -25363,7 +25383,7 @@ msgid "Paste and &search"
 msgstr "Paste and &search"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Paste"
@@ -26389,150 +26409,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr "'Click' found item"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Rename %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Delete %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Edit sort for %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Edit link for %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Children of %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Remove %(item)s from category %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Search for everything but %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Add sub-category to %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Hide category %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Show category"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Search for books in category %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Search for books not in category %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Change category icon"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Restore default icon"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Show all categories"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Change sub-categorization scheme"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Partition"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "First letter is usable only when sorting by name."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "E&xpand all children"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27202,7 +27222,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Unsaved changes"
 
@@ -27609,12 +27629,12 @@ msgid ""
 msgstr "The file %s does not exist. If you were trying to click an item in the Table of Contents, you may need to refresh it by right-clicking and choosing \"Refresh\"."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Unsupported file format"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "Editing files of type %s is not supported"
@@ -27672,76 +27692,76 @@ msgid "Import"
 msgstr "Import"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Before: Replace %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "You must first open a book in order to see the report."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "You must first open a book in order to check links."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "You must first open a book in order to compress images."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Before: compress images"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Unexpected error"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Failed to compress images, click \"Show details\" for more information"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Cannot decode"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Cannot edit %s as it appears to be in an unknown character encoding"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "No book is currently open. You must first open a book to edit."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "The current book is being saved in the background. Quitting now will <b>abort the save process</b>! Finish saving first?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Quit immediately"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Finish &saving first"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "There are unsaved changes, if you quit without saving, you will lose them."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Save and Quit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Quit without saving"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Saving, please wait..."
 
@@ -31144,18 +31164,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr "Disabled confirmations restored"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31169,70 +31189,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Inspect element"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Open link"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Search in preview"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Invalid location"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Cannot split on the body tag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Failed to launch worker"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Failed to launch the worker process used for rendering the preview"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Cannot disable"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Auto reloading of the preview panel cannot be disabled while the Live CSS panel is open."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Auto reload preview when text changes in editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Disable auto reload of preview"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Disable syncing of preview position to editor position"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Enable syncing of preview position to editor position"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Abort file split"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34180,13 +34200,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34221,30 +34241,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Choose &colour"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Choose a colour"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Cu&t"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "&Step up"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "Step &down"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Not rated"
 
@@ -34298,44 +34318,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Choose your e-book device. If your device is not in the list, choose a \"%s\" device."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Select location for books"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Failed to create a folder at %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "You must choose an empty folder for the calibre library. %s is not empty."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Next >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Back"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34343,15 +34367,15 @@ msgstr "< &Back"
 msgid "Cancel"
 msgstr "Cancel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Finish"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Commit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Welcome to calibre"
@@ -34367,7 +34391,7 @@ msgstr "Welcome to calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "The one stop solution to all your e-book needs."
@@ -34382,7 +34406,7 @@ msgstr "&Devices"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "WizardPage"
@@ -34420,17 +34444,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "&Kindle email:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Choose your &language:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Choose a location for your books. When you add books to calibre, they will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37016,6 +37040,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/eo.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/eo.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/eo.po	2020-07-02 04:03:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/eo.po	2020-07-16 16:36:54.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -210,7 +210,7 @@ msgstr "Faras absolute nenion"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -222,12 +222,12 @@ msgstr "Faras absolute nenion"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1137,9 +1137,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1164,7 +1164,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1226,7 +1226,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2839,8 +2839,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2849,8 +2849,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3193,7 +3193,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3306,7 +3306,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3333,8 +3333,8 @@ msgid "Finished reading metadata from de
 msgstr "Finlegis metadatumojn de la aparato"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3722,61 +3722,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Malsukcesis konekti al pordo %d. Provu alian valoron."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Malsukcesis asigni laŭhazardan pordon"
 
@@ -6210,7 +6221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6233,7 +6244,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6499,103 +6510,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Elŝuti metadatumojn kaj kovrilojn el Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Metadatumojn el Amazon elŝutiĝos per la landa retejo de Amazon."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6603,7 +6614,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8492,7 +8503,7 @@ msgstr "Nenia dosiero kopiiĝis al tondu
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8970,7 +8981,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9015,7 +9026,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9067,7 +9078,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9222,7 +9233,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9262,7 +9273,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10158,7 +10169,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10760,7 +10771,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10971,7 +10982,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11419,8 +11430,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11549,42 +11560,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11593,112 +11609,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11706,7 +11722,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11775,7 +11791,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11793,11 +11809,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11936,7 +11952,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11971,7 +11987,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12018,8 +12034,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12131,22 +12147,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12374,7 +12390,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12849,10 +12865,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13284,7 +13300,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13299,7 +13315,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13308,7 +13324,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13323,8 +13339,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13391,45 +13407,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13775,7 +13791,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14601,74 +14617,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14676,44 +14691,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15419,11 +15434,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15487,79 +15502,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15609,8 +15629,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16166,46 +16186,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16214,7 +16234,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16229,11 +16249,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16261,7 +16281,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16286,28 +16306,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16334,65 +16354,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16725,77 +16745,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16803,7 +16823,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16813,7 +16833,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16828,80 +16848,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16909,90 +16929,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17000,118 +17020,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17120,152 +17140,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17273,48 +17293,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17943,7 +17963,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18603,76 +18623,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18704,121 +18724,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19699,17 +19719,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19990,21 +20010,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20348,7 +20358,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20511,6 +20521,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20790,7 +20810,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20860,7 +20880,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21621,13 +21641,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21652,80 +21672,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22714,37 +22734,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22881,7 +22901,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23019,7 +23039,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23290,7 +23310,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23685,86 +23705,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23773,47 +23793,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25359,7 +25379,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26385,150 +26405,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27198,7 +27218,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27605,12 +27625,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27668,76 +27688,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31140,18 +31160,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31165,70 +31185,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34176,13 +34196,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34217,30 +34237,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34294,44 +34314,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34339,15 +34363,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34355,7 +34379,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34363,7 +34387,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34378,7 +34402,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34416,17 +34440,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37012,6 +37036,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/es_MX.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/es_MX.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/es_MX.po	2020-07-02 04:00:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/es_MX.po	2020-07-16 16:43:15.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
@@ -209,7 +209,7 @@ msgstr "Actualmente no hace absolutament
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -221,12 +221,12 @@ msgstr "Actualmente no hace absolutament
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1136,9 +1136,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1163,7 +1163,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1225,7 +1225,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2838,8 +2838,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2848,8 +2848,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3192,7 +3192,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3305,7 +3305,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3332,8 +3332,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3721,61 +3721,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6209,7 +6220,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "No"
 
@@ -6232,7 +6243,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6498,103 +6509,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6602,7 +6613,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8491,7 +8502,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8969,7 +8980,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9014,7 +9025,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9066,7 +9077,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9221,7 +9232,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9261,7 +9272,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10157,7 +10168,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10759,7 +10770,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10970,7 +10981,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11418,8 +11429,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11548,42 +11559,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11592,112 +11608,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11705,7 +11721,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11774,7 +11790,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11792,11 +11808,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11935,7 +11951,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11970,7 +11986,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12017,8 +12033,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Eliminar"
 
@@ -12130,22 +12146,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12373,7 +12389,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12848,10 +12864,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13283,7 +13299,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13298,7 +13314,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13307,7 +13323,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13322,8 +13338,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13390,45 +13406,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13774,7 +13790,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14600,74 +14616,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14675,44 +14690,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15418,11 +15433,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15486,79 +15501,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15608,8 +15628,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16165,46 +16185,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16213,7 +16233,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16228,11 +16248,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16260,7 +16280,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16285,28 +16305,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16333,65 +16353,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16724,77 +16744,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16802,7 +16822,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16812,7 +16832,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16827,80 +16847,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16908,90 +16928,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16999,118 +17019,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17119,152 +17139,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17272,48 +17292,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17942,7 +17962,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18602,76 +18622,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18703,121 +18723,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19698,17 +19718,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19989,21 +20009,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20347,7 +20357,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20510,6 +20520,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20789,7 +20809,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20859,7 +20879,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21620,13 +21640,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21651,80 +21671,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22713,37 +22733,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22880,7 +22900,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23018,7 +23038,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23289,7 +23309,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "inhabilitar"
 
@@ -23684,86 +23704,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23772,47 +23792,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25358,7 +25378,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26384,150 +26404,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "particion"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27197,7 +27217,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27604,12 +27624,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27667,76 +27687,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31139,18 +31159,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31164,70 +31184,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34175,13 +34195,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34216,30 +34236,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34293,44 +34313,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34338,15 +34362,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "Cancelar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34354,7 +34378,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34362,7 +34386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34377,7 +34401,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34415,17 +34439,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37011,6 +37035,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/es.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/es.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/es.po	2020-07-02 04:05:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/es.po	2020-07-16 16:42:24.000000000 +0000
@@ -35,8 +35,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-20 07:52+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-05 12:17+0000\n"
 "Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
@@ -234,7 +234,7 @@ msgstr "No hace absolutamente nada"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -246,12 +246,12 @@ msgstr "No hace absolutamente nada"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1161,9 +1161,9 @@ msgstr "Catálogo"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1188,7 +1188,7 @@ msgstr "La ruta  la biblioteca ({0}) es
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1250,7 +1250,7 @@ msgstr "Búsquedas guardadas"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2863,8 +2863,8 @@ msgstr "Obteniendo la lista de libros en
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2873,8 +2873,8 @@ msgstr "Quitando libros de la lista de m
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3217,7 +3217,7 @@ msgstr "Introduzca una plantilla que se
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Modificar plantilla"
@@ -3330,7 +3330,7 @@ msgid "Communicate with MTP devices"
 msgstr "Comunicar con dispositivos MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Obteniendo información del dispositivo..."
@@ -3357,8 +3357,8 @@ msgid "Finished reading metadata from de
 msgstr "Lectura de metadatos del dispositivo finalizada"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3746,61 +3746,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "Esto es una lista de extensiones de archivo separadas por comas que desea que se envíen al dispositivo. Por ejemplo, puede que tenga audiolibros en la biblioteca con extensión «m4b» y que quiera escucharlos en el dispositivo. No se preocupe por la advertencia de sobre «extensiones adicionales activadas»."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr "Ignorar espacio libre del dispositivo"
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr "Marque esta casilla para ignorar el espacio libre comunicado por los dispositivos. Esto puede ser necesario si almacena los libros en una tarjeta SD y el dispositivo no tiene mucha memoria principal libre."
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Demasiados intentos de conexión desde %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "La aplicación del dispositivo es demasiado antigua y ya no tiene soporte. Actualícela a una versión más reciente."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Hay formatos de libros en la biblioteca con fecha en el futuro. Vea calibre para más detalles"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "La columna para sincronizar el campo «leído» %s no está en la biblioteca de calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "La columna de sincronizar el campo «leído» %s no es una columna de sí/no"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "La columna para sincronizar la fecha de lectura %s no está en la biblioteca de calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "La columna para sincronizar la fecha de lectura %s no es una columna de fecha"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Calidad de compresión incorrecta. Debe ser un número entre 50 y 99. Modificada a %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Puerto no válido en las opciones: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "No se pudo conectar al puerto %d. Pruebe un valor diferente."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "No se pudo asignar un puerto aleatorio"
 
@@ -6234,7 +6245,7 @@ msgstr "Extraer los formatos de libro di
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "No"
 
@@ -6257,7 +6268,7 @@ msgid "Producer"
 msgstr "Productor"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6523,103 +6534,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google imágenes"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Descarga metadatos y portadas de Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "EE. UU."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Francia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Alemania"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Reino Unido"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Australia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japón"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "España"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brasil"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Países Bajos"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "China"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Canadá"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Elegir servidor automáticamente"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Servidores de Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Caché de búsqueda de Bing"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Caché de búsqueda de Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Caché de Wayback machine (lento)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Portal local de Amazon que se utilizará:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Los metadatos de Amazon se descargarán de la página de Amazon de este país."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Servidor de donde obtener datos:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon ha comenzado a bloquear intentos de descargas metadatos de sus servidores. Para evitar este problema, calibre puede tomar los datos de Amazon de varios lugares donde puede haber copias. Elija el origen que prefiera."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Usar el MOBI-ASIN para buscar metadatos"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6627,7 +6638,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr "Active esta opción para buscar metadatos con el identificador ASIN del archivo MOBI en el sitio web del país actual, a no ser que haya otro identificador de Amazon disponible. Tenga en cuenta que si el archivo MOBI procede de la tienda de otro país, puede que obtenga resultados incorrectos."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "El tiempo de espera de Amazon ha expirado. Vuelva a intentarlo más tarde."
 
@@ -8516,7 +8527,7 @@ msgstr "No se ha copiado ningún archivo
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8994,7 +9005,7 @@ msgstr "La carpeta %s ya existe. Elimín
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Demasiado larga"
 
@@ -9039,7 +9050,7 @@ msgstr "La biblioteca %s ha sido elimina
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9091,7 +9102,7 @@ msgstr "No se encontraron errores en la
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9246,7 +9257,7 @@ msgid "Browse for library"
 msgstr "Buscar biblioteca"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Copiar"
@@ -9286,7 +9297,7 @@ msgstr "{0} por {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Seleccionar &todo"
 
@@ -10182,7 +10193,7 @@ msgid "Move to next highlighted match"
 msgstr "Ir a la siguiente coincidencia resaltada"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10784,7 +10795,7 @@ msgid "this book"
 msgstr "este libro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Buscar %s"
@@ -10995,7 +11006,7 @@ msgstr "Previsualizar libro"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11443,8 +11454,8 @@ msgstr "Modificar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11573,42 +11584,47 @@ msgid "Search the internet for this book
 msgstr "Buscar este libro en internet"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Administrar %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr "Buscar %s en el explorador de etiquetas"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Borrar el formato %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Guardar el formato %s en el disco"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Restaurar el formato %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Establecer la portada a partir del archivo %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Comparar con el formato %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11617,112 +11633,112 @@ msgstr "Comparar con el formato %s"
 msgid "Open %s with..."
 msgstr "Abrir %s con..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Añadir otra aplicación para los archivos %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Modificar aplicaciones para «Abrir con»..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Modificar %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Copiar ruta de acceso"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr "&Copiar enlace de autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Buscar %s en calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Copiar ruta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr "&Copiar identificador"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Eliminar %s de este libro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Copiar &todo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Copiar ubicación del enlace"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr "Abrir la ventana de detalles del libro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Abrir portada con..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Añadir otra aplicación para abrir la portada..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Pegar portada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Copiar portada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Guardar portada en el disco"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "&Eliminar portada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Generar portada a partir de los metadatos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Elija una ubicación para guardar la portada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "Imágenes JPEG"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Pulse dos veces para abrir la ventana de detalles del libro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Ruta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11730,7 +11746,7 @@ msgstr "Ruta"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Tamaño de portada: %(width)d×%(height)d píxeles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Modificar identificadores de este libro"
 
@@ -11799,7 +11815,7 @@ msgstr "salida"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11817,11 +11833,11 @@ msgstr "salida"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11960,7 +11976,7 @@ msgid "Preset name:"
 msgstr "Nombre de configuración:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Debe proporcionar un nombre."
 
@@ -11995,7 +12011,7 @@ msgstr "Sí"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12042,8 +12058,8 @@ msgid "Delete current preset"
 msgstr "Borrar configuración actual"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "E&liminar"
 
@@ -12155,22 +12171,22 @@ msgstr "Restablecer al valor predetermin
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12398,7 +12414,7 @@ msgstr "Cabecera {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12873,10 +12889,10 @@ msgstr "Cla&ve de tamaño de letra"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13308,7 +13324,7 @@ msgid "Change the title of this book"
 msgstr "Cambiar el título de este libro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Autor(es): "
 
@@ -13323,7 +13339,7 @@ msgid ""
 msgstr "Cambiar el(los) autor(es). Para especificar más de uno, sepárelos mediante comas."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Editorial: "
 
@@ -13332,7 +13348,7 @@ msgid "Ta&gs: "
 msgstr "Eti&quetas: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13347,8 +13363,8 @@ msgstr "&Serie:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Lista de series conocidas. Se pueden añadir nuevas series."
@@ -13415,45 +13431,45 @@ msgstr "Tamaño de pantalla: %s"
 msgid "Page setup"
 msgstr "Configuración de página"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Perfil de &salida:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Descripción del perfil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Perfil de &entrada:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Márgenes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Izquierda:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Sin cambios"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Arriba:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Derecha:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Inferior:"
@@ -13799,7 +13815,7 @@ msgid "Edit the currently selected expre
 msgstr "Modificar la expresión seleccionada"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Cambiar"
 
@@ -14625,74 +14641,73 @@ msgstr "Eilja un archivo de donde import
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Indefinido"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Establecer la fecha de hoy para '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Limpiar «%s»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr "Abrir el editor de elementos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Valores modificados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Ha cambiado los valores. Para usar este editor debe aplicar o descartar los cambios. ¿Desea aplicar los cambios?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " índice:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "La enumeración «{0}» contiene un valor inválido que se cambiará al valor predeterminado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Aplicar cambios"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Limpiar series"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Numerar automáticamente los libros"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14700,44 +14715,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "Si no se marca, el número en la serie de los libros se pondrá a 1. Si se marca, los libros seleccionados se numerarán automáticamente, en el orden en que los haya seleccionado. Si ha seleccionado primero el libro A y luego el B, el libro A será el número 1 en la serie y el libro B será el número 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Forzar números para que empiecen con "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "Normalmente las series se renumeran a partir del número mayor almacenado para la serie. Si marca esta casilla calibre comenzará la numeración a partir del valor del cuadro."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "El incremento del número de serie para libros sucesivos. Sólo se aplica al forzar números de serie."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "La enumeración «{0}» contiene un valor inválido que no aparecerá en la lista"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Eliminar todas las etiquetas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "etiquetas a añadir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "etiquetas a eliminar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15443,11 +15458,11 @@ msgstr "Esto llevará un tiempo, espere.
 msgid "Vacuuming..."
 msgstr "Limpiando..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Comprobación de la biblioteca — Problemas encontrados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15511,79 +15526,84 @@ msgid ""
 "        "
 msgstr "        <h1>Ayuda</h1>\n<p>calibre almacena la lista de libros y sus metadatos en una base de datos. Los archivos de los libros y las portadas se guardan como archivos normales en la carpeta de la biblioteca de calibre. La base de datos contiene una lista de los archivos y portadas correspondientes a cada libro. Esta utilidad comprueba que los archivos realmente presentes en la carpeta de la biblioteca de su ordenador se corresponden con la información de la base de datos.</p>\n<p>El resultado de cada comprobación se muestra a la izquierda. Las distintas comprobaciones son:</p>\n<ul>\n<li><b>Títulos no válidos</b>: Son archivos y carpetas que están en la biblioteca, donde se encuentran los libros, pero que no tienen la forma correcta para ser un título de libro.</li>\n<li><b>Títulos adicionales</b>: Son archivos adicionales en la biblioteca de calibre que parecen títulos correctos, pero que no tienen una entrada correspondiente en la base de datos.</li>\n<li><b>Autores no válidos</b>: Son archivos que están en la biblioteca, donde sólo deberían estar las carpetas de los autores.</li>\n<li><b>Autores adicionales</b>: Son carpetas en la biblioteca de calibre que parecen autores, pero que no tienen entrada en la base de datos.</li>\n<li><b>Formatos de libro inexistentes</b>: Son formatos de libro que aparecen en la base de datos, pero que no tienen su correspondiente archivo en la carpeta del libro.</li>\n<li><b>Formatos de libro adicionales</b>: Son archivos de libro que están en la carpeta del libro pero no en la base de datos.</li>\n<li><b>Archivos desconocidos</b>: Son archivos adicionales en la carpeta del libro que no corresponden a ningún formato conocido ni a la portada.</li>\n<li><b>Portadas inexistentes</b>: Son libros que en la base de datos tienen una portada asignada, pero cuyo archivo de la portada no existe realmente.</li>\n<li><b>Portadas que no están en la base de datos</b>: Son libros que tienen sus archivos de portadas, pero que no tienen ninguna portada asignada en la base de datos.</li>\n<li><b>Carpetas que dan error</b>: Son carpetas en la biblioteca de calibre que esta utilidad no ha podido procesar o interpretar.</li>\n</ul>\n<p>Hay dos tipos de corrección automática posibles: <i>Borrar marcados</i> y <i>Reparar marcados</i>.</p>\n<p><i>Borrar marcados</i> se usa para eliminar los archivos, carpetas o portadas adicionales que no tienen entrada en la base de datos. Marque la casilla junto al elemento que desee borrar. Utilícelo con precaución.</p>\n<p><i>Reparar marcados</i> se aplica sólo a las portadas y a los formatos inexistentes (las tres líneas marcadas con «reparable»). En el caso de portadas inexistentes, al marcar la casilla de «reparable» y pulsar este botón se eliminará la asignación de portada de la base de datos para todos los archivos de esa categoría. Use esta opción si no va a recuperar las portadas de una copia de seguridad. En el caso de portadas adicionales, al marcar la casilla de «reparable» y pulsar este botón se asignará la portada a todos los archivos de esta categoría. Use esta opción cuando no vaya a borrar los archivos. En el caso de formatos inexistentes, al marcar la casilla de «reparable» y pulsar este botón se eliminará la información de estos formatos. Use esta opción si no va a recuperar los formatos de una copia de seguridad.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Volver a realizar la comprobación"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Copiar al por&tapapeles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Hecho"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Marcar &todos para borrar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Marcar todos los subelementos borrables"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "&Borrar marcados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Borrar archivos marcados (sub-ítems marcados)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Marcar todos para &corregir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Marcar todos los elementos corregibles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&Reparar marcados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Reparar secciones marcadas (elementos reparables marcados)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Nombres para ignorar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Introduzca nombres de archivo con los comodines usuales, separados por comas, por ejemplo synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Extensiones para ignorar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Introduzca separadas por comas la extensiones sin el punto. Usado únicamente en directorios de libros"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(reparable)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr "(eliminable)"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Ruta de la biblioteca"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15633,8 +15653,8 @@ msgstr "La ubicación %s contiene la act
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Ubicación incorrecta"
 
@@ -16190,46 +16210,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (era %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "El elemento está en blanco"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "No puede establecerse un elemento en blanco. Bórrelo en su lugar."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "No hay ningún elemento seleccionado"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Debe seleccionar un elemento de la lista de elementos disponibles."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "No hay elementos seleccionados"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Debe seleccionar al menos un elemento de la lista."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "¿Está seguro de querer borrar los siguientes elementos?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Editor de categorías"
 
@@ -16238,7 +16258,7 @@ msgid "Items in use"
 msgstr "Ítems en uso"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16253,11 +16273,11 @@ msgstr "Cambiar el nombre del elemento e
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Este libro tiene DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16285,7 +16305,7 @@ msgid "Already in calibre:"
 msgstr "Existente en calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16310,28 +16330,28 @@ msgid "Change case"
 msgstr "&Cambiar mayúsculas y minúsculas"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Ma&yúsculas"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "&Minúsculas"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "&Intercambiar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16358,65 +16378,65 @@ msgstr "Nombre de autor no válido"
 msgid "You cannot change an author to multiple authors."
 msgstr "No puede convertir un autor en múltiples autores."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Administrar autores"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Buscar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr "&Buscar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>Mostrar sólo autores en la biblioteca virtual actual. Las modificaciones ya hechas pueden quedar ocultas, pero no se olvidarán.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr "Mostrar sólo autores en la biblioteca &virtual actual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr "&Filtrar por:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr "<p>Mostrar sólo autores que contengan el texto en este cuadro. No se distinguen mayúsculas y minúsculas.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr "&Filtrar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Restablecer todos los valores de orden de autor al valor\ngenerado automáticamente a partir del autor. La manera\nprecisa en que este valor se genera puede controlarse en\nPreferencias > Avanzado > Ajustes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "&Recalcular todos los valores de orden de autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Copiar el orden de autor en el autor para todos los autores.\nLo normal es usar este botón después de modificar\nPreferencias > Avanzado > Ajustes > Algoritmo de orden de autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "&Copiar todos valores de orden de autor a autor"
 
@@ -16749,77 +16769,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Ocultar el mensaje de error restante"
 msgstr[1] "Ocultar los {} mensajes de error restantes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Procesando"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Procesando %d libros, espere..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "Progreso del paso actual: %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Paso %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Minúsculas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Mayúsculas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Formato de título (todas las iniciales en mayúscula)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Coincidencia de caracteres"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Expresión regular"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Sustituir campo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Anteponer al campo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Añadir al campo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Modificar metadatos para <b>%d libros</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Hacer todos los cambios inmediatamente sin cerrar el cuadro de diálogo. Esta operación no se puede cancelar ni deshacer."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Libro %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Introduzca un tipo de identificador"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16827,7 +16847,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Puede destruir la biblioteca usando esta función.</b> Los cambios son permanentes. No hay vuelta atrás. Se recomienda encarecidamente realizar una copia de respaldo de la biblioteca antes de continuar.<p>Puede buscar y sustituir en los campos de texto utilizando coincidencias por caracteres o expresiones regulares. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16837,7 +16857,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "En el modo de caracteres, el texto introducido se busca en el campo. El texto se sustituye por el texto de sustitución especificado en cualquier lugar que se encuentre en el campo. Una vez finalizada la sustitución, el texto puede cambiarse a mayúsculas, minúsculas o  mayúscula inicial. Si la casilla de distinguir entre mayúsculas y minúsculas está marcada, el texto buscado debe coincidir exactamente. Si está desactivada, se encontrarán coincidencias tanto con mayúsculas como con minúsculas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16852,80 +16872,80 @@ msgid ""
 "function."
 msgstr "En el modo de expresiones regulares, el texto de búsqueda es una expresión regular compatible con Python. El texto de sustitución puede contener referencias a expresiones entre paréntesis en el patrón. La búsqueda no está anclada y puede producir múltiples sustituciones. Las funciones de modificación («lower-case», etc.) se aplican a las coincidencias de la búsqueda, no al campo completo. El cuadro de destino especifica el campo al que se asignará el resultado después de la búsqueda y sustitución. Puede reemplazar el texto del campo, o añadir la coincidencia al principio o al final. Vea <a href=\"https://docs.python.org/library/re.html\">esta referencia</a> para más información sobre las expresiones regulares de Python, y en particular sobre la función «sub»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "ERROR DE PLANTILLA B/S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Debe especificar un destino cuando el origen es un campo compuesto o una plantilla"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "El valor de sustitución para una columna de calificación debe ser vacío o un número entero entre 0 y 10"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Debe especificar un tipo de identificador de destino"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Debe especificar una expresión de búsqueda en el campo «Buscar»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Texto de identificador no válido. Debe ser una lista separada separada por comas de parejas de textos separados por «:»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Buscar/sustituir no válido"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "La búsqueda/sustitución no es válida: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Borrar la búsqueda/sustitución guardada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "La búsqueda/sustitución guardada seleccionada se borrará. ¿Está seguro?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Guardar búsqueda/sustitución"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Nombre de búsqueda/sustitución:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Esa búsqueda o sustitución guardada ya existe y será reemplazada. ¿Desea continuar?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Modificar metadatos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr "&Aplicar la fecha"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16933,90 +16953,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Esto hará que el campo de orden de autor se actualice automáticamente\nsegún el campo de autores para cada libro seleccionado. Tenga en cuenta\nque si usa el control de arriba para establecer los autores en masa, el\ncampo de orden de autor se actualiza de todas formas, independientemente\ndel estado de esta casilla."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Establecer a&utomáticamente el orden de autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "&Intercambiar título y autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Actualizar el orden de título según el título actual. Esto se realizará después del resto de cambios de título."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Actualizar orden de &título"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Cambiar &portada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Generar portada predeterminada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Eliminar portada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Intentar detectar automáticamente y eliminar los bordes y el espacio sobrante en el exterior de las imágenes de portada. Usar con precaución, pues puede eliminar demasiado en ocasiones."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "&Recortar portada (ARRIESGADO)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "Establecer a partir de los &archivos del libro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Establecer la portada del primer libro seleccionado para todos los seleccionados."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Copiar portadas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Hace que el título tenga la inicial mayúscula. Si tanto esta casilla como la de intercambiar\nautor y título están marcadas, primero se intercambian y luego se cambia el título."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Cambiar &mayúsculas y minúsculas del título a:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Fecha:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Si se activa, la editorial se dejará en blanco"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "&Limpiar editorial"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "P&ublicado:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17024,118 +17044,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Si no se marca, el número en la serie de los libros se pondrá a 1.\nSi se marca, los libros seleccionados se numerarán automáticamente,\nen el orden en que los haya seleccionado. Si ha seleccionado primero\nel libro A y luego el B, el libro A será el número 1 en la serie y el libro\nB será el número 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Numerar &automáticamente los libros de esta serie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Normalmente las series se renumeran a partir del número mayor almacenado para\nla serie. Si marca esta casilla calibre comenzará la numeración a partir del valor del cuadro."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Obligar a que los números empiecen por:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Si está marcado, las series serán borradas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Borrar la serie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Controla cómo se crean las portadas generadas automáticamente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Configurar generación de &portadas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Establecer co&mentario para todos los libros seleccionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "Eli&minar etiquetas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Eliminar &todos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Añadir eti&quetas: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Especifica cómo ordenar el o los autores de este libro. Por ejemplo, ordenar Miguel de Cervantes como Cervantes, Miguel de."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "&Aplicar calificación"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Borrar la fecha de publicación"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Idiomas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Lista de etiquetas, separadas por comas, para eliminar de los libros "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Abrir editor de etiquetas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "&Orden de autor: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Establecer los metadatos en calibre a partir de los metadatos en los archivos de libro electrónico asociados con cada libro. Tenga en cuenta que esto no cambia la portada, para ello use la opción aparte más abajo."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Establecer &metadatos (excepto portada) a partir de los archivos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Ser&ie:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Eliminar configuraciones de conversión para los libros seleccionados.\n\nLas conversiones futuras de estos libros usarán las configuraciones predeterminadas."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Eliminar las &configuraciones de conversión guardadas para los libros seleccionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17144,152 +17164,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Al hacer una conversión al mismo formato, por ejemplo\nde EPUB a EPUB, calibre guarda el EPUB original como\nORIGINAL_EPUB. Esta opción hace que calibre recupere\nel EPUB de ORIGINAL_EPUB. Esto es útil si realiza una\nconversión en masa de un gran número de libros y algo\nsale mal."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Recuperar los &originales, si están disponibles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Marque esta casilla para eliminar todas las etiquetas de los libros."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Valoración:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Metadatos &básicos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Metadatos &personalizados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "Cargar &búsqueda/sustitución:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Seleccione una búsqueda/sustitución guardada para cargar."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Guardar la búsqueda/sustitución actual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Guardar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Campo de &búsqueda:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "El nombre del campo en el que desea buscar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Modo de &búsqueda:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Elija si desea usar el modo básico de búsqueda de texto o el modo avanzado de expresiones regulares"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "Tipo de &identificador:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Elija el tipo de identificador sobre el que operar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Plantilla:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Introduzca una plantilla para usar como fuente de búsqueda y sustitución"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Introduzca lo que quiere buscar, en texto simple o como expresión regular, según el modo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Marque esta casilla si el texto de búsqueda debe coincidir exactamente en mayúsculas o minúsculas. Desmárquela si las mayúsculas o minúsculas son indiferentes."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Distinguir &mayúsculas y minúsculas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Sustituir por:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "El texto de sustitución. Las coincidencias del texto buscado se sustituirán por este texto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Aplicar función después de sustituir:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Especifique cómo ha de procesarse el texto después de buscar y sustituir. En el modo de caracteres se procesa todo el texto. En el modo de expresiones regulares sólo se procesan las coincidencias de la búsqueda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "&Campo de destino:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "El campo donde se pondrá el texto después de todas las sustituciones.\nSi se deja en blanco, se usará el campo de origen si es modificable."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "M&odo:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Especifica cómo debe copiarse el texto en el destino."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Especifica si los resultados se dividen en múltiples valores o se dejan\ncomo uno solo. Esta opción tiene más efectos cuando el campo de origen\nno es múltiple y el de destino sí lo es."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Dividir &resultado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Tipo de identificador:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17297,48 +17317,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Elija el tipo de identificador sobre el que operar. Cuando el campo de origen es algo distinto de 'identifiers' puede introducir un «*» para sustituir el conjunto completo de identificadores por el resultado de la búsqueda y sustitución.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Para campos con &valores múltiples, mostrar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "val&ores a partir de"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "con valores separados &por"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Usado cuando se muestran resultados de prueba para separar los valores en campos con valores múltiples"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Texto de prueba"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Resultado de prueba"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Su &prueba:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "Bu&scar y sustituir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Si se activa, la lista de libros se reordenará y se actualizará\ncualquier búsqueda o biblioteca virtual después de\nrealizar una modificación. Esto puede resultar lento con\nbibliotecas muy grandes."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "&Actualizar lista de libros al modificar"
 
@@ -17967,7 +17987,7 @@ msgstr "Búsqueda guardada no válida"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Administrar búsquedas guardadas"
 
@@ -18627,76 +18647,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "La categoría de etiquetas actual se <b>borrará permanentemente</b>. ¿Está seguro?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Editor de categorías de usuario"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "&Nombre de la categoría: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Seleccione una categoría para editar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "&Filtro de categoría:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Seleccione el tipo de contenido de la nueva categoría"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr "&Filtro de elementos: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr "Introduzca un texto para filtrar los elementos disponibles. Se ignoran los acentos y no se distinguen mayúsculas y minúsculas."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr "Borrar la categoría de etiquetas actual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr "Introduzca un nombre de categoría, después use el botón «añadir» o el botón «cambiar nombre»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Añadir una nueva categoría"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Cambiar el nombre de la categoría actual a lo que aparece en el cuadro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr "<p>Mostrar elementos en el cuadro de elementos disponibles sólo si aparecen en la biblioteca virtual actual. Los elementos aplicados que no están en la biblioteca virtual se marcarán con «en ningún libro».</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr "&Mostrar sólo los elementos disponibles en la biblioteca virtual actual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "&Elementos disponibles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Añadir etiquetas a la categoría de etiquetas actual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "Elementos &aplicados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Eliminar etiqueta de la categoría de etiquetas actual"
 
@@ -18728,121 +18748,121 @@ msgid ""
 "to delete them?"
 msgstr "Las siguientes etiquetas están en uno o más libros. ¿Está seguro de querer borrarlas?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr "Administrar elementos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr "&Añadir elemento:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr "Aplicar elemento(s) al libro actual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr "Filtrar los elementos disponibles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr "Borrar el elemento de la base de datos. Esto quitará el elemento de todos los libros y después lo eliminará de la base de datos."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr "&Elementos disponibles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr "Aplicar elemento al libro actual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr "Eliminar (quitar) elemento del libro actual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr "Filtrar los elementos aplicados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Recuento"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Antes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr "Modificando..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "¿De verdad quiere deshacer los cambios?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "¿Recuperar elemento?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Ese elemento está eliminado. ¿Desea recuperarlo?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr "Buscar un elemento en la primera columna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr "Buscar elementos que contengan el texto de búsqueda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>Mostrar sólo los elementos que aparezcan en la biblioteca virtual actual. Las modificaciones ya hechas pueden quedar ocultas, pero no se olvidarán.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr "Mostrar sólo elementos en la biblioteca &virtual actual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr "&Filtrar por:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr "Filtrar elementos usando el texto en este cuadro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr "Mostrar sólo los elementos que contienen este texto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr "F&iltrar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr "Cambiar el nombre del elemento en todos los libros donde sea utilizado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Deshacer modificaciones en las líneas seleccionadas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19723,17 +19743,17 @@ msgstr "Distribución"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Mostrar y ocultar distintas partes de la ventana principal de calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "No hay formato %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "El libro {0} no tiene el formato {1}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Restaurar %s"
@@ -20014,21 +20034,11 @@ msgstr "Libro %(sidx)s de <span class=\"
 msgid "This book is on the device in %s"
 msgstr "Este libro está en el dispositivo en %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Establecer la fecha como indefinida"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Establecer la fecha de hoy"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Establecer como indefinido"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "S"
 
@@ -20372,7 +20382,7 @@ msgid ""
 msgstr "La ruta a Calibre Portátil (%s) es demasiado larga. Debe tener menos de 59 caracteres."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Biblioteca de calibre"
 
@@ -20535,6 +20545,16 @@ msgstr "&Salir"
 msgid "Unhandled exception"
 msgstr "Excepción no considerada"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Establecer la fecha como indefinida"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Establecer la fecha de hoy"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20814,7 +20834,7 @@ msgstr "&Editorial:"
 msgid "Clear publisher"
 msgstr "Limpiar editorial"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Borrar fecha"
 
@@ -20884,7 +20904,7 @@ msgid "Processed %s"
 msgstr "Procesado %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Campos de metadatos para descargar"
 
@@ -21645,13 +21665,13 @@ msgid "&Automatic adding"
 msgstr "&Adición automática"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Alta"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Baja"
 
@@ -21676,80 +21696,80 @@ msgstr "Todo en una pestaña"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Los diálogos de confirmación se han restablecido"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Notificar cuando haya una &nueva versión disponible"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Enviar n&oticias descargadas automáticamente al lector de libros electrónicos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Prioridad de tareas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr "Elija una distribución diferente para el diálogo «Modificar metadatos». La distribución compacta de metadatos favorece la edición de metadatos personalizados sobre el cambio de formatos y portadas."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Orden de preferenc&ia de formatos de entrada:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "F&ormato de salida principal:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "Distribución de «Modificar metadatos» (ú&nico)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Si se activa, las columnas personalizadas de sí/no, pueden tener los valores «Sí», «No» o «Indefinido».\nSi no se activa, los valores pueden ser «Sí» o «No»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "Las columnas de &sí/no tienen tres valores (requiere reiniciar el programa)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Eliminar noticias de la biblioteca cuando se hayan enviado automáticamente al lector"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "&Tiempo de espera máximo predeterminado de la red:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Establecer el tiempo de espera máximo para peticiones de red (cada vez que se conecte a Internet para obtener información)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " segundos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr "Usar esta biblioteca virtual al iniciar calibre si la biblioteca actual está en uso. También se aplica al cambiar a esta biblioteca. Tenga en cuenta que esta opción es independiente para cada biblioteca "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Restablecer todos los diálogos de &confirmación desactivados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "&Usar visor interno para:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Biblioteca virtual que se aplicará cuando se abre la &biblioteca actual:"
 
@@ -22738,37 +22758,37 @@ msgid ""
 " effect.\n"
 msgstr "Copie estos valores al portapapeles, péguelos en un editor e introdúzcalos en USER_DEVICE personalizando el complemento de dispositivo en Preferencias > Avanzado > Complementos. Recuerde que debe también introducir las carpetas donde quiere almacenar los libros. Es necesario reiniciar calibre para que los cambios tengan efecto.\n"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr "<p>calibre puede enviarle libros (o a su lector) por correo electrónico. Se enviarán correos automáticamente con las noticias descargadas a todas las direcciones que tengan la opción de <i>envío automático</i> marcada."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Añadir una dirección de correo electrónico a la que se enviarán los libros"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Añadir correo electrónico"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Asignar como pre&determinada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "E&liminar correo electrónico"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Añadir los comentarios de los metadatos del libro al mensaje.\nEsto es útil para que el destinatario pueda ver un resumen del libro antes de abrirlo."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Añadir &comentarios como texto en el mensaje"
 
@@ -22905,8 +22925,8 @@ msgid "Create a new rule"
 msgstr "Crear una nueva regla"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
-msgstr "La clave del identificador; por ejemplo, en isbn:XXX, la clave es isbn"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
+msgstr "La clave del identificador; por ejemplo, en isbn:XXX, la clave es «isbn»"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
 msgid "&Key:"
@@ -23043,7 +23063,7 @@ msgid "If there is enough room"
 msgstr "Si hay suficiente espacio"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Por la primera letra"
 
@@ -23314,7 +23334,7 @@ msgid "Caching of covers for improved pe
 msgstr "Mantener caché de portadas para mejorar el rendimiento"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Desactivar"
 
@@ -23709,86 +23729,86 @@ msgstr "Ningún origen seleccionado"
 msgid "No source selected, cannot configure."
 msgstr "Ningún origen seleccionado, no se puede configurar."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Orígenes de metadatos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr "Desactive los orígenes de metadatos que no desee, desmarcando la casilla. También puede establecer la prioridad de la portada. Las portadas procedentes de orígenes con mayor prioridad (números más pequeños) tendrán preferencia cuando se descarguen metadatos en masa."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Los orígenes con una X roja al lado deben configurarse antes de usarse. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "C&onfigurar el origen seleccionado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Si desactiva algún campo, los metadatos de ese campo no se descargarán"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Seleccionar todo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr "No seleccionar na&da"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Recuperar el conjunto de campos seleccionados que ha definido previamente con el botón «Establecer como predeterminado»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr "&Seleccionar predeterminado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Almacenar los campos seleccionados como predeterminados, puede recuperar los campos predeterminados con el botón «Seleccionar predeterminado»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Establecer como predeterminado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Convertir todos los comentarios descargados a &texto simple"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Invertir nombres de &autor de «nombre apellido» a «apellido, nombre»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Al descargar comentarios, agregar los comentarios descargados a los existentes, en lugar de sustituirlos."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "Al descargar comentarios, añadirlos a los existentes, en lugar de sustituirlos."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Agregar comentarios a los &existentes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23797,47 +23817,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr "<p>Normalmente el sistema de descarga de metadatos mantiene un único resultado por origen de metadatos. Esta opción hace que se mantengan todos los resultados devueltos por cada origen de metadatos. Es útil si usa sólo uno o dos orígenes y desea seleccionar los resultados que proporcionan a mano. Tenga en cuenta que los resultados con idéntico título, autor e identificadores siguen apareciendo combinados."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "Mantener más de una entrada por origen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Los diferentes orígenes de metadatos contienen distintos conjuntos de etiquetas para el mismo libro. Si se activa esta opción, calibre usará el menor conjunto de etiquetas. Esto suele representar mejor el género del libro, mientras que el conjunto mayor tiende a describir el contenido del libro.\n<p>Tenga en cuenta que esta opción sólo tiene importancia práctica si alguna de las fuentes de metadatos tiene un conjunto de etiquetas de tipo género para el libro que busca. Frecuentemente todas tienen conjuntos mayores."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Preferir conjuntos de etiquetas más reducidos al tomar etiquetas de distintos orígenes de metadatos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Preferir &menos etiquetas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Crear &reglas para filtrar o transformar etiquetas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "Crear reglas para &transformar nombres de autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "&Número máximo de etiquetas para descargar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Tiempo &máximo de espera después de encontrar la primera coincidencia:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " segundos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Tiempo máximo de espera después de encontrar la primera &portada:"
 
@@ -25383,7 +25403,7 @@ msgid "Paste and &search"
 msgstr "Pegar y &buscar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Pegar"
@@ -26409,150 +26429,150 @@ msgstr "Todos estos administradores de c
 msgid "'Click' found item"
 msgstr "Pulsar el elemento encontrado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Cambiar icono para: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr "Cambiar el nombre de %s en la biblioteca virtual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Cambiar el nombre de %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr "Borrar %s en la biblioteca virtual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Eliminar %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Modificar orden para %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Modificar enlace para %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "Añadir %s a la categoría de usuario"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Subcategorías de %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr "Aplicar %s a los libros seleccionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr "Añadir %s a los libros seleccionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr "Eliminar %s de los libros seleccionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr "Borrar búsqueda guardada %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Eliminar %(item)s de la categoría %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Buscar todo menos %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "Buscar usando la expresión de búsqueda guardada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Añadir una subcategoría a %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Eliminar la categoría de usuario %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Ocultar categoría %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Mostrar categoría"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Buscar libros en la categoría %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Buscar libros que no están en la categoría %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Cambiar icono de categoría"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Restaurar icono predeterminado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Administrar categorías de usuario"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Ver todas las categorias"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Cambiar el método de división de categorías"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Partición"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "La primera letra sólo puede usarse cuando se ordena por nombre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "E&xpandir todos los descendientes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Contraer todos los niveles"
 
@@ -27222,7 +27242,7 @@ msgid "The Qt WebEngine Render process c
 msgstr "El proceso Qt WebEngine Render se ha cerrado y ha sido reiniciado"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Cambios sin guardar"
 
@@ -27629,12 +27649,12 @@ msgid ""
 msgstr "El archivo %s no existe. Si ha pulsado en un elemento del índice, puede que tenga que actualizarlo pulsando con el botón derecho y eligiendo «Actualizar»."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Formato de archivo no soportado"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "La edición de archivos de tipo %s no está soportada"
@@ -27692,76 +27712,76 @@ msgid "Import"
 msgstr "Importar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Antes de: Sustituir %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Debe abrir un libro para poder ver el informe."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Debe abrir primero un libro para comprobar los enlaces."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Debe abrir primero un libro para comprimir las imágenes."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Antes de: Comprimir imágenes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Error inesperado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Fallo al comprimir imágenes, pulse «Mostrar detalles» para más información."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "No se puede descodificar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "No se puede modificar %s porque aparentemente tiene una codificación de caracteres desconocida"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "No hay ningún libro abierto actualmente. Para modificar un libro debe abrirlo primero."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "El libro actual se está guardando en segundo plano. ¡Si sale ahora se <b>abortará el proceso de guardado</b>! ¿Terminar de guardar primero?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Salir inmediatamente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Terminar de &guardar primero"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Hay cambios sin guardar, si sale sin guardarlos se perderán."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Guardar y salir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Salir sin guardar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Guardando, espere..."
 
@@ -31164,18 +31184,18 @@ msgstr[1] "Se han restablecido {} petici
 msgid "Disabled confirmations restored"
 msgstr "Confirmaciones desactivadas restablecidas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr "El proceso Render se ha cerrado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr "El proceso Qt WebEngine Render se ha cerrado, por lo que la vista previa o el CSS en vivo no funcionará. Pruebe a reiniciar el editor."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31189,70 +31209,70 @@ msgid ""
 "            "
 msgstr "\n<h3>Previsualización en vivo</h3>\n<p>Aquí se mostrará una previsualización en vivo del archivo HTML actualmente en edición. La previsualización se actualizará automáticamente con los cambios realizados.\n<p style=\"font-size:x-small; color: gray\">Tenga en cuenta que esto es sólo una vista rápida, no pretende simular un lector de libros electrónicos real. Algunos elementos del libro no funcionarán, como márgenes y saltos de página."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Inspeccionar elemento"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Abrir el enlace"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Modificar %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Buscar en la previsualización"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Ubicación no válida"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "No se puede dividir la etiqueta «body»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Fallo al lanzar proceso de trabajo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Error al lanzar el proceso de trabajo utilizado para generar la vista previa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "No se puede desactivar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "No se puede desactivar el refresco automático del panel de previsualización mientras el panel de CSS en vivo está abierto."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Volver a cargar automáticamente cuando cambie el texto en el editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Desactivar recarga automática de previsualización"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Desactivar sincronización de las posiciones de previsualización y edición"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Activar sincronización de las posiciones de previsualización y edición"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Cancelar división de archivo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34200,13 +34220,13 @@ msgstr "Fallo en la carga del libro"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "No se pudo abrir el libro en {0}. Pulse «Mostrar detalles» para más información."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "El proceso Qt WebEngine Render se ha cerrado. Pruebe a reiniciar el visor."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "Elegir una imagen de fondo"
 
@@ -34241,30 +34261,30 @@ msgstr "Ocultar {}"
 msgid "Show {}"
 msgstr "Mostrar {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Elegir un &color"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Elegir un color"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Cor&tar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "Pas&o adelante"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "Paso &atrás"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Sin calificar"
 
@@ -34318,44 +34338,48 @@ msgstr "Teléfono Android con lector Kin
 msgid "Android tablet with Kindle reader"
 msgstr "Tableta Android con lector Kindle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr "Genérico"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Escoja su lector de libros electrónicos. Si su dispositivo no aparece en la lista, elija un dispositivo «%s»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "Si está trasladando calibre de un equipo antiguo a otro nuevo, lea <a href=\"{0}\">las instrucciones</a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Seleccionar ubicación para los libros"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "No se pudo crear una carpeta en %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Debe elegir una carpeta vacía para la biblioteca de calibre. %s no está vacía."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Siguiente >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Atrás"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34363,15 +34387,15 @@ msgstr "< &Atrás"
 msgid "Cancel"
 msgstr "Cancelar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Finalizar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Confirmar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Asistente de bienvenida"
 
@@ -34379,7 +34403,7 @@ msgstr "Asistente de bienvenida"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Bienvenido a calibre"
@@ -34387,7 +34411,7 @@ msgstr "Bienvenido a calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "La solución integral a todas sus necesidades con los libros electrónicos."
@@ -34402,7 +34426,7 @@ msgstr "&Dispositivos"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Página del asistente"
@@ -34440,17 +34464,17 @@ msgstr "<p>calibre puede enviar libros a
 msgid "&Kindle email:"
 msgstr "Correo electrónico del &Kindle:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Elija su &idioma:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Elija una ubicación para los libros. Cuando añada libros en calibre, se copiarán aquí. Use una <b>carpeta vacía</b> para una biblioteca de calibre nueva:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37036,6 +37060,27 @@ msgstr "check_yes_no(nombre_de_campo, no
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no requiere que el campo sea una columna personalizada de sí o no"
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr "rating_to_stars(valor, usar_media_estrella) -- Devuelve la calificación como caracteres de estrella. El valor es un número entre 0 y 5. Ponga usar_media_estrella a 1 si quiere caracteres de media estrella para columnas personalizadas de calificación que permiten números no enteros, por ejemplo 2.5."
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr "La calificación debe ser un número entre 0 y 5"
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr "swap_around_articles(valor, separador) -- devuelve el valor con los artículos puestos al final. El valor puede ser una lista, en cuyo caso se procesará cada elemento de la lista. Si el valor es una lista, debe proporcionar el separador de los elementos de la lista. Si no se proporciona ningún separador, la lista se trata como un único valor, no una lista."
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "Imagen sin nombre"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/et.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/et.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/et.po	2020-07-02 04:00:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/et.po	2020-07-16 16:37:59.000000000 +0000
@@ -13,9 +13,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-14 01:40+0000\n"
+"Last-Translator: Maidur\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -212,7 +212,7 @@ msgstr "Ei tee midagi"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -224,12 +224,12 @@ msgstr "Ei tee midagi"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -988,7 +988,7 @@ msgstr "See profiil on mõeldud SONY PRS
 
 #: /home/kovid/work/calibre/src/calibre/customize/profiles.py:544
 msgid "Generic e-ink"
-msgstr ""
+msgstr "Üldine e-ink"
 
 #: /home/kovid/work/calibre/src/calibre/customize/profiles.py:546
 msgid "Suitable for use with any e-ink device"
@@ -996,7 +996,7 @@ msgstr "Sobib kasutamiseks kõigi e-ink
 
 #: /home/kovid/work/calibre/src/calibre/customize/profiles.py:552
 msgid "Generic e-ink large"
-msgstr ""
+msgstr "Üldine e-ink suur"
 
 #: /home/kovid/work/calibre/src/calibre/customize/profiles.py:554
 msgid "Suitable for use with any large screen e-ink device"
@@ -1004,7 +1004,7 @@ msgstr "Sobib kasutamiseks suurte ekraan
 
 #: /home/kovid/work/calibre/src/calibre/customize/profiles.py:562
 msgid "Generic e-ink HD"
-msgstr ""
+msgstr "Üldine e-ink HD"
 
 #: /home/kovid/work/calibre/src/calibre/customize/profiles.py:564
 msgid "Suitable for use with any modern high resolution e-ink device"
@@ -1139,9 +1139,9 @@ msgstr "Kataloog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1166,7 +1166,7 @@ msgstr "Rada koguni ({0}) liiga pikk. Pe
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1228,7 +1228,7 @@ msgstr "Salvestatud otsingud"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2841,8 +2841,8 @@ msgstr "Seadmes olevate raamatute loendi
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2851,8 +2851,8 @@ msgstr "Raamatute eemaldamine seadme met
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3195,7 +3195,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3308,7 +3308,7 @@ msgid "Communicate with MTP devices"
 msgstr "Suhtle MTP-seadmetega"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Seadme info hankimine..."
@@ -3335,8 +3335,8 @@ msgid "Finished reading metadata from de
 msgstr "Seadme metaandmete lugemine valmis"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3724,61 +3724,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Liiga palju ühenduskatseid partnerilt %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Sinu seadmel olev äpp on liiga vana ja seda ei toetata enam. Uuenda see uuemale versioonile."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Sinu kogus on tuleviku kuupäevadega raamatuid. Üksikasjade saamiseks vaata calibret"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "Lugemise sünkroonimise veergu %s ei ole calibre kogus"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "Lugemise sünkroonimise veerg %s ei ole Jah/Ei tüüpi veerg"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "Lugemise kuupäeva sünkroonimise veergu %s ei ole calibre kogus"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "Lugemise kuupäeva sünkroonimise veerg %s ei ole kuupäeva tüüpi veerg"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Vale tihenduse kvaliteedi säte. See peab olema number 50 ja 99 vahel. Sunniti väärtusele %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Vigane port valikutes: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Ei suutnud ühenduda pordiga %d. Proovi muud väärtust."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Juhusliku pordi eraldamine ebaõnnestus"
 
@@ -4666,7 +4677,7 @@ msgstr "Kõik artiklid"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/pdb_output.py:27
 msgid "Format to use inside the PDB container. Choices are:"
-msgstr ""
+msgstr "Formaat, mida PDB-konteineris kasutada. Valikud on:"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/pdb_output.py:30
 msgid ""
@@ -6212,7 +6223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Ei"
 
@@ -6235,7 +6246,7 @@ msgid "Producer"
 msgstr "Tootja"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6501,103 +6512,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google pildid"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Laadib alla metaandmed ja kaanepildid Amazonist"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "US"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Prantsusmaa"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Saksamaa"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "UK"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Austraalia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Itaalia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Jaapan"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Hispaania"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brasiilia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Holland"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Hiina"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Kanada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Vali server automaatselt"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Amazoni serverid"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Bing otsingu puhver"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Google otsingu puhver"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Wayback machine'i puhver (aeglane)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Amazoni riigi veebisait, mida kasutada:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Amazoni metaandmed võetakse selle riigi Amazoni lehelt."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Server, kust andmeid hankida:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon on hakanud blokeerima katseid oma serveritest metaandmeid alla laadida. Sellest probleemist möödapääsemiseks saab calibre Amazoni andmeid tõmmata mitmest eri kohast, kus need on puhvris. Vali, millist allikat eelistad kasutada."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Metaandmete otsimisel kasuta MOBI-ASIN"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6605,7 +6616,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazon ei saatnud andmeid. Proovi hiljem uuesti."
 
@@ -8494,7 +8505,7 @@ msgstr "Ühtki faili pole lõikelauale k
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8972,7 +8983,7 @@ msgstr "Kaust %s on juba olemas. Kustuta
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Liiga pikk"
 
@@ -9017,7 +9028,7 @@ msgstr "Kogu %s on nüüd calibrest eema
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9069,7 +9080,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9224,7 +9235,7 @@ msgid "Browse for library"
 msgstr "Otsi kogu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "Kopeeri"
@@ -9264,7 +9275,7 @@ msgstr "{0}, autor {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Vali kõiik"
 
@@ -10160,7 +10171,7 @@ msgid "Move to next highlighted match"
 msgstr "Liigu järgmisele esiletõstetud vastele"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10762,7 +10773,7 @@ msgid "this book"
 msgstr "seda raamatut"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Otsi %s"
@@ -10973,7 +10984,7 @@ msgstr "Raamatu eelvaade"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11421,8 +11432,8 @@ msgstr "Muuda"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11551,42 +11562,47 @@ msgid "Search the internet for this book
 msgstr "Otsi seda raamatut internetist"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Halda: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Kustuta %s-formaat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Salvesta %s-formaat kettale"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Taasta %s-formaat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Võrdle formaadiga %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11595,112 +11611,112 @@ msgstr "Võrdle formaadiga %s"
 msgid "Open %s with..."
 msgstr "Ava %s programmiga..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Lisa %s-failide avamiseks muu programm..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Muuda programme, millega avada..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "Kopeeri faili rada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr "Kopeeri autori link"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Otsi calibrest: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Kopeeri tee"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr "Kopeeri identifikaator"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Eemalda sellest raamatust %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Kopeeri kõik"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Kopeeri lingi aadress"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Ava kaanepilt programmiga..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Lisa muu programm, millega kaanepilt avada..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Kleebi kaanepilt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Kopeeri kaanepilt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Salvesta kaanepilt kettale"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Eemalda kaanepilt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Loo kaanepilt metaandmetest"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Kaanepildi salvestuskoha valimine"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "JPEG-pildid"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Raamatu üksikasjade akna avamiseks topeltklõpsa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Rada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11708,7 +11724,7 @@ msgstr "Rada"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Kaanepildi suurus: %(width)d x %(height)d pikslit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Muuda selle raamatu identifikaatoreid"
 
@@ -11777,7 +11793,7 @@ msgstr "väljund"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11795,11 +11811,11 @@ msgstr "väljund"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11938,7 +11954,7 @@ msgid "Preset name:"
 msgstr "Eelseadistuse nimi:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Sa pead sisestama nime."
 
@@ -11973,7 +11989,7 @@ msgstr "Tõene"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12020,8 +12036,8 @@ msgid "Delete current preset"
 msgstr "Kustuta praegune eelseadistus"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Kustuta"
 
@@ -12133,22 +12149,22 @@ msgstr "Taasta vaikeseaded"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12376,7 +12392,7 @@ msgstr "Pealkiri {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12851,10 +12867,10 @@ msgstr "Kirjasuuruse võti:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13286,7 +13302,7 @@ msgid "Change the title of this book"
 msgstr "Muuda selle raamatu pealkirja"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "Autor(id): "
 
@@ -13301,7 +13317,7 @@ msgid ""
 msgstr "Muuda selle raamatu autorit/autoreid. Autorite eraldamiseks tuleks kasutada koma"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "Kirjastaja:"
 
@@ -13310,7 +13326,7 @@ msgid "Ta&gs: "
 msgstr "Sildid:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13325,8 +13341,8 @@ msgstr "Sari:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Teadaolevate sarjade loend. Sa saad uusi sarju lisada."
@@ -13370,7 +13386,7 @@ msgstr "<b>HOIATUS:</b> Mitmel Kindle'i
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup.py:31
 msgid "Default profile"
-msgstr ""
+msgstr "Vaikimisi profiil"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup.py:36
 #: /home/kovid/work/calibre/src/calibre/srv/convert.py:255
@@ -13393,45 +13409,45 @@ msgstr "Ekraani suurus: %s"
 msgid "Page setup"
 msgstr "Lehe seadistamine"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "&Väljundprofiil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Profiili kirjeldus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "&Sisendprofiil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Veerised"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "Vasakul:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Muutmata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "Üleval:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "Paremal:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "All:"
@@ -13777,7 +13793,7 @@ msgid "Edit the currently selected expre
 msgstr "Muuda valitud avaldist"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "Muuda"
 
@@ -14603,74 +14619,73 @@ msgstr "Vali fail, millest reegleid impo
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Määramata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Määra '%s' tänaseks"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Tühjenda '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Väärtused muutunud"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Sa oled väärtuseid muutnud. Selle redaktori kasutamiseks pead esmalt need muudatused kas tühistama või salvestama. Kas salvestada muudatused?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " indeks:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Nummerdus \"{0}\" sisaldab vigast väärtust, mis määratakse vaikesättele"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Rakenda muudatused"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Tühjenda sarja väli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Automaatselt nummerda raamatud"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14678,44 +14693,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Sunni nummerduse algusarvuks "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Nummerdus \"{0}\" sisaldab vigaseid väärtusi, mida loendis ei näidata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Eemalda kõik sildid"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15421,11 +15436,11 @@ msgstr "See võib aega võtta, palun oot
 msgid "Vacuuming..."
 msgstr "Korrastamine..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Kogu kontrollimine -- Leiti probleeme"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15489,79 +15504,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "Teosta kontroll uuesti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Kopeeri lõikelauale"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "Valmis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Märgi kõik kustutamiseks"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Märgi kõik kustutatavad alamkirjed"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Kustuta märgitud"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Märgi kõik parandamiseks"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Märgi kõik parandatavad kirjed"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "Paranda märgitud"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Eiratavad nimed:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Eiratavad laiendid:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Sisesta komaeraldusega laiendused ilma juhtpunktita. Kasutatakse ainult raamatu kaustades"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(parandatav)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr "(kustutatav)"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Rada kogust"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15611,8 +15631,8 @@ msgstr "Asukoht %s sisaldab praegust cal
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Vilets asukoht"
 
@@ -15688,7 +15708,7 @@ msgstr "Sinu calibre kogu asub praegu ka
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:79
 msgid "New &location:"
-msgstr ""
+msgstr "Uus asukoht:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:80
 msgid "Use the previously &existing library at the new location"
@@ -16168,46 +16188,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (oli %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Kirje on tühi"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Midagi pole valitud"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Midagi pole valitud"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Kategooriate haldur"
 
@@ -16216,7 +16236,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16231,11 +16251,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Sellel raamatul on DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16263,7 +16283,7 @@ msgid "Already in calibre:"
 msgstr "Juba calibres:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16288,28 +16308,28 @@ msgid "Change case"
 msgstr "Muuda tõstu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Suurtähed"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Väiketähed"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Muuda tõst vastupidiseks"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16336,65 +16356,65 @@ msgstr "Vigane autori nimi"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Autorite haldamine"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "Otsi:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Lähtesta kõik autori sortimise väärtused autorist automaatselt\nloodud väärtusele. Selle väärtuse automaatset loomist saab\ntäpselt muuta aknas Eelistused->Täpsemad->Peenseadistused"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "Tuleta uuesti kõik autori sortimise väärtused"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16727,77 +16747,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Peida ülejäänud veateade"
 msgstr[1] "Peida ülejäänud {} veateadet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Töötamine"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "%d raamatu töötlemine, palun oota..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "Praegune sammude edenemine: %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Samm %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Väiketähed"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Suurtähed"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Suurtäht iga sõna alguses"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Tähemärkide otsing"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Regulaaravaldis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Asenda väli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Lisa välja algusse"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Lisa välja lõppu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Metaandmete muutmine <b>%d raamatul</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Tee kõik muudatused koheselt ilma dialoogi sulgemata. Seda toimingut ei saa katkestada ega tagasi võtta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "%d. raamat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Sisesta identifikaatori tüüp"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16805,7 +16825,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Seda funktsiooni kasutades võid oma kogu hävitada.</b> Muudatused on püsivad. Ei ole mingit tagasi võtmise võimalust. Enne jätkamist on rangelt soovitatav oma kogust teha varukoopia.<p>Otsi ja asenda tekstiväljadelt, kasutades kas tähemärkide otsingut või regulaaravaldisi. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16815,7 +16835,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16830,80 +16850,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "O/A MALLI VIGA"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Hinnangu veeru 'rating' asendusväärtus peab olema kas tühi või täisarv 0 ja 10 vahel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Sa pead väljale \"Otsi\" sisestama otsingu avaldise"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Otsi/asenda vigane"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Otsi/asenda on vigane: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Kustuta salvestatud otsi/asenda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Valitud salvestatud otsi/asenda kustutatakse. Kas oled kindel?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Salvesta otsi/asenda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Otsi/asendamise nimi:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "See salvestatud otsi/asenda on juba olemas ja kirjutatakse üle. Kas oled kindel?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr "Rakenda kuupäev"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16911,90 +16931,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "Vaheta pealkiri ja autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Kaanepildi muutmine"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "Loo vaikimisi kaanepilt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "Eemalda kaanepilt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Proovi automaatselt tuvastada ja eemaldada kaanepiltide raamid\nja lisaruum äärtes. See võib vahel eemaldada liiga palju,\nseega kasuta ettevaatusega."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "Kärbi kaanepilti (OHTLIK)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "Määra e-raamatu failidest"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Pane kõigi valitud raamatute kaanepildiks\nesimese valitud raamatu kaanepilt."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "Klooni kaanepilt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Muuda tõstuks:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "Kuupäev:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Kui märgistatud, tühjendatakse kirjastaja väli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "Tühjenda kirj."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "Avaldamisaeg:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17002,118 +17022,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Automaatselt nummerda selle sarja raamatud"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "Sunni nummerduse algusarvuks:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Kui märgistatud, siis tühjendatakse valitud raamatute sarja väli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "Tühjenda sarjad"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Kontrolli vaikimisi loodavate kaanepiltide loomist"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Seadista kaante loomist"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Muuda kõigile valitud raamatutele pandavat kommentaari"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "Eemalda sildid:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Eemalda kõik"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Lisa sildid:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Määra, kuidas selle raamatu autorit/autoreid sortida. Näiteks autor Charles Dickens tuleks sortida kui Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "Rakenda hinnang"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Tühjenda avaldamiskuupäeva väli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "Keeled:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Komaga eraldatud siltide loend, mis raamatutest eemaldada."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Ava Siltide haldur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Autor,sort: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Sari:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17122,152 +17142,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Samade formaatide vahel teisendades, nt. EPUB-ist EPUB-iks,\nsalvestab calibre esialgse EPUB-faili ORIGINAL_EPUB-ina.\nSee valik ütleb calibrele, et EPUB taastada ORIGINAL_EPUB-ist.\nKasulik, kui teisendasid suure hulga raamatuid ja midagi läks valesti."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Taasta teisendamiseelsed originaalid, kui on saadaval"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Märgista see kast, et eemaldada raamatutest kõik sildid."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "Hinnang:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Peamised metaandmed"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Kohandatud metaandmed"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "Laadi otsi/asenda:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Vali salvestatud otsi/asenda, mis laadida."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Salvesta praegune otsi/asenda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "Salvesta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Otsi väljalt:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Välja nimi, millelt tahad otsida"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Otsingu režiim:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Vali, kas kasutada lihtsa teksti põhjal otsimist või\ntäpsemat regulaaravaldise põhjal otsimist"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "Identifikaatori tüüp:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Vali, millise identifikaatoritüübi järgi töötada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "Mall:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Sisesta mall, mida kasutada otsingu/asendamise allikana"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Sisesta, mida sa otsid, kas lihtekstina või regulaaravaldisena, sõltuvalt otsingu režiimist"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Märgista see kast, kui otsitavas sõnes tuleb eristada suur- ja väiketähti.\nEemalda märgistus, kui suur- ja väiketähtede eristus pole oluline"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Tõstutundlik"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "Asendustekst:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Asendustekst. Otsingule vastav tekst asendatakse selle tekstiga"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "Pärast asendust kasuta funktsiooni:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Määra, kuidas pärast otsimist ja asendamist teksti töödeldakse.\nTähemärkide režiimis töödeldakse tervet välja.\nRegulaaravaldise režiimis töödeldakse ainult vastavat teksti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "Sihtväli:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Väli, kuhu tekst pärast kõiki asendamisi pannakse.\nKui tühi, siis kasutatakse lähtevälja, kui see on muudetav"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "Režiim:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Määra, kuidas tekst sihtkohta kopeeritakse."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Identifikaatori tüüp:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17275,48 +17295,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Mitme väärtusega välja puhul näita"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "väärtust algusega"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "ja eralda väärtused sõnega"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Kasutatakse testi tulemusi näidates mitme väärtusega väljade väärtuste eraldamiseks"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Testitav tekst"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Testi tulemus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Sinu test:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "Otsi ja asenda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Kui märgistatud, siis pärast muutmise valmis saamist raamatute loend\nvärskendatakse ja iga olemasolev otsing või Virtuaalne kogu värskendatakse.\nSee võib mahukate kogude korral olla aeglane."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "Pärast muutmist värskenda raamatute loendit"
 
@@ -17764,7 +17784,7 @@ msgstr "Paiguta kiirvaate paneel calibre
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:278
 msgid "Alternate shortcut: "
-msgstr ""
+msgstr "Alternatiivne otsetee: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:463
 #, python-brace-format
@@ -17945,7 +17965,7 @@ msgstr "Vigane salvestatud otsing"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Halda Salvestatud otsinguid"
 
@@ -18605,76 +18625,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Praegune sildikategooria <b>kustutatakse jäädavalt</b>. Kas oled kindel?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Kasutaja kategooriate haldur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "Kategooria nimi: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Vali kategooria, mida muuta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "Kategooria filter: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Vali uue kategooria sisu tüüp"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
-msgstr ""
+msgstr "Kustuta praegune sildikategooria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Lisa uus kategooria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Muuda praeguse kategooria nimi selleks, mis on kastis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "Saadaolevad üksused"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "Rakendatud üksused"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18694,7 +18714,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor.py:123
 msgid "Deleting tags is done immediately and there is no undo."
-msgstr ""
+msgstr "Sildid kustutatakse koheselt ja seda ei saa tagasi võtta."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor.py:137
 msgid "Are your sure?"
@@ -18706,121 +18726,121 @@ msgid ""
 "to delete them?"
 msgstr "Järgnevad sildid on vähemalt ühe raamatu poolt kasutuses. Kas oled kindel, et tahad need kustutada?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Hulk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Oli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Kas tõesti tahad tehtud muudatused tagasi võtta?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Võta tagasi kõik kustutamised ja muutmised valitud ridadel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19701,17 +19721,17 @@ msgstr "Laotus"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Näita ja peida calibre peamise akna erinevaid osi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "%s-formaati pole"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Raamatul {0} pole {1}-formaati"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Taasta %s"
@@ -19992,21 +20012,11 @@ msgstr "Raamat %(sidx)s sarjas <span cla
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Määra kuupäev tänaseks"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "J"
 
@@ -20350,7 +20360,7 @@ msgid ""
 msgstr "Rada Calibre Portable (%s) juurde on liiga pikk. Peab olema vähem kui 59 tähemärki."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre Kogu"
 
@@ -20513,6 +20523,16 @@ msgstr "Välju"
 msgid "Unhandled exception"
 msgstr "Käsitlemata erand"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Määra kuupäev tänaseks"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20792,7 +20812,7 @@ msgstr "Kirjastaja:"
 msgid "Clear publisher"
 msgstr "Tühjenda kirjastaja"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Tühjenda kuupäeva väli"
 
@@ -20862,7 +20882,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21623,13 +21643,13 @@ msgid "&Automatic adding"
 msgstr "Automaatne lisamine"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Kõrge"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Madal"
 
@@ -21654,80 +21674,80 @@ msgstr "Kõik ühel kaardil"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Kõik kinnituste dialoogid on lähtestatud"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Teavita, kui uus versioon on saadaval"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Automaatselt saada allalaaditud uudised e-raamatute lugerisse"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "Tööde prioriteet:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Eelistatav sisendformaatide järjestus:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Eelistatud väljundformaat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "Vali metaandmete laotus (üksikult):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Kui märgistatud, võib kohandatud Jah/Ei veergude väärtuseks olla Jah, Ei, või Tundmatu.\nKui märgistamata, võivad väärtused olla kas Jah või Ei."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "Jah/Ei veergudel on kolm väärtust (taaskäivitamine vajalik)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "Pärast uudiste automaatselt lugerisse saatmist kustuta need kogust"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Vaikimisi võrgu aegumisaeg:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Määra vaikimisi aegumisaeg võrgust tõmbamistele (nt. iga kord, kui internetist infot otsime)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " sekundit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Lähtesta kõik keelatud kinnituste dialoogid"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Kasuta sisseehitatud vaaturit nende jaoks:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Rakendatav virtuaalne kogu praeguse kogu avamisel:"
 
@@ -22716,37 +22736,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr "<p>calibre suudab su raamatuid sulle (või su lugerisse) e-kirjaga saata. Allalaaditud uudiste e-kirjad saadetakse automaatselt kõigile e-posti aadressitele, millel on <i>Automaatne saatmine</i> lubatud."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Lisa e-posti aadress, millele raamatuid saata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "Lisa e-post"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Tee &vaikesätteks"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Eemalda aadress"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Lisa e-kirjale raamatu kommentaaride metaandmed.\nKasulik, et võimaldada saajal enne raamatu avamist\nnäha selle sisukokkuvõtet."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Lisa kommentaaride metaandmed tekstina e-kirjale"
 
@@ -22883,7 +22903,7 @@ msgid "Create a new rule"
 msgstr "Uue reegli loomine"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23021,7 +23041,7 @@ msgid "If there is enough room"
 msgstr "Kui on piisavalt ruumi"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Esitähe järgi"
 
@@ -23292,7 +23312,7 @@ msgid "Caching of covers for improved pe
 msgstr "Täiustatud jõudluse jaoks kaanepiltide puhvri ehk vahemälu kasutamine"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Keela"
 
@@ -23687,86 +23707,86 @@ msgstr "Allikat pole valitud"
 msgid "No source selected, cannot configure."
 msgstr "Ühtki allikat pole valitud, ei saa seadistada."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Metaandmete allikad"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Allikad, mille nime kõrval on punane X, tuleb enne nende kasutamist seadistada."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "Seadista valitud allikat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Kui mõne välja märgistuse eemaldad, ei laadita alla selle välja metaandmeid"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "Vali kõik"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Taasta oma märgitud väljade komplekt, mille määrasid nupul 'Määra vaikesätteks' klõpsates"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Talleta praegu valitud väljad vaikimisi sättena, mida saad kiiresti rakendada nupul 'Vali vaikesätted' klõpsates"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "Määra vaikesätteks"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Teisenda kõik allalaaditavad kommentaarid lihttekstiks"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Vaheta autorinimed: EN PN asemel PN, EN"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Kommentaaride allalaadimisel lisa allalaaditud kommentaarid olemasolevatele, ära kirjuta neid üle."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "Kommentaaride allalaadimisel lisa allalaaditud kommentaarid olemasolevatele, ära kirjuta neid üle."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Lisa kommentaarid olemasolevatele"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23775,47 +23795,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Erinevatel metaandmete allikatel on sama raamatu jaoks erinevad siltide komplektid. Kui see valik on märgistatud, siis kasutab calibre väiksemat siltide komplekti. Need on enamasti rohkem nagu žanrid, samas kui suuremad sildikomplektid enamasti kirjeldavad raamatu sisu.\n<p>Pane tähele, et see valik on kasulik ainult siis, kui ühel metaandmete allikal on otsitava raamatu jaoks säetud žanrilaadne silt. Enamasti on neil kõigil suured sildikomplektid."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Erinevatest metaandmete allikatest siltide valimisel eelista väiksemaid sildikomplekte"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Eelista vähem silte"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Loo reegleid siltide filteerimiseks/muundamiseks"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "Suurim arv allalaaditavaid silte:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Suurim ooteaeg pärast esimese vaste leidmist:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " sek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Suurim ooteaeg pärast esimese kaane leidmist:"
 
@@ -25361,7 +25381,7 @@ msgid "Paste and &search"
 msgstr "Kleebi ja otsi"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "Kleebi"
@@ -26387,150 +26407,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Nimeta ümber %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Kustuta %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "Lisa %s Kasutaja kategooriasse"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Eemalda %(item)s kategooriast %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Kustuta Kasutaja kategooria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Peida kategooria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Näita kategooriat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Otsi raamatuid kategoorias %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Otsi raamatuid, mis pole kategoorias %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Muuda kategooria ikooni"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Taasta vaikimisi ikoon"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Halda Kasutaja kategooriaid"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Näita kõiki kategooriaid"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Muuda alamkategooriatesse jaotamise skeemi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Osadeks jaotatud"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Esitäht on kasutatav ainult nime järgi sortimisel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "Laienda kõik alamad"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Ahenda kõik tasandid"
 
@@ -27200,7 +27220,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Salvestamata muudatused"
 
@@ -27607,12 +27627,12 @@ msgid ""
 msgstr "Faili %s pole olemas. Kui sa proovisid klõpsata sisukorra üksusel, on sul võibolla vaja see värskendada, parem-klõpsates sellel ja valides \"Värskenda\"."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Failiformaati ei toetata"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "Tüübiga %s failide muutmist ei toetata"
@@ -27670,76 +27690,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Enne: Asenda %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Raporti nägemiseks pead esmalt avama raamatu."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Linkide kontrollimiseks pead esmalt avama raamatu."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Piltide tihendamiseks pead esmalt avama raamatu."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Enne: Tihenda pilte"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Ootamatu viga"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Piltide tihendamine ebaõnnestus, rohkema teabe saamiseks klõpsa \"Näita üksikasju\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Ei saa dekodeerida"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Ühtki raamatut pole praegu lahti. Muutmiseks pead esmalt raamatu avama."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "Praegust raamatut hetkel salvestatakse taustal. Praegu väljumine <b>katkestab salvestamise protsessi</b>! Kas lasta salvestamisel enne lõpule jõuda?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "Välju kohe"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Lõpeta enne salvestamine"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "On salvestamata muudatusi, ilma salvestamata väljumisel lähevad need kaotsi."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "Salvesta ja välju"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "Välju ilma salvestamata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Salvestamine, palun oota..."
 
@@ -31142,18 +31162,18 @@ msgstr[1] "Taastati {} keelatud kinnitus
 msgid "Disabled confirmations restored"
 msgstr "Keelatud teavitused taastatud"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31167,70 +31187,70 @@ msgid ""
 "            "
 msgstr "\n<h3>Reaalajas eelvaade</h3>\n\n<p>Siin näed reaalajas eelvaadet HTML-failist, mida sa praegu muudad.\nSeda eelvaadet uuendatakse muudatuste tegemisel automaatselt.\n\n<p style=\"font-size:x-small; color: gray\">Pane tähele, et see on ainult kiireelvaade,\nsee ei ole mõeldud tegeliku e-raamatute lugeri simuleerimiseks. Mõned\nsinu e-raamatu osad ei tööta, näiteks leheküljepiirid ja leheveerised."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Uuri elementi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Ava link"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Muutmine: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Otsi eelvaatest"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Vale asukoht"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Ei saa kehasildil body tükeldada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Töötaja käivitamine ebaõnnestus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Eelvaate näitamiseks kasutatava tööprotsessi käivitamine ebaõnnestus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Ei saa keelata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Eelvaate paneeli automaatset värskendamist ei saa keelata, kui Reaalajas CSS paneel lahti on."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Automaatselt värskenda eelvaadet, kui redaktoris tekst muutub"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Keela eelvaate automaatne värskendamine"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Keela eelvaate asukoha sünkroonimine redaktori asukohaga"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Luba eelvaate asukoha sünkroonimine redaktori asukohaga"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Katkesta faili tükeldamine"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -32440,7 +32460,7 @@ msgstr "Ava raamat"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/ui.py:351
 msgid "Open a book"
-msgstr ""
+msgstr "Ava raamat"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/ui.py:352
 msgid "Open &folder (unzipped EPUB) as book"
@@ -33602,11 +33622,11 @@ msgstr "Kustuta valitud järjehoidja"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/bookmarks.py:120
 msgid "P&revious"
-msgstr ""
+msgstr "Eelmine"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/bookmarks.py:124
 msgid "Nex&t"
-msgstr ""
+msgstr "Järgmine"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/bookmarks.py:128
 msgid "Sort by na&me"
@@ -33679,7 +33699,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:181
 msgid "Are you sure you want to delete this highlight permanently?"
-msgstr ""
+msgstr "Kas oled kindel, et tahad selle esiletõstu jäädavalt kustutada?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/lookup.py:58
 msgid "Edit lookup source"
@@ -33940,13 +33960,13 @@ msgstr "Vali otsingutüüp: <ul><li><b>S
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/search.py:382
 msgid "Go back to where you were before searching"
-msgstr ""
+msgstr "Mine tagasi kohta, kus sa olid enne otsimist"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/search.py:576
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Sisukorra sektsioon:"
+msgstr[1] "Sisukorra sektsioonid:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/search.py:681
 msgid "This text is hidden in the book and cannot be displayed"
@@ -34091,7 +34111,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:77
 msgid "Highlights"
-msgstr ""
+msgstr "Esiletõstud"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:97
 msgid "Preparing book for first read, please wait"
@@ -34128,15 +34148,15 @@ msgstr "Peida see kerimisriba"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:303
 msgid "Search :: no matches"
-msgstr ""
+msgstr "Otsing :: vasteid pole"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:305
 msgid "Search :: one match"
-msgstr ""
+msgstr "Otsing :: üks vaste"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:307
 msgid "Search :: {} matches"
-msgstr ""
+msgstr "Otsing :: {} vastet"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:371
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:385
@@ -34178,13 +34198,13 @@ msgstr "Raamatu laadimine ebaõnnestus"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "Taustapildi valimine"
 
@@ -34219,121 +34239,125 @@ msgstr "Peida {}"
 msgid "Show {}"
 msgstr "Kuva {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Vali värv"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Vali värv"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Lõika"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Hindamata"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:71
 msgid "Smartphone"
-msgstr ""
+msgstr "Nutitelefon"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:78
 msgid "iPad like tablet"
-msgstr ""
+msgstr "iPadi-laadne tahvelarvuti"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:87
 msgid "Kindle Basic (all models)"
-msgstr ""
+msgstr "Kindle Basic (kõik mudelid)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:119
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:225
 #, python-brace-format
 msgid "{0} and {1}"
-msgstr ""
+msgstr "{0} ja {1}"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:140
 msgid "All other SONY devices"
-msgstr ""
+msgstr "Kõik muud SONY seadmed"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:147
 msgid "Kobo and Kobo Touch Readers"
-msgstr ""
+msgstr "Kobo ja Kobo Touch lugerid"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:155
 msgid "Kobo Vox, Aura and Glo families"
-msgstr ""
+msgstr "Kobo Vox, Aura ja Glo perekonnad"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:289
 msgid "PocketBook 360 and newer models"
-msgstr ""
+msgstr "PocketBook 360 ja uuemad mudelid"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:328
 msgid "Android phone"
-msgstr ""
+msgstr "Android telefon"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:345
 msgid "Android tablet"
-msgstr ""
+msgstr "Android tahvelarvuti"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:352
 msgid "Android phone with Kindle reader"
-msgstr ""
+msgstr "Android telefon Kindle lugeriga"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:368
 msgid "Android tablet with Kindle reader"
-msgstr ""
+msgstr "Android tahvelarvuti Kindle lugeriga"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr "Üldine"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Vali oma e-raamatute seade. Kui su seadet loendis pole, vali \"%s\" seade."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Raamatute jaoks asukoha valimine"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Ei suutnud luua kausta kohas %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Sa pead calibre kogu jaoks valima tühja kausta. %s ei ole tühi."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "Edasi >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< Tagasi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34341,15 +34365,15 @@ msgstr "< Tagasi"
 msgid "Cancel"
 msgstr "Loobu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "Valmis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Kinnita"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Seadistusabiline"
 
@@ -34357,7 +34381,7 @@ msgstr "Seadistusabiline"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Tere tulemast calibresse"
@@ -34365,7 +34389,7 @@ msgstr "Tere tulemast calibresse"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Vahepeatusteta lahendus kõigile sinu e-raamatute vajadustele."
@@ -34380,7 +34404,7 @@ msgstr "Seadmed"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "WizardPage"
@@ -34418,17 +34442,17 @@ msgstr "<p>calibre võib automaatselt me
 msgid "&Kindle email:"
 msgstr "Kindle'i e-posti aadress:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Vali oma keel:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Vali oma raamatute asukoht. Raamatuid calibresse lisades kopeeritakse need sellesse kausta. Uue calibre kogu jaoks kasuta <b>tühja kausta</b>:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37014,6 +37038,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr "Hinnang peab olema number 0 ja 5 vahel"
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
@@ -37040,7 +37085,7 @@ msgstr "Brasiilia portugali"
 
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:288
 msgid "English (United Kingdom)"
-msgstr ""
+msgstr "inglise (Ühendkuningriik)"
 
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:289
 msgid "Simplified Chinese"
@@ -37228,19 +37273,19 @@ msgstr "hispaania (Kolumbia)"
 
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:335
 msgid "German (Austria)"
-msgstr ""
+msgstr "saksa (Austria)"
 
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:336
 msgid "French (Belgium)"
-msgstr ""
+msgstr "prantsuse (Belgia)"
 
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:337
 msgid "Dutch (Netherlands)"
-msgstr ""
+msgstr "hollandi (Holland)"
 
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:338
 msgid "Dutch (Belgium)"
-msgstr ""
+msgstr "hollandi (Belgia)"
 
 #. NOTE: Ante Meridian (i.e. like 10:00 AM)
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:346
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/eu.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/eu.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/eu.po	2020-07-02 04:02:15.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/eu.po	2020-07-16 16:40:36.000000000 +0000
@@ -20,8 +20,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
@@ -219,7 +219,7 @@ msgstr "Ez du ezer egiten"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -231,12 +231,12 @@ msgstr "Ez du ezer egiten"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1146,9 +1146,9 @@ msgstr "Katalogoa"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1173,7 +1173,7 @@ msgstr "Liburutegirako lasterbide ({0})
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1235,7 +1235,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2848,8 +2848,8 @@ msgstr "Liburu zerrenda gailutik eskurat
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2858,8 +2858,8 @@ msgstr "Gailuaren metadatu zerrendatik l
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3202,7 +3202,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Editatu txantiloia"
@@ -3315,7 +3315,7 @@ msgid "Communicate with MTP devices"
 msgstr "Komunikatu MTP gailuekin"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Eskuratu gailuaren informazioa."
@@ -3342,8 +3342,8 @@ msgid "Finished reading metadata from de
 msgstr "Burutu da irakurgailuko metadatuen irakurketa"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3731,61 +3731,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Norbait gehigitan saiatu da %s horretatik konexioa lotzen"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Zure gailuko app hori zaharkiturik geratu da eta dagoeneko ez da onartzen. Eguneratu eta lor ezazu bertsio berriagoa."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Zure bibliotekan geroko datak dituen liburuak dituzu. Begiratu Calibre detailendako"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "Irakurtze sinkronizatze %s zutabea ez dago calibreren liburutegian"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "Irakurtze sinkronizatze %s zutabea ez da Bai/Ez zutabe bat"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "Data irakurtze sinkronizatze %s zutabea ez da calibre aplikazioaren liburutegi bat"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Ulermen eskasaren tasunaren ezarpena.  50 eta 99 zenbakien arteko kopuru bat izan behar du. Behartu %d izatera."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Ezin portu hori erabili honako aukeretan: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Huts egitea suertatu da honako portu honekin konektatzerakoan: %d. Saia zaitez beste balio batekin."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Ausazko portua ezartzerakoan huts egin da"
 
@@ -6219,7 +6230,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Ez"
 
@@ -6242,7 +6253,7 @@ msgid "Producer"
 msgstr "Ekoizlea"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6508,103 +6519,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google irudiak"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Amazonetik metadatuak eta azalak jeisten ditu"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "AEB"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Frantzia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Alemania"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Erresuma Batua"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Australia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "italia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japonia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Espainia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brasil"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Herbeherak"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Txina"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Amazon bidezko metadatuak, herri horretako Amazonen gunetik eskuratuko dira."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Erabili MOBI-ASIN metadatuak bilatzeko"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6612,7 +6623,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Denbora agortua Amazon itxoiten. Beranduago berriro saiatu."
 
@@ -8501,7 +8512,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8979,7 +8990,7 @@ msgstr "Dagoeneko badago %s izeneko karp
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Luzeegia"
 
@@ -9024,7 +9035,7 @@ msgstr "%s liburutuegia calibretik ezaba
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9076,7 +9087,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9231,7 +9242,7 @@ msgid "Browse for library"
 msgstr "Bilatu liburutegia"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Kopiatu"
@@ -9271,7 +9282,7 @@ msgstr "{0}. Egilea:  {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Hautatu &dena"
 
@@ -10167,7 +10178,7 @@ msgid "Move to next highlighted match"
 msgstr "Mugitu nabarmendutako hurrengo bat egitera"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "E"
 
@@ -10769,7 +10780,7 @@ msgid "this book"
 msgstr "liburu hau"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Bilatu %s"
@@ -10980,7 +10991,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11428,8 +11439,8 @@ msgstr "Aldatu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11558,42 +11569,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Kudeatu %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Ezabatu %s formatua"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Gorde diskan %s formatua"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Berrezarri %s formatua"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11602,112 +11618,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Gehitu beste aplikazio bat %s fitxategietarako..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Sortu liburu-azala metadatuetatik zuzenean"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "JPEG irudiak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Bidea (Path)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11715,7 +11731,7 @@ msgstr "Bidea (Path)"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Azalaren tamaina: %(width)d x %(height)d pixel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11784,7 +11800,7 @@ msgstr "outputa, helburua"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11802,11 +11818,11 @@ msgstr "outputa, helburua"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11945,7 +11961,7 @@ msgid "Preset name:"
 msgstr "Ezarpenen izena:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Derrigorrezkoa izenen bat ematea."
 
@@ -11980,7 +11996,7 @@ msgstr "Egia"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12027,8 +12043,8 @@ msgid "Delete current preset"
 msgstr "Ezabatu uneko ezarpenak"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Ezabatu"
 
@@ -12140,22 +12156,22 @@ msgstr "Berrezarri lehenetsira"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12383,7 +12399,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12858,10 +12874,10 @@ msgstr "Letra-tipoaren neurria &giltza:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " puntu"
@@ -13293,7 +13309,7 @@ msgid "Change the title of this book"
 msgstr "Aldatu liburu honen izenburua"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Egilea(k):s "
 
@@ -13308,7 +13324,7 @@ msgid ""
 msgstr "Aldatu liburu honen egilea(k). Hainbat egileren izenak komen bidez bereizi beharko lirateke."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Argitaletxea: "
 
@@ -13317,7 +13333,7 @@ msgid "Ta&gs: "
 msgstr "Etike&tak: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13332,8 +13348,8 @@ msgstr "&Sailak:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Ezagunak diren sailen zerrenda. Sail berria gehi dezakezu."
@@ -13400,45 +13416,45 @@ msgstr "Pantailaren tamaina: %s"
 msgid "Page setup"
 msgstr "Orriaren konfigurazioa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "&Output profila:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Profilaren deskripzioa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "&Input profila:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Bazterrak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Ezkerretan:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Aldatu gabea"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Goian:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Eskuinetan:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Azpian:"
@@ -13784,7 +13800,7 @@ msgid "Edit the currently selected expre
 msgstr "Aldatu orain aukeratutako adierazpena"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Aldatu"
 
@@ -14610,74 +14626,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Definitu gabea"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Ezarri '%s' gaurko eguna adierazteko"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "'%s' garbitu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Balioak aldatu egin dira"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Balioak aldatu egin dituzu. Editorea erabiltzeko aldaketak baztertu edo aplikatu egin behar dituzu. Aplikatu aldaketak?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " aurkibidea:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "\"{0}\" zerrendatzeak badu balio ez duen datu bat eta lehenetsitako baliora aldatuko da"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Aldaketak aplikatu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Garbitu sailak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Liburuen zenbaketa automatikoa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14685,44 +14700,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "behartu zenbakia honekin hasten "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "\"{0}\" zerrendatze horrek baditu balio ez duen daturik eta horrelakorik ez da zerrendan agertuko"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Ezabatu etiketa guztiak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "gehitzeko etiketak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "ezabatzeko etiketak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15428,11 +15443,11 @@ msgstr "Tartetxo batez ixaron, mesedez..
 msgid "Vacuuming..."
 msgstr "Garbitzen..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15496,79 +15511,84 @@ msgid ""
 "        "
 msgstr "        <h1>Laguntza</h1>\n\n        <p>calibrek datubase batean gordetzen ditu zure liburuak eta beraien metadatuak. \n        Uneko liburuen fitxategiak eta azalak, fitxategi normal modura daude gordeta calibreko \n        liburutegi karpetan. Datubaseak liburu-sarrera bakoitzari dagokion fitxategi eta azalen \n        zerrenda bat du. Tresna honekin, ordenagailuan duzun liburutegi karpetako fitxategiek \n        datubasean dagoen informazioarekin bat egiten dutela egiaztatuko duzu.\n\n        <p>Egiaztatze-prozesu mota bakoitzeko emaitza eskeraldean erakusten da. Dauden motak:\n        </p>\n        <ul>\n        <li><b>Baliogabeko izenburuak</b>: Liburuen izenburuak egon beharko luketen lekuan agertzen \n        diren fitxategi eta karpetak baina izenburua izateko formatu egokia ez dutenak.</li>\n        <li><b>Soberako izenburuak</b>: calibre liburutegian agertzen diren soberako fitxategiak \n        izenburua izateko formatu egokia dutenak baina datubasean dagokien sarrerarik ez dutenak.</li>\n        <li><b>Baliogabeko egileak</b>: Egileen karpetak baino ez luketen egon behar lekuan agertzen \n        diren fitxategiak.</li>\n        <li><b>Soberako egileak</b>: calibre liburutegian agertzen diren egileak diruditen karpetak baina \n        datubasean dagokien sarrerarik ez dutenak.</li>\n        <li><b>Galdutako liburu formatuak</b>: Datubasean dauden liburu formatuak baina liburuen \n        karpetan dagokien formatu fitxategirik ez dutenak.</li>\n        <li><b>Soberako liburu formatuak</b>: Liburuen karpetan agertzen diren liburu formatu \n        fitxategiak baina datubasean agertu ez direnak.</li>\n        <li><b>Fitxategi ezezagunak liburuan</b>: Liburu bakoitzeko karpetan agertzen diren soberako \n        fitxategiak formatu ezagun edo azal fitxategiren batekin bat egiten ez dutenak. </li>\n        <li><b>Galdutako azalak</b>: Datubasean azala duten modura agertzen diren liburuak baina \n        azalaren fitxategia faltan dutenak.</li>\n        <li><b>Datubasean ez dauden azalak</b>: Azala duten liburuak baina datubasean azalaren \n        fitxategirik ez dutela moduan agertzen direnak.</li>\n        <li><b>Salbuespen karpeta</b>: Tresna honek prozesatu/ulertu ezin izan dituen calibre \n        liburutegiko karpetak.</li>\n        </ul>\n\n        <p>Aukera automatiko bi daude: <i>Ezabatu markatuak</i> eta <i>Konpondu markatuak</i>.</p>\n        <p><i>Ezabatu markatuak</i> Datubasean sarrerarik ez duten soberako fitxategiak/karpetak/azalak \n        kentzeko erabiltzen da. Ezabatu nahi duzun artikuluaren ondoko kutxa markatu horretarako. Kontu handiz erabili.</p>\n\n        <p><i>Konpondu markatuak</i> aukerak azaletarako eta falta diren formatuentzako baino ez du balio \n        ('konpongarri' markatzen duten hiru lerroak). Galdutako azalen fitxategien kasuan, 'konpongarri' kutxa \n        markatu eta sakatzeak, zerrendako liburu guztiei azala falta zaiela adieraziko dio calibreri. Azalak \n        babeskopia batetik berreskuratzeko asmorik baldin ez baduzu, hau da aukerarik egokiena. \n        Soberako azalen fitxategien kasuan, 'konpongarri' kutxa markatu eta sakatzeak, aurkitu diren soberako \n        azalak ondo daudela eta zerrendako liburuei dagokiela adieraziko dio calibreri. Fitxategia(k) ezabatzeko \n        asmorik ez baduzu, erabili aukera hau. Galdutako formatuen kasuan, 'konpongarri' kutxa markatu eta \n        sakatzeak, formatuak benetan galdu direla adieraziko dio calibreri. Formatuak babeskopia batetik \n        berreskuratzeko asmorik baldin ez baduzu, hau da aukerarik egokiena.</b>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Exekutatu egiaztatzea berriro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Kopiatu &arbelean"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Eginda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "&Markatuak ezabatu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Ezabatu markatutako fitxategiak (berrikusitako batzuk)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "Ma&rkatuak konpondu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Konpondu markatutako atalak (konpontzeko moduko bilatu diren gauzak)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Kontuan hartu behar ez diren izenak:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Sar itzazu komen bidez bereiziriko fitxategien joker-karten izen estandarrak, synctoy*.dat bezalakoak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Sar itzazu komen bidez bereiziriko luzapenak gidatze punturik gabe.  Liburuen karpetetan bakarrik erabilia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(doigarria)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Liburutegitiko laster-bidea"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15618,8 +15638,8 @@ msgstr "Kokapen  %s honek oraingo calibr
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Txarto kokatua"
 
@@ -16175,46 +16195,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (zen %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Elementua zuriz dago"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Elementu bat ezin zaio ezerezari gehitu. Horren ordez, ezaba ezazu."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Ez dago ezer hautatuta"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Hautatu beharko duzu elementu bat eskuragarri daudenenen elementuen zerrendatik."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Ez dago elementurik hautatuta"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Gutxienez elementu bat aukeratu behar duzu."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Ziur hurrengo elementuak ezabatu nahi dituzula?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16223,7 +16243,7 @@ msgid "Items in use"
 msgstr "Erabiltzen ari diren elementuak"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16238,11 +16258,11 @@ msgstr "Eman izen berria elementuari era
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16270,7 +16290,7 @@ msgid "Already in calibre:"
 msgstr "Dagoeneko calibren:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16295,28 +16315,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16343,65 +16363,65 @@ msgstr "Baliogarria ez den egile izena"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Erabili egileen izenak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Bilatu hau:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Berrezarri egile sailkapenaren balio guztiak egilearengandik\nautomatikoki sortutako balioetara. Balio automatiko hau\ndoitzeko jo Hobespenak->Aurreratua->Ukituak -era"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Kopiatu egile sailkapenetik egilera egile guztietan. Botoi honen erabilera\nohikoena Hobespena->Aurreratua->Ukituak->Egile izena sailkatu algoritmoa aldatu ostean izaten da"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16734,77 +16754,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Lanean"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "%d liburu prozesatzen, itxaron mesedez..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Letra xeheak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Letra larriak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Izenburuaren letra mota (xehe/larri)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Karaktereek bat egin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Ordeztu eremua"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Erantsi aurretik eremuari"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Erantsi eremuari"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Editatzen <b>%d liburuetako</b>metadatuen informazioa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Egin itzazu aldaketa guztiak bat-batean elkarrizketa leihoa itxi gabe. Eragiketa hau ezin da bertan behera utzi edo atzera bota"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Liburua %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Sartu identifikatzaile mota"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16812,7 +16832,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Ezaugarri hau erabiliz zure liburutegia ezabatu dezakezu.</b> Aldaketak betirako dira. Ez dago hau desegin dezakeen funtziorik. Zure liburutegiaren babes-kopia egitea zeharo gomendagarria da.<b> Bilatu eta ordeztu eremuak testuan adierazpen erregularrak edo irizpide-karaktereak erabiliz. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16822,7 +16842,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16837,80 +16857,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R TXANTILOI ERROREA"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Iturria eremu konposatu bat edo txantiloia denean helbidea zehaztu behar duzu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Derrigorrezkoa da helburu identifikatzaile motaren bat zehaztea"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Baliogabeko identifikatzaile katea. Bi puntugatik banandutako kate-bikoteen komaz banandutako zerrenda izan behar du"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Bilatu/ordeztu ez dabil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Gordetako bilaketa/ordezkapena ezabatu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Aukeratu duzun gordetako bilatu/ordeztu adierazpena ezabatu egingo da. Ziur zaude?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Gorde bilatu/ordeztu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Bilatu/ordeztu izena:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Dagoeneko badagoenez gorde duzun bilatu/ordeztu adierazpena, gainidatzi egingo da. Ziur zaude?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16918,90 +16938,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "A&utomatikoki ezarri egile izenaren araberako sailkapena"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Eguneratu izenburu sailkapena uneko izenburuan oinarrituta. Izenburuko aldaketen ostean baino ez da aplikatuko."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Eguneratu &izenburu sailkapena"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Aldatu &liburu-azala"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Sortu lehenetsitako liburu-azala"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Ezabatu liburu-azala"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Saiatu azaleko irudien izkinetako ertzak eta soberako espazioa automatikoki \n antzeman eta kentzen. Batzuetan gehiegi ken daiteke, \n beraz, kontuz erabili."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "&Moztu azala (ARRISKUTSUA)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Egokitu hautatutako liburuen azalak hautatu den lehen\nliburuarena bezalakoak izan daitezen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Klonatu liburu-azalak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Behartu ezazu izenburua izenburu letra tipoa izatera. Bietan, bai honetan bai egile azterketan\negile eta izenburua aztertuko dira izenburu letra tipoa ezarri baino lehen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Data:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Markaturik egonez gero, argitaratzailea ezabatu egingo da, garbituko da"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "&Ezabatu pub"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17009,118 +17029,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Ez bada ezer arakatu, liburuen saila-zenbakia honela ezarriko da: 1.\nArakatu bada, hautatutako liburuak modu automatikoan zenbakidun bihurtuko dira, zeuk\nezarritako hurrenkeran. Beraz hautatu baduzu lehenengo A Liburua eta gero B Liburua,\nA Liburuak 1 serie zenbakia izango du eta B Liburuak 2 serie zenbakia izango du."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Modu &Automatikoan liburu sail honetan zenbakiak ezarri"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Liburu sailak normalean zenbaketa berriarekin geratuko dira datu baseko zenbakirik altuenetik hasita\nliburu-sail horretarako. Kutxa hau arakatzea calibreri adieraziko dio zenbaketarekin hasteko\nkutxan dagoen zenbakitik hasita"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Derrigortu zenbakiak honekin hastera:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Arakatuz gero, sailak ezabatu egingo dira"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Ezabatu sailak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Doitu hautatutako liburu guztientzako iru&zkinak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Ezabatu etiketak:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "&Denak ezabatu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Gehitu eti&ketak: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Zehaztu ea nola sailkatuko d(ir)en liburu honen egile izena(k) Adibidez Charles Dickens honela sailkatuko da; Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Argitalpen data ezabatu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Hizkuntzak:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Liburuetatik ezabatzeko komen bidez bereiziriko etiketen zerrenda. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Egile izenaren araberako s&ailkapena: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Ezarri &metadatuak (liburu-azalekoak izan ezik) liburu elektroniko fitxategietatik"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Ezabatu gordetako bihurketa ezarpenak hautatutako liburuentzat.\n\nEtorkizunean liburu hauen bihurketek lehenetsitako ezarpenak erabiliko dituzte."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Ezabatu &gordetako bihurketa ezarpenak hautatutako liburuentzat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17129,152 +17149,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Formatu batetik formatu berdinera bihurtzerakoan,\nadib., EPUBetik EPUBera, calibrek jatorrizko EPUB\nfitxategia ORIGINAL_EPUB modura gordetzen du.\nHorrela, calibrek ORIGINAL_EPUBetik berreskuratuko\ndu EPUBa. Onuragarria liburu ugariren bihurtze masibo\nbat egin eta arazoren bat gertatu baldin bada."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Berreskuratu bihurtu aurreko &jatorrizkoak, ahal baldin bada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Aztertu kutxatila hau liburuetako etiketa guztiak ezabatzeko"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Balorazioa:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Oinarrizko metadatuak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Pertsonalizaturiko metadatuak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Aukeratu gordetako bilatu/ordeztu adierazpena kargatzeko."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Gorde uneko bilatu/ordeztu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Gorde"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Search &eremua:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Aztertu nahi duzun eremuaren izena"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Bilatze &modua:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Aukeratu ea oinarrizko testuaren bilaketa egin edo adierazpen arrunten bilaketa aurreratua egin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Aukeratu erabili nahi duzu identifikatzaile mota"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Sartu bilatu/ordeztu horretarako iturburua izango den txantiloia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Sartu bilatzen ari zarena, moduaren araberan testu soilean edo adierazpen erregularrean"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Arakatu kutxa honetan baldin eta bilaketa kateak bat egin behar badu zehatz letra larri eta letra xeheekin. Ez arakatu kutxa honetan baldin eta letra tipoari ez badiozu arreta eskaini nahi."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "&Letra larri-xehe bereizi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Ordeztu honekin:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Ordezkatze testua. Bat egiten duen testua kate honekin ordezkatu egingo da"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Aplikatu funtzioa ordeztu eta gero:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Zehaztu nola prozesatuko den testua bilaketa eta ordezkatzea egin eta gero. Karaktere moduan, \neremu osoa prozesatu egingo da. Adierazpen erregular moduan, bakarrik prozesatuko da bilatu eta bat egiten duen testua"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "&Helburu eremua:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Eremua. Ordezkapen guztien ostean non sartuko den testua jakiteko eremua.\nZuriz utziz gero, sorburuko eremua erabiliko da aldatzeko aukerarik badago."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "M&odua:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Zehaztu nola kopiatuko den testua helburura."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Zehazten du ea emaitzak balio anizkunetan banatu behar diren edo\nbalio bakun legez utzi. Aukera honek ondorio handiagoak izango ditu sorburuko eremua\nanizkuna ez denean eta helburu eremua anizkuna denean"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Zatitu e&maitza"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Identifikatzaile mota:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17282,48 +17302,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Aukeratu ze identifikatzaile mota erabili nahi duzun.\n              Iturburuko eremuan 'identifikatzaileak' jarri beharrean beste \n              zerbait denean, izartxo bat (*) jarri dezakezu identifikatzaile\n              sorta osoa bilatu/ordeztu adierazpenaren emaitzekin ordezteko"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Hainbat balio anizkun eremutarako, era&kutsi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "honen &bidez bereizitako balioekin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Erabilia proben emaitzak erakusterakoan, balioak hainbat balio-anizkun eremuetan bereizteko"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Probatu testua"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Probaren emaitza"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "Bilatu eta ordeztu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "&Berritu liburu zerrenda aldaketen ostean"
 
@@ -17952,7 +17972,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18612,76 +18632,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Oraingo kategoria hau <b>betiko ezabatu</b> egingo da. Ziur zaude?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Hautatu kategoria bat editatzeko"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Hautatu kategoria berriaren eduki mota"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Kategoria berria gehitu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Berrizendatu uneko kategoria kutxan agertzen denarekin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Erantsi etiketak oraingo etiketen kategoriara"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Ez erantsi (ezabatu) etiketa oraingo etiketen kategoriatik"
 
@@ -18713,121 +18733,121 @@ msgid ""
 "to delete them?"
 msgstr "Honako etiketa hauek liburu batean baino gehiagotan erabiltzen dira. Erabat ziur zaude? Benetan ezabatu nahi dituzu?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Kopurua"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Zen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19708,17 +19728,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19999,21 +20019,11 @@ msgstr "%(sidx)s horretako <span class=\
 msgid "This book is on the device in %s"
 msgstr "Liburu hau gailuko %s (e)an dago"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Gaurko eguna ezarri"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "B"
 
@@ -20357,7 +20367,7 @@ msgid ""
 msgstr "Calibre Portablerako (%s) bide-izen luzeegia da. 59 karaktere baino gutxiagokoa izan behar du."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "calibre liburutegia"
 
@@ -20520,6 +20530,16 @@ msgstr "&Irten"
 msgid "Unhandled exception"
 msgstr "Kudeatu gabeko salbuespena"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Gaurko eguna ezarri"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20799,7 +20819,7 @@ msgstr "&Argitaratzailea:"
 msgid "Clear publisher"
 msgstr "Argitaletxea garbitu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Data garbitu"
 
@@ -20869,7 +20889,7 @@ msgid "Processed %s"
 msgstr "Prozesaturik %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Metadatu eremuak deskargatzeko"
 
@@ -21630,13 +21650,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Altua"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Baxua"
 
@@ -21661,80 +21681,80 @@ msgstr "Dena fitxa bakar batean"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Baieztatze elkarrizketak berrezarri egin dira"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "Lana &lehentasuna:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Hobetsitako &input formatu agindua:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Hobetsitako &output formatua:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Markatuta egon ezkero, Bai/Ez zutabe pertsonalizatuen balioak Bai, Ez, edo Ezezaguna izan daiteke.\nMarkatuta baldin ez badago, balioak Bai edo Ez izan daitezke."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Ezabatu albisteak liburutegitik  modu automatikoan irakurgailura igorri direnean"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Lehenetsitako sarea &denboraz-kanpo:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Ezarri lehenetsitako \"sarea denboraz-kanpo\" balioa sarean eskuratzen diren kontuetarako (adibidez, internetera informazioaren bila zoazen bakoitzekoa)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " segundoak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Berrezarri desgaitutako &baieztapen elkarrizketak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Erabili barneko &ikusgailua honetarako:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22723,37 +22743,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Gehitu ezazu e-posta helbide bat liburuak bertara igortzeko"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Gehitu e-posta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Ezarri &lehenetsita"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Ezabatu e-posta helbidea"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22890,7 +22910,7 @@ msgid "Create a new rule"
 msgstr "Arau berri bat sortu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23028,7 +23048,7 @@ msgid "If there is enough room"
 msgstr "Lekurik baldin badago"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Lehen letratik"
 
@@ -23299,7 +23319,7 @@ msgid "Caching of covers for improved pe
 msgstr "Azalak katxean gorde errendimendua hobetzeko"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Ezgaitu"
 
@@ -23694,86 +23714,86 @@ msgstr "Ez da iturbururik aukeratu"
 msgid "No source selected, cannot configure."
 msgstr "Ez da iturbururik aukeratu, ezin da konfiguratu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Metadatuen iturburuak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Ondoan x gorria duten iturburuak konfiguratu egin behar dira erabili aurretik. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Markatu gabeko eremuetako metadatuak ez dira deskargatuko"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "Hautatu &denak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Berreskuratu \"Ezarri lehenetsi gisa\" botoia erabiliz ezarri duzun markaturiko eremuen azpimultzoa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Ezarri lehenetsi gisa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Bihurtu deskargatutako iruzkin guztiak &testu soilera"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23782,47 +23802,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Metadatu iturri ezberdinek, etiketa sorta ezberdinak dituzte liburu bakoitzeko. Aukera hau markatu ezkero, calibrek etiketa sorta txikienak aukeratuko ditu. Orokorrean, generoetara egokitzen dira, etiketa sorta nagusienek liburuen edukiak deskribatzen dituztelarik.</p>\n<p>Kontuan izan aukera honen egiazko aldea nabarmentzeko, iturburuetako batek liburuen generora egokitzen diren etiketa sorta antzekoak izan behar dituela. Orokorrean, iturburuek etiketa sorta handiak izaten dituzte.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Nahiago etiketa &gutxiago"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Lehenengo bat etortzea aurkitu ostean gehienez itxaron beharreko &denbora:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " segundoak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Lehenengo &azala aurkitu ostean gehinez itxaron beharreko denbora:"
 
@@ -25368,7 +25388,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Itsatsi"
@@ -26394,150 +26414,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr "Aldatu izena %s  Liburutegi birtualean"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Berrizendatu %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr "Ezabatu %s Liburutegi birtualean"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Ezabatu %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Aldatu sailkapena %s(e)rako"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Aldatu loturka %s(e)rako"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "%s(r)en umeak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Kendu%(item)s %(cat)s kategoriatik"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Bilatu guztia %s izan ezik"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Gehitu azpi-kategoria %s(e)ra"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Ezkutatu %s kategoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Erakutsi kategoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Bilatu liburuak %s kategorian"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Bilatu %s kategorian ez dauden liburuak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Aldatu kategoriaren ikonoa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Berreskuratu lehenetsitako ikonoa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Erakutsi kategoria guztiak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Aldatu azpi-kategorizazio eskema"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Partizioa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Lehenengo letra izenagatik sailkatzerakoan baino ez da erabilgarria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27207,7 +27227,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Gorde gabeko aldaketak"
 
@@ -27614,12 +27634,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Fitxategi-formatua ez da onartzen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "Ezin dira %s motako fitxategiak onartu"
@@ -27677,76 +27697,76 @@ msgid "Import"
 msgstr "Inportatu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Ezin da deskodetu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Ezin daiteke %s editatu kodeketa ezezagun batean dagoela dirudialako."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Badago gorde gabeko aldaketarik, gorde gabe irteten bazara, aldaketa horiek galduko dituzu."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Gorde eta irten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Irten aldaketak gorde gabe"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Gordetzen, itxaron mesedez..."
 
@@ -31149,18 +31169,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31174,70 +31194,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Ikuskatu elementua"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Esteka ireki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Bilatu aurreikuste aukeran"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Onartzen ez den kokapena"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Ezin da zatitu etiketaren gorputza"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Kargatu automatikoki aurreikuspena  testua editore modura aldatzen duenean"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Desgaitu aurreikuspenaren karga automatikoa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Desgaitu aurreikuste kokapenetik edizio kopepenera sinkronizatzea"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Gaitu aurreikuste kokapenetik edizio kopepenera sinkronizatzea"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Bertan behera utzi fitxategiaren zatiketa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34185,13 +34205,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34226,30 +34246,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Moz&tu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "&Aurrerako urratsa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "&Beherako urratsa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34303,44 +34323,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Aukeratu zure e-book gailua. Gailua ez badago zerrendan, aukeratu \"%s\" gailua."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Hautatu liburuendako kokagunea"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Ezinezkoa izan da karpeta bat %s horretan sortzea"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Aukeratu beharko duzu hutsik dagoen edozein karpeta calibre liburutegirako. %s hori ez dago hutsik."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Hurrengoa >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Atzera"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34348,15 +34372,15 @@ msgstr "< &Atzera"
 msgid "Cancel"
 msgstr "Bertan behera utzi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Amaitu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Burutu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34364,7 +34388,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Ongi etorri calibrera"
@@ -34372,7 +34396,7 @@ msgstr "Ongi etorri calibrera"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Liburu elektronikoekin dauzkazun behar guztiak asebetetzeko irtenbidea"
@@ -34387,7 +34411,7 @@ msgstr "&Gailuak"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Laguntzaile-magialariaren orrialdea"
@@ -34425,17 +34449,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "&Kindle e-posta:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Aukeratu zure &hizkuntza:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Aukera ezazu zure liburuarentzako leku bat. calibrera liburuak gehitzen dituzunean, hona kopiatu egingo dira. Erabil ezazu <b>hutsik dagoen karpeta</b> bat calibre liburutegi berri baterako:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37021,6 +37045,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/fa.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/fa.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/fa.po	2020-07-02 04:02:58.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/fa.po	2020-07-16 16:41:22.000000000 +0000
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
@@ -213,7 +213,7 @@ msgstr "به هیچ وجه کاری ان
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -225,12 +225,12 @@ msgstr "به هیچ وجه کاری ان
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1140,9 +1140,9 @@ msgstr "کاتالوگ"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1167,7 +1167,7 @@ msgstr "مسیر کتابخانه ({0})
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1229,7 +1229,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2842,8 +2842,8 @@ msgstr "در حال به دست آورد
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2852,8 +2852,8 @@ msgstr "درحال حدف کردن کت
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3196,7 +3196,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3309,7 +3309,7 @@ msgid "Communicate with MTP devices"
 msgstr "برقراری ارتباط با دستگاههای MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "دریافت اطّلاعات دستگاه..."
@@ -3336,8 +3336,8 @@ msgid "Finished reading metadata from de
 msgstr "پایان خوانش فراداده از دستگاه"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3725,61 +3725,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "پورت نامعتبر در تنظیمات: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "اتصال به پورت %d ناموفق بود. مقداری دیگر را امتحان کنید."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "تخصیص پورت تصادفی ناموفق بود."
 
@@ -6213,7 +6224,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "خیر"
 
@@ -6236,7 +6247,7 @@ msgid "Producer"
 msgstr "تولید‌کننده"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6502,103 +6513,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "دانلود فراداده و جلد از آمازون"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "آمریکا"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "فرانسه"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "آلمان"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "انگلستان"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "ایتالیا"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "ژاپن"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "اسپانیا"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "برزیل"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6606,7 +6617,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8495,7 +8506,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8973,7 +8984,7 @@ msgstr "پوشه  %s قبلا وجود 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "نام طولانی"
 
@@ -9018,7 +9029,7 @@ msgstr "کتابخانه %s از نرم
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9070,7 +9081,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9225,7 +9236,7 @@ msgid "Browse for library"
 msgstr "جستجوی کتابخانه"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&کپی"
@@ -9265,7 +9276,7 @@ msgstr "{0} از {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "انتخاب &همه"
 
@@ -10161,7 +10172,7 @@ msgid "Move to next highlighted match"
 msgstr "حرکت به تطبیق برجسته شده بعدی"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10763,7 +10774,7 @@ msgid "this book"
 msgstr "این کتاب"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "به دنبال  %s جستجو کن"
@@ -10974,7 +10985,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11422,8 +11433,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11552,42 +11563,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "مدیریت %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "حذف کردن قالب %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "ذخیره قالب %s به دیسک"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11596,112 +11612,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "مسیر"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11709,7 +11725,7 @@ msgstr "مسیر"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "اندازه جلد: %(width)d x %(height)d پیکسل"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11778,7 +11794,7 @@ msgstr "خروجی"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11796,11 +11812,11 @@ msgstr "خروجی"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11939,7 +11955,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11974,7 +11990,7 @@ msgstr "درست"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12021,8 +12037,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "حذف"
 
@@ -12134,22 +12150,22 @@ msgstr "برگرداندن به حالت
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12377,7 +12393,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12852,10 +12868,10 @@ msgstr "&کلید اندازه فونت"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13287,7 +13303,7 @@ msgid "Change the title of this book"
 msgstr "عنوان کتاب را تغییر دهید"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ":&نویسنده(ها) "
 
@@ -13302,7 +13318,7 @@ msgid ""
 msgstr "تغییر نویسنده(های) این کتاب. نویسندگان متعدد باید توسط کاما جدا شوند"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ":نا&شر "
 
@@ -13311,7 +13327,7 @@ msgid "Ta&gs: "
 msgstr ":&برچسب ها "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13326,8 +13342,8 @@ msgstr ":&مجموعه ها"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "فهرست مجموعه های موجود. میتوانید مجموعه جدید اضافه کنید."
@@ -13394,45 +13410,45 @@ msgstr "اندازه صفحه: %s"
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "حاشیه ها"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ":&چپ:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "دست نخورده"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ":&بالا"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ":&راست:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ":&پایین:"
@@ -13778,7 +13794,7 @@ msgid "Edit the currently selected expre
 msgstr "ویرایش عبارت انتخاب شده جاری"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&تغییر‌"
 
@@ -14604,74 +14620,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "تعریف نشده"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "مقادیر تغییر کردند"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " نمایه:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "اعمال تغییرات"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "پاک کردن مجموعه"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14679,44 +14694,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15422,11 +15437,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15490,79 +15505,84 @@ msgid ""
 "        "
 msgstr "        <h1>راهنما</h1>\n\n        <p>نرم افزار فهرست کتابها و فراداده های شما را در یک پایگاه داده نگاه میدارد\n       اما پرونده های کتابها و جلد ها به صورت پرونده های معمولی در پوشه کتابخانه calibre\n        نگاه داشته میشوند. پایگاه داده شامل فهرست تمام پرونده ها و جلد های تک تک کتابها است\n        این ابزار انطباق پرونده های واقعی در پوشه کتابخانه را با اطلاعات پایگاه داده بررسی\n        میکند.</p>\n        \n        <p>نتایج هر کدام از بررسی ها در سمت چپ نمایش داده میشوند. این\n        بررسی ها شامل موارد زیر هستند:\n        </p>\n        <ul>\n        <li><b>عنوانهای نامعتبر</b>: اینها عناوینی هستند که\n        به جای عناوین کتابها در کتابخانه دیده میشوند اما شکل\n        درست عنوان کتاب ندارند.</li>\n        <li><b>عناوین اضافی</b>: اینها مدخل هایی در پایگاه داده هستند\n        که عناوینی با شکل صحیح دارند اما هیچ پرونده ای برای آنها در پوشه\n        کتابخانه ثبت نشده است.</li>\n        <li><b>نویسندگان نامعتبر</b>: پرونده هایی که در کتابخانه وجود\n        دارند در حالیکه تنهاپوشه نویسنده باید وجود داشته باشد.</li>\n        <li><b>نویسندگان اضافی</b>: پوشه هایی در کتابخانه هستند\n        که ظاهرا اسم نویسنده است اما هیچ مدخلی در پایگاه داده برای آنها\n        وجود ندارد</li>\n        <li><b>قالبهای غایب کتاب</b>: قالبهای کتابی هستند که در پایگاه داده موجودند\n       اما هیچ قالب منطبقی در پوشه کتاب وجود ندارد.\n        <li><b>قالبهای کتاب اضافی</b>: اینها قالبهای کتابی هستند که در پوشه کتاب\n        موجودند اما در پایگاه داده وجود ندارند.\n        <li><b>پرونده های ناشناخته در پوشه کتاب</b>: پرونده هایی اضافی هستند که در\n        پوشه کتاب وجود دارند و مربوط به هیچ قالب شناخته شده یا جلدی نیستند.</li>\n        <li><b>پرونده های جلد غایب</b>: کتابهایی هستند که در پایگاه داده همراه با\n        جلد معرفی شده اند اما در پوشه کتاب جلد آنها وجود ندارد.</li>\n        <li><b>عدم وجود پرونده های جلد در پایگاه داده</b>: کتابهایی هستند که در پوشه کتابخانه\n        جلد دارند اما در کتابخانه به عنوان بدون جلد علامتگذاری شده اند.</li>\n        <li><b>پوشه هایی که استثنا پرتاب میکنند</b>: پوشه هایی هستند که کتابخانه calibre\n        نمیتواند آنها را پردازش یا درک کند.</li>\n        </ul>\n\n        <p>دو نوع تعمیر خودکار موجود است: <i>حذف علامتگذاری \n        شده ها</i> و <i>تعمیر علامتگذاری شده ها</i>.</p>\n        <p><i>حذف علامتگذاری شده ها</i> برای حذف پرونده ها/پوشه ها/جلدهایی استفاده میشود\n        که هیچ مدخلی در کتابخانه ندارند. برای حذف، تیک جعبه کناری آن را بزنید. در هنگام\n        استفاده دقت کنید.</p>\n\n        <p><i>تعمیر علامتگذاری شده ها</i> تنها برای جلدها و قالبهای غایب به کار میرود\n        (سه خطی که به عنوان \"قابل تعمیر\" علامتگذاری شده اند). در حالت وجود پرونده های\n        جلد غایب، با تیک زدن جعبه مربوطه به calibre میگویید که جلدی برای این کتاب وجود ندارد\n        تنها در صورتی از این گزینه استفاده کنید که قصد بازگردانی جلدها با استفاده از پشتیبان\n        در آینده را ندارید. در حالت پرونده های جلدی که در پایگاه داده وجود ندارند، تیک زدن جعبه و\n        فشار دکمه \"تعمیر علامتگذاری شده ها\" به معنای آن خواهد بود که پرونده جلد پیدا شده\n        صحیح است و این پرونده به پایگاه داده اضافه میشود. هنگامی از این گزینه استفاده کنید\n        که قصد ندارید در آینده پرونده جلد را پاک کنید. در حالت پرونده های غایب، تیک زدن جعبه\n        و فشار دکمه به معنای این خواهد بود که این قالب ها واقعا وجود ندارند. تنها در صورتی\n        از این گزینه استفاده کنید که در آینده قصد ندارید این قالبها را از روی پشتیبان\n        برگردانید.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&بررسی دوباره"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "clipboard کپی &به"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&تمام"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "حذف &علامتگذاری شده ها"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&تعمیر علامتگذاری شده ها"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "("
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "مسیر در کتابخانه"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15612,8 +15632,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16169,46 +16189,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "هیچ موردی انتخاب نشده"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "هیچ موردی انتخاب نشده"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "آیا مطمئن هستید که موارد زیر را میخواهید حذف کنید؟"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16217,7 +16237,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16232,11 +16252,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16264,7 +16284,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16289,28 +16309,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16337,65 +16357,65 @@ msgstr "نام نویسنده نامعت
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "مدیریت نویسندگان"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ":&جستجو برای"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16728,77 +16748,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "در حال کار"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "حروف کوچک"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "حروف بزرگ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "ویرایش فراداده برای <b>%d کتاب</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16806,7 +16826,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16816,7 +16836,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16831,80 +16851,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16912,90 +16932,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "تنظیم &خودکار ترتیب نویسنده"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "ترتیب عنوان را &به روز کن"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "تغییر &جلد"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "ایجاد &جلد پیش فرض"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&حذف جلد"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "(&پیرایش جلد (خطرناک"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ":&تاریخ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "اگر تیک زده شود ناشر پاک خواهد شد"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "&پاک کردن ناشر"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17003,118 +17023,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "&شماره گذاری خودکار کتابها در این مجموعه"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&شماره مجموعه ها را اجبارا از 1 شروع کن:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&پاک کردن مجموعه"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "تنظیم &نظرات برای تمام کتابها"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ":&حذف برچسب ها"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "حذف &همه"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ":اضافه کردن بر&چسب "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "پاک کردن تاریخ انتشار"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ":&زبان‌ها"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ":ترتیب &نویسنده "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17123,152 +17143,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "&مقادیر اصلی قبلی را در صورت امکان برگردان"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ".با تیک زدن این جعبه تمام برچسب های کتابها حذف خواهد شد"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ":&امتیاز"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "فراداده &پایه"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "فراداده &سفارشی"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&ذخیره"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "ح&الت:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17276,48 +17296,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&جستجو و جایگزینی"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17946,7 +17966,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18606,76 +18626,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "اضافه کردن یک دسته جدید"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "اعمال برچسب به دسته برچسب جاری"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18707,121 +18727,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19702,17 +19722,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19993,21 +20013,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20351,7 +20361,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "کتابخانه calibre"
 
@@ -20514,6 +20524,16 @@ msgstr "&خروج"
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20793,7 +20813,7 @@ msgstr ":نا&شر"
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "پاک کردن تاریخ"
 
@@ -20863,7 +20883,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21624,13 +21644,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "زیاد"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "کم"
 
@@ -21655,80 +21675,80 @@ msgstr "همه در 1 برگه"
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ":&اولویت کار"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ":ترتیب قالب &ورودی ارجح"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ":قالب &خروجی ارجح"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "هنگامی که اخبار به صورت خودکار به دستگاه فرستاده شد، خبر را &حذف کن"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " ثانیه"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ":استفاده از &نمایشگر داخلی برای"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22717,37 +22737,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "اضافه کردن نشانی ایمیل برای فرستادن کتابها"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "اضافه کردن &ایمیل"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "انتخاب &پیش فرض"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&حذف ایمیل"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22884,7 +22904,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23022,7 +23042,7 @@ msgid "If there is enough room"
 msgstr "اگر جا به اندازه کافی بود"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "بر اساس حرف اول"
 
@@ -23293,7 +23313,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "غیر فعال"
 
@@ -23688,86 +23708,86 @@ msgstr "منبعی انتخاب نشده
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "منابع فراداده"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "مراجعی که در کنار اسمشان ضربدر قرمز دارند، قبل از استفاده باید تنظیم شوند. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "اگر تیک هر کدام از موارد را بردارید، فراداده مربوط به آن مورد دانلود نمی شود"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&انتخاب همه"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&تنظیم به عنوان پیش فرض"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "تمام نظرات دانلود شده را به &متن ساده تبدیل کن"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23776,47 +23796,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "ترجیح برچسب های &کمتر"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ":حداکثر &زمان انتظار بعد از پیدا شدن اولین انطباق"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " ثانیه ها"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ":حداکثر زمان انتظار بعد از پیدا شدن اولین &جلد"
 
@@ -25362,7 +25382,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "چس&باندن"
@@ -26388,150 +26408,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "جستجوی همه چیز به جز %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "پنهان کردن دسته %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "نمایش دسته"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "جستجو کتاب در دسته %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "جستجو کتاب در دسته ای به جز %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "نمایش تمام دسته ها"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "پارتیشن"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27201,7 +27221,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "تغییرات ذخیره نشده"
 
@@ -27608,12 +27628,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27671,76 +27691,76 @@ msgid "Import"
 msgstr "وارد کردن"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&ذخیره و خروج"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&خروج بدون ذخیره کردن"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "...در حال ذخیره سازی، لطفا صبر کنید"
 
@@ -31143,18 +31163,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31168,70 +31188,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "محل نامعتبر"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34179,13 +34199,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34220,30 +34240,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "یک رنگ را برگزینید"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "بر&ش"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34297,44 +34317,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "ایجاد پوشه در %s ناموفق بود"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34342,15 +34366,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "لغو"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34366,7 +34390,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34381,7 +34405,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34419,17 +34443,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37015,6 +37039,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/fil.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/fil.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/fil.po	2020-07-02 04:03:21.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/fil.po	2020-07-16 16:39:42.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -208,7 +208,7 @@ msgstr "Talagang walang ginagawa"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -220,12 +220,12 @@ msgstr "Talagang walang ginagawa"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1135,9 +1135,9 @@ msgstr "Katalogo"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1162,7 +1162,7 @@ msgstr "Ang path patungo sa library ({0}
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1224,7 +1224,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2837,8 +2837,8 @@ msgstr "Kinukuha ang listahan ng mga akl
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2847,8 +2847,8 @@ msgstr "Inaalis ang mga libro galing sa
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3191,7 +3191,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3304,7 +3304,7 @@ msgid "Communicate with MTP devices"
 msgstr "Mag-communicate gamit ang MTP devices"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Kunin ang impormasyon ng device"
@@ -3331,8 +3331,8 @@ msgid "Finished reading metadata from de
 msgstr "Tapos na ang pagbasa ng metadata sa device"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3720,61 +3720,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Masyadong maraming connection attempt sa %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Ang app sa iyong device ang masyadong luma na at hindi na ito maalalayan. Paki-update ito sa mas bagong bersyon."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Hindi mainam na compression setting.  Kailangan nasa pagitan ng numbero 50 at 99.  Sapilitang upang maging %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Invalid port sa options: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Nabigo sa pagkonek sa port %d. Sumubok ng ibang value."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Nabigong i-allocate sa random port"
 
@@ -6208,7 +6219,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6231,7 +6242,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6497,103 +6508,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6601,7 +6612,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8490,7 +8501,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8968,7 +8979,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9013,7 +9024,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9065,7 +9076,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9220,7 +9231,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9260,7 +9271,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10156,7 +10167,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10758,7 +10769,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10969,7 +10980,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11417,8 +11428,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11547,42 +11558,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11591,112 +11607,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11704,7 +11720,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11773,7 +11789,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11791,11 +11807,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11934,7 +11950,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11969,7 +11985,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12016,8 +12032,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12129,22 +12145,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12372,7 +12388,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12847,10 +12863,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13282,7 +13298,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13297,7 +13313,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13306,7 +13322,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13321,8 +13337,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13389,45 +13405,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13773,7 +13789,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14599,74 +14615,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14674,44 +14689,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15417,11 +15432,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15485,79 +15500,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15607,8 +15627,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16164,46 +16184,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16212,7 +16232,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16227,11 +16247,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16259,7 +16279,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16284,28 +16304,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16332,65 +16352,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16723,77 +16743,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16801,7 +16821,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16811,7 +16831,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16826,80 +16846,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16907,90 +16927,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16998,118 +17018,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17118,152 +17138,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17271,48 +17291,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17941,7 +17961,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18601,76 +18621,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18702,121 +18722,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19697,17 +19717,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19988,21 +20008,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20346,7 +20356,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20509,6 +20519,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20788,7 +20808,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20858,7 +20878,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21619,13 +21639,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21650,80 +21670,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22712,37 +22732,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22879,7 +22899,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23017,7 +23037,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23288,7 +23308,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23683,86 +23703,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23771,47 +23791,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25357,7 +25377,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26383,150 +26403,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27196,7 +27216,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27603,12 +27623,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27666,76 +27686,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31138,18 +31158,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31163,70 +31183,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34174,13 +34194,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34215,30 +34235,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34292,44 +34312,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34337,15 +34361,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34353,7 +34377,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34361,7 +34385,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34376,7 +34400,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34414,17 +34438,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37010,6 +37034,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/fi.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/fi.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/fi.po	2020-07-02 04:03:53.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/fi.po	2020-07-16 16:38:08.000000000 +0000
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
@@ -213,7 +213,7 @@ msgstr "Ei tee mitään"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -225,12 +225,12 @@ msgstr "Ei tee mitään"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1140,9 +1140,9 @@ msgstr "Luettelo"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1167,7 +1167,7 @@ msgstr "Polku kirjastoon ({0}) on liian
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1229,7 +1229,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2842,8 +2842,8 @@ msgstr "Haetaan listaa laitteella olevis
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2852,8 +2852,8 @@ msgstr "Poistetaan kirjoja laitteen meta
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3196,7 +3196,7 @@ msgstr "Syötä käytettävä alaotsikko
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Muokkaa mallia"
@@ -3309,7 +3309,7 @@ msgid "Communicate with MTP devices"
 msgstr "Kommunikoi MTP laitteiden kanssa"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Haetaan laitetietoja..."
@@ -3336,8 +3336,8 @@ msgid "Finished reading metadata from de
 msgstr "Suoritettiin metatiedon lukeminen laitteesta"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3725,61 +3725,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "Pilkuin erotettu lista niiden tiedostoformaattien päätteistä, joita haluat siirtää laitteelle. Esimerkiksi äänikirjaformaatti \"m4b\". Älä välitä \"lisätiedostoformaatteja\"-varoituksesta."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Liian monta yhteysyritystä kohteesta %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Laitteesi sovellus on liian vanha eikä sitä enää tueta. Päivitä uudempaan versioon."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Kirjastossasi on kirjoja, joiden päivämäärä on asetettu tulevaisuuteen. Näet lisätietoja calibresta"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "Luettu synkronointisarake %s puuttuu calibren kirjastosta"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "Luettu synkronointisareke %s ei ole muotoa Kyllä/Ei."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "Luettu päivämäärän synkronointisarake %s puuttuu calibren kirjastosta"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "Luettu synkronointisarake %s ei ole päivämäärämuotoinen"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Väärä pakkauslaatuasetus. Arvon on oltava välilä 50-99. Pakotettu arvoksi %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Asetuksissa on kelvoton portti: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Yhdistäminen porttiin %d epäonnistui. Kokeile toista arvoa."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Satunnaisen portin varaaminen epäonnistui"
 
@@ -6213,7 +6224,7 @@ msgstr "Pura tavanomaiset ekirja-formaat
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Ei"
 
@@ -6236,7 +6247,7 @@ msgid "Producer"
 msgstr "Tuottaja"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6502,103 +6513,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google-kuvat"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Ladataan metatiedot ja kannet Amazonista"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "Yhdysvallat"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Ranska"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Saksa"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Iso-Britannia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Australia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japani"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Espanja"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brasilia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Alankomaat"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Kiina"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Kanada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Valitse palvelin automaattisesti"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Amazon palvelimet"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Bing-hakuvälimuisti"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Google-hakuvälimuisti"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Wayback machine -välimuisti (hidas)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Käytettävä Amazon-maasivusto:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Metatiedot haetaan tämän maan Amazonista"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Palvelin jolta tiedot haetaan:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon on alkanut estämään metatietojen hakemista. Tämän kiertämiseksi calibre hakee tietoja useista eri välimuisteista joihin tieto on tallennettu. Valitse haluamasi lähteet."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6606,7 +6617,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazonin aikaraja ylittyi. Yritä uudelleen myöhemmin."
 
@@ -8495,7 +8506,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8973,7 +8984,7 @@ msgstr "Kansio %s on jo olemassa. Poista
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Liian pitkä"
 
@@ -9018,7 +9029,7 @@ msgstr "Kirjasto %s on poistettu calibre
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9070,7 +9081,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9225,7 +9236,7 @@ msgid "Browse for library"
 msgstr "Etsi kirjastoa"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Kopioi"
@@ -9265,7 +9276,7 @@ msgstr "{0} by {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Valitse &kaikki"
 
@@ -10161,7 +10172,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10763,7 +10774,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10974,7 +10985,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11422,8 +11433,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11552,42 +11563,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11596,112 +11612,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11709,7 +11725,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11778,7 +11794,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11796,11 +11812,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11939,7 +11955,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11974,7 +11990,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12021,8 +12037,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Poista"
 
@@ -12134,22 +12150,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12377,7 +12393,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12852,10 +12868,10 @@ msgstr "Kirjainkoon %avain:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13287,7 +13303,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Tekijä(t) "
 
@@ -13302,7 +13318,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13311,7 +13327,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13326,8 +13342,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13394,45 +13410,45 @@ msgstr ""
 msgid "Page setup"
 msgstr "Sivuasettelu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Tallennusprofiili:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Syöttöprofiili:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13778,7 +13794,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14604,74 +14620,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Tallenna muutokset"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14679,44 +14694,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15422,11 +15437,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15490,79 +15505,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15612,8 +15632,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16169,46 +16189,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16217,7 +16237,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16232,11 +16252,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16264,7 +16284,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16289,28 +16309,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16337,65 +16357,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16728,77 +16748,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16806,7 +16826,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16816,7 +16836,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16831,80 +16851,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16912,90 +16932,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17003,118 +17023,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17123,152 +17143,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17276,48 +17296,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17946,7 +17966,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18606,76 +18626,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18707,121 +18727,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19702,17 +19722,17 @@ msgstr "Sivun asettelu"
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19993,21 +20013,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20351,7 +20361,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20514,6 +20524,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20793,7 +20813,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20863,7 +20883,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21624,13 +21644,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21655,80 +21675,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr "sekuntia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22717,37 +22737,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22884,7 +22904,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23022,7 +23042,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23293,7 +23313,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Poista käytöstä"
 
@@ -23688,86 +23708,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Valitse kaikki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Aseta oletukseksi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23776,47 +23796,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25362,7 +25382,7 @@ msgid "Paste and &search"
 msgstr "Liitä ja&hae"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Liitä"
@@ -26388,150 +26408,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Jako"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27201,7 +27221,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27608,12 +27628,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27671,76 +27691,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31143,18 +31163,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31168,70 +31188,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Avaa linkki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34179,13 +34199,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34220,30 +34240,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34297,44 +34317,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Valitse käytössäsi oleva sähkökirjojen lukulaite. Jos laitteesi ei ole listalla, valitse laitteeksi \"%s\"."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34342,15 +34366,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "Peru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Tervetuloa calibreen!"
@@ -34366,7 +34390,7 @@ msgstr "Tervetuloa calibreen!"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Yksi ratkaisu kaikille sähkökirjatarpeillesi."
@@ -34381,7 +34405,7 @@ msgstr "&Laitteet"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34419,17 +34443,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Valitse &kieli:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Valitse kirjoillesi tallennussijainti. Calibreen lisäämäsi kirjat kopioidaan tähän kansioon. Käytä calibren kirjaston luoomiseen <b>tyhjää kansiota</b>:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37015,6 +37039,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/fo.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/fo.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/fo.po	2020-07-02 04:04:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/fo.po	2020-07-16 16:43:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/fr_CA.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/fr_CA.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/fr_CA.po	2020-07-02 04:02:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/fr_CA.po	2020-07-16 16:42:10.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -207,7 +207,7 @@ msgstr "Ne fait strictement rien"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -219,12 +219,12 @@ msgstr "Ne fait strictement rien"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1134,9 +1134,9 @@ msgstr "Catalogue"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1161,7 +1161,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1223,7 +1223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2836,8 +2836,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2846,8 +2846,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3190,7 +3190,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3303,7 +3303,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3330,8 +3330,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3719,61 +3719,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6207,7 +6218,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Non"
 
@@ -6230,7 +6241,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6496,103 +6507,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "États Unis"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "France"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Allemagne"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Royaume-Uni"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italie"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Espagne"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brésil"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Pays-Bas"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6600,7 +6611,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8489,7 +8500,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8967,7 +8978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9012,7 +9023,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9064,7 +9075,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9219,7 +9230,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9259,7 +9270,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10155,7 +10166,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10757,7 +10768,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10968,7 +10979,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11416,8 +11427,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11546,42 +11557,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11590,112 +11606,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11703,7 +11719,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11772,7 +11788,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11790,11 +11806,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11933,7 +11949,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11968,7 +11984,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12015,8 +12031,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12128,22 +12144,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12371,7 +12387,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12846,10 +12862,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13281,7 +13297,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13296,7 +13312,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13305,7 +13321,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13320,8 +13336,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13388,45 +13404,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13772,7 +13788,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14598,74 +14614,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14673,44 +14688,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15416,11 +15431,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15484,79 +15499,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15606,8 +15626,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16163,46 +16183,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16211,7 +16231,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16226,11 +16246,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16258,7 +16278,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16283,28 +16303,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16331,65 +16351,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16722,77 +16742,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16800,7 +16820,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16810,7 +16830,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16825,80 +16845,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16906,90 +16926,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16997,118 +17017,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Langues:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17117,152 +17137,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Évaluation:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17270,48 +17290,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17940,7 +17960,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18600,76 +18620,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Ajouter une nouvelle catégorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18701,121 +18721,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19696,17 +19716,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Restaurer%s"
@@ -19987,21 +20007,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20345,7 +20355,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20508,6 +20518,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20787,7 +20807,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20857,7 +20877,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21618,13 +21638,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21649,80 +21669,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22711,37 +22731,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22878,7 +22898,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23016,7 +23036,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23287,7 +23307,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23682,86 +23702,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23770,47 +23790,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25356,7 +25376,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26382,150 +26402,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27195,7 +27215,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27602,12 +27622,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27665,76 +27685,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31137,18 +31157,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31162,70 +31182,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34173,13 +34193,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34214,30 +34234,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34291,44 +34311,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34336,15 +34360,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34352,7 +34376,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34360,7 +34384,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34375,7 +34399,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34413,17 +34437,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37009,6 +37033,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/fr.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/fr.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/fr.po	2020-07-02 04:06:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/fr.po	2020-07-16 16:39:52.000000000 +0000
@@ -39,8 +39,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 08:39+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 11:14+0000\n"
 "Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
@@ -238,7 +238,7 @@ msgstr "Ne fait absolument rien"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -250,12 +250,12 @@ msgstr "Ne fait absolument rien"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1165,9 +1165,9 @@ msgstr "Catalogue"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1192,7 +1192,7 @@ msgstr "Le chemin ({0}) vers la biblioth
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1254,7 +1254,7 @@ msgstr "Recherches sauvegardées"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2867,8 +2867,8 @@ msgstr "Obtention de la liste des livres
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2877,8 +2877,8 @@ msgstr "Suppression des livres de la lis
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3221,7 +3221,7 @@ msgstr "Entrez un modèle à utiliser po
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Editer le modèle"
@@ -3334,7 +3334,7 @@ msgid "Communicate with MTP devices"
 msgstr "Communiquer avec les périphériques MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Obtenir les informations du périphérique..."
@@ -3361,8 +3361,8 @@ msgid "Finished reading metadata from de
 msgstr "Lecture des métadonnées du périphérique terminée"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3750,61 +3750,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "C'est une liste séparée par des virgules des extensions de format de fichier que vous voulez envoyer vers le périphérique. Par exemple, vous pourriez avoir des audio livres dans votre bibliothèque avec l'extension \"m4b\" que vous voulez écouter sur votre périphérique. Ne vous inquiétez pas du message d'alerte \"extensions supplémentaires activées\"."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr "Ignorer l'espace libre du périphérique"
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr "Cochez cette case pour ignorer la quantité d'espace libre signalée par vos périphériques. Cela peut être nécessaire si vous stockez des livres sur une carte SD et que l'appareil n'a pas beaucoup d'espace libre en mémoire principale."
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Trop de tentatives de connexion depuis %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "L'application de votre périphérique est trop vieille et n'est plus prise en charge. Mettez la à jour à  une version plus récente."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Vous avez des formats de livre dans votre bibliothèque avec des dates dans le futur. Voir calibre pour les détails"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "La colonne de synchronisation de lecture %s n'est pas dans la bibliothèque calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "La colonne de synchronisation de lecture %s n'est pas une colonne Oui/Non"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "La colonne de synchronisation de date %s lue n'est pas dans la bibliothèque calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "La colonne de synchronisation de la date de lecture %s n'est pas une colonne date"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Mauvais paramètre de qualité de compression. Celui-ci doit être un nombre entre 50 et 99. Forcé à %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Port invalide dans les options : %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Échec de connexion au port %d. Essayez une valeur différente."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Echec d'attribution d'un port aléatoire"
 
@@ -6238,7 +6249,7 @@ msgstr "Extraire les formats communs de
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Non"
 
@@ -6261,7 +6272,7 @@ msgid "Producer"
 msgstr "Producteur"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6527,103 +6538,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google images"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Télécharge les métadonnées et les couvertures à partir d’Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "US"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "France"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Allemagne"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "UK"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Australie"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italie"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Espagne"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brésil"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Néerlandais"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Chine"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Canada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Choisir le serveur automatiquement"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Serveurs Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Cache de recherche Bing"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Cache de recherche Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Cache Wayback Machine (lent)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Pays du site web Amazon à utiliser :"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Les métadonnées d’Amazon seront récupérées en utilisant le site web Amazon de ce pays."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Serveur pour obtenir des données :"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon à commencé à bloquer les tentatives de téléchargement des métadonnées depuis ses serveurs. Pour contourner ce problème, calibre peut aller chercher les données Amazon depuis beaucoup d'endroits différents où elles sont en cache. Choisissez votre source préférée."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Utiliser le MOBI-ASIN pour la recherche de métadonnées"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6631,7 +6642,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr "Activer cette option pour rechercher des métadonnées avec un identifiant ASIN dans le fichier MOBI du site Web du pays en question, à moins qu'un autre identifiant amazon soit disponible. Notez que si le fichier MOBI provient d'un autre magasin Amazon, vous pourriez obtenir des résultats incorrects."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazon: délai de connexion dépassé. Veuillez réessayer plus tard."
 
@@ -8520,7 +8531,7 @@ msgstr "Aucun fichier n'a été copié v
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8998,7 +9009,7 @@ msgstr "Le dossier %s existe déjà. Sup
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Trop long"
 
@@ -9043,7 +9054,7 @@ msgstr "La bibliothèque %s a été supp
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9095,7 +9106,7 @@ msgstr "Aucune erreur n’a été détec
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9250,7 +9261,7 @@ msgid "Browse for library"
 msgstr "Rechercher une bibliothèque"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Copier"
@@ -9290,7 +9301,7 @@ msgstr "{0} par {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "&Tout sélectionner"
 
@@ -10186,7 +10197,7 @@ msgid "Move to next highlighted match"
 msgstr "Aller à la correspondance suivante surlignée"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10788,7 +10799,7 @@ msgid "this book"
 msgstr "ce livre"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Rechercher %s"
@@ -10999,7 +11010,7 @@ msgstr "&Prévisualiser le livre"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11447,8 +11458,8 @@ msgstr "Changer"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11577,42 +11588,47 @@ msgid "Search the internet for this book
 msgstr "Rechercher ce livre sur internet"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Gérer %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr "Trouver %s dans le Navigateur d'étiquettes"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Supprimer le format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Enregistrer le format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Restaurer le format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Définir la couverture du livre à partir du fichier %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Comparer au format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11621,112 +11637,112 @@ msgstr "Comparer au format %s"
 msgid "Open %s with..."
 msgstr "Ouvrir %s avec..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Ajouter une autre application pour les fichiers %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Éditer les applications utilisées pour Ouvrir avec..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Éditer %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Copier le chemin vers le fichier"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr "&Copier le lien auteur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Rechercher %s dans calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Copier le chemin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr "&Copier le lien identifiant"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Supprimer %s de ce livre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Copier t&out"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Copier l'emplacement du lien"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr "Ouvrir la fenêtre Détails du livre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Ouvrir la couverture avec..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Ajouter une autre application pour ouvrir la couverture..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Coller la couverture"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Copier la couverture"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Enregistrer la couverture sur le disque"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Supprimer la couverture"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Générer la couverture à partir des métadonnées"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Choisir l'emplacement où enregistrer la couverture"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "Images JPEG"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Faire un double-clic pour ouvrir la fenêtre Détails du livre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Chemin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11734,7 +11750,7 @@ msgstr "Chemin"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Taille de la couverture: %(width)d x %(height)d pixels"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Modifier les identifiants pour ce livre"
 
@@ -11803,7 +11819,7 @@ msgstr "sortie"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11821,11 +11837,11 @@ msgstr "sortie"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11964,7 +11980,7 @@ msgid "Preset name:"
 msgstr "Nom de la configuration :"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Vous devez préciser un nom."
 
@@ -11999,7 +12015,7 @@ msgstr "Vrai"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12046,8 +12062,8 @@ msgid "Delete current preset"
 msgstr "Supprimer les réglages prédéfinis actuels"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Supprimer"
 
@@ -12159,22 +12175,22 @@ msgstr "Réinitialiser aux valeurs par d
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12402,7 +12418,7 @@ msgstr "Titre {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12877,10 +12893,10 @@ msgstr "&Clé pour la taille de la polic
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13312,7 +13328,7 @@ msgid "Change the title of this book"
 msgstr "Modifie le titre de ce livre"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Auteur(s) : "
 
@@ -13327,7 +13343,7 @@ msgid ""
 msgstr "Modifie le(s) auteur(s) de ce livre. Des auteurs multiples doivent être séparés par une virgule"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Editeur : "
 
@@ -13336,7 +13352,7 @@ msgid "Ta&gs: "
 msgstr "Éti&quettes : "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13351,8 +13367,8 @@ msgstr "&Série :"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Liste de séries connues. Vous pouvez ajouter de nouvelles séries."
@@ -13419,45 +13435,45 @@ msgstr "Taille de l'écran : %s"
 msgid "Page setup"
 msgstr "Mise en page"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Profil de &Sortie :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Description du profil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Profil d’&Entrée :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Marges"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Gauche :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Aucune modification"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Haut :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Droite :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Bas :"
@@ -13803,7 +13819,7 @@ msgid "Edit the currently selected expre
 msgstr "Modifier l'expression actuellement sélectionnée"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Changer"
 
@@ -14629,74 +14645,73 @@ msgstr "Choisir le fichier à partir duq
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Indéfini(e)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Définir '%s' à aujourd'hui"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Effacer '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr "Ouvrir l'éditeur d’élément"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Valeurs modifiées"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Vous avez modifié les valeurs. Pour continuer, vous devez soit annuler soit appliquer ces changements. Appliquer les changements ?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " index :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "L’énumération \"{0}\" contient une valeur non valide qui va être remplacée par la valeur par défaut"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Appliquer les modifications"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Effacer la série"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Numérotation automatique des livres"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14704,44 +14719,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "Si cette case n’est pas cochée, le numéro de série pour les livres sera fixé à 1.\n Si cette case est cochée, les livres sélectionnés seront automatiquement numérotés,\n dans l’ordre de la sélection. Ainsi, si vous avez sélectionné le Livre A et après le Livre B,\n le livre A aura le numéro de série 1 et le livre B le numéro 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Forcer les nombres à commencer par "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "Les séries vont normalement être renumérotées à partir du nombre le plus élevé dans la base de données pour cette série. Cocher cette case indiquera à calibre que la numérotation doit démarrer à partir de la valeur du champ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "Le nombre par lequel incrémenter le numéro de série pour les livres successifs. Seulement applicable lors de l'utilisation de forcer les numéros de série."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "L’énumération \"{0}\" contient des valeurs non valides qui n'apparaîtrons pas dans la liste"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Supprimer toutes les étiquettes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "étiquettes à ajouter"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "étiquettes à supprimer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15447,11 +15462,11 @@ msgstr "L'opération peut prendre un mom
 msgid "Vacuuming..."
 msgstr "Nettoyage en cours..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Vérification de la bibliothèque -- Problèmes rencontrés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15515,79 +15530,84 @@ msgid ""
 "        "
 msgstr "        <h1>Aide</h1>\n\n        <p>calibre conserve la liste de vos livres et de leurs métadonnées dans\n        une base de données. Les fichiers des livres sont conservés comme des\n        fichiers normaux dans le dossier de la bibliothèque calibre. La base de\n        données contient une liste des fichiers et couvertures pour chaque livre.\n        Cet outil vérifie que les fichiers dans le dossiers bibliothèque de votre\n        ordinateur correspondent bien aux données de la base.</p>\n\n        <p>Le résultat de chaque type de vérification apparaît à gauche. Les\n        différentes vérifications concernent :\n        </p>\n        <ul>\n        <li><b>Les titres invalides</b> : Ce sont les fichiers et dossiers\n        qui apparaissent dans la bibliothèque là où les titres de livres devraient,\n        mais n’apparaissent pas sous la forme correcte d’un titre de livre.</li>\n        <li><b>Titres en trop</b> : Ce sont des fichiers en trop dans\n        votre bibliothèque calibre qui apparaissent correctement formatés, mais\n        qui n’ont pas d’entrée correspondante dans la base de données.</li>\n        <li><b>Auteurs invalides</b> : Ce sont des fichiers qui\n        apparaissent dans la bibliothèque à la place de dossiers auteurs.</li>\n        <li><b>Auteurs en trop</b> : Il s’agit de dossiers dans la\n        bibliothèque calibre qui semblent être des auteurs mais qui n’ont pas\n        d’entrée dans la base de données.</li>\n        <li><b>Formats de livre manquants</b> : Il s’agit de formats de\n        livres qui existent dans la base mais n’ont pas de format de fichier\n        correspondant dans le dossier du livre.\n        <li><b>Formats de livre en trop</b> : Ces fichiers de format de\n        livre ont été trouvés dans le dossier du livre, mais pas dans la base.\n        <li><b>Fichiers inconnus dans les livres</b> : Ce sont des fichiers\n        en trop dans le dossier de chaque livre qui ne correspondent à aucun\n        fichier de format ou de couverture.</li>\n        <li><b>Fichiers couverture manquants</b> : Ils représentent les\n        livres dont la base indique qu’ils ont une couverture dont on n’a pas trace\n        du fichier.</li>\n        <li><b>Fichiers de couverture pas dans la base</b> : Ces livres ont\n        des fichiers couverture non répertoriés par leur description dans la base.</li>\n        <li><b>Dossier générant des erreurs</b> : Il s’agit de dossiers de la\n        bibliothèque calibre qui n’ont pas pu être traité/compris par cet outil.</li>\n        </ul>\n\n        <p>Il y a deux genres de réparations automatiques :<i> Supprimer\n        marqué</i> et <i>Réparer marqué</i>.</p>\n        <p><i>Supprimé marqué</i> est utilisé pour nettoyer la base des fichiers/\n        dossiers/couvertures qui n’ont pas d’entrée. Cochez la case jouxtant l’élément\n        que vous voulez supprimer. A utiliser avec précaution.</p>\n\n        <p><i>Réparer marqué</i> ne s’applique qu’aux couvertures et formats\n        manquants (les 3 lignes marquées 'réparable'). En cas de fichiers couverture\n        manquants, cocher la case réparable et cliquer le bouton indiquera à calibre\n        qu’il n’y a pas de couverture pour tous les livres listés. Utilisez cette option si\n        vous ne comptez pas récupérer les couvertures depuis une sauvegarde. En\n        cas de fichiers couverture en trop, cocher la case et cliquer le bouton dira à\n        calibre que les fichiers couverture trouvés sont corrects pour tous les livres\n        listés. Utilisez ceci si vous ne comptez pas supprimer le(s) fichier(s). Dans le\n        cas de formats manquants, cocher la case réparable et cliquer le bouton dira\n        à calibre que ces formats ont totalement disparu. A utiliser si vous ne comptez\n        pas récupérer les formats depuis une sauvegarde.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "Exécuter à nouveau la vérification"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Copier &vers le presse-papier"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Effectué"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Marquer &tout pour suppression"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Marquer tous les sous-éléments supprimables"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Supprimer les &marqués"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Supprimer les fichiers marqués (sous-items cochés)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "&Marquer tout pour réparer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Marquer tous les éléments réparables"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&Réparer les marqués"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Réparer les sections marquées (items à réparer cochés)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Noms à ignorer :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Entrez un nom de fichier standard avec des caractères de remplacement séparés par des virgules, tel que synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Extensions à ignorer :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Entrer la liste des extensions, séparées par des virgules, sans les points. Utilisé seulement dans les dossier des livres."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(réparable)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr "(supprimable)"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Localisation de la bibliothèque"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15637,8 +15657,8 @@ msgstr "L’emplacement %s contient la b
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Mauvais emplacement"
 
@@ -16194,46 +16214,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (précédemment %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "La valeur est vide"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Un élément ne peut avoir une valeur nulle. Vous pouvez supprimer l'élément."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Aucun élément n'est sélectionné"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Vous devez sélectionner un élément dans la liste des éléments disponibles"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Aucun élément n'est sélectionné"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Vous devez sélectionner au moins un élément dans la liste."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Êtes-vous sûr(e) de vouloir supprimer les éléments suivants ?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Éditeur de catégorie"
 
@@ -16242,7 +16262,7 @@ msgid "Items in use"
 msgstr "Eléments en cours d’utilisation"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16257,11 +16277,11 @@ msgstr "Renommer l’élément dans chaq
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Ce livre a des DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16289,7 +16309,7 @@ msgid "Already in calibre:"
 msgstr "Déjà dans calibre :"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16314,28 +16334,28 @@ msgid "Change case"
 msgstr "Modifier la casse"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Majuscules"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Minuscule"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Basculer la casse"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16362,65 +16382,65 @@ msgstr "Nom d’auteur erroné"
 msgid "You cannot change an author to multiple authors."
 msgstr "Vous ne pouvez pas changer un auteur en de multiples auteurs."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Gérer les auteurs"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Rechercher :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr "R&echercher"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>Ne montrer les auteurs que dans la\nBibliothèque virtuelle actuelle. Les modifications déjà effectuées peuvent être cachées mais\nne pas être oubliées.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr "Afficher uniquement les auteurs dans la Bibliothèque &virtuelle  actuelle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr "Filtrer &par :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr "<p>Ne montre que les auteurs qui contiennent le texte dans cette case.\nLa correspondance ne tient pas compte de la casse.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr "Fi&ltrer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Réinitialise tous les tris par auteur à une valeur automatiquement\ngénérée depuis cet auteur. Les paramètres exacts de ce tri automa-\ntique peuvent être gérés dans Préférences ▸ Avancé ▸ Ajustements"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "&Recalculer toutes les valeurs de tri par auteur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Copier le tri par auteur sur l'auteur. A utiliser après avoir changé \nPréférences (Avancé) ▸ Ajustements ▸ Algorithme de tri par auteur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "&Copier toutes les valeurs de tri d’auteur dans auteur"
 
@@ -16753,77 +16773,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Cacher le message d'erreur restant"
 msgstr[1] "Cacher les {} messages d'erreur restants"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "En cours"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Traitement de %d livres, veuillez patienter..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "Progression de l'étape actuelle : %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Étape %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Minuscule"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Tout en capitales"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Majuscule à chaque mot"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Correspondance de caractère"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Expression régulière"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Remplacer le champ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Ajouter au début du champ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Ajouter à la fin du champ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Modifie les métadonnées  pour <b>%d livres</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Effectue immédiatement tous les changements sans fermer la boîte de dialogue. Cette opération ne pourra être annulée ou défaite"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Livre %d :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Saisir un type d’identifiant"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16831,7 +16851,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Vous pouvez détruire votre bibliothèque en utilisant cette option.</b> Les changements sont permanents. Il n’y a pas de fonction pour revenir en arrière. Vous êtes fortement encouragé à sauvegarder votre bibliothèque avant de continuer. <p>Rechercher et remplacer dans les champs de texte en utilisant une correspondance de caractères ou une expression régulière. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16841,7 +16861,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "En mode caractère, la recherche se fait à partir du texte saisi dans 'Rechercher'. Le texte est remplacé dans le 'Champ de destination' par le texte saisi dans 'Remplacer par', à chaque fois qu'il a été trouvé dans le 'Champ de recherche'. Une fois le remplacement effectué, la casse peut être modifiée avec l'option 'Casse à appliquer sur le remplacement'. Si la case 'Sensible à la casse' est cochée, le texte recherché doit être une correspondance exacte. Si celle-ci n’est pas cochée, le texte sera trouvé, qu'il soit en majuscules ou en minuscules"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16856,80 +16876,80 @@ msgid ""
 "function."
 msgstr "En mode expression régulière, la recherche s'exprime sous forme d'une expression régulière compatible Python quelconque. Le texte de remplacement contient des références aux expressions entre parenthèses du modèle recherché. La recherche n’est pas ancrée, et peut correspondre et remplacer plusieurs fois la même chaîne. Les fonctions de modification (casse) sont appliquées au texte trouvé, et non au champ entier. 'Champ de destination' précise le champ où le résultat de la recherche et du remplacement doit être affecté. Vous pouvez remplacer le texte du champ, faire un ajout au début du champ ou un ajouter le texte en fin de champ. Voir <a href=\"https://docs.python.org/library/re.html\"> cette référence</a> pour plus d’informations sur les expressions régulières en Python, et en particulier la fonction 'sub'."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "ERREUR DU MODELE DE R/R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Vous devez spécifier une destination quand la source est un champ composite ou un modèle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "La valeur de remplacement pour une colonne de notation doit être vide ou un nombre entier entre 0 et 10"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Préciser une destination d’identifiant type"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Vous devez spécifier une expression de recherche dans le champ \"Recherche\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Chaîne d'identification invalide. Ce doit être une liste séparée par des virgules contenant des paires de chaînes séparées par un deux point (:)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Recherche/Remplacement non valide"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Recherche/Remplacement non valide : %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Supprimer les requêtes rechercher/remplacer sauvegardées"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "La requête rechercher/remplacer sauvegardée sera supprimée. Voulez-vous continuer ?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Sauvegarde Rechercher/remplcer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Nom de la requête Rechercher/Remplacer :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Cette requête rechercher/remplacer sauvegardée existe déjà et va être écrasée. Voulez-vous continuer ?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Modifier les métadonnées"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr "Appliquer la date"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16937,90 +16957,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Cela entraînera la mise à jour automatique du champ tri par auteur basé sur le champ auteur pour chaque livre sélectionné. Notez que si vous utilisez le contrôle ci-dessous pour paramétrer les auteurs par lot, le champ tri par auteur est de toute façon mis à jour, indépendamment de la valeur de cette case à cocher."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Effectuer un tri a&utomatique par auteur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "&Intervertir le titre et l’auteur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Met à jour la clé de titre à partir du titre. Ne sera appliqué qu’une fois les autre modifications du titre auront été effectuées."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Mettre à jour la clé de tri par &titre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Modifier la &couverture :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Générer une couverture par défaut"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Supprimer la couverture"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Essaye de détecter et d'enlever automatiquement les limites et les \nespaces excédentaires à partir des bords des images de couverture. \nPeut parfois enlever trop, donc à utiliser avec précaution."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "&Retailler les couvertures (RISQUÉ)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "Définir à partir des fichiers de livre numériqu&e"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Appliquer la couverture du premier livre sélectionné\nà tous les autres livres sélectionnés."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Reproduire les couvertures"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Force le titre dans la case titre. Si cette option et 'Intervertir le titre et l'auteur' sont cochés,\nle titre et l’auteur seront intervertis avant que la case titre ne soit remplie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Modifier la &casse du titre : "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Date :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Si coché, l'éditeur sera nettoyé"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "Effa&cer l’éditeur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "P&ublié :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17028,118 +17048,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Si cette case n’est pas cochée, le numéro de série pour les livres sera fixé à 1.\nSi cette case est cochée, les livres sélectionnés seront automatiquement numérotés,\ndans l’ordre de la sélection. Ainsi, si vous avez sélectionné le livre A et après le livre B,\nle livre A aura le numéro de série 1 et le livre B le numéro 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Numéroter &automatiquement les livres de cette série"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Les séries vont normalement être renumérotées à partir du nombre le plus élevé \ndans la base de données pour cette série. Cocher cette case indiquera à calibre \nque la numérotation doit démarrer à partir de la valeur du champ à droite"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Commencer la numérotation à :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Si cette case est cochée, les séries seront effacées"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Effacer les séries"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Contrôler comment les couvertures générées par défaut sont créées"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Configurer la génération de cou&verture"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Appliquer le commentaire à tous les livres sélectionnés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Supprime les étiquettes :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Supprimer &tout"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Ajouter des &étiquettes : "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Définit comment l’auteur de ce livre doit être trié. Par exemple,' Charles Dickens' doit être trié sous la forme 'Dickens, Charles'."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "&Appliquer la notation"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Effacer la date de publication"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Langue(s) :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Liste d’étiquettes, séparées par des virgules, à supprimer des livres. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Ouvrir l’Éditeur de modèle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "&Tri par auteur : "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Définir les métadonnées dans calibre à partir des métadonnées situées dans les fichiers de livre numérique associés avec chaque livre. Notez que ceci ne change pas la couverture, pour cela, utilisez l'option distincte ci-dessous."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Définir les &métadonnées (excepté la couverture) à partir des fichiers de livre numérique"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Sér&ies : "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Effacer les paramètres enregistrés pour les livres sélectionnés.\n\nToute conversion future de ces livres utilisera les paramètres par défaut."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Supprimer les paramètres de conversion &enregistrés pour les livres sélectionnés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17148,152 +17168,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Lorsque vous faites la conversion d'un format vers le même format,\npar ex. EPUB vers EPUB, calibre sauvegarde le fichier EPUB original \n en ORIGINAL_EPUB. Cette option indique à calibre de restaurer\n le fichier EPUB depuis ORIGINAL_EPUB. Utile si vous avez fait la\n conversion massive d'un grand nombre de livres et que quelque chose s'est mal passé."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Restaurer les &originaux préconversion si ceux-ci sont disponibles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Cocher cette case pour supprimer toutes les étiquettes des livres."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Note :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Métadonnées de &base"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Métadonnées &personnalisées"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "&Charger rechercher/remp&lacer :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Sélectionner une recherche préalablement enregistrée"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Enregistrer la recherche en cours"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Enregistrer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "&Champ de recherche :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Nom du champ dans lequel va être effectué la recherche"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "&Type de recherche :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Choix entre la recherche de texte basique ou la recherche avancée par expression régulière"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "Type d'&identifiant :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Choisir sous quel type d’identifiant opérer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Modèle :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Entrer un modèle à utiliser comme source pour les recherches/remplacements"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Entrez votre recherche : soit du texte, soit une expression régulière, en fonction du type de recherche"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Cochez cette case si la recherche doit respecter la casse. Décochez là si la casse doit être ignorée."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Sensible à la cass&e"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "Re&mplacer par :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Texte de remplacement : le texte correspondant à la recherche va être remplacé par cette chaîne."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "C&asse à appliquer sur le remplacement :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Précise comment le texte va être traité après la recherche et le remplacement. En type 'Correspondance de caractère', le champ\nentier est traité. En type 'Expression régulière', seul le texte correspondant à la recherche est traité"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "Champ de &destination :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Champ dans lequel le texte sera placé après tous les remplacements.\nSi ce champ est laissé blanc (et qu'il est modifiable), le remplacement se fera dans le champ de recherche"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "T&ype :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Précise comment le texte sera copié dans le champ de destination sélectionné."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Spécifie si le résultat doit être décomposé en valeurs multiples ou\nlaissé comme une valeur simple. Cette option est pertinente quand le champ de recherche n’est\npas un champ multiple alors que la destination accepte les listes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Décomposer le &résultat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Type d’identifiant :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17301,48 +17321,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Choisissez sur quel type d'identifiant opérer. Lorsque le\n              champ source n'est pas un \"identifiant\" vous pouvez entrer\n              * pour remplacer l'ensemble des identifiants par \n              le résultat de la recherche/remplacement.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Pour les champs à valeurs multiples, affiche&r"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "vale&urs débutant à"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "avec des valeurs séparées &par"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Utilisé lors de l’affichage de résultats de tests pour séparer les valeurs dans les champs à valeur multiples"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Tester le texte"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Tester le résultat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Votre &test :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Rechercher et remplacer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Si activé, la liste de livres sera re-triée et toute recherche\nexistante ou Bibliothèque virtuelle seront rafraîchies après que l'édition\nsoit complétée. Ceci peut être lent sur de grandes bibliothèques."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "&Mettre à jour la liste des livres après application des corrections"
 
@@ -17971,7 +17991,7 @@ msgstr "Recherche sauvegardée invalide"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Gérer les Recherches sauvegardées"
 
@@ -18631,76 +18651,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "La catégorie d’étiquettes affichée sera effacée de <b> manière permanente</b>. Êtes-vous certain de vouloir continuer ?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Éditeur de catégories définies par l’utilisateur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "&Nom de la catégorie : "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Sélectionner une catégorie à modifier"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "Filtrer par &catégorie : "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Sélectionner le type de contenu de la nouvelle catégorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr "&Filtre d'élément :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr "Entrez le texte pour filtrer les éléments disponibles. Les majuscules et les accents sont ignorés."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr "Supprimer la catégorie d'étiquettes en cours"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr "Entrer un nom de catégorie, puis utiliser le bouton Ajouter ou le bouton Renommer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Ajouter une nouvelle catégorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Renommer la catégorie actuelle avec le contenu de la boîte"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr "<p>Montre les éléments dans le champ des Eléments disponibles seulement s'ils apparaissent dans la\nBibliothèque virtuelle actuelle. Les éléments appliqués qui ne sont pas dans la Bibliothèque virtuelle seront marqués\n\"ne se trouvent dans aucun livre\".</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr "&Montre uniquement les éléments disponibles dans la Bibliothèque virtuelle  actuelle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "Éléments &disponibles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Appliquer les étiquettes à la catégorie actuelle d’étiquettes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "Éléments ut&ilisés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Retirer (supprimer) l’étiquette de la catégorie actuelle d’étiquettes"
 
@@ -18732,121 +18752,121 @@ msgid ""
 "to delete them?"
 msgstr "Les étiquettes suivantes sont utilisées par un livre ou plus. Êtes-vous certain de vouloir les supprimer ?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr "Gérer les éléments"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr "&Ajouter un élément :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr "Appliquer le(s) élément(s) au livre en cours"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr "Filtrer les éléments disponibles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr "Supprimer l’élément de la base de données. Cela le désactivera pour tous les livres et le supprimera ensuite de la base de données."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr "Éléments d&isponibles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr "Appliquer l'élément au livre en cours"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr "Désappliquer (retirer) l'élément du livre en cours"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr "Filtrer les éléments appliqués"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Nombre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Ancienne valeur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr "Traitement en cours..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Voulez-vous vraiment annuler vos changements ?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Récupérer l'élément ?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Cet élément est supprimé. Souhaitez-vous le récupérer ?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr "Recherche d'un élément dans la première colonne"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr "Trouver les éléments contenant la chaîne de recherche"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>N'affiche les éléments que s'ils figurent dans la\nBibliothèque virtuelle actuelle. Les modifications déjà effectuées peuvent être cachées mais\nne seront pas oubliées.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr "Afficher uniquement les éléments dans la Bibliothèque &virtuelle  en cours"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr "&Filtrer par :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr "Filtrer les éléments en utilisant le texte de cette case"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr "Afficher uniquement les éléments contenant ce texte"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr "F&iltrer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr "Renommer l'élément dans chaque livre où il est utilisé"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Annuler les suppressions ou les modifications sur les lignes sélectionnées"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19727,17 +19747,17 @@ msgstr "Mise en page"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Afficher et masquer différentes parties de la fenêtre principale calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Pas de format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Le livre {0} n'a pas le format {1}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Restaurer %s"
@@ -20018,21 +20038,11 @@ msgstr "Livre %(sidx)s de <span class=\"
 msgid "This book is on the device in %s"
 msgstr "Ce livre est sur le périphérique dans %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Régler la date à indéfinie"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Définir la date à aujourd'hui"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Régler à indéfini(e)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20376,7 +20386,7 @@ msgid ""
 msgstr "Le chemin de Calibre Portable (%s) est trop long. Il doit être inférieur à 59 caractères."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Bibliothèque calibre"
 
@@ -20539,6 +20549,16 @@ msgstr "&Quitter"
 msgid "Unhandled exception"
 msgstr "Exception non gérée"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Régler la date à indéfinie"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Définir la date à aujourd'hui"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20818,7 +20838,7 @@ msgstr "&Éditeur :"
 msgid "Clear publisher"
 msgstr "Effacer l'éditeur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Effacer la date"
 
@@ -20888,7 +20908,7 @@ msgid "Processed %s"
 msgstr "Traité %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Champs de métadonnées à télécharger"
 
@@ -21649,13 +21669,13 @@ msgid "&Automatic adding"
 msgstr "&Ajout automatique"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Haute"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Basse"
 
@@ -21680,80 +21700,80 @@ msgstr "Tout dans un seul onglet"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Tous les dialogues de confirmation ont été réinitialisés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Avertir lorsqu’une &nouvelle version est disponible"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "E&nvoyer automatiquement les actualités vers le lecteur de livre numérique"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Priorité des tâches :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr "Choisir une mise en page différente pour la boîte de dialogue Modifier les métadonnées. La mise en page compacte des métadonnées donne plus de place à la modification des métadonnées personnalisées et la sépare de la modifications de la couverture et des formats."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Ordre préféré pour le format d’&entrée :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Format de s&ortie préféré :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "&Disposition de Modifier les métadonnées (un livre à la fois) :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Si cochée, les valeurs des colonnes personnalisée Oui/Non peuvent être Oui, Non, ou Inconnu.\nSi non cochée, les valeurs peuvent être Oui ou Non."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "Les colonnes &Oui/Non ont trois valeurs (nécessite un redémarrage)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "Supprimer les actualités de la bibliothèque lors &d’un envoi automatique vers la liseuse électronique"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "&Délai d’attente par défaut pour les connexions réseau :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Indiquer le délai d’attente par défaut pour les recherches réseau (c-à-d le temps utilisé pour aller rechercher l’information par internet)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " secondes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr "Activez cette Bibliothèque virtuelle au démarrage de calibre si la bibliothèque actuelle est ouverte. Également appliqué quand vous basculerez vers cette bibliothèque. Ce paramètre se définit pour chaque bibliothèque."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Réinitialiser tous les dialogues de &confirmation désactivés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Utiliser la &visionneuse interne pour :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Bibliothèque virtuelle à activer quand la bib&liothèque actuelle est ouverte :"
 
@@ -22742,37 +22762,37 @@ msgid ""
 " effect.\n"
 msgstr "Copier ces valeurs dans le presse-papier, les coller dans un fichier texte. Mettre ensuite à jour le USER_DEVICE en personnalisant l'extension du périphérique par le biais de Préférences ▸ Avancé -> Extensions. Rappelez-vous de spécifier également les dossiers où vous voulez que les livres soient enregistrés. Vous devez redémarrer calibre pour que les changements prennent effet.\n"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr "calibre peut vous envoyer vos livres par courriel (ou à votre lecteur). Les courriels seront envoyés automatiquement lors du téléchargement des actualités à toutes les adresses qui ont la case <i>Envoyer automatiquement<i> cochée."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Ajouter une adresse de courriel à laquelle les livres seront envoyés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Ajouter une adresse courriel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Définir par &défaut"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "Supp&rimer l'adresse courriel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Ajoute les commentaires depuis les métadonnées du livre au courriel.\nUtile pour permettre à un destinataire de voir un résumé du\nlivre avant de l'ouvrir."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Ajouter les métadonnées &commentaires comme texte dans le courriel"
 
@@ -22909,8 +22929,8 @@ msgid "Create a new rule"
 msgstr "Créer une nouvelle règle"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
-msgstr "La clé de l'identifiant, par exemple, dans isbn:XXX, la clé est ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
+msgstr "La clé de l'identifiant, par exemple, dans isbn:XXX, la clé est \"isbn\""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
 msgid "&Key:"
@@ -23047,7 +23067,7 @@ msgid "If there is enough room"
 msgstr "S’il y a suffisamment de place"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Par la première lettre"
 
@@ -23318,7 +23338,7 @@ msgid "Caching of covers for improved pe
 msgstr "Mise en cache des couvertures pour de meilleures performances"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Désactiver"
 
@@ -23713,86 +23733,86 @@ msgstr "Pas de source sélectionnée"
 msgid "No source selected, cannot configure."
 msgstr "Pas de source sélectionnée, impossible de configurer."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Sources de métadonnées"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr "Désactiver toutes les sources de métadonnées non souhaitées en les décochant. Vous pouvez aussi préciser le niveau de priorité de la couverture. Les couvertures de sources qui ont une priorité plus haute (nombre le plus bas) seront préférées lors du téléchargement des métadonnées par lot."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Les sources avec un X rouge à côté de leurs noms doivent être configurées avant d’être utilisées. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "C&onfigurer la source sélectionnée"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Si vous décochez des champs, les métadonnées de ces champs ne seront pas téléchargées"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "Tout &sélectionner"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr "Tout désélectionner"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Restaurer votre propre sous-ensemble de champs cochés que vous définissez en utilisant le bouton « Préciser comme défaut »)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr "Sélection par &défaut"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Enregistre les champs actuellement cochés comme champs par défaut. vous pouvez appliquer rapidement la mise par défaut en utilisant le bouton 'Sélectionner par défaut'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "Préci&ser comme défaut"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Convertir tous les commentaires téléchargés vers du &texte simple"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Echanger les noms des &auteurs de PR. NOM à NOM, PR."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Lors du téléchargement des commentaires, ajouter les commentaires téléchargés aux commentaires existants, au lieu de les remplacer."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "Lors du téléchargement des commentaires, ajouter ceux-ci aux commentaires existants, au lieu de les remplacer."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Ajouter les &Commentaires à ceux existants"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23801,47 +23821,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr "<p>Normalement, le système de téléchargement des métadonnées ne conserve qu'un seul résultat par source de métadonnées. Cette option lui permettra de conserver tous les résultats renvoyés par chaque source de métadonnées. Utile si vous n'utilisez qu'une ou deux sources et que vous souhaitez sélectionner des résultats individuels à la main. Notez que les résultats avec des titres/auteurs/identifiants identiques sont toujours fusionnés."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "Conservez plus d'une entrée par source"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Différentes sources de métadonnées ont différents ensembles d’étiquettes pour un même livre. Si cette option est cochée, calibre utilisera alors les ensembles d’étiquettes les plus petits. Ceux-ci ont tendance à être plutôt des genres, alors que les plus grands ont tendance à décrire le contenu du livre.</p>\n<p>Notez que cette option fera uniquement une différence visible si l’une des sources de métadonnées a une étiquette de genre pour le livre que vous recherchez. La plupart du temps, elle renvoient toutes de grands ensembles d’étiquettes."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Préférer de plus petits ensembles d'étiquettes quand celles-ci  sont reprises de différentes sources de métadonnées"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Pré&férer moins d’étiquettes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Créer des &règles pour filtrer/transformer les étiquettes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "Créer des règles pour &transformer les noms d'auteurs"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "&Nombre maximum d'étiquettes à télécharger :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Durée maximale d’attente après le premier résultat trouvé :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " secs"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Durée maximale d’attente après la première &couverture trouvée :"
 
@@ -25387,7 +25407,7 @@ msgid "Paste and &search"
 msgstr "Coller et &rechercher"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Coller"
@@ -26413,150 +26433,150 @@ msgstr "Tous ces category_managers sont
 msgid "'Click' found item"
 msgstr "'Cliquez' rechercher l'élément"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Changer l'icône pour : %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr "Renommer %s dans la bibliothèque virtuelle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Renommer %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr "Supprimer %s dans la bibliothèque virtuelle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Supprimer %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Modifier le tri pour %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Modifier  le lien pour %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "Ajouter %s à la Catégorie utilisateur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Descendants de %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr "Appliquer %s aux livres sélectionnés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr "Ajouter %s aux livres sélectionnés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr "Supprimer %s des livres sélectionnés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr "Supprimer la Recherche sauvegardée %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Supprimer %(item)s de la catégorie %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Rechercher tout sauf %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "Rechercher à l'aide de l'expression de recherche sauvegardée"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Ajouter la sous-catégorie à %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Supprimer la Catégorie utilisateur %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Masquer la catégorie %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Afficher la catégorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Rechercher les livres dans la catégorie %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Rechercher les livres qui ne sont pas dans la catégorie %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Modifier l'icône de catégorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Restaurer l'icône par défaut"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Gérer les Catégories définies par l’utilisateur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Afficher toutes les catégories"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Modifier le schéma des sous-catégories"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Partition"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "La première lettre peut être utilisée seulement lors du tri par nom"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "Développer tous les niveaux"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Minimiser tous les niveaux"
 
@@ -27226,7 +27246,7 @@ msgid "The Qt WebEngine Render process c
 msgstr "Le processus Qt WebEngine Render s'est interrompu et a été redémarré"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Modifications non enregistrées"
 
@@ -27633,12 +27653,12 @@ msgid ""
 msgstr "Le fichier %s n'existe pas. Si vous étiez entrain d'essayer de cliquer sur un article dans la Table des Matière, vous avez besoin de la rafraîchir en faisant un clic-droit et en choisissant \"Rafraîchir\"."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Format de fichier non pris en charge"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "Modifier des fichier %s n'est pas pris en charge"
@@ -27696,76 +27716,76 @@ msgid "Import"
 msgstr "Importer"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "PdC précédent : Remplacer %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Vous devez tout d'abord ouvrir un livre pour voir le rapport."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Vous devez tout d'abord ouvrir un livre pour pouvoir en vérifier les liens."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Vous devez tout d'abord ouvrir un livre pour pouvoir compresser les images."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Avant : compresser les images"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Erreur inattendue"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Échec lors de la compression des images, cliquez sur \"Afficher les Détails\" pour plus d'information"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Impossible de décoder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Impossible d'éditer %s car il semble être dans un encodage de caractère inconnu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Aucun livre n'est ouvert. Ouvrez d'abord un livre pour l'éditer."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "Le livre actuel est en cours de sauvegarde en tâche de fond. Quitter maintenant <b>arrêtera le processus de sauvegarde<b> ! Terminer d'abord la sauvegarde ?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Quitter immédiatement"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Terminer d'abord la &sauvegarde"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Il y a des modifications non sauvegardées. Si vous quittez sans sauvegarder, vous les perdrez."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Sauvegarder et Quitter"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Quitter sans sauvegarder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Enregistrement en cours. Veuillez patienter..."
 
@@ -31168,18 +31188,18 @@ msgstr[1] "{} invitations de  confirmati
 msgid "Disabled confirmations restored"
 msgstr "Les confirmations désactivées sont restaurées"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr "Le processus de rendu s'est interrompu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr "Le processus de rendu Qt WebEngine Render s'est interrompu, donc le CSS en Prévisualisation/Direct ne fonctionnera pas. Vous devriez essayer de redémarrer l'éditeur."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31193,70 +31213,70 @@ msgid ""
 "            "
 msgstr "\n            <h3>Prévisualisation en direct</h3>\n\n            <p>Vous verrez ici une prévisualisation en direct du fichier HTML en cours d'édition.\n            La prévisualisation se mettra à jour automatiquement au fur et à mesure de vos changements.\n\n            <p style=\"font-size:x-small; color: gray\">Notez que ceci est une prévisualisation rapide\n            uniquement, ceci n'est pas prévu pour simuler un réel lecteur de livre numérique. Certains\n            aspects de votre livre numérique ne fonctionneront pas, comme, les sauts de page et\n            les marges de page."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Inspecter l'élément"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Ouvrir le lien"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Éditer %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Chercher dans la prévisualisation"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Emplacement non valable"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Vous ne pouvez pas fractionner la balise body"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Impossible de lancer le processus de travail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Impossible de lancer le processus de travail utilisé pour le rendu de la prévisualisation"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Ne peut pas être désactivée"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "L'auto-chargement du panneau de prévisualisation ne peut être désactivé pendant que le panneau du CSS en temps réel est ouvert."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Rechargement automatique de l'aperçu suite à un changement de texte dans l'éditeur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Désactiver le rechargement de l'aperçu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Désactiver la synchronisation de la prévisualisation avec l'éditeur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Activer la synchronisation de la prévisualisation avec l'éditeur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Abandonner le fractionnement du fichier"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34204,13 +34224,13 @@ msgstr "Le chargement du livre a échou
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Impossible d'ouvrir le livre à la position {0}. Cliquez sur \"Afficher les détails\" pour plus d'informations."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Le processus de rendu Qt WebEngine Render s'est interrompu. Vous devriez essayer de redémarrer la visionneuse."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "Choisir une image de fond"
 
@@ -34245,30 +34265,30 @@ msgstr "Masquer {}"
 msgid "Show {}"
 msgstr "Afficher {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Choisir la &couleur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Choisir une couleur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Cou&per"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "&Monter"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "&Descendre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Aucune évaluation"
 
@@ -34322,44 +34342,48 @@ msgstr "Téléphone Android avec lecteur
 msgid "Android tablet with Kindle reader"
 msgstr "Tablette Android avec lecteur Kindle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr "Générique"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Sélectionner votre périphérique de lecture. Si votre périphérique habituel n’est pas dans la liste, choisir l'option contenant le mot « %s »."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "Si vous déplacez calibre d'un vieil ordinateur à un nouvel ordinateur, veuillez lire <a href=\"{0}\">les instructions</a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Sélectionner l’emplacement pour les livres"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Échec de la création du dossier à %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Vous devez sélectionner un dossier vide pour la bibliothèque calibre. %s n’est pas vide."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Suivant >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Précédent"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34367,15 +34391,15 @@ msgstr "< &Précédent"
 msgid "Cancel"
 msgstr "Annuler"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Terminer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Envoyer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Assistant de bienvenue"
 
@@ -34383,7 +34407,7 @@ msgstr "Assistant de bienvenue"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Bienvenue dans calibre"
@@ -34391,7 +34415,7 @@ msgstr "Bienvenue dans calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "La solution ultime dont tous vos livres numériques ont besoin."
@@ -34406,7 +34430,7 @@ msgstr "&Périphériques de lecture"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Page de l’assistant"
@@ -34444,17 +34468,17 @@ msgstr "<p>calibre peut envoyer automati
 msgid "&Kindle email:"
 msgstr "courriel &Kindle :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Sélectionner votre &langue :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Indiquez un emplacement pour vos livres. Quand vous ajoutez des livres à calibre, ils seront copiés ici. Utilisez un <b>dossier vide</b> pour créer une nouvelle bibliothèque calibre :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37040,6 +37064,27 @@ msgstr "check_yes_no(field_name, is_unde
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no exige que le champ soit une colonne personnalisée Oui/Non"
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr "``rating_to_stars(value, use_half_stars)`` -- Retourne la note sous forme de chaîne de caractères étoilés. La valeur est un nombre entre 0 et 5. Mettre use_half_stars à 1 si vous voulez des caractères demi-étoiles pour les colonnes de classement personnalisées qui ne sont pas des entiers, par exemple 2.5."
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr "La cote doit être un nombre compris entre 0 et 5"
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr "swap_around_articles(separator) -- renvoie la val avec les articles déplacés à la fin. La valeur peut être une liste, auquel cas chaque membre de la liste est traité. Si la valeur est une liste, alors vous devez fournir le séparateur de valeur de liste. Si aucun séparateur n'est fourni, la valeur est traitée comme une valeur unique et non comme une liste."
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "Image sans nom"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/fur.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/fur.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/fur.po	2020-07-02 04:01:59.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/fur.po	2020-07-16 16:41:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ga.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ga.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ga.po	2020-07-02 04:04:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ga.po	2020-07-16 16:40:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "Ní dhéanann sé dada"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "Ní dhéanann sé dada"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6498,103 +6509,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6602,7 +6613,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8500,7 +8511,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8996,7 +9007,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9041,7 +9052,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9093,7 +9104,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9251,7 +9262,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9291,7 +9302,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10205,7 +10216,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10816,7 +10827,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -11030,7 +11041,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11487,8 +11498,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11617,42 +11628,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11661,112 +11677,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11774,7 +11790,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11843,7 +11859,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11861,11 +11877,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -12004,7 +12020,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -12039,7 +12055,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12086,8 +12102,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12199,22 +12215,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12442,7 +12458,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12917,10 +12933,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13352,7 +13368,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13367,7 +13383,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13376,7 +13392,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13391,8 +13407,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13459,45 +13475,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13843,7 +13859,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14669,74 +14685,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14744,44 +14759,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15490,11 +15505,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15558,79 +15573,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Conair ón leabharlann"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15680,8 +15700,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16237,46 +16257,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16285,7 +16305,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16300,11 +16320,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16335,7 +16355,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16360,28 +16380,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16408,65 +16428,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16802,77 +16822,77 @@ msgstr[2] ""
 msgstr[3] ""
 msgstr[4] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16880,7 +16900,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16890,7 +16910,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16905,80 +16925,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16986,90 +17006,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17077,118 +17097,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17197,152 +17217,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17350,48 +17370,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18020,7 +18040,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18680,76 +18700,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "Míreanna atá ar fáil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18781,121 +18801,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Áireamh"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Bhí"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "An bhfuil tú cinnte gur mian leat do chuid athruithe a chur ar ceal?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19782,17 +19802,17 @@ msgstr "Leagan amach"
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -20082,21 +20102,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20440,7 +20450,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20603,6 +20613,16 @@ msgstr "&Scoir"
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20885,7 +20905,7 @@ msgstr "&Foilsitheoir:"
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Glan an dáta"
 
@@ -20961,7 +20981,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21728,13 +21748,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21759,80 +21779,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22821,37 +22841,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22988,7 +23008,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23126,7 +23146,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23397,7 +23417,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23792,86 +23812,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23880,47 +23900,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25472,7 +25492,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26498,150 +26518,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Athraigh an deilbhín do: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Athainmnigh %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Scrios %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Leanaí %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27311,7 +27331,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27718,12 +27738,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27781,76 +27801,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31277,18 +31297,18 @@ msgstr[4] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31302,70 +31322,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Cuir %s in eagar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34325,13 +34345,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34366,30 +34386,30 @@ msgstr "Folaigh {}"
 msgid "Show {}"
 msgstr "Taispeáin {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Gearr"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34443,44 +34463,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Ar aghaidh >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Siar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34488,15 +34512,15 @@ msgstr "< &Siar"
 msgid "Cancel"
 msgstr "Cealaigh"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Críochnaigh"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34504,7 +34528,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Fáilte go calibre"
@@ -34512,7 +34536,7 @@ msgstr "Fáilte go calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34527,7 +34551,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34565,17 +34589,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Roghnaigh do theanga:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37164,6 +37188,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/gl.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/gl.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/gl.po	2020-07-02 04:05:32.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/gl.po	2020-07-16 16:43:50.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -212,7 +212,7 @@ msgstr "Non fai absolutamente nada"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -224,12 +224,12 @@ msgstr "Non fai absolutamente nada"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1139,9 +1139,9 @@ msgstr "Catálogo"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1166,7 +1166,7 @@ msgstr "A ruta á biblioteca ({0}) é de
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1228,7 +1228,7 @@ msgstr "Buscas gardadas"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2841,8 +2841,8 @@ msgstr "Obtendo a lista de libros do dis
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2851,8 +2851,8 @@ msgstr "Retirando libros da lista de met
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3195,7 +3195,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Editar o modelo"
@@ -3308,7 +3308,7 @@ msgid "Communicate with MTP devices"
 msgstr "Comunicarse con dispositivos MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Obter información do dispositivo..."
@@ -3335,8 +3335,8 @@ msgid "Finished reading metadata from de
 msgstr "Rematou a lectura dos metadatos do dispositivo"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3724,61 +3724,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Demasiadas tentativas de conexión desde %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "O aplicativo do dispositivo é demasiado antigo e xa non é compatíbel. Actualíceo a unha versión máis recente."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Na súa biblioteca hai formatos de libro con datas do futuro. Vexa Calibre para máis detalles"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Porto incorrecto nas opcións: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Produciuse un fallo ao conectar co porto %d. Tente cun valor distinto."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Produciuse un fallo ao asignar un porto aleatorio"
 
@@ -6212,7 +6223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Non"
 
@@ -6235,7 +6246,7 @@ msgid "Producer"
 msgstr "Produtor/a"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6501,103 +6512,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Descarga metadatos e capas da Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "EE. UU."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Francia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Alemania"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "GB"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Xapón"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "España"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brasil"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Países Baixos"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Os metadatos da Amazon obtéñense empregando o sitio web da Amazon neste país."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6605,7 +6616,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "O tempo de espera de Amazon expirou. Volva a tentalo máis tarde"
 
@@ -8494,7 +8505,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8972,7 +8983,7 @@ msgstr "O cartafol %s xa existe. Elimín
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9017,7 +9028,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9069,7 +9080,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9224,7 +9235,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Copiar"
@@ -9264,7 +9275,7 @@ msgstr "{0} de {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "&Escoller todo"
 
@@ -10160,7 +10171,7 @@ msgid "Move to next highlighted match"
 msgstr "Ir á seguinte coincidencia salientada"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10762,7 +10773,7 @@ msgid "this book"
 msgstr "este libro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Buscar %s"
@@ -10973,7 +10984,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11421,8 +11432,8 @@ msgstr "Cambiar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11551,42 +11562,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Administrar %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11595,112 +11611,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Abrir a capa con..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Ruta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11708,7 +11724,7 @@ msgstr "Ruta"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11777,7 +11793,7 @@ msgstr "saída"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11795,11 +11811,11 @@ msgstr "saída"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11938,7 +11954,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Hai que indicar un nome."
 
@@ -11973,7 +11989,7 @@ msgstr "Verdadeiro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12020,8 +12036,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Eliminar"
 
@@ -12133,22 +12149,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12376,7 +12392,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12851,10 +12867,10 @@ msgstr "&Clave do tipo de letra:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13286,7 +13302,7 @@ msgid "Change the title of this book"
 msgstr "Cambiar o título deste libro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Autores/as: "
 
@@ -13301,7 +13317,7 @@ msgid ""
 msgstr "Cambiar a autoría deste libro. Se houber varias persoas, deberán separarse por vírgulas"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Editorial: "
 
@@ -13310,7 +13326,7 @@ msgid "Ta&gs: "
 msgstr "&Etiquetas "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13325,8 +13341,8 @@ msgstr "&Coleccións:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Lista de colectáneas coñecidas. Pode engadir tamén novas colectáneas."
@@ -13393,45 +13409,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Perfil de &saída:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Descrición do perfil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Perfil de &entrada:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Marxes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Esquerda:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "sen cambios"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Superior:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Dereita:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Inferior:"
@@ -13777,7 +13793,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Cambiar"
 
@@ -14603,74 +14619,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Sen definir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Estabelecer «%s» a hoxe"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Limpar «%s»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " índice:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "A enumeración «{0}» contén un valor incorrecto que se estabelecerá como predeterminado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Aplicar os cambios"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "&Limpar a colectánea"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Numerar automaticamente os libros"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14678,44 +14693,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Forzar números para comezar con "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "A enumeración «{0}» contén valores incorrectos que non aparecerán na lista"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Retirar todas as etiquetas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "etiquetas para engadir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "etiquetas para retirar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15421,11 +15436,11 @@ msgstr "Isto ha levar un anaco; agarde,
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15489,79 +15504,84 @@ msgid ""
 "        "
 msgstr "        <h1>Axuda</h1>\n<p>Calibre almacena a lista de libros e os seus metadatos nunha base de datos. Os ficheiros dos libros e as capas gárdanse como ficheiros normais no cartafol da biblioteca do Calibre. A base de datos contén unha lista dos ficheiros e capas correspondentes a cada libro. Esta utilidade comproba que os ficheiros realmente presentes no cartafol da biblioteca do seu computador se correspondan coa información da base de datos.</p>\n<p>O resultado de cada comprobación amósase á esquerda. As distintas comprobacións son:</p>\n<ul>\n<li><b>Títulos incorrectos</b>: Son ficheiros e cartafoles que están na biblioteca, onde se atopan os libros, pero que non teñen a forma correcta para ser un título de libro.</li>\n<li><b>Títulos adicionais</b>: Son ficheiros adicionais na biblioteca do Calibre que parecen títulos correctos, pero que non teñen unha entrada correspondente na base de datos.</li>\n<li><b>Autores incorrectos</b>: Son ficheiros que están na biblioteca, onde só deberían estar os cartafoles dos autores.</li>\n<li><b>Autores adicionais</b>: Son cartafoles na biblioteca do Calibre que parecen autores, pero que non teñen entrada na base de datos.</li>\n<li><b>Formatos de libro inexistentes</b>: Son formatos de libro que aparecen na base de datos, pero que non teñen o seu correspondente ficheiro no cartafol do libro.</li>\n<li><b>Formatos de libro adicionais</b>: Son ficheiros de libro que están no cartafol do libro pero non na base de datos.</li>\n<li><b>Ficheiros descoñecidos</b>: Son ficheiros adicionais no cartafol do libro que non corresponden a ningún formato coñecido nin á portada.</li>\n<li><b>Portadas inexistentes</b>: Son libros que na base de datos teñen unha portada asignada, pero cuxo ficheiro da portada non existe realmente.</li>\n<li><b>Portadas que non están na base de datos</b>: Son libros que teñen os seus ficheiros de capas, pero que non teñen ningunha capa asignada na base de datos.</li>\n<li><b>Cartafol que dá erro</b>: Son cartafoles na biblioteca do Calibre que esta utilidade non puido procesar ou interpretar.</li>\n</ul>\n<p>Hai dous tipos de corrección automática posíbel: <i>Borrar marcados</i> e <i>Reparar marcados</i>.</p>\n<p><i>Borrar marcados</i> úsase para eliminar os ficheiros, cartafoles ou capas adicionais que non teñen entrada na base de datos. Marque a caixa que está xunta o elemento que desexe borrar. Utilíceo con precaución.</p>\n<p><i>Reparar marcados</i> aplícase só ás portadas e aos formatos inexistentes (as tres liñas marcadas con «reparábel»). No caso de portadas inexistentes, ao marcar a caixa de «reparábel» e premer este botón eliminarase a asignación de capa da base de datos para todos os ficheiros desa categoría. Use esta opción se non vai recuperar as capas dunha copia de seguranza. No caso de capas adicionais, ao marcar a casa de «reparábel» e premer este botón asignarase a capa a todos os ficheiros desta categoría. Use esta opción cando non vaia a borrar os ficheiros. No caso de formatos inexistentes, ao marcar a caixa de «reparábel» e premer este botón eliminarase a información destes formatos. Use esta opción se non vai recuperar os formatos dunha copia de seguranza.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Volver realizar a comprobación"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Copiar no por&tapapeis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Feito"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "M&arcar todo para eliminar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Marcar todos os subelementos que poidan ser eliminados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Eliminar o &marcado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Eliminar os ficheiros marcados (subítems indicados)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Arranxar as seccións marcadas (respecto dos ítems marcados)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Nombres para ignorar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Introduza nomes de ficheiro estándares como comodín, separados por coma, tal como synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Introduza as extensións separadas por comas, sen o punto. Úsase unicamente en cartafoles de libros"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(arranxábel)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Ruta da biblioteca"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15611,8 +15631,8 @@ msgstr "A localización %s contén a act
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Localización incorrecta"
 
@@ -16168,46 +16188,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "O elemento está en branco"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Un elemento non se pode deixar en branco. Elimíneo  no seu canto."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Non seleccionou ningún elemento"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Debe seleccionar un elemento da lista de elementos dispoñíbeis."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Non se seleccionou ningún elemento"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Ten que seleccionar ao menos un elemento da lista."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16216,7 +16236,7 @@ msgid "Items in use"
 msgstr "Elementos a se empregar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16231,11 +16251,11 @@ msgstr "Cambiar o nome ao elemento en ca
 msgid "Ctrl+S"
 msgstr "Ctrl + S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16263,7 +16283,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16288,28 +16308,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16336,65 +16356,65 @@ msgstr "Nombre de autor incorrecto"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Xestionar os autores"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Buscar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Restabelecer todos os valores de ordenación por autor ao valor xerado\nautomaticamente a partir do autor. Pode controlarse a maneira precisa en\nque este valor se xera en Preferencias->Avanzado->Axustes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Copiar a ordenación de autor no autor para cadanseu autor.\nNormalmente, emprégase este botón tras o cambio de\nPreferencias->Avanzada->Axustes->Algoritmo de ordenación de autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16727,77 +16747,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Traballando"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Minúsculas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Maiúsculas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Formato de título (todas as iniciais en maiúscula)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Coincidencia de carácter"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Substituír campo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Antepoñer ao campo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Anexar ao campo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Editando a metainformación para <b>%d libros</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Facer todos os cambios automaticamente sen pechar o diálogo. Esta operación non se pode cancelar ou desfacer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Libro %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Introduza un tipo de identificador"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16805,7 +16825,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Pode destruír a súa biblioteca usando esta funcionalidade.</b> Os cambios son permanentes. Non hai función de desfacer. Recoméndaselle fortemente realizar unha copia de seguranza da súa biblioteca antes de continuar.<p>Buscar e substituír en campos de texto usando ocorrencias de caracteres ou expresións regulares. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16815,7 +16835,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16830,80 +16850,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "ERROR DE MODELO"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Debe especificar un tipo de identificador de destino"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Hai que indicar unha expresión de busca no campo «Buscar»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Buscar/substituir no vé correcto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Eliminar a busca/substitución gardada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "A busca/substitución gardada seleccionada vai ser eliminada. Está seguro?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Gardar busca/substitución"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Nome de busca/substitución"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Esa busca/substitución gardada xa existe e vai ser sobrescrita. Desexa continuar?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16911,90 +16931,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Estabelecer a&utomaticamente a orde por autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Actualizar a orde de título conforme o título actual. Isto realizarase despois do resto de cambios de título."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Actualizar orde de &título"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Cambiar a &capa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Xerar capa predeterminada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Retirar a capa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Clonar as capas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Fai que o título teña a inicial maiúscula. Se tanto esta caixa como a de intercambiar\nautor e título están marcadas, primeiro intercámbianse e logo cámbiase o título."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Datos:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17002,118 +17022,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Se non se marca, o número na colectánea dos libros poñerase .\nSe se marca, os libros seleccionados numeraranse automaticamente,\nna orde na que los seleccionase. Se seleccionou primeiro\no libro A e logo o B, o libro A será o número 1 na colectánea e o  libro\nB será o número 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Numerar &automáticamente os libros desta colectánea"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Normalmente as colectáneas hai que renumeralas a partir do número\nmaior almacenado para a colectánea. Se marca esta caixa Calibre\ncomezará a numeración a partir do valor do cadro."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Forzar que os números comecen por:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Se está marcado, as colectáneas serán desbotadas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Limpar a colectánea"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Retirar etiquetas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Eliminar &todos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Engadir esti&quetas "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Especificar como ordenar a autoría deste libro. Por exemplo, Rosalía de Castro pode ordenarse como Castro, Rosalía de."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Limpar a data de publicación"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Idiomas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Lista de etiquetas, separadas por vírgula, para retirar dos libros. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Orde por aut&oría: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Retirar a configuración da conversión de almacenaxe para os libros seleccionados.\n\nA conversión futura destes libros empregará a preestabelecida."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Retirar a configuración de conversión para os libros &seleccionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17122,152 +17142,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Marque esta caixa para retirar todas as etiquetas dos libros."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Valoración"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Metadatos &básicos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Metadatos &personalizados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Seleccione unha busca/substitución gardada para cargar."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Gardar a busca/substitución actual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Gardar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Campo de &busca:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "O nome do campo no que buscar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "&Modo de busca"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Escolla se quere usar o modo básico de busca de texto ou o modo avanzado de expresións regulares"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Escolla o tipo de identificador sobre o que operar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "Mod&elo:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Introduza un modelo para usar como fonte de busca e substitución"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Marque esta caixa se o texto de busca debe coincidir exactamente en maiúsculas ou minúsculas. Desmárquea se as maiúsculas ou minúsculas son indiferentes."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "S&ensible a maiúsculas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Substituír con:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "A substitución de texto. O texto de busca coincidente será substituído con esta cadea"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Aplicar a función despois de substituír:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Especifique cómo se procesará o texto despois de buscar e substituír. No modo de caracteres, procesarase todo o texto. No modo de expresións regulares soamente se procesarán as coincidencias da busca"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "&Campo de destino:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "O campo onde se poñerá o texto despois de todas as substitucións.\nSe se deixa en branco, usarase o campo de orixe de ser modificábel."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "M&odo:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Especifica cómo se debe copiar o texto en destino."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Especifica se os ítems de resultados deben dividirse en múltiples valores ou\nmanterse como valores singulares. Esta opción é máis efectiva cando o campo\nde orixe non é múltiple e o campo de destino si o é"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Dividir o &resultado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Tipo de identificador:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17275,48 +17295,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Para campos de múltiples valores, amo&sar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "con calores separados po&r"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Utilizado ao amosar os resultados do test para separar valores en campos de valores múltiples"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Texto de proba"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Resultado do test"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "Bu&scar e substituír"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17945,7 +17965,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Xestionar buscas gardadas"
 
@@ -18605,76 +18625,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Esta categoría <b>eliminarase permanentemente</b>. Ten certeza?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Escoller a categoría para editar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Escolla o contido da nova categoría"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Engadir unha nova categoría"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Aplicar etiquetas á categoría de etiquetas actual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Retirar etiqueta da categoría de etiquetas actual"
 
@@ -18706,121 +18726,121 @@ msgid ""
 "to delete them?"
 msgstr "As etiquetas seguintes están empregandose por un ou máis libros. Ten a certeza de que precisa eliminalas?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Conta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19701,17 +19721,17 @@ msgstr "Deseño"
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19992,21 +20012,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "S"
 
@@ -20350,7 +20360,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Biblioteca do Calibre"
 
@@ -20513,6 +20523,16 @@ msgstr "&Saír"
 msgid "Unhandled exception"
 msgstr "Excepción non controlada"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20792,7 +20812,7 @@ msgstr "&Editor:"
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Borrar a data"
 
@@ -20862,7 +20882,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21623,13 +21643,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Alto"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Baixo"
 
@@ -21654,80 +21674,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr "Restabelecéronse os diálogos de confirmación"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Prioridade nos traballos:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Orde do formato preferido de &entrada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Formado preferido de &saída:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Eliminar as novas da biblioteca ao envialas automaticamente ao lector"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Tempo de agarda por defec&to na conexión."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Estabelecer o tempo de agarda máximo para conexións (por exemplo, calquera vez que se conecte á rede para obter infomración)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " segundos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Restabelecer todos os diálogos de confirmación desa_ctivados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Usar o &visor interno para:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22716,37 +22736,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Engadir un enderezo de correo ao que enviar os libros"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Engadir un enderezo de correo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Facer &predeterminado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Retirar correo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22883,7 +22903,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23021,7 +23041,7 @@ msgid "If there is enough room"
 msgstr "Hai espazo abondo"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Pola primeira letra"
 
@@ -23292,7 +23312,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Desactivar"
 
@@ -23687,86 +23707,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "E&scoller todo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "E&stabelecer como predeterminado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23775,47 +23795,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " segs."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25361,7 +25381,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Pegar"
@@ -26387,150 +26407,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Renomear %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Eliminar %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Modificar orde para %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Subcategorías de %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Buscar todo menos %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Engadir unha subcategoría a %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Agochar categoría %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Mostrar categoría"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Buscar libros na categoría %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Buscar libros fóra da categoría %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Restaurar a icona predeterminada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Mostrar todas as categorías"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Cambiar o esquema de subcategorización"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Partición"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27200,7 +27220,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27607,12 +27627,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27670,76 +27690,76 @@ msgid "Import"
 msgstr "Importar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Gardar e saír"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31142,18 +31162,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31167,70 +31187,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34178,13 +34198,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34219,30 +34239,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Escoller unha &cor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Escoller unha cor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Cor&tar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34296,44 +34316,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Seleccionar o lugar para os libros"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Non foi posíbel crear un cartafol en %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Debe escoller un cartafol baleiro a biblioteca do Calibre. %s non está baleira."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Seguinte >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Volver"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34341,15 +34365,15 @@ msgstr "< &Volver"
 msgid "Cancel"
 msgstr "Cancelar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Rematar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Remitir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34357,7 +34381,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Dámoslle a benvida ao Calibre"
@@ -34365,7 +34389,7 @@ msgstr "Dámoslle a benvida ao Calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "A solución completa para todo o relacionado con libros electrónicos"
@@ -34380,7 +34404,7 @@ msgstr "&Dispositivos"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Páxina do asistente"
@@ -34418,17 +34442,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "Correo do &Kindle:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Escolla o seu &idioma:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Escolla un lugar para os libros. Cando engada libros no Calibre, copiaranse aquí. Use un <b>cartafol baleiro</b> para unha nova biblioteca de Calibre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37014,6 +37038,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/gu.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/gu.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/gu.po	2020-07-02 04:07:36.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/gu.po	2020-07-16 16:37:29.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "કઈ પણ કરતું 
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "કઈ પણ કરતું 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/he.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/he.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/he.po	2020-07-02 04:06:21.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/he.po	2020-07-16 16:38:13.000000000 +0000
@@ -21,8 +21,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
@@ -220,7 +220,7 @@ msgstr "לא עושה כלום"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -232,12 +232,12 @@ msgstr "לא עושה כלום"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1147,9 +1147,9 @@ msgstr "קטלוג"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1174,7 +1174,7 @@ msgstr "נתיב אל ספריה ({0}) 
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1236,7 +1236,7 @@ msgstr "חיפושים שמורים"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2849,8 +2849,8 @@ msgstr "קורא את רשימת הספ
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2859,8 +2859,8 @@ msgstr "מסיר ספרים מרשימת
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3203,7 +3203,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "ערוך תבנית"
@@ -3316,7 +3316,7 @@ msgid "Communicate with MTP devices"
 msgstr "תקשר עם התקני MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "קבל מידע ממכשיר..."
@@ -3343,8 +3343,8 @@ msgid "Finished reading metadata from de
 msgstr "קריאת נתוני מטה-דאטה מהמכשיר הסתיימה"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3732,61 +3732,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "יותר מדי נסיונות חיבור מ-%s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "האפליקציה במכשיר שלך ישנה מדי ואינה נתמכת עוד. עדכן אותה לגרסה חדשה יותר."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "יש לך פורמטי ספרים דיגיטליים בספריה שלך עם תאריכים בעתיד. ראה קליבר למידע נוסף"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "יציאה לא חוקית באפשרות: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "נכשל בחיבור לפורט %d. נסה ערך אחר."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "נכשל בניסיון להקצות פורט אקראי"
 
@@ -6220,7 +6231,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "לא"
 
@@ -6243,7 +6254,7 @@ msgid "Producer"
 msgstr "יצרן"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6511,103 +6522,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "הורד מטא-נתונים וכריכות מאמזון"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "ארה\"ב"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "צרפת"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "גרמניה"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "בריטניה"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "איטליה"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "יפן"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "ספרד"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "ברזיל"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "הולנד"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6615,7 +6626,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8510,7 +8521,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -9000,7 +9011,7 @@ msgstr "התקייה %s כבר קיימ
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "ארוך מדי"
 
@@ -9045,7 +9056,7 @@ msgstr "הספריה %s הוסרה מק
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9097,7 +9108,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9254,7 +9265,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "ה&עתק"
@@ -9294,7 +9305,7 @@ msgstr "{0} לפי {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "בחר &הכל"
 
@@ -10202,7 +10213,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10810,7 +10821,7 @@ msgid "this book"
 msgstr "ספר זה"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "חפש אחר %s"
@@ -11023,7 +11034,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11477,8 +11488,8 @@ msgstr "שנה"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11607,42 +11618,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "נהל %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "מחק את הפורמט %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "שמור את הפורמט %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "הגדר את כריכת הספר עבור הקבצים %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "השווה לפורמט %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11651,112 +11667,112 @@ msgstr "השווה לפורמט %s"
 msgid "Open %s with..."
 msgstr "פתח %s עם..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "הוסף יישומים אחרים לקבצים %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&העתק נתיב לקובץ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "הסר %s מספר זה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "העתק &הכל"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "פתח כריכה עם..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "הוסף אפליקצייה אחרת לפתיחת הכריכה..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "הדבק כריכה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "העתק כריכה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "הסר כריכה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "צור כריכה מתוך המטא-נתונים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "נתיב"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11764,7 +11780,7 @@ msgstr "נתיב"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "גודל כריכה: %(width)d על %(height)d פיקסלים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11833,7 +11849,7 @@ msgstr "פלט"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11851,11 +11867,11 @@ msgstr "פלט"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11994,7 +12010,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "עליך לספק שם."
 
@@ -12029,7 +12045,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12076,8 +12092,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "מחק"
 
@@ -12189,22 +12205,22 @@ msgstr "אפס לברירת מחדל"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12432,7 +12448,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12907,10 +12923,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13342,7 +13358,7 @@ msgid "Change the title of this book"
 msgstr "שנה את כותרת ספר זה"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&מחבר/ים:"
 
@@ -13357,7 +13373,7 @@ msgid ""
 msgstr "שנה את המחבר/ים של ספר זה. מחברים מרובים צריכים להיות מופרדים על ידי פסיקים"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&מוציא לאור:"
 
@@ -13366,7 +13382,7 @@ msgid "Ta&gs: "
 msgstr "תגי&ות:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13381,8 +13397,8 @@ msgstr "&סדרה:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "רשימה של סדרות ידועות. אתה יכול להוסיף סדרה חדשה."
@@ -13449,45 +13465,45 @@ msgstr "גודל מסך: %s"
 msgid "Page setup"
 msgstr "הגדרות עמוד"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "פרופיל &פלט:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "תיאור פרופיל"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "פרופיל &קלט:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "שוליים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&שמאל:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "לא שונה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&קצה-עליון:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&ימין:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&קצה-תחתון:"
@@ -13833,7 +13849,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&שנה"
 
@@ -14659,74 +14675,73 @@ msgstr "בחר קובץ ליבוא כל
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "לא מוגדר"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "נקה '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "הערכים שונו"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr "אינדקס:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "החל שינויים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "נקה סדרה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14734,44 +14749,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "הסר את כל תגיות"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "תגיות להוספה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "תגיות להסרה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15479,11 +15494,11 @@ msgstr "זה יקח זמן מה, אנא
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15547,79 +15562,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&הרץ את הבדיקה שנית"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "העתק &ללוח"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&בצע"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "סמן &הכל למחיקה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "מחק &מסומנים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "סמן הכל לתי&קון"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&תקן מסומנים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15669,8 +15689,8 @@ msgstr "המיקום %s מכיל את ס
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "מיקום שגו"
 
@@ -16226,46 +16246,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "לא נבחר פריט"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "לא נבחרו פריטים"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "עליך לבחור לפחות פריט אחד מהרשימה."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "האם אתה בטוח שברצונך למחוק את הפריטים הבאים?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16274,7 +16294,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16289,11 +16309,11 @@ msgstr "שנה את שם הפריט בכ
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16323,7 +16343,7 @@ msgid "Already in calibre:"
 msgstr "כבר נמצא בקליבר:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16348,28 +16368,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16396,65 +16416,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "נהל מחברים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&חפש:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16789,77 +16809,77 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "מעבד %d ספרים, אנא המתן..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "תו תואם"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "עורך מטא מידע עבור <b>%d ספרים</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "ספר %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "הזן את סוג המזהה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16867,7 +16887,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16877,7 +16897,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16892,80 +16912,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "עליך לציין ביטוי חיפוש בשדה \"חפש אחר\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "חיפוש/החלפה לא תקינה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "החיפוש/החלפה אינו חוקי: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "מחק חיפוש שמור/החלף"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "החיפושים/החלפות השמורות יימחקו. אתה בטוח?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "שמור חיפוש/החלפה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "חפש/החלף שם:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16973,90 +16993,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "י&ישם אוטומטית מיון מחברים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "ה&חלף בין המחבר והכותרת"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "עדכן סידור &כותרת"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "שנה &כריכה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "צור כריכת ברירת מחדל"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&הסר כריכה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "כריכה &לחיתוך (מסוכן)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&שכפל כריכות"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&תאריך:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "אם אפשרות זו מסומנת, המחברים ינוקו"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "&נקה מחברים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "פ&ורסם:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17064,118 +17084,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&הגדר מספרים להתחיל ב:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "אם אפשרות זו מסומנת, הסדרה תמחק"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&נקה סדרה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "הגדר את הה&ערות עבור כל הספרים שנבחרו"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&הסר תגיות:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "הסר &הכל"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "הוסף תגי&ות:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "&החל דירוג"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "נקה תאריך פרסום"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&שפות:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "&סידור המחבר:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17184,152 +17204,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "סמן תיבה זו כדי להסיר את כל התגיות"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&דירוג:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "מטא-נתונים &בסיסי"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "מטא-נתונים &מותאם אישית"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "שמור חיפוש/החלפה נוכחים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "שמ&ור"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "&שדה חיפוש:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "שם השדה שאתה רוצה לחפש"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "&מצב חיפוש:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&תבנית:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "הזן את מה שאתה מחפש, טקסט רגיל או ביטוי רגיל, בהתאם למצב"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&החלף עם:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "ציין כיצד הטקסט צריך להיות מועתק ליעד."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "סוג מזהה:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17337,48 +17357,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "עם ערכים המופרדים ב&-"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "בדוק טקסט"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "תוצאות בדיקה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&חפש והחלף"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "&רענן את רשימת הספרים לאחר העריכה"
 
@@ -18007,7 +18027,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18667,76 +18687,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "קטגוריית התגית הנוכחית <b>תימחק לצמיתות</b>. האם אתה בטוח?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "בחר קטגוריה לעריכה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "הוסף קטגורייה חדשה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "שינוי שם הקטגוריה הנוכחית למה שנמצא בתיבה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "יישם תגיות לקטגורית התגיות הנוכחית"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "בטל יישום (הסר) תגית מדפדפן התגיות הנוכחי"
 
@@ -18768,121 +18788,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "מונה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "היה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "לבטל מחיקת פריט?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "פריט זה נמחק. אתה מעוניין לבטל מחיקה זו?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19767,17 +19787,17 @@ msgstr "פריסה"
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "אין פורמט %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "לספר {0} אין את הפורמט {1}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "משחזר %s"
@@ -20064,21 +20084,11 @@ msgstr "ספר %(sidx)s מתוך <span c
 msgid "This book is on the device in %s"
 msgstr "ספר זה נמצא על המכשיר תחת %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "הגדר תאריך ללא מוגדר"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20422,7 +20432,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "ספריית קליבר"
 
@@ -20585,6 +20595,16 @@ msgstr "&צא"
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "הגדר תאריך ללא מוגדר"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20866,7 +20886,7 @@ msgstr "&מוציא לאור:"
 msgid "Clear publisher"
 msgstr "נקה מוציא לאור"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "נקה תאריך"
 
@@ -20940,7 +20960,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21705,13 +21725,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "גבוה"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "נמוך"
 
@@ -21736,80 +21756,80 @@ msgstr "הכל בכרטיסייה אחת
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&עדיפות משימה:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "רשימה מסודרת של פורמטי ה&קלט המועדפים:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "תבנית &פלט מועדפת:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "אם אפשרות זו מסומנת, העמודה המותאמת אישית כן/לא תוכל להכיל את הערכים כן, לא ולא ידוע.\nאם האפשרות אינה מסומנת, הערכים יהיו כן או לא בלבד."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&מחק חדשות מהספריה כאשר הן נשלחות אוטומטית לקורא"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "&פסק זמן ברירת מחדל עבור הרשת:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr "שניות"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "השתמש ב&מציג פנימי עבור:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22798,37 +22818,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "הוסף כתובת דוא\"ל אליה יישלחו ספרים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&הוסף דוא\"ל"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "הגדר &כברירת-מחדל"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&הסר דוא\"ל"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "הוסף הערות מהמטא-נתונים של הספר אל אימייל.\nשימושי כדי לאפשר לנמען לצפות בתקציר\nהספר לפני פתיחתו."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "הוסף &הערות מהמטא-נתונים בתור טקסט לאימייל"
 
@@ -22965,7 +22985,7 @@ msgid "Create a new rule"
 msgstr "צור כלל חדש"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23103,7 +23123,7 @@ msgid "If there is enough room"
 msgstr "אם יש מספיק מקום"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "לפי האות הראשונה"
 
@@ -23374,7 +23394,7 @@ msgid "Caching of covers for improved pe
 msgstr "שימווש במטמון עבור הכריכות משפר את הביצועים"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "השבת"
 
@@ -23769,86 +23789,86 @@ msgstr "לא נבחר מקור"
 msgid "No source selected, cannot configure."
 msgstr "לא נבחר מקור, לא ניתן לקבוע תצורה."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "מקורות מטא-נתונים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&בחר הכל"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&הגדר כברירת מחדל"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23857,47 +23877,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "צור &כללים לסינון/שינוי תגיות"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "מקס. &מספר התגיות להורדה:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "&זמן מקסימלי להמתנה לאחר שההתאמה הראשונה נמצאה:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr "שניות"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "&זמן מקסימלי להמתנה לאחר ש&הכריכה הראשונה נמצאה:"
 
@@ -25447,7 +25467,7 @@ msgid "Paste and &search"
 msgstr "הדבק ו&חפש"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&הדבק"
@@ -26473,150 +26493,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr "'לחץ' מצא פריט"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "שנה איקון ל: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "שנה שם %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "מחק %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "ערוך מיון עבור %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "ערוך קישור עבור %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "הסר %(item)s מהקטגוריה %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "חפש הכל פרט ל-%s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "הוסף תת-קטגורייה ל-%s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "הסתר קטגוריית %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "הצג קטגורייה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "חיפוש אחר ספרים בקטגוריה %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "חיפוש אחר ספרים שאינם בקטגוריה %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "שנה קטגוריית אייקון"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "שחזור אייקון ברירת מחדל"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "הצג את כל הקטגוריות"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "שנת ערכת תת-קטגוריזציה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "מחיצה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "האות הראשונה היא שמישה רק בעת מיון לפי שם"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27286,7 +27306,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "אל תשמור שינויים"
 
@@ -27693,12 +27713,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "פורמט קובץ לא נתמך"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "עריכת קבצים מהפורמט %s אינה נתמכת"
@@ -27756,76 +27776,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "ראשית, עליך לפתוח ספר בכדי לבדוק קישורים."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "שגיאה לא צפויה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "נכשל בנסיון לדחוס תמונות, לחץ על \"הצג פרטים\" למידע נוסף"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "לא ניתן לערוך את %s משום שנראה שקידוד הטקסט שלו לא ידוע"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "אין ספר שפתוח כעת. ראשית עליך לפתוח ספר לעריכה."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&צא מייד"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "ישנם שינויים שלא נשמרו, אם תצא מבלי לשמור, אתה תאבד אותם."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&שמור וצא"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&צא מבלי לשמור"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "שומר, אנא המתן..."
 
@@ -31244,18 +31264,18 @@ msgstr[3] ""
 msgid "Disabled confirmations restored"
 msgstr "השבת אישורים משוחזרים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31269,70 +31289,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "חקור אלמנט"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "פתח קישור"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "חפש בתצוגה המקדימה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "לא ניתן לבטל"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "רענון אוטומטי של חלונית התצוגה המקדימה לא ניתן להשבית כל עוד חלונית ה-CSS Live פתוחה."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "רענון אוטומטי של התצוגה המקדימה כאשר טקסט שונה בעורך"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "השבת רענון אוטומטי של התצוגה המקדימה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "בטח פיצול קובץ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34288,13 +34308,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34329,30 +34349,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "בחר &צבע"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "חת&וך"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "&אחד מעלה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "אחד &מטה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "לא דורג"
 
@@ -34406,44 +34426,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "בחר את התקן ה-e-book שלך. אם ההתקן אינו ברשימה, בחר בהתקן \"%s\"."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "בחירת מיקום הספרים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "נכשל ביצירת תיקיה חדשה ב %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "עליך לבחור תיקייה ריקה עבור ספריית הקליבר. %s אינה ריקה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&קדימה >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &אחורה"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34451,15 +34475,15 @@ msgstr "< &אחורה"
 msgid "Cancel"
 msgstr "ביטול"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&סיים"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "בצע"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34467,7 +34491,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "ברוך הבא לקליבר"
@@ -34475,7 +34499,7 @@ msgstr "ברוך הבא לקליבר"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "חבילת הפתרונות הכוללת עבור הספרים הדיגיטליים שלך."
@@ -34490,7 +34514,7 @@ msgstr "&מכשירים"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34528,17 +34552,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "בחר את &שפתך:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>בחר מיקום לספרים שלך. כאשר אתה מוסיף ספרים לקליבר, הם יועתקו לכאן. השתמש ב<b>תיקייה ריקה</b> עבור ספריית קליבר חדשה:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37126,6 +37150,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/hi.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/hi.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/hi.po	2020-07-02 04:01:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/hi.po	2020-07-16 16:44:07.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -210,7 +210,7 @@ msgstr "कुछ भी नहीं 
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -222,12 +222,12 @@ msgstr "कुछ भी नहीं 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1137,9 +1137,9 @@ msgstr "सूची"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1164,7 +1164,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1226,7 +1226,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2839,8 +2839,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2849,8 +2849,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3193,7 +3193,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3306,7 +3306,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3333,8 +3333,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3722,61 +3722,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6210,7 +6221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "नहीं"
 
@@ -6233,7 +6244,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6499,103 +6510,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6603,7 +6614,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8492,7 +8503,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8970,7 +8981,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9015,7 +9026,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9067,7 +9078,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9222,7 +9233,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9262,7 +9273,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10158,7 +10169,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10760,7 +10771,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10971,7 +10982,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11419,8 +11430,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11549,42 +11560,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11593,112 +11609,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11706,7 +11722,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11775,7 +11791,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11793,11 +11809,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11936,7 +11952,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11971,7 +11987,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12018,8 +12034,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "हटाएं"
 
@@ -12131,22 +12147,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12374,7 +12390,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12849,10 +12865,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13284,7 +13300,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13299,7 +13315,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13308,7 +13324,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13323,8 +13339,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13391,45 +13407,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13775,7 +13791,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14601,74 +14617,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14676,44 +14691,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15419,11 +15434,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15487,79 +15502,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15609,8 +15629,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16166,46 +16186,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16214,7 +16234,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16229,11 +16249,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16261,7 +16281,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16286,28 +16306,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16334,65 +16354,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16725,77 +16745,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16803,7 +16823,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16813,7 +16833,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16828,80 +16848,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16909,90 +16929,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17000,118 +17020,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17120,152 +17140,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17273,48 +17293,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17943,7 +17963,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18603,76 +18623,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18704,121 +18724,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19699,17 +19719,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19990,21 +20010,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20348,7 +20358,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20511,6 +20521,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20790,7 +20810,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20860,7 +20880,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21621,13 +21641,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21652,80 +21672,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22714,37 +22734,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22881,7 +22901,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23019,7 +23039,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23290,7 +23310,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23685,86 +23705,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23773,47 +23793,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25359,7 +25379,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26385,150 +26405,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27198,7 +27218,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27605,12 +27625,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27668,76 +27688,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31140,18 +31160,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31165,70 +31185,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34176,13 +34196,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34217,30 +34237,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34294,44 +34314,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34339,15 +34363,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "रद्द करें"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34355,7 +34379,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34363,7 +34387,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34378,7 +34402,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34416,17 +34440,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37012,6 +37036,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/hr.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/hr.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/hr.po	2020-07-02 04:05:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/hr.po	2020-07-16 16:37:54.000000000 +0000
@@ -12,8 +12,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
@@ -211,7 +211,7 @@ msgstr "Uopće ne funkcionira"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -223,12 +223,12 @@ msgstr "Uopće ne funkcionira"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1138,9 +1138,9 @@ msgstr "Katalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1165,7 +1165,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1227,7 +1227,7 @@ msgstr "Sačuvane pretrage"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2840,8 +2840,8 @@ msgstr "Uzimanje liste knjiga na uređaj
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2850,8 +2850,8 @@ msgstr "Uklanjanje knjiga iz popisa meta
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3194,7 +3194,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3307,7 +3307,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Uzmi informacije o uređaju..."
@@ -3334,8 +3334,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3723,61 +3723,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6211,7 +6222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Ne"
 
@@ -6234,7 +6245,7 @@ msgid "Producer"
 msgstr "Proizvođač"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6501,103 +6512,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "SAD"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Francuska"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Njemačka"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Ujedinjeno Kraljevstvo"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Brazil"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6605,7 +6616,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8497,7 +8508,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8981,7 +8992,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9026,7 +9037,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9078,7 +9089,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9234,7 +9245,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9274,7 +9285,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10176,7 +10187,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "E"
 
@@ -10781,7 +10792,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10993,7 +11004,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11444,8 +11455,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11574,42 +11585,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11618,112 +11634,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Ukloni %s iz ove knjige"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Put"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11731,7 +11747,7 @@ msgstr "Put"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11800,7 +11816,7 @@ msgstr "izlaz"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11818,11 +11834,11 @@ msgstr "izlaz"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11961,7 +11977,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11996,7 +12012,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12043,8 +12059,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Obriši"
 
@@ -12156,22 +12172,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12399,7 +12415,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12874,10 +12890,10 @@ msgstr "&Ključ veličine pisma:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13309,7 +13325,7 @@ msgid "Change the title of this book"
 msgstr "Promijeni naslov ove knjige"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Autor(i): "
 
@@ -13324,7 +13340,7 @@ msgid ""
 msgstr "Promijeni autora(e) ove knjige. Mnogostruki autori bi trebali biti odvojeni zarezom."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Izdavač: "
 
@@ -13333,7 +13349,7 @@ msgid "Ta&gs: "
 msgstr "Ta&govi: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13348,8 +13364,8 @@ msgstr "&Serijali:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Lista poznatih serija. Vi možete dodati nove serije."
@@ -13416,45 +13432,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "&Izlazni profil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Opis profila"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "&Ulazni profil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Margine"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Lijevo:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Nepromijenjeno"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Vrh:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Desno:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Dno:"
@@ -13800,7 +13816,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Promijeni"
 
@@ -14626,74 +14642,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Nedefinirano"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Primijeni promjene"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14701,44 +14716,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Ukloni sve tagove"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "tagovi za uklanjanje"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15445,11 +15460,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Provjera knjižnice - Problemi su nađeni"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15513,79 +15528,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Kopiraj &u međuspremnik"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15635,8 +15655,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16192,46 +16212,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16240,7 +16260,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16255,11 +16275,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16288,7 +16308,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16313,28 +16333,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16361,65 +16381,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16753,77 +16773,77 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Radim"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Mala Slova"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Velika Slova"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Veličina Slova Naslova"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16831,7 +16851,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16841,7 +16861,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16856,80 +16876,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Sačuvaj traži/zamijeni"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16937,90 +16957,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "A&utomatski postavi svrstavanje autora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Datum:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17028,118 +17048,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Ukloni tagove:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Dodaj oz&nake: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Specificiraj kako bi autor(i) ove knjige trebali biti svrstani. Na primjer Charles Dickens bi trebao biti svrstan kao Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Jezici: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Zarezom odvojena lista tagova za ukloniti iz knjiga. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "S&ortiranje autora: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17148,152 +17168,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Rangiranje:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Zamijeni sa:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17301,48 +17321,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Traži i zamijeni"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17971,7 +17991,7 @@ msgstr "Nevaljana sačuvana pretraga"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18631,76 +18651,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18732,121 +18752,121 @@ msgid ""
 "to delete them?"
 msgstr "Slijedeće oznake se koriste u nekoliko knjiga. Jeste li sigurni da hoćete da ih obrišete?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19729,17 +19749,17 @@ msgstr "Izgled"
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -20023,21 +20043,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "S"
 
@@ -20381,7 +20391,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre Biblioteka"
 
@@ -20544,6 +20554,16 @@ msgstr "&Prekini"
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20824,7 +20844,7 @@ msgstr "&Izdavač:"
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20896,7 +20916,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21659,13 +21679,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Visoko"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Nisko"
 
@@ -21690,80 +21710,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Prioritet posla:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Prvenstveni redoslijed &ulaznih formata:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Prvenstven &izlazni format:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Izbriši vijesti iz biblioteke kad su automatski poslane čitaču."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Zadano mrežno &vrijeme neaktivnosti:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Postavi zadano vrijeme neaktivnosti za mrežno dobavljanje (npr. svaki put kad idemo na internet da dobijemo informacije)."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " sekundi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Koristi interni &preglednik za:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22752,37 +22772,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Dodaj e-mail adresu na koju poslati knjige"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Dodaj e-mail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Napravi &zadanim"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Ukloni e-mail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22919,7 +22939,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23057,7 +23077,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23328,7 +23348,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Onemogući"
 
@@ -23723,86 +23743,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23811,47 +23831,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25399,7 +25419,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26425,150 +26445,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Podjela"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27238,7 +27258,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27645,12 +27665,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27708,76 +27728,76 @@ msgid "Import"
 msgstr "Uvoz"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Trenutno nijedna knjiga nije otvorena. Moraš prvo otvoriti knjigu kako bi uređivao."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31188,18 +31208,18 @@ msgstr[2] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31213,70 +31233,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34228,13 +34248,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34269,30 +34289,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34346,44 +34366,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Odaberi lokaziju knjiga"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34391,15 +34415,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "Poništi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34407,7 +34431,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Dobrodošli u calibre"
@@ -34415,7 +34439,7 @@ msgstr "Dobrodošli u calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Sveoubhvatno rješenje za sve vaše e-book potrebe."
@@ -34430,7 +34454,7 @@ msgstr "&Uređaji"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "AsistentStranica"
@@ -34468,17 +34492,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "&Kindle email:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Odaberite vaš &jezik:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37065,6 +37089,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/hu.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/hu.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/hu.po	2020-07-02 04:04:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/hu.po	2020-07-16 16:41:40.000000000 +0000
@@ -41,9 +41,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-24 09:18+0000\n"
-"Last-Translator: Sári Gábor <sari.gabor@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -240,7 +240,7 @@ msgstr "Semmit sem csinál"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -252,12 +252,12 @@ msgstr "Semmit sem csinál"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1167,9 +1167,9 @@ msgstr "Katalógus"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1194,7 +1194,7 @@ msgstr "A ({0}) könyvár elérési útj
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1256,7 +1256,7 @@ msgstr "Mentett keresések"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2869,8 +2869,8 @@ msgstr "Az eszközön lévő könyvek li
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2879,8 +2879,8 @@ msgstr "Könyvek eltávolítása az eszk
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3223,7 +3223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Sablon szerkesztése"
@@ -3336,7 +3336,7 @@ msgid "Communicate with MTP devices"
 msgstr "Kommunikáció az MTP-eszközzel."
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Eszköz-információ lekérdezése…"
@@ -3363,8 +3363,8 @@ msgid "Finished reading metadata from de
 msgstr "Metaadatok olvasása az eszközről kész"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3752,61 +3752,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Túl sok kapcsolódási kísérlet érkezett innen: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Hibás tömörítési beállítás. 50 és 99 közötti számnak kell lennie. Legyen %d. "
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Érvénytelen port a beállításokban: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Nem sikerült kapcsolódni a %d porthoz. Próbáljon megadni egy másik értéket."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Nem sikerült lefoglalni egy véletlenszerű port"
 
@@ -6240,7 +6251,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Nem"
 
@@ -6263,7 +6274,7 @@ msgid "Producer"
 msgstr "Producer"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6529,103 +6540,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google fotók"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Letölti a metaadatokat és a borítót az Amazonról"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "US"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Franciaország"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Németország"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Egyesült Királyság"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Ausztrália"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Olaszország"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japán"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Spanyolország"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brazilia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Holland"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Kína"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Kanada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Automatikus szerver kiválasztás"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Amazon szerverek"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "A metaadatok letöltése ennek az országnak az Amazon honlapja alapján."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6633,7 +6644,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Az Amazon időtúllépés miatt kiléptette. Próbálja később!"
 
@@ -8522,7 +8533,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -9000,7 +9011,7 @@ msgstr "A(z) %s mappa már létezik. El
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Túl hosszú"
 
@@ -9045,7 +9056,7 @@ msgstr "A %s könyvtárat eltávolított
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9097,7 +9108,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9252,7 +9263,7 @@ msgid "Browse for library"
 msgstr "Könyvtár böngészése"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Másolás"
@@ -9292,7 +9303,7 @@ msgstr "{0} / {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Összes kijelölése"
 
@@ -10188,7 +10199,7 @@ msgid "Move to next highlighted match"
 msgstr "Ugrás a következő kiemelt találathoz"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10790,7 +10801,7 @@ msgid "this book"
 msgstr "Könyv"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "%s keresése"
@@ -11001,7 +11012,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11449,8 +11460,8 @@ msgstr "Módosítás"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11579,42 +11590,47 @@ msgid "Search the internet for this book
 msgstr "Keresés az interneten erre a könyvre"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "A(z) %s kezelése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "%s formátum törlése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "%s formátum mentése lemezre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "%s formátum visszaállítása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Könyvborító %s fájlból"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11623,112 +11639,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr "%s megnyitása ezzel..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Egyéb alkalmazás %s fájlok megnyitásához..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Megnyitás mással alkalmazások..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "%s szerkesztése..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Fájl elérési útvonal másolása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Calibre keresés: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Elérési útvonal másolása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "%s eltávolítása a könyvből"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Összes másolás&a"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Borító megnyitása ezzel..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Egyéb alkalmazás a borító megnyitásához..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Borító beillesztése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Borító másolása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Borító eltávolítása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Borító létrehozása a metaadatokból"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Dupla kattintásra a könyv részletek megjelenítése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Elérési út"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11736,7 +11752,7 @@ msgstr "Elérési út"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Borító méret: %(width)d x %(height)d képpont"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11805,7 +11821,7 @@ msgstr "kimenet"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11823,11 +11839,11 @@ msgstr "kimenet"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11966,7 +11982,7 @@ msgid "Preset name:"
 msgstr "Téma neve:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Meg kell adnia egy nevet."
 
@@ -12001,7 +12017,7 @@ msgstr "Igaz"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12048,8 +12064,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Törlés"
 
@@ -12161,22 +12177,22 @@ msgstr "Visszaállítás az alapértelme
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12404,7 +12420,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12879,10 +12895,10 @@ msgstr "Betűméretezési &kulcs:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13314,7 +13330,7 @@ msgid "Change the title of this book"
 msgstr "Könyv címének megadása"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "Szer&ző(k): "
 
@@ -13329,7 +13345,7 @@ msgid ""
 msgstr "A könyv szerzőjének megváltoztatása. Több szerző esetén vesszővel kell azokat elválasztani"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Kiadó: "
 
@@ -13338,7 +13354,7 @@ msgid "Ta&gs: "
 msgstr "&Címkék: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13353,8 +13369,8 @@ msgstr "&Sorozat:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Sorozatok listája. Hozzáadhat újakat is."
@@ -13421,45 +13437,45 @@ msgstr "Képernyőméret: %s"
 msgid "Page setup"
 msgstr "Oldalbeállítás"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Kimeneti pr&ofil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Profil leírása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Forrás prof&il:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Margók"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Bal oldalon:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "változatlan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Felül:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Jobb oldalon:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "L&ent:"
@@ -13805,7 +13821,7 @@ msgid "Edit the currently selected expre
 msgstr "A kiválasztott kifejezés szerkesztése"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "Mó&dosítás"
 
@@ -14631,74 +14647,73 @@ msgstr "Válasszon fájlt, amelyből sza
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Nincs megadva"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "„%s” beállítása a mai napra"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "„%s” törlése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Az értékek megváltoztak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Megváltoztatta az értékeket. Ahhoz, hogy használhassa ezt a szerkesztőt először alkalmaznia kell vagy el kell vetni ezeket. Alkalmazza a változásokat?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " index:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "A(z) „{0}” felsorolás érvénytelen értéket tartalmaz, mely az alapértelmezett értékre lesz állítva"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Módosítások alkalmazása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Sorozatok törlése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Automatikus könyvszámozás"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14706,44 +14721,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "A számozás mindig kezdődjön "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "A(z) „{0}” felsorolás érvénytelen értékeket tartalmaz, melyek az alapértelmezett értékre lesznek állítva"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Az összes címke eltávolítása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "hozzáadandó címkék"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "eltávolítandó címkék"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15449,11 +15464,11 @@ msgstr "Türelmet kérünk, ez el fog ta
 msgid "Vacuuming..."
 msgstr "Takarítás..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Könyvtár ellenőrzése -- Problémák"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15517,79 +15532,84 @@ msgid ""
 "        "
 msgstr "        <h1>Súgó</h1>\n\n        <p>A Calibre a könyveket és azok metaadatait egy adatbázisban tárolja.\n        A konkrét könyv fájlok és borítóik a Calibre könyvtár mappájában találhatók.\n        Az adatbázis tárolja, hogy melyik könyv bejegyzéshez milyen könyv-\n        és borító fájlok tartoznak.\n        Ez a segédeszköz ellenőrzi, hogy a Calibre mappájában lévő fájlok\n        megfelelnek-e az adatbázisban tárolt adatoknak.</p>\n\n        <p>Az egyes ellenőrzési típusok eredménye a bal oldalon látható.\n        Ezek a típusok a következők:</p>\n\n        <ul>\n        <li><b>Érvénytelen címek</b>: Ezek olyan mappák, fájlok a Calibre könyvtárában,\n        amelyek nem feleltethetők meg könyv címnek hibás név miatt.</li>\n        <li><b>Felesleges címek</b>: Ezek olyan fájlok, melyek cím szempontjából helyes\n        fájlnévvel rendelkeznek, de nincs hozzájuk tartozó adatbázis bejegyzés</li>\n        <li><b>Érvénytelen szerzők</b>: Ezek olyan fájlok, melyek olyan helyen\n        vannak a könyvtárban, ahol csak a szerző nevével egyező mappák lehetnének.</li>\n        <li><b>Felesleges szerzők</b>: Ezek olyan mappák, amelyek elnevezésük\n        szerint lehetnének szerzői mappák is, de nem tartoznak hozzájuk adatbázis\n        bejegyzések</li>\n        <li><b>Hiányzó könyvformátumok</b>: ezek olyan formátumok, melyek\n        szerepelnek az adatbázisban, de nem tartoznak hozzájuk az adott formátumnak\n        megfelelő fájlok.</li>\n        <li><b>További könyvformátumok</b>: Ezek a könyvek fájlok megtalálhatók\n        a könyvek mappájában, de nincs hozzájuk adatbázis bejegyzés.</li>\n        <li><b>Ismeretlen fájlok a könyvekben</b>: Ezek olyan fájlok, melyek nem tartoznak\n        a lehetséges könyv és borító fájlformátumok közé.</li>\n        <li><b>Hiányzó borító fájlok</b>: Ha az adatbázis bejegyzés szerint\n        a könyv tartalmaz borítót, de a borító fájl mégis hiányzik.</li>\n        <li><b>Nincsenek borítófájlok az adatbázisban</b>: Ha a könyvhöz tartozik borító képfájl,\n        a könyv mégis úgy szerepel az adatbázisban, hogy nincs borítója.</li>\n        <li><b>Hibajelzést adó mappák</b>: Olyan mappák, melyek valamilyen okból\n        kifolyólag nem ellenőrizhetők ezzel a segédeszközzel.</li>\n        </ul>\n\n        <p>Az automatikus javításnak két módja van: <i>Kijelöltek\n        törlése</i> és <i>Kijelöltek javítása</i>.</p>\n        <p>A <i>Kijelöltek törlése</i> használható a felesleges fájlok/mappák/borítók\n        törlésére, melyekhez nem tartoznak adatbázis bejegyzések. Jelölje ki a törölni\n        kívánt elemeket. Nagy figyelemmel használja!.</p>\n\n        <p>A <i>Kijelöltek javítása</i> csak borítófájlok és hiányzó könyvformátumok\n        esetén használható (a három „javítható” opciót tartalmazó sor).\n        Hiányzó borító esetén a calibre úgy veszi, hogy a listában szereplő könyvek egyikének sincs\n        borítója. Használja akkor ezt az opciót, ha egy mentésből nem akarja a borítókat\n        helyreállítani.\n        Felesleges borítók javításakor a megtalált borítókat állítja be a könyvhöz.\n        Használja akkor ezt az opciót, ha nem akarja törölni ezeket a borító fájlokat.\n        Hiányzó formátumok esetén a javítás azt jelenti, hogy az adatbázisból a bejegyzés\n        törlésre kerül. Ez akkor hasznos, ha pl. mentésből nem minden formátumot akar visszaállítani.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Újraellenőrzés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Másolás &vágólapról"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Kész"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Összes kijelölése törléshez"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Az összes elem kijelölése törléshez"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Megjelöltek &törlése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Megjelölt fájlok törlése (kipipált elemek)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Összes kijelölése j&avításhoz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Az összes kijelölt elem javítása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "Megjelöltek &javítása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Megjelöltek javítása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Figyelmen kívül hagyott nevek:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Adjon meg fájlneveket vesszővel elválasztva. A fájlnevek tartalmazhatnak helyettesítő karaktereket is, pl. synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Figyelmen kívül hagyott kiterjesztések:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Adjon meg fájlkiterjesztéseket vesszővel elválasztva, kezdő '.' nélkül. Csak könyv mappákban használt."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(javítható)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "A könyvtár útvonala"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15639,8 +15659,8 @@ msgstr "A megadott hely (%s) tartalmazza
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Nem megfelelő hely"
 
@@ -16196,46 +16216,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (előtte %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Az elem üres"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Egy elem nem állítható „semmi”-re. Törölje, ha úgy gondolja."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Nincs elem kiválasztva"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Jelöljön ki egy elemet az Elérhető elemek listájáról."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Nincsenek elemek kiválasztva"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Legalább egy elemet ki kell jelölnie a listáról."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Biztosan törölni szeretné a következő elemeket?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Kategória szerkesztő"
 
@@ -16244,7 +16264,7 @@ msgid "Items in use"
 msgstr "Használatban lévő elemek"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16259,11 +16279,11 @@ msgstr "Az elem átnevezése minden kön
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "DRM védett könyv"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16291,7 +16311,7 @@ msgid "Already in calibre:"
 msgstr "Már létezik a Calibre-ben:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16316,28 +16336,28 @@ msgid "Change case"
 msgstr "kICSI éS nAGY cSERÉJE"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "NAGYBETŰS"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "kisbetűs"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "kICSI éS nAGY cSERÉJE"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16364,65 +16384,65 @@ msgstr "Érvénytelen szerzőnév"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Szerzők kezelése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Keresés:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Minden szerzőrendezési értéket visszállít a szerző\nnevéből előállított értékre. Ennek módja beállítható a „Beállítások->Speciális->Finomhangolás” menüben."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "Minden szerző &rendezési forma automatikus újra generálása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "A szerző rendezési forma másolása a szerző név helyére minden esetben. Leginkább\na „Beállítások->Speciális->Finomhangolás->Szerző rendezési forma algoritmus” megváltoztatása után\ncélszerű használni."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "Minden szerző &rendezési forma átmásolása a Szerzői névbe"
 
@@ -16755,77 +16775,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Feldolgozás"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "%d könyv feldolgozása, kis türelmet..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "kisbetűk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "NAGYBETŰS"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Szókezdő Nagybetűk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Karakter egyezés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Reguláris kifejezés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Mező lecserélése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Mező elé helyezés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Mező után helyezés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "<b>%d könyv</b> metaadatainak szerkesztése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Azonnal alkalmazza a változásokat a párbeszédablak bezárása nélkül. Ezek a változások nem vonhatók vissza, vagy végrehajtásuk nem szakítható meg"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "%d. könyv:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Azonosító típus megadása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16833,7 +16853,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>FIGYELEM! Ezekkel a műveletekkel használhatatlanná teheti könyvtárát.</b> A változtatások véglegesek, nincs visszavonási lehetőség. Előtte mindenképpen készítsen könyvtáráról biztonsági másolatot.<p>Keresés és csere szöveget tartalmazó mezőkben karakter egyezés vagy reguláris kifejezés segítségével. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16843,7 +16863,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16858,80 +16878,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R SABLON HIBA"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Meg kell adnia a cél azonosító típust"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Meg kell adnia egy keresési kifejezést a \"Keresés\" mezőben"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "A keresés/csere érvénytelen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Mentett keresés/csere értékek törlése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "A kiválasztott keresés/csere törlődni fog. Valóban ezt szeretné?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Keresés/csere értékek mentése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Keresés/csere név:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Ez a mentett keresés/csere már létezik és felül lesz írva. Folytatja?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Metaadatok szerkesztése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16939,90 +16959,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Rendezési forma automatikus beállítása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "&Cím és szerző felcserélése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "A cím rendezési forma frissítése a cím alapján. Csak a címre vonatkozó más műveletek után lesz végrehajtva."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Cím rendezési forma frissí&tése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "&Borító megváltoztatása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "Alapértelmezett borító &generálása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Borító törlése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Megpróbálja automatikusan felismerni és levágni a felesleges területeket a borító széleiről.\nA funkció néha a kelleténél többet vág le, így figyelmesen használjuk."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "Borító vágása (VESZÉLYES)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Az összes könyv borítója azonos lesz az első kiválasztott könyv borítójával."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "Borítók klónozása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Cím átalakítása nagy kezdőbetűssé, vagyis a cím szavai nagybetűvel kezdődjenek.\nHa ez az opció és a Cím és szerző megcserélése is be van jelölve, akkor  először\na csere lesz végrehajtva, majd utána a nagybetűssé alakítás"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Dátum:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Bekapcsolásával a kiadó törlődik"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "&Kiadó törlése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "Kiadva:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17030,118 +17050,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Ha nincs bejelölve, akkor a sorszám 1 lesz. Ha be van jelölve, akkor\na sorszám automatikusan, a kijelölés sorrendjében lesz kiszámítva.\nTehát ha kijelölte az A könyvet, majd a B könyvet, akkor az A könyv\nsorszáma 1 lesz, míg a B könyvé 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Könyvek &automatikus számozása a sorozatban"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Normál esetben a sorozatok a az adatbázisban szereplő legmagasabb értéktől\nkezdve kerülnek számozásra. Ezzel az opcióval a Calibre a mezőben lévő sorszámtól kezdi a számozást"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&A számozás mindig ettől kezdődjön:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "A sorozat törlése kijelölés esetén"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Sorozat törlése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Borító készítés beállításai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "Címkék eltávolítása:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Összes eltávolítása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "&Címkék hozzáadása: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "A szerző rendezési formájának megadása. Például Charles Dickens-t célszerű Dickens, Charles-ként rendezni."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "Értékelés &alkalmazása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Kiadási dátum törlése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "Nye&lvek:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "A könyvekből eltávolítandó címkék vesszővel elválasztott listája "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Címke szerkesztő megnyitása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Szerző re&ndezési forma : "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Sorozat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "A kiválasztott könyvek egyéni konverziós beállításai eltávolításra kerülnek.\n\nE könyvek a jövőben az alapértelmezett konverziós beállítást használják."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "A kiválasztott könyvek egyéni konverziós beállításainak eltávolítása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17150,152 +17170,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Ha azonos formátumot választunk ki konverzióra, például EPUB-ot EPUB-ra, a Calibre az eredeti EPUB-ot elmenti ORIGINAL_EPUB néven. <br>\nEz az opció arra utasítja a Calibret, hogy konvertálás előtt állítsa vissza az eredeti EPUB-ot az ORIGINAL_EPUB-ból.<br>\n Hasznos, ha nagy mennyiségű könyv kerül konvertálásra és közben hiba történik."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Ha létezik, akkor a &konvertálás előtti eredeti visszaállítása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "A mező kijelölésével minden címke eltávolításra kerül a könyvekből."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "É&rtékelés:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Általános metaadatok"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Egyéni metaadat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Válasszon ki egy keresés/csere értéket betöltéshez."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Az aktuális keresés/csere mentése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Mentés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Mez&ők keresése:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "A keresendő mező neve"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Keresési m&ód:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Válassza ki, hogy egyszerű szövegegyezés, vagy reguláris kifejezés alapján kíván keresni"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Válassza ki a kívánt azonosítót"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "Sablon:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Adja meg a Keresés/Csere alapjául szolgáló sablont"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Adja meg a keresendő kifejezést. Ez lehet egyszerű szöveg, vagy reguláris kifejezés a beállított módtól függően"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Jelölje be, ha a keresés különböztesse meg a kis- és nagybetűket. Ha nincs bejelölve, akkor a keresés nem veszi figyelembe a kis- és nagybetűk közötti különbséget."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Kis- és nagyb&etűk különböznek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "Cse&re erre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "A behelyettesítő szöveg. A keresési feltétellel egyező szöveg erre lesz lecserélve"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "Csere utáni művelet:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "A szövegen végrehajtott további műveleteket határozza meg a csere után. „Karakteregyezés” módban a mezőben lévő teljes szövegen, míg „Reguláris kifejezés” módban az egyező szövegrészen lesz elvégezve a művelet."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "&Célmező:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "A cserék után a szöveg ebbe a mezőbe kerül.\nHa üres, akkor ugyanabba a forrásmezőbe, ha az módosítható."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "Mó&d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Válassza ki hogyan legyen a szöveg bemásolva a célmezőbe"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Ez az opció határozza meg, hogy az eredmény több értékre legyen-e darabolva,\nvagy egy értékként kezelve. Akkor hatékony ez az opció, ha a forrásmező egy értékű,\nmíg a célmező többértékű."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "E&redmény darabolása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Azonosító típus:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17303,48 +17323,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Többértékű mezőknél"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "a kezdőérték"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "az értékek elválasztva ezzel:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Teszteredmények megjelenítésénél használatos a többértékű mezők értékeinek elválasztására"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Szöveg tesztelése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Teszt eredménye"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Az Ön tesztje:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Keresés és csere"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "Könyvlista f&rissítése szerkesztés után"
 
@@ -17973,7 +17993,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Mentett keresések karbantartása"
 
@@ -18633,76 +18653,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "A következő címkekategória <b>véglegesen törölve lesz</b>. Biztosan folytatja?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "Kategória &név:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Kategória kiválasztása szerkesztésre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "Kategória szűrő:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Válassza ki az új kategória tartalmi formáját"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Új kategória hozzáadása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Az aktuális kategória átnevezése a dobozban találhatóra"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Címkék jóváhagyása az aktuális címkekategóriához"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Címkék kiszedése az aktuális címkekategóriából"
 
@@ -18734,121 +18754,121 @@ msgid ""
 "to delete them?"
 msgstr "A következő címkék egy vagy több könyvnél szerepelnek. Biztos, hogy törli őket?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Előfordulás"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Volt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Vissza állítja a törölt elemet?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Törölt elem. Vissza akarja állítani?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19729,17 +19749,17 @@ msgstr "Kinézet"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "A Calibre főablak részeinek megjelenítése vagy elrejtése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Nincs %s formátum"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "A(z) {0} könyvnek nincs {1} formátuma"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "%s visszaállítása"
@@ -20020,21 +20040,11 @@ msgstr "%(sidx)s. könyv ebből a soroza
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20378,7 +20388,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre könyvtár"
 
@@ -20541,6 +20551,16 @@ msgstr "&Kilépés"
 msgid "Unhandled exception"
 msgstr "Ismeretlen hiba történt"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20820,7 +20840,7 @@ msgstr "&Kiadó:"
 msgid "Clear publisher"
 msgstr "Kiadó törlése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Dátum törlése"
 
@@ -20890,7 +20910,7 @@ msgid "Processed %s"
 msgstr "%s feldolgozva"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Letöltendő metaadatok"
 
@@ -21651,13 +21671,13 @@ msgid "&Automatic adding"
 msgstr "Automa&tikus hozzáadás"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Magas"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Alacsony"
 
@@ -21682,80 +21702,80 @@ msgstr "Minden egy fülön"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Megerősítést kérő párbeszédablakok alaphelyzetbe állítva"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Figyelmeztetés új Calibre verzió kiadásakor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "A letöltött hírek automatikus küldése az e-kö&nyv olvasóra"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "Műveletek prioritása:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Előnyben részesített forrás formátumok sorrendje:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Előnyben részesített kimeneti f&ormátum:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "Metaadat szerkesztő kinézete:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Ha ki van választva, akkor az Igen/Nem oszlopok értéke Igen, Nem és Ismeretlen lehet.\nHa nincs kipipálva, akkor az érték csak Igen és Nem lehet."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "Az Igen/Nem (Yes/No) értéke háromféle lehet (újraindítás szükséges)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Törölje a híreket a könyvtárból, ha automatikusan elküldésre kerültek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Alapértelmezett hálózati időtúllépés:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Alapértelmezett hálózati időtúllépés a letöltéshez (bármilyen internetet igénylő művelethez)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " másodperc"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "&Minden letiltott megerősítő párbeszédablak engedélyezése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "A beépített ol&vasóprogram használata a következőkhöz:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Adott Virtuá&lis könyvtár használata, amikor a jelenlegi könyvtár megnyitásra kerül:"
 
@@ -22744,37 +22764,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Email cím hozzáadása könyvküldéshez"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "Email &hozzáadása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Legyen &alapértelmezett"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "Email &eltávolítása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "A könyv metaadatainak megjegyzéseit hozzáadja az e-mailhez.\nHasznos, ha lehetővé kívánja tenni a címzett számára, hogy egy összefoglalót jelenítsen meg\na könyv megnyitása előtt."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "'Megjegyzések' metaadat hozzáadása szövegként az emailhez"
 
@@ -22911,7 +22931,7 @@ msgid "Create a new rule"
 msgstr "Új szabály létrehozása"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23049,7 +23069,7 @@ msgid "If there is enough room"
 msgstr "Ha van elegendő hely"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Első betű szerint"
 
@@ -23320,7 +23340,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Tiltás"
 
@@ -23715,86 +23735,86 @@ msgstr "Nincs forrás kiválasztva"
 msgid "No source selected, cannot configure."
 msgstr "Nincs forrás kiválasztva, beállítás nem lehetséges."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Metaadat források"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "A piros X-szel jelölt források használat előtt beállítást igényelnek. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "A kijelölt forrás beállítása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "A be nem jelölt mezőkhöz nem lesz letöltve metaadat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "Össze&s kijelölése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "A „Legyen alapértelmezett” gombbal beállított értékek visszaállítása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Legyen alapértelmezett"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Minden letöltött megjegyzés konver&tálása egyszerű, formázatlan szöveggé"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Szerző nevének cseréje (Keresztnév, Családnév -> Családnév, Keresztnév)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "L&etöltött megjegyzések hozzáfűzése a létezőhöz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23803,47 +23823,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "Forrásonként több bejegyzés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>A különböző metaadat források más-más címkéket használnak. Ha ez az opció ki van választva, akkor a calibre megpróbál egy csökkentett címkekészletet használni (ha lehet, akkor csak a könyv műfaját), ha nincs kiválasztva, akkor pedig a bővített készletet, ami sok, a könyv tartalmára vonatkozó címkét is tartalmazhat.\n<p>Azonban ennek az opciónak gyakorlatilag csak akkor van jelentősége, ha a kiválasztott metaadat forrás rendelkezik csökkentett, műfajszerű címkekészlettel. A valóságban a legtöbb forrás bővített címkekészlettel rendelkezik."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Kevesebb &címke"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "Letöltött címkék maximális száma:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Az első találat utáni maximális &várakozási idő:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " másodperc"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Az első &borítótalálat utáni maximális várakozási idő:"
 
@@ -25389,7 +25409,7 @@ msgid "Paste and &search"
 msgstr "Beilleszté&s és keresés"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "Beillesztés"
@@ -26415,150 +26435,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Ikon módosítása: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "%s átnevezése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "%s törlése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "%s rendezési forma szerkesztése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "%s linkjének szerkesztése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "%s gyermeke"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "%(item)s eltávolítása a %(cat)s kategóriából"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "A(z) %s kivételével mindent keressen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Alkategória hozzáadása a következőhöz: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "A(z) %s kategória elrejtése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Kategória megjelenítése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Könyvek keresése a(z) %s kategóriában"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Ne keressen könyveket a(z) %s kategóriában"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Kategória ikon megváltoztatása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Alapértelmezett ikon visszaállítása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Felhasználói kategóriák karbantartása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Minden kategória megjelenítése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Az alkategória séma megváltoztatása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Felosztás (partition)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Az első betű csak a névre rendezéskor használható"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "Mind&en alkategória kibontása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Alkategóriák bezárása"
 
@@ -27228,7 +27248,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Nem mentett módosítások"
 
@@ -27635,12 +27655,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Nem támogatott fájl formátum"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27698,76 +27718,76 @@ msgid "Import"
 msgstr "Importálás"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Előző: Csere%s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Előző: képek tömörítése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Váratlan hiba"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "A könyv mentése a háttérben zajlik. Az azonnali kilépés <b>megszakítja a mentést</b>! Befejezzük a mentést előbb?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "Lépjen ki azonnal"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Fejezze be a menté&st előbb"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "A könyvben még nem mentett módosítások vannak, ha mentés nélkül lép ki, ezek elvesznek."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "Menté&s és Kilépés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Kilépés mentés nélkül"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Mentés folyamatban, kis türelmet..."
 
@@ -31170,18 +31190,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31195,70 +31215,70 @@ msgid ""
 "            "
 msgstr "\n            <h3>Előnézet</h3>\n\n            <p>Itt folyamatosan látható a szerkesztett HTML fájl előnézete.\n            Az előnézet automatikusan frissül a végrehajtott módosításokat követően.\n\n            <p style=\"font-size:x-small; color: gray\">Megjegyzés a Gyorsnézethez\n\n            Nem cél egy valódi E-könyv olvasó szimulálása.\n            Néhány funkció, például az oldaltörések és a margók nem fognak tökéletesen működni.\n            "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Elem vizsgálata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Hivatkozás megnyitása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "%s szerkesztése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Keresés az előnézetben"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Az előnézet automatikus frissítése, ha a forrásszöveg módosult"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Az automatikus frissítés kikapcsolása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Darabolás befejezve"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34206,13 +34226,13 @@ msgstr "Könyv betöltési hiba"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34247,30 +34267,30 @@ msgstr "{} elrejtése"
 msgid "Show {}"
 msgstr "{} megjelenítése"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Szín kiválasztása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Szín kiválasztása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Kivágás"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Nem értékelt"
 
@@ -34324,44 +34344,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Válassza ki az e-könyv olvasóját. Ha az Ön eszköze nem található a listában, válassza a „%s” lehetőséget."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "Ha a Calibre-t áthelyezi egyik számítógépről egy másikra, olvassa el az online <a href=\"{0}\">instrukciókat </a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Könyvek helyének kiválasztása"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Nem sikerült a mappa létrehozása a következő helyen: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "A Calibre könyvtárhoz egy üres mappát kellene választania. Viszont a következő nem üres: %s."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Tovább >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Vissza"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34369,15 +34393,15 @@ msgstr "< &Vissza"
 msgid "Cancel"
 msgstr "Mégse"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Befejezés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Beküldés"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Üdvözlő varázsló"
 
@@ -34385,7 +34409,7 @@ msgstr "Üdvözlő varázsló"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Üdvözli Önt a Calibre"
@@ -34393,7 +34417,7 @@ msgstr "Üdvözli Önt a Calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Minden egy helyen, amire csak szüksége lehet"
@@ -34408,7 +34432,7 @@ msgstr "&Eszközök"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Varázsló"
@@ -34446,17 +34470,17 @@ msgstr "A Calibre automatikusan e-mailbe
 msgid "&Kindle email:"
 msgstr "&Kindle email:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Nyelv kivá&lasztása:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Válasszon egy mappát a könyvei számára. Amikor hozzáad egy könyvet az alkalmazásban, az ebbe a mappába másolódik. Használjon <b>üres mappát</b>  az új könyvtárához:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37042,6 +37066,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/hy.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/hy.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/hy.po	2020-07-02 04:06:54.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/hy.po	2020-07-16 16:42:38.000000000 +0000
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -213,7 +213,7 @@ msgstr "Ոչինչ չի անում"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -225,12 +225,12 @@ msgstr "Ոչինչ չի անում"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1140,9 +1140,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1167,7 +1167,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1229,7 +1229,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2842,8 +2842,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2852,8 +2852,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3196,7 +3196,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3309,7 +3309,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3336,8 +3336,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3725,61 +3725,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6213,7 +6224,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Ոչ"
 
@@ -6236,7 +6247,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6502,103 +6513,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6606,7 +6617,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8495,7 +8506,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8973,7 +8984,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9018,7 +9029,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9070,7 +9081,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9225,7 +9236,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "Պատճենել"
@@ -9265,7 +9276,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Ընտրել բոլորը"
 
@@ -10161,7 +10172,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10763,7 +10774,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Որոնել %s"
@@ -10974,7 +10985,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11422,8 +11433,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11552,42 +11563,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11596,112 +11612,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11709,7 +11725,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11778,7 +11794,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11796,11 +11812,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11939,7 +11955,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11974,7 +11990,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12021,8 +12037,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12134,22 +12150,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12377,7 +12393,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12852,10 +12868,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13287,7 +13303,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13302,7 +13318,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13311,7 +13327,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13326,8 +13342,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13394,45 +13410,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13778,7 +13794,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14604,74 +14620,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14679,44 +14694,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15422,11 +15437,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15490,79 +15505,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15612,8 +15632,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16169,46 +16189,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16217,7 +16237,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16232,11 +16252,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16264,7 +16284,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16289,28 +16309,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16337,65 +16357,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16728,77 +16748,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16806,7 +16826,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16816,7 +16836,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16831,80 +16851,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16912,90 +16932,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17003,118 +17023,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17123,152 +17143,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17276,48 +17296,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17946,7 +17966,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18606,76 +18626,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18707,121 +18727,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19702,17 +19722,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19993,21 +20013,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20351,7 +20361,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Կալիբր Գրադարան"
 
@@ -20514,6 +20524,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20793,7 +20813,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Մաքրել ամսաթիվը"
 
@@ -20863,7 +20883,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21624,13 +21644,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Բարձր"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Ցածր"
 
@@ -21655,80 +21675,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr "վայրկյան"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22717,37 +22737,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22884,7 +22904,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23022,7 +23042,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23293,7 +23313,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23688,86 +23708,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23776,47 +23796,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " վրկ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25362,7 +25382,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26388,150 +26408,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27201,7 +27221,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27608,12 +27628,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27671,76 +27691,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31143,18 +31163,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31168,70 +31188,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34179,13 +34199,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34220,30 +34240,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34297,44 +34317,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34342,15 +34366,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "Չեղարկել"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34366,7 +34390,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34381,7 +34405,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34419,17 +34443,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37015,6 +37039,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/id.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/id.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/id.po	2020-07-02 04:04:43.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/id.po	2020-07-16 16:41:43.000000000 +0000
@@ -19,8 +19,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
@@ -218,7 +218,7 @@ msgstr "Tidak melakukan apapun"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -230,12 +230,12 @@ msgstr "Tidak melakukan apapun"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1145,9 +1145,9 @@ msgstr "Katalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1172,7 +1172,7 @@ msgstr "Alamat ke pustaka ({0}) terlalu
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1234,7 +1234,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2847,8 +2847,8 @@ msgstr "Mendapatkan daftar buku dalam pe
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2857,8 +2857,8 @@ msgstr "Menghapus buku dari daftar metad
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3201,7 +3201,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Sunting templat"
@@ -3314,7 +3314,7 @@ msgid "Communicate with MTP devices"
 msgstr "Berkomunikasi dengan peranti MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Mengambil informasi peranti..."
@@ -3341,8 +3341,8 @@ msgid "Finished reading metadata from de
 msgstr "Selesai membaca metadata dari peranti"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3730,61 +3730,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Port tak valid dalam opsi: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Gagal mengalokasikan sebuah port acak"
 
@@ -6218,7 +6229,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Tidak"
 
@@ -6241,7 +6252,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6506,103 +6517,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "US"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "UK"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Australia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brazil"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "China"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Situs web Amazon negara mana yang akan dipakai:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Server tempat mengambil data:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6610,7 +6621,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8496,7 +8507,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8968,7 +8979,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9013,7 +9024,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9065,7 +9076,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9219,7 +9230,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9259,7 +9270,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10149,7 +10160,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10748,7 +10759,7 @@ msgid "this book"
 msgstr "buku ini"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10958,7 +10969,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11403,8 +11414,8 @@ msgstr "Ubah"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11533,42 +11544,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11577,112 +11593,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11690,7 +11706,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11759,7 +11775,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11777,11 +11793,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11920,7 +11936,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11955,7 +11971,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12002,8 +12018,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Hapus"
 
@@ -12115,22 +12131,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12358,7 +12374,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12833,10 +12849,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13268,7 +13284,7 @@ msgid "Change the title of this book"
 msgstr "Mengubah judul buku ini"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13283,7 +13299,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Penerbit: "
 
@@ -13292,7 +13308,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13307,8 +13323,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13375,45 +13391,45 @@ msgstr ""
 msgid "Page setup"
 msgstr "Pengaturan halaman"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13759,7 +13775,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14585,74 +14601,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " indeks:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Terapkan Perubahan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14660,44 +14675,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15402,11 +15417,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15470,79 +15485,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15592,8 +15612,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Lokasi buruk"
 
@@ -16149,46 +16169,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Penyunting kategori"
 
@@ -16197,7 +16217,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16212,11 +16232,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16243,7 +16263,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16268,28 +16288,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16316,65 +16336,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16706,77 +16726,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Buku %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16784,7 +16804,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16794,7 +16814,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16809,80 +16829,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16890,90 +16910,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16981,118 +17001,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17101,152 +17121,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17254,48 +17274,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17924,7 +17944,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18584,76 +18604,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "&Nama kategori: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18685,121 +18705,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19678,17 +19698,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19966,21 +19986,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20324,7 +20334,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Pustaka Calibre"
 
@@ -20487,6 +20497,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20765,7 +20785,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20833,7 +20853,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21592,13 +21612,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21623,80 +21643,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " detik"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22685,37 +22705,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22852,7 +22872,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -22990,7 +23010,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23261,7 +23281,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Nonaktifkan"
 
@@ -23656,86 +23676,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23744,47 +23764,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " dtk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25328,7 +25348,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26354,150 +26374,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Pembagian"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27167,7 +27187,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27574,12 +27594,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27637,76 +27657,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31101,18 +31121,18 @@ msgstr[0] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31126,70 +31146,70 @@ msgid ""
 "            "
 msgstr "\n            <h3>Pratinjau langsung</h3>\n\n            <p>Di sini Anda akan melihat pratinjau langsung berkas HTML yang sedang Anda\n            sunting. Pratinjau akan diperbarui secara otomatis saat Anda membuat perubahan.\n\n            <p style=\"font-size:x-small; color: gray\">Perhatikan bahwa ini adalah hanya\n            pratinjau cepat, tidak dimaksudkan untuk mensimulasikan pembaca e-book\n            yang sebenarnya. Beberapa aspek e-book Anda tidak akan bekerja, seperti ganti\n            halaman dan margin halaman.\n            "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Tidak dapat menonaktifkan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34133,13 +34153,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34174,30 +34194,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Pilih &warna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34251,44 +34271,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34296,15 +34320,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "Batal"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34312,7 +34336,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34320,7 +34344,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34335,7 +34359,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34373,17 +34397,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -36968,6 +36992,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/is.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/is.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/is.po	2020-07-02 04:05:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/is.po	2020-07-16 16:36:39.000000000 +0000
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
@@ -213,7 +213,7 @@ msgstr "Gerir nákvæmlega ekkert"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -225,12 +225,12 @@ msgstr "Gerir nákvæmlega ekkert"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1140,9 +1140,9 @@ msgstr "Efnisskrá"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1167,7 +1167,7 @@ msgstr "Slóð á safn ({0}) of löng. V
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1229,7 +1229,7 @@ msgstr "Vistaðar leitir"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2842,8 +2842,8 @@ msgstr "Næ í bókalista tækis..."
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2852,8 +2852,8 @@ msgstr "Fjarlægi bækur úr lýsigagnal
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3196,7 +3196,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Breyta sniðmáti"
@@ -3309,7 +3309,7 @@ msgid "Communicate with MTP devices"
 msgstr "Hafa samskipti við MTP tæki"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Ná í upplýsingar um tæki..."
@@ -3336,8 +3336,8 @@ msgid "Finished reading metadata from de
 msgstr "Lauk við að lesa lýsigögn frá tæki"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3725,61 +3725,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Of margar tilraunir til að tengjast frá %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Appið á tækinu þínu er of gamalt og er ekki lengur stutt. Uppfærðu í nýrri útgáfu."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Þú átt bókasnið í safninu þínu sem eru dagsett í framtíðinni. Skoðaðu Calibre til að sjá nánari upplýsingar."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "Samstillingardálkurinn %s fyrir lestur er ekki í Calibre-safninu"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "Samstillingardálkurinn %s fyrir lestur er ekki Já/Nei dálkur"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "Samstillingardálkurinn %s fyrir lesdagsetningu er ekki í Calibre-safninu"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "Samstillingardálkurinn %s fyrir lesdagsetningu er ekki dagsetningadálkur"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Óhæf gæðastilling á þjöppun. Talan verður að vera milli 50 og 99. Þvinguð í %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Ógilt tengi í valstillingum: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Tókst ekki að tengjast %d. Prófaðu annað gildi."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Tókst ekki að virkja slembitengi"
 
@@ -6213,7 +6224,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Nei"
 
@@ -6236,7 +6247,7 @@ msgid "Producer"
 msgstr "Framleiðandi"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6502,103 +6513,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google myndir"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Nær í lýsigögn og forsíður frá Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "BNA"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Frakkland"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Þýskaland"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Bretland"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Ítalía"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japan"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Spánn"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brasilía"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Holland"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Kína"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Kanada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Velja þjóninn sjálfvirkt"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Bing vefleitarminni"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Google vefleitarminni"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Wayback machine vefleitarminni (hægvirkt)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon er byrjað að loka á tilraunir til að sækja lýsigögn af netjónum sínum. Til að komast framhjá þessu vandamáli, getur Calibre sótt Amazon-gögnin frá mörgum öðrum stöðum þar sem þau eru geymd. Veldu hvaða gagnaveitu þú vilt nota."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6606,7 +6617,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazon féll á tíma. Reyndu aftur síðar."
 
@@ -8495,7 +8506,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8973,7 +8984,7 @@ msgstr "Mappan %s er þegar til staðar.
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Of langt"
 
@@ -9018,7 +9029,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9070,7 +9081,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9225,7 +9236,7 @@ msgid "Browse for library"
 msgstr "Fletta eftir safni"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Afrita"
@@ -9265,7 +9276,7 @@ msgstr "{0} eftir {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Velja &allt"
 
@@ -10161,7 +10172,7 @@ msgid "Move to next highlighted match"
 msgstr "Fara á næstu áherslulituðu samsvörun"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "A"
 
@@ -10763,7 +10774,7 @@ msgid "this book"
 msgstr "þessari bók"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Leita að %s"
@@ -10974,7 +10985,7 @@ msgstr "&Forskoða bók"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11422,8 +11433,8 @@ msgstr "Breyta"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11552,42 +11563,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Sýsla með %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Settu forsíðu bókar úr %s skránni"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11596,112 +11612,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr "Opna %s með..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Breyta %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Afrita slóð að skrá"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Fjarlægja %s úr þessari bók"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "&Afrita allt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Opna forsíðu með..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Bæta við öðru forriti til að opna með forsíður..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Líma forsíðu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Afrita forsíðu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Vista forsíðu á disk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Fjarlægja forsíðu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Veldu staðsetningu þar sem á að vista forsíðu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "JPEG-myndir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Slóð"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11709,7 +11725,7 @@ msgstr "Slóð"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Stærð forsíðu: %(width)d x %(height)d mynddílar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11778,7 +11794,7 @@ msgstr "úttak"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11796,11 +11812,11 @@ msgstr "úttak"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11939,7 +11955,7 @@ msgid "Preset name:"
 msgstr "Nafn á forstillingu:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Þú verður að gefa upp nafn."
 
@@ -11974,7 +11990,7 @@ msgstr "Satt"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12021,8 +12037,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Eyða"
 
@@ -12134,22 +12150,22 @@ msgstr "Endurstilla á sjálfgefið"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12377,7 +12393,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12852,10 +12868,10 @@ msgstr "Ly&kill leturstærðar:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13287,7 +13303,7 @@ msgid "Change the title of this book"
 msgstr "Breyta titli þessarar bókar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Höfundar: "
 
@@ -13302,7 +13318,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "Út&gefandi: "
 
@@ -13311,7 +13327,7 @@ msgid "Ta&gs: "
 msgstr "&Merki: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13326,8 +13342,8 @@ msgstr "&Ritröð:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Listi yfir þekktar ritraðir. Þú getur bætt nýjum við."
@@ -13394,45 +13410,45 @@ msgstr "Skjástærð: %s"
 msgid "Page setup"
 msgstr "Uppsetning síðu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Ú&ttakssnið:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Lýsing á sniði"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "&Inntakssnið:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Spássíur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Vinstri:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Óbreytt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Efst:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Hægri:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Neðst:"
@@ -13778,7 +13794,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Breyta"
 
@@ -14604,74 +14620,73 @@ msgstr "Veldu skrá sem á að flytja re
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Óskilgreint"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Setja '%s' á í dag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Hreinsa '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " yfirlitsnúmer:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Virkja breytingar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Hreinsa ritröð"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14679,44 +14694,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Þvinga tölur til að byrja á "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Fjarlægja öll merki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "merki til að bæta við"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "merki til að fjarlægja"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15422,11 +15437,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15490,79 +15505,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Afrita á &klippispjald"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Lokið"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "La&ga merkt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Nöfn sem á að hunsa:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Slóð úr safni"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15612,8 +15632,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16169,46 +16189,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (var %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Ekkert atriði valið"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Þú verður að velja eitt atriði af listanum yfir tiltæk atriði."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Engin atriði valin."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Þú verður að velja a.m.k. eitt atriði af listanum."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16217,7 +16237,7 @@ msgid "Items in use"
 msgstr "Atriði í notkun"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16232,11 +16252,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Þessi bók er með DRM-höfundarréttarvörn"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16264,7 +16284,7 @@ msgid "Already in calibre:"
 msgstr "Þegar í Calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16289,28 +16309,28 @@ msgid "Change case"
 msgstr "Breyta stafstöðu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Hástafa"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Lágstafa"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Víxla stafstöðu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16337,65 +16357,65 @@ msgstr "Ógilt nafn höfundar"
 msgid "You cannot change an author to multiple authors."
 msgstr "Þú getur ekki breytt höfundi í marga höfunda."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Sýsla með höfunda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Leita að:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16728,77 +16748,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Í vinnslu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Vinn með %d bækur, bíddu aðeins..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Skref %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Lágstafir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Hástafir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Stafstaða titils"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Samsvörun stafa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Regluleg segð"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Útskiptingareitur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Bæta framan við gagnasvið"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Bók %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16806,7 +16826,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16816,7 +16836,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16831,80 +16851,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16912,90 +16932,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "Ví&xla titli og höfundi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Uppfæra röðun bóka&titla"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Skipta um &forsíðu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "Út&búa sjálfgefna forsíðu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Fjarlægja forsíðu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "Skera u&tan af forsíðu (ÁHÆTTUSAMT)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Klóna forsíður"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Dagsetning:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Ef merkt er við þetta, mun úthefandi verða hreinsaður"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "Út&gefið:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17003,118 +17023,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Númer&a sjálfvirkt bækur í þessari ritröð"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "Þvinga tölur til að &byrja á:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Ef merkt er við þetta, mun ritröðin verða hreinsuð"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Hreinsa ritröð"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "Fja&rlægja merki:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Fjarlægja &allt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "&Beita einkunnagjöf"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Hreinsa útgáfudagsetningu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "Tungumá&l:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Kommu-aðgreindur listi yfir merki sem á að eyða úr bókunum. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Opna merkjaritil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Röð&un höfunda: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Fjarlægja geymdar umbreytingastillingar fyrir valdar bækur.\n\nUmbreytingar á þessum bókum í framtíðinni munu nota sjálfgefnar stillingar."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Fjarlæ&gja geymdar umbreytingastillingar fyrir valdar bækur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17123,152 +17143,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Hakaðu við þennan reit til að fjarlægja öll merki úr bókunum."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Stjörnugjöf:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Grunn-lýsigögn"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Sérsniðin lýsigögn"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Vista núverandi leit/útskiptingu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Vista"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Leitars&við:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Heiti gagnasviðsins sem þú vilt leita í"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Leitarha&mur:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "&Gerð auðkennis:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Sniðmát:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "&Næmt fyrir há- og lágstöfum"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Skipta út með:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "&Hamur:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "&Kljúfa útkomu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17276,48 +17296,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Prufutexti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Niðurstöður prófunar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Leita að og skipta út"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17946,7 +17966,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Sýsla með vistaðar leitir"
 
@@ -18606,76 +18626,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Nota flokkaritil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "&Heiti flokks: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "&Flokkasía: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "Tiltæk &atriði"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18707,121 +18727,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Fjöldi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Var"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19702,17 +19722,17 @@ msgstr "Framsetning"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Birta og fela hina ýmsu hluta aðalviðmóts Calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Ekkert %s snið"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Endurheimta %s"
@@ -19993,21 +20013,11 @@ msgstr "Bók %(sidx)s af <span class=\"s
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Setja dagsetningu sem óskilgreinda"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Setja dagsetningu á í dag"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Setja sem óskilgreint"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20351,7 +20361,7 @@ msgid ""
 msgstr "Slóð á Calibre Portable (%s) er of löng. Verður að vera styttri en 59 stafir."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre-bókasafn"
 
@@ -20514,6 +20524,16 @@ msgstr "&Hætta"
 msgid "Unhandled exception"
 msgstr "Ómeðhöndlað frávik"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Setja dagsetningu sem óskilgreinda"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Setja dagsetningu á í dag"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20793,7 +20813,7 @@ msgstr "Út&gefandi:"
 msgid "Clear publisher"
 msgstr "Hreinsa útgefanda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20863,7 +20883,7 @@ msgid "Processed %s"
 msgstr "Meðhöndlaði %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Gagnareitir lýsigagna sem á að sækja"
 
@@ -21624,13 +21644,13 @@ msgid "&Automatic adding"
 msgstr "S&jálfvirk viðbæting"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Mikill"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Lítill"
 
@@ -21655,80 +21675,80 @@ msgstr "Allt á 1 flipa"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Allir óvirkir staðfestingargluggar hafa verið endurstilltir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Láta vita þegar &ný útgáfa er tiltæk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Se&nda sóttar fréttir sjálfvirkt í rafbókalesarann"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Forgangur verks:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "&Inntakssnið sem þú vilta nota:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Úttakssnið sem þú vilta n&ota:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "Einfö&ld framsetning við að breyta lýsigögnum:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Ef merkt er við þetta, munu sérsniðnir Já/Nei-dálkar geta innihaldið 'Já', 'Nei' eða 'Óþekkt'.\nEf ekki er merkt, geta gildin aðeins verið 'Já' eða 'Nei'."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "&Já/Nei-dálkar hafa þrjú gildi (krefst endurræsingar)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Eyða fréttum úr bókasafni þægar þær eru sendar í lesara"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Sjálfgefin &tímamörk nettenginga:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Stilltu sjálfgefin tímamörk fyrir netbeiðnir (þ.e.a.s. ævinlega þegar upplýsingar eru sóttar af netinu)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " sekúndur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "En&durstilla alla óvirka staðfestingarglugga"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Nota innbyggðan s&koðara fyrir:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Sýndarbó&kasafn sem á að virkja þegar núverandi safn er opnað:"
 
@@ -22717,37 +22737,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Bæta við tölvupóstfangi sem á að senda rafbækur til"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Bæta við tölvupóstfangi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "&Gera sjálfgefið"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Fjarlægja tölvupóstfang"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22884,7 +22904,7 @@ msgid "Create a new rule"
 msgstr "Búa til nýja reglu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23022,7 +23042,7 @@ msgid "If there is enough room"
 msgstr "Ef það er nægilegt pláss"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Eftir fyrsta staf"
 
@@ -23293,7 +23313,7 @@ msgid "Caching of covers for improved pe
 msgstr "Forsíður settar í biðminni fyrir betri afköst"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Gera óvirkt"
 
@@ -23688,86 +23708,86 @@ msgstr "Enginn gagnagjafi valinn"
 msgid "No source selected, cannot configure."
 msgstr "Enginn gagnagjafi valinn, get ekki stillt."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Uppsprettur lýsigagna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Ef þú tekur merki úr reitum, verður ekki náð í viðkomandi lýsigögn"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Velja allt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Setja sem sjálfgefið"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Umbreyta öllum sóttum athugasemdum í hreinan &texta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Víxla nöfnum höfunda úr FN EN í EN, FN"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Bæta athugas&emdum við það sem þegar er til"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23776,47 +23796,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Búa til &reglur til að sía/umbreyta merkjum"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "Búa til reglur &til að umbreyta nöfnum höfunda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " sek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25362,7 +25382,7 @@ msgid "Paste and &search"
 msgstr "&Líma og leita"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Líma"
@@ -26388,150 +26408,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr "'Smella' á fundið atriði"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Endurnefna %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Eyða %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Breyta röðun fyrir %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Fjarlægja %(item)s úr flokknum %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Leita að öllu nema %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Fela flokkinn %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Sýna flokk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Leita að bókum í flokknum %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Leita að bókum sem ekki eru í flokknum %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Breyta táknmynd flokks"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Endurheimta sjálfgefna táknmynd"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Sýsla með flokka notandans"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Birta alla flokka"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Uppskipting"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27201,7 +27221,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Óvistaðar breytingar"
 
@@ -27608,12 +27628,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Skráarsnið ekki stutt"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27671,76 +27691,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Þú verður að opna bók til að geta skoðað skýrsluna."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Þú þart fyrst að opna bók áður en þú getur yfirfarið tengla."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Þú þart fyrst að opna bók áður en þú getur þjappað myndum."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Óvænt villa kom upp"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Gat ekki þjappað myndir, smelltu á 'Birta ítarlegri upplýsingar' til að fá frekari upplýsingar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Engin bók er opin. Þú þart fyrst að opna bók áður en þú getur farið að breyta."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "Vi&sta og hætta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Vista, bíddu aðeins..."
 
@@ -31143,18 +31163,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31168,70 +31188,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Opna tengil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Breyta %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Get ekki gert óvirkt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Ekki er hægt að afvirkja sjálfkrafa endurhlöðun á forsýningarglugganum á meðan beini CSS útsendingarglugginn er opinn."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34179,13 +34199,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34220,30 +34240,30 @@ msgstr "Fela {}"
 msgid "Show {}"
 msgstr "Birta {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Veldu &lit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Veldu lit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "&Klippa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "Fara &upp"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "Skref &niður"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Engin einkunn"
 
@@ -34297,44 +34317,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Veldu staðsetningu fyrir bækur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Næsta >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Til baka"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34342,15 +34366,15 @@ msgstr "< &Til baka"
 msgid "Cancel"
 msgstr "Hætta við"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Ljúka"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Staðfesta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Upphafsleiðarvísir"
 
@@ -34358,7 +34382,7 @@ msgstr "Upphafsleiðarvísir"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Velkomin í Calibre"
@@ -34366,7 +34390,7 @@ msgstr "Velkomin í Calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Fullnaðarlausn á öllum rafbókaþörfum þínum"
@@ -34381,7 +34405,7 @@ msgstr "&Tæki"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "LeiðarvísaSíða"
@@ -34419,17 +34443,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "Tölvupóstur &Kindle:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Ve&ldu tungumálið þitt:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37015,6 +37039,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/it.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/it.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/it.po	2020-07-02 04:02:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/it.po	2020-07-16 16:43:45.000000000 +0000
@@ -80,8 +80,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
@@ -279,7 +279,7 @@ msgstr "Non fa assolutamente niente"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -291,12 +291,12 @@ msgstr "Non fa assolutamente niente"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1206,9 +1206,9 @@ msgstr "Catalogo"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1233,7 +1233,7 @@ msgstr "Il percorso per la biblioteca ({
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1295,7 +1295,7 @@ msgstr "Ricerche salvate"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2908,8 +2908,8 @@ msgstr "Recupero dell'elenco dei libri s
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2918,8 +2918,8 @@ msgstr "Rimozione dei libri dall'elenco
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3262,7 +3262,7 @@ msgstr "Inserisci un modello da usare pe
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Modifica modello"
@@ -3375,7 +3375,7 @@ msgid "Communicate with MTP devices"
 msgstr "Comunica con dispositivi MTP."
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Recupero informazioni del dispositivo..."
@@ -3402,8 +3402,8 @@ msgid "Finished reading metadata from de
 msgstr "Lettura dei metadati dal dispositivo terminata"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3791,61 +3791,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Troppe connessioni da %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "L'applicazione sul tuo dispositivo è obsoleta e non è più supportata. Aggiorna a una versione successiva."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Hai dei formati di libri nella tua biblioteca con le date nel futuro. Vedi calibre per i dettagli."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "La colonna di sincronizzazione letta %s non è nella biblioteca di calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "La colonna di sincronizzazione letta %s non è una colonna Sì/No"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "La colonna di sincronizzazione data letta %s non è nella biblioteca di calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "La colonna di sincronizzazione data letta %s non è una colonna data"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Settaggio errato della compressione. Deve essere un numero tra 50 e 99. Impostato a %d"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Porta non valida nelle opzioni: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Connessione alla porta %d non riuscita. Prova un valore diverso."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Allocazione di una porta casuale non riuscita"
 
@@ -6279,7 +6290,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "No"
 
@@ -6302,7 +6313,7 @@ msgid "Producer"
 msgstr "Produttore"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6568,103 +6579,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google Immagini"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Scaricamento di metadati e copertine da Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "US"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Francia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Germania"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "GB"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Australia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Giappone"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Spagna"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brasile"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Paesi Bassi"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Cina"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Canada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Sceglie server automaticamente"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Server di amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Cache di ricerca Bing"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Cache di ricerca Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Sito web nazionale di Amazon da usare:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "I metadati da Amazon saranno ottenuti dal sito Amazon di questo stato."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Server da cui recuperare dati:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Usa il MOBI-ASIN per la ricerca dei metadati"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6672,7 +6683,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Timeout da Amazon. Prova più tardi."
 
@@ -8561,7 +8572,7 @@ msgstr "Nessun file è stato copiato neg
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -9039,7 +9050,7 @@ msgstr "La cartella %s esiste già. Elim
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Troppo lungo"
 
@@ -9084,7 +9095,7 @@ msgstr "La biblioteca %s è stata rimoss
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9136,7 +9147,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9291,7 +9302,7 @@ msgid "Browse for library"
 msgstr "Cerca le biblioteche"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Copia"
@@ -9331,7 +9342,7 @@ msgstr "{0} di {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Selezion&a tutto"
 
@@ -10227,7 +10238,7 @@ msgid "Move to next highlighted match"
 msgstr "Prossima corrispondenza evidenziata"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10829,7 +10840,7 @@ msgid "this book"
 msgstr "questo libro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Cerca %s"
@@ -11040,7 +11051,7 @@ msgstr "Ante&prima libro"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11488,8 +11499,8 @@ msgstr "Cambia"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11618,42 +11629,47 @@ msgid "Search the internet for this book
 msgstr "Cerca su internet questo libro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Gestione %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Elimina il formato %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Salva il formato %s su disco"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Ripristina il formato %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Imposta la copertina del libro dal file %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Confronta con il formato %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11662,112 +11678,112 @@ msgstr "Confronta con il formato %s"
 msgid "Open %s with..."
 msgstr "Apri %s con..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Aggiungi un'altra applicazione per i file %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Copia il percorso nel file"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Cerca %s in calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Remuovi %s da questo libro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Copia &all"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Apri la copertina con..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Aggiungi un'altra applicazione per aprire le copertine..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Incolla copertina"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Copia copertina"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Rimuovi copertina"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Genera copertina dai metadati"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Doppio click per aprire la finestra dei dettagli del Libro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Percorso"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11775,7 +11791,7 @@ msgstr "Percorso"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Dimensione della copertina: %(width)d x %(height)d pixel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11844,7 +11860,7 @@ msgstr "output"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11862,11 +11878,11 @@ msgstr "output"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -12005,7 +12021,7 @@ msgid "Preset name:"
 msgstr "Nome preimpostazione:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Devi fornire un nome."
 
@@ -12040,7 +12056,7 @@ msgstr "Vero"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12087,8 +12103,8 @@ msgid "Delete current preset"
 msgstr "Elimina la preimpostazione corrente"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Elimina"
 
@@ -12200,22 +12216,22 @@ msgstr "Ripristina i valori predefiniti"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12443,7 +12459,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12918,10 +12934,10 @@ msgstr "Grandezza caratteri &chiave:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13353,7 +13369,7 @@ msgid "Change the title of this book"
 msgstr "Cambia il titolo di questo libro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Autori: "
 
@@ -13368,7 +13384,7 @@ msgid ""
 msgstr "Cambia l'autore di questo libro. Autori multipli devono essere separati da una virgola"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Editore: "
 
@@ -13377,7 +13393,7 @@ msgid "Ta&gs: "
 msgstr "T&ag: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13392,8 +13408,8 @@ msgstr "&Serie:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Elenco di serie conosciute. È possibile aggiungere nuove serie."
@@ -13460,45 +13476,45 @@ msgstr "Dimensione dello schermo: %s"
 msgid "Page setup"
 msgstr "Impostazioni pagina"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Personalizzazione &output:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Descrizione del profilo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Personalizzazione &input:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Margini"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Sinistra:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Non modificato"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Alto:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Destra:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Basso:"
@@ -13844,7 +13860,7 @@ msgid "Edit the currently selected expre
 msgstr "Modifica l'espressione selezionata"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Cambia"
 
@@ -14670,74 +14686,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Non definito"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Imposta '%s' ad oggi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Cancella '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Valori cambiati"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Hai cambiato i valori. Per utilizzare questo editor, devi scartare o applicare le modifiche. Vuoi applicare le modifiche?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " indice:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "L'enumerazione \"{0}\" contiene un valore non valido che verrà impostato a quello predefinito"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Applica le modifiche"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Cancella serie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Numera i libri automaticamente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14745,44 +14760,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Forza i numeri ad iniziare con "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "L'enumerazione \"{0}\" contiene un valore non valido che non appare nella lista"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Elimina tutti i tag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "tag da aggiungere"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "tag da eliminare"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15488,11 +15503,11 @@ msgstr "L'operazione richiederà del tem
 msgid "Vacuuming..."
 msgstr "Svuotamento in corso..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Controlla la biblioteca -- Riscontrati problemi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15556,79 +15571,84 @@ msgid ""
 "        "
 msgstr "        <h1>Guida</h1>\n\n        <p>calibre archivia l'elenco dei tuoi libri e dei rispettivi metadati in un\n        database. I file dei libri attuali e le loro copertine sono archiviati come normali \n        file nella cartella di archiviazione di calibre. Il database contiene un elenco dei file\n        e delle copertine appartenenti ad ogni voce della lista. Questo strumento controlla che i\n        file presenti nella cartella dell'archivio del computer corrispondano alle \n        informazioni nel database.</p>\n        <p>Il risultato di ogni tipo di controllo è mostrato a sinistra. I vari\n        controlli sono:\n        </p>\n        <ul>\n        <li><b>Titoli non validi</b>: sono file e cartelle che compaiono\n        nella libreria dove dovrebbero esserci i titoli dei libri, ma non hanno il\n         formato corretto per per essere un titolo del libro.</li>\n        <li><b>Titoli aggiuntivi</b>: sono dei file in più nella biblioteca di\n        calibre che sembrano essere titoli corretti, ma non hanno le corrispondenti\n        voci nel database</li>\n        <li><b>Autore non valido</b>: questi file compaiono\n        nella libreria dove solo le cartelle autori dovrebbero essere presenti.</li>\n        <li><b>Autori aggiuntivi</b>: sono cartelle nella biblioteca di \n        calibre che sembrano essere autori, ma non hanno corrispondenze nel database</li>\n        <li><b>Formati di libro mancanti</b>: sono formati di libro che sono \n        nel database, ma non hanno il corrispondente file del formato nella cartella del libro.\n        <li><b>Formati di libro aggiuntivi</b>: sono altri file formati trovati nella\n        cartella del libro, ma non nel database.\n        <li><b>File sconosciuti nella cartella del libro</b>: sono dei file in più nella\n        cartella di ogni libro che non corrispondono a file di formati o copertine \n        conosciuti.</li>\n        <li><b>File delle copertine mancanti</b>: rappresentano libri che sono marcati\n        nel database come dotati di copertine mentre in realtà i file delle copertine sono\n        mancanti.</li>\n        <li><b>File delle copertine non presenti nel database</b>: sono libri che hanno\n        dotati di file delle copertine, ma sono marcati come privi di copertina nel database.</li>\n        <li><b>Cartella problematica</b>: rappresenta le cartelle nella\n        biblioteca di calibre che non possono essere elaborate/analizzate da questo\n        strumento.</li>\n        </ul>\n\n        <p>Ci sono due tipi di correzioni automatiche possibili: <i>Elimina \n        i marcati</i> e <i>Ripara i marcati</i>.</p>\n        <p><i>Elimina i marcati</i> è usata per rimuovere i file/cartelle/copertine in più che\n        non hanno corrispondenza di voci nel database. Seleziona la casella vicino all'articolo che vuoi\n        eliminare. Usare con attenzione.</p>\n\n        <p><i>Ripara i marcati</i> è applicabile solamente alle copertine e ai formati mancanti\n        (le tre righe marcate con 'riparabile'). Nel caso di mancanza dei file delle copertine,\n        la selezione della casella 'riparabile' e la pressione di questo pulsante informeranno calibre che\n        non ci sono copertine per tutti i libri elencati. Usa questa opzione se \n        non intendi ripristinare le copertine da una copia di sicurezza. In caso di file di\n        copertine aggiuntivi, selezionando la casella 'riparabile' e premendo questo pulsante si informerà\n        calibre che che i file di copertina trovati sono corretti per tutti i libri\n        elencati. Utilizza questa procedura quando non hai intenzione di eliminare il file. Nel \n        caso di formati mancanti, la selezione della casella ripara e la pressione del \n        pulsante dirà a calibre che i formati non sono recuperabili. Utilizza questa procedura se\n        non intendi ripristinare i formati da una copia di sicurezza.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "Esegui nuovamente il cont&rollo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Copia negli &appunti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "Co&mpleto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "M&arca tutti per l'eliminazione"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Marca tutti gli elementi eliminabili"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Elimina &marcati"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Elimina file marcati(sottoelementi selezionati)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Mar&ca tutto per la correzione"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Marca tutti gli elementi correggibili"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "Corre&ggi marcati"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Correggi sezioni marcate (sottoelementi selezionati riparabili)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Nomi da ignorare:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Inserire una lista di nomi di file standard con wildcard, ad esempio synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Estensioni da ignorare"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Inserire una lista separata da virgole delle estensioni senza il punto. Usate solo nelle cartelle dei libri"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(riparabile)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Percorso della biblioteca"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15678,8 +15698,8 @@ msgstr "La posizione %s contiene la bibl
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Posizione non valida"
 
@@ -16235,46 +16255,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (era %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "L'elemento è vuoto"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Un elemento non può essere impostato a niente. Eliminalo piuttosto."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Nessun elemento selezionato"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Devi selezionare un elemento dalla lista degli elementi disponibili."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Nessun elemento selezionato"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Devi selezionare almeno un elemento dall'elenco."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Sei sicuro di voler eliminare i seguenti elementi?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16283,7 +16303,7 @@ msgid "Items in use"
 msgstr "Elementi da usare"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16298,11 +16318,11 @@ msgstr "Rinomina l'elemento in ogni libr
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16330,7 +16350,7 @@ msgid "Already in calibre:"
 msgstr "Già in calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16355,28 +16375,28 @@ msgid "Change case"
 msgstr "Modifica capitalizzazione"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Maiuscole"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Minuscolo"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Inverti Maiuscole"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16403,65 +16423,65 @@ msgstr "Nome dell'autore non valido"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Gestisci autori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Cerca:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Ripristina tutti i valori di ordinamento autori a un valore automaticamente\ngenerato dall'autore. Come viene generato automaticamente questo valore\npuò essere controllato in Preferenze->Avanzate->Ottimizzazioni"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "&Ricalcola tutti i valori per l'ordinamento Autore"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Copia l'ordinamento autore in autore per ogni autore. Normalmente si utilizza questo pulsante\ndopo aver cambiato Preferenze->Avanzate->Ottimizzazioni->Algoritmo ordinamento nome autore"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "&Copia tutti i valori dell'Ordinamento Autore in Autore"
 
@@ -16794,77 +16814,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "In esecuzione"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Elaborazione di %d libri in corso, attendi..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Minuscole"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Maiuscole"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Caratteri per titolo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Corrispondenza carattere"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Sostituisci campo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Anteponi al campo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Aggiungi al campo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Modifica metadati per <b>%d libri</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Esegue immediatamente le variazioni senza chiudere la finestra di dialogo. Questa operazione non può essere annullata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Libro %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Inserisci un tipo di identificatore"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16872,7 +16892,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>È possibile distruggere la biblioteca con questa funzionalità.</b> Le modifiche sono permanenti, non è possibile tornare indietro. È fortemente consigliato di fare una copia della propria biblioteca prima di procedere.<p>Cerca e sostituisce nei campi di testo usando la corrispondenza dei caratteri o le espressioni regolari. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16882,7 +16902,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16897,80 +16917,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "ERRORE MODELLO S/R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Devi specificare una destinazione quando l'origine è un campo composto o un modello"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Devi specificare un tipo di identificatore di destinazione"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Devi specificare un'espressione di ricerca nel campo \"Cerca\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Stringa identificatrice non valida. Deve essere una lista divisa da virgole di coppie di stringhe separate da due punti(:)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Cerca/sostituisci non validi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Cerrca/sOstituisci è invalido:%s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Elimina ricerca/sostituzione salvata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "La ricerca/sostituzione salvata sarà eliminata. Sei sicuro?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Salva ricerca/sostituzione"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Nome della ricerca/sostituzione:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "La ricerca/sostituzione salvata esiste già e sarà sovrascritta. Sei sicuro?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16978,90 +16998,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Imposta a&utomaticamente l'ordinamento autore"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "Sca&mbia titolo e autore"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Aggiorna l'ordinamento titolo sulla base del titolo corrente. Sarà applicata solo dopo le altre modifiche al titolo."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Aggiorna l'ordinamen&to titolo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Cambia &copertina"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Genera copertina predefinita"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Elimina copertina"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Cerca di individuare e rimuovere automaticamente bordi e spazi in eccesso\ndai bordi delle copertine. Qualche volta può rimuovere\ntroppo, perciò usala con cautela."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "&Taglia copertina (PERICOLOSO)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Imposta le copertine di tutti i libri selezionati uguali al primo libro selezionato."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Clona le copertine"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Forza il titolo ad avere le iniziali maiuscole. Se selezionata assieme a \"scambia autori\",\nil titolo e l'autore sono scambiati prima che al titolo vengano applicate le iniziali maiuscole"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Cambia &Iniziale titolo con:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&data"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Se selezionata, l'editore sarà cancellato"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "Pulis&ci pub"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "Pubblicato"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17069,118 +17089,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Se non marcato, il numero di serie per i libri sarà impostato a 1.\nSe impostato, i libri selezionati saranno numerati automaticamente, nell'ordine\nin cui sono stati selezionati. Così se è stato selezionato il libro A e poi il libro B,\nil libro A avrà il numero di serie 1 e il libro B il numero di serie 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Numer&a automaticamente i libri in questa serie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Le serie saranno normalmente rinumerate partendo dal numero più alto del database\nper quella serie. Selezionando questa casella permetterai a calibre di iniziare la numerazione\npartendo dal valore presente nella casella."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Forza l'inizio della numerazione da:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Se selezionati, le serie saranno cancellate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Cancella serie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Imposta i co&mmenti per tutti i libri selezionati"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Rimuovi tag:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Rimuovi &tutto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Aggiungi ta&gs: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Specificare come deve essere classificato l'autore di questo libro. Ad esempio, Alessandro Manzoni deve essere classificato come Manzoni, Alessandro."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Elimina la data di pubblicazione"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Lingue:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Elenco separato da virgole dei tag da rimuovere dal libro. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Author s&ort: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Imposta &metadati (tranne copertina) dagli e-books"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Elimina le impostazione di conversione per i libri selezionati.\n\nPer le prossime conversioni di questi libri saranno usate le impostazioni predefinite."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Elimina le impostazioni di &conversione per i libri selezionati"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17189,152 +17209,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Quando si fa una conversione dallo stesso formato allo stesso formato,\nper esempio da EPUB a EPUB, calibre salva l'EPUB originale\n come ORIGINAL_EPUB. Questa opzione dice a calibre di ripristinare\n l'EPUB dall'ORIGINAL_EPUB. Utile se avete fatto una conversione\n in blocco di un grande numero di ebook e qualcosa è andato storto."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Ripristina gli &originali precedenti la conversione, se disponibili"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Marca questa casella per eliminare tutti i tag dai libri."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Valutazione:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Metadati &principali"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Metadati &aggiuntivi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "&Carica Cerca/Sostituisci:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Seleziona la ricerca/sostituzione salvata da caricare."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Salva la ricerca/sostituzione corrente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "Sal&va"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "&Campo di ricerca:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Il nome del campo per il quale vuoi effettuare la ricerca"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Modalità di &ricerca:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Scegli se utilizzare una corrispondenza di testo semplice o una corrispondenza di testo avanzata."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Scegli su quale identificatore lavorare"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Modello:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Inserisci un modello da usare come fonte per cerca/sostituisci"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Digita cosa stai cercando, sia in testo semplice che con un'espressione regolare, in base alla modalità"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Marca questa casella se la stringa di ricerca deve far corrispondere esattamente i caratteri maiuscoli e minuscoli. Deselezionala per ignorare la corrispondenza"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Distingui le maiuscol&e"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Sostituisci con:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Il testo da sostituire. Il testo corrispondente dalla ricerca verrà sostituito con questa stringa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Applica funzione dopo la sostituzione:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Specifica come il testo deve essere elaborato dopo il cerca e sostituisci. Nel modo carattere, l'intero campo viene elaborato. Nel modo espressioni regolari, solo il testo che corrisponde viene elaborato."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "Campo di &destinazione:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Campo nel quale il testo sarà immesso dopo le sostituzioni. \nSe lasciato vuoto, sarà utilizzato il campo sorgente (se modificabile)."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "M&odalità:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Specifica come il testo deve essere copiato nella destinazione."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Specifica se i risultati devono essere spezzati in valori multipli o\nlasciati come valori singoli. Questa opzione ha effetto maggiore se il campo\nd'origine non è multiplo e quello di destinazione invece lo è"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Dividi &risultato"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Tipo di identificatore:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17342,48 +17362,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Sceglie su quale identificatore operare. Quando il\n              campo di origine è qualcosa di diverso da 'identificatori' potete inserire\n              un * se volete sostituire l'intero set di identificatori con\n              il risultato della ricerca/sostituzione.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Per campi multi-valore, &visualizza"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "con valori separati &da"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Utilizzato per separare i valori in campi multivalore quando si mostrano i risultati dei test"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Testo di prova"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Risultato della prova"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Cerca e sostituisci"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "&Aggiorna l'elenco dei libri dopo la modifica"
 
@@ -18012,7 +18032,7 @@ msgstr "Ricerca salvata non valida"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Gestisci le ricerche salvate"
 
@@ -18672,76 +18692,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "La categoria di tag corrente verrà <b>definitivamente eliminata</b>. Continuare?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Seleziona una categoria da modificare"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Selezionare il tipo di contenuto della nuova categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Aggiungi una nuova categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Rinomina la categoria con quanto contenuto nella casella"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Applica i tag alla categoria di tag corrente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Togli il tag dalla categoria di tag corrente"
 
@@ -18773,121 +18793,121 @@ msgid ""
 "to delete them?"
 msgstr "Questi tag sono usati da uno o più libri. Eliminarli comunque?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Conteggio"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Era"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Ripristinare l'elemento?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Quell'elemento è stato eliminato. Vuoi ripristinarlo?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr "Cerca un elemento nella prima colonna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr "Trova elementi contenenti la stringa di ricerca"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19768,17 +19788,17 @@ msgstr "Disposizione"
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Nessun formato %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Il libro {0} non ha formato {1}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Ripristina %s"
@@ -20059,21 +20079,11 @@ msgstr "Libro %(sidx)s di <span class=\"
 msgid "This book is on the device in %s"
 msgstr "Questo libro è sul dispositivo in %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Imposta la data a non definita"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Imposta a non definito"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "S"
 
@@ -20417,7 +20427,7 @@ msgid ""
 msgstr "Percorso a Calibre Portable (%s) troppo lungo. Deve essere inferiore a 59 caratteri."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Biblioteca di calibre"
 
@@ -20580,6 +20590,16 @@ msgstr "&Esci"
 msgid "Unhandled exception"
 msgstr "Eccezione non gestita"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Imposta la data a non definita"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20859,7 +20879,7 @@ msgstr "E&ditore:"
 msgid "Clear publisher"
 msgstr "Pulisci publisher"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Cancella la data"
 
@@ -20929,7 +20949,7 @@ msgid "Processed %s"
 msgstr "Elaborato %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Campi dei Metadati da scaricare"
 
@@ -21690,13 +21710,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Massima"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Minima"
 
@@ -21721,80 +21741,80 @@ msgstr "Tutto in una scheda"
 msgid "Confirmation dialogs have all been reset"
 msgstr "I dialoghi di conferma sono stati ripristinati"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Invia automaticamente le &notizie scaricate al lettore e-book"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Priorità dei lavori:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Ordine dei formati preferiti per l'&input:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Formato preferito per l'&output:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "Modifica la &disposizione dei metadati (singoli):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Se marcata, i valori delle colonne personalizzate Sì/No possono essere Sì, No o Sconosciuto.\nSe non è marcata, i valori possono essere Sì o No."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Rimuovi le notizie dalla biblioteca dopo averle inviate automaticamente al dispositivo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "&Timeout predefinito della rete:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Imposta il timeout predefinito per gli scaricamenti dalla rete (cioè ogni volta che si usa Internet per prelevare informazioni)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " secondi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Ripristina tutte le finestre di &conferma disattivate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Utilizza il &lettore interno per:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22783,37 +22803,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Aggiungi un indirizzo di posta elettronica a cui inviare i libri"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Aggiungi email"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Rendi pre&definito"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Elimina email"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Aggiungi i commenti dai metadati del libro all'email.\nUtile per permettere ai destinatari di vedere un sommario del\nlibro prima di aprirlo."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Aggiungi i metadati dei &commenti come testo nel messaggio"
 
@@ -22950,7 +22970,7 @@ msgid "Create a new rule"
 msgstr "Crea una nuova regola"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23088,7 +23108,7 @@ msgid "If there is enough room"
 msgstr "Se c'è abbastanza spazio"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "In base all'iniziale"
 
@@ -23359,7 +23379,7 @@ msgid "Caching of covers for improved pe
 msgstr "Memorizzazione in cache delle copertine per prestazioni migliori"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Disabilita"
 
@@ -23754,86 +23774,86 @@ msgstr "Nessuna fonte selezionata"
 msgid "No source selected, cannot configure."
 msgstr "Nessuna fonte selezionata, impossibile configurare."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Fonti dei metadati"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Le fonti con una X rossa accanto al nome devono essere configurate prima di essere utilizzate "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Se deselezioni alcuni campi, i metadati per tali campi non saranno scaricati"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Seleziona tutto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Ripristina il tuo sottoinsieme di campi marcati che definisci con il pulsante 'Imposta come predefiniti'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "Impo&sta come predefinito"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Conver&ti in testo semplice tutti i commenti scaricati"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Al momento del download dei commenti li aggiunge a quelli già esistenti invece di sovrascriverli."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "Quando scarichi i commenti, aggiungi i commenti scaricati ai commenti esistenti, invece che sovrascriverli."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23842,47 +23862,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Diverse sorgenti metadati hanno diversi insiemi di tag per lo stesso libro. Se l'opzione è selezionata calibre utilizzerà l'insieme di tag più piccolo. Gli insiemi tag più grandi tendono a descrivere il contenuto del libro.\n<p>Notare che questa opzione non si può notare sensibilmente se una delle fonti di metadati ha un genere come insieme di tag per il libro che si sta cercando. Il più delle volte quasi tutti i libri hanno insiemi di tag grandi."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Preferisci insiemi di tag più piccoli al momento della scelta dei tag provenienti da fonti diverse di metadati"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Pre&ferisci meno tag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Crea &regole per filtrare/trasformare tag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "&Numero massimo di tag da scaricare:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "&Tempo massimo d'attesa dopo il primo risultato:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " sec"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "&Tempo massimo d'attesa dopo la prima &copertina:"
 
@@ -25428,7 +25448,7 @@ msgid "Paste and &search"
 msgstr "Incolla e &cerca"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Incolla"
@@ -26454,150 +26474,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Cambia icona per: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Rinomina %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Elimina %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Modifica l'ordinamento per %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Modifica il collegamento per %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "Aggiungi %s alla categoria utente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Figlio di %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Rimuovi %(item)s dalla categoria %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Cerca tutto tranne %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Aggiungi sottocategoria a %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Elimina categoria utente %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Nascondi categoria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Visualizza categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Cerca libri nella categoria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Cerca libri che non sono nella categoria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Cambia l'icona della categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Ripristina l'icona predefinita"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Gestisci le categorie utente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Visualizza tutte le categorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Cambia lo schema di sottocategorizzazione"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Partizione"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "La prima lettera è utilizzabile solo in caso di ordinamento per nome"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "E&spandi tutti i figli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Comprimi tutti i livelli"
 
@@ -27267,7 +27287,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Modifiche non salvate"
 
@@ -27674,12 +27694,12 @@ msgid ""
 msgstr "Il file %s non esiste. Se stavate provando a cliccare su di un elemento nel Sommario dovete aggiornarlo cliccando il tasto destro del mouse e selezionando \"Aggiorna\"."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Formato file non supportato"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "La modifica dei file di tipo %s non è supportata"
@@ -27737,76 +27757,76 @@ msgid "Import"
 msgstr "Importa"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Prima: sostituisci %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "E' necessario aprire un libro per poter visualizzare il report."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "E' necessario aprire un libro per verificare i collegamenti."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "E' necessario aprire un libro per comprimere immagini."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Prima: comprimi immagini"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Errore inatteso"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Compressione immagini non risucita, cliccare \"Mostra dettagli\" per maggiori informazioni"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Impossibile decodificare"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "%s non può essere modificato poiché sembrerebbe essere un formato di carattere sconosciuto."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Nessun libro aperto attualmente. Devi prima aprire un libro da modificare."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "L'attuale libro è in salvataggio in background. Uscendo adesso dal programma si <b>annullerà il processo di salvataggio</b> Si vuole attendere la fine del salvataggio?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Esci immediatamente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Completa prima il &salvataggio"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Ci sono modifiche non salvate, se esci senza salvare, le perderai."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Salva ed esci"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Esci senza salvare"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Salvataggio, attendi..."
 
@@ -31209,18 +31229,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr "Conferme disabilitate ripristinate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31234,70 +31254,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Ispeziona elemento"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Apri collegamento"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Cerca nell'anteprima"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Posizione non valida"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Impossibile dividere sul tag body"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Impossibile avviare il processo worker"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Impossibile avviare il processo worker utilizzato per il rendering dell'anteprima"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Impossibile disabilitare"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "L'auto-aggiornamento del pannello anteprima non può esser disabilitato quando il pannello Live CSS è aperto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Ricarica automaticamente l'anteprima quando cambia il testo nell'editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Disabilita l'aggiornamento automatico dell'anteprima"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Disabilita la sincronizzazione della posizione in anteprima alla posizione nell'editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Abilita la sincronizzazione della posizione dell'anteprima con la posizione dell'editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Interrompi la suddivisione del file"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34245,13 +34265,13 @@ msgstr "Caricamento libro fallito"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "Scegli un'immagine di sfondo"
 
@@ -34286,30 +34306,30 @@ msgstr "Nascondi {}"
 msgid "Show {}"
 msgstr "Mostra {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Scegli il &colore"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Scegli un colore"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "&Taglia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "&Aumenta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "&Diminuisci"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Non valutato"
 
@@ -34363,44 +34383,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Scegli il tuo lettore di ebook. Se il dispositivo non è in elenco, scegli un dispositivo \"%s\"."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "Se stai spostando calibre da un vecchio computer ad un altro nuovo, per favore leggi <a href=\"{0}\">le istruzioni</a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Selezionare un percorso per i libri"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Creazione di una cartella in %s non riuscita"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Devi scegliere una cartella vuota per la biblioteca di calibre. %s non è vuota."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "Ava&nti >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Indietro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34408,15 +34432,15 @@ msgstr "< &Indietro"
 msgid "Cancel"
 msgstr "Annulla"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Fine"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Applica"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Wizard di benvenuto"
 
@@ -34424,7 +34448,7 @@ msgstr "Wizard di benvenuto"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Benvenuti in calibre"
@@ -34432,7 +34456,7 @@ msgstr "Benvenuti in calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "La soluzione unica per tutto ciò che riguarda i libri elettronici."
@@ -34447,7 +34471,7 @@ msgstr "&Dispositivi"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Pagina dell'assistente"
@@ -34485,17 +34509,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "Indirizzo email &Kindle:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Scegli la &lingua:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Scegli una posizione per i tuoi libri. I libri aggiunti a calibre saranno copiati qui. Utilizza una <b>cartella vuota</b> per una nuova biblioteca di calibre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37081,6 +37105,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "Immagine senza nome"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ja.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ja.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ja.po	2020-07-02 04:00:01.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ja.po	2020-07-16 16:37:21.000000000 +0000
@@ -25,8 +25,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
@@ -224,7 +224,7 @@ msgstr "まったく何もしません"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -236,12 +236,12 @@ msgstr "まったく何もしません"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1151,9 +1151,9 @@ msgstr "カタログ"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1178,7 +1178,7 @@ msgstr "ライブラリのパス({0})が
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1240,7 +1240,7 @@ msgstr "保存済み検索条件"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2853,8 +2853,8 @@ msgstr "デバイス内の本リスト
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2863,8 +2863,8 @@ msgstr "デバイスの書誌情報リ
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3207,7 +3207,7 @@ msgstr "サブタイトルに設定す
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "テンプレートを編集"
@@ -3320,7 +3320,7 @@ msgid "Communicate with MTP devices"
 msgstr "MTPデバイスと通信する"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "デバイス情報を取得..."
@@ -3347,8 +3347,8 @@ msgid "Finished reading metadata from de
 msgstr "デバイス上の書誌情報を読み込みました。"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3736,61 +3736,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "デバイスに送信するファイル拡張子として追加したいものをカンマ区切りで指定します。例えば、\"m4b\" という拡張子のオーディオブックをデバイス上で聞きたい場合などに使用します。「追加で許可された拡張子」という警告が出ても気にする必要はありません。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "%s からの接続が多すぎます"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "このデバイスのアプリケーションは古くて、もうサポートされていません。新しいバージョンにアップデートしてください。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "ライブラリに未来日付の本のフォーマットがあります。詳細はCalibreを確認してください。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "読了同期用の列 %s が Calibreライブラリにありません。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "読了同期用の列 %s が Yes/No型ではありません。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "読了日付同期用の列 %s が Calibreライブラリにありません。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "読了日付同期用のカラム %s が date型ではありません。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "圧縮委品質の設定が無効です。50 から 99 の数値で指定してください。%d に設定されます。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "オプションのポートが無効です: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "ポート番号 %d への接続に失敗しました。別の値を試してください。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "ランダムなポート番号の確保に失敗しました"
 
@@ -6224,7 +6235,7 @@ msgstr "アーカイブファイル（ZI
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "いいえ"
 
@@ -6247,7 +6258,7 @@ msgid "Producer"
 msgstr "製作者"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6512,103 +6523,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google画像"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Amazonから書誌情報と表紙をダウンロード"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "US"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "フランス"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "ドイツ"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "英国"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "オーストラリア"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "イタリア"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "日本"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "スペイン"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "ブラジル"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "オランダ"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "中国"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "カナダ"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "サーバーを自動選択"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Amazonサーバー"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Bing検索キャッシュ"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Google検索キャッシュ"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Wayback Machineキャッシュ (遅い)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "使用するAmazonサイトの国籍:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Amazonからの書誌情報はこの国のAmazonウエブサイトから取得されます。"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "データを取得するサーバー:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazonは書誌情報のダウンロードを阻止する取り組みを始めました。この問題を回避するために、CalibreはAmazonのデータがキャッシュされているさまざまな場所から取得します。お好みのソースを選択してください。"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "書誌情報の検索にMOBI-ASINを利用する"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6616,7 +6627,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr "このオプションを有効にすると、他のAmazonのIDが利用できない場合に、現在の所在地である国のWebサイトにあるMOBIファイル内のASIN識別子をつかって書誌情報を検索します。異なる国のAmazonストアからMOBIファイルを入手した場合には、正しい結果が得られなくなるので注意してください。"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazonがタイムアウトしました。後でまた試してみてください。"
 
@@ -8502,7 +8513,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8974,7 +8985,7 @@ msgstr "フォルダ %s は、すでに
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "長すぎます"
 
@@ -9019,7 +9030,7 @@ msgstr "ライブラリ %s はCalibreか
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9071,7 +9082,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9225,7 +9236,7 @@ msgid "Browse for library"
 msgstr "ライブラリを参照"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "コピー(&C)"
@@ -9265,7 +9276,7 @@ msgstr "{0} by {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "すべて選択(&A)"
 
@@ -10155,7 +10166,7 @@ msgid "Move to next highlighted match"
 msgstr "次のハイライトされた検索結果へ移動"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10754,7 +10765,7 @@ msgid "this book"
 msgstr "この書籍"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "%s を検索"
@@ -10964,7 +10975,7 @@ msgstr "本をプレビュー(&P)"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11409,8 +11420,8 @@ msgstr "変更"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11539,42 +11550,47 @@ msgid "Search the internet for this book
 msgstr "この本をインターネット上で検索"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "%s の管理"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "%sフォーマットを削除する"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "%sフォーマットでディスクに保存する"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "%sフォーマットを復元"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "%sファイルから表紙を設定"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "%sフォーマットと比較"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11583,112 +11599,112 @@ msgstr "%sフォーマットと比較"
 msgid "Open %s with..."
 msgstr "%sをアプリケーションを選択して開く..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "%sファイルを開く別のアプリケーションを追加..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "編集用にアプリケーションで開く"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "%s を編集..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "ファイルのパスをコピー(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "%s をCalibreで検索"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "%sを本から削除"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "すべてをコピー(&a)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "アプリケーションを選択して表紙を開く..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "表紙を開く別のアプリケーションを追加..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "表紙を貼り付け"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "表紙をコピー"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "表紙をディスクに保存"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "表紙を削除"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "書誌情報から表紙を生成"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "表紙を保存する場所を洗濯"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "JPEG画像"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "ダブルクリックで本の詳細ウィンドウを開く"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "パス"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11696,7 +11712,7 @@ msgstr "パス"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "表紙サイズ: %(width)d x %(height)d ピクセル"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "この本の識別情報を編集"
 
@@ -11765,7 +11781,7 @@ msgstr "出力"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11783,11 +11799,11 @@ msgstr "出力"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11926,7 +11942,7 @@ msgid "Preset name:"
 msgstr "プリセット名:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "名前を入力する必要があります。"
 
@@ -11961,7 +11977,7 @@ msgstr "True"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12008,8 +12024,8 @@ msgid "Delete current preset"
 msgstr "現在のプリセットを削除"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "削除"
 
@@ -12121,22 +12137,22 @@ msgstr "デフォルトに戻す"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12364,7 +12380,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12839,10 +12855,10 @@ msgstr "フォントサイズのキー(&
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " ポイント"
@@ -13274,7 +13290,7 @@ msgid "Change the title of this book"
 msgstr "この本のタイトルを変更"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "著者(&A): "
 
@@ -13289,7 +13305,7 @@ msgid ""
 msgstr "この本の著者を変更します。著者が複数いる場合は、カンマ区切りにしてください。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "発行者(&P): "
 
@@ -13298,7 +13314,7 @@ msgid "Ta&gs: "
 msgstr "タグ(&G): "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13313,8 +13329,8 @@ msgstr "シリーズ(&S):"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "シリーズのリスト。新しいシリーズも追加できます。"
@@ -13381,45 +13397,45 @@ msgstr "画面サイズ: %s"
 msgid "Page setup"
 msgstr "ページ設定"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "出力プロファイル(&O):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "プロファイルの説明"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "入力プロファイル(&I):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "余白"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "左(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "変更なし"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "上(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "右(&R):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "下(&B):"
@@ -13765,7 +13781,7 @@ msgid "Edit the currently selected expre
 msgstr "選択中の表現を編集する"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "変更(&C)"
 
@@ -14591,74 +14607,73 @@ msgstr "ルールをインポートす
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "未定義"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "'%s'を今日にする"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "'%s'を消去"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "値が変更されました"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "値を変更しました。このエディターを使うために、変更を適用するか破棄するかしなければなりません。適用しますか？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " インデックス:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "\"{0}\"一覧に無効な値があるので、デフォルト値を使用します"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "変更を適用"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "シリーズを消去"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "本を自動的に番号付けする"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14666,44 +14681,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "チェックしない場合、本のシリーズ番号は1に設定されます。チェックした場合、本のシリーズ番号は選択した順に自動的に割り振られます。つまりAという本の次にBという本を選択した場合、Aのシリーズ番号が1、Bのシリーズ番号が2となります。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "強制的に番号を次からはじめる： "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "シリーズの巻数は通常、データベースにあるそのシリーズ中の一番大きい数字の次の数字から割り振られます。この項にチェックすると、Calibreは巻数にボックス内に指定した数字から割り当てます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "連続する本でシリーズ番号を増加させる量を指定します。強制番号付けの使用時のみ適用されます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "\"{0}\"一覧に無効な値が入っているので、リストに表示しません。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "すべてのタグを削除"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "追加するタグ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "取り除くタグ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15408,11 +15423,11 @@ msgstr "少々時間がかかります
 msgid "Vacuuming..."
 msgstr "データベースの圧縮中..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "ライブラリのチェック -- 問題発見"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15476,79 +15491,84 @@ msgid ""
 "        "
 msgstr "        <h1>ヘルプ</h1>\n\n        <p>Calibreは本と書誌情報のリストをデータベース内に保存します。実際の電子書籍ファイルと表紙は通常のファイル\n        としてCalibreのライブラリフォルダに置かれます。データベースには各本に属するファイルや表紙のリストを保持\n        します。このツールはライブラリ内の実際のファイルとデータベース内の情報が一致するかどうかをチェックします</p>\n\n        <p>それぞれのチェックの結果は左に表示されます。\n        チェックの種類は：\n        </p>\n        <ul>\n        <li><b>無効なタイトル</b>:ライブラリ内のファイルのある場所にファイルやフォルダは存在するが、それに正しい\n        フォーマットのタイトルがない場合。</li>\n        <li><b>不明なタイトル</b>: Calibreのライブラリに正しい形式だが不明なファイルがあるが、それに対応する\n        データベースのエントリーが存在しない場合。</li>\n        <li><b>無効な作者</b>: ライブラリ内で作者フォルダのみがあるべき場所に、ファイルがある場合。</li>\n        <li><b>不明な作者</b>:Calibreライブラリに作者らしきフォルダがあるが、それに対応するデータベース内のエントリーがない場合。</li>\n        <li><b>電子書籍ファイル不明</b>:データベース内には本の情報があるが、実際のファイルが存在しない場合。</li>\n        <li><b>余計な電子書籍ファイル</b>:本のフォルダにファイルが存在するが、データベースに情報がない場合。</li>\n        <li><b>本内の不明なファイル</b>: 本のフォルダ内に余分なファイルがあるが、認識できるフォーマットでも表紙ファイルでもない場合。</li>\n        <li><b>表紙ファイルがない</b>: データベース内の情報では表紙ファイルがあるが、実際にはファイルがない場合。</li>\n        <li><b>表紙ファイルがデータベースにない</b>: 本の表紙ファイルがあるが、データベース内にその情報がない場合。</li>\n        <li><b>フォルダにエラー</b>: Calibreライブラリ内のフォルダがこのツールに理解できない理由で処理できない場合。</li>\n        </ul>\n\n        <p>2種類の自動修正が可能です: <i>マークしたものを削除</i> と <i>マークしたものを修正</i>.</p>\n        <p><i>マークしたものを削除</i>はデータベース内に情報がない余分なファイルを削除する時に使います。削除したいものの横にあるチェックを入れてください。注意して使ってください。</p>\n\n        <p><i>マークしたものを修正</i>は表紙と見つからないファイルにのみ有効です。\n        (3本線の'修正可'となっている物). 表紙が見つからない場合、\n        修正可ボックスをチェックしこのボタンを押すとCalibreにリストされている本には表紙がないと教えます。\n        バックアップから表紙を戻す気がない時に使ってください。余分な表紙ファイルがある場合、\n        修正可ボックスをチェックしてこのボタンを押すと、Calibreにリストされている本に見つかった表紙を使うよう\n       に指示します。これらのファイルを削除したくない場合に使ってください。\n       一部のフォーマットのファイルがない場合には、修正可ボックスをチェックしてこのボタンを押すと、Calibreにファイルが無くなったと伝えます。\n        バックアップからファイルを回復するつもりの時に使ってください。</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "チェックをもう一度実行(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "クリップボードへコピー(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "完了(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "すべて削除としてマーク(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "すべての削除可能な項目をマーク"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "マークされたものを削除(&M)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "マークしたファイルを削除(チェックした項目）"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "すべて修正としてマーク(&K)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "すべての修正可能な項目をマーク"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "マークされたものを修正(&F)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "マークしたセクションを修正（修正可をチェックした物）"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "無視する名前："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "カンマ区切りのワイルドカード名で通常ファイルを入力します。例：synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "無視する拡張子:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "カンマ区切りで拡張子を頭のドットを付けずに入力します。本フォルダでしか使われません。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(修正可)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "ライブラリからのパス"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15598,8 +15618,8 @@ msgstr "場所 %s は現在のCalibreラ
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "不正な場所"
 
@@ -16155,46 +16175,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (前は %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "アイテムが空白です"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "アイテムは空白にできません。削除してください。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "アイテムが選択されていません"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "使用できるアイテムのリストからアイテムを１つ選択する必要があります。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "アイテムが選択されていません"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "最低でもリストから１つのアイテムを選択しなければなりません。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "本当にこれらのアイテムを削除しますか？"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "カテゴリエディター"
 
@@ -16203,7 +16223,7 @@ msgid "Items in use"
 msgstr "使用中の項目"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16218,11 +16238,11 @@ msgstr "アイテムが使われてい
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "この本にはDRMがかかっています"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16249,7 +16269,7 @@ msgid "Already in calibre:"
 msgstr "すでにClibreにあるもの:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16274,28 +16294,28 @@ msgid "Change case"
 msgstr "大文字/小文字を変換"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "すべて大文字"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "すべて小文字"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "大文字/小文字を入れ替え"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16322,65 +16342,65 @@ msgstr "無効な著者名"
 msgid "You cannot change an author to multiple authors."
 msgstr "ひとりの著者を複数の著者に変更することはできません"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "著者を編集"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "検索語(&S):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "すべての著者読みの値を、著者名から自動的に生成されたものにリセットします。具体的にこの値がどのように生成されるかは、「設定」->「高度な設定」->「Tweaks」で制御できます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "著者読みの値を再計算(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "すべての著者読みの値を著者名にコピーします。通常、「設定」->「高度な設定」->「Tweaks」->「著者名(読み)のアルゴリズム」の設定を変えたときにこのボタンを使います。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "すべての著者読みを著者にコピー(&C)"
 
@@ -16712,77 +16732,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] "残り{}個のエラーを非表示にする"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "処理中"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "%d 冊の本を処理中です。お待ちください..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "すべて小文字"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "すべて大文字"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "単語の先頭を大文字"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "文字検索"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "正規表現"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "変換フィールド"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "フィールドの前に追加"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "フィールドの後ろに追加"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "<b>%d 冊</b>の本の書誌情報を編集"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "ダイアログを閉じず、すべて変更をすぐに行います。この操作はキャンセルもやり直しもできません。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "本%d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "識別子のタイプを入力"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16790,7 +16810,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>この機能を利用すると、ライブラリを破壊してしまう可能性があります。</b>変更は元に戻せません。アンドゥ機能はありません。進める前にライブラリのバックアップを取ることを強くお勧めします。<p>文字検索や正規表現を使ってテキストフィールドの検索と置換を行ってください。 "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16800,7 +16820,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16815,80 +16835,80 @@ msgid ""
 "function."
 msgstr "正規表現モードでは、検索テキストは任意のPython互換な正規表現を使います。置換文字列にはパターン中に括弧表記の後方参照を含むことができます。検索は一つの文字列中複数回マッチさせることができます。変更関数(小文字化など)はフィールドすべてに適用されず、マッチしたテキストのみに適用されます。「対象フィールド」には検索後の置換結果が入れられる場所を指定します。フィールドのテキストを入れ替える他に、マッチしたテキストの前に付ける、後に付けることもできます。pythonの正規表現については<a href=\"https://docs.python.org/library/re.html\"> このリファレンス</a>の、特に'sub'関数の項を参照してください。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R テンプレートエラー"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "検索フィールドが合成型かテンプレートの場合は、対象フィールドを指定してください"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "評価の列に置換できる値は空欄または0から10の間の整数です"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "対象の識別子タイプを指定してください"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "検索条件を指定してください"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "識別子の文字列が無効です。コロンで区切った文字列のペアを、カンマで区切ったリストにした文字列にしてください。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "検索/置換は無効です"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "検索/置換が不正です: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "保存した検索/置換を削除"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "選択した検索/置換は削除されます。よろしいですか？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "検索/置換を保存"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "検索/置換名:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "同じ名前の検索/置換が存在しているので上書きします。よろしいですか？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "書誌情報を編集"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16896,90 +16916,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "有効にすると、著者読みフィールドが著者フィールドの値に\n基づいて自動的に更新されます。上の入力欄で著者フィールドを\nまとめて設定している場合は、ここでの設定にかかわらず、著者読み\nフィールドも更新されることに留意ください。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "自動的に著者読みを設定する(&U)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "著者とタイトルの入れ替え(&W)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "タイトル読みを現在のタイトルを元に更新する。これは他のタイトルへの変更が行われた時のみに適応されます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "タイトル読みを更新(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "表紙を変更(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "デフォルトの表紙を生成(&G)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "表紙を削除(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "自動的に境界を検出して、表紙画像の端から不要な部分を削除します。\n時々削除しすぎることがあるので、注意して使用してください。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "表紙をトリム(&T) (危険)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "電子書籍ファイルから設定(&E)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "選択されたすべての本の表紙を、最初に\n選択された本と同じものにする。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "表紙を同一化"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "タイトルを強制的に単語の頭のみ大文字(タイトル・ケース)にする。もし、これと「著者を入れ替え」の両方がチェックされた場合、タイトルと著者は、これの適用前に入れ替えられます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "タイトルの先頭文字(&C):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "日付(&D):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "チェックすると、発行者が消去されます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "発行者を消去(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "発行日(&U):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16987,118 +17007,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "チェックをしなければ、本のシリーズ番号は１に設定されます。\nチェックすると、選択した本は自動的にあなたが選択した順番に番号付けされます。\nそのため、本Aの次に本Bを選択した場合は、本Aが1番になり、本Bが2番になります。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "本のシリーズを自動的に番号付けする(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "シリーズは通常データベース中のシリーズの最大の番号から再番号されます。\nこのボックスをチェックするとCalibreはこのボックスの値から番号付けを始めます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "強制番号付けの最初の番号(&F):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "チェックすると、シリーズが消去されます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "シリーズを消去(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "デフォルトで生成される表紙の作成方法を設定"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "表紙生成を設定(&V)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "選択した本すべてにコメントを設定(&M)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "タグの削除(&R):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "すべて削除(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "タグの追加(&G): "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "この本の著者の整列方法を指定。例えば、Charles Dickens を Dickens, Charles のようにして整列。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "評価適用(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "発行日を消去"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "言語(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "本から取り除く、カンマ区切りのタグのリスト。 "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "タグエディタを開く"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "著者読み(&O): "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Calibreの書誌情報を電子書籍内の書誌情報から設定します。ただし、表紙は変更しません。表紙の変更には、下のオプションを利用してください。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "書誌情報 (表紙を除く) を電子書籍から設定(&M)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "シリーズ(&R):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "選択された本から、保存された変換設定を取り除く。\n\nこれらの本の今後の変換にはデフォルトの設定が使用されます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "選択した本に保存されている変換設定を削除(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17107,152 +17127,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "あるフォーマットから同一のフォーマットへの変換を行った場合、\n例えば EPUB から EPUB への変換を行うと、Calibreは元の EPUB をORIGINAL_EPUBとして保存します。\nこのオプションを設定すると、Calibreは元のORIGINAL_EPUB から EPUB を復元します。\nたくさんの本をまとめて変換したものの、うまくいかなかった場合に有用です。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "変換前のオリジナルを復元(&O)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "本からすべてのタグを取り除く時にはチェックしてください。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "評価(&R):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "基本書誌情報(&B)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "カスタム書誌情報(&C):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "検索/置換条件を読み込み(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "読み出す保存済み検索条件/置換を選択"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "現在の検索/置換を保存"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "保存(&V)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "検索フィールド(&F):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "検索したいフィールドの名前"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "検索モード(&M):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "基本的なテキスト検索か、高度な正規表現による検索のどちらを使うかを選択"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "識別子タイプ(&I):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "どの識別子タイプに操作を行うか選択"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "テンプレート(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "検索/置換の元として使用されるテンプレートを入力"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "検索モードに応じて、検索したいものをプレーンテキストまたは正規表現で入力"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "このボックスをチェックすると、検索文字列が正確に大文字小文字がマッチします。チェックをはずすと大小文字は無視されます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "大文字・小文字を区別(&E)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "置換(&R):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "置換文字列。マッチした検索テキストはこの文字列と入れ替えられます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "置換後に変換操作を行う(&A):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "検索/置換後にどのようにテキストを処理するかを選択する。文字列モードではフィールド全体が処理されます。正規表現モードではマッチしたテキストだけが処理されます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "対象フィールド(&D):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "置換処理が終わった後、テキストが入れられるフィールド。もし空白の場合、元フィールドが使われます。（フィールドが変更可能の時のみ）"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "モード(&O):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "どのようにテキストが結果にコピーされるかを指定してください。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "結果のアイテムが複数の値に分けられるか、一つの値のままにするのかを指定します。このオプションは元フィールドが複数でなく、結果フィールドが複数の場合に有用でしょう。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "結果を分割(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "識別子タイプ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17260,48 +17280,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>どの識別子タイプについて処理を行うかを選択します。検索フィールドが\nidentifiers 以外で、検索結果によりすべての識別子を置換したい場合は、* を指定\nすることができます。</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "複数値のフィールドで(&W)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "個から始める。値のセパレータは"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "テスト結果の、複数値フィールドの値を一つ一つの値として表示する時に使われます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "テスト文字列"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "テスト結果"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "テスト(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "検索と置換(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "有効にした場合、編集完了後本リストの再ソートが実行され、\nまた仮想ライブラリが選択されている場合、再検索が実行されます。\n大きなライブラリの場合、動作が遅くなる可能性があります。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "編集後に本リストを更新(&R)"
 
@@ -17930,7 +17950,7 @@ msgstr "保存済み検索が間違っ
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "保存済み検索条件を編集"
 
@@ -18590,76 +18610,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "現在のタグカテゴリは<b>完全に削除されます</b>。よろしいですか？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "ユーザカテゴリエディタ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "カテゴリ名: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "編集するカテゴリを選択"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "カテゴリ絞り込み(&C): "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "新しいカテゴリの内容種類を選択"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "新しいカテゴリを追加"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "現在のカテゴリの名前を変更"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "利用可能なアイテム(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "現在のタグカテゴリにタグを適用"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "利用中のアイテム(&I)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "現在のタグカテゴリからタグを削除"
 
@@ -18691,121 +18711,121 @@ msgid ""
 "to delete them?"
 msgstr "次のタグが1つ以上の本で使われています。本当に削除してもよろしいですか？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "カウント"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "ひとつ前"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "本当に変更を元に戻しますか？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "削除した項目を元に戻しますか？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "項目は削除されています。元に戻しますか？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "選択した行の削除または編集を元に戻す"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19684,17 +19704,17 @@ msgstr "レイアウト"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Calibreメインウィンドウ内のさまざまなパーツを表示/非表示"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "%sフォーマットがありません"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "本 {0} に {1} フォーマットがありません"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "%sを復元"
@@ -19972,21 +19992,11 @@ msgstr "<span class=\"series_name\">%(se
 msgid "This book is on the device in %s"
 msgstr "この本はデバイス上 %s に存在します。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "日付に未定義を設定"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "日付を今日に設定"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "設定解除"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20330,7 +20340,7 @@ msgid ""
 msgstr "Calibre Portable (%s) のパスが長過ぎます。59文字以下にしてください。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibreライブラリ"
 
@@ -20493,6 +20503,16 @@ msgstr "終了(&Q)"
 msgid "Unhandled exception"
 msgstr "ハンドルされない例外"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "日付に未定義を設定"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "日付を今日に設定"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20771,7 +20791,7 @@ msgstr "出版社(&P):"
 msgid "Clear publisher"
 msgstr "発行者を消去"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "日付を消去"
 
@@ -20839,7 +20859,7 @@ msgid "Processed %s"
 msgstr "進む [%s]"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "ダウンロードする書誌情報フィールド"
 
@@ -21598,13 +21618,13 @@ msgid "&Automatic adding"
 msgstr "自動追加(&A)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "高"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "低"
 
@@ -21629,80 +21649,80 @@ msgstr "すべて１タブ"
 msgid "Confirmation dialogs have all been reset"
 msgstr "確認ダイアログはすべてリセットされました"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "新しいバージョンが出たら通知する(&N)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "ダウンロードしたニュースを電子書籍リーダに自動的に送信する(&N)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "ジョブの優先度(&P):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "入力フォーマットの優先順位(&I):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "優先する出力フォーマット(&O):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "書誌情報編集 (1冊) のレイアウト(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "チェックすると、、カスタム列の値は Yes, No, 不明 が使えます。\nチェックを外すと、値は Yes, No です。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "「はい/いいえ」列に3つの値を使用(再起動が必要)(&Y)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "自動的にリーダーに転送する場合はライブラリからニュースを削除(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "デフォルトのネットワークタイムアウト(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "ネットワークからの取得時のデフォルトのタイムアウトを設定（インターネットから情報を取得しに行く時すべて）"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " 秒"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "すべての確認ダイアログをリセット(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "内部ビューアを使用(&V):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "現在のライブラリが開かれたときに適用する仮想ライブラリ(&L):"
 
@@ -22691,37 +22711,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "本の送信先メールアドレスを追加します"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "アドレスを追加(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "デフォルトに設定(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "アドレスを削除(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "書誌情報から電子メールにコメントを追加します。\n受取側で本を開く前に本の概要を知ることができます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "電子メールのテキストに書誌情報のコメントを追加(&C)"
 
@@ -22858,7 +22878,7 @@ msgid "Create a new rule"
 msgstr "新しいルールを作成"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -22996,7 +23016,7 @@ msgid "If there is enough room"
 msgstr "十分な余裕がある場合"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "最初の一文字"
 
@@ -23267,7 +23287,7 @@ msgid "Caching of covers for improved pe
 msgstr "パフォーマンス向上のための表紙キャッシュ"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "無効"
 
@@ -23662,86 +23682,86 @@ msgstr "ソースが選択されてい
 msgid "No source selected, cannot configure."
 msgstr "ソースが選択されていないので設定できません。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "書誌情報のソース"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "名前の横に赤いXが付いているソースは、使用前に設定しておく必要があります。 "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "選択中のソースを設定(&O)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "もしフィールドのチェックを外すと、そのフィールドの書誌情報はダウンロードされません。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "すべて選択(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "「デフォルトに設定」で設定した、フィールドのサブセットに戻す。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "デフォルトとして設定(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "ダウンロードしたすべてのコメントをプレーンテキストに変換(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "著者名を「名 姓」から「姓, 名」に入れ替える(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>コメントをダウンロードした際に、ダウンロードしたコメントを現在のコメントに上書きするのではなく追記します。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "コメントをダウンロードした際に、ダウンロードしたコメントを現在のコメントに上書きするのではなく追記します。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "既存の本にコメントを追加"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23750,47 +23770,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>同じ本であっても、書誌情報のソースが異なれば違ったタグを持っています。このオプションを設定した場合、Calibreはより小さなタグセットをのものを利用します。ある物はタグにジャンルのような物を使い、またある物は本の内容を表す沢山のタグを使うからです。\n<p>注意して欲しいのは、このオプションは1つのソースがジャンルのようなタグを使う時のみに実際的な違いが出てきます。と言うのも、ほとんどのソースは沢山のタグを使うからです。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "異なるソースからタグをダウンロードした際に、タグの少ない方を優先する"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "少ないタグを優先(&F)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "タグの絞り込み/変換のルールを作成"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "著者名の変換ルールを作成"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "ダウンロードするタグの最大数(&N):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "最初に見つかるまでに待つ最大の時間(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " 秒"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "最初の表紙が見つかるまでに待つ最大の時間(&C):"
 
@@ -25334,7 +25354,7 @@ msgid "Paste and &search"
 msgstr "ペーストして検索(&S)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "貼り付け(&P)"
@@ -26360,150 +26380,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr "検索結果を「クリック」"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "%s の名前を変更"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "%s を削除"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "%s の読みを変更"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "%s のリンクを編集"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "%s をユーザカテゴリに追加"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "%s の子ノード"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "%(item)s を カテゴリ  %(cat)s から削除"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "%s 以外のものを検索"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "保存済み検索条件を使って検索"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "%s にサブカテゴリを追加"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "ユーザカテゴリ %s を削除"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "カテゴリ %s を隠す"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "カテゴリ表示"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "カテゴリ %s で本を検索"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "カテゴリ %s のない本を検索"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "カテゴリのアイコンを変更"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "デフォルトのアイコンに戻す"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "ユーザカテゴリの管理"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "すべてのカテゴリを表示"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "サブカテゴリ化の方法を変更"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "区間"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "「最初の文字」は名前順に整列する場合のみに使えます"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "子ノードを展開(&X)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "すべて折りたたむ"
 
@@ -27173,7 +27193,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "保存されていない変更"
 
@@ -27580,12 +27600,12 @@ msgid ""
 msgstr "ファイル %s は存在しません。目次の項目をクリックしている場合は、先に右クリックして \"更新\" を行う必要があるかもしれません。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "未サポートのファイル形式"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "%s のファイルの編集はサポートされていません"
@@ -27643,76 +27663,76 @@ msgid "Import"
 msgstr "インポート"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "実行前: 置換 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "レポートを見るためには、先に書籍を開いてください。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "先に書籍を開いてからリンクのチェックを行ってください。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "先に書籍を開いてから画像の圧縮を行ってください。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "実行前: 画像の圧縮"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "予期しないエラー"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "画像の圧縮に失敗しました。詳しくは「詳細を表示」ボタンを押してください。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "デコードできません"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "不明な文字エンコーディングが使用されているため %s を編集できません"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "書籍が開かれていません。先に書籍を開いてから編集してください。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "現在の本はバックグラウンドで保存の処理中です。終了すると<b>保存処理が中断されます</b>。保存の終了を待ちますか？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "すぐに終了(&Q)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "保存の終了を待つ(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "保存されていない変更があります。保存せずに終了すると、変更は失われます。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "保存して終了(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "保存せずに終了(&Q)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "保存中。お待ちください…"
 
@@ -31107,18 +31127,18 @@ msgstr[0] "無効にされていた {} 
 msgid "Disabled confirmations restored"
 msgstr "無効にした確認ダイアログを元に戻しました"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31132,70 +31152,70 @@ msgid ""
 "            "
 msgstr "\n<h3>ライブプレビュー</h3>\n<p>編集中のHTMLファイルのライブプレビューがここに表示されます。\n変更時にはプレビューは自動的に更新されます。\n\n <p style=\"font-size:x-small; color: gray\">このプレビューはあくまで簡易的な確認用であり、実際の電子書籍リーダをシミュレートするものではありません。電子書籍の機能のうち、改ページやページマージンなど、プレビューでは動作しないものもあります。\n           </p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "要素の検査"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "リンクを開く"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "%s を編集"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "プレビューを検索"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "無効な場所"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "bodyタグは分割できません"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "worker の起動に失敗しました"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "プレビューの描画を行う worker プロセスの起動に失敗しました"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "無効にできません"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "ライブCSSパネルが開かれている間は、プレビューパネルの自動描画を無効にできません"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "エディターのテキストが変更された際に、自動的にプレビューの再読込を行う"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "プレビューの再読込を無効にする"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "プレビューのカーソル位置とエディターのカーソル位置の同期を無効にする"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "プレビューのカーソル位置とエディターのカーソル位置の同期を有効にする"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "ファイル分割を中止"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34139,13 +34159,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34180,30 +34200,30 @@ msgstr "{}を非表示"
 msgid "Show {}"
 msgstr "{}を表示"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "色を選択(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "色を選択"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "切り取り(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "上に(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "下に(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "未評価"
 
@@ -34257,44 +34277,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "電子書籍デバイスを選択してください。リストにない場合は、\"%s\"デバイスを選択してください。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "古いPCから新しいPCへCalibreを移動する場合、<a href=\"{0}\">説明書</a>をお読みください。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "本の場所を選択"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "フォルダの作成に失敗 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Calibreライブラリには空のフォルダを選択する必要があります。%s は空ではありません。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "次へ(&N) >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< 戻る(&B)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34302,15 +34326,15 @@ msgstr "< 戻る(&B)"
 msgid "Cancel"
 msgstr "キャンセル"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "完了(&F)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "送信"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "ウェルカムウィザード"
 
@@ -34318,7 +34342,7 @@ msgstr "ウェルカムウィザード"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Calibre へようこそ"
@@ -34326,7 +34350,7 @@ msgstr "Calibre へようこそ"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "あなたの電子書籍ニーズに合ったワンストップソリューション"
@@ -34341,7 +34365,7 @@ msgstr "デバイス(&D)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "ウィザード・ページ"
@@ -34379,17 +34403,17 @@ msgstr "<p>Calibreは自動的に本をK
 msgid "&Kindle email:"
 msgstr "Kindleメール(&K):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "言語を選択(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>本のある場所を指定してください。Calibreに本を追加するとこの場所にコピーされます。新しいCalibreライブラリの場合は<b>空のフォルダ</b>を利用してください:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -36974,6 +36998,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "画像に名前がありません"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/jv.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/jv.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/jv.po	2020-07-02 04:01:32.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/jv.po	2020-07-16 16:43:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6494,103 +6505,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6598,7 +6609,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8484,7 +8495,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8956,7 +8967,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9001,7 +9012,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9053,7 +9064,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9207,7 +9218,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9247,7 +9258,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10137,7 +10148,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10736,7 +10747,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10946,7 +10957,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11391,8 +11402,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11521,42 +11532,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11565,112 +11581,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11678,7 +11694,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11747,7 +11763,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11765,11 +11781,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11908,7 +11924,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11943,7 +11959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -11990,8 +12006,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12103,22 +12119,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12346,7 +12362,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12821,10 +12837,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13256,7 +13272,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13271,7 +13287,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13280,7 +13296,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13295,8 +13311,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13363,45 +13379,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13747,7 +13763,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14573,74 +14589,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14648,44 +14663,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15390,11 +15405,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15458,79 +15473,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15580,8 +15600,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16137,46 +16157,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16185,7 +16205,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16200,11 +16220,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16231,7 +16251,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16256,28 +16276,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16304,65 +16324,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16694,77 +16714,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16772,7 +16792,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16782,7 +16802,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16797,80 +16817,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16878,90 +16898,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16969,118 +16989,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17089,152 +17109,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17242,48 +17262,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17912,7 +17932,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18572,76 +18592,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18673,121 +18693,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19666,17 +19686,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19954,21 +19974,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20312,7 +20322,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20475,6 +20485,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20753,7 +20773,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20821,7 +20841,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21580,13 +21600,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21611,80 +21631,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22673,37 +22693,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22840,7 +22860,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -22978,7 +22998,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23249,7 +23269,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23644,86 +23664,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23732,47 +23752,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25316,7 +25336,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26342,150 +26362,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27155,7 +27175,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27562,12 +27582,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27625,76 +27645,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31089,18 +31109,18 @@ msgstr[0] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31114,70 +31134,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34121,13 +34141,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34162,30 +34182,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34239,44 +34259,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34284,15 +34308,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34300,7 +34324,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34308,7 +34332,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34323,7 +34347,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34361,17 +34385,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -36956,6 +36980,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ka.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ka.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ka.po	2020-07-02 04:00:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ka.po	2020-07-16 16:37:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "საერთოდ არა
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "საერთოდ არა
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/km_KH.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/km_KH.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/km_KH.po	2020-07-02 04:07:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/km_KH.po	2020-07-16 16:40:20.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6493,103 +6504,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6597,7 +6608,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8483,7 +8494,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8955,7 +8966,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9000,7 +9011,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9052,7 +9063,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9206,7 +9217,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9246,7 +9257,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10136,7 +10147,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10735,7 +10746,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10945,7 +10956,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11390,8 +11401,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11520,42 +11531,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11564,112 +11580,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11677,7 +11693,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11746,7 +11762,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11764,11 +11780,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11907,7 +11923,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11942,7 +11958,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -11989,8 +12005,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12102,22 +12118,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12345,7 +12361,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12820,10 +12836,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13255,7 +13271,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13270,7 +13286,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13279,7 +13295,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13294,8 +13310,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13362,45 +13378,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13746,7 +13762,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14572,74 +14588,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14647,44 +14662,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15389,11 +15404,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15457,79 +15472,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15579,8 +15599,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16136,46 +16156,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16184,7 +16204,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16199,11 +16219,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16230,7 +16250,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16255,28 +16275,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16303,65 +16323,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16693,77 +16713,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16771,7 +16791,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16781,7 +16801,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16796,80 +16816,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16877,90 +16897,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16968,118 +16988,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17088,152 +17108,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17241,48 +17261,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17911,7 +17931,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18571,76 +18591,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18672,121 +18692,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19665,17 +19685,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19953,21 +19973,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20311,7 +20321,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20474,6 +20484,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20752,7 +20772,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20820,7 +20840,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21579,13 +21599,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21610,80 +21630,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22672,37 +22692,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22839,7 +22859,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -22977,7 +22997,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23248,7 +23268,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23643,86 +23663,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23731,47 +23751,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25315,7 +25335,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26341,150 +26361,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27154,7 +27174,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27561,12 +27581,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27624,76 +27644,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31088,18 +31108,18 @@ msgstr[0] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31113,70 +31133,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34120,13 +34140,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34161,30 +34181,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34238,44 +34258,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34283,15 +34307,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34299,7 +34323,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34307,7 +34331,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34322,7 +34346,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34360,17 +34384,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -36955,6 +36979,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/km.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/km.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/km.po	2020-07-02 04:04:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/km.po	2020-07-16 16:44:30.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6493,103 +6504,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6597,7 +6608,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8483,7 +8494,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8955,7 +8966,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9000,7 +9011,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9052,7 +9063,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9206,7 +9217,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9246,7 +9257,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10136,7 +10147,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10735,7 +10746,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10945,7 +10956,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11390,8 +11401,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11520,42 +11531,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11564,112 +11580,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11677,7 +11693,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11746,7 +11762,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11764,11 +11780,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11907,7 +11923,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11942,7 +11958,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -11989,8 +12005,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12102,22 +12118,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12345,7 +12361,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12820,10 +12836,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13255,7 +13271,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13270,7 +13286,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13279,7 +13295,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13294,8 +13310,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13362,45 +13378,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13746,7 +13762,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14572,74 +14588,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14647,44 +14662,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15389,11 +15404,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15457,79 +15472,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15579,8 +15599,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16136,46 +16156,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16184,7 +16204,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16199,11 +16219,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16230,7 +16250,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16255,28 +16275,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16303,65 +16323,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16693,77 +16713,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16771,7 +16791,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16781,7 +16801,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16796,80 +16816,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16877,90 +16897,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16968,118 +16988,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17088,152 +17108,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17241,48 +17261,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17911,7 +17931,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18571,76 +18591,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18672,121 +18692,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19665,17 +19685,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19953,21 +19973,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20311,7 +20321,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20474,6 +20484,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20752,7 +20772,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20820,7 +20840,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21579,13 +21599,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21610,80 +21630,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22672,37 +22692,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22839,7 +22859,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -22977,7 +22997,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23248,7 +23268,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23643,86 +23663,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23731,47 +23751,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25315,7 +25335,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26341,150 +26361,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27154,7 +27174,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27561,12 +27581,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27624,76 +27644,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31088,18 +31108,18 @@ msgstr[0] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31113,70 +31133,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34120,13 +34140,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34161,30 +34181,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34238,44 +34258,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34283,15 +34307,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34299,7 +34323,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34307,7 +34331,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34322,7 +34346,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34360,17 +34384,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -36955,6 +36979,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/kn.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/kn.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/kn.po	2020-07-02 04:01:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/kn.po	2020-07-16 16:41:18.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
@@ -207,7 +207,7 @@ msgstr "ಏನನ್ನು ಮಾಡು
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -219,12 +219,12 @@ msgstr "ಏನನ್ನು ಮಾಡು
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1134,9 +1134,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1161,7 +1161,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1223,7 +1223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2836,8 +2836,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2846,8 +2846,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3190,7 +3190,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3303,7 +3303,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3330,8 +3330,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3719,61 +3719,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6207,7 +6218,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6230,7 +6241,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6496,103 +6507,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6600,7 +6611,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8489,7 +8500,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8967,7 +8978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9012,7 +9023,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9064,7 +9075,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9219,7 +9230,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9259,7 +9270,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10155,7 +10166,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "ಇ"
 
@@ -10757,7 +10768,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10968,7 +10979,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11416,8 +11427,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11546,42 +11557,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11590,112 +11606,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11703,7 +11719,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11772,7 +11788,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11790,11 +11806,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11933,7 +11949,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11968,7 +11984,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12015,8 +12031,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12128,22 +12144,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12371,7 +12387,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12846,10 +12862,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13281,7 +13297,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13296,7 +13312,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13305,7 +13321,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13320,8 +13336,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13388,45 +13404,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13772,7 +13788,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14598,74 +14614,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14673,44 +14688,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15416,11 +15431,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15484,79 +15499,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15606,8 +15626,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16163,46 +16183,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16211,7 +16231,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16226,11 +16246,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16258,7 +16278,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16283,28 +16303,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16331,65 +16351,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16722,77 +16742,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16800,7 +16820,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16810,7 +16830,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16825,80 +16845,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16906,90 +16926,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16997,118 +17017,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17117,152 +17137,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17270,48 +17290,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17940,7 +17960,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18600,76 +18620,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18701,121 +18721,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19696,17 +19716,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19987,21 +20007,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20345,7 +20355,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20508,6 +20518,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20787,7 +20807,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20857,7 +20877,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21618,13 +21638,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21649,80 +21669,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22711,37 +22731,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22878,7 +22898,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23016,7 +23036,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23287,7 +23307,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23682,86 +23702,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23770,47 +23790,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25356,7 +25376,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26382,150 +26402,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27195,7 +27215,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27602,12 +27622,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27665,76 +27685,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31137,18 +31157,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31162,70 +31182,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34173,13 +34193,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34214,30 +34234,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34291,44 +34311,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34336,15 +34360,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34352,7 +34376,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34360,7 +34384,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34375,7 +34399,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34413,17 +34437,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37009,6 +37033,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ko.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ko.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ko.po	2020-07-02 04:01:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ko.po	2020-07-16 16:44:35.000000000 +0000
@@ -18,8 +18,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
@@ -217,7 +217,7 @@ msgstr "아무 것도 하지 않음"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -229,12 +229,12 @@ msgstr "아무 것도 하지 않음"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1144,9 +1144,9 @@ msgstr "카탈로그"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1171,7 +1171,7 @@ msgstr "서재로의 경로 ({0})가 너
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1233,7 +1233,7 @@ msgstr "저장된 검색"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2846,8 +2846,8 @@ msgstr "기기에 있는 책 목록을 
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2856,8 +2856,8 @@ msgstr "기기의 책 정보 목록에
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3200,7 +3200,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "템플릿 편집"
@@ -3313,7 +3313,7 @@ msgid "Communicate with MTP devices"
 msgstr "MTP 기기와 통신합니다"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "기기 정보를 얻습니다..."
@@ -3340,8 +3340,8 @@ msgid "Finished reading metadata from de
 msgstr "기기에서 책 정보 읽기 완료"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3729,61 +3729,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "적절하지 않은 압축 설정입니다. 50 에서 99 사이에 숫자여야 합니다. %d 여야 합니다."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "옵션에 유효하지 않은 포트: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "%d 포트에 연결을 실패했습니다. 다른 값을 시도해 보세요."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "임의의 포트 할당 실패"
 
@@ -6217,7 +6228,7 @@ msgstr "압축파일(ZIP/RAR)에서 일
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "아니오"
 
@@ -6240,7 +6251,7 @@ msgid "Producer"
 msgstr "제작자"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6505,103 +6516,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google 이미지"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Amazon에서 책 정보와 표지 다운로드"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "미국"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "프랑스"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "독일"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "영국"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "이태리"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "일본"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "스페인"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "브라질"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "네덜란드"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Amazon의 책 정보는 이 국가의 Amazon 웹사이트를 사용하여 가져오게 됩니다."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6609,7 +6620,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazon으로의 연결 대기시간이 초과되었습니다. 다음에 다시 시도하세요."
 
@@ -8495,7 +8506,7 @@ msgstr "클립보드에 복사된 파일
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8967,7 +8978,7 @@ msgstr "%s 폴더는 이미 존재합니
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9012,7 +9023,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9064,7 +9075,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr "서재 탐색"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "복사(&C)"
@@ -9258,7 +9269,7 @@ msgstr "{0} (저자: {1})"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "모두 선택(&A)"
 
@@ -10148,7 +10159,7 @@ msgid "Move to next highlighted match"
 msgstr "다음 일치하는 항목으로 이동합니다"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10747,7 +10758,7 @@ msgid "this book"
 msgstr "이 책"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "%s 검색"
@@ -10957,7 +10968,7 @@ msgstr "책 미리보기(&P)"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11402,8 +11413,8 @@ msgstr "변경"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11532,42 +11543,47 @@ msgid "Search the internet for this book
 msgstr "이 책에 대하여 인터넷 검색"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "%s 관리"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "%s 형식 삭제"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "%s 형식을 디스크에 저장"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "%s 형식 복원"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "%s 파일에서 책 표지 가져오기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "%s 형식과 비교"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11576,112 +11592,112 @@ msgstr "%s 형식과 비교"
 msgid "Open %s with..."
 msgstr "%s 형식을 ...으로 열기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "%s 파일에 대하여 다른 응용 프로그램 추가..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "연결 프로그램 편집..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "%s 편집..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "파일 경로 복사(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "캘리버에서 %s 검색"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "이 책에서 '%s' 제거"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "모두 복사(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "표지를 ...으로 열기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "표지 열기에 사용할 또 다른 응용 프로그램 추가..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "표지 붙여넣기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "표지 복사"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "표지를 디스크에 저장"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "표지 제거"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "책 정보에서 표지 생성"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "표지 저장 위치 선택"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "JPEG 이미지"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "책 상세 정보창을 열려면 더블 클릭하세요"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "경로"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11689,7 +11705,7 @@ msgstr "경로"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "표지 크기: %(width)d x %(height)d 픽셀"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11758,7 +11774,7 @@ msgstr "출력"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11776,11 +11792,11 @@ msgstr "출력"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11919,7 +11935,7 @@ msgid "Preset name:"
 msgstr "프리셋 명:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11954,7 +11970,7 @@ msgstr "참"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12001,8 +12017,8 @@ msgid "Delete current preset"
 msgstr "현재 프리셋 삭제"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "삭제"
 
@@ -12114,22 +12130,22 @@ msgstr "기본값으로 초기화"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12357,7 +12373,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12832,10 +12848,10 @@ msgstr "글꼴 크기 키(key) 값(&K):"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13267,7 +13283,7 @@ msgid "Change the title of this book"
 msgstr "이 책의 제목 변경"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "저자(&A): "
 
@@ -13282,7 +13298,7 @@ msgid ""
 msgstr "이 책의 저자를 변경합니다. 여러명의 저자는 쉼표(,)로 구분해야 합니다."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "출판사(&P): "
 
@@ -13291,7 +13307,7 @@ msgid "Ta&gs: "
 msgstr "태그(&G): "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13306,8 +13322,8 @@ msgstr "시리즈(&S):"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "알려진 시리즈의 목록입니다. 새로운 시리즈를 추가할 수 있습니다."
@@ -13374,45 +13390,45 @@ msgstr "스크린 크기: %s"
 msgid "Page setup"
 msgstr "페이지 설정"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "출력 프로파일(&O):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "프로파일 설명"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "입력 프로파일(&I):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "여백"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "왼쪽(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "위(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "오른쪽(&R):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "아래(&B):"
@@ -13758,7 +13774,7 @@ msgid "Edit the currently selected expre
 msgstr "선택된 표현식을 편집합니다"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "변경(&C)"
 
@@ -14584,74 +14600,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "정의되지 않음"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "'%s' 비우기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "사용자가 값을 변경했습니다. 이 편집기를 사용하기 위해서는 변경된 사항을 포기하거나 적용시켜야 합니다. 변경사항을 적용할까요?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " 색인:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "변경사항 적용"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "시리즈 지우기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "자동으로 책 번호 부여"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14659,44 +14674,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "강제로 지정할 시작 번호"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "모든 태그 제거"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "추가할 태그"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "제거할 태그"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15401,11 +15416,11 @@ msgstr "이 작업은 시간이 걸립
 msgid "Vacuuming..."
 msgstr "정리 중..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15469,79 +15484,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "검사 재실행(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "클립보드로 복사(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "완료(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "모두 삭제 항목으로 표시(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "표시된 항목 삭제(&M)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "모두 고칠 항목으로 표시(&K)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "표시된 항목 고치기(&F)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "무시할 이름:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "서재에서의 경로"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15591,8 +15611,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "잘못된 위치"
 
@@ -16148,46 +16168,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "항목이 비어있음"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "선택된 항목이 없음"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "이용가능 목록에서 하나의 항목을 선택해야 합니다."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "선택된 항목이 없음"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "적어도 하나의 항목을 목록에서 선택하십시요."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "다음 항목들을 삭제 하시겠습니까?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "분류 편집기"
 
@@ -16196,7 +16216,7 @@ msgid "Items in use"
 msgstr "사용중인 항목"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16211,11 +16231,11 @@ msgstr "사용되는 모든 책에서 
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "이 책은 DRM이 있습니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16242,7 +16262,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16267,28 +16287,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16315,65 +16335,65 @@ msgstr "잘못된 저자명"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "저자 관리"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "검색할 내용(&S):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "모든 저자 정렬명 값 재계산 (&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "모든 저자에 대하여 저자 정렬명을 저자로 복사합니다. 일반적으로\n'환경설정->고급->트윅->저자 정렬명 알고리즘'을 변경한 후에 이 버튼을 사용하게 됩니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "모든 저자 정렬명 값을 저자에 복사 (&C)"
 
@@ -16705,77 +16725,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "작업 중"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "%d 책을 처리 중. 기다려 주세요..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "소문자로"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "대문자로"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "단어마다 대문자로 시작"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "문자 일치"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "정규 표현식"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "필드 치환"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "필드의 앞에 추가"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "필드의 뒤에 추가"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "<b>%d권의 책</b>에 대한 책 정보를 편집합니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "대화창을 닫지 않은 채 즉시 모든 변경 사항을 만듭니다. 이 작업은 취소되거나 되돌아가기를 할 수 없습니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "책 %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "ID 유형을 입력하세요"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16783,7 +16803,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>이 기능을 잘못 사용하게 되면 사용자의 서재가 망가질 수 있습니다.</b> 변경은 영구적이며 되돌아가기 기능이 지원되지 않습니다. 작업을 진행하기 전에 사용자의 서재를 백업해두기를 강력히 권고합니다.<p>문자를 맞춰보거나 정규 표현식을 사용하여 텍스트 필드를 검색 및 교체합니다. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16793,7 +16813,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16808,80 +16828,80 @@ msgid ""
 "function."
 msgstr "정규 표현식 모드에서는, 검색 텍스트는 임의의 Python 호환 정규 표현식입니다. 교체할 텍스트는 검색 패턴 중 괄호로 싸인 표현식에 대한 역참조를 포함할 수 있습니다. 검색식이 앵커(anchor)를 사용하지 않았다면, 같은 문자열 안에서 여러번 교체가 일어날 수 있습니다. 변형 기능(소문자 등)은 전체 필드가 아니라 일치되는 텍스트에만 적용됩니다. 목적지 필드는 맞춰보기/교체가 끝난 이후의 결과가 할당될 필드를 지정합니다. 사용자는 필드의 텍스트를 교체하거나, 일치되는 테스트 앞이나 뒤에 내용을 추가할 수도 있습니다. Python 정규 표현식에 대한 더 자세한 정보는 <a href=\"https://docs.python.org/library/re.html\">이 참조 문서</a>를 보세요(특히, 'sub'  함수)."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R 템플릿 오류"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "원본 필드가 복합 필드이거나 템플릿인 경우 목적지 필드를 지정하여야만 합니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "목적지 필드의 ID 유형을 지정하여야만 합니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "\"검색할 내용\" 필드에 검색 표현식을 지정하여야만 합니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "유효하지 않은 ID 문자열. 콜론으로 구분된 문자열 쌍들이 쉼표로 구분된 목록이어야 합니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "유효하지 않은 검색/교체"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "유효하지 않은 검색/교체: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "저장된 검색/교체 삭제"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "선택된 검색/교체 저장 내용이 삭제됩니다. 확실합니까?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "검색/교체 저장"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "검색/교체 이름:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "저장된 검색/교체가 이미 존재하여 덮어씌여지게 됩니다. 확실합니까?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "책 정보 수정"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr "날짜 적용(&P)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16889,90 +16909,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "자동으로 저자 정렬명을 지정(&U)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "제목과 저자를 서로 바꾸기(&W)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "제목 정렬명을 현재 제목에 근거해 업데이트합니다. 이 작업은 제목에 대한 다른 변경작업들 이후에 적용됩니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "제목 정렬명 업데이트(&U)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "표지 변경(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "기본 표지 생성(&G)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "표지 지우기(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "자동으로 표지 이미지의 테두리를 감지하여 여백을 잘라냅니다.\n이 기능은 때때로 너무 많이 잘라내기도 하므로 주의해서 사용하세요."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "표지 테두리 잘라내기(&T) (위험)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "선택된 모든 책들의 표지를 처음으로 선택된 책과 전부\n동일하게 설정합니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "표지 복제(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "제목을 단어마다 대문자로 시작하도록 강제합니다. 만일 '제목과 저자를 서로 바꾸기'가\n체크되어 있다면, 이 작업이 처리되기 전에 제목과 저자가 먼저 교체됩니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "날짜(&D):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "체크하면 출판사가 지워집니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "출판사 지우기(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "출판일자(&U):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16980,118 +17000,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "체크되지 않은 상태에서는, 책의 시리즈 번호는 1로 설정됩니다.\n체크된 상태에서는, 선택된 책들은 선택한 순서대로 모두 자동으로\n번호가 부여됩니다. 따라서 책 A를 선택한 다음 책 B를 선택하였다면\n책 A는 시리즈 번호 1을, 책 B는 번호 2를 부여받습니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "자동으로 이 시리즈의 책 번호 부여(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "시리즈 번호는 보통의 경우 그 시리즈에 부여되어 데이터베이스에 기록된 번호 중\n가장 높은 번호 다음 번호로 부여됩니다. 이 옵션를 체크하면 캘리버는 이 상자의\n값부터 번호를 부여하기 시작합니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "강제로 지정할 시작 번호(&F):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "체크하면 시리즈가 지워집니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "시리즈 지우기(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "선택된 모든 책들에 위한 책 정보 설정(&M)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "태그 제거(&R):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "모두 지우기(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "태그 추가(&G): "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "이 책의 저자들을 정렬하는 방법을 지정합니다. 예를 들어 Charles Dickens는 Dickens, Charles와 같은 기준으로 정렬되어야 합니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "별점 적용(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "출판일자 비우기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "언어(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "책에서 제거할 태그의 목록입니다. 쉼표(,)로 구분합니다. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "태그 편집기 열기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "저자 정렬명(&O): "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "(표지를 제외한) 책 정보를 eBook 파일에서 가져와 지정(&M)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "시리즈(I)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "선택된 책에 대해 보관된 변환 설정을 지웁니다.\n\n앞으로 이 책의 변환은 기본 설정을 사용할 것입니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "선택된 책에 대해 보관된 변환 설정을 지움(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17100,152 +17120,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "한 형식을 똑같은 형식으로 변환할 때, 예를 들어 EPUB을\nEPUB으로, 캘리버는 원본 EPUB을 ORIGINAL_EPUB으로 저장합니다.\n이 옵션은 캘리버에게 ORIGINAL_EPUB에서 복원하라고 알려줍니다.\n많은 양의 책을 한꺼번에 변환하였는데 무언가 잘못된 경우 유용합니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "가능한 경우, 변환 전 원본에서 복원(&O)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "책에서 모든 태그를 제거하려면 이 상자를 체크하세요."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "별점(&R):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "기본 책 정보(&B)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "사용자 정의 책 정보(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "검색/교체 불러오기(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "불러올 저장된 검색/교체 항목을 선택하세요."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "현재 검색/교체 저장"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "저장(&V)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "검색 필드(&F):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "검색하기를 원하는 필드의 명칭"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "검색 모드(&M):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "기본 문자 일치 모드를 사용할지 고급 정규 표현식 모드를 사용할지 선택하세요"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "작업할 ID 유형을 선택하세요"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "템플릿(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "검색/교체의 출처로 사용할 템플릿을 입력하세요"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "무엇을 찾을지 입력하세요 (검색 모드에 따라, 평이한 텍스트 또는 정규 표현식을 사용)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "대소문자를 정확히 구분하여 맞춰보아야 한다면 이 박스를 체크하세요. 대소문자를 무시하려면 체크를 해제하세요"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "대소문자 구분(&E)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "교체할 텍스트(&R):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "교체할 텍스트. 일치되는 검색 텍스트는 이 문자열로 바뀌게 됩니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "교체후 적용할 기능(&A):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "맞춰보기 및 교체가 끝난 후 어떻게 텍스트가 처리되어야 할지를 지정합니다. 문자 일치 모드에서는, 전체 필드가\n처리됩니다. 정규 표현식 모드에서는, 일치되는 텍스트만 처리됩니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "목적지 필드(&D):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "교체가 일어난 후 해당 텍스트가 할당될 필드.\n빈 칸으로 지정되었다면, 원본 검색 필드가 변경가능한 경우 원본 필드가 사용됩니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "모드(&O):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "목적지 필드에 해당 텍스트가 어떻게 복사될 것인지를 지정합니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "결과 항목들을 다중 값으로 분할할 것인지, 하나의 값으로 남겨둘 것인지를\n지정합니다. 이 옵션은 원본 필드가 다중 값을 지원하지 않으나 목적지 필드가\n다중 값을 지원하는 경우 매우 유용합니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "결과 분할(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "ID 유형:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17253,48 +17273,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>다루게 될 ID 유형을 선택하세요. 원본 검색 필드가 'identifiers'가 아닌 경우,\n              전체 ID 집합을 검색/교체 결과로 바꾸기 원한다면 *를 입력하면 됩니다.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "다중값 필드에 대하여, (&W)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "부터 시작해, 다음 구분자로 구분하여 표시: (&Y)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "테스트 결과에 대하여 다중값 필드의 값들을 구분할 때 사용"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "테스트 텍스트"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "테스트 결과"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "사용자의 테스트(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "검색 및 교체(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "활성화시키면, 편집이 완료된 시점에 책 목록을 재정렬시키고\n기존의 검색 또는 가상 서재를 갱신합니다. 덩치가 큰 서재에서는\n느릴 수 있습니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "편집 후 책 목록 갱신(&R)"
 
@@ -17923,7 +17943,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "저장된 검색 관리"
 
@@ -18583,76 +18603,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "현재 태그 분류를 <b>영구적으로 삭제</b>합니다. 확실합니까?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "분류명(&N):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "수정할 분류를 선택하세요"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "새 분류의 종류를 선택합니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "새 분류 추가"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "현재 분류를 칸에 입력된 이름으로 "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "현재 태그 분류에 태그를 적용"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "현재 태그 분류에서 태그를 적용 해제(제거)"
 
@@ -18684,121 +18704,121 @@ msgid ""
 "to delete them?"
 msgstr "다음의 태그는 한 권 이상에서 사용됩니다. 삭제하는것이 확실합니까?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "해당 항목 수"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "변경 전"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "그 항목은 삭제되었습니다. 다시 복원해낼까요?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19677,17 +19697,17 @@ msgstr "배치"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "캘리버 메인 창의 다양한 부분을 보이거나 감춥니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "%s 형식 없음"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "책 {0}은(는) {1} 형식을 가지고 있지 않습니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "%s 복원"
@@ -19965,21 +19985,11 @@ msgstr "'<span class=\"series_name\">%(s
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20323,7 +20333,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "캘리버 서재"
 
@@ -20486,6 +20496,16 @@ msgstr "종료(&Q)"
 msgid "Unhandled exception"
 msgstr "처리되지 않은 예외상황"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20764,7 +20784,7 @@ msgstr "출판사(&P):"
 msgid "Clear publisher"
 msgstr "출판사 비우기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "날짜 지우기"
 
@@ -20832,7 +20852,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "다운로드할 책 정보 필드"
 
@@ -21591,13 +21611,13 @@ msgid "&Automatic adding"
 msgstr "자동 추가 기능(&A)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "높음"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "낮음"
 
@@ -21622,80 +21642,80 @@ msgstr "한 탭에 전부 표시"
 msgid "Confirmation dialogs have all been reset"
 msgstr "확인 대화상자가 모두 초기화 되었습니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "새 버전이 나왔을 때 알림(&N)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "다운로드된 뉴스를 자동으로 eBook 리더기에 보냄(&N)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "작업 우선순위(&P):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "선호하는 입력 형식 순서(&I):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "우선하는 출력 형식(&O):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "(개별) 책 정보 편집 대화창 형태(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "체크된 경우, \"예/아니오\" 열이 '예', '아니오' 또는 '알 수 없음'의 값을 가질 수 있습니다.\n체크가 해제된 경우에는 '예' 또는 '아니오' 값을 가질 수 있습니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "사용자 정의 '예/아니오' 열이 세가지 값을 가짐 (재시작 필요)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "뉴스를 자동으로 리더기에 보낼 때 서재에서 삭제(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "기본 네트워크 대기 시간(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "네트워크를 통해 가져오는 작업에 대한 기본 대기시간을 지정합니다. (즉, 정보를 얻기 위해 인터넷으로 나가는 모든 경우를 말함)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " 초"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "'사용 안 함'으로 설정한 확인 대화상자들 모두 초기화(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "내부 뷰어를 사용해서 보기(&V):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "현재의 서재가 열릴 때 적용할 가상 서재(&L):"
 
@@ -22684,37 +22704,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr "<p>캘리버는 이메일로 사용자나 사용자의 독자에게 책을 보낼 수 있습니다. 다운받은 뉴스들은 <i>자동 송신</i> 설정을 한 모든 이메일 주소들로 자동으로 전송됩니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "책들을 전송할 이메일 주소를 추가합니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "이메일 추가(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "기본값 만들기(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "이메일 제거(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "책 정보에 설정된 주석을 이메일에 추가합니다.\n받는 이가 책을 열어보기 전에 책에 대한 요약을 볼 수 있도록\n할 경우 유용한 기능입니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "책 설명을 이메일의 본문에 추가(&C)"
 
@@ -22851,7 +22871,7 @@ msgid "Create a new rule"
 msgstr "새 규칙 만들기"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -22989,7 +23009,7 @@ msgid "If there is enough room"
 msgstr "충분한 공간이 있는 경우에만"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "첫 글자로"
 
@@ -23260,7 +23280,7 @@ msgid "Caching of covers for improved pe
 msgstr "성능향상용 책 표지 캐싱(Caching)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "사용 안 함"
 
@@ -23655,86 +23675,86 @@ msgstr "선택된 출처가 없음"
 msgid "No source selected, cannot configure."
 msgstr "선택된 출처가 없어서 설정이 불가능합니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "책 정보의 출처"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "이름 옆에 붉은 X 표시가 있는 출처는 사용하기 전에 반드시 설정이 필요합니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "선택된 출처 설정하기(&O)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "체크 해제된 필드의 책 정보는 다운로드 되지 않음"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "모두 선택(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr "모두 선택 취소(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "사용자가 '기본값으로 설정' 버튼을 사용하여 정의한 필드의 체크 상태로 복구함"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr "기본값 선택(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "기본값으로 설정(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "다운로드된 모든 책 설명을 일반 텍스트 형식으로 변환(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "저자명을 '이름 성'에서 '성, 이름'으로 바꿈(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>책 설명을 다운받을 때, 기존의 책 설명을 덮어쓰는 대신 다운받은 내용을 기존의 책 설명에 덧붙임."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "책 설명을 다운받을 때, 기존의 책 설명을 덮어쓰는 대신 다운받은 내용을 기존의 책 설명에 덧붙임."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "책 설명을 기존의 것에 덧붙임(&E)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23743,47 +23763,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>서로 다른 책 정보 출처는 같은 책에 대하여 서로 다른 태그 집합을 가집니다. 이 옵션이 체크된 경우, 캘리버는 더 작은 태그 집합을 사용합니다. 더 큰 태그 집합은 책의 내용을 반영하는데 반해, 작은 태그 집합은 장르 분류에 가깝게 됩니다.\n<p>이 옵션은 책 정보 출처 중 어느 한 곳이 장르 분류에 가까운 태그집합을 가지고 있어야 실제 효과를 발휘합니다.  보통, 큰 태크 집합을 가지고 있는 경우가 흔합니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "여러 책 정보 출처 중에서 선택할 때 보다 작은 태그 셋을 선호함"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "보다 적은 수의 태그 선호(&F)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "태그 필터링/변형 규칙 생성(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "저자명 변형 규칙 생성하기(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "다운로드할 태그의 최대 개수(&N):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "첫번째 정보가 발견된 이후 대기할 최대 시간(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " 초"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "첫번째 표지가 발견된 이후 대기할 최대 시간(&C)"
 
@@ -25327,7 +25347,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "붙이기(&P)"
@@ -26353,150 +26373,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr "찾은 항목 '클릭'하기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "%s 이름 바꾸기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "%s 지우기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "%s을(를) 사용자 정의 분류에 추가"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "%s을(를) 제외한 나머지 검색"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "%s 에 하위분류 추가"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "사용자 정의 분류 %s을(를) 삭제"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "%s 분류 숨기기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "분류 보기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "%s 분류에 포함된 책들 중에서 검색"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "%s 분류에 포함되지 않은 책들 중에서 검색"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "분류 아이콘 변경"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "원래의 아이콘으로 복원"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "사용자 정의 분류 관리"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "모든 분류 보기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "하위 분류법 변경"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "분할"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "첫 글자는 이름으로 정렬할 때만 사용"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "모든 하위 항목 펼치기(&X)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "모든  항목 접기"
 
@@ -27166,7 +27186,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "저장되지 않은 변경사항"
 
@@ -27573,12 +27593,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "지원되지 않는 파일 형식"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "%s 형식 파일에 대한 편집 기능이 지원되지 않습니다."
@@ -27636,76 +27656,76 @@ msgid "Import"
 msgstr "가져오기"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "링크를 검사하려면 먼저 책을 열어야 합니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "이미지를 압축하려면 우선 책을 열어야 합니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "이전: 이미지 압축"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "이미지 압축에 실패했습니다. 자세한 내용은 \"상세정보 보기\"를 누르세요."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "디코드(Decode) 불가"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "%s이(가) 알 수 없는 문자 인코딩으로 되어 있어 편집할 수 없습니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "현재 열려있는 책이 없습니다. 먼저 편집할 책을 열어야 합니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "백그라운드 작업으로 현재 책이 저장되고 있는 중입니다. 지금 종료를 하게되면 <b>이 저장 작업이 중단됩니다</b>! 저장을 먼저 완료하시겠습니까?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "즉시 종료(&Q)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "저장 먼저 완료(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "저장되지 않은 변경사항이 있습니다. 저장하지 않은 채 종료하게 되면, 변경사항들을 잃게 됩니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "저장 후 종료(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "저장하지 않고 종료(&Q)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "저장하는 중, 기다려 주세요..."
 
@@ -31100,18 +31120,18 @@ msgstr[0] ""
 msgid "Disabled confirmations restored"
 msgstr "꺼져있던 승인 ;확인창들이 복구되었습니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31125,70 +31145,70 @@ msgid ""
 "            "
 msgstr "\n            <h3>실시간 미리보기</h3>\n\n            <p>사용자가 현재 편집중인 HTML 파일의 실시간 미리보기를 이곳에서 보게 됩니다.\n            이 미리보기는 사용자가 변경을 가할 때마다 자동으로 업데이트됩니다.\n\n            <p style=\"font-size:x-small; color: gray\">이 기능은 간단한 미리보기일 뿐이며,\n            실제 eBook 리더기를 시뮬레이트하기 위한 것은 아니라는 점을 유의하십시오.\n            사용자의 eBook의 페이지 나눔이나 페이지 여백과 같은 몇가지 점은 제대로 기능하지 않을 수도 있습니다.\n            "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "구성 요소 들여다보기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "링크 열기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "미리 보기에서 검색"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "유효하지 않은 위치"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "body 태그에서는 분할할 수 없습니다"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "비활성화 불가능"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Live CSS 패널이 열린 상태에서는 미리 보기 패널의 자동 갱신을 비활성화할 수 없습니다."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "편집기에서 텍스트를 변경할 때 미리 보기 화면 갱신"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "미리 보기 자동 갱신 끄기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "미리 보기 위치와 편집기 위치 동기화 끄기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "미리 보기 위치와 편집기 위치 동기화 켜기"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "파일 분할 중단"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34132,13 +34152,13 @@ msgstr "책 불러오기 실패"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "배경 이미지 선택"
 
@@ -34173,30 +34193,30 @@ msgstr "{} 숨기기"
 msgid "Show {}"
 msgstr "{} 표시"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "색상 선택(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "색상 선택"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "자르기(&t)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "값 한단계 올리기(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "값 한단계 내리기(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "평점 없음"
 
@@ -34250,44 +34270,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "가지고 있는 eBook 장비를 선택하십시요. 만약 장비가 아래의 리스트에 존재하지 않다면 \"%s\" 를 선택하십시요."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "이전 컴퓨터에서 새로운 컴퓨터로 캘리버를 옮기는 중이라면 <a href=\"{0}\">이 설명서</a>를 읽어주세요."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "책에 대한 위치를 선택하세요"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "다음(&N) >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< 이전(&B)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34295,15 +34319,15 @@ msgstr "< 이전(&B)"
 msgid "Cancel"
 msgstr "취소"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "완료(&F)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "환영 마법사"
 
@@ -34311,7 +34335,7 @@ msgstr "환영 마법사"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "캘리버에 오신 것을 환영합니다"
@@ -34319,7 +34343,7 @@ msgstr "캘리버에 오신 것을 환
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "e-book 설정 마법사"
@@ -34334,7 +34358,7 @@ msgstr "기기(&D)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "마법사 페이지"
@@ -34372,17 +34396,17 @@ msgstr "<p>캘리버는 자동으로 Kin
 msgid "&Kindle email:"
 msgstr "Kindle 이메일(&K):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "언어를 선택하세요(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>책들을 저장할 위치를 선택하십시요. 책을 캘리버 프로그램에 추가하면, 지정된 위치로 복사됩니다.  책을 저장할 위치로는 <b>빈 폴더</b>를 지정해주십시요."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -36967,6 +36991,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ku.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ku.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ku.po	2020-07-02 04:00:17.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ku.po	2020-07-16 16:44:03.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "Tiştek nake"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "Tiştek nake"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ltg.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ltg.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ltg.po	2020-07-02 04:03:37.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ltg.po	2020-07-16 16:40:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "Pilneigi nikū nadora"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "Pilneigi nikū nadora"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6496,103 +6507,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6600,7 +6611,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8492,7 +8503,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8976,7 +8987,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9021,7 +9032,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9073,7 +9084,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9229,7 +9240,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9269,7 +9280,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10171,7 +10182,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10776,7 +10787,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10988,7 +10999,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11439,8 +11450,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11569,42 +11580,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11613,112 +11629,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11726,7 +11742,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11795,7 +11811,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11813,11 +11829,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11956,7 +11972,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11991,7 +12007,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12038,8 +12054,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12151,22 +12167,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12394,7 +12410,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12869,10 +12885,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13304,7 +13320,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13319,7 +13335,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13328,7 +13344,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13343,8 +13359,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13411,45 +13427,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13795,7 +13811,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14621,74 +14637,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14696,44 +14711,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15440,11 +15455,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15508,79 +15523,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15630,8 +15650,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16187,46 +16207,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16235,7 +16255,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16250,11 +16270,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16283,7 +16303,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16308,28 +16328,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16356,65 +16376,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16748,77 +16768,77 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16826,7 +16846,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16836,7 +16856,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16851,80 +16871,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16932,90 +16952,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17023,118 +17043,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17143,152 +17163,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17296,48 +17316,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17966,7 +17986,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18626,76 +18646,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18727,121 +18747,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19724,17 +19744,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -20018,21 +20038,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20376,7 +20386,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20539,6 +20549,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20819,7 +20839,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20891,7 +20911,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21654,13 +21674,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21685,80 +21705,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22747,37 +22767,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22914,7 +22934,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23052,7 +23072,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23323,7 +23343,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23718,86 +23738,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23806,47 +23826,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25394,7 +25414,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26420,150 +26440,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27233,7 +27253,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27640,12 +27660,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27703,76 +27723,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31183,18 +31203,18 @@ msgstr[2] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31208,70 +31228,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34223,13 +34243,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34264,30 +34284,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34341,44 +34361,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34386,15 +34410,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34402,7 +34426,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34410,7 +34434,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34425,7 +34449,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34463,17 +34487,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37060,6 +37084,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/lt.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/lt.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/lt.po	2020-07-02 04:02:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/lt.po	2020-07-16 16:40:57.000000000 +0000
@@ -16,8 +16,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
@@ -215,7 +215,7 @@ msgstr "Nieko nedaro"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -227,12 +227,12 @@ msgstr "Nieko nedaro"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1142,9 +1142,9 @@ msgstr "Katalogas"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1169,7 +1169,7 @@ msgstr "Per ilgas kelias iki ({0}) bibli
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1231,7 +1231,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2844,8 +2844,8 @@ msgstr "Gaunamas įrenginio knygų sąra
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2854,8 +2854,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3198,7 +3198,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Keisti šabloną"
@@ -3311,7 +3311,7 @@ msgid "Communicate with MTP devices"
 msgstr "Susisiekti su MTP įrenginiais"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3338,8 +3338,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3727,61 +3727,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6215,7 +6226,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Ne"
 
@@ -6238,7 +6249,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6506,103 +6517,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "JAV"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Prancūzija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Vokietija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "JK"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japonija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Ispanija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brazilija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Nyderlandai"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Kinija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Kanada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Pasirinkti serverį automatiškai"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6610,7 +6621,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8505,7 +8516,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8995,7 +9006,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Per ilgas"
 
@@ -9040,7 +9051,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9092,7 +9103,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9249,7 +9260,7 @@ msgid "Browse for library"
 msgstr "Naršyti biblioteką"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Kopijuoti"
@@ -9289,7 +9300,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Pasirinkti viską"
 
@@ -10197,7 +10208,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10805,7 +10816,7 @@ msgid "this book"
 msgstr "ši knyga"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Ieškoti %s"
@@ -11018,7 +11029,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11472,8 +11483,8 @@ msgstr "Pakeisti"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11602,42 +11613,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Tvarkyti %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Ištrinti %s formatą"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11646,112 +11662,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr "Atidaryti %s su..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "Kopijuoti kelią į failą"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Pašalinti %s iš šios knygos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Kopijuoti viską"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Atidaryti viršelį su..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Kelias"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11759,7 +11775,7 @@ msgstr "Kelias"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11828,7 +11844,7 @@ msgstr "išvestis"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11846,11 +11862,11 @@ msgstr "išvestis"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11989,7 +12005,7 @@ msgid "Preset name:"
 msgstr "Dabartinis pavadinimas:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Turite nurodyti pavadinimą."
 
@@ -12024,7 +12040,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12071,8 +12087,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Ištrinti"
 
@@ -12184,22 +12200,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12427,7 +12443,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12902,10 +12918,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13337,7 +13353,7 @@ msgid "Change the title of this book"
 msgstr "Pakeisti šios knygos pavadinimą"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "Autorius(-iai):"
 
@@ -13352,7 +13368,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Leidėjas:"
 
@@ -13361,7 +13377,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13376,8 +13392,8 @@ msgstr "Serija:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Žinomų serijų sąrašas. Galite pridėti naujų."
@@ -13444,45 +13460,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "Kairėje:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "Viršuje:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "Dešinėje:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "Apačioje:"
@@ -13828,7 +13844,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "Pakeisti"
 
@@ -14654,74 +14670,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Neapibrėžta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Išvalyti '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Išvalyti serijas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Automatiškai numeruoti knygas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14729,44 +14744,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15474,11 +15489,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15542,79 +15557,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "Vykdyti patikrinimą dar kartą"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Kopijuoti į iškarpinę"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "Atlikta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Pažymėti viską ištrynimui"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Ištrinti pažymėtus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Pažymėti viską taisymu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Pažymėti taisomus elementus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Ignoruojami pavadinimai:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Kelias iš bibliotekos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15664,8 +15684,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Bloga vieta"
 
@@ -16221,46 +16241,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Elementas yra tuščias"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Nepasirinktas joks elementas"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Nepasirinktas joks elementas"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16269,7 +16289,7 @@ msgid "Items in use"
 msgstr "Naudojami elementai"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16284,11 +16304,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16318,7 +16338,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16343,28 +16363,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16391,65 +16411,65 @@ msgstr "Neteisingas autoriaus vardas"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Tvarkyti autorius"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "Ieškoti:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16784,77 +16804,77 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Dirbama"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Reguliarioji išraiška"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Pakeisti lauką"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Pridėti prie lauko"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "%d knyga:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16862,7 +16882,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16872,7 +16892,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16887,80 +16907,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16968,90 +16988,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Automatiškai nustatyti autoriaus rūšiavimą"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Pakeisti viršelį"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "Generuoti numatytąjį viršelį"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "Pašalinti viršelį"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Data"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17059,118 +17079,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "Išvalyti serijas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "Pašalinti žymes:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Pašalinti viską"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "Taikyti reitingą"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Kalbos:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17179,152 +17199,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "Reitingas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Baziniai metaduomenys"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Kiti metaduomenys"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "Į&rašyti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Paieškos laukas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Paieškos rėžimas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "Šablonas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "Pakeisti su:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "Rėžimas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17332,48 +17352,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "Ieškoti ir pakeisti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18002,7 +18022,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18662,76 +18682,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Pridėti naują kategoriją"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "&Galimi elementai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18763,121 +18783,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Buvo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19762,17 +19782,17 @@ msgstr "Išdėstymas"
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Atkurti %s"
@@ -20059,21 +20079,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20417,7 +20427,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre biblioteka"
 
@@ -20580,6 +20590,16 @@ msgstr "Išeiti"
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20861,7 +20881,7 @@ msgstr "Leidėjas:"
 msgid "Clear publisher"
 msgstr "Išvalyti leidėją"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Išvalyti datą"
 
@@ -20935,7 +20955,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21700,13 +21720,13 @@ msgid "&Automatic adding"
 msgstr "Automatinis pridėjimas"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21731,80 +21751,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "Darbo prioritetas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Norima &įvesties formato tvarka:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "&Norimas išvesties formatas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22793,37 +22813,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "Pridėti el. paštą"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "Pašalinti el. paštą"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22960,7 +22980,7 @@ msgid "Create a new rule"
 msgstr "Sukurti naują taisyklę"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23098,7 +23118,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Pagal pirmąją raidę"
 
@@ -23369,7 +23389,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Neįjungta"
 
@@ -23764,86 +23784,86 @@ msgstr "Nepasirinktas joks šaltinis"
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Metaduomenų šaltiniai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "Pažymėti viską"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "Nustatyti kaip numatytąjį"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23852,47 +23872,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr "sekundės"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25442,7 +25462,7 @@ msgid "Paste and &search"
 msgstr "Įklijuoti ir ieškoti"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "Įklijuoti"
@@ -26468,150 +26488,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Rodyti kategoriją"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Pakeisti kategorijos ikoną"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Particija"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Suskleisti visus lygius"
 
@@ -27281,7 +27301,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Neišsaugoti pakeitimai"
 
@@ -27688,12 +27708,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Nepalaikomas failo formatas"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27751,76 +27771,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Nežinoma klaida"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Nepavyko iškoduoti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "Išsaugoti ir išeiti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "Išeiti neišsaugojus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31239,18 +31259,18 @@ msgstr[3] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31264,70 +31284,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Atidaryti nuorodą"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Ieškoti peržiūroje"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34283,13 +34303,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34324,30 +34344,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Pasirinkti spalvą"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Pasirinkti spalvą"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Iškirpti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Be reitingo"
 
@@ -34401,44 +34421,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Pasirinkite savo el. knygų įrenginį. Jeigu jo šiame sąraše nėra, pasirinkite įrenginį \"%s\"."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "Toliau >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Atgal"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34446,15 +34470,15 @@ msgstr "< &Atgal"
 msgid "Cancel"
 msgstr "Atšaukti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "Užbaigti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34462,7 +34486,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Sveiki atvykę į „Calibre“"
@@ -34470,7 +34494,7 @@ msgstr "Sveiki atvykę į „Calibre“"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Vieno žingsnio sprendimas visoms jūsų el. knygų reikmėms."
@@ -34485,7 +34509,7 @@ msgstr "Įrenginiai"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34523,17 +34547,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Pasirinkite savo kalbą:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Pasirinkite vietą savo knygoms. Kai pridėsite knygas į „Calibre“ programą, jos bus perkopijuotos į čia. Naudokite <b>tuščią aplanką</b> naujai „Calibre“ bibliotekai:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37121,6 +37145,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/lv.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/lv.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/lv.po	2020-07-02 04:06:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/lv.po	2020-07-16 16:39:05.000000000 +0000
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
@@ -213,7 +213,7 @@ msgstr "Nedara pilnīgi neko"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -225,12 +225,12 @@ msgstr "Nedara pilnīgi neko"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1140,9 +1140,9 @@ msgstr "Katalogs"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1167,7 +1167,7 @@ msgstr "Ceļš līdz bibliotēkai ({0})
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1229,7 +1229,7 @@ msgstr "Saglabātie meklējumi"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2842,8 +2842,8 @@ msgstr "Lasa ierīces grāmatu sarakstu.
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2852,8 +2852,8 @@ msgstr "Dzēš grāmatas no ierīces met
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3196,7 +3196,7 @@ msgstr "Ievadiet šablonu, ko izmantot,
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Labot sagatavi"
@@ -3309,7 +3309,7 @@ msgid "Communicate with MTP devices"
 msgstr "Sazināties ar MTP ierīcēm"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Saņem informāciju par ierīci..."
@@ -3336,8 +3336,8 @@ msgid "Finished reading metadata from de
 msgstr "Pabeigta metadatu nolasīšana no ierīces"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3725,61 +3725,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "Šis ir komatu atdalīts to formātu failu paplašinājumu saraksts, kurus vēlaties nosūtīt uz ierīci. Piemēram, jūsu bibliotēkā, iespējams, ir audiogrāmatas ar paplašinājumu “m4b”, kuras vēlaties klausīties ierīcē. Neuztraucieties par brīdinājumu “īpaši iespējotie paplašinājumi”."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Pārāk daudz mēģinājumu pieslēgties no %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Aplikācija uz Jūsu ierīces ir pārāk veca un vairs netiek atbalstīta. Atsvaidziniet to ar jaunāku versiju."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Jūsu bibliotēkā ir grāmatu formāti ar nākotnes datumiem. Skatīt calibre sīkākai informācijai"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "Sinhronizācijas sleja %s nav atrodama calibre bibliotēkā"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "Sinhronizācijas sleja %s nav Ja/Nē sleja"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "Sinhronizācijas laika zīmoga sleja %s nav atrodama calibre bibliotēkā"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "Sinhronizācijas lasīšanas datums sleja %s nav datuma sleja"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Nederīgs saspiešanas kvalitātes iestatījums. Tam ir jābūt skaitlim starp 50 un 99. Iestatīts %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Nederīgs ports iesttījumos: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Neizdevās pieslēgties portam %d. Mēģiniet citu vērtību."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Neizdevās piešķirt brīvi izvēlētu portu"
 
@@ -6213,7 +6224,7 @@ msgstr "Izvilkt kopējus e-grāmatu form
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Nē"
 
@@ -6236,7 +6247,7 @@ msgid "Producer"
 msgstr "Producents"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6503,103 +6514,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google attēli"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Lejupielādē metadatus un vākus no Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "ASV"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Francija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Vācija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Lielbritānija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Austrālija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Itālija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japāna"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Spānija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brazīlija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Nīderlande"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Ķīna"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Kanāda"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Izvēlēties serveri automātiski"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Amazon serveri"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Bing meklēšanas kešatmiņa"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Google meklēšanas kešatmiņa"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Wayback mašīnas kešatmiņa (lēni)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Izmantot Amazon tīmekļa vietni:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Metadati tiks meklēti šīs valsts Amazon lapā."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Serveris datu iegūšanai:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon ir sākusi bloķēt mēģinājumu ielādēt metadatus no saviem serveriem. Lai apietu šo problēmu, calibre var saņemt Amazon datus no dažādām vietām, kur tie tiek ierakstīti kešatmiņā. Izvēlieties avotu, kuram jūs dodat priekšroku."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Izmantot MOBI-ASIN metadatu meklēšanai"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6607,7 +6618,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr "Iespējot šo opciju, lai meklētu metadatus ar ASIN identifikatoru MOBI failam šīs valsts tīmekļa vietnē, ja vien nav pieejams kāds cits Amazon ID. Ņemiet vērā, ka, ja MOBI fails ir no citas Amazon valsts veikala, jūs varētu saņemt nepareizus rezultātus."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazon noildze. Mēģiniet vēlāk."
 
@@ -8499,7 +8510,7 @@ msgstr "Starpliktuvē nav kopēts nevien
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8983,7 +8994,7 @@ msgstr "Mape %s jau pastāv. Sākumā to
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Par garu"
 
@@ -9028,7 +9039,7 @@ msgstr "Bibliotēka %s ir izdzēsta no C
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9080,7 +9091,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9236,7 +9247,7 @@ msgid "Browse for library"
 msgstr "Sameklēt bibliotēku"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Kopēt"
@@ -9276,7 +9287,7 @@ msgstr "{0} ar {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Izvēlēties &visu"
 
@@ -10178,7 +10189,7 @@ msgid "Move to next highlighted match"
 msgstr "Pāriet uz nākošo iezīmēto rezultātu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10783,7 +10794,7 @@ msgid "this book"
 msgstr "šo grāmatu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Meklēt %s"
@@ -10995,7 +11006,7 @@ msgstr "&Apskatīt grāmatu"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11446,8 +11457,8 @@ msgstr "Mainīt"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11576,42 +11587,47 @@ msgid "Search the internet for this book
 msgstr "Meklēt šo grāmatu internetā"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Pārvaldīt %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Dzēst %s formātu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Saglabāt formātu %s diskā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Atjaunot %s formātu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Iestatīt grāmatas vāku no %s faila"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Salīdzināt ar %s formātu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11620,112 +11636,112 @@ msgstr "Salīdzināt ar %s formātu"
 msgid "Open %s with..."
 msgstr "Atvērt %s ar..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Pievienot citu lietotni %s datnēm..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Labot Atvērt ar programmu..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Rediģēt %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "Kopēt &ceļu uz datni"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr "&Kopēt autora saiti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Meklēt calibre%s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Kopēt ceļu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr "&Kopēt identifikatoru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Aizvākt %s no šīs grāmatas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Kopēt &visu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Kopēt saiti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Atvērt vāku ar..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Pievienot citu lietotni vāka atvēršanai..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Ielīmēt vāku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Kopēt vāku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Saglabāt vāku diskā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Noņemt vāku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Izveidot vāku no metadatiem"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Izvēlieties vāka saglabāšanas vietu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "JPEG attēli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Veiciet dubultklikšķi, lai atvērtu grāmatas detaļas logu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Atrodas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11733,7 +11749,7 @@ msgstr "Atrodas"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Vāka izmērs: %(width)d x %(height)d pikseļi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Rediģēt šīs grāmatas identifikatorus"
 
@@ -11802,7 +11818,7 @@ msgstr "izvade"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11820,11 +11836,11 @@ msgstr "izvade"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11963,7 +11979,7 @@ msgid "Preset name:"
 msgstr "Sākumiestatījuma nosaukums:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Jums jānorāda nosaulkums."
 
@@ -11998,7 +12014,7 @@ msgstr "Patiess"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12045,8 +12061,8 @@ msgid "Delete current preset"
 msgstr "Dzēst pašreizējo sākmuiestatījumu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Dzēst"
 
@@ -12158,22 +12174,22 @@ msgstr "Atiestatīt"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12401,7 +12417,7 @@ msgstr "Pozīcija {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12876,10 +12892,10 @@ msgstr "Fonta izmēra :atslēga:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13311,7 +13327,7 @@ msgid "Change the title of this book"
 msgstr "Maina šīs grāmatas nosaukumu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Autors(i): "
 
@@ -13326,7 +13342,7 @@ msgid ""
 msgstr "Mainīt šīs grāmatas autoru(s). Ja autori ir vairāki, tie jāatdala ar komatu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Izdevniecība: "
 
@@ -13335,7 +13351,7 @@ msgid "Ta&gs: "
 msgstr "&Birkas: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13350,8 +13366,8 @@ msgstr "&Sērija:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Zināmo sēriju saraksts. Jūs varat pievienot jaunas sērijas."
@@ -13418,45 +13434,45 @@ msgstr "Ekrāna izmērs: %s"
 msgid "Page setup"
 msgstr "Lapas iestatīšana"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "I&zvades profils:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Profila apraksts"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "&Ievades profils:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Apmales"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Kreisā:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Nemainīts"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Augša:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Labā:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Apakša:"
@@ -13802,7 +13818,7 @@ msgid "Edit the currently selected expre
 msgstr "Labot pašreiz atlasīto izteiksmi"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Mainīt"
 
@@ -14628,74 +14644,73 @@ msgstr "Izvēlieties failu, no kura impo
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Nenoteikts"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Iestatīt '%s'  uz šodienu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Attīrīt '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr "Atvērt vienumu redaktoru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Vērtības mainītas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Jūs esat mainījis vērtības. Lai izmantotu šo redaktoru, jums ir vai nu jāizmet vai jāpiemēro šīs pārmaiņas. Pielietot izmaiņas?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " rādītājs:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Uzskaitījums \"{0}\" satur nederīgu vērtību, kas tiks iestatīts kā noklusējums"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Pielietot izmaiņas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Iztīrīt sērijas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Automātiski numurēt grāmatas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14703,44 +14718,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "Ja nav atzīmēts, grāmatas sērijas numurs tiks iestatīts uz 1. Ja atzīmēts, atlasītās grāmatas tiks automātiski numurētas secībā, kādā tās tika atlasītas. Tātad, ja esat izvēlējies grāmatu A un pēc tam B, grāmata A būs sērijas numurs 1 un grāmata B sērijas numurs 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Sākt numerāciju no "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "Sērijas parasti pārnumurē no lielākā numura šīs sērijas datu bāzē. Atzīmējot šo rūtiņu, calibre norādīs, ka jāsāk numurēt no lodziņā norādītās vērtības"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "Vērtība, pēc kuras palielinās sērijas numurs secīgām grāmatām. Piemēro tikai tad, kad, izmanto piespiedu sērijas numurus."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Uzskaitījums \"{0}\" satur neatļautas vērtības, kas neparādīsies sarakstā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Aizvākt visas birkas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "pievienojamās birkas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "aizvācamās birkas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15447,11 +15462,11 @@ msgstr "Paies zināms laiks, lūdzu, uzg
 msgid "Vacuuming..."
 msgstr "Tīra datubāzi..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Pārbaudīt bibliotēku --atrastas problēmas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15515,79 +15530,84 @@ msgid ""
 "        "
 msgstr "        <h1>Palīdzība</h1>\n\n        <p>calibre saglabā savas grāmatas un to metadatu sarakstu\n        datu bāzē. Faktisko grāmatu faili un vāciņi tiek saglabāti kā parasti\n        calibre bibliotēkas mapē esošos failos. Datu bāze satur failu sarakstu\n        un vākus, kas pieder pie katra grāmatas ieraksta. Šis rīks pārbauda, vai\n        faktiski bibliotēkas mapes faili uz jūsu datora atbilst\n        informācijai datu bāzē.</p>\n\n        <p>Katra veida izvēles rezultāts ir redzams pa kreisi. Dažādas\n        pārbaudes ir:\n        </p>\n        <ul>\n        <li><b>Nederīgi nosaukumi</b>: Tie ir faili un mapes\n        bibliotēkā, kur vajadzētu būt grāmatu nosaukumiem, bet tiem nav\n        pareiza forma kā grāmatas virsrakstam.</li>\n        <li><b>Papildu virsraksti</b>: Šie ir papildu faili jūsu calibre\n        bibliotēkā, kam, šķiet, pareizi veidoti nosaukumi, bet kuriem nav atbilstošā\n        ieraksta datu bāzē</li>\n        <li><b>Nederīgs autors</b>: Šie ir faili, kas parādās\n        bibliotēkā, kuriem vajadzētu būt tikai autora mapēs..</li>\n        <li><b>Papildu autori</b>: Tās ir mapes\n        calibre bibliotēkā, šķiet, ka autori, bet kurām nav ierakstu\n        datu bāzē</li>\n        <li><b>Trūkstošo grāmatu formāti</b>: Šie ir grāmatu formāti, kas ir\n        datu bāzē, bet ir bez atbilstošā formāta faila grāmatas mapē.\n        <li><b>Papildu grāmatu formāti</b>: Šie ir grāmatas formāta faili, kas atrodas\n        grāmatas mapē, bet ne datu bāzē.\n        <li><b>Nezināmi faili grāmatās</b>: Šie ir papildu faili,\n        mapē no katras grāmatas, kas neatbilst zināmajiem formātiem vai vāka\n        failiem..</li>\n        <li><b>Pazuduši grāmatas vāku faili</b>: Tās ir grāmatas, kas ir atzīmētas\n        datu bāzē, kam ir vāki, bet faktiski vāciņu faili tām\n        trūkst.</li>\n        <li><b>Vāki nav datubāzes failos</b>: Tās ir grāmatas, kas\n        ietver failus, bet tiek atzīmēts datu bāzē, kā bez vākiem..</li>\n        <li><b>Mapes veidošanas izņēmums</b>: Tās ir mapes\n        calibre bibliotēkā, ko nevarēja apstrādāt/saprast ar šo\n        rīku..</li>\n        </ul>\n\n        <p>Ir divu veidu automātisko labojumu iespējas: <i>Dzēst\n        iezīmēto</i> un <i>Labot atzīmēto</i>.</p>\n        <p><i>Dzēst iezīmēto</i> lieto, lai noņemtu papildu failus/mapes/vākus,\n        ir ierakstus datu bāzē. Atzīmējiet izvēles rūtiņu, blakus vienumam, kuru esat izvēlējies\n        lai dzēstu. Lietojiet ar piesardzību.</p>\n\n        <p><i>Labot atzīmēto</i> ir piemērojams tikai vākiem un trūkstošiem formātiem\n         (Trīs rindiņas atzīmētas kā \"labojams\"). In the case of missing cover files,\n        checking the fixable box and pushing this button will tell calibre that\n        there is no cover for all of the books listed. Use this option if you\n        are not going to restore the covers from a backup. In the case of extra\n        cover files, checking the fixable box and pushing this button will tell\n        calibre that the cover files it found are correct for all the books\n        listed. Use this when you are not going to delete the file(s). In the\n        case of missing formats, checking the fixable box and pushing this\n        button will tell calibre that the formats are really gone. Use this if\n        you are not going to restore the formats from a backup.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Atkārtot pārbaudi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Kopēt uz &starpliktuvi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Darīts"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Atzīmēt &visu, lai dzēstu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Atzīmēt visus dzēšamos apakšvienumus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Dzēst &iezīmētās"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Dzēst atzīmētās datnes (atzīmētos apakšvienumus)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Atz&īmēt visu labošanai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Atzīmēt visus labojamos vienumus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&Labot iezīmētās"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Labot iezīmētās sadaļas (pārbauda labojamos objektus)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Vērā neņemamie vārdi:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Ievadiet, ar komatu atdalītus standarta faila nosaukumu aizstājējzīmes, piemēram, synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Ignorējamie paplašinājumi:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Ievadiet, ar komatu atdalītus paplašinājumus bez punkta. Lieto tikai grāmatu mapēs"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(labojams)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Ceļš no bibliotēkas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15637,8 +15657,8 @@ msgstr "Mape %s satur pašreizējo Calib
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Nederīga atrašanās vieta"
 
@@ -16194,46 +16214,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (bija %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Vienība ir tukša"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Vienumu nekādi nevar iestatīt. Izdzēst to vietu."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Nav izvēlēta neviena vienība"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Jums ir jāizvēlas viens vienums pieejamo vienumu saraksta."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Nav izvēlēta neviena vienība"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Jums ir jāizvēlas vismaz viens vienums no saraksta."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Vai tiešām vēlaties izdzēst sekojošos vienumus?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Kategoriju redaktors"
 
@@ -16242,7 +16262,7 @@ msgid "Items in use"
 msgstr "Izmantotas vienības"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16257,11 +16277,11 @@ msgstr "Pārdēvēt vienumu ikvienā gr
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Grāmata ar DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16290,7 +16310,7 @@ msgid "Already in calibre:"
 msgstr "Jau atrodas Calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16315,28 +16335,28 @@ msgid "Change case"
 msgstr "Mainīt reģistru"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Lieli burti"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Mazie burti"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Mainīt reģistru"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16363,65 +16383,65 @@ msgstr "Nederīgs autora vārds"
 msgid "You cannot change an author to multiple authors."
 msgstr "Autoru nevar mainīt uz vairākiem autoriem."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Pārvaldīt autorus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Meklēt:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Atcelt visas kārtot autoru vērtības līdz automātiskai vērtībai\niegūtai no autora. Tieši tā, kā šī vērtība tiek automātiski\niegūta, ko var kontrolēt, izmantojot Iestatījumi ->Papildus->Uzlabošana"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "Pārrēķināt visas vērtības kārtot autoru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Kopēt kārtot autoru uz autoru, uz katru autoru. Parasti šo pogu izmanto\npēc nomaiņas Iestatījumi->Papildus->Uzlabošana->Autora kārtošanas nosaukuma algoritms"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "&Kopēt visas vērtības kārtot autoru uz autors"
 
@@ -16755,77 +16775,77 @@ msgstr[0] "Slēpt atlikušo kļūdas zi
 msgstr[1] "Slēpt {} atlikušo kļūdu ziņojumus"
 msgstr[2] "Slēpt {} atlikušo kļūdu ziņojumus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Strādā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Apstrādā %d grāmatas, lūdzu, gaidiet..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "Tekošais soļa progress: %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Solis %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Mazie burti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Lieli burti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Virsraksta Kapitalizācija"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Rakstzīmju atbisltība"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Regulāra izteiksme"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Aizvietojuma lauks"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Pievienot lauka sākumā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Pievienot lauka beigās"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Labot meta informāciju <b>%d grāmatām</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Tūlīt veikt visas izmaiņas, neaizverot dialogu. Šo darbību nevar atcelt vai atsaukt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Grāmata %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Ievadiet identifikatora tipu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16833,7 +16853,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Jūs varat iznīcināt jūsu bibliotēku, izmantojot šo funkciju..</b> Izmaiņas ir pastāvīgas. Nav atcelšanas funkcijas. Pirms turpināt, jums ieteicams dublēt jūsu bibliotēku.<p>Meklējiet un aizvietojiet teksta laukus, izmantojot rakstzīmju atbilstību vai regulāras izteiksmes. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16843,7 +16863,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16858,80 +16878,80 @@ msgid ""
 "function."
 msgstr "Regulāro izteiksmju režīmā meklēšanas teksts ir patvaļīga ar Python saderīga regulārā izteiksme. Aizstātais teksts var saturēt iekavās iekļautas atsauces uz izteiksmēm. Meklēšana nav noenkurota, un tā pati rinda var būt vairākas reizes saskaņota un aizstāta. Modificēšanas funkcija (mazie burti utt.) tiek piemēroti saskaņotajam tekstam, nevis laukam kopumā. Galamērķa lodziņš norāda lauku, kurā jānorāda rezultāts pēc saskaņošanas un aizstāšanas. Jūs varat pievienot vai aizvietot tekstu laukā vai pievienot saskaņoto tekstu. Lai iegūtu papildinformāciju par Python regulārajām izteiksmēm, un jo īpaši par apakšprogrammu, skatiet <a href=\"https://docs.python.org/library/re.html\">šo atsauci </a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R SAGAtAVES KĻŪDA"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Jums jānorāda galamērķis, ja avots ir salikts lauks vai šablons"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Vērtēšanas slejas aizstāšanas vērtībai jābūt tukšai vai veselam skaitlim no 0 līdz 10"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Jums jānorāda mērķa identifikatora tips"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Jums jānorāda meklēšanas izteiksme \"Meklēt\" laukā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Nederīga identifikatora virkne. Tai jābūt ar komatu atdalītam pāru virknes sarakstam, atdalot tos ar kolu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Nederīga meklēšana/aizvietošana"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Nederīgs meklēt/aizstāt: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Dzēst saglabāto meklēšanu/aizvietošanu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Izvēlētais un saglabātais meklēt/aizstāt tiks dzēsts. Vai esat pārliecināts?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Saglabāt Meklēt/aizvietot"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Meklēt/aizvietot nosaukums:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Saglabātais meklēt/aizstāt jau pastāv, un tiks pārrakstīts. Vai esat pārliecināts?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Labot meta informāciju"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr "P&ieteikt datumu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16939,90 +16959,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Tas automātiski atjauninās autoru kārtošanas lauku\n pamatojoties uz autoru lauku katrai atlasītajai grāmatai. Ņemiet vērā, ka, ja\n jūs izmantojat iepriekš minēto kontroli, lai norādītu autorus vairumā, autoru lauks\n jebkurā gadījumā tiek atjaunināts, neatkarīgi no šīs izvēles rūtiņas vērtības."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "A&utomātiski iestatīt kārtot autoru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "P&ārslēgt nosaukumu un autoru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Atjaunināt nosaukumu kārtošanu pamatojoties uz pašreizējo nosaukumu. Tas tiks piemērots tikai pēc citām izmaiņām nosaukumā."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Atjaunināt &nosaukuma kārtošanu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Mainīt vāku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Veidot noklusēto vāku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Aizvākt vāku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Centieties, automātiski atklāt un nodzēst robežas un papildus vietu\nno vāka attēlu malām. Dažreiz tos var noņemt arī\npar daudz, tāpēc izmantojiet uzmanīgi."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "&Apgriezt vāciņu (BĪSTAMI)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "Iestatīt no &e-grāmatas failiem"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Uzstādīt vienādus vākus visām atlasītajām grāmatām\nkā no pirmās izvēlētās grāmatas."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Klonēt vākus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Nosaka nosaukumu ar virsraksta burtiem (pirmie ir lielie burti). Ja ieslēgta opcija\nmainīt autoru un nosaukumu, tad tie tiek nomainīti pirms noteikšanas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Mainīt virsraksta &burtus uz:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Datums:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Ja atzīmēts, izdevējs tiks notīrīts"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "&Notīrīt pub"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "P&ublicēts:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17030,118 +17050,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Ja tas nav atzīmēts, grāmatu sērijas numurs būs 1.\nJa tas ir atzīmēts, atlasītās grāmatas tiks automātiski numurētas pēc pasūtījuma\nko jūs izvēlējāties. Tātad, ja izvēlējāties grāmatu A un pēc tam grāmatu B,\nA grāmatā būs 1. sērijas un B sērijas 2. sērijas numurs."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "&Automātiski numurēt vienas sērijas grāmatas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Sēriju parasti pārnumurē uz lielāko skaitli šīs sērijas\ndatu bāzē. Atzīmējot šo lodziņu, calibre tiks rādīts, sākt \nnumerāciju no vērtības lodziņā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Sākt numerāciju no:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Ja atzīmēts, sērija tiks dzēsta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Attīrīt sērijas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Kontrolēt, kā tiek veidoti ģenerētie noklusējuma vāki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Konfigurēt vā&ka veidošanu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Pievienot ko&mentārus visām izvēlētajām grāmatām"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Aizvākt birkas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Aizvākt visas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Pievienot &birkas: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Norāda grāmatas autora(u) kārtošanas secību. Piemēram, Čārlzs Dikenss būtu jākārto kā Dikenss, Čārlzs."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "&Pievienot vērtējumu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Dzēst publicēšanas datumu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "Va&lodas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Ar komatu atdalīt birku sarakstu, lai noņemtu no grāmatām. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Atvērt birku redaktoru"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Autors &kārtošanai: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Iestatiet metadatus calibre no metadatiem e-grāmatu failos, kas saistīti ar katru grāmatu. Ņemiet vērā, ka tas nemaina vāku, tāpēc izmantojiet zemāk esošo atsevišķo iespēju."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Iestatiet &metadatus (izņemot vāku) no e-grāmatu failiem"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Sēr&ija:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Noņemt saglabātos pārveides iestatījumus izvēlētajām grāmatām.\n\nNākotnē šīs grāmatas izmantos noklusējuma iestatījumus."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Noņemt &uzglabāt pārvēršanas iestatījumus izvēlētajām grāmatām"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17150,152 +17170,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Ņemot vienu formātu, lai konvertētu uz to pašu formātu,\nPiemēram, EPUB uz EPUB, calibre saglabā sākotnējo EPUB\n kā ORIGINAL_EPUB. Šī opcija norāda calibre, lai tā varētu\n atjaunot EPUB no ORIGINAL_EPUB. Noderīgi, ja jūs vairumā\n pārveidojat daudz grāmatu un kaut kas notiek."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Atjaunot iepriekš pārveidotos &oriģinālus, ja ir pieejams"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Atzīmēt šo lodziņu, lai noņemtu visas birkas no grāmatām."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Vērtējums:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Pamata metadati"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Papildu &metadati"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "&Ielādēt meklēšanu/aizstāt:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Izvēlieties ielādējamo saglabāto meklēšanu/aizvietošanu."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Saglabāt pašreizējo meklēšanu/aizvietošanu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Saglabāt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Meklēšanas &lauks:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Lauka nosaukums, kuru vēlaties sameklēt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Meklēšanas &režīms:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Izvēlieties, vai izmantot parasto teksta saskaņošanu vai uzlaboto, atbilstoši regulārai izteiksmei"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "&Identifikatora tips:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Izvēlieties kāds identifikatora tips darbosies pēc"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "Veidne:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Ievadiet veidni, ko izmantot kā avotu meklēšanai/aizvietošanai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Ievadiet to, ko jūs meklējat, kā tekstu vai regulāru izteiksmi, atkarībā no režīma"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Atzīmēt, ja meklēšanas virknei ir precīzi jāsakrīt ar lielajiem un mazajiem burtiem. Atķesēt, ja kapitalizācija nav svarīga"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Reģistr&jūtīgs"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Aizvietot ar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Teksta aizvietošana. Saskaņotais meklēšanas teksts tiks aizstāts ar šo virkni"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Pielietot funkciju pēc aizstāšanas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Norādiet, kā teksts ir jāpārstrādā pēc saskaņošanas un aizvietošanas. Rakstzīmju režīmā, visi\nlauki tiek apstrādāti. Regulārā izteiksmes režīmā, tikai saskaņotais teksts tiek apstrādāts"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "&Mērķa lauks:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Lauks, kurā tiks ievietots teksts pēc visām izmaiņām.\nJa lauks ir tukšs, avota lauks tiek izmantots, ja lauks ir modificējams"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "R&ežīms:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Norādiet, kā teksts būtu jāiekopē mērķī."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Norāda, vai rezultāta vienumi būtu jāsadala pa vairākām vērtībām vai\npa kreisi, kā atsevišķas vērtības. Šī opcija ir visvairāk efektīva, ja avota lauks\nnav vairākkārtīgs, un mērķa lauks ir vairākkārtējs"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Sadalīt &rezultātu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Identifikatora tips:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17303,48 +17323,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Izvēlieties, kuru identifikatora tipu izmantot. Kad\n              avota lauks ir kaut kas cits, nevis \"identifikators\", kur jūs \n              varat ievadīt a * ja vēlaties aizstāt visu identifikatoru kopu \n              ar Meklēt/aizstāt rezultātu.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Rā&dīt laukiem ar vairākām vērtībām"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "vēr&tības sākot no"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "ar vērtībām, kas atdalītas a&r"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Izmanto, lai parādītu testa rezultātus, vērtību atdalīšanai, laukos ar vairākām vērtībām"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Pārbaudāmais teksts"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Pārbaudes rezultāts"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Jūsu &tests:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Meklēt un aizvietot"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Ja ir ieslēgta, grāmatu saraksts tiks atkārtoti sakārtots un esošā\nmeklēšana vai virtuālā bibliotēka tiks atjaunināta pēc pabeigtas\nlabošanas. Tas var būt lēns process lielās bibliotēkās."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "Pēc labošanas &atsvaidzināt grāmatu sarakstu"
 
@@ -17973,7 +17993,7 @@ msgstr "Nederīga saglabātā meklēšan
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Pārvaldīt saglabātās meklēšanas"
 
@@ -18633,76 +18653,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Pašreizējā birku kategorija tiks <b>neatgriezeniski izdzēsta</b>. Vai esat pārliecināts?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Lietotāja kategoriju redaktors"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "Kategorijas &nosaukums: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Izvēlieties labojamo kategoriju"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "&Kategorijas filtrs: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Izvēlieties satura veidu jaunai kategorijai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr "&Vienuma filtrs: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr "Ievadiet tekstu, lai filtrētu pieejamos vienumus. Burti un akcenti tiek ignorēti."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr "Ievadiet kategorijas nosaukumu, pēc tam izmantojiet pogu Pievienot vai Pārdēvēt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Pievienot jaunu kategoriju"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Pārdēvēt pašreizējo kategoriju uz to, kas ir ailē"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr "&Rādīt tikai pieejamos vienumus pašreizējā virtuālajā bibliotēkā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "&Pieejamie vienumi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Pielietot birkas pašreizējā birku kategorijā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "Lietotie &vienumi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Atvienot (noņemt) birkas no pašreizējās birku kategorijas"
 
@@ -18734,121 +18754,121 @@ msgid ""
 "to delete them?"
 msgstr "Šīs birkas tiek izmantotas ar vienu vai vairākām grāmatām. Vai tiešām vēlaties tās izdzēst?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Skaits"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Bija"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Vai tiešām vēlaties atsaukt izmaiņas?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Atjaunot vienumu?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Šis vienums ir izdzēsts. Vai vēlaties to atjaunot?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Atsaukt atlasīto rindu dzēšanu vai labojumus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19731,17 +19751,17 @@ msgstr "Makets"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Parādiet un paslēpiet dažādas calibre galvenā loga daļas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Nav %s formāta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Grāmatai {0} nav {1} formāta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Atjaunot %s"
@@ -20025,21 +20045,11 @@ msgstr "Grāmata %(sidx)s no <span class
 msgid "This book is on the device in %s"
 msgstr "Šī grāmata atrodas ierīcē %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Iestatīt nenoteiktu datumu"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Iestatīt šodienas datumu"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Iestatīt kā nenoteiktu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20383,7 +20393,7 @@ msgid ""
 msgstr "Ceļš līdz Calibre Portable (%s) ir pārāk garš. Tas nedrīkst būt garāks par 59 zīmēm."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre bibliotēka"
 
@@ -20546,6 +20556,16 @@ msgstr "I&ziet"
 msgid "Unhandled exception"
 msgstr "Neparedzēts izņēmums"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Iestatīt nenoteiktu datumu"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Iestatīt šodienas datumu"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20826,7 +20846,7 @@ msgstr "&Izdevējs:"
 msgid "Clear publisher"
 msgstr "Notīrīt izdevēju"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Notīrīt datumu"
 
@@ -20898,7 +20918,7 @@ msgid "Processed %s"
 msgstr "Apstrādātas %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Metadatu lauki lejupielādei"
 
@@ -21661,13 +21681,13 @@ msgid "&Automatic adding"
 msgstr "&Automātiska pievienošana"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Augsta"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Zema"
 
@@ -21692,80 +21712,80 @@ msgstr "Visas vienā šķirklī"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Visi apstiprinājuma dialogi ir atiestatīti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Paziņot, kad ir pieejama &jauna versija"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Automātiski nosūtīt lejupielādētās &ziņas uz e-grāmatu lasītāju"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "Darbu &prioritāte:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr "Lodziņā Rediģēt metadatus izvēlieties citu izkārtojumu. Kompakts metadatu izkārtojums dod priekšroku pielāgoto metadatu rediģēšanai, nevis mainīgajiem vākiem un formātiem."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Vēlamā &ievades formātu kārtība:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Vēlamais &rezultāta formāts:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "Labot metadatu (vienu) &maketu:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Ja ieslēgts, Jā/Nē pielāgotās slejas vērtības var būt Jā, Nē, vai Nezināms.\nJa nav atzīmēts, vērtības var būt Jā vai Nē."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "&Jā/Nē, slejām ir trīs vērtības (nepieciešams restartēt)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Dzēst ziņas no bibliotēkas, kad tās tiek automātiski nosūtītas uz lasītāju"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Noklusētā tīkla &noildze:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Uzstādīt noklusēto noilgumu tīkla ielādē (t.i, jebkurā laikā, kad ejam ārā no interneta, lai iegūtu informāciju)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " sekundes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr "Izmantot šo virtuālo bibliotēku startējot calibre, ja šī bibliotēka tiek izmantota. Lietot arī, pārslēdzoties uz šo bibliotēku. Ņemiet vērā, ka šis iestatījums ir katrai bibliotēkai. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Atiestatīt visus atslēgtos apstiprināšanas dialoglodziņus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Izmantot iekšējo skatītāju šādiem formātiem:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Virtuālā bibliotēka jāpiemēro, kad tiek atvērta &pašreizējā bibliotēka:"
 
@@ -22754,37 +22774,37 @@ msgid ""
 " effect.\n"
 msgstr "Kopējiet šīs vērtības starpliktuvē, ielīmējiet tās redaktorā, pēc tam ievadiet tās USER_DEVICE, pielāgojot ierīces spraudni sadaļā Uzstādījumi-> Papildu-> Spraudņi. Atcerieties arī ievadīt mapes, kurās vēlaties ievietot grāmatas. Lai izmaiņas stātos spēkā, jums ir jārestartē calibre.\n"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr "<p>calibre var nosūtīt jūsu grāmatas jums (vai lasītājam) pa e-pastu. E-pasti automātiski tiks nosūtīti lejupielādētām ziņām uz visām e-pasta adresēm, kurām ir iestatīta <i>Automātiska nosūtīšana</i>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Pievienot e-pasta adresi uz kuru sūtīt grāmatas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Pievienot e-pastu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Uzstādīt kā &noklusēto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "N&oņemt e-pastu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Pievienot komentārus no grāmatas metadatiem uz e-pastu.\nLietderīgi atļaut saņēmējam redzēt grāmatas\nkopsavilkumu, pirms to atvēršanas."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Pievienot &komentāru metadatus kā tekstu uz e-pastu"
 
@@ -22921,7 +22941,7 @@ msgid "Create a new rule"
 msgstr "Izveidojiet jaunu noteikumu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23059,7 +23079,7 @@ msgid "If there is enough room"
 msgstr "Ja nepietiek vieta"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Pēc pirmā burta"
 
@@ -23330,7 +23350,7 @@ msgid "Caching of covers for improved pe
 msgstr "Vāciņu kešošana, lai uzlabotu veiktspēju"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Atspējot"
 
@@ -23725,86 +23745,86 @@ msgstr "Avots nav izvēlēts"
 msgid "No source selected, cannot configure."
 msgstr "Nevar konfigurēt, jo avots nav izvēlēts."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Metadatu avoti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Avotus ar sarkanu krustu blakus to nosaukuma pirms izmantošanas ir jākonfigurē. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "K&onfigurēt izvēlēto avotu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Ja jūs neiezīmēsiet jebkuru lauku, metadati tajos laukos, netiks lejupielādēti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Izvēlēties visus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr "Bez a&tlases"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Atjaunot jūsu apakšgrupu pārbaudītos laukus, kurus var noteikt, izmantojot \"Uzstādīt pēc noklusējuma\" pogu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr "Noklusējuma &atlase"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Saglabājiet pašreiz atzīmētos laukus kā noklusējumu, jūs varat ātri piemērot noklusējumu, izmantojot \"Atlasīt noklusējumu\" pogu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "Atzīmēt kā &noklusēto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Pārvērst visus lejupielādētos komentārus vienkāršā &tekstā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Mainiet autoru nosaukumus no VU uz UV"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Lejupielādējot komentārus, pievienot lejupielādētos komentārus pie jau esošajiem, nepārrakstot tos."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "Lejupielādējot komentārus, pievienot lejupielādētos komentārus pie jau esošajiem, nepārrakstot tos."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Pievienot komentārus &esošajiem"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23813,47 +23833,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr "<p> Parasti metadatu lejupielādes sistēma saglabās tikai vienu rezultātu katram metadatu avotam. Šī opcija liks saglabāt visus rezultātus no visiem metadatu avotiem. Noderīgi, ja izmantojat tikai vienu vai divus avotus un vēlaties no tiem atlasīt atsevišķus rezultātus. Ņemiet vērā, ka rezultāts ar identisku virsrakstu/autoru identifikatoriem joprojām tiek apvienoti."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "Saglabāt vairāk kā vienu ierakstu vienā avotā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Dažādiem metadatu avotiem ir atšķirīgi vienas grāmatas birku kopumi. Ja šī opcija ir atzīmēta, calibre izmantos mazākās birku kopas. Tie mēdz būt vairāki, kā žanri, savukārt lielākos birku komplektos ir tendence aprakstīt grāmatu saturu.\n<p>Ņemiet vērā, ka šī opcija praktiski atšķirsies tikai tad, ja kādam no metadatu avotiem ir žanra birka, kas ir iestatīta meklētai grāmatai. Visbiežāk viņiem ir lieli birku komplekti."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Dod priekšroku mazākiem birku kopumiem, izvēloties birkas no dažādiem metadatu avotiem"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Priekšroka &mazāk birkām"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Izveidot &likumus birku filtrēšanai/pārveidošanai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "Izveidot kārtulas &autoru vārdu pārveidošanai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "Maksimālais lejupielādējamo birku skaits:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Maksimālais gaidīšanas &laiks pēc pirmā rezultāta atrašanas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " sek."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Maksimālais gaidīšanas laiks pēc pirmā &vāka atrašanas:"
 
@@ -25401,7 +25421,7 @@ msgid "Paste and &search"
 msgstr "Ielīmēt un &meklēt"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "Ie&līmēt"
@@ -26427,150 +26447,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr "\"Klikšķiniet\" uz atrasta vienuma"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Mainīt ikonu uz: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr "Pārdēvēt %s virtuālajā bibliotēkā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Pārdēvēt %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr "Dzēst %s virtuālajā bibliotēkā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Dzēst %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Labot %s šķirošanas kārtību"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Labot %s saiti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "Pievienot %s lietotāja kategorijai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Bērni no %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Noņemt %(item)s no kategorijas %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Meklēt jebko, izņemot %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "Meklēt, izmantojot saglabāto meklēšanas izteiksmi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Pievienot %s apakškategoriju"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Dzēst lietotāju kategoriju %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Slēpt kategoriju %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Rādīt kategoriju"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Meklēt %s kategorijas grāmatas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Meklēt grāmatas ārpus kategorijas %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Nomainīt kategorijas ikonu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Atjaunot noklusēto ikonu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Pārvaldīt lietotāju kategorijas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Rādīt visas kategorijas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Mainīt apakš-kategorizēšanas shēmu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Sadaļa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Pirmais burts ir lietojams tikai tad, ja šķiro pēc nosaukuma"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "P&aplašināt visus bērnus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Sakļaut visus līmeņus"
 
@@ -27240,7 +27260,7 @@ msgid "The Qt WebEngine Render process c
 msgstr "Qt WebEngine Render process avarēja un ir restartēts"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Nesaglabātās izmaiņas"
 
@@ -27647,12 +27667,12 @@ msgid ""
 msgstr "Datne %s nepastāv. Ja mēģināt  izvēlēties vienumu no satura rādītāja, iespējams, vajadzēs to atsvaidzināt uzklikšķinot ar labo peles pogu un izvēloties \"Atsvaidzināt\"."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Neatbalstīts datnes formāts"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "%s tipa datņu labošana nav atbalstīta"
@@ -27710,76 +27730,76 @@ msgid "Import"
 msgstr "Importēt"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Vispirms: aizvietot %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Lai skatītu atskaiti, vispirms ir jāatver grāmata."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Vispirms jāatver grāmata, lai pārbaudītu saites."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Lai saspiestu attēlus, vispirms ir jāatver grāmata."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Vispirms: saspiest attēlus"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Negaidīta kļūda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Neizdevās saspiest attēlus, lai iegūtu vairāk informācijas, noklikšķiniet uz \"Rādīt detaļas\" pogas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Nevar atkodēt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Nav iespējams rediģēt %s, jo tā rakstzīmju kodējums nav zināms"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Neviena grāmata pašlaik nav atvērta. Lai labotu, jums vispirms ir jāatver grāmata."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "Tekošā grāmata tiek saglabāts fonā. Iziet tagad <b>pārtraukt saglabāšanas procesu</b>! Pabeigt saglabāšanu vispirms?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Iziet tūlīt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Vispirms pabeidziet &saglabāšanu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Šobrīd ir palikušas nesaglabātas izmaiņas. Ja iziesiet no calibre bez saglabāšanas, Jūs šīs izmaiņas zaudēsiet."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Saglabāt un iziet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "Aiz&vērt nesaglabājot"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Saglabā, lūdzu, uzgaidiet..."
 
@@ -31190,18 +31210,18 @@ msgstr[2] "{} atspējotie apstiprinājum
 msgid "Disabled confirmations restored"
 msgstr "Atjaunoti atspējotie apstiprinājumi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr "Apdares process avarēja"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31215,70 +31235,70 @@ msgid ""
 "            "
 msgstr "\n            <h3>Tiešais priekšskatījums</h3>\n\n            <p>Šeit jūs redzat reāllaika HTML faila priekšskatījumu, kuru pašlaik labojat.\n            Priekšskatījums tiks automātiski atjaunināts, veicot izmaiņas.\n\n            <p style=\"font-size:x-small; color: gray\">Ņemiet vērā, ka tas ir ātrs priekšskatījums\n            tikai tas nav paredzēts, lai modelētu faktisko e-grāmatu lasītāju. Daži\n            jūsu e-grāmatas aspekti nedarbosies, piemēram, lapu pārtraukumi un lapu apmales.\n            "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Pārbaudīt elementu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Atvērt saiti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Rediģēt %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Meklēt priekšskatījumā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Nederīga vieta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Nevar sadalīt birku body"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Neizdevās sākt strādāt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Neizdevās palaist darba procesu, ko izmanto priekšskatījuma noformēšanai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Nevar atspējot"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Auto pārkraušanas apskata paneli nevar izslēgt, kamēr CSS Live panelis ir atvērts."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Automātiki pārlādēt apskatu, kad ir teksta izmaiņas redaktorā"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Atslēgt automātisku priekšskatījuma atsvaidzināšanu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Atslēgt sinhronizāciju no apskata pozīcijas uz rediģēšanu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Ieslēgt sinhronizāciju no apskata pozīcijas uz rediģēšanu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Pārtraukt datnes dalīšanu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34230,13 +34250,13 @@ msgstr "Grāmatas ielāde neizdevās"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Nevar atvērt grāmatu {0}. Lai iegūtu papildinformāciju, klikšķiniet “Rādīt informāciju”."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Qt WebEngine Render process ir avarējis. Jums vajag restartēt skatītāju."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "Izvēlieties fona attēlu"
 
@@ -34271,30 +34291,30 @@ msgstr "Slēpt {}"
 msgid "Show {}"
 msgstr "Rādīt {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Izvēlēties &krāsu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Izvēlēties krāsu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Izgriez&t"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "&Solis augšup"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "Solis &lejup"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Nav novērtēts"
 
@@ -34348,44 +34368,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Izvēlieties e-grāmatu ierīci. Ja Jūsu ierīce nav sarakstā, izvēlieties \"%s\" ierīci."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "Ja pārvietojat calibre no vecā datora uz jaunu, lūdzu, izlasiet <a href=\"{0}\">instrukcijas </a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Izvēlieties vietu grāmatām"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Nevarēja izveidot mapi %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Calibre bibliotēkai ir jāizvēlas tukša mape. %s nav tukša."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Nākošais >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Iepriekšējais"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34393,15 +34417,15 @@ msgstr "< &Iepriekšējais"
 msgid "Cancel"
 msgstr "Atcelt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Pabeigt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Apstiprināt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Sveicināšanas vednis"
 
@@ -34409,7 +34433,7 @@ msgstr "Sveicināšanas vednis"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Laipni lūdzam calibre"
@@ -34417,7 +34441,7 @@ msgstr "Laipni lūdzam calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Vienas pieturas risinājums visām Jūsu e-grāmatu vajadzībām."
@@ -34432,7 +34456,7 @@ msgstr "&Ierīces"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Vednis"
@@ -34470,17 +34494,17 @@ msgstr "<p>calibre var automātiski sūt
 msgid "&Kindle email:"
 msgstr "&Kindle e-pasts:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Izvēlieties va&lodu:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Izvēlieties vietu Jūsu grāmatām. Pievienojot grāmatas calibre, tās tiks iekopētas šeit. Jaunas bibliotēkas izveidošanai izmantojiet <b>tukšu mapi</b>:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37067,6 +37091,27 @@ msgstr "check_yes_no (field_name, is_und
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "pārbaude_yes_no pieprasa, lai lauks būtu Jā/Nē pielāgota kolonna"
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "Nenosaukts attēls"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/main.pot 4.99.7+dfsg+really4.21.0-1/translations/calibre/main.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/main.pot	2020-07-03 02:15:58.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/main.pot	2020-07-16 17:19:25.000000000 +0000
@@ -4,9 +4,9 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
-"POT-Creation-Date: 2020-07-03 07:45+IST\n"
-"PO-Revision-Date: 2020-07-03 07:45+IST\n"
+"Project-Id-Version: calibre 4.21.0\n"
+"POT-Creation-Date: 2020-07-16 22:49+IST\n"
+"PO-Revision-Date: 2020-07-16 22:49+IST\n"
 "Last-Translator: Automatically generated\n"
 "Language-Team: LANGUAGE\n"
 "MIME-Version: 1.0\n"
@@ -48,18 +48,18 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/__init__.py:107
 #: /home/kovid/work/calibre/src/calibre/db/backend.py:1208
 #: /home/kovid/work/calibre/src/calibre/db/backend.py:1233
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:274
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:277
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:288
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1137
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1139
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1141
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1310
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1408
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1410
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1412
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1585
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1587
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:290
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:293
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:304
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1153
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1155
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1157
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1326
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1424
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1426
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1428
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1602
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1604
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_add.py:55
 #: /home/kovid/work/calibre/src/calibre/db/lazy.py:282
 #: /home/kovid/work/calibre/src/calibre/db/lazy.py:283
@@ -77,7 +77,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/jetbook/driver.py:75
 #: /home/kovid/work/calibre/src/calibre/devices/kindle/driver.py:127
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:754
-#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:1702
+#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:1705
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/books.py:46
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/books.py:70
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/unix/driver.py:316
@@ -92,7 +92,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:548
 #: /home/kovid/work/calibre/src/calibre/ebooks/chm/metadata.py:61
 #: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/chm_input.py:193
-#: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/comic_input.py:198
+#: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/comic_input.py:200
 #: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/fb2_input.py:131
 #: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/fb2_input.py:133
 #: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/html_input.py:132
@@ -749,7 +749,7 @@ msgid "Control which devices calibre wil
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1326
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:301
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/plugin.py:88
 msgid "Plugins"
 msgstr ""
@@ -1147,14 +1147,14 @@ msgid "Restoring database from SQL"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/db/backend.py:1824
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:2263
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:2300
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:2280
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:2317
 #: /home/kovid/work/calibre/src/calibre/utils/exim.py:206
 #: /home/kovid/work/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:166
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:182
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:559
 #: /home/kovid/work/calibre/src/calibre/gui2/search_restriction_mixin.py:138
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:48
@@ -1165,24 +1165,26 @@ msgstr ""
 msgid "Saved searches"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:307
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:323
 #: /home/kovid/work/calibre/src/calibre/db/lazy.py:223
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:641
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
 msgid "Yes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:2290
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:2307
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:2294
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:2311
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -2416,7 +2418,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:523
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:555
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:701
-#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:3599
+#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:3609
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:419
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:426
 msgid "Removing books from device..."
@@ -2634,10 +2636,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:221
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:224
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:426
-#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:1570
-#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:1574
-#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:1578
-#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:2022
+#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:1573
+#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:1577
+#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:1581
+#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:2025
 #: /home/kovid/work/calibre/src/calibre/devices/paladin/driver.py:73
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:159
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:203
@@ -2669,12 +2671,12 @@ msgid "Adding books to device metadata l
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:703
-#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:3601
+#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:3611
 msgid "Kobo database version unsupported - See details"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:704
-#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:3602
+#: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:3612
 msgid "Your Kobo is running an updated firmware/database version. As calibre does not know about this updated firmware, database editing is disabled, to prevent corruption. You can still send books to your Kobo with calibre,  but deleting books and managing collections is disabled. If you are willing to experiment and know how to reset your Kobo to Factory defaults, you can override this check by right clicking the device icon in calibre and selecting \"Configure this device\" and then the  \"Attempt to support newer firmware\" option. Doing so may require you to perform a factory reset of your Kobo."
 msgstr ""
 
@@ -3819,8 +3821,10 @@ msgstr ""
 msgid "When converting a CBC do not add links to each page to the TOC. Note this only applies if the TOC has more than one section"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/comic_input.py:228
-#: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/comic_input.py:240
+#: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/comic_input.py:235
+#: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/comic_input.py:239
+#: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/comic_input.py:253
+#: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/comic_input.py:258
 msgid "Page"
 msgstr ""
 
@@ -4509,7 +4513,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/conversion/plugins/txt_output.py:28
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:353
 msgid "Plain text"
 msgstr ""
 
@@ -5404,6 +5408,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:641
 msgid "No"
 msgstr ""
 
@@ -5456,7 +5462,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1157
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:197
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:235
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:253
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:162
 #: /home/kovid/work/calibre/src/calibre/gui2/search_restriction_mixin.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:44
@@ -5479,7 +5485,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:281
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:198
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:235
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:253
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
 #: /home/kovid/work/calibre/src/calibre/gui2/search_restriction_mixin.py:138
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:40
@@ -6649,33 +6655,33 @@ msgstr ""
 msgid "Cover updated"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:174
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:175
 msgid "Removed one unused CSS style rule"
 msgid_plural "Removed {} unused CSS style rules"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:177
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:178
 msgid "Removed one unused class from the HTML"
 msgid_plural "Removed {} unused classes from the HTML"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:180
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:181
 msgid "Merged one CSS style rule"
 msgid_plural "Merged {} CSS style rules"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:183
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:184
 msgid "No unused CSS style rules found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:185
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:186
 msgid "No unused class attributes found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:187
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:188
 msgid "No style rules that could be merged found"
 msgstr ""
 
@@ -7044,7 +7050,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:195
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:236
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:111
 msgid "Rating"
@@ -7440,15 +7446,15 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/jobs.py:700
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:660
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:172
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns.py:201
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:93
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:309
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:307
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:494
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1729
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -7892,7 +7898,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:443
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/plugin_updater.py:727
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:247
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:321
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:319
 msgid "Already exists"
 msgstr ""
 
@@ -7976,8 +7982,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/plugin_updater.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:94
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:328
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:389
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:326
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:387
 msgid "Success"
 msgstr ""
 
@@ -9429,7 +9435,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/show_quickview.py:23
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/show_quickview.py:63
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:93
 msgid "Quickview"
 msgstr ""
 
@@ -9539,7 +9545,7 @@ msgstr ""
 msgid "Sort by"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/actions/sort.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/actions/sort.py:69
 #, python-format
 msgid "%s [reverse current sort]"
 msgstr ""
@@ -9851,7 +9857,7 @@ msgid "V"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/view.py:41
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:294
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:298
 msgid "View"
 msgstr ""
 
@@ -10638,7 +10644,7 @@ msgid "Library name"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_csv_xml.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:105
 msgid "Number"
 msgstr ""
 
@@ -12480,7 +12486,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid "&Change"
 msgstr ""
 
@@ -13429,7 +13435,7 @@ msgid "Eject device"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:895
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:345
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:343
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/check.py:177
 #: /home/kovid/work/calibre/src/calibre/utils/ipc/job.py:60
 msgid "Error"
@@ -14637,7 +14643,7 @@ msgid "Customize a builtin news download
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:572
-msgid "Load a recipe from a &file"
+msgid "Load a recipe from a file"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:572
@@ -14719,8 +14725,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:193
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1333
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:57
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:105
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:300
 #: /home/kovid/work/calibre/src/calibre/srv/opds.py:479
 msgid "Date"
@@ -14736,41 +14742,41 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:405
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:406
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:424
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:449
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:425
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:450
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:473
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:474
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:485
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
@@ -15149,7 +15155,7 @@ msgid "Find next match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/jobs_ui.py:69
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:101
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:196
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/char_select.py:727
@@ -15202,7 +15208,7 @@ msgid "You must select a matching book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/match_books_ui.py:73
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:248
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:252
 #: /home/kovid/work/calibre/src/calibre/gui2/font_family_chooser.py:233
 #: /home/kovid/work/calibre/src/calibre/gui2/layout.py:243
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:147
@@ -16138,7 +16144,7 @@ msgid "Install %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/plugin_updater.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:308
 msgid "Installing plugins is a <b>security risk</b>. Plugins can contain a virus/malware. Only install it if you got it from a trusted source. Are you sure you want to proceed?"
 msgstr ""
 
@@ -16180,29 +16186,29 @@ msgid "Unable to find the version histor
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/plugin_updater.py:795
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:363
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:361
 msgid "Plugin not customizable"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/plugin_updater.py:796
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:364
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:362
 #, python-format
 msgid "Plugin: %s does not need customization"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/plugin_updater.py:800
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:370
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:368
 msgid "Must restart"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/plugin_updater.py:801
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:371
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:369
 #, python-format
 msgid "You must restart calibre before you can configure the <b>%s</b> plugin"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/plugin_updater.py:809
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:352
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:350
 msgid "Plugin cannot be disabled"
 msgstr ""
 
@@ -16215,93 +16221,103 @@ msgstr ""
 msgid "Aborting..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:239
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:243
 #, python-brace-format
 msgid "The Quickview shortcut ({0}) shows/hides the Quickview panel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:240
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:95
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:244
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:102
 msgid "Search in the library view for the currently highlighted selection"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:243
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:247
 msgid "Undock"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:244
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:248
 msgid "Pop up the quickview panel into its own floating window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:247
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:251
 msgid "Lock Quickview contents"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:253
 msgid "Refresh"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:253
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:257
 msgid "Embed the quickview panel into the main calibre window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:282
 msgid "Alternate shortcut: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:471
 #, python-brace-format
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:507
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:515
 msgid "Click to show only books with this item. Double click to search for this item in the Tag browser"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:522
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:530
 msgid "**No items found**"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:523
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:531
 msgid "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:543
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:551
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:560
 msgid "Double click on a book to change the selection in the library view or change the column shown in the left-hand pane. Shift- or Control- double click to edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:598
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:606
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:660
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:661
 msgid "The book you selected is not currently displayed in the library view, perhaps because of a search, so Quickview cannot select it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:94
+msgid "&Apply virtual libraries"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:95
+msgid ""
+"<p>Select to make Quickview show only books in the current\n"
+"        virtual library</p>"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:97
 msgid "&Lock Quickview contents"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:91
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:98
 msgid ""
 "<p>Select to prevent Quickview from changing content when the\n"
 "        selection on the library view is changed</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:93
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:100
 msgid "&Dock"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:103
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:241
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/check_links.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:251
@@ -16312,11 +16328,11 @@ msgstr ""
 msgid "&Refresh"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:104
 msgid "When Quickview is locked, refresh the window using the last selected book and that book's value in the last selected column."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:98
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview_ui.py:105
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:199
 #: /home/kovid/work/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:76
 msgid "&Close"
@@ -17172,19 +17188,19 @@ msgstr ""
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:390
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:429
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:454
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:455
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
@@ -17538,7 +17554,7 @@ msgid "Attached, you will find the e-boo
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:405
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:208
 msgid "by"
 msgstr ""
 
@@ -18288,7 +18304,7 @@ msgid "Search for a shortcut by name"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/keyboard.py:692
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:259
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:257
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:575
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search.py:381
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:976
@@ -19720,28 +19736,28 @@ msgstr ""
 msgid "Choose a folder"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:156
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:168
 msgid "Invalid folder"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:158
 #, python-format
 msgid "You must specify an existing folder as your auto-add folder. %s does not exist."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:164
 #, python-format
 msgid "You do not have read/write permissions for the folder: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:169
 #, python-format
 msgid "Cannot use folders whose names start with a period or underscore: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding.py:173
 #, python-format
 msgid "<b>WARNING:</b> Any files you place in %s will be automatically deleted after being added to calibre. Are you sure?"
 msgstr ""
@@ -20449,7 +20465,7 @@ msgid "Type"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:105
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/completion/basic.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:60
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:229
@@ -20515,294 +20531,307 @@ msgstr ""
 msgid "Restore settings to default values. Only settings for the currently selected section are restored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:31
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:32
 msgid "Text, column shown in the Tag browser"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:36
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:37
 msgid "Comma separated text, like tags, shown in the Tag browser"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:41
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:42
 msgid "Long text, like comments, not shown in the Tag browser"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:46
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:47
 msgid "Text column for keeping series-like information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:52
 msgid "Text, but with a fixed set of permitted values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:61
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:62
 msgid "Floating point numbers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:67
 msgid "Integers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:72
 msgid "Ratings, shown with stars"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:203
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:234
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:77
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:221
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:252
 msgid "Yes/No"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:82
 msgid "Column built from other columns"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:87
 msgid "Column built from other columns, behaves like tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:97
 msgid "Create a custom column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:125
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:127
 msgid "Edit custom column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:130
-msgid "No column selected"
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:131
+msgid "No column has been selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:131
-msgid "No column has been selected"
+msgid "No column selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:135
 msgid "Selected column is not a user-defined column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:202
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:233
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:553
+msgid "Now"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:251
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/emailp.py:32
 #: /home/kovid/work/calibre/src/calibre/gui2/store/config/chooser/models.py:45
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:87
 msgid "Formats"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:204
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:222
 msgid "My Tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:223
 msgid "My Series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:206
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:224
 msgid "My Rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:207
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:225
 msgid "People"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:208
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:226
 msgid "My Title"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:232
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:250
 msgid "Quick create:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:233
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:251
 msgid "ISBN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:236
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 msgid "Names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:236
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 msgid "Short text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:272
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:290
 msgid "Used for searching the column. Must contain only digits and lower case letters."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:273
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:291
 msgid "&Lookup name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:277
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:295
 msgid "Column heading in the library view and category name in the Tag browser"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:278
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:296
 msgid "Column &heading"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:302
 msgid "What kind of information will be kept in the column."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:286
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:304
 msgid "Show &checkmarks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:287
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:305
 msgid ""
 "Show check marks in the GUI. Values of 'yes', 'checked', and 'true'\n"
 "will show a green check. Values of 'no', 'unchecked', and 'false' will show a red X.\n"
 "Everything else will show nothing."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:291
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:309
 msgid "Contains names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:310
 msgid "Check this box if this column contains names, like the authors column."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:294
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:312
 msgid "&Column type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:298
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:316
 msgid "Optional text describing what this column is for"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:317
 msgid "D&escription"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:312
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:330
 msgid "Default: (nothing)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:313
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:331
 msgid "Field template. Uses the same syntax as save templates."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:314
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:332
 #, python-format
 msgid "Similar to save templates. For example, %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:317
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 msgid "&Template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:340
 msgid "No heading"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:341
 msgid "Show heading above the text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:324
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:342
 msgid "Show heading to the side of the text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:327
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:345
 msgid ""
 "Choose whether or not the column heading is shown in the Book\n"
 "details panel and, if shown, where"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:347
 msgid "Column heading"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:334
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:352
 msgid "Short text, like a title"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:336
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:354
 msgid "Plain text formatted using markdown"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:339
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:357
 msgid ""
 "Choose how the data in this column is interpreted.\n"
 "This controls how the data is displayed in the Book details panel\n"
 "and how it is edited."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:342
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:360
 msgid "Interpret this column as:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:348
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:366
 msgid ""
 "A comma-separated list of permitted values. The empty value is always\n"
 "included, and is the default. For example, the list 'one,two,three' has\n"
 "four values, the first of them being the empty value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:351
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:369
 msgid "Values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:355
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:373
 msgid ""
 "A list of color names to use when displaying an item. The\n"
 "list must be empty or contain a color for each value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:357
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:375
 msgid "Colors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:360
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:378
 msgid "&Values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:363
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:381
 msgid "Allow half stars"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:364
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:382
 msgid "Allow half star ratings, for example: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:369
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:387
 msgid "&Sort/search column by"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:371
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:389
 msgid "How this column should handled in the GUI when sorting and searching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:373
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:391
 msgid "Show in Tag browser"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:374
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:392
 msgid "If checked, this column will appear in the Tag browser as a category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:376
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:394
 msgid "Show as HTML in Book details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:378
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:396
 msgid "If checked, this column will be displayed as HTML in Book details and the Content server. This can be used to construct links with the template language. For example, the template <pre>&lt;big&gt;&lt;b&gt;{title}&lt;/b&gt;&lt;/big&gt;{series:| [|}{series_index:| [|]]}</pre>will create a field displaying the title in bold large characters, along with the series, for example <br>\"<big><b>An Oblique Approach</b></big> [Belisarius [1]]\". The template <pre>&lt;a href=\"https://www.beam-ebooks.de/ebook/{identifiers:select(beam)}\"&gt;Beam book&lt;/a&gt;</pre> will generate a link to the book on the Beam e-books site."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:406
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:413
+msgid "Default value when a new book is added to the library. For Date columns enter the word \"Now\", or the date as yyyy-mm-dd. For Yes/No columns enter \"Yes\" \"No\". For Text with a fixed set of values enter one of the permitted values. For Rating columns enter a number between 0 and 5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:418
+msgid "Default value"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:433
 msgid "&Format for dates"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:406
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:433
 msgid "Default: dd MMM yyyy."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:408
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:435
 msgid ""
 "<p>Date format.</p><p>The formatting codes are:<ul><li>d    : the day as number without a leading zero (1 to 31)</li><li>dd   : the day as number with a leading zero (01 to 31)</li><li>ddd  : the abbreviated localized day name (e.g. \"Mon\" to \"Sun\").</li><li>dddd : the long localized day name (e.g. \"Monday\" to \"Sunday\").</li><li>M    : the <b>month</b> as number without a leading zero (1 to 12).</li><li>MM   : the <b>month</b> as number with a leading zero (01 to 12)</li><li>MMM  : the abbreviated localized <b>month</b> name (e.g. \"Jan\" to \"Dec\").</li><li>MMMM : the long localized <b>month</b> name (e.g. \"January\" to \"December\").</li><li>yy   : the year as two digit number (00 to 99).</li><li>yyyy : the year as four digit number.</li><li>h    : the hours without a leading 0 (0 to 11 or 0 to 23, depending on am/pm)</li><li>hh   : the hours with a leading 0 (00 to 11 or 00 to 23, depending on am/pm)</li><li>m    : the <b>minutes</b> without a leading 0 (0 to 59)</li><li>mm   : the <b>minutes</b> with a leading 0 (00 to 59)</li><li>s    : the seconds without a leading 0 (0 to 59)</li><li>ss   : the seconds with a leading 0 (00 to 59)</li><li>ap   : use a 12-hour clock instead of a 24-hour clock, with \"ap\" replaced by the localized string for am or pm</li><li>AP   : use a 12-hour clock instead of a 24-hour clock, with \"AP\" replaced by the localized string for AM or PM</li><li>iso  : the date with time and timezone. Must be the only format present</li></ul></p><p>For example:\n"
 "<ul>\n"
@@ -20811,71 +20840,108 @@ msgid ""
 "</ul> "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:464
 msgid "&Format for numbers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:465
 msgid "Default: Not formatted. For format language details see <a href=\"https://docs.python.org/library/string.html#format-string-syntax\">the Python documentation</a>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:442
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:469
 #, python-brace-format
 msgid "Examples: The format <code>{0:0>4d}</code> gives a 4-digit number with leading zeros. The format <code>{0:d}&nbsp;days</code> prints the number then the word \"days\""
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:474
 msgid "Examples: The format <code>{0:.1f}</code> gives a floating point number with 1 digit after the decimal point. The format <code>Price:&nbsp;$&nbsp;{0:,.2f}</code> prints \"Price&nbsp;$&nbsp;\" then displays the number with 2 digits after the decimal point and thousands separated by commas."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:500
 msgid "No lookup name was provided"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:475
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:504
 msgid "The lookup name must contain only lower case letters, digits and underscores, and start with a letter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:478
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:507
 msgid "Lookup names cannot end with _index, because these names are reserved for the index of a series column."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:489
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:518
 msgid "No column heading was provided"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:499
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:528
 #, python-format
 msgid "The lookup name %s is already used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:511
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:540
 #, python-format
 msgid "The heading %s is already used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:522
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:598
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:643
+msgid "Invalid default value"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:562
+msgid "The default value must be \"Now\" or a date"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:566
 msgid "You must enter a template for composite columns"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:576
 msgid "You must enter at least one value for enumeration columns"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:538
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:582
 #, python-brace-format
 msgid "The value \"{0}\" is in the list more than once, perhaps with different case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:546
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:590
 msgid "The colors box must be empty or contain the same number of items as the value box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:551
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:594
 #, python-brace-format
 msgid "The color {0} is unknown"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:599
+msgid "The default value must be one of the permitted values"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:611
+msgid "The default value must be an integer"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:615
+msgid "The default value must be a real number"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:634
+msgid "The default value must be a real number between 0 and 5.0"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:637
+msgid "The default value must be an integer between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:644
+msgid "The default value must be \"Yes\" or \"No\""
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/device_debug.py:25
 msgid "Getting debug information, please wait"
 msgstr ""
@@ -21534,7 +21600,7 @@ msgid "Note that <b>comments</b> will al
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:645
-msgid "Show &cover in the Book details panel"
+msgid "Show &cover"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:646
@@ -21595,7 +21661,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:667
-msgid "Use &alternating row colors in the Tag browser"
+msgid "Use &alternating row colors"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:668
@@ -21607,7 +21673,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:672
-msgid "Hi&de empty categories (columns) in the Tag browser"
+msgid "Hi&de empty categories (columns)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:673
@@ -21618,7 +21684,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:676
-msgid "Find &shows all items that match in the Tag browser"
+msgid "Find &shows all items that match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:677
@@ -21631,11 +21697,11 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:682
-msgid "&Tag browser category partitioning method:"
+msgid "&Category partitioning method:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:683
-msgid "Show &average ratings in the Tag browser"
+msgid "Show &average ratings"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:684
@@ -21646,7 +21712,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:687
-msgid "Show &counts in the Tag browser"
+msgid "Show &counts"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:688
@@ -21662,7 +21728,7 @@ msgid " ex"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:691
-msgid "Show &tooltips in the Tag browser"
+msgid "Show &tooltips"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:692
@@ -21687,11 +21753,11 @@ msgid "Template &editor"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:697
-msgid "When showing the Cover browser in a separate window, show it &fullscreen"
+msgid "When showing in a separate window, show it &fullscreen"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:698
-msgid "Show Cover &browser in a separate window (needs restart)"
+msgid "Show in a &separate window (needs restart)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:699
@@ -21701,11 +21767,11 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:701
-msgid "Preserve &aspect ratio of covers displayed in the Cover browser"
+msgid "Preserve &aspect ratio of covers"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:702
-msgid "Show &reflections in the Cover browser"
+msgid "Show &reflections"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:703
@@ -21729,7 +21795,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:709
-msgid "&Apply Virtual libraries in Quickview panel"
+msgid "&Apply Virtual libraries"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:710
@@ -21861,7 +21927,7 @@ msgid "If you uncheck any fields, metada
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:576
 msgid "&Select all"
 msgstr ""
 
@@ -22123,83 +22189,74 @@ msgstr ""
 msgid "&Delete plugboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:202
-#, python-format
-msgid "%(plugin_type)s %(plugins)s"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:203
-msgid "plugins"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:211
 msgid ""
 "\n"
 "Customization: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:215
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:213
 msgid ""
 "\n"
 "\n"
 "This plugin has been disabled"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:246
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:244
 msgid "Search for plugin"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:260
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:258
 msgid "Could not find any matching plugins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:299
 msgid "files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:302
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:300
 msgid "Add plugin"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:327
 #, python-brace-format
 msgid "Plugin <b>{0}</b> successfully installed under <b>{1} plugins</b>. You may have to restart calibre for the plugin to take effect."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:337
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:335
 msgid "No valid plugin path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:338
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:336
 #, python-format
 msgid "%s is not a valid plugin path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:346
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:344
 #, python-format
 msgid "Select an actual plugin under <b>%s</b> to customize"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:353
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:351
 #, python-format
 msgid "Disabling the plugin %s is not allowed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:377
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:375
 #, python-format
 msgid "Are you sure you want to remove the plugin: %s?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:382
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:380
 #, python-brace-format
 msgid "Plugin <b>{0}</b> successfully removed. You will have to restart calibre for it to be completely removed."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:392
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:390
 msgid "Cannot remove builtin plugin"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:393
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:391
 msgid " cannot be removed. It is a builtin plugin. Try disabling it instead."
 msgstr ""
 
@@ -25075,7 +25132,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
 msgid "Unsaved changes"
 msgstr ""
 
@@ -25454,12 +25511,12 @@ msgid "The file %s does not exist. If yo
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1601
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1602
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -25542,44 +25599,44 @@ msgstr ""
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1577
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1578
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1609
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1730
 msgid "The current book is being saved in the background. Quitting now will <b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1732
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1732
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1753
 msgid "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1765
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1768
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1782
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -27165,7 +27222,7 @@ msgid "File actions tool bar"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/image.py:257
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:325
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:329
 msgid "Edit actions tool bar"
 msgstr ""
 
@@ -27922,50 +27979,50 @@ msgstr ""
 msgid "Change paragraph to heading"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:245
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:249
 msgid "Remove from this menu"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:327
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:331
 msgid "Editor tools"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:331
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:335
 msgid "Format text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:479
 msgid "No text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:480
 msgid "There is no suitable text in the clipboard to paste."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:537
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:541
 msgid "Ignore this word"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:541
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:545
 #, python-brace-format
 msgid "Add this word to the dictionary: {0}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:544
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:548
 msgid "Add this word to the dictionary"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:557
 #, python-format
 msgid "Open %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:564
 #, python-format
 msgid "Show help for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:577
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:581
 msgid "Change &case"
 msgstr ""
 
@@ -28900,55 +28957,55 @@ msgstr ""
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:492
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:533
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:560
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:561
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
 msgid "Auto reloading of the preview panel cannot be disabled while the Live CSS panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:629
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:638
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:639
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -31878,6 +31935,10 @@ msgstr ""
 msgid "Not rated"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:39
+msgid "Generic e-ink device"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:71
 msgid "Smartphone"
 msgstr ""
@@ -31908,6 +31969,10 @@ msgstr ""
 msgid "Kobo Vox, Aura and Glo families"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:195
+msgid "BOOX MAX, N96, i86, C67ML, M96, etc."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:289
 msgid "PocketBook 360 and newer models"
 msgstr ""
@@ -31988,7 +32053,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -31996,7 +32061,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -32011,7 +32076,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -32038,15 +32103,15 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "<p>Choose a location for your books. When you add books to calibre, they will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:74
 msgid "If a calibre library already exists at the newly selected location, calibre will use it automatically."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/mi.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/mi.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/mi.po	2020-07-02 04:06:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/mi.po	2020-07-16 16:44:12.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6494,103 +6505,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6598,7 +6609,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8487,7 +8498,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8965,7 +8976,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9010,7 +9021,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9062,7 +9073,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9217,7 +9228,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9257,7 +9268,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10153,7 +10164,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10755,7 +10766,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10966,7 +10977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11414,8 +11425,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11544,42 +11555,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11588,112 +11604,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11701,7 +11717,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11770,7 +11786,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11788,11 +11804,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11931,7 +11947,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11966,7 +11982,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12013,8 +12029,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12126,22 +12142,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12369,7 +12385,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12844,10 +12860,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13279,7 +13295,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13294,7 +13310,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13303,7 +13319,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13318,8 +13334,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13386,45 +13402,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13770,7 +13786,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14596,74 +14612,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14671,44 +14686,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15414,11 +15429,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15482,79 +15497,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15604,8 +15624,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16161,46 +16181,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16209,7 +16229,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16224,11 +16244,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16256,7 +16276,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16281,28 +16301,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16329,65 +16349,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16720,77 +16740,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16798,7 +16818,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16808,7 +16828,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16823,80 +16843,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16904,90 +16924,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16995,118 +17015,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17115,152 +17135,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17268,48 +17288,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17938,7 +17958,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18598,76 +18618,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18699,121 +18719,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19694,17 +19714,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19985,21 +20005,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20343,7 +20353,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20506,6 +20516,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20785,7 +20805,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20855,7 +20875,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21616,13 +21636,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21647,80 +21667,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22709,37 +22729,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22876,7 +22896,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23014,7 +23034,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23285,7 +23305,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23680,86 +23700,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23768,47 +23788,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25354,7 +25374,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26380,150 +26400,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27193,7 +27213,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27600,12 +27620,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27663,76 +27683,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31135,18 +31155,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31160,70 +31180,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34171,13 +34191,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34212,30 +34232,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34289,44 +34309,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34334,15 +34358,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34350,7 +34374,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34373,7 +34397,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34411,17 +34435,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37007,6 +37031,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/mk.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/mk.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/mk.po	2020-07-02 04:01:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/mk.po	2020-07-16 16:44:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "Неправи апсолутн
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "Неправи апсолутн
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ml.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ml.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ml.po	2020-07-02 04:07:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ml.po	2020-07-16 16:44:44.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -207,7 +207,7 @@ msgstr "ഒന്നും തന്ന
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -219,12 +219,12 @@ msgstr "ഒന്നും തന്ന
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1134,9 +1134,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1161,7 +1161,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1223,7 +1223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2836,8 +2836,8 @@ msgstr "ഉപകരണത്തില
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2846,8 +2846,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3190,7 +3190,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3303,7 +3303,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "ഉപകരണത്തിന്റെ വിവരങ്ങള്‍ നേടുക..."
@@ -3330,8 +3330,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3719,61 +3719,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6207,7 +6218,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6230,7 +6241,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6496,103 +6507,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6600,7 +6611,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8489,7 +8500,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8967,7 +8978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9012,7 +9023,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9064,7 +9075,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9219,7 +9230,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9259,7 +9270,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10155,7 +10166,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10757,7 +10768,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10968,7 +10979,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11416,8 +11427,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11546,42 +11557,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11590,112 +11606,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11703,7 +11719,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11772,7 +11788,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11790,11 +11806,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11933,7 +11949,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11968,7 +11984,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12015,8 +12031,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12128,22 +12144,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12371,7 +12387,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12846,10 +12862,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13281,7 +13297,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13296,7 +13312,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13305,7 +13321,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13320,8 +13336,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13388,45 +13404,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13772,7 +13788,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14598,74 +14614,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14673,44 +14688,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15416,11 +15431,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15484,79 +15499,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15606,8 +15626,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16163,46 +16183,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16211,7 +16231,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16226,11 +16246,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16258,7 +16278,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16283,28 +16303,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16331,65 +16351,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16722,77 +16742,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16800,7 +16820,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16810,7 +16830,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16825,80 +16845,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16906,90 +16926,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16997,118 +17017,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17117,152 +17137,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17270,48 +17290,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17940,7 +17960,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18600,76 +18620,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18701,121 +18721,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19696,17 +19716,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19987,21 +20007,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20345,7 +20355,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20508,6 +20518,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20787,7 +20807,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20857,7 +20877,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21618,13 +21638,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21649,80 +21669,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22711,37 +22731,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22878,7 +22898,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23016,7 +23036,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23287,7 +23307,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23682,86 +23702,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23770,47 +23790,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25356,7 +25376,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26382,150 +26402,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27195,7 +27215,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27602,12 +27622,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27665,76 +27685,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31137,18 +31157,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31162,70 +31182,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34173,13 +34193,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34214,30 +34234,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34291,44 +34311,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34336,15 +34360,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34352,7 +34376,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34360,7 +34384,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34375,7 +34399,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34413,17 +34437,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37009,6 +37033,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/mn.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/mn.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/mn.po	2020-07-02 04:04:36.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/mn.po	2020-07-16 16:43:05.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -207,7 +207,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -219,12 +219,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1134,9 +1134,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1161,7 +1161,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1223,7 +1223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2836,8 +2836,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2846,8 +2846,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3190,7 +3190,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3303,7 +3303,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3330,8 +3330,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3719,61 +3719,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6207,7 +6218,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6230,7 +6241,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6496,103 +6507,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6600,7 +6611,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8489,7 +8500,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8967,7 +8978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9012,7 +9023,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9064,7 +9075,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9219,7 +9230,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9259,7 +9270,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10155,7 +10166,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10757,7 +10768,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10968,7 +10979,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11416,8 +11427,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11546,42 +11557,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11590,112 +11606,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11703,7 +11719,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11772,7 +11788,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11790,11 +11806,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11933,7 +11949,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11968,7 +11984,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12015,8 +12031,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12128,22 +12144,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12371,7 +12387,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12846,10 +12862,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13281,7 +13297,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13296,7 +13312,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13305,7 +13321,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13320,8 +13336,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13388,45 +13404,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13772,7 +13788,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14598,74 +14614,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14673,44 +14688,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15416,11 +15431,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15484,79 +15499,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15606,8 +15626,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16163,46 +16183,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16211,7 +16231,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16226,11 +16246,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16258,7 +16278,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16283,28 +16303,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16331,65 +16351,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16722,77 +16742,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16800,7 +16820,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16810,7 +16830,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16825,80 +16845,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16906,90 +16926,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16997,118 +17017,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17117,152 +17137,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17270,48 +17290,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17940,7 +17960,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18600,76 +18620,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18701,121 +18721,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19696,17 +19716,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19987,21 +20007,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20345,7 +20355,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20508,6 +20518,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20787,7 +20807,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20857,7 +20877,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21618,13 +21638,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21649,80 +21669,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22711,37 +22731,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22878,7 +22898,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23016,7 +23036,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23287,7 +23307,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23682,86 +23702,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23770,47 +23790,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25356,7 +25376,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26382,150 +26402,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27195,7 +27215,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27602,12 +27622,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27665,76 +27685,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31137,18 +31157,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31162,70 +31182,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34173,13 +34193,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34214,30 +34234,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34291,44 +34311,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34336,15 +34360,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34352,7 +34376,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34360,7 +34384,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34375,7 +34399,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34413,17 +34437,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37009,6 +37033,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/mr.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/mr.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/mr.po	2020-07-02 04:05:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/mr.po	2020-07-16 16:38:47.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -207,7 +207,7 @@ msgstr "काहीच करत ना
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -219,12 +219,12 @@ msgstr "काहीच करत ना
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1134,9 +1134,9 @@ msgstr "पुस्तक सूची"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1161,7 +1161,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1223,7 +1223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2836,8 +2836,8 @@ msgstr "उपकरणावरील 
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2846,8 +2846,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3190,7 +3190,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3303,7 +3303,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3330,8 +3330,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3719,61 +3719,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6207,7 +6218,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "नाही"
 
@@ -6230,7 +6241,7 @@ msgid "Producer"
 msgstr "निर्माता"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6496,103 +6507,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6600,7 +6611,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8489,7 +8500,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8967,7 +8978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9012,7 +9023,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9064,7 +9075,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9219,7 +9230,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9259,7 +9270,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10155,7 +10166,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "ए"
 
@@ -10757,7 +10768,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10968,7 +10979,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11416,8 +11427,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11546,42 +11557,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11590,112 +11606,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11703,7 +11719,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11772,7 +11788,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11790,11 +11806,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11933,7 +11949,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11968,7 +11984,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12015,8 +12031,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12128,22 +12144,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12371,7 +12387,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12846,10 +12862,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13281,7 +13297,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13296,7 +13312,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13305,7 +13321,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13320,8 +13336,8 @@ msgstr "शृंखला"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13388,45 +13404,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13772,7 +13788,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14598,74 +14614,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " सूची:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14673,44 +14688,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15416,11 +15431,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15484,79 +15499,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15606,8 +15626,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16163,46 +16183,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16211,7 +16231,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16226,11 +16246,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16258,7 +16278,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16283,28 +16303,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16331,65 +16351,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16722,77 +16742,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16800,7 +16820,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16810,7 +16830,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16825,80 +16845,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16906,90 +16926,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16997,118 +17017,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17117,152 +17137,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17270,48 +17290,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17940,7 +17960,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18600,76 +18620,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18701,121 +18721,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19696,17 +19716,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19987,21 +20007,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "स"
 
@@ -20345,7 +20355,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20508,6 +20518,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20787,7 +20807,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20857,7 +20877,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21618,13 +21638,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "उच्च"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "कमी"
 
@@ -21649,80 +21669,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "कार्य प्राथमिकता"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " सेकंद"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22711,37 +22731,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22878,7 +22898,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23016,7 +23036,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23287,7 +23307,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23682,86 +23702,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23770,47 +23790,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25356,7 +25376,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26382,150 +26402,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27195,7 +27215,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27602,12 +27622,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27665,76 +27685,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31137,18 +31157,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31162,70 +31182,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34173,13 +34193,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34214,30 +34234,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34291,44 +34311,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34336,15 +34360,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34352,7 +34376,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34360,7 +34384,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34375,7 +34399,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34413,17 +34437,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37009,6 +37033,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ms.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ms.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ms.po	2020-07-02 04:00:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ms.po	2020-07-16 16:37:08.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
@@ -208,7 +208,7 @@ msgstr "Langsung tidak melakukan apa-apa
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -220,12 +220,12 @@ msgstr "Langsung tidak melakukan apa-apa
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1135,9 +1135,9 @@ msgstr "Katalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1162,7 +1162,7 @@ msgstr "Laluan ke pustaka ({0}) terlalu
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1224,7 +1224,7 @@ msgstr "Gelintar tersimpan"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2837,8 +2837,8 @@ msgstr "Mendapatkan senarai buku pada pe
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2847,8 +2847,8 @@ msgstr "Membuang buku dari senarai data
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3191,7 +3191,7 @@ msgstr "Masukkan satu templat yang digun
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Sunting templat"
@@ -3304,7 +3304,7 @@ msgid "Communicate with MTP devices"
 msgstr "Komunikasi dengan peranti MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Dapatan maklumat peranti..."
@@ -3331,8 +3331,8 @@ msgid "Finished reading metadata from de
 msgstr "Selesai membaca data meta dari peranti"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3720,61 +3720,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "Ini adalah senarai sambungan fail format yang dipisah dengan tanda-koma yang mana anda boleh hantar ke dalam peranti. Sebagai contoh, anda mungkin mempunyai buku audio di dalam pustaka anda dengan sambungan \"m4b\" yang ingin didengari dengan peranti anda. Jangan risau berkenaan amaran \"sambungan terbenar tambahan\"."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Terlalu banyak percubaan sambungan dari %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Apl pada peranti anda terlalu tua dan tidak lagi disokong. Kemaskini ini ke versi lebih baharu."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Anda mempunyai format buku di dalam pustaka anda dengan tarikh di masa hadapan. Sila rujuk calibre untuk perincian"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "Lajur segerak baca %s tidak berada dalam pustaka calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "Lajur segerak baca %s bukan lajur Ya/Tidak"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "Lajur segerak tarikh baca %s tidak berada dalam pustaka calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "Lajur segerak tarikh baca %s bukanlah lajur tarikh"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Tetapan kualitit pemampatan teruk. Ia mesti nombor diantara 50 hingga 99. Dipaksa menjadi %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Port tidak sah dalam pilihan: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Gagal menyambung ke port %d. Cuba ke nilai yang berlainan."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Gagal memperuntuk port rawak"
 
@@ -6208,7 +6219,7 @@ msgstr "Ekstrak format e-buku umum dari
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Tidak"
 
@@ -6231,7 +6242,7 @@ msgid "Producer"
 msgstr "Pengeluar"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6496,103 +6507,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google images"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Muat turun data meta dan kulit hadapan dari Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "AS"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Perancis"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Jerman"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "UK"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Australia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Itali"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Jepun"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Sepanyol"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brazil"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Belanda"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "China"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Kanada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Pilih pelayan secara automatik"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Pelayan Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Cache gelintar Bing"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Cache gelintar Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Cache mesin Wayback (perlahan)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Laman sesawang negara Amazon gunakan:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Data meta dari Amazon akan diperoleh menggunakan laman sesawang Amazon negara ini."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Pelayan untuk dapatkan data:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon telah mula menyekat percubaan memuat turun data meta dari pelayannya. Untuk mengatasi masalah ini, calibre boleh mendapatkan data dari pelbagai lokasi yang mana ia boleh cachekan. Pilih sumber yang anda mahukan."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Guna MOBI-ASIN untuk gelintar data meta"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6600,7 +6611,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Had masa Amazon tamat. Cuba lagi kemudian."
 
@@ -8486,7 +8497,7 @@ msgstr "Tiada fail telah disalin ke dala
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8958,7 +8969,7 @@ msgstr "Folder %s sudah wujud. Padam ia
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Terlalu panjang"
 
@@ -9003,7 +9014,7 @@ msgstr "Pustaka %s telah dibuang dari ca
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9055,7 +9066,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9209,7 +9220,7 @@ msgid "Browse for library"
 msgstr "Layar pustaka"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "Sa&lin"
@@ -9249,7 +9260,7 @@ msgstr "{0} oleh {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Pilih semu&a"
 
@@ -10139,7 +10150,7 @@ msgid "Move to next highlighted match"
 msgstr "Alih ke padanan tersorot berikutnya"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "E"
 
@@ -10738,7 +10749,7 @@ msgid "this book"
 msgstr "buku ini"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Gelintar untuk %s"
@@ -10948,7 +10959,7 @@ msgstr "&Pratonton buku"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11393,8 +11404,8 @@ msgstr "Ubah"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11523,42 +11534,47 @@ msgid "Search the internet for this book
 msgstr "Gelintar internet untuk buku ini"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Urus %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Padam format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Simpan format %s ke dalam cakera"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Pulih format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Tetapkan kulit buku dari fail %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Bandinggkan dengan format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11567,112 +11583,112 @@ msgstr "Bandinggkan dengan format %s"
 msgid "Open %s with..."
 msgstr "Buka %s dengan..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Tambah aplikasi lain untuk fail %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Sunting Buka dengan aplikasi..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Sunting %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "Sa&lin laluan ke fail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Gelintar calibre untuk %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Salin laluan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Buang %s dari buku ini"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Salin semu&a"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Salin lokasi pautan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Buka kulit buku dengan..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Tambah aplikasi lain untuk membuka kulit buku..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Tampal kulit buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Salin kulit buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Simpan kulit buku ke dalam cakera"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Buang kulit buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Jana kulit buku dari data meta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Pilih lokasi simpan kulit buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "imej JPEG"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Dwi-klik untuk buka tetingkap perincian Buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Laluan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11680,7 +11696,7 @@ msgstr "Laluan"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Saiz kulit hadapan: %(width)d x %(height)d pixels"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Sunting pengecam untuk buku ini"
 
@@ -11749,7 +11765,7 @@ msgstr "output"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11767,11 +11783,11 @@ msgstr "output"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11910,7 +11926,7 @@ msgid "Preset name:"
 msgstr "Nama praset:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Anda mesti nyatakan satu nama:"
 
@@ -11945,7 +11961,7 @@ msgstr "Benar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -11992,8 +12008,8 @@ msgid "Delete current preset"
 msgstr "Padam praset semasa"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Padam"
 
@@ -12105,22 +12121,22 @@ msgstr "Tetap semula ke lalai"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12348,7 +12364,7 @@ msgstr "Pengepala {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12823,10 +12839,10 @@ msgstr "&Kekunci saiz fon:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr "pt"
@@ -13258,7 +13274,7 @@ msgid "Change the title of this book"
 msgstr "Ubah tajuk buku ini"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "Peng&arang: "
 
@@ -13273,7 +13289,7 @@ msgid ""
 msgstr "Ubah pengarang buku ini. Pengarang berbilang seharusnya diasing dengan tanda koma"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Penerbit: "
 
@@ -13282,7 +13298,7 @@ msgid "Ta&gs: "
 msgstr "Ta&g: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13297,8 +13313,8 @@ msgstr "&Siri:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Senarai siri diketahui. Anda boleh tambah siri baharu."
@@ -13365,45 +13381,45 @@ msgstr "Saiz skrin: %s"
 msgid "Page setup"
 msgstr "Persediaan halaman"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Profil &output:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Keterangan profil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Profil &input:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Margin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "K&iri:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Tidak berubah"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Atas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "K&anan:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Bawah:"
@@ -13749,7 +13765,7 @@ msgid "Edit the currently selected expre
 msgstr "Sunting ungkapan terpilih semasa"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Ubah"
 
@@ -14575,74 +14591,73 @@ msgstr "Pilih untuk importkan peraturan"
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Tidak ditakrif"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Tetapkan '%s' untuk hari ini"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Kosongkan '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Nilai berubah"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Anda telah mengubah nilai. Untuk guna penyunting ini, anda mesti sama ada singkir atau laksana perubahan ini. Laksana perubahan?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr "indeks:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Enumerasi \"{0}\" mengandungi nilai tidak sah yang telah ditetapkan ke lalai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Laksana perubahan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Kosongkan siri"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Nomborkan buku secara automatik"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14650,44 +14665,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "Jika tidak ditanda, nombor siri bagi buku akan ditetapkan menjadi 1. Jika ditanda, buku terpilih akan dinomborkan secara automatik, mengikut tertib terpilih anda. Oleh itu, jika anda pilih Buku A dan kemudian Buku B, Buku A akan mempunyai nombor siri 1 dan Buku B nombor siri 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Paksa nombor bermula dengan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "Siri akan dinomborkan semula seperti biasa berdasarkan bilangan tertinggi dalam pangkalan data untuk siri tersebut. Penandaan kotak ini akan memberitahu calibre untuk mulakan penomboran dari nilai di dalam kotak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "Amaun yang mana terdapat penambahan bilangan siri bagi buku yang berjaya. Hanya boleh dilaksana bila menggunakan paksa nombor siri."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Enumerasi \"{0}\" mengandungi nilai tidak sah yang tidak akan muncul dalam senarai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Buang semua tag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "tag yang ditambah"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "tag yang dibuang"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15392,11 +15407,11 @@ msgstr "Ia mengambil sedikit masa, tungg
 msgid "Vacuuming..."
 msgstr "Vakumkan..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Periksa pustaka -- Masalah ditemui"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15460,79 +15475,84 @@ msgid ""
 "        "
 msgstr "        <h1>Bantuan</h1>\n\n        <p>calibre menyimpan senarai buku anda dan data meta mereka di\n        dalam pangkalan data. Fail dan kulit buku sebenar disimpan sebagai\n        fail biasa dalam folder pustaka calibre. Pangkalan data mengandungi\n        senarai fail dan kulit buku milik setiap masukan buku. Alat ini \n        memeriksa fail sebenar di dalam folder pustaka dalam komputer\n        anda yang sepadan dengan maklumat di dalam pangkalan data.</p>\n\n        <p>Keputusan bagi setiap jenis semakan ditunjukkan disebelah kiri\n        Jenis semakan adalah seperti berikut:\n        </p>\n        <ul>\n        <li><b>Tajuk tidak sah</b>: Fail dan folder ini muncul dalam pustaka\n        yang mana tajuk buku patut ada, tetapi tidak mempunyai bentuk\n        yang betul untuk sesebuah tajuk buku.</li>\n        <li><b>Tajuk ekstra</b>: Fail ekstra ini yang ada dalam pustaka \n        calibre anda kelihatan dalam tajuk dengan bentuk betul, tetapi tiada\n        masukan yang berkenaan dengannya di dalam pangkalan data</li>\n        <li><b>Pengarang tidak sah</b>: Ini adalah fail yang muncul dalam\n        pustaka yang mana hanya folder pengarang patut berada.</li>\n        <li><b>Pengarang ekstra</b>: Ini adalah folders yang ada dalam\n        pustaka calibre yang muncul sebagai pengarang tetapi tidak\n        mempunyai masukan pangkalan data</li>\n        <li><b>Format buku hilang</b>: Ini adalah format buku yang ada\n        dalam pangkalan data tetapi tiada fail format berkaitan dalam \n        folder buku.\n        <li><b>Format buku ekstra</b>: Ini adalah fail format yang ditemui\n        dalam folder buku tetapi bukan dalam pangkalan data.\n        <li><b>Fail tidak diketahui dalam buku</b>: Ini adalah fail ekstra \n        dalam folder bagi setiap buku yang bertepatan dengan fail format\n        atau kulit buku yang diketahui.</li>\n        <li><b>Fail kulit buku hilang</b>: Ia mewakili buku yang ditanda\n        dalam pangkalan data yang mempunyai kulit buku tetapi fail kulit\n        buku sebenar telah hilang.</li>\n        <li><b>Fail kulit buku tiada dalam pangkalan data</b>: Ini adalah\n        fail kulit buku yang ditanda sebagai tidak mempunyai kulit buku \n        di dalam pangkalan data.</li>\n        <li><b>Folder menimbulkan pengecualian</b>: Ia mewakili folder\n        dalam pustaka calibre yang tidak dapat diproses/difahami oleh\n        alat ini.</li>\n        </ul>\n\n        <p>Terdapat dua jenis pembaikan automatik yang boleh: <i>Padam\n        bertanda</i> dan <i>Baiki bertanda</i>.</p>\n        <p><i>Padam bertanda</i> digunakan untuk buang fail/folder/kulit buku\n        tambahan yang tidak mempunyai masukan dalam pangkalan data.\n        Tanda pada kotak disebelah item yang mahu dipadamkan. Guna\n        dengan hati-hati.</p>\n\n        <p><i>Baiki bertanda</i> boleh dilaksana hanya pada kulit buku dan\n        format yang hilang (tiga baris bertanda 'boleh dibaiki'). Dalam kes kulit\n        buku hilang, menanda kotak boleh baiki dan menekan butang ini akan\n        memberitahu tiada kulit buku untuk semua buku yang tersenarai, Guna\n        pilihan ini jika anda tidak mahu pulihkan kulit buku dari sanda. Dalam\n        kes fail kulit buku ekstra, menanda kotak boleh baiki dan menekan\n        butang ini tidak akan memberitahu calibre yang mana fail kulit buku\n        yang ditemui adalah sesuai untuk semua buku yang tersenarai. Guna\n        ini bila anda tidak mahu memadam fail(s). Bagi kes format hilang,\n        menanda kotak boleh baiki dan menekan butang ini akan memberitahu\n        calibre bahawa format tersebut sudah hilang. Guna ini jika anda tidak\n        pulihkan format dari sandar.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Jalankan pemeriksaan lagi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Salin ke papan ke&ratan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Selesai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Tanda semu&a untuk padam"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Tanda semua subitem yang boleh dipadam"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Padam yang berta&nda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Padam fail bertanda (subitem bertanda)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Tan&da semua untuk dibaiki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Tanda semua item yang boleh dibaiki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "Ba&iki yang bertanda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Baiki seksyen bertanda (item boleh dibaiki ditanda)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Nama diabaikan:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Masukkan kad liar nama fail piawai dipisah-tanda-koma, seperti syntoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Sambungan diabaikan:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Masukkan sambungan dipisah-tanda-koma tanpa titik dihadapan. Hanya digunakan dalam folder buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(boleh dibaiki)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Laluan dari pustaka"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15582,8 +15602,8 @@ msgstr "Lokasi %s mengandungi pustaka ca
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Lokasi teruk"
 
@@ -16139,46 +16159,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (sebelum %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Item adalah kosong"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Item tidak dapat ditetapkan menjadi tiada apa-apa. Padam ia."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Tiada item dipilih"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Anda mesti pilih salah satu item dari senarai item yang Tersedia."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Tiada item dipilih"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Anda mesti pilih sekurang-kurangnya satu item dari senarai."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Anda pasti mahu memadam item berikut?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Penyunting kategori"
 
@@ -16187,7 +16207,7 @@ msgid "Items in use"
 msgstr "Item digunakan"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16202,11 +16222,11 @@ msgstr "Nama semula item dalam setiap bu
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Buku ini ada DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16233,7 +16253,7 @@ msgid "Already in calibre:"
 msgstr "Sudah ada di dalam calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16258,28 +16278,28 @@ msgid "Change case"
 msgstr "Ubah kata"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Huruf besar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Huruf kecil"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Silih kata"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16306,65 +16326,65 @@ msgstr "Nama pengarang tidak sah"
 msgid "You cannot change an author to multiple authors."
 msgstr "Anda tidak boleh mengubah pengarang menjadi pengarang berbilang"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Urus pengarang"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Gelintar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Tetap semula nilai isih pengarang ke satu nilai secara automatik\ndijana daripada pengarang. Bagaimana sebenarnya nilai ini adalah\ndijana secara automatik boleh dikawal melalui Keutamaan->Lanjutan->Tweak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "Kir&a semula semua nilai isih pengarang"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Salin isih pengarang ke pengarang untuk setiap pengarang. Anda biasanya guna\nbutang ini selepas menukar Keutamaan->Lanjutan->Tweak-algoritma nama isih pengarang"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "Sa&lin semua nilai isih pengarang kepada pengarang"
 
@@ -16696,77 +16716,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] "Sembunyi {} mesej ralat berbaki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Bekerja"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Memproses %d buah buku, tunggu sebentar..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "Kemajuan langkah semasa: %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Langkah %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Huruf Kecil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Huruf Besar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Huruf Tajuk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Aksara padan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Ungkapan nalar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Medan ganti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Dihadapan medan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Tambah ke medan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Menyunting maklumat meta untuk <b>%d buku</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Serta-merta buat semua perubahan tanpa menutup dialog. Operasi ini tidak dapat dibatalkan atau dikembalikan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Buku %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Masukkan jenis pengecam"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16774,7 +16794,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Anda boleh musnahkan pustaka anda menggunakan fitur ini.</b> Perubahan adalah kekal. Mak tiada fungsi buat asal. Anda sangat digalakkan sandar pustaka anda sebelum teruskan.<p>Gelintar dan ganti dalam medan teks menggunakan pemadanan aksara atau ungkapan nalar. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16784,7 +16804,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16799,80 +16819,80 @@ msgid ""
 "function."
 msgstr "Dalam mod ungkapan nalar, teks gelintar adalah ungkapan nalar serasi-Python arbitari. Teks penggantian boleh mengandungi ungkapan rujuk belakang hingga terkurung di dalam pola. Gelintar tidak ditambat, dan boleh padan serta ganti berbilang kali dalam rentetan yang serupa. Fungsi pengubahsuaian (huruf-kecil dan lain-lain) dilaksana pada teks yang dipadankan, bukan pada medan secara keseluruhan. Kotak destinasi menyatakan lokasi keputusan selepas pemadanan dan penggantian untuk diumpukkan. Anda boleh ganti teks di dalam medan, atau  buang ataupun tambah teks yang dipadankan. Sila rujuk <a href=\"https://docs.python.org/library/re.html\"> rujukan ini</a> untuk maklumat lanjut berkenaan ungkapan nalar python, dan juga fungsi 'sub'nya."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R RALAT TEMPLAT"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Anda mesti nyatakan destinasi bila sumber ialah medan komposit atau templat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Nilai pengganti bagi lajur penarafan mestilah kosong atau integer diantara 0 hingga 10"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Anda mesti nyatakan jenis pengecam destinasi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Anda mesti nyatakan ungkapan gelintar dalam medan \"Gelintar untuk\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Rentetan pengecam tidak sah. Ia mesti senarai pasangan rentetan diasing-tanda-koma bagi rentetan diasing dengan tanda titik bertindih."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Gelintar/ganti tidak sah"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Gelintar/ganti tidak sah: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Padam gelintar/ganti tersimpan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Gelintar/ganti tersimpan terpilih akan dipadamkan. Anda pasti?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Simpan gelintar/ganti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Nama gelintar/ganti:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Gelintar/ganti tersimpan sudah wujud dan akan ditulis-ganti. Anda pasti?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Sunting maklumat meta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16880,90 +16900,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Ini akan menyebabkan medan isih pengarang dikemaskini secara\nautomatik berdasarkan pada medan pengarang bagi setiap buku\nterpilih. Perhatian jika anda guna kawalan di atas untuk tetapkan\npengarang secara pukal, medan isih pengarang dikemaskinikan\njua, tanpa mengira nilai kotak tanda ini."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Tetapkan isih pengarang secara a&utomatik"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "S&ilih tajuk dan pengarang"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Kemaskini isih tajuk berdasarkan pada tajuk semasa. Ia hanya akan dilaksana selepas lain perubahan pada tajuk."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Kemaskini isih &tajuk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Ubah k&ulit buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Jana kulit buku lalai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Buang kulit buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Cuba untuk mengesan secara automatik dan buang sempadan dan\nruang kosong dari pinggir imej kulit buku. Kadangkala ia terlebih\nbuang, oleh itu guna dengan hati-hati."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "K&erat kulit buku (MERBAHAYA)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "Tetapkan dari fail &e-buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Tetapkan kulit buku untuk semua buku terpilih\nmenjadi sama seperti buku pertama yang dipilih."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Klonkan kulit buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Paksa tajuk dengan kata-tajuk. Jika kedua-dua ini dan silih pengarang ditanda,\ntajuk dan pengarang juga disilih sebelum kata-tajuk ditetapkan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Ubah tajuk &kata menjadi:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "Ta&rikh:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Jika ditanda, penerbit akan dikosongkan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "&Kosongkan pub"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "Dit&erbitkan:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16971,118 +16991,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Jika tidak ditanda, nombor siri bagi buku akan ditetapkan menjadi 1\nJika ditanda, buku terpilih akan dinomborkan secara automatik,\nmengikut tertib terpilih anda. Oleh itu, jika anda pilih Buku A dan\nkemudian Buku B, Buku A akan mempunyai nombor siri 1 dan Buku\nB nombor siri 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Nomborkan buku secara &automatik dalam siri ini"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Siri akan dinomborkan semula seperti biasa berdasarkan bilangan tertinggi\ndalam pangkalan data untuk siri tersebut. Penandaan kotak ini akan\nmemberitahu calibre untuk mulakan penomboran dari nilai di dalam kotak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "Pa&ksa nombor untuk mula dengan:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Jika ditanda, siri akan dikosongkan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Kosongkan siri"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Kawal bagaimana kulit buku terjana lalai dicipta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Konfigur penjanaan k&ulit buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Tetapkan &ulasan untuk semua buku terpilih"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Buang tag:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Buang semu&a"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Tambah ta&g:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Nyatakan bagaimana pengarang buku ini patut diisih. Contohnya Charles Dickens patut diisih sebagai Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "&Laksana penarafan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Kosongkan tarikh diterbitkan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Bahasa:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Senarai tag dipisah tanda koma untuk buang dari buku."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Buka penyunting Tag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "&Isih pengarang:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Tetapkan data meta dalam calibre dari data meta dalam fail e-buku yang ada dengan setiap buku. Perhatian ia tidak mengubah kulit buku, oleh itu gunakan pilihan berasingan di bawah."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Tetapkan data &meta (kecuali kulit buku) dari fail e-buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Si&ri:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Buang tetapan penukaran tersimpan bagi buku terpilih.\n\nPenukaran akan datang buku ini akan gunakan tetapan lalai."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Buang penukaran ter&simpan bagi buku terpilih"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17091,152 +17111,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Bila membuat penukaran format sama dengan yang sama format,\nseperti., EPUB ke EPUB, calibre menyimpan EPUB asal sebagai\nORIGINAL_EPUB. Pilihan ini memberitahu calibre untuk pulihkan\nEPUB dari ORIGINAL_EPUB. Berhuna jika anda buat penukaran\npukal yang melibatkan sejumlah besar buku dan ada berlaku masalah."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Buang a&sal pra penukaran, jika ada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Tanda kotak ini untuk buang semua tag dari buku."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "Pena&rafan:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Data meta asas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Data meta &suai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "&Muat gelintar/ganti:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Pilih gelintar/ganti tersimpan untuk dimuatkan."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Simpan gelintar/ganti semasa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "S&impan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Me&dan gelintar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Nama medan yang anda mahu gelintar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "&Mod gelintar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Pilih sama ada hendak guna pemadanan teks asas atau pemadanan ungkapan nalar lanjutan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "Jenis pen&gecam:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Pilih jenis pengecam yang manakah hendak dipakai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Templat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Masukkan templat yang digunakan sebagai sumber untuk gelintar/ganti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Masukkan apakah yang anda mahu cari, sama ada teks biasa atau ungkapan nalar, bergantung pada mod"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Tanda kotak ini jika rentetan gelintar mesti sepadan huruf besar dan kecil dengan tepat. Jangan tanda ia jika diabaikan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Sensiti&f kata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Ganti dengan:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Teks pengganti. Teks gelintar yang sepadan akan diganti dengan rentetan ini"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "L&aksana fungsi selepas ganti:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Nyatakan bagaimana teks diproses selepas pemadanan dan penggantian. Dalam mod aksara,\nkeseluruhan medan diproses. Dalam mod ungkapan nalar, hanya teks sepadan diproses"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "Medan &destinasi:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Medan yang mana teks akan diletak ke dalam selepas semua\npenggantian. Jika kosong, medan sumber digunakan jika medan\nboleh diubahsuai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "M&od:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Nyatakan bagaimana teks patut disalin ke destinasi."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Nyatakan sama ada item keputusan patut dipisah menjadi nilai berbilang\natau biarkan sebagai nilai tunggal. Pilihan ini lebih berkesan bila medan\nsumber tidak berbilang dan medan destinasi adalah berbilang"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Pisah &keputusan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Jenis pengecam:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17244,48 +17264,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Pilih jenis pengecam yang dioperasikan. Bila medan sumber\n              lebih tua dari 'pengecam' yang anda boleh masukkan\n               * jika anda mahu gantikan keseluruhan set pengecam\n              dengan keputusan gelintar/ganti.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Bagi medan berbilang-nilai, tun&juk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "n&ilai bermula pada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "dengan nilai diasing den&gan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Digunakan bila memaparkan keputusan ujian untuk asingkan nilai dalam medan berbilang-nilai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Uji teks"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Keputusan ujian"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "&Ujian anda:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Gelintar dan ganti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Jika dibenarkan, senarai buku akan diisih-semula dan\nmana-mana gelintar atau pustaka Maya akan disegar\nsemula selepas suntingan selesai. Ia boleh menjadi\nperlahan dalam pustaka bersaiz besar."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "Sega&r semula senarai buku selepas disunting"
 
@@ -17914,7 +17934,7 @@ msgstr "Gelintar tersimpan tidak sah"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Urus gelintar Tersimpan"
 
@@ -18574,76 +18594,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Kategori tag semasa akan <b>dipadam secara kekal</b>. Anda pasti?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Penyunting kategori pengguna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "&Nama kategori:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Pilih satu kategori untuk disunting"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "Penapis k&ategori:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Pilih jenis kandungan bagi kategori baharu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Tambah satu kategori baharu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Nama semula kategori semas mengikut apa yang ada di dalam kotak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "&Item tersedia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Laksana tag ke kategori tag semasa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "I&tem dilaksanakan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Nyahlaksana (buang) tag dari kategori tag semasa"
 
@@ -18675,121 +18695,121 @@ msgid ""
 "to delete them?"
 msgstr "Tag berikut telah diguna oleh satu atau lebih buku. Anda pasti mahu memadamnya?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Kiraan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Sebelum"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Anda pasti mahu membuat asal semua perubahan yang anda lakukan?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Nyahpadam item?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Item tersebut dipadamkan. Anda mahu menyahpadamkannya?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Buat asal pemadaman atau penyuntingan bagi baris terpilih"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19668,17 +19688,17 @@ msgstr "Bentangan"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Tunjuk dan sembunyi pelbagai bahagian tetingkap utama calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Tiada format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Buku {0} tidak mempunyai format {1}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Pulih %s"
@@ -19956,21 +19976,11 @@ msgstr "Buku %(sidx)s dari <span class=\
 msgid "This book is on the device in %s"
 msgstr "Buku ini berada dalam peranti di %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Tetapkan tarikh untuk dinyahtakrif"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Tetapkan tarikh pada hari ini"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Tetapkan ke tidak ditakrif"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20314,7 +20324,7 @@ msgid ""
 msgstr "Laluan ke Calibre Mudah Alih (%s) terlalu panjang. Mesti kurang dari 59 aksara."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Pustaka Calibre"
 
@@ -20477,6 +20487,16 @@ msgstr "K&eluar"
 msgid "Unhandled exception"
 msgstr "Pengecualian tidak dikendalikan"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Tetapkan tarikh untuk dinyahtakrif"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Tetapkan tarikh pada hari ini"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20755,7 +20775,7 @@ msgstr "&Penerbit:"
 msgid "Clear publisher"
 msgstr "Kosongkan penerbit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Kosongkan tarikh"
 
@@ -20823,7 +20843,7 @@ msgid "Processed %s"
 msgstr "%s diproses"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Medan data meta yang dimuat turun"
 
@@ -21582,13 +21602,13 @@ msgid "&Automatic adding"
 msgstr "Penambahan &automatik"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Tinggi"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Rendah"
 
@@ -21613,80 +21633,80 @@ msgstr "Semua dalam 1 tab"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Dialog pengesahan telah ditetap semula"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Maklumkan bila versi &baharu tersedia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "&Hantar berita dimuat turun secara automatik ke dalam pembaca e-buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "Keu&tamaan kerja:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Tertib format &input digemari:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Format &output dikehendaki:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "Sunting be&ntangan data meta (tunggal):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Jika ditanda, nilai lajur suai Ya/Tidak boleh jadi Ya, Tidak, atau Tidak Diketahui.\nJika tidak ditanda, nilai boleh jadi Ya atau Tidak."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "Pa&dam berita dari pustaka bila ia dihantar secara automatik ke dalam pembaca"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "&Had masa tamat rangkaian lalai:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Tetapkan nilai had masa tamat lalai untuk dapatan rangkaian (iaitu pada bila-bila masa ke internet untuk dapatkan maklumat)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr "saat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Tetap semua semua dialog pen&gesahan yang dilumpuhkan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Guna pe&lihat dalaman untuk:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22675,37 +22695,37 @@ msgid ""
 " effect.\n"
 msgstr "Salin nilai ni ke dalam papan keratan, tampal ia ke dalam penyunting, kemudian masukkannya ke dalam USER_DEVICE dengan menyuaikan pemalam peranti dalam Keutamaan->Lanjutan->Pemalam. Perlu diingat masukkan juga folder yang mana anda mahu buku diletakkan. Anda mesti mulakan semula calibre supaya perubahan yang anda buat berkesan.\n"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Tambah alamat emel yang mana untuk dihantarkan buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "T&ambah emel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Jadikan &lalai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Buang emel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Tambah ulasan dari data meta buku ke dalam emel.\nBerguna untuk membolehkan penerima melihat ringkasan\nbuku sebelum membukanya."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Tambah data meta &ulasan sebagai teks pada emel"
 
@@ -22842,7 +22862,7 @@ msgid "Create a new rule"
 msgstr "Cipta satu peraturan baharu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -22980,7 +23000,7 @@ msgid "If there is enough room"
 msgstr "Jika masih ada ruang"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Mengikut abjad pertama"
 
@@ -23251,7 +23271,7 @@ msgid "Caching of covers for improved pe
 msgstr "Cachekan kulit buku untuk prestasi dipertingkatkan"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Lumpuhkan"
 
@@ -23646,86 +23666,86 @@ msgstr "Tiada sumber dipilih"
 msgid "No source selected, cannot configure."
 msgstr "Tiada sumber dipilih, tidak dapat dikonfigur."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Sumber data meta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Sumber dengan tanda X merah disebelah nama mereka mesti dikonfigur sebelum ia digunakan."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "K&onfigur sumber terpilih"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Jika anda nyahtanda mana-mana medan, data meta untuk medan tersebut tidak akan dimuat turun"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Pilih semua"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Pulih subset anda sendiri dari medan bertanda yang anda takrif menggunakan butang 'Tetap sebagai lalai'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Simpan medan ditanda semasa sebagai lalai, anda boleh laksana terus lalai menggunakan butang 'Pilih lalai'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Tetapkan sebagai lalai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Tukar semua ulasan dimuat turun ke &teks biasa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Bila memuat turun ulasan, tambah ulasan dimuat turun pada mana-mana ulasan sedia ada, selain dari tulis-ganti ia."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "Bila memuat turun ulasan, tambah ulasan dimuat turun pada mana-mana ulasan sedia ada, selain dari menulis-ganti ia."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Tambah ulasan pada yang s&edia ada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23734,47 +23754,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Sumber data meta berlainan akan mempunyai set tag yang berbeza bagi buku yang sama. Jika pilihan ini ditanda, maka calibre akan guna set tag lebih kecil. Ia seakan genre, ketika set tag lebih besar cuba menjelaskan kandungan buku.\n<p>Perhatian pilihan ini hanya akan menjadikan perbezaan lebih praktikal jika salah satu sumber data meta mempunyai genre seperti set tag bagi buku yang anda gelintarkan. Selalunya, semuanya mempunyai set tag yang besar."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Utamakan set tag lebih kecil bila memilih tag dari sumber data meta yang berlainan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Utamakan tag lebih se&dikit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Cipta &peraturan untuk tapis/ubah tag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "&Bilangan maksimum tag yang dimuat turun:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Ma&sa maks. menunggu selepas padanan pertama ditemui:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr "saat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Masa maks. menunggu selepas ku&lit buku pertama ditemui:"
 
@@ -25318,7 +25338,7 @@ msgid "Paste and &search"
 msgstr "Tampal dan &gelintar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Tampal"
@@ -26344,150 +26364,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr "Item ditemui 'Klik'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Ubah ikon untuk: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Nama semula %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Padam %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Sunting isih untuk %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Sunting pautan untuk %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Anak %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Buang %(item)s dari kategori %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Gelintar segalanya melainkan %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Tambah sub-kategori untuk %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Sembunyi kategori %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Tunjuk kategori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Gelintat buku dalam kategori %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Gelintar buku bukan dalam kategori %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Ubah ikon kategori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Pulih ikon lalai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Urus kategori Pengguna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Tunjuk semua kategori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Ubah skema sub-kategori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Sekatan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Abjad pertama hanya boleh diguna bila isih mengikut nama"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "Kemba&ngkan semua anak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Kuncupkan semua aras"
 
@@ -27157,7 +27177,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Perubahan tidak disimpan"
 
@@ -27564,12 +27584,12 @@ msgid ""
 msgstr "Fail %s tidak wujud. Jika anda cuba mengklik satu item di dalam Senarai Kandungan, anda perlu segarkan semula ia dengan mengklik-kanan dan pilih \"Segar semula\"."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Format fail tidak disokong"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "Penyuntingan fail jenis %s tidak disokong"
@@ -27627,76 +27647,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Sebelum: Ganti %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Anda mesti buka buku dahulu untuk dapat melihat laporan."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Anda mesti buka dahulu buku supaya dapat memeriksa pautan."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Anda mesti buka buku dahulu supaya dapat memampatkan imej."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Sebelum: mampat imej"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Ralat tidak dijangka"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Gagal memampatkan imej, klik \"Tunjuk perincian\" untuk maklumat lanjut"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Tidak dapat nyahkod"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Tidak dapat sunting %s kerana ia kelihatan pengekodan aksara yang tidak diketahui"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Tiada buku buat masa ini dibuka. Anda mesti buka buku untuk menyuntingnya."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "Buku semasa telah disimpan di sebalik tabir. Keluar sekarang akan <b>menghenti paksa proses penyimpanan</b>! Selesaikan penyimpanan dahulu?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Keluar serta-merta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Selesai &menyimpan dahulu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Terdapat perubahan belum disimpan, jika anda keluar tanpa menyimpan, anda akan kehilangannya."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Simpan dan Keluar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Keluar tanpa menyimpan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Menyimpan, tunggu sebentar..."
 
@@ -31091,18 +31111,18 @@ msgstr[0] "{} pengesahan dilumpuhkan tel
 msgid "Disabled confirmations restored"
 msgstr "Pengesahan dilumpuhkan telah dipulihkan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31116,70 +31136,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Periksa unsur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Buka pautan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Sunting %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Gelintar dalam pratonton"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Lokasi tidak sah"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Tidak dapat pisahkan tag badan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Gagal lancarkan pekerja"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Gagal melancarkan proses pekerja yang digunakan untuk menerap pratonton"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Tidak dapat lumpuhkan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Auto memuat semula panel pratonton tidak dapat dilumpuhkan ketika panel CSS Langsung dibuka."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Auto muat semula pratonton bila teks berubah di dalam penyunting"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Lumpuhkan auto muat semula pratonton"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Lumpuhkan penyegerakan kedudukan pratontont ke kedudukan penyunting"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Benarkan penyegerakan kedudukan pratonton ke kedudukan penyunting"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Henti paksa pisah fail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34123,13 +34143,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34164,30 +34184,30 @@ msgstr "Sembunyi {}"
 msgid "Show {}"
 msgstr "Tunjuk {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Pilih &warna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Pilih satu warna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Po&tong"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "&Naik atas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "Turun ba&wah"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Belum ditarafkan"
 
@@ -34241,44 +34261,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Pilih peranti e-buku anda. Jika peranti anda tidak berada di dalam senarai, pilih peranti '%s\"."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Pilih lokasi untuk buku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Gagal mencipta folder di %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Anda mesti pilih satu folder kosong untuk pustaka calibre. %s tidak kosong."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Maju >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Undur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34286,15 +34310,15 @@ msgstr "< &Undur"
 msgid "Cancel"
 msgstr "Batal"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Selesai"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Lakukan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34302,7 +34326,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Selamat datang ke calibre"
@@ -34310,7 +34334,7 @@ msgstr "Selamat datang ke calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Penyelesaian sehenti untuk semua keperluan e-buku anda."
@@ -34325,7 +34349,7 @@ msgstr "Pe&ranti"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "LamanBestari"
@@ -34363,17 +34387,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "Emel &Kindle:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Pilih &bahasa anda:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Pilih lokasi untuk buku anda. Bila anda menambah buku ke dalam calibre, ia akan disalin di sini. Guna <b>folder kosong</b> untuk pustaka calibre baharu:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -36958,6 +36982,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/mt.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/mt.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/mt.po	2020-07-02 04:06:25.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/mt.po	2020-07-16 16:39:13.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6496,103 +6507,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6600,7 +6611,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8495,7 +8506,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8985,7 +8996,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9030,7 +9041,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9082,7 +9093,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9239,7 +9250,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9279,7 +9290,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10187,7 +10198,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10795,7 +10806,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -11008,7 +11019,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11462,8 +11473,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11592,42 +11603,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11636,112 +11652,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11749,7 +11765,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11818,7 +11834,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11836,11 +11852,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11979,7 +11995,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -12014,7 +12030,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12061,8 +12077,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12174,22 +12190,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12417,7 +12433,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12892,10 +12908,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13327,7 +13343,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13342,7 +13358,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13351,7 +13367,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13366,8 +13382,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13434,45 +13450,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13818,7 +13834,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14644,74 +14660,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14719,44 +14734,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15464,11 +15479,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15532,79 +15547,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15654,8 +15674,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16211,46 +16231,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16259,7 +16279,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16274,11 +16294,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16308,7 +16328,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16333,28 +16353,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16381,65 +16401,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16774,77 +16794,77 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16852,7 +16872,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16862,7 +16882,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16877,80 +16897,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16958,90 +16978,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17049,118 +17069,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17169,152 +17189,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17322,48 +17342,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17992,7 +18012,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18652,76 +18672,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18753,121 +18773,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19752,17 +19772,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -20049,21 +20069,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20407,7 +20417,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20570,6 +20580,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20851,7 +20871,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20925,7 +20945,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21690,13 +21710,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21721,80 +21741,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22783,37 +22803,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22950,7 +22970,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23088,7 +23108,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23359,7 +23379,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23754,86 +23774,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23842,47 +23862,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25432,7 +25452,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26458,150 +26478,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27271,7 +27291,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27678,12 +27698,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27741,76 +27761,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31229,18 +31249,18 @@ msgstr[3] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31254,70 +31274,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34273,13 +34293,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34314,30 +34334,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34391,44 +34411,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34436,15 +34460,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34452,7 +34476,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34460,7 +34484,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34475,7 +34499,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34513,17 +34537,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37111,6 +37135,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/my.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/my.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/my.po	2020-07-02 04:03:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/my.po	2020-07-16 16:37:02.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-07-01 11:07+0000\n"
-"Last-Translator: Sithu Aung <sithu.aung015@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -207,7 +207,7 @@ msgstr "ဘာမျှမလုပ်
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -219,12 +219,12 @@ msgstr "ဘာမျှမလုပ်
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1134,9 +1134,9 @@ msgstr "ကက်တလောက်"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1161,7 +1161,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1223,7 +1223,7 @@ msgstr "သိမ်းထားသေ
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2836,8 +2836,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2846,8 +2846,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3190,7 +3190,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "ပုံစံပြ ကို ပြင်ရန်"
@@ -3303,7 +3303,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3330,8 +3330,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3719,61 +3719,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6207,7 +6218,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "မလုပ်တော့"
 
@@ -6230,7 +6241,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8485,7 +8496,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8957,7 +8968,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9002,7 +9013,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9054,7 +9065,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9208,7 +9219,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9248,7 +9259,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10138,7 +10149,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10737,7 +10748,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10947,7 +10958,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11392,8 +11403,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11522,42 +11533,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11566,112 +11582,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11679,7 +11695,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11748,7 +11764,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11766,11 +11782,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11909,7 +11925,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11944,7 +11960,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -11991,8 +12007,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12104,22 +12120,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12347,7 +12363,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12822,10 +12838,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13257,7 +13273,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13272,7 +13288,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13281,7 +13297,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13296,8 +13312,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13364,45 +13380,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13748,7 +13764,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14574,74 +14590,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14649,44 +14664,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15391,11 +15406,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15459,79 +15474,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15581,8 +15601,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16138,46 +16158,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16186,7 +16206,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16201,11 +16221,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16232,7 +16252,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16257,28 +16277,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16305,65 +16325,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16695,77 +16715,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16773,7 +16793,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16783,7 +16803,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16798,80 +16818,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16879,90 +16899,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16970,118 +16990,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17090,152 +17110,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17243,48 +17263,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17913,7 +17933,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18573,76 +18593,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18674,121 +18694,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19667,17 +19687,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19955,21 +19975,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20313,7 +20323,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20476,6 +20486,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20754,7 +20774,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20822,7 +20842,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21581,13 +21601,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21612,80 +21632,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22674,37 +22694,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22841,7 +22861,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -22979,7 +22999,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23250,7 +23270,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23645,86 +23665,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23733,47 +23753,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25317,7 +25337,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26343,150 +26363,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27156,7 +27176,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27563,12 +27583,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27626,76 +27646,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31090,18 +31110,18 @@ msgstr[0] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31115,70 +31135,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34122,13 +34142,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34163,30 +34183,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34240,44 +34260,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34285,15 +34309,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34301,7 +34325,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34309,7 +34333,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34324,7 +34348,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34362,17 +34386,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -36957,6 +36981,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/nb.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/nb.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/nb.po	2020-07-02 04:01:16.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/nb.po	2020-07-16 16:37:49.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
@@ -212,7 +212,7 @@ msgstr "Gjør absolutt ingenting"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -224,12 +224,12 @@ msgstr "Gjør absolutt ingenting"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1139,9 +1139,9 @@ msgstr "Katalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1166,7 +1166,7 @@ msgstr "Sti til bibliotek ({0}) er for l
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1228,7 +1228,7 @@ msgstr "Lagrete søk"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2841,8 +2841,8 @@ msgstr "Motta liste over bøker på enhe
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2851,8 +2851,8 @@ msgstr "Fjern bøker fra enhetens metada
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3195,7 +3195,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Rediger mal"
@@ -3308,7 +3308,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Få informasjon om enheten..."
@@ -3335,8 +3335,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3724,61 +3724,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "For mange tilkoblingsforsøk fra %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6212,7 +6223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Nei"
 
@@ -6235,7 +6246,7 @@ msgid "Producer"
 msgstr "Produsent"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6501,103 +6512,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "NO"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Frankrike"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Tyskland"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Storbritannia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Australia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japan"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Spania"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brasil"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Nederland"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Kina"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Canada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6605,7 +6616,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazon brukte for lang tid på å svare. Prøv igjen senere."
 
@@ -8494,7 +8505,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8972,7 +8983,7 @@ msgstr "Folderen %s finnes fra før. Sle
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "For lang"
 
@@ -9017,7 +9028,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9069,7 +9080,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9224,7 +9235,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Kopier"
@@ -9264,7 +9275,7 @@ msgstr "{0} av {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10160,7 +10171,7 @@ msgid "Move to next highlighted match"
 msgstr "Flytt til neste merkede treff"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10762,7 +10773,7 @@ msgid "this book"
 msgstr "denne boken"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Søk etter %s"
@@ -10973,7 +10984,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11421,8 +11432,8 @@ msgstr "Endre"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11551,42 +11562,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Administrer %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11595,112 +11611,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Filbane"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11708,7 +11724,7 @@ msgstr "Filbane"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11777,7 +11793,7 @@ msgstr "utdata"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11795,11 +11811,11 @@ msgstr "utdata"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11938,7 +11954,7 @@ msgid "Preset name:"
 msgstr "Navn på forhåndsinnstilling:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11973,7 +11989,7 @@ msgstr "Sann"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12020,8 +12036,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Slett"
 
@@ -12133,22 +12149,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12376,7 +12392,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12851,10 +12867,10 @@ msgstr "Fontstørrelse&nøkkel:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " punkter"
@@ -13286,7 +13302,7 @@ msgid "Change the title of this book"
 msgstr "Forandre bokens tittel"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Forfatter(e): "
 
@@ -13301,7 +13317,7 @@ msgid ""
 msgstr "Endre forfatteren(e) til denne boken. Ved flere forfattere må disse listes adskilt av komma."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Forlegger: "
 
@@ -13310,7 +13326,7 @@ msgid "Ta&gs: "
 msgstr "Ta&gger: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13325,8 +13341,8 @@ msgstr "&Serier:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Liste av kjente serier. Du kan legge til nye serier."
@@ -13393,45 +13409,45 @@ msgstr ""
 msgid "Page setup"
 msgstr "Sideoppsett"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "&Utdataprofil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Profilbeskrivelse"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "&Inndataprofil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Marger"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Venstre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Topp:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Høyre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Bunn:"
@@ -13777,7 +13793,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Endre"
 
@@ -14603,74 +14619,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Ikke definert"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Setter '%s' til i dag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Tøm '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " indeks:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Opplistingen \"{0}\" inneholder en avslått verdi som vil bli satt som standard"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Benytt endringer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Nummerer bøker automatisk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14678,44 +14693,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Tving tall til å starte med "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Opplistingen \"{0}\" inneholder en avslått verdi som ikke vil bli å finne i listen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Fjerne alle emneord"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "emneord som skal legges til"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "emneord som skal fjernes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15421,11 +15436,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15489,79 +15504,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Kopier &til utklippstavlen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Ferdig"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Slett markerte filer (markerte underelementer)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Reparer merkede seksjoner (markerte reparerbare elementer)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Navn som skal ignoreres:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Legg inn kommaseparert standard filnavn med stjernetegn, som synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Legg inn kommaseparert utvidelser uten et etterfølgende punktum. Benyttes kun i bokmapper"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(reparerbar)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Sti fra biblioteket"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15611,8 +15631,8 @@ msgstr "Området %s inneholder det gjeld
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Dårlig område"
 
@@ -16168,46 +16188,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Inneholder ingenting"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Innholdet kan ikke stilles inn for å gjøre ingenting. Slett det istedet."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Intet innhold ble valgt"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Du må velge innhold fra listen over tilgjengelig innhold."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Intet innhold bel valgt"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16216,7 +16236,7 @@ msgid "Items in use"
 msgstr "Innhold i bruk"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16231,11 +16251,11 @@ msgstr "Foreta navneendring av innholdet
 msgid "Ctrl+S"
 msgstr "Ctr+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16263,7 +16283,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16288,28 +16308,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16336,65 +16356,65 @@ msgstr "Feil ved forfatternavn"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Behandling av forfatterinformasjon"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Søk etter:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16727,77 +16747,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "prossesserer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Små bokstaver"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Store bokstaver"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Store eller små bokstaver i tittelen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Karaktertreff"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Erstatt felt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Flyttes til felt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Legges til felt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Rediger metainformasjon for <b>%d bøker</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Gjør endringene umiddelbart uten at dialogen lukkes. Denne operasjonen kan ikke stoppes eller gjøres om"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Bok %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16805,7 +16825,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Biblioteket ditt kan ødelegges dersom du bruker denne egenskapen.</b> Endringen er permanent. Det finnes ingen metode for å gjøre om dette valget. Du anbefales å ta en sikkerhetskopi av biblioteket før du fortsetter.<p>Søk og erstatt i tekstfelter benytter tegnsett som samsvarer med vanlige uttrykk. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16815,7 +16835,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16830,80 +16850,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R FEIL MED MAL"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Søk/erstatt ugyldig"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16911,90 +16931,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "A&utomatisk forfattersortering"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Endre &omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Generer standardomslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Fjern omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Tving tittelen til å bli i tittellinjen. Dersom både denne og bytt forfatter er markert,\nvil tittel og forfatter bli byttet om før tittellinje blir gitt."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Dato:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17002,118 +17022,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Om ikke markert, vil serienummerne for bøkene bli satt til 1.\nOm markert, vil utvalget av bøker automatisk bli nummerert i den orden\ndu har valgt dem. Så dersom du valgte bok A og deretter bok B,\nvil bok A få serienummer 1 og bok B få serienummer 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Serier vil normalt bli omnummerert fra det høyeste nummeret i databasen\nfor dene serien. Ved å markere denne boksen vil calibre starte nummereringen\nfra verdien gitt i boksen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Dersom markert, vil serien bli fjernet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Fjern emneord:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Legg til ta&gger: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Spesifiser hvordan forfatter(e) av denne boken skal sorteres. For eksempel Charles Dickens skal sorteres som Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Kommaseparert liste av emneord som skal fjernes fra bøkene. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Forfatter s&orter: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Fjern lagrede konverteringsinnstillinger for de valgte bøkene.\n\nFremtidige konverteringsinnstillinger vil bruke standard innstillinger."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Slett &lagrede konverteringsinnstillinger for de valgte bøkene"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17122,152 +17142,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Merk av denne boksen for å fjerne alle emneord fra bøkene."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Bedømning"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Grunnleggende metadata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Brukervalgte metadata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Søke&felt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Navnet på feltet du ønkser å søke i"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Søke&modus:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Velg om du ønkser å benytte basis teksttreff eller avansert ordinært uttrykkstreff"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Legg inn en mal som skal brukes som kilde for søk/erstatt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Marker denne boksen dersom søkestrengen må svare til store eller små bokstaver. Fjern markeringen dersom store eller små bokstaver skal ignorerers i søket"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Versal&følsom"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Erstatt med:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Erstatningsteksten. Den samsvarende søketeksten vil bli erstattet med denne tekststrengen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Sett inn funksjon etter bytte:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Spesifiser hvordan teksten skal behandles etter samsvarstreff og erstatning. I bokstavmodus, vil hele\nfeltet bli behandlet. I ordinært uttrykksmodus vil bare den samsvarende teksten bli behandlet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "&Destinasjonsfelt:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Feltet der teksten vil bli lagt inn etter alle erstatningene.\nOm tomt, vil kildefeltet bli brukt dersom feltet er modifiserbart"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "M&odus:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Spesifiser hvordan teksten bør kopieres til destinasjonen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Spesifiserer om resultatobjektet bør splittes til flere verdier eller\nbli værende som enkel verdi. Dette valget har de fleste effektene når kildefeltet ikke\ner flerfoldig og destinasjonsfeltet er flerfoldig."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Del &resultat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17275,48 +17295,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "For felt med flerfoldige verdier, vi&s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "med verdier delt me&d"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Benyttes når testresultater vises for å separere flerfoldige verdifelter"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Forsøkstekst"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Forsøksresultat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Søk og erstatt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17945,7 +17965,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18605,76 +18625,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Den gjeldende emneordkategorien vil bli <b>slettet permanent</b>. Er du sikker?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Velg en kategori som skal redigeres"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "&Kategorifilter: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Velg type innhold for den nye kategorien"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Legg inn emneord til gjeldende kategori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Fjern emneord fra gjeldende emneordkategori"
 
@@ -18706,121 +18726,121 @@ msgid ""
 "to delete them?"
 msgstr "De følgende taggene benyttes av en eller flere bøker. Er du sikker på at du ønsker å fjerne dem?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Antall"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Var"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19701,17 +19721,17 @@ msgstr "Layout"
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19992,21 +20012,11 @@ msgstr "Bok %(sidx)s i <span class=\"ser
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20350,7 +20360,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre-bibliotek"
 
@@ -20513,6 +20523,16 @@ msgstr "&Avslutt"
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20792,7 +20812,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20862,7 +20882,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21623,13 +21643,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Høy"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Lav"
 
@@ -21654,80 +21674,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr "Alle bekreftelsesdialoger har blitt tilbakestilt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "oppgave&prioritet:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Foretrukket &inndataformat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Foretrukket &utdataformat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Slett nyheter fra biblioteket når de automatisk sendes til leseren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Standard netttilgang &tidsavbrudd:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Legg inn standard for tidsavbrudd for nettverkstilgang (for eksempel all den tid vi går på nettet for å finne informasjon)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " sekunder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Tilbakestill alle avslåtte &bekreftelsesdialoger"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Bruk intern &leser for:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22716,37 +22736,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Legg til en e-postadresse til hvor du vil sende bøker"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Legg til e-post"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Lag &standard"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Fjern e-post"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22883,7 +22903,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23021,7 +23041,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Ved første bokstav"
 
@@ -23292,7 +23312,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Skru av"
 
@@ -23687,86 +23707,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23775,47 +23795,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " sek."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25361,7 +25381,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Lim inn"
@@ -26387,150 +26407,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Slett %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Skjul kategorien %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Vis kategorier"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Vis alle kategorier"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Partisjoner"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27200,7 +27220,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Ulagrede endringer"
 
@@ -27607,12 +27627,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27670,76 +27690,76 @@ msgid "Import"
 msgstr "Importer"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Uventet feil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Ingen bok er åpen. Du må først åpne en bok for å redigere."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31142,18 +31162,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31167,70 +31187,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Åpne lenken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Rediger %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Ugyldig plassering"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34178,13 +34198,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34219,30 +34239,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Velg en farge"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Klipp &ut"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34296,44 +34316,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Velg lokalisasjon for bøker"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Du må velge en tom mappe for kalibrebiblioteket. %s er ikke tomt."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Neste →"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "← &Tilbake"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34341,15 +34365,15 @@ msgstr "← &Tilbake"
 msgid "Cancel"
 msgstr "Avbryt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Fullfør"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Kodeinnsmetting"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34357,7 +34381,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Velkommen til calibre"
@@ -34365,7 +34389,7 @@ msgstr "Velkommen til calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Den eneste løsningen du trenger for alle dine e-bøker."
@@ -34380,7 +34404,7 @@ msgstr "&Enheter"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Veiviser-side"
@@ -34418,17 +34442,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "&Kindle e-post:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Velg språk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Velg en lokalisering for bøkene dine. Når du har lagt til bøker i calibre, så vil de bli kopiert hit. Benytt en <b>tom mappe</b> som nytt calibrebibliotek:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37014,6 +37038,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "Bilde uten navn"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/nds.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/nds.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/nds.po	2020-07-02 04:01:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/nds.po	2020-07-16 16:41:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "Makt nix"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "Makt nix"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr "Erhalte die Liste der Bücher au
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr "Entferne Bücher von der Metadat
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Erhalte Geräte Information..."
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr "Produzent"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "E"
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Pfad"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr "Pfad"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr "Ausgabe"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr "Ausgabe"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Löschen"
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr "Schrift&größenschlüssel:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " Punkt"
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr "Titel dieses Buches ändern"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Autor(en): "
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr "Autor dieses Buches ändern. Mehrere Autoren sollten durch Kommata getrennt werden"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Herausgeber: "
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr "&Etiketten: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr "&Reihen:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Liste der bekannten Reihen. Sie können neue Reihen hinzufügen."
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Ausgabe Pr&ofil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Profilbeschreibung"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "E&ingabe Profil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Ränder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Links:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Oben:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Rechts:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Unten:"
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Ändern"
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Bei der Arbeit..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Kleinschreibung"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Großschreibung"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Wortanfänge groß schreiben"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Automatisch Sortierung nach Autor setzen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Datum:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "Etiketten entfe&rnen:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Etiketten hinzufü&gen: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Geben Sie an, wie der Autor dieses Buches sortiert werden soll. \"Charles Dickens\" zum Beispiel als \"Dickens, Charles\"."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Durch Kommata getrennte Liste der Etiketten, die von den Büchern entfernt werden. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "S&ortierung nach Autor: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Bewertung:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr "Die folgenden Etiketten werden von einem oder mehreren Büchern verwendet. Sind Sie wirklich sicher, dass Sie sie löschen möchten?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "S"
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre Bibliothek"
 
@@ -20507,6 +20517,16 @@ msgstr "Be&enden"
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Hoch"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Niedrig"
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "Auftrags&priorität:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Bevorzugte Reihenfolge des E&ingabe Formats:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Bev&orzugtes Ausgabeformat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "Nachrichten nach der automatischen Übertragung auf das Gerät aus der Bibliothek &löschen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Voreinstellung für Zei&tüberschreitung bei Netzwerkverbindungen:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Voreinstellung der Zeitüberschreitung für Netzwerkabrufe festsetzen (Gilt immer dann, wenn aus dem Internet Informationen abgerufen werden sollen)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " Sekunden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Internen &Viewer verwenden für:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Eine eMail Adresse hinzufügen, an die die Bücher gesendet werden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "eM&ail hinzufügen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Als Voreinstellung verwenden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "eMail entfe&rnen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr "Importieren"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Speicherort für Bücher wählen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Willkommen zu Calibre"
@@ -34359,7 +34383,7 @@ msgstr "Willkommen zu Calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Die Eine-für-Alles-Lösung für Ihre eBook Bedürfnisse."
@@ -34374,7 +34398,7 @@ msgstr "&Geräte"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Assistenten Seite"
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "&Kindle eMail:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Wäh&len Sie Ihre Sprache:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/nl.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/nl.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/nl.po	2020-07-02 04:07:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/nl.po	2020-07-16 16:38:23.000000000 +0000
@@ -62,9 +62,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-29 08:27+0000\n"
-"Last-Translator: Eduard van der Linde\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-11 12:03+0000\n"
+"Last-Translator: M. de Boer <de.boer.melle@gmail.com>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -261,7 +261,7 @@ msgstr "Doet helemaal niets"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -273,12 +273,12 @@ msgstr "Doet helemaal niets"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1188,9 +1188,9 @@ msgstr "Catalogus"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1215,7 +1215,7 @@ msgstr "Pad naar bibliotheek ({0}) te la
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1277,7 +1277,7 @@ msgstr "Opgeslagen zoekopdrachten"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2890,8 +2890,8 @@ msgstr "Bezig met het ophalen van boeken
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2900,8 +2900,8 @@ msgstr "Boeken uit metagegevenslijst op
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3244,7 +3244,7 @@ msgstr "Voer een sjabloon in om te gebru
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Sjabloon bewerken"
@@ -3357,7 +3357,7 @@ msgid "Communicate with MTP devices"
 msgstr "Communiceer met MTP apparaten"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Apparaatinformatie ophalen..."
@@ -3384,8 +3384,8 @@ msgid "Finished reading metadata from de
 msgstr "Metagegevens lezen op het apparaat voltooid"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3773,61 +3773,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "Dit is een door komma gescheiden overzicht van formaten van bestandsextensies die u wilt kunnen gebruiken om naar het apparaat te sturen. Bijvoorbeeld als u audio-boeken heeft in uw bibliotheek met de extensie \"m4b\" die u wilt beluisteren op uw apparaat. Maak u geen zorgen over de waarschuwing over de \"extra geactiveerde extensies\"."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr "Negeer vrije ruimte op het apparaat"
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr "Vink dit vakje aan om de hoeveelheid vrije ruimte die door uw apparaten wordt gerapporteerd, te negeren. Dit kan nodig zijn als u boeken op een SD-kaart opslaat en het apparaat niet veel vrij geheugen heeft."
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Te veel verbindingspogingen voor %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "De app op uw apparaat is te oud en wordt niet meer ondersteund. Update naar een nieuwere versie."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Er zijn boekformaten in de bibliotheek met een datum in de toekomst. Zie Calibre voor meer informatie"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "De gelezen synchronisatie kolom %s is niet aanwezig in Calibre's bibliotheek"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "De gelezen synchronisatie kolom %s is geen Ja/Nee kolom"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "De gelezen datum synchronisatie kolom %s is niet aanwezig in Calibre's bibliotheek"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "De gelezen datum synchronisatie kolom %s is niet van het type datum"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Verkeerde compressiekwaliteitsinstelling. Het moet een getal tussen 50 en 99 zijn. Het wordt op %d gezet."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Ongeldige poort in instellingen: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Verbinen met poort %d mislukt. Probeer een andere waarde."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Willekeurige poort toewijzen mislukt"
 
@@ -6261,7 +6272,7 @@ msgstr "Bekende e-boekformaten uitpakken
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Nee"
 
@@ -6284,7 +6295,7 @@ msgid "Producer"
 msgstr "Producent"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6550,103 +6561,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google afbeeldingen"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Download metagegevens en omslagen van Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "Verenigde Staten"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Frankrijk"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Duitsland"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Verenigd Koninkrijk"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Australie"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italië"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japan"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Spanje"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brazilië"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Nederland"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "China"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Canada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Kies automatisch de server"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Amazon servers"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Bing zoekcache"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Google zoekcache"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Terugweg machine-cache (langzaam)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Amazon landen-website om te gebruiken:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Metagegevens van Amazon worden opgehaald met gebruik van de Amazon-website van dit land."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Server om gegevens op te halen:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon is begonnen om pogingen te blokkeren om metagegevens te downloaden van hun servers. Om dit probleem te omzeilen can Calibre de Amazon gegevens halen van veel verschillende plaatsen war deze zijn gecached. Kies de bron die u prefereert."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Gebruik de MOBI-ASIN voor zoeken naar metagegevens"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6654,7 +6665,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr "Schakel deze optie in om te zoeken naar metagegevens met een ASIN-ID uit het MOBI-bestand op de huidige land website, tenzij een andere amazon-ID beschikbaar is. Merk op dat als het MOBI-bestand uit een andere Amazon-landwinkel kwam, u onjuiste resultaten kon krijgen."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Time-out van Amazon. Probeer later opnieuw."
 
@@ -8543,7 +8554,7 @@ msgstr "Er zijn geen bestanden naar het
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -9021,7 +9032,7 @@ msgstr "De map %s bestaat al. Verwijder
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Te lang"
 
@@ -9066,7 +9077,7 @@ msgstr "De bibliotheek %s is verwijderd
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9118,7 +9129,7 @@ msgstr "Geen fouten gevonden in de datab
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9273,7 +9284,7 @@ msgid "Browse for library"
 msgstr "Zoek een bibliotheek"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Kopiëren"
@@ -9313,7 +9324,7 @@ msgstr "{0} bij {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Selecteren &allemaal"
 
@@ -10209,7 +10220,7 @@ msgid "Move to next highlighted match"
 msgstr "Ga naar het volgende gemarkeerde zoekresultaat"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10811,7 +10822,7 @@ msgid "this book"
 msgstr "dit boek"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Naar %s zoeken"
@@ -11022,7 +11033,7 @@ msgstr "&Boek bekijken"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11470,8 +11481,8 @@ msgstr "Wijzig"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11600,42 +11611,47 @@ msgid "Search the internet for this book
 msgstr "Zoek op het internet naar dit boek"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "%s beheren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr "Vind %s in de Tag-browser"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Verwijder het %s formaat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Sla het %s formaat op schijf op"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Herstel het %s formaat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Gebruik bestand %s als boekomslag."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Vergelijk met het %s formaat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11644,112 +11660,112 @@ msgstr "Vergelijk met het %s formaat"
 msgid "Open %s with..."
 msgstr "Open %s met..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Voeg een andere applicatie toe voor %s bestanden..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Bewerk \"open met\" applicaties..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Bewerk %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Kopieer pad naar bestand"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr "&Kopieer auteur link"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Doorzoek Calibre naar %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Kopieer pad"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr "&Kopieer identificeerder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Verwijder %s van dit boek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Kopieer &alles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Kopieer link locatie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr "Open het venster Boekdetails"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Open omslag met..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Voeg een andere applicatie toe om omslag te openen..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Plak omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Kopieer omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Sla omslag op"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Verwijder omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Genereer omslag uit metagegevens"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Kies opslaglocatie voor omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "JPEG afbeeldingen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Dubbelklik om het Boek detail window te openen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Pad"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11757,7 +11773,7 @@ msgstr "Pad"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Formaat omslag: %(width)d x %(height)d pixels"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Identificeerders voor dit boek bewerken"
 
@@ -11826,7 +11842,7 @@ msgstr "uitvoer"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11844,11 +11860,11 @@ msgstr "uitvoer"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11987,7 +12003,7 @@ msgid "Preset name:"
 msgstr "Naam voorinstelling:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "U dient een naam op te geven"
 
@@ -12022,7 +12038,7 @@ msgstr "Waar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12069,8 +12085,8 @@ msgid "Delete current preset"
 msgstr "Huidige voorinstelling wissen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Verwijderen"
 
@@ -12182,22 +12198,22 @@ msgstr "Herstel naar standaard"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12425,7 +12441,7 @@ msgstr "Kop {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12900,10 +12916,10 @@ msgstr "&Sleutel voor lettergrootte:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13335,7 +13351,7 @@ msgid "Change the title of this book"
 msgstr "Verander de titel van dit boek"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Auteur(s): "
 
@@ -13350,7 +13366,7 @@ msgid ""
 msgstr "Verander de auteur(s) van dit boek. Meerdere auteurs moeten met een komma van elkaar gescheiden worden"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Uitgever: "
 
@@ -13359,7 +13375,7 @@ msgid "Ta&gs: "
 msgstr "&Labels: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13374,8 +13390,8 @@ msgstr "Reek&s:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Lijst van bekende reeksen. U kunt nieuwe reeksen toevoegen."
@@ -13442,45 +13458,45 @@ msgstr "Scherm formaat: %s"
 msgid "Page setup"
 msgstr "Pagina opmaak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Uitvoerpr&ofiel:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Omschrijving profiel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "&Invoerprofiel:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Marges"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Links:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Ongewijzigd"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "Bovenkan&t:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Rechts:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Beneden:"
@@ -13826,7 +13842,7 @@ msgid "Edit the currently selected expre
 msgstr "Geselecteerde expressie bewerken"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Wijzigen"
 
@@ -14652,74 +14668,73 @@ msgstr "Kies een bestand om regels uit t
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Niet gedefiniëerd"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "‘%s’ instellen op vandaag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Wis ‘%s’"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr "Item-editor openen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Waardes veranderd"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "U heeft de waarden veranderd. Om deze editor te gebruiken, moet u deze wijzigingen annuleren of toepassen. Wijzigingen toepassen?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " index:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Nummerveld ‘{0}’ bevat een ongeldige waarde, die door de standaardwaarde vervangen zal worden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Wijzigingen toepassen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Wis reeksen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Boeken automatisch nummeren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14727,44 +14742,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "Als dit niet is aangevinkt, wordt het serienummer voor de boeken ingesteld op 1. Indien aangevinkt, worden geselecteerde boeken automatisch genummerd, in de volgorde waarin u ze hebt geselecteerd. Dus als u Boek A en vervolgens Boek B hebt geselecteerd, heeft Boek A serienummer 1 en Boek B-serie nummer 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Laat de nummering beginnen met "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "Series worden normaal hernummerd vanaf het hoogste nummer in de gegevensbank voor die reeks. Als u dit selectievakje inschakelt, wordt het Calibre duidelijk dat het nummer moet beginnen met de waarde in het vak"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "De hoeveelheid waarmee het serienummer voor opeenvolgende boeken moet worden verhoogd. Alleen van toepassing bij gebruikmakend van serie nummers."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Nummerveld ‘{0}’ bevat ongeldige waarden die niet in de lijst worden opgenomen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Verwijder alle labels"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "toe te voegen labels"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "te verwijderen labels"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15470,11 +15485,11 @@ msgstr "Dat zal een poosje duren, even w
 msgid "Vacuuming..."
 msgstr "Opschonen..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Controleer bibliotheek -- Problemen gevonden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15538,79 +15553,84 @@ msgid ""
 "        "
 msgstr "        <h1>Help</h1>\n\n        <p>Calibre slaat de lijst van boeken en bijbehorende metagegevens op in een\n        gegevensbank. De daadwerkelijke boekbestanden en omslagen zijn opgeslagen als een normaal\n        bestand in de calibrebibliotheekmap. De gegevensbank bevat een lijst van de bestanden\n        en omslagen die bij ieder boek horen. Dit hulpmiddel controleert of de\n        daadwerkelijke bestanden in de bibliotheekmap op uw computer overeenkomen\n        met de informatie in de gegevensbank.</p>\n\n        <p>Het resultaat van ieder type controle is weergegeven aan de linkerkant.\n        De diverse controles zijn:\n        </p>\n        <ul>\n        <li><b>Ongeldige titels</b>: Dit zijn bestanden en mappen die voorkomen\n        in de bibliotheek waar boeken zouden moeten staan, maar die niet de juiste\n        naamgeving hebben om een boek te zijn.</li>\n        <li><b>Extra titels</b>: Dit zijn extra bestanden in uw calibrebibliotheek\n        die een correcte benaming hebben, maar die niet in de gegevensbank voorkomen.</li>\n        <li><b>Ongeldige schrijvers</b>: Dit zijn bestanden die voorkomen in de bibliotheek\n        op de plaats waar alleen schrijversmappen zouden moeten staan.</li>\n        <li><b>Extra schrijvers</b>: Dit zijn mappen in de Calibre-\n        bibliotheek die schrijvers lijken te zijn, maar die niet in de gegevensbank voorkomen</li>\n        <li><b>Ontbrekende boekformaten</b>: Dit zijn boekformaten die in de gegevensbank\n        voorkomen maar waarvan geen bestand met overeenkomstig formaat in de boekenmap\n        aanwezig is.\n        <li><b>Extra boekformaten</b>: Deze boekformaten hebben bestanden in de map\n        van dit boek, maar komen niet voor in de gegevensbank.\n        <li><b>Onbekende bestanden in boeken</b>: Dit zijn extra bestanden in\n        de boekenmap die niet overeenkomen met een bekend boekformaat of\n        omslagbestand.</li>\n        <li><b>Ontbrekende omslagen</b>: Dit geeft een boek aan dat volgens de \n        gegevensbank een omslag heeft, maar waarvan geen overeenkomstige omslag in de boekenmap\n        gevonden is.</li>\n        <li><b>Omslagen ontbreken in gegevensbank</b>: Deze boeken hebben wel een omslag in de map,\n        maar in de gegevensbank wordt aangegeven dat er geen omslag is.</li>\n        <li><b>Mappen die voor fouten zorgen</b>: Dit zijn mappen in de calibrebibliotheek die\n        niet door dit hulpmiddel gelezen/verwerkt konden worden.</li>\n        </ul>\n\n        <p>Er zijn twee manieren van automatische reparatie mogelijk: <i>Verwijder\n        gemarkeerde</i> en <i>Repareer gemarkeerde</i>.</p>\n        <p><i>Verwijder gemarkeerde</i> wordt gebruikt bij extra bestanden/mappen/omslagen\n        die niet in de gegevensbank staan. Vink het vakje naast het onderdeel aan dat u wilt\n        verwijderen. Gebruik deze optie voorzichtig.</p>\n\n        <p><i>Repareer gemarkeerde</i> wordt enkel gebruikt bij omslagen en ontbrekende formaten\n        (de drie regels gemarkeerd als ‘te repareren’). In het geval van ontbrekende omslagen\n        zal een gemarkeerd boek na een druk op de knop de vermelding ‘geen omslag’ krijgen\n        in de Calibregegevensbank. Gebruik deze optie als u de omslag niet wilt terughalen\n        uit een backup. In het geval van extra omslagen,\n        zal het markeren van deze boeken na een druk op de knop er voor \n        zorgen dat Calibre de omslagbestanden zal toevoegen aan de gegevensbank.\n        Gebruik deze optie als u de boek(en) niet wilt verwijderen. In het geval\n        van missende formaten, zal het aanvinken van de boeken na een druk op de knop zorgen\n        dat Calibre de boeken ook uit de gegevensbank zal verwijderen.\n        Gebruik deze optie als u de bestanden niet wilt terughalen uit een backup.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "Opnieuw cont&roleren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Naar klembord &kopiëren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Klaar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Markeer alle voor verwijderen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Markeer alle verwijderbare subitems"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Verwijder ge&markeerde"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Verwijder gemarkeerde bestanden (aangevinkte subitems)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Markeer alle voor herstel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Markeer alle herstelbare items"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&Repareer gemarkeerde"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Repareer gemarkeerde secties (aangevinkte repareerbare items)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Te negeren namen:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Geef kommagescheiden bestandsnamen met wildcards op, zoals synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Te negeren extensies"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Geef extensies op, zonder een voorgaande punt en gescheiden door komma's. Werkt alleen in mappen met boeken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(te repareren)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr "(Verwijderbaar)"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Pad naar bibliotheek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15660,8 +15680,8 @@ msgstr "De locatie %s bevat de huidige C
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Ongeldige locatie"
 
@@ -16217,46 +16237,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (was %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Veld is leeg"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Een veld mag niet leeg zijn. Verwijder het veld."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Geen item geselecteerd"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "U moet één van de items uit de lijst van beschikbare items selecteren."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Geen items geselecteerd"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "U moet minimaal één itemu uit de lijst selecteren."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Weet u zeker dat u de volgende items wilt verwijderen?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Beheer categorieën"
 
@@ -16265,7 +16285,7 @@ msgid "Items in use"
 msgstr "Items in gebruik"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16280,11 +16300,11 @@ msgstr "Hernoem het item in ieder boek w
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Dit boek is beveiligd met DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16312,7 +16332,7 @@ msgid "Already in calibre:"
 msgstr "Reeds in Calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16337,28 +16357,28 @@ msgid "Change case"
 msgstr "Wijzig hoofdlettergebruik"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Hoofdletters"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Kleine letters"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Hoofd/kleine letters omwisselen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16385,65 +16405,65 @@ msgstr "Ongeldige auteursnaam"
 msgid "You cannot change an author to multiple authors."
 msgstr "U kunt een auteur niet wijzigen in meerdere auteurs."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Auteurs beheren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Zoek naar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr "Z&oeken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>Toon alleen de auteurs in de\nhuidige Virtuele bibliotheek. Aanpassingen die al gedaan zijn, kunnen verborgen zijn, maar zullen\nniet vergeten worden.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr "Toon enkel de auteurs in de huidige &Virtuele bibliotheek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr "Filter &op:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr "<p>Toon alleen auteurs die de tekst in dit vak bevatten.\n          De overeenkomst negeert hoofdlettergevoeligheid..</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr "Fi&lter"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Vervang alle waarden voor sorteerauteur met een automatisch\nuit het auteur-veld berekende waarde. Hoe die omzetting exact gebeurd\nkan ingesteld worden via Voorkeuren->Geavanceerd->Tweaks"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "Herbereken alle auteur sorteerwaarden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Kopieer de waarde van sorteerauteur naar auteur, voor elke auteur. Dit gebruikt u waarschijnlijk na het aanpassen van Voorkeuren->Geavanceerd->Tweaks->Algoritme voor auteurssortering"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "Alle sorteerauteur-waarden naar auteur kopiëren"
 
@@ -16776,77 +16796,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Verberg de resterende foutmelding"
 msgstr[1] "Verberg de resterende {} foutmeldingen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Bezig"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Verwerken van %d boeken, even wachten graag..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "Huidige stap vooruitgang: %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Stap %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Kleine letters"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Hoofdletters"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Elk Woord Met Hoofdletter"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Teken komt overeen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "reguliere expressie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Vervangveld"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Voor veld plaatsen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Na veld plaatsen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "De metagegevens voor <b>%d boeken</b> bewerken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Voer alle veranderingen door zonder de dialoog af te sluiten. Dit kan niet onderbroken of ongedaan gemaakt worden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Boek %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Geef type identificatie op"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16854,7 +16874,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Met deze functie kunt u uw bibliotheek onherstelbaar beschadigen.</b> Veranderingen zijn permanent, u kunt deze niet ongedaan maken. Het wordt sterk aangeraden om een backup van uw bibliotheek te maken voordat u verder gaat.<p>Zoek en vervang in tekstvelden met teken-matching of regexps. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16864,7 +16884,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "In de tekenmodus wordt er in het zoekveld gezocht naar de ingevoerde zoektekst. De tekst wordt overal in het opgegeven zoekveld vervangen door de opgegeven vervangende tekst. Nadat de vervanging is voltooid, kan de tekst worden gewijzigd in hoofdletters, kleine letters of beginnende hoofdletters. Als het selectievakje Hoofdlettergevoelig is ingeschakeld, moet de zoektekst exact overeenkomen. Als dit niet is aangevinkt, komt de zoektekst overeen met zowel hoofdletters als kleine letters"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16879,80 +16899,80 @@ msgid ""
 "function."
 msgstr "In de reguliere expressiemodus is de zoektekst een willekeurige reguliere Python-compatibele expressie. De vervangende tekst kan terugverwijzingen naar haakjes in het patroon bevatten. De zoekopdracht is niet verankerd en kan meerdere keren over dezelfde reeks worden vergeleken en vervangen. De modificatiefuncties (kleine letters enz.) Worden toegepast op de overeenkomende tekst, niet op het veld als geheel. Het doelvak geeft het veld aan waar het resultaat na matching en vervanging moet worden toegewezen. U kunt de tekst in het veld vervangen of de overeenkomende tekst toevoegen of toevoegen. Zie <a href=\"https://docs.python.org/library/re.html\">deze referentie</a> voor meer informatie over de reguliere expressies van Python, en met name de 'sub'-functie."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "FOUT ZOEK/VERVANG-SJABLOON"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "U moet een bestemming specificeren als de bron een samengesteld veld of sjabloon is"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "De vervangingswaarde voor een waarderingskolom moet leeg of een geheel getal tussen de 0 en 10 zijn"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "U moet een doelidentificatie opgeven"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "U dient een zoek uitdrukking op te geven in het \"Zoek naar\" veld"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Foutieve identificatoren string. Het moet een komma-gescheiden lijst van stringparen zijn gescheiden door een komma"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Zoeken/vervangen ongeldig"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Zoeken/vervangen is ongeldig: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Verwijder opgeslagen zoeken/vervangen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Geselecteerde zoeken/vervangen wordt verwijderd. Weet u het zeker?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Zoeken/vervangen opslaan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Naam voor zoeken/vervangen:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Deze zoeken/vervangen bestaat al en zal overschreven worden. Weet u het zeker?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Metagegevens bewerken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr "P&as datum toe"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16960,90 +16980,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Hierdoor wordt het auteur-sorteerveld automatisch bijgewerkt\nop basis van het auteursveld voor elk geselecteerd boek. Houd er rekening mee dat als\nu het besturingselement hierboven gebruikt om auteurs in bulk in te stellen, het veld 'auteurs sorteren'\n toch wordt bijgewerkt, ongeacht de waarde van dit selectievakje."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Auteursortering a&utomatisch instellen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "W&issel titel en auteur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Titelsortering bijwerken op basis van de huidige titel. Wordt pas toegepast na andere aanpassingen op titel."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "&Titelsortering bijwerken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "&Omslag wijzigen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "Standaardomsla&g aanmaken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "Omslag &verwijderen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Tracht automatisch kaderlijnen en extra ruimtes op te sporen en te verwijderen\nvan de omslag randen. Dit kan soms echter teveel wegnemen,\ngebruik dit dus zorgvuldig."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "&Trim de omslag (GEVAARLIJK)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "Instellen van &e-boek bestanden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Stel de omslagen van alle geselecteerde boeken\nin als dezelfde van die van het eerste boek."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "Dupli&ceer omslagen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Maakt van de woorden in de titel de eerste letter een hoofdletter. Als zowel dit\nals ‘titel en auteur omwisselen’ aangevinkt zijn worden titel en auteur omgewisseld\nvoordat de hoofdletters aangepast worden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "wijzigen Titel &hoofdlettergebruik in:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Datum:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Indien aangevinkt zal de uitgever worden gewist"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "Wis uitg"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "P&ublished:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17051,118 +17071,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Als dit niet aangevinkt is zullen alle nummers van de reeks op 1 gezet\nworden. Als dit wel aangevinkt is zullen de boeken automatisch\nworden genummerd, in de volgorde van de selectie.\nAls u eerst boek A geselecteerd heeft, en daarna boek B, dan zal boek A\nnummer 1 hebben, en boek B nummer 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Boeken in deze reeks &automatisch nummeren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Reeksen worden standaard genummerd vanaf het hoogste nummer van deze reeks \nin de gegevensbank. Als dit is aangevinkt begint Calibre met nummeren vanaf de \nopgegeven waarde"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Forceer start nummering bij:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Als dit is ingesteld wordt de reeks verwijderd"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "Reeks &wissen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Stel in hoe de standaard gegenereerde covers worden gemaakt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Configureer co&ver generatie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "De co&mmentaren  voor alle geselecteerde boeken instellen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "Labels ve&rwijderen:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "&Allemaal verwijderen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Labels toevoe&gen: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Geef aan hoe de auteur(s) van dit boek gesorteerd moeten worden. Bijvoorbeeld: Charles Dickens moet worden gesorteerd als: Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "&Waardering toepassen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Wis publicatiedatum"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "Ta&len"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Lijst van labels die van het boek verwijderd moeten worden, gescheiden door komma's. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Open label editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Auteurs&ortering: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Stel de metagegevens in Calibre in op basis van de metagegevens in de e-book bestanden die bij elk boek horen. Merk op dat dit de omslag niet verandert, gebruik hiervoor de afzonderlijke optie hieronder."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Set & metagegevens (uitgezonderd cover) uit de e-bookbestanden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Ser&ie`s:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Verwijder de conversie-instellingen voor de geselecteerde boeken.\n\nToekomstige conversies van deze boeken zullen de standaardinstellingen gebruiken."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "De opge&slagen conversie-instellingen voor de geselecteerde boeken verwijderen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17171,152 +17191,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Bij een omzetting van en naar hetzelfde formaat,\n voor bijvoorbeeld EBUP naar EPUB, zal Calibre het originele\n bestand als ORIGINAL_EPUB bewaren. Deze instelling\n vertelt Calibre de originele EPUB te herstellen uit ORIGINAL_EPUB.\n Nuittig als u een massaconversie heeft uitgevoerd bij veel boeken\n en er iets fout is gegaan."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "&Orginele bestanden terug zetten, indien aanwezig"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Aanvinken om alle labels van de boeken te verwijderen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "Waa&rdering:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Basismetagegevens"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Aangepaste metagegevens"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "&Laden zoeken/vervangen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Selecteer zoeken/vervangen om te laden."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Huidige zoeken/vervangen opslaan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "Op&slaan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Zoek&veld:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "De naam van het veld dat u wilt doorzoeken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Zoek&modus:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Kies voor simpele tekstvergelijking of geavanceerde regexp"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "&Identificeer type:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Kies op welke identificator dit uitgevoerd moet worden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Sjabloon:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Geef een sjabloon als basis voor zoeken/vervangen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Geef aan waar u naar zoekt, het zij in platte tekst of reguliere expressies, afhankelijk van de modus."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Als dit is ingesteld moet de zoekterm exact overeenkomen, met hoofd- en kleine letters. Als dit niet is ingesteld wordt hier niet op gelet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Hoofdl&ettergevoelig"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "Ve&rvangen door:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "De vervangende tekst. De overeenkomende tekst zal door deze tekst vervangen worden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "Functie na vervangen toep&assen:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Geef op hoe de tekst na zoeken en vervangen verwerkt moet worden. In teken-modus wordt het volledige\nveld verwerkt. In regexp-modus wordt alleen de overeenkomende tekst verwerkt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "&Doelveld:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Het veld waar de tekst naartoe gaat na alle vervangingen.\nAls dit leeg is wordt, indien mogelijk, het bronveld gebruikt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "M&odus:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Geef aan hoe de tekst naar het doel gekopieerd moet worden."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Specificeert of het resultaat moet worden opgesplitst in meerdere\nwaarden of één waarde moet blijven. Heeft het meeste effect als het\nbronveld niet meervoudig is en het doelveld wel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "&Resultaat splitsen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Type identificator:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17324,48 +17344,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Kies welke identificator type u wilt bewerken. Als het\n              bron veld iets anders is dan 'identificatoren' kunt u een *\n              invoeren als u alle identificatoren wilt vervangen met\n              het resultaat van het zoeken/vervangen.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Voor meervoudige velden, &weergeven van"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "Waar&den beginnend bij"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "en waarden &gescheiden door"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Gebruikt bij tonen van testresultaten om velden te scheiden in meervoudige velden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Test-tekst"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Test-resultaat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Uw &test:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Zoeken en vervangen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Indien ingeschakeld, wordt de boekenlijst opnieuw gesorteerd en eventuele bestaande\nzoeken of de virtuele bibliotheek wordt na de bewerking vernieuwd\nis voltooid. Dit kan traag zijn op grote bibliotheken."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "Ve&rvers boekenlijst na bewerken"
 
@@ -17824,7 +17844,7 @@ msgstr "&Item: {0} ({1})"
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
-msgstr ""
+msgstr "Klik om alleen boeken met dit item weer te geven. Dubbelklik om naar dit item te zoeken in de Tag-browser"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:522
 msgid "**No items found**"
@@ -17994,7 +18014,7 @@ msgstr "Ongeldige opgeslagen zoekopdrach
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Beheer Opgeslagen zoekopdrachten"
 
@@ -18654,76 +18674,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "De huidige labelcategorie zal <b>permanent verwijderd</b> worden. Weet u het zeker?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Gebruikerscategorieën editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "Categorie &naam:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Selecteer een categorie om te bewerken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "&Categorie filter:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Selecteer het inhoudstype voor de nieuwe categorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr "Item &filter: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr "Voer tekst in om de beschikbare items te filteren. Hoofdletters en accenten worden genegeerd."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
-msgstr ""
+msgstr "Verwijder de huidige tagcategorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr "Voer een categorienaam in en gebruik vervolgens de knop Toevoegen of de knop Naam wijzigen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Een nieuwe categorie toevoegen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Hernoem de huidige categorie naar de waarde in het veld"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr "<p>Toon items in het vak Beschikbare items alleen als ze worden weergegeven in\n             huidige virtuele bibliotheek. Toegepaste items die niet in de virtuele bibliotheek staan, worden gemarkeerd\n             \"niet op een boek\" .</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr "&Toon alleen beschikbare items in de huidige virtuele bibliotheek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "&Beschikbare items"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Labels op de huidige labelcategorie toepassen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "Toegepaste &items"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Verwijder het label van de huidige labelcategorie"
 
@@ -18732,18 +18752,18 @@ msgid ""
 "If the item you want is not in the available list, you can add it here. "
 "Accepts an ampersand-separated list of items. The items will be applied to "
 "the book."
-msgstr ""
+msgstr "Als het gewenste item niet in de beschikbare lijst staat, kunt u het hier toevoegen. Accepteert een door ampersand gescheiden lijst van items. De items worden op het boek toegepast."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor.py:48
 msgid ""
 "If the item you want is not in the available list, you can add it here. "
 "Accepts a comma-separated list of items. The items will be applied to the "
 "book."
-msgstr ""
+msgstr "Als het gewenste item niet in de beschikbare lijst staat, kunt u het hier toevoegen. Accepteert een door komma's gescheiden lijst met items. De items worden op het boek toegepast."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor.py:123
 msgid "Deleting tags is done immediately and there is no undo."
-msgstr ""
+msgstr "Het verwijderen van tags gebeurt onmiddellijk en er is geen ongedaan maken mogelijk."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor.py:137
 msgid "Are your sure?"
@@ -18755,121 +18775,121 @@ msgid ""
 "to delete them?"
 msgstr "De volgende labels worden voor één of meer boeken gebruikt. Weet u zeker dat u ze wilt verwijderen?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
-msgstr ""
+msgstr "Beheer items"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
-msgstr ""
+msgstr "&Voeg item toe:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
-msgstr ""
+msgstr "Pas item(s) toe op het huidige boek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
-msgstr ""
+msgstr "Filter de beschikbare items"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
-msgstr ""
+msgstr "Verwijder het item uit de database. Hierdoor wordt het item uit alle boeken verwijderd en vervolgens uit de database verwijderd."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
-msgstr ""
+msgstr "Bes&chikbare items"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
-msgstr ""
+msgstr "Item toepassen op huidig ​​boek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Aantal"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Was"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Wilt u uw wijzigingen echt ongedaan maken?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Verwijdering ongedaan maken?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Dit item is verwijderd. Wilt u het verwijderen ongedaan maken?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Verwijderingen of bewerkingen op de geselecteerde regels ongedaan maken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19750,17 +19770,17 @@ msgstr "Layout"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Toon en verberg verschillende delen van het hoofdvenster van Calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Geen %s formaat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Het boek {0} bevat geen {1} formaat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Herstel %s"
@@ -20041,21 +20061,11 @@ msgstr "Boek %(sidx)s van <span class=\"
 msgid "This book is on the device in %s"
 msgstr "Dit boek is op het apparaat in %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Stel datum in op Niet gedefiniëerd"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Datum instellen op vandaag"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Instellen op Niet gedefiniëerd"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "J"
 
@@ -20399,7 +20409,7 @@ msgid ""
 msgstr "Pad naar Calibre Portable (%s) te lang. Moet minder dan 59 tekens zijn."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre bibliotheek"
 
@@ -20562,6 +20572,16 @@ msgstr "&Afsluiten"
 msgid "Unhandled exception"
 msgstr "Niet afgehandelde fout"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Stel datum in op Niet gedefiniëerd"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Datum instellen op vandaag"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20841,7 +20861,7 @@ msgstr "&Uitgever:"
 msgid "Clear publisher"
 msgstr "Wis uitgever"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Datum wissen"
 
@@ -20911,7 +20931,7 @@ msgid "Processed %s"
 msgstr "Verwerkt %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Metagegevens-velden om te downloaden"
 
@@ -21672,13 +21692,13 @@ msgid "&Automatic adding"
 msgstr "&Automatisch toevoegen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Hoog"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Laag"
 
@@ -21703,80 +21723,80 @@ msgstr "Alles in één tabblad"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Alle bevestigingsmeldingen zijn teruggezet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Meld mij wanneer er een &nieuwe versie beschikbaar is"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Verzend automatisch gedownload &nieuws naar e-book reader"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Prioriteit van taak:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Voorkeursvolgorde voor &invoerformaten:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Voorkeursf&ormaat voor uitvoer:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "&Layout metagegevens bewerken (enkel boek):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Indien aangevinkt, kunnen aangepaste Ja/Nee kolommen de waarden Ja, Nee en Niet gedefinieerd zijn.\nAnders alleen Ja en Nee."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "&Ja/Nee kolommen hebben drie waarden (herstart vereist)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "Het nieuws uit de bibliotheek &verwijderen bij automatisch versturen naar de e-reader"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Standaard netwerk &time-out:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Geef de standaard time-out voor het ophalen van informatie van het netwerk (d.w.z. elke keer dat informatie van het Internet gehaald moet worden)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " seconden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Alle uitges&chakelde meldingen terugzetten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Gebruik intern &leesvenster voor:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Virtuele bibliotheek om toe te passen wanneer de huidige &bibliotheek in gebruik is"
 
@@ -22765,37 +22785,37 @@ msgid ""
 " effect.\n"
 msgstr "Kopieer deze waarden naar het klembord, plak ze in een editor en voer ze vervolgens het gebruikersapparaat in door de apparaatplug-in aan te passen in Voorkeuren-> Geavanceerd-> Plug-ins. Vergeet niet om ook de mappen in te voeren waarin u de boeken wilt plaatsen. U moet Calibre opnieuw starten om uw wijzigingen door te voeren\n"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr "<p>calibre kan uw boeken per e-mail naar u (of uw lezer) sturen. E-mails worden automatisch verzonden voor gedownload nieuws naar alle e-mailadressen waarop <i>automatisch verzenden is aangevinkt."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Voeg een e-mailadres toe om boeken naar toe te sturen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "E-m&ail toevoegen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Als stan&daard instellen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "E-mail &verwijderen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Voeg de opmerkingen van de boek-metagegevens toe aan de e-mail.\nNuttig om de ontvanger een ​​samenvatting van het boek te laten zien alvorens te openen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Voeg metagegevens &commentaar als tekst toe aan de email"
 
@@ -22932,7 +22952,7 @@ msgid "Create a new rule"
 msgstr "Maak een nieuwe regel"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23070,7 +23090,7 @@ msgid "If there is enough room"
 msgstr "Als er genoeg ruimte is"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Op eerste letter"
 
@@ -23341,7 +23361,7 @@ msgid "Caching of covers for improved pe
 msgstr "Omslagen opslaan in cachegeheugen voor betere prestatie"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Uitschakelen"
 
@@ -23736,86 +23756,86 @@ msgstr "Geen bron geselecteerd"
 msgid "No source selected, cannot configure."
 msgstr "Geen bron geselecteerd, configuratie niet mogelijk."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Bronnen voor metagegevens"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Bronnen met een rode X naast de naam moeten geconfigureerd worden voordat u ze kunt gebruiken. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "C&onfigureer de geselecteerde bron"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Uigevinkte velden worden niet binnengehaald"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "Alles &selecteren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Zet uw eigen selectie van aangevinkte velden terug, die u gedefinieerd hebt met de ‘Als standaard instellen’-knop"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Sla de momenteel aangevinkte velden op als standaard, u kunt de standaard snel toepassen met de knop 'Standaard selecteren'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "Als standaard in&stellen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Al het gedownloade commentaar naar platte &tekst omzetten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Verwissel &auteur namen van VN AN naar AN, VN"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Bij het downloaden van commentaar, voeg de gedownloade kommentaren aan bestaande commentaren toe, i.p.v. deze te overschrijven."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "Bij het downloaden van kommentaar, voeg de gedownloade kommentaren aan bestaande kommentaren toe, i.p.v. deze te overschrijven."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Voeg opmerkingen toe aan &bestaand"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23824,47 +23844,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr "<p>Normaal zal het metadata-downloadsysteem slechts één resultaat per metadatabron behouden. Deze optie zorgt ervoor dat alle geretourneerde resultaten van elke metagegevensbron gehouden worden . Handig als u slechts één of twee bronnen gebruikt en er handmatig individuele resultaten uit wilt selecteren. Merk op dat resultaat met identieke titel/auteur/ID's nog steeds zijn samengevoegd."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "Houd meer dan één vermelding per bron"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Verschillende metagegevensbronnen hebben verschillende verzamelingen labels voor hetzelfde boek. Als deze optie wordt gebruikt, zal Calibre de kleinste verzameling gebruiken. Deze hebben meer kans om genres te bevatten terwijl grotere verzamelingen meestal de inhoud van het boek beschrijven.\n<p>Bedenk dat deze optie alleen verschil maakt als één van de metagegevensbronnen een (mogelijk genre) label bevat voor één van de door u gezochte boeken. Meestal bevatten ze allemaal grote verzamelingen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Voorkeur voor kortere tag sets als labels uit meerdere metagegevens bronnen worden gekozen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Pre&fereer minder labels"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Creëer regels om labels te filteren of aan te passen "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "Maak regels om auteursnamen te &transformeren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "Mximaal aa&ntal labels te downloaden:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Max. wacht&tijd na het vinden van het eerste resultaat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " seconden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Max. wa&chttijd na vinden van eerste omslag:"
 
@@ -25410,7 +25430,7 @@ msgid "Paste and &search"
 msgstr "Plakken en &zoeken"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Plakken"
@@ -26436,150 +26456,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr "'Klik' op gevonden item"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "%s hernoemen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Verwijder %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Sortering van %s bewerken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Link voor %s bewerken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Kinderen van %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "%(item)s uit categorie%(cat)s verwijderen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Zoek naar alles, behalve %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Deelcategorie aan %s toevoegen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Categorie %s verbergen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Categorie weergeven"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "In categorie %s naar boeken zoeken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Buiten categorie %s naar boeken zoeken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Wijzig categorie-pictogram"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Standaard pictogram herstellen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Beheer gebruikerscategorieën"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Alle categorieën weergeven"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Schema deelcategorieën veranderen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Onderdeel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Eerste letter is enkel te gebruiken bij sorteren op naam"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "Alle niveaus &uitklappen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Alle niveaus inklappen"
 
@@ -27249,7 +27269,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Niet-opgeslagen wijzigingen"
 
@@ -27656,12 +27676,12 @@ msgid ""
 msgstr "Het bestand %s bestaat niet. Als u probeerde een item in de ToC aan te klikken, moet u misschien verversen door en rechts op te klikken en \"Verversen\" te kiezen."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Niet-ondersteund bestandformaat"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "Bewerken van bestandstypes %s wordt nietondersteund"
@@ -27719,76 +27739,76 @@ msgid "Import"
 msgstr "Importeren"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Vooraf aan: Vervang %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "U moet eerst een boek openen om het rapport te kunnen zien."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "U moet eerst een boek openen om links na te kijken."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "U moet eerst een boek openen om afbeeldingen te comprimeren."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Onbekende fout"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Comprimeren van afbeeldingen is mislukt, klik \"Toon details\" voor meer informatie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Decoderen niet mogelijk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Kan %s niet bewerken aangezien het in een onbekend tekencodering lijkt te staan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Momenteel geen boek open. U moet eerst een boek openen om te bewerken."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "Het huidige boek wordt opgeslagen in de achtergrond. Indien u nu sluit zal dit het <b>opslagen</b> stoppen! Wacht tot het bestand is opgeslagen?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "Direct &stoppen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "&Sla eerst op"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Er zijn niet-opgeslagen wijzigingen. als u nu afsluit zonder deze op te slaan zult u ze kwijtraken."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "Op&slaan en Afsluiten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "Af&sluiten zonder opslaan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Aan 't opslaan, even wachten..."
 
@@ -31191,18 +31211,18 @@ msgstr[1] "{} uitgeschakelde bevestiging
 msgid "Disabled confirmations restored"
 msgstr "Uitgeschakelde bevestigingen hersteld"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31216,70 +31236,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Inspecteer element"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Open link"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Wijzig %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Zoek in voorbeeldweergave"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Ongeldige locatie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Kan niet splitsen bij de body-tag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Bewerker starten mislukt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Het openen van het programma voor het tonen van het voorbeeld is gefaald "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Uitschakelen niet mogelijk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Het automatisch vernieuwen van het voorbeeld paneel kan niet worden afgezet terwijl het voorbeel CSS paneel open is."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Automatisch voorbeeldweergave verversen als tekst wordt bewerkt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Automatisch verversen van voorbeeld uitschakelen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Synchronisatie van voorbeeldpositie in editor uitschakelen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Synchronisatie van voorbeeldpositie en bewerkerpositie utischakelen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Bestand splitsing stoppen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34227,13 +34247,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34268,30 +34288,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Kies &kleur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Kies een kleur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "&Knippen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "&Stap omhoog"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "&Stap omlaag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Niet gewaardeerd"
 
@@ -34345,44 +34365,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Kies uw E-reader. Als uw E-reader er niet tussen staat, kies een \"%s\" apparaat."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Selecteer de locatie voor boeken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Aanmaken van map in %s mislukt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "U moet een lege map kiezen voor de calibrebibliotheek. %s is niet leeg."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Volgende >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< V&orige"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34390,15 +34414,15 @@ msgstr "< V&orige"
 msgid "Cancel"
 msgstr "Annuleren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "Voltoo&ien"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Vastleggen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34406,7 +34430,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Welkom bij Calibre"
@@ -34414,7 +34438,7 @@ msgstr "Welkom bij Calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "De complete oplossing voor al uw E-boek wensen."
@@ -34429,7 +34453,7 @@ msgstr "&Apparaten"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Wizardpagina"
@@ -34467,17 +34491,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "&Kindle e-mail:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Kies uw taa&l:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Kies een locatie voor uw boeken. Als u boeken aan Calibre toevoegt zullen ze hier naartoe gekopieerd worden. Gebruik een <b>lege map</b> voor een nieuwe calibrebibliotheek:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37063,9 +37087,30 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
-msgstr ""
+msgstr "Naamloze afbeelding"
 
 #: /home/kovid/work/calibre/src/calibre/utils/ipc/job.py:45
 msgid "Waiting..."
@@ -37285,11 +37330,11 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:337
 msgid "Dutch (Netherlands)"
-msgstr ""
+msgstr "Dutch (Nederlands)"
 
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:338
 msgid "Dutch (Belgium)"
-msgstr ""
+msgstr "Nederlands (België)"
 
 #. NOTE: Ante Meridian (i.e. like 10:00 AM)
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:346
@@ -37480,7 +37525,7 @@ msgstr "Het hoofdprogramma van Calibre,
 #: /home/kovid/work/calibre/src/calibre/utils/winreg/default_programs.py:34
 msgid ""
 "The calibre e-book editor. It can be used to edit common e-book formats."
-msgstr ""
+msgstr "De CalibrE e-book editor. Het kan worden gebruikt om veelgebruikte e-bookformaten te bewerken."
 
 #: /home/kovid/work/calibre/src/calibre/utils/winreg/default_programs.py:42
 msgid "The calibre E-book viewer. It can view most known e-book formats."
@@ -37884,27 +37929,27 @@ msgstr "Schr&ijfsysteem"
 
 #: /usr/src/qt5/qtbase/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
-msgstr ""
+msgstr "Linkerkant"
 
 #: /usr/src/qt5/qtbase/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
-msgstr ""
+msgstr "Rechterrand"
 
 #: /usr/src/qt5/qtbase/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
-msgstr ""
+msgstr "Pagina links"
 
 #: /usr/src/qt5/qtbase/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
-msgstr ""
+msgstr "Pagina omhoog"
 
 #: /usr/src/qt5/qtbase/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
-msgstr ""
+msgstr "Pagina omlaag"
 
 #: /usr/src/qt5/qtbase/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
-msgstr ""
+msgstr "Pagina rechts"
 
 #: /usr/src/qt5/qtbase/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/nn.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/nn.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/nn.po	2020-07-02 04:01:43.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/nn.po	2020-07-16 16:36:58.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -207,7 +207,7 @@ msgstr "Gjer absolutt ingenting"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -219,12 +219,12 @@ msgstr "Gjer absolutt ingenting"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1134,9 +1134,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1161,7 +1161,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1223,7 +1223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2836,8 +2836,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2846,8 +2846,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3190,7 +3190,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3303,7 +3303,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3330,8 +3330,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3719,61 +3719,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6207,7 +6218,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6230,7 +6241,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6496,103 +6507,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6600,7 +6611,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8489,7 +8500,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8967,7 +8978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9012,7 +9023,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9064,7 +9075,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9219,7 +9230,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9259,7 +9270,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10155,7 +10166,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10757,7 +10768,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10968,7 +10979,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11416,8 +11427,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11546,42 +11557,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11590,112 +11606,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11703,7 +11719,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11772,7 +11788,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11790,11 +11806,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11933,7 +11949,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11968,7 +11984,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12015,8 +12031,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12128,22 +12144,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12371,7 +12387,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12846,10 +12862,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13281,7 +13297,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13296,7 +13312,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13305,7 +13321,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13320,8 +13336,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13388,45 +13404,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13772,7 +13788,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14598,74 +14614,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14673,44 +14688,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15416,11 +15431,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15484,79 +15499,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15606,8 +15626,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16163,46 +16183,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16211,7 +16231,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16226,11 +16246,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16258,7 +16278,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16283,28 +16303,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16331,65 +16351,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16722,77 +16742,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16800,7 +16820,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16810,7 +16830,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16825,80 +16845,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16906,90 +16926,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16997,118 +17017,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17117,152 +17137,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17270,48 +17290,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17940,7 +17960,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18600,76 +18620,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18701,121 +18721,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19696,17 +19716,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19987,21 +20007,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20345,7 +20355,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20508,6 +20518,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20787,7 +20807,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20857,7 +20877,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21618,13 +21638,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21649,80 +21669,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22711,37 +22731,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22878,7 +22898,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23016,7 +23036,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23287,7 +23307,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23682,86 +23702,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23770,47 +23790,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25356,7 +25376,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26382,150 +26402,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27195,7 +27215,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27602,12 +27622,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27665,76 +27685,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31137,18 +31157,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31162,70 +31182,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34173,13 +34193,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34214,30 +34234,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34291,44 +34311,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34336,15 +34360,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34352,7 +34376,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34360,7 +34384,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34375,7 +34399,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34413,17 +34437,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37009,6 +37033,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/nso.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/nso.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/nso.po	2020-07-02 04:06:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/nso.po	2020-07-16 16:43:20.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6494,103 +6505,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6598,7 +6609,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8487,7 +8498,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8965,7 +8976,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9010,7 +9021,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9062,7 +9073,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9217,7 +9228,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9257,7 +9268,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10153,7 +10164,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10755,7 +10766,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10966,7 +10977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11414,8 +11425,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11544,42 +11555,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11588,112 +11604,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11701,7 +11717,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11770,7 +11786,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11788,11 +11804,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11931,7 +11947,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11966,7 +11982,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12013,8 +12029,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12126,22 +12142,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12369,7 +12385,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12844,10 +12860,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13279,7 +13295,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13294,7 +13310,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13303,7 +13319,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13318,8 +13334,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13386,45 +13402,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13770,7 +13786,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14596,74 +14612,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14671,44 +14686,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15414,11 +15429,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15482,79 +15497,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15604,8 +15624,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16161,46 +16181,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16209,7 +16229,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16224,11 +16244,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16256,7 +16276,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16281,28 +16301,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16329,65 +16349,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16720,77 +16740,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16798,7 +16818,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16808,7 +16828,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16823,80 +16843,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16904,90 +16924,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16995,118 +17015,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17115,152 +17135,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17268,48 +17288,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17938,7 +17958,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18598,76 +18618,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18699,121 +18719,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19694,17 +19714,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19985,21 +20005,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20343,7 +20353,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20506,6 +20516,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20785,7 +20805,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20855,7 +20875,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21616,13 +21636,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21647,80 +21667,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22709,37 +22729,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22876,7 +22896,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23014,7 +23034,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23285,7 +23305,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23680,86 +23700,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23768,47 +23788,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25354,7 +25374,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26380,150 +26400,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27193,7 +27213,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27600,12 +27620,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27663,76 +27683,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31135,18 +31155,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31160,70 +31180,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34171,13 +34191,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34212,30 +34232,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34289,44 +34309,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34334,15 +34358,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34350,7 +34374,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34373,7 +34397,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34411,17 +34435,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37007,6 +37031,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/oc.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/oc.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/oc.po	2020-07-02 04:07:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/oc.po	2020-07-16 16:41:34.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -207,7 +207,7 @@ msgstr "Fa estrictament pas res"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -219,12 +219,12 @@ msgstr "Fa estrictament pas res"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1134,9 +1134,9 @@ msgstr "Catalòg"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1161,7 +1161,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1223,7 +1223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2836,8 +2836,8 @@ msgstr "Legís la lista dels libres de l
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2846,8 +2846,8 @@ msgstr "Suprimís los libres de la lista
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3190,7 +3190,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3303,7 +3303,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3330,8 +3330,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3719,61 +3719,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6207,7 +6218,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Non"
 
@@ -6230,7 +6241,7 @@ msgid "Producer"
 msgstr "Productor"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6496,103 +6507,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "FR"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "França"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Alemanha"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "RU"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Itàlia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Espanha"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6600,7 +6611,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8489,7 +8500,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8967,7 +8978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9012,7 +9023,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9064,7 +9075,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9219,7 +9230,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9259,7 +9270,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10155,7 +10166,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10757,7 +10768,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10968,7 +10979,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11416,8 +11427,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11546,42 +11557,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11590,112 +11606,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Camin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11703,7 +11719,7 @@ msgstr "Camin"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11772,7 +11788,7 @@ msgstr "sortida"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11790,11 +11806,11 @@ msgstr "sortida"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11933,7 +11949,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11968,7 +11984,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12015,8 +12031,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Suprimir"
 
@@ -12128,22 +12144,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12371,7 +12387,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12846,10 +12862,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13281,7 +13297,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13296,7 +13312,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13305,7 +13321,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13320,8 +13336,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13388,45 +13404,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Marges"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Naut :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Drecha :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Bas :"
@@ -13772,7 +13788,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Modificar"
 
@@ -14598,74 +14614,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Pas definit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Aplicar las modificacions"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14673,44 +14688,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15416,11 +15431,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15484,79 +15499,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Acabat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15606,8 +15626,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16163,46 +16183,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Cap d'element es pas seleccionat"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16211,7 +16231,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16226,11 +16246,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16258,7 +16278,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16283,28 +16303,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16331,65 +16351,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Recercar :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16722,77 +16742,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Trabalh en cors"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Minuscula"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Majuscula"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16800,7 +16820,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16810,7 +16830,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16825,80 +16845,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16906,90 +16926,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16997,118 +17017,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17117,152 +17137,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Metadonadas &personalizadas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Enregistrar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "&Camps de recèrca :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "&Mòde de recèrca :"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17270,48 +17290,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17940,7 +17960,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18600,76 +18620,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18701,121 +18721,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19696,17 +19716,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19987,21 +20007,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "S"
 
@@ -20345,7 +20355,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20508,6 +20518,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20787,7 +20807,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20857,7 +20877,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21618,13 +21638,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21649,80 +21669,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22711,37 +22731,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22878,7 +22898,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23016,7 +23036,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23287,7 +23307,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23682,86 +23702,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23770,47 +23790,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25356,7 +25376,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26382,150 +26402,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27195,7 +27215,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27602,12 +27622,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27665,76 +27685,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31137,18 +31157,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31162,70 +31182,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34173,13 +34193,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34214,30 +34234,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34291,44 +34311,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34336,15 +34360,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34352,7 +34376,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34360,7 +34384,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34375,7 +34399,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34413,17 +34437,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37009,6 +37033,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/or.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/or.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/or.po	2020-07-02 04:04:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/or.po	2020-07-16 16:38:26.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr "କିଛି କରେ ନାହ
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr "କିଛି କରେ ନାହ
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr "ସୂଚୀ"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6494,103 +6505,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6598,7 +6609,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8487,7 +8498,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8965,7 +8976,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9010,7 +9021,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9062,7 +9073,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9217,7 +9228,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9257,7 +9268,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10153,7 +10164,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "E"
 
@@ -10755,7 +10766,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10966,7 +10977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11414,8 +11425,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11544,42 +11555,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11588,112 +11604,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11701,7 +11717,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11770,7 +11786,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11788,11 +11804,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11931,7 +11947,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11966,7 +11982,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12013,8 +12029,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12126,22 +12142,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12369,7 +12385,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12844,10 +12860,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13279,7 +13295,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13294,7 +13310,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13303,7 +13319,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13318,8 +13334,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13386,45 +13402,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13770,7 +13786,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14596,74 +14612,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14671,44 +14686,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15414,11 +15429,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15482,79 +15497,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15604,8 +15624,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16161,46 +16181,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16209,7 +16229,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16224,11 +16244,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16256,7 +16276,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16281,28 +16301,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16329,65 +16349,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16720,77 +16740,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16798,7 +16818,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16808,7 +16828,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16823,80 +16843,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16904,90 +16924,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16995,118 +17015,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17115,152 +17135,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17268,48 +17288,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17938,7 +17958,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18598,76 +18618,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18699,121 +18719,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19694,17 +19714,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19985,21 +20005,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20343,7 +20353,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20506,6 +20516,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20785,7 +20805,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20855,7 +20875,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21616,13 +21636,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21647,80 +21667,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22709,37 +22729,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22876,7 +22896,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23014,7 +23034,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23285,7 +23305,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23680,86 +23700,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23768,47 +23788,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25354,7 +25374,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26380,150 +26400,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27193,7 +27213,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27600,12 +27620,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27663,76 +27683,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31135,18 +31155,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31160,70 +31180,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34171,13 +34191,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34212,30 +34232,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34289,44 +34309,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34334,15 +34358,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34350,7 +34374,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34373,7 +34397,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34411,17 +34435,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37007,6 +37031,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/pa.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/pa.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/pa.po	2020-07-02 04:00:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/pa.po	2020-07-16 16:36:50.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -207,7 +207,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -219,12 +219,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1134,9 +1134,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1161,7 +1161,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1223,7 +1223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2836,8 +2836,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2846,8 +2846,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3190,7 +3190,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3303,7 +3303,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3330,8 +3330,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3719,61 +3719,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6207,7 +6218,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6230,7 +6241,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6496,103 +6507,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6600,7 +6611,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8489,7 +8500,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8967,7 +8978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9012,7 +9023,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9064,7 +9075,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9219,7 +9230,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9259,7 +9270,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10155,7 +10166,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10757,7 +10768,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10968,7 +10979,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11416,8 +11427,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11546,42 +11557,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11590,112 +11606,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11703,7 +11719,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11772,7 +11788,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11790,11 +11806,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11933,7 +11949,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11968,7 +11984,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12015,8 +12031,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12128,22 +12144,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12371,7 +12387,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12846,10 +12862,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13281,7 +13297,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13296,7 +13312,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13305,7 +13321,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13320,8 +13336,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13388,45 +13404,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13772,7 +13788,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14598,74 +14614,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14673,44 +14688,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15416,11 +15431,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15484,79 +15499,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15606,8 +15626,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16163,46 +16183,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16211,7 +16231,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16226,11 +16246,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16258,7 +16278,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16283,28 +16303,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16331,65 +16351,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16722,77 +16742,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16800,7 +16820,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16810,7 +16830,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16825,80 +16845,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16906,90 +16926,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16997,118 +17017,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17117,152 +17137,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17270,48 +17290,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17940,7 +17960,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18600,76 +18620,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18701,121 +18721,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19696,17 +19716,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19987,21 +20007,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20345,7 +20355,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20508,6 +20518,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20787,7 +20807,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20857,7 +20877,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21618,13 +21638,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21649,80 +21669,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22711,37 +22731,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22878,7 +22898,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23016,7 +23036,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23287,7 +23307,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23682,86 +23702,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23770,47 +23790,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25356,7 +25376,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26382,150 +26402,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27195,7 +27215,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27602,12 +27622,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27665,76 +27685,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31137,18 +31157,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31162,70 +31182,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34173,13 +34193,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34214,30 +34234,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34291,44 +34311,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34336,15 +34360,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34352,7 +34376,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34360,7 +34384,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34375,7 +34399,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34413,17 +34437,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37009,6 +37033,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/pl.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/pl.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/pl.po	2020-07-02 04:03:17.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/pl.po	2020-07-16 16:44:20.000000000 +0000
@@ -43,8 +43,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
@@ -242,7 +242,7 @@ msgstr "Zupełnie nic nie zmienia"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -254,12 +254,12 @@ msgstr "Zupełnie nic nie zmienia"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1169,9 +1169,9 @@ msgstr "Katalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1196,7 +1196,7 @@ msgstr "Ścieżka do biblioteki ({0}) je
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1258,7 +1258,7 @@ msgstr "Zapisane wyszukiwania"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2871,8 +2871,8 @@ msgstr "Pobieranie listy książek znajd
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2881,8 +2881,8 @@ msgstr "Usuwanie książek z listy metad
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3225,7 +3225,7 @@ msgstr "Wprowadź szablon, którego chce
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Modyfikuj szablon"
@@ -3338,7 +3338,7 @@ msgid "Communicate with MTP devices"
 msgstr "Umożliwia komunikację z urządzeniami MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Pobierz informacje o urządzeniu..."
@@ -3365,8 +3365,8 @@ msgid "Finished reading metadata from de
 msgstr "Zakończono czytanie metadanych z urządzenia"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3754,61 +3754,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "Jest to rozdzielona przecinkami lista rozszerzeń plików w formacie, które chcesz wysłać na urządzenie. Na przykład w bibliotece mogą znajdować się książki audio z rozszerzeniem „m4b”, którego chcesz słuchać na swoim urządzeniu. Nie martw się ostrzeżeniem o „dodatkowych włączonych rozszerzeniach”."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Zbyt dużo prób połączenia z %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Aplikacja na Twoim urządzeniu jest zbyt stara i nie jest już obsługiwana. Zainstaluj nowszą wersję."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "W bibliotece istnieją formaty książek z datami w przyszłości. Zajrzyj do calibre, by uzyskać więcej informacji"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "Kolumny %s nie ma w bibliotece"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "Kolumna %s nie jest kolumną typu Tak/Nie"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "Kolumny daty %s nie ma w bibliotece"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "Kolumna synchronizacji daty %s nie jest kolumną typu Data"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Niewłaściwe ustawienie stopnia kompresji. Wartość musi zawierać się między 50 a 99. Ustawiono na %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Niepoprawny port w opcjach: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Nie udało się połączyć z portem %d. Spróbuj innej wartości."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Nie udało się przydzielić losowego portu"
 
@@ -6242,7 +6253,7 @@ msgstr "Wypakuj popularne formaty e-book
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Nie"
 
@@ -6265,7 +6276,7 @@ msgid "Producer"
 msgstr "Producent"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6533,103 +6544,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Grafika Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Pobiera metadane i okładki z Amazonu"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "US"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Francja"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Niemcy"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "UK"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Australia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Włochy"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japonia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Hiszpania"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brazylia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Holenderski"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Chiny"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Kanada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Wybierz serwer automatycznie"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Serwery Amazona"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Pamięć podręczna wyszukiwarki Bing"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Pamięć podręczna wyszukiwarki Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Cache serwisu Wayback machine (powoli)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Używaj tej wersji językowej witryny Amazon:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Metadane z Amazon będą pobrane z wybranego oddziału Amazon."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Serwer do pobierania danych:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon zaczął blokować dostęp podczas pobierania metadanych z jego serwerów. Aby ominąć ten problem, calibre może pobierać dane z Amazonu korzystając z różnych innych kopii. Wybierz preferowane źródło."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Użyj MOBI-ASIN do wyszukiwania metadanych"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6637,7 +6648,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr "Włącz tę opcję, aby wyszukiwać metadane z identyfikatorem ASIN z pliku MOBI na stronie internetowej bieżącego kraju, chyba że dostępny jest inny identyfikator Amazon. Pamiętaj, że jeśli plik MOBI pochodzi z innego sklepu Amazon, możesz uzyskać nieprawidłowe wyniki."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Upłynął czas zapytania Amazon. Spróbuj ponownie później."
 
@@ -8532,7 +8543,7 @@ msgstr "Żadne pliki nie zostały skopio
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -9022,7 +9033,7 @@ msgstr "Folder %s już istnieje. Najpier
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Zbyt długie"
 
@@ -9067,7 +9078,7 @@ msgstr "Biblioteka %s została usunięta
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9119,7 +9130,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9276,7 +9287,7 @@ msgid "Browse for library"
 msgstr "Szukaj biblioteki"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "Kopiuj"
@@ -9316,7 +9327,7 @@ msgstr "{0} autorstwa {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Z&aznacz wszystkie"
 
@@ -10224,7 +10235,7 @@ msgid "Move to next highlighted match"
 msgstr "Przejdź do kolejnej, wyróżnionej i wyróżnionej pozycji"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10832,7 +10843,7 @@ msgid "this book"
 msgstr "tej książki"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Szukaj %s"
@@ -11045,7 +11056,7 @@ msgstr "&Podgląd książki"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11499,8 +11510,8 @@ msgstr "Zmień"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11629,42 +11640,47 @@ msgid "Search the internet for this book
 msgstr "Wyszukaj tę książkę w Internecie"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Zarządzaj %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Usuń format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Zapisz format %s na dysku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Przywróć format %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Ustaw okładkę książki z pliku %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Porównaj z formatem %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11673,112 +11689,112 @@ msgstr "Porównaj z formatem %s"
 msgid "Open %s with..."
 msgstr "Otwórz %s za pomocą..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Dodaj inne aplikacje dla plików %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Edytuj menu Otwórz za pomocą..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Edytuj %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Kopiuj ścieżkę do pliku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Wyszukaj %s w calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Skopiuj ścieżkę"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Usuń %s z książki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Kopiuj &wszystko"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Kopiuj adres odnośnika"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Otwórz okładkę za pomocą..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Dodaj inną aplikację do otwierania okładek..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Wklej okładkę"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Kopiuj okładkę"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Zapisz okładkę na dysk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Usuń okładkę"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Wygeneruj okładkę z metadanych"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Wybierz gdzie chcesz zapisać okładkę"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "Obrazki JPEG"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Kliknij dwukrotnie, aby otworzyć okno ze szczegółami książki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Ścieżka"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11786,7 +11802,7 @@ msgstr "Ścieżka"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Rozmiar okładki: %(width)d x %(height)d pikseli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Edytuj identyfikatory książki"
 
@@ -11855,7 +11871,7 @@ msgstr "wyjście"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11873,11 +11889,11 @@ msgstr "wyjście"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -12016,7 +12032,7 @@ msgid "Preset name:"
 msgstr "Nazwa zestawu:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Musisz podać nazwę."
 
@@ -12051,7 +12067,7 @@ msgstr "Prawda"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12098,8 +12114,8 @@ msgid "Delete current preset"
 msgstr "Usuń bieżący zestaw ustawień"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Usuń"
 
@@ -12211,22 +12227,22 @@ msgstr "Przywróć domyślne"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12454,7 +12470,7 @@ msgstr "Nagłówek {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12929,10 +12945,10 @@ msgstr "&Klucz rozmiaru czcionki:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pkt"
@@ -13364,7 +13380,7 @@ msgid "Change the title of this book"
 msgstr "Zmień tytuł tej książki"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Autor(rzy): "
 
@@ -13379,7 +13395,7 @@ msgid ""
 msgstr "Zmień autora(-ów) tej książki. Jeśli autorów jest wielu to nazwiska powinny być oddzielone przecinkami"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Wydawca: "
 
@@ -13388,7 +13404,7 @@ msgid "Ta&gs: "
 msgstr "E&tykiety: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13403,8 +13419,8 @@ msgstr "&Cykl:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Lista znanych cykli. Możesz dodać nowe cykle."
@@ -13471,45 +13487,45 @@ msgstr "Wymiary ekranu: %s"
 msgid "Page setup"
 msgstr "Ustawienia strony"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Profil &wyjściowy:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Opis profilu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Profil źródłowy:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Marginesy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Lewy:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Niezmienione"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Górny:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Prawy:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Dolny:"
@@ -13855,7 +13871,7 @@ msgid "Edit the currently selected expre
 msgstr "Edytuj zaznaczone wyrażenie"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Zmień"
 
@@ -14681,74 +14697,73 @@ msgstr "Wybierz plik do importowania reg
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Niezdefiniowany"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Ustaw '%s' na dzisiaj"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Wyczyść '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Wartość została zmieniona"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Wartości pól zostały zmienione. Aby używać tego edytora musisz albo odrzucić zmiany, albo je zaakceptować. Zaakceptować zmiany?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " indeks:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Lista \"{0}\" zawiera błędną wartość, która zostanie zmieniona na domyślną"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Zastosuj zmiany"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Wyczyść cykl"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Automatycznie numeruj książki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14756,44 +14771,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Wymuś początek numeracji na "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "Serie zwykle będą numerowane na podstawie największej liczby w bazie danych dla tej serii. Zaznaczenie tego pola powie calibre, aby zaczął numerować od wartości w polu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "Kwota, o którą należy zwiększyć numer serii dla kolejnych książek. Ma zastosowanie tylko w przypadku używania numerów serii sił."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Lista \"{0}\" zawiera błędne wartości, które nie pojawią się na liście"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Usuń wszystkie etykiety"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "etykiety do dodania"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "etykiety do usunięcia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15501,11 +15516,11 @@ msgstr "To potrwa chwilkę, proszę czek
 msgid "Vacuuming..."
 msgstr "Czyszczenie..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Sprawdź bibliotekę — Znaleziono problemy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15569,79 +15584,84 @@ msgid ""
 "        "
 msgstr "        <h1>Pomoc</h1>\n\n        <p>calibre przechowuje listę książek i ich metadane\n        w bazie danych. Pliki książek i ich okładki są przechowywane jako\n        zwykłe pliki w folderze biblioteki calibre. Baza danych zawiera listę\n        plików i okładek należących do każdej książki. To narzędzie\n        sprawdza czy pliki w folderze biblioteki na dysku\n        pasują do informacji zawartych w bazie danych.</p>\n\n        <p>Wynik każdego rodzaju sprawdzania wyświetlany jest po lewej stronie.\n        Można sprawdzać pod kątem:\n        </p>\n        <ul>\n        <li><b>Błędnych tytułów</b>: Są to pliki i foldery występujące\n        w bibliotece, w których tytuły książek powinny, ale nie posiadają\n        poprawnej formy</li>\n        <li><b>Tytułów nadmiarowych</b>: Są to nadmiarowe pliki w\n        bibliotece calibre, które posiadają poprawny format tytułu, ale nie\n        posiadają odpowiadających im wpisów w bazie danych</li>\n        <li><b>Błędnych autorów</b>: Są to pliki, które występują w bibliotece,\n        gdzie powinny istnieć tylko foldery autorów.</li>\n        <li><b>Nadmiarowych autorów</b>: Są to foldery w bibliotece calibre,\n        które wyglądają jak foldery autorów, ale nie ma odpowiadających im wpisów w bazie danych.</li>\n        <li><b>Brakujących formatów książek</b>: Są to formaty książek, które są\n        w bazie danych, ale nie mają odpowiadającego formatowi pliku w folderze książki.</li>\n        <li><b>Nadmiarowych formatów książek</b>: Są to pliki formatów książek znalezione\n        w folderze książki, ale nie w bazie danych.\n        <li><b>Nieznanych plików w książkach</b>: Są to nadmiarowe pliki\n        w folderze książki, które nie odpowiadają znanemu formatowi lub\n        plikowi okładki.</li>\n        <li><b>Brakujących plików okładek</b>: Pokazuje książki, które są oznaczone\n        w bazie danych jako posiadające okładki, ale brakuje w nich właściwych\n        plików okładki.</li>\n        <li><b>Braku plików okładek w bazie danych</b>: Są to książki, które mają\n        pliki okładek, ale są oznaczone w bazie danych jako nie posiadające okładek.</li>\n        <li><b>Folderów powodujących błędy</b>: Przedstawiają foldery, w bibliotece\n        calibre, które nie mogą zostać przetworzone/zrozumiałe przez to\n        narzędzie.</li>\n        </ul>\n\n        <p>Istnieją dwa możliwe rodzaje automatycznej naprawy: <i>Usuń\n        zaznaczone</i> i <i>Napraw zaznaczone</i>.</p>\n        <p><i>Usuń zaznaczone</i> wykorzystuje się do zlikwidowania nadmiarowych\n        plików/folderów/okładek, które nie mają wpisów w bazie danych. Zaznacz pozycje,\n        które chcesz usunąć. Korzystaj z tej metody ostrożnie.</p>\n\n        <p><i>Napraw zaznaczone</i> stosuje się tylko do okładek i brakujących formatów\n        (trzy wiersze oznaczone 'możliwe do naprawienia'). W wypadku brakujących plików\n        okładek, zaznaczenie pozycji do naprawienia i naciśnięcie tego przycisku powie programowi\n        calibre, że nie ma żadnych okładek dla wszystkich wykazanych książek. Użyj tej opcji\n        jeśli nie zamierzasz odtworzyć okładek z kopii zapasowej. W przypadku nadmiarowych\n        plików okładek, zaznaczenie opcji do naprawienia i naciśnięcie tego przycisku oznacza,\n        że pliki okładek, które znalazł są poprawne dla wszystkich wyświetlonych książek.\n        Użyj tej opcji jeśli nie zamierzasz usuwać pliku(ów). W przypadku brakujących formatów,\n        zaznaczenie pozycji do naprawienia i naciśnięcie tego przycisku\n        oznacza, że te formaty są naprawdę zepsute. Użyj tej opcji\n        jeśli nie zamierzasz odtworzyć formatów z kopii zapasowej.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "Sp&rawdź ponownie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "&Kopiuj do schowka"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "Gotowe"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Oznacz &wszystkie do usunięcia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Zaznacz wszystkie elementy możliwe do usunięcia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Usuń zaznaczone"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Usuń zaznaczone pliki (zaznaczone podelementy)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Oznacz wszyst&kie do poprawienia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Zaznacz wszystkie elementy możliwe do poprawienia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&Popraw zaznaczone"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Napraw zaznaczone sekcje (zaznaczone elementy do naprawienia)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Nazwy do pominięcia:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Wprowadź oddzielone przecinkami standardowe nazwy plików z symbolami wieloznacznymi, na przykład synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Pomijane rozszerzenia:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Wprowadź oddzielone przecinkami rozszerzenia bez poprzedzającej je kropki. Używane tylko w folderach książek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(możliwe do naprawienia)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Ścieżka z biblioteki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15691,8 +15711,8 @@ msgstr "Lokalizacja %s zawiera obecną b
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Błędna lokalizacja"
 
@@ -16248,46 +16268,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (było %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Element jest pusty"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Element nie może zostać ustawiony jako pusty. Po prostu go usuń."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Nie wybrano elementu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Musisz wybrać jeden element z listy dostępnych."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Nie wybrano elementów"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Musisz wybrać co najmniej jeden element z listy."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Czy na pewno skasować wybrane elementy?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Edytor kategorii"
 
@@ -16296,7 +16316,7 @@ msgid "Items in use"
 msgstr "Używane elementy"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16311,11 +16331,11 @@ msgstr "Zmień nazwę elementu w każdej
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Ta książka ma zabezpieczenia DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16345,7 +16365,7 @@ msgid "Already in calibre:"
 msgstr "Już obecne w calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16370,28 +16390,28 @@ msgid "Change case"
 msgstr "Zmień wielkość liter"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Wielkie litery"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Małe litery"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Zamień wielkość liter"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16418,65 +16438,65 @@ msgstr "Błędna nazwa autora"
 msgid "You cannot change an author to multiple authors."
 msgstr "Nie można zmienić autora na wielu autorów."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Zarządzaj autorami"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Szukaj:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Usuń wszystkie wartości sortowania wg autora, aby wypełnić wartości automatycznie\nutworzonym z pola autora. Sposób tworzenia tej automatycznej wartości można określić\npoprzez Ustawienia->Zaawansowane->Parametry"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "Przelicz wszystkie wa&rtości sortowania wg autora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Skopiuj kolumnę author_sort do authors dla każdego autora. Zwykle używa się tego przycisku po zmianach\nw Ustawienia->Zaawansowane->Parametry->Algorytm sortowania nazwy autora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "S&kopiuj wszystkie wartości sortowania wg autora do autora"
 
@@ -16811,77 +16831,77 @@ msgstr[1] "Ukryj {} pozostałe komunikat
 msgstr[2] "Ukryj {} pozostałych komunikatów o błędach"
 msgstr[3] "Ukryj {} pozostałych komunikatów o błędach"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Zajęty"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Przetwarzanie %d książek, proszę czekać..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "Postęp aktualnego kroku: %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Krok %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Małe litery"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Wielkie litery"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Wielkość liter jak w tytule"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Szukaj tekstu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Wyrażenie regularne"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Zastąp pole"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Dodaj przed polem"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Dołącz do pola"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Edytuję metadane dla <b>%d książek</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Natychmiast wprowadź wszystkie zmiany bez zamykania okna dialogowego. Ta operacja nie może być anulowana ani cofnięta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Książka %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Wprowadź typ identyfikatora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16889,7 +16909,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Użycie tej funkcji może spowodować zniszczenie biblioteki.</b> Zmiany są trwałe. Nie ma możliwości ich cofnięcia. Zaleca się zrobienie uprzednio kopii zapasowej biblioteki.<p>Znajdź i zamień w polach tekstowych używają dopasowania znaków lub wyrażeń regularnych. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16899,7 +16919,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16914,80 +16934,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "BŁĄD SZABLONU S/R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Musisz podać miejsce docelowe, podczas gdy źródłem jest pole złożone albo szablon"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Wartość zastępcza dla kolumny oceny musi być pusta lub być liczbą całkowitą z zakresu od 0 do 10"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Musisz wskazać typ identyfikatora miejsca docelowego"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Musisz podać poszukiwane wyrażenie w polu \"Wyszukaj\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Błędny identyfikator. Musi być on listą oddzielaną przecinkami i zawierającą pary ciągów znaków rozdzielonych dwukropkiem"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Błędne wyszukiwanie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Błędne wyszukiwanie/zastępowanie: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Usuń zapisane wyszukiwanie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Wybrany zapisane wyszukiwanie zostanie usunięte. Jesteś pewien?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Zapisz wyszukiwanie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Nazwa wyszukiwania:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "To zapisane wyszukiwanie już istnieje i zostanie nadpisane. Jesteś pewien?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Edycja metadanych"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16995,90 +17015,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Spowoduje to automatyczną aktualizację pola sortowania autora\n  na podstawie pola autorów dla każdej wybranej książki. Zauważ, że jeśli\n  użyj powyższej kontrolki, aby zbiorczo ustawić autorów, sortuj według autora\n  pole jest i tak aktualizowane, niezależnie od wartości tego pola wyboru."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "A&utomatycznie sortuj według autora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "Zamień tytuł i autora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Zaktualizuj sortowanie według tytułu w oparciu o bieżący tytuł. Zostanie wprowadzone dopiero po innych zmianach w tytule."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Zaktualizuj sortowanie według &tytułu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Zmień &okładkę"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "Utwórz &domyślną okładkę"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Usuń okładkę"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Próba automatycznego wykrycia i usunięcia marginesów i dodatkowej przestrzeni\nna brzegach okładek. Czasem usuwane jest zbyt wiele, więc tego narzędzia\nnależy używać ostrożnie i z rozwagą."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "Przy&tnij okładkę (OSTROŻNIE!)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "Ustaw z pliku(ów) &książki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Ustaw okładki wszystkich wybranych książek na takie same\njak w pierwszej wybranej."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Klonuj okładki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Wymuś pisanie każdego wyrazu tytułu z wielkiej litery. Jeśli ta opcja jest zaznaczona wraz z zamianą\nautorów, tytuł i autor zostaną zamienieni zanim wielkość liter zostanie zmieniona"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Zmień tytuł z &wielkiej litery do:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Data:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Zaznaczenie tej opcji spowoduje wyczyszczenie pola wydawcy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "Wy&czyść"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "Op&ublikowano:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17086,118 +17106,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Jeśli nie zaznaczone, numer w cyklu dla książek zostanie ustawiony na 1.\nJeśli zaznaczone, wskazane książki zostaną automatycznie ponumerowane\nwedług kolejności wyboru. Jeśli wybierzesz książkę A, a potem książkę B,\nksiążka A będzie miała numer 1 w cyklu, a książka B numer 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "&Automatycznie ponumeruj książki w tym cyklu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Cykle domyślnie numerowane są od najwyższego numeru w bazie danych\ndla tego cyklu. Zaznaczenie tej opcji spowoduje, że numeracja zacznie się\nod wartości wskazanej w polu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Wymuś numerowanie od:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Jeśli zaznaczone, cykle zostaną usunięte"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Usuń cykle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Skonfiguruj sposób, w jaki tworzone są domyślnie generowane okładki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Skon&figuruj generowanie okładek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Przypisz ko&mentarz do wszystkich wybranych książek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Usuń etykiety:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Usuń &wszystkie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Dodaj &etykiety: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Ustal, jak książki mają być sortowane według autora. Przykładowo: Charles Dickens może być sortowany jako Dickens, Charles"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "Z&astosuj ocenę"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Usuń datę publikacji"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Języki:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Lista oddzielonych przecinkami etykiet do usunięcia z książki. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Otwórz edytor etykiet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "S&ortowanie według autora: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Ustaw calibre metadanych na podstawie metadanych w plikach e-booków powiązanych z każdą książką. Pamiętaj, że to nie zmienia okładki, w tym celu skorzystaj z osobnej opcji poniżej."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Ustaw &metadata (wyłączając okładkę) z pliku e-booka"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Cyk&l:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Usuń zachowane ustawienia konwersji dla wskazanych książek.\n\nPrzyszłe konwersje tych książek wykorzystają ustawienia domyślne."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Usuń zapi&sane ustawienia konwersji dla wybranych książek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17206,152 +17226,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Przy konwersji na ten sam format np. EPUB na EPUB\ncalibre zapisuje oryginalny EPUB jako ORIGINAL_EPUB.\nTa opcja powoduje odzyskanie oryginalnego EPUB\nz ORIGINAL_EPUB. Jest to przydatne jeśli konwertowano\nautomatycznie dużą liczbę plików i coś poszło nie tak."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Przywróć &oryginały sprzed konwersji jeśli to możliwe"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Zaznacz to pole, aby usunąć wszystkie etykiety z książek."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Ocena:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Podstawowe metadane"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Własne metadane"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "W&czytaj wyszukiwanie:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Wybierz zapisane wyszukiwanie do wczytania."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Zapisz bieżące wyszukiwanie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Zapisz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Pole &wyszukiwania:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Nazwa pola, które chcesz przeszukać"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "&Tryb wyszukiwania:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Wskaż, czy użyć wyszukiwania zwykłego tekstu, czy zaawansowanego wyszukania wyrażenia regularnego"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "Typ &identyfikatora:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Wskaż typ identyfikatora do wykorzystania"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Szablon:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Wpisz szablon, który ma zostać użyty jako źródło dla wyszukiwania"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Wpisz czego szukasz - fragment tekstu lub wyrażenie regularne, zależnie od trybu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Zaznacz to pole, jeśli wyszukiwany ciąg znaków ma uwzględniać wielkość liter. Nie zaznaczaj jeśli wielkość liter nie ma znaczenia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Uwzględniaj &wielkość liter"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Zastąp przez:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Tekst do zamiany. Tekst pasujący do wzorca zostanie zastąpiony tym ciągiem znaków"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "Z&astosuj funkcję po zamianie:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Określ, jak tekst ma zostać przetworzony po wyszukaniu i zamianie. W trybie tekstowym, całe pole\njest poddane przetworzeniu. W trybie wyrażenia regularnego przetwarzany jest tylko tekst pasujący do wzorca"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "Pole &docelowe:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Pole, w którym zostanie umieszczony tekst po wszystkich zamianach.\nJeśli to pole jest puste, to użyte zostanie pole źródłowe, o ile można je modyfikować"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "&Tryb:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Określ w jaki sposób tekst ma być kopiowany do pola docelowego."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Określa czy wyniki powinny zostać podzielone na wielokrotne wartości lub\npozostawione jako pojedyncze. Ta opcja daje najlepsze wyniki gdy\npole źródłowe nie jest wielokrotne, a pole docelowe tak."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Podziel &wynik"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Typ identyfikatora:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17359,48 +17379,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Wybierz typ identyfikatora do przetwarzania. Jeśli pole źródłowe\n              jest inne niż 'identifiers' można wprowadzić * jeśli aby zamienić\n              cały zestaw identyfikatorów na wynik wyszukiwania/zamiany.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Dla pól z wielokrotną &wartością, pokaż"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "wa&rtości zaczynając od"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "z wartościami oddzielon&ymi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Używane gdy wyświetlane wyniki testu mają oddzielne wartości w polach o wielokrotnych wartościach"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Tekst testowy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Wynik testu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Twój &test:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "Z&najdź i zastąp"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Jeśli ta opcja jest włączona, lista książek zostanie ponownie posortowana i wszelkie istniejące\nwyszukiwanie lub biblioteka wirtualna zostaną odświeżone po edycji\njest zakończony. W przypadku dużych bibliotek może to być powolne."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "&Odśwież listę po edycji"
 
@@ -18029,7 +18049,7 @@ msgstr "Błędne zapisane wyszukiwanie"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Zarządzaj zapisanymi wyszukiwaniami"
 
@@ -18689,76 +18709,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Obecna kategoria etykiet zostanie <b>trwale usunięta</b>. Jesteś pewien?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Edytor własnych kategorii"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "&Nazwa kategorii: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Wybierz kategorię do edycji"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "&Filtr kategorii: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Wybierz typ zawartości nowej kategorii"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Dodaj nową kategorię"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Zmień nazwę bieżącej kategorii na zawartość pola"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "&Dostępne elementy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Przypisz etykiety do obecnej kategorii etykiet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "Obecne &elementy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Usuń etykiety z obecnej kategorii etykiet"
 
@@ -18790,121 +18810,121 @@ msgid ""
 "to delete them?"
 msgstr "Następujące etykiety są przypisane do jednej lub więcej książek. Czy jesteś pewien, że chcesz je usunąć?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Liczba wystąpień"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Było"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Czy na pewno chcesz cofnąć zmiany?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Przywrócić element?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Ten element został usunięty. Czy chcesz go przywrócić?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl-D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Cofnij wszelkie usunięcia lub zmiany dokonane w zaznaczonych liniach"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19789,17 +19809,17 @@ msgstr "Układ"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Pokaż i ukryj różne części głównego okna calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Brak formatu %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Książka {0} nie zawiera formatu {1}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Przywróć %s"
@@ -20086,21 +20106,11 @@ msgstr "Część %(sidx)s z serii <span
 msgid "This book is on the device in %s"
 msgstr "Ta książka znajduje się na urządzeniu %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Ustaw datę jako nieoznaczoną"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Ustaw datę na dzisiaj"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Ustaw jako nieoznaczone"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20444,7 +20454,7 @@ msgid ""
 msgstr "Ścieżka do Calibre Portable (%s) jest zbyt długa. Musi być krótsza niż 59 znaków."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Biblioteka calibre"
 
@@ -20607,6 +20617,16 @@ msgstr "&Zakończ"
 msgid "Unhandled exception"
 msgstr "Nieznany wyjątek"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Ustaw datę jako nieoznaczoną"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Ustaw datę na dzisiaj"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20888,7 +20908,7 @@ msgstr "&Wydawca:"
 msgid "Clear publisher"
 msgstr "Usuń wydawcę"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Usuń datę"
 
@@ -20962,7 +20982,7 @@ msgid "Processed %s"
 msgstr "Przetworzono %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Pola metadanych do pobrania"
 
@@ -21727,13 +21747,13 @@ msgid "&Automatic adding"
 msgstr "&Automatyczne dodawanie"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Wysoki"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Niski"
 
@@ -21758,80 +21778,80 @@ msgstr "Wszystko na jednej zakładce"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Wszystkie zapytania o potwierdzenie zostały zresetowane"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Powiadom, gdy dostępna jest &nowa wersja"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Automatycznie przesyłaj pobrane &wiadomości do czytnika"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Priorytet zdań:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Preferowana kolejność formatów &źródłowych:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Preferowany format &docelowy:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "Układ &edycji pojedynczej książki:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Jeśli pole jest zaznaczone, kolumny mogą mieć wartość Tak, Nie lub Nieznany.\nJeśli pole nie jest zaznaczone, mogą być tylko dwie wartości - Tak i Nie."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "Kolumna &Tak/Nie ma trzy wartości (wymaga restartu)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Usuń wiadomości z biblioteki, gdy są automatycznie wysyłane do czytnika"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Domyślny &czas oczekiwania na sieć:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Wyznacz domyślny limit czasu dla pobierania z sieci (np. za każdym razem, gdy łączysz się z internetem w celu uzyskania informacji)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " sekund"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Zresetuj wszystkie wyłączone zapytania o potwierdzenie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Użyj podglądu &wewnętrznego dla:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Wirtualna biblioteka, automatycznie włączana przy otwieraniu bieżącej &biblioteki:"
 
@@ -22820,37 +22840,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Dodaj adres e-mail, pod który chcesz wysłać książki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "Dod&aj e-mail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "&Ustaw jako domyślny"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "Usuń e-mail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Dodaj komentarz z metadanych książki do maila.\nW ten sposób umożliwisz odbiorcy zapoznanie się z recenzją książki\nprzed jej otworzeniem."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Dodaj &komentarze z metadanych do emaila"
 
@@ -22987,7 +23007,7 @@ msgid "Create a new rule"
 msgstr "Utwórz nową regułę"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23125,7 +23145,7 @@ msgid "If there is enough room"
 msgstr "Jeśli jest miejsce"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Od pierwszej litery"
 
@@ -23396,7 +23416,7 @@ msgid "Caching of covers for improved pe
 msgstr "Buforowanie okładek w celu przyspieszenia"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Wyłącz"
 
@@ -23791,86 +23811,86 @@ msgstr "Nie wybrano źródła"
 msgid "No source selected, cannot configure."
 msgstr "Konfiguracja jest niemożliwa, gdyż nie wybrano źródła."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Źródła metadanych"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Źródła oznaczone czerwonym X muszą zostać skonfigurowane przed użyciem. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "Sk&onfiguruj wybrane źródło"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Jeśli nie zaznaczysz pól, metadane dla nich nie zostaną pobrane"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "Wybierz w&szystkie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr "Odz&nacz wszystkie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Przywróć zestaw uprzednio wybranych przez ciebie pól, korzystając z przycisku „Ustaw jako domyślne”"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr "Przywróć &domyślne"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Zapisz obecnie wybrane pola jako domyślne, aby w przyszłości móc je przywrócić jednym kliknięciem w przycisk „Przywróć domyślne”"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "Ustaw jako domyślne"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Konwertuj wszystkie pobrane komentarze do &tekstu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Zamień 'Imię Nazwisko' na 'Nazwisko, Imię' autora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Przy pobieraniu komentarzy, dodaj pobrany tekst do istniejącego komentarza zamiast nadpisywać go."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "Przy pobieraniu opisów dołącz je do istniejących zamiast zastępować."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Dodaj &komentarze do istniejących"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23879,47 +23899,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr "<p>Zwykle system pobierania metadanych przechowuje tylko jeden wynik na źródło metadanych. Ta opcja spowoduje, że wszystkie wyniki zostaną zwrócone z każdego źródła metadanych. Przydatne, jeśli korzystasz tylko z jednego lub dwóch źródeł i chcesz ręcznie wybrać poszczególne wyniki. Pamiętaj, że wyniki z identycznymi tytułem/autorem/identyfikatorem będą nadal scalane."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "Przechowuj więcej niż jeden wpis na źródło"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Różne źródła mogą dostarczyć różnych etykiet dla tej samej książki. Jeśli ta opcja jest zaznaczona calibre wybierze zestaw z mniejszą liczbą etykiet. Najczęściej będą to określenia gatunków - większe zestawy etykiet z reguły bardziej szczegółowo opisują treść.\n<p>Pamiętaj, że ta opcja sprawi różnicę tylko wtedy, gdy zestawy etykiet znacząco się różnią. Zazwyczaj jednak książki mają szerokie zestawy, bardziej opisujące treść niż klasyfikujące książkę."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Wybieraj mniejsze zestawy etykiet spośród źródeł metadanych"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Wybierz mniejsze etykiety"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Utwórz &reguły filtrowania/przetwarzania etykiet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "Utwórz reguły, aby przekształcić nazwiska autorów"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "Pobierz maksymalnie e&tykiet:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Maks. &czas oczekiwania po znalezieniu pierwszego dopasowania:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " sek."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Po znalezieniu pierwszej okładki czekaj nie dłużej niż:"
 
@@ -25469,7 +25489,7 @@ msgid "Paste and &search"
 msgstr "Wklej i &szukaj"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "Wklej"
@@ -26495,150 +26515,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr "Znaleziono „kliknięcie”"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Zmień ikonę dla: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Zmień nazwę %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Usuń %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Edytuj sortowanie dla %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Edytuj odsyłacz do %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "Dodaj %s do kategorii użytkownika"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Pochodne %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Usuń %(item)s z kategorii %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Szukaj wszystkiego oprócz %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "Wyszukaj używając zapisanego wyrażenia wyszukiwania"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Dodaj podkategorię do %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Skasuj kategorię użytkownika %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Ukryj kategorię „%s”"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Wyświetl kategorię"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Szukaj książek należących do kategorii „%s”"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Szukaj książek nie należących do kategorii „%s”"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Zmień ikonę kategorii"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Przywróć domyślną ikonę"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Zarządzaj własnymi kategoriami"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Wyświetl wszystkie kategorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Zmień schemat pod-kategoryzacji"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Dzielone"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Pierwsza litera jest używana wyłącznie przy sortowaniu wg nazwy."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "Rozwiń wszystkie gałęzie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Zwiń wszystkie poziomy"
 
@@ -27308,7 +27328,7 @@ msgid "The Qt WebEngine Render process c
 msgstr "Proces renderowania Qt WebEngine uległ awarii i został zrestartowany"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Niezapisane zmiany"
 
@@ -27715,12 +27735,12 @@ msgid ""
 msgstr "Plik %s nie istnieje. Jeśli próbowałeś kliknąć pozycję w spisie treści, być może musisz odświeżyć spis treści klikając prawym przyciskiem i wybierając „Odśwież”."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Nieobsługiwany format pliku"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "Edycja plików typu %s nie jest możliwa"
@@ -27778,76 +27798,76 @@ msgid "Import"
 msgstr "Importuj"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Przed: Zamień %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Musisz najpierw otworzyć książkę by zobaczyć zestawienie."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Musisz najpierw otworzyć książkę by sprawdzić odsyłacze."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Musisz najpierw otworzyć książkę by kompresować obrazy."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Przed: kompresuj obrazy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Niespodziewany błąd"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Kompresowanie obrazów nie powiodło się. Naciśnij „Pokaż szczegóły”, by uzyskać więcej informacji."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Nie można odczytać"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Nie można edytować %s ponieważ wygląda na to, że znaki są kodowane w nieznany sposób"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Żadna książka nie jest obecnie otwarta. Najpierw musisz otworzyć książkę."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "Książka jest zapisywana w tle. Wyjście teraz z programu <b>przerwie zapisywanie</b>! Czy zakończyć najpierw zapisywanie? "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "Zakończ &natychmiast"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Najpierw &zapisz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Są niezapisane zmiany, jeśli zamkniesz teraz program - utracisz je."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Zapisz i wyjdź"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Wyjdź bez zapisywania"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Zapisywanie, proszę czekać..."
 
@@ -31266,18 +31286,18 @@ msgstr[3] "Przywrócono {} wyłączonych
 msgid "Disabled confirmations restored"
 msgstr "Wyłączone potwierdzenia zostały przywrócone"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr "Proces renderowania uległ awarii"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31291,70 +31311,70 @@ msgid ""
 "            "
 msgstr "\n<h3>Podgląd na żywo</h3>\n\n<p>W tym miejscu na bieżąco będzie wyświetlany podgląd pliku HTML, który jest edytowany.\nPodgląd jest aktualizowany automatycznie, w miarę wprowadzania zmian.\n\n<p style=\"font-size:x-small; color: gray\">Należy pamiętać, że jest to tylko podgląd,\njego zadaniem nie jest symulacja rzeczywistego czytnika.\nNiektóre właściwości czytnika nie zostaną uwzględnione\nnp. podział na strony czy marginesy."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Zbadaj element"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Przejdź do adresu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Edytuj %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Szukaj w podglądzie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Nieprawidłowa lokalizacja"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Nie można podzielić wewnątrz znacznika"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Nie udało się uruchomić procesu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Nie udało się uruchomić procesu odpowiedzialnego za renderowanie podglądu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Nie można wyłączyć"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Automatyczne odświeżanie podglądu nie może być wyłączone, gdy jest otwarty panel Live CSS"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Automatycznie odśwież podgląd kiedy zmieni się tekst"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Zablokuj automatyczne odświeżanie podglądu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Wyłącz synchronizację pozycji między edytorem i podglądem"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Włącz synchronizację pozycji między edytorem i podglądem"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Przerwij podział"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34310,13 +34330,13 @@ msgstr "Ładowanie książki nie powiod
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "Wybierz obraz tła"
 
@@ -34351,30 +34371,30 @@ msgstr "Ukryj {}"
 msgid "Show {}"
 msgstr "Pokaż {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Wybierz &kolor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Wybierz kolor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Wytnij"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "Do &góry"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "Do &dołu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Nieoceniona"
 
@@ -34428,44 +34448,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Wybierz swój czytnik. Jeśli nie ma go na liście, wybierz urządzenie „%s”."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Wybierz lokalizację dla książek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Nie udało się utworzyć folderu w %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Musisz wybrać pusty katalog dla biblioteki calibre. %s nie jest pusty."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Dalej >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Wstecz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34473,15 +34497,15 @@ msgstr "< &Wstecz"
 msgid "Cancel"
 msgstr "Anuluj"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Zakończ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Potwierdź"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Kreator ustawień wstępnych"
 
@@ -34489,7 +34513,7 @@ msgstr "Kreator ustawień wstępnych"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Witaj w calibre"
@@ -34497,7 +34521,7 @@ msgstr "Witaj w calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Jedyne takie rozwiązanie, przeznaczone dla wszystkich twoich e-książek."
@@ -34512,7 +34536,7 @@ msgstr "&Urządzenie"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Strona Kreatora"
@@ -34550,17 +34574,17 @@ msgstr "<p>calibre może automatycznie p
 msgid "&Kindle email:"
 msgstr "Adres e-mail &Kindle:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Wybierz &język:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Wybierz lokalizację dla książek. Kiedy dodasz książkę do calibre, zostanie ona tutaj skopiowana. Użyj <b>pustego folderu</b> dla nowej biblioteki calibre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37148,6 +37172,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "Nienazwany obraz"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ps.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ps.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ps.po	2020-07-02 04:02:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ps.po	2020-07-16 16:39:30.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6494,103 +6505,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6598,7 +6609,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8487,7 +8498,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8965,7 +8976,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9010,7 +9021,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9062,7 +9073,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9217,7 +9228,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9257,7 +9268,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10153,7 +10164,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10755,7 +10766,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10966,7 +10977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11414,8 +11425,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11544,42 +11555,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11588,112 +11604,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11701,7 +11717,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11770,7 +11786,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11788,11 +11804,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11931,7 +11947,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11966,7 +11982,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12013,8 +12029,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12126,22 +12142,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12369,7 +12385,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12844,10 +12860,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13279,7 +13295,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13294,7 +13310,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13303,7 +13319,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13318,8 +13334,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13386,45 +13402,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13770,7 +13786,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14596,74 +14612,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14671,44 +14686,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15414,11 +15429,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15482,79 +15497,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15604,8 +15624,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16161,46 +16181,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16209,7 +16229,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16224,11 +16244,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16256,7 +16276,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16281,28 +16301,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16329,65 +16349,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16720,77 +16740,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16798,7 +16818,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16808,7 +16828,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16823,80 +16843,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16904,90 +16924,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16995,118 +17015,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17115,152 +17135,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17268,48 +17288,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17938,7 +17958,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18598,76 +18618,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18699,121 +18719,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19694,17 +19714,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19985,21 +20005,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20343,7 +20353,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20506,6 +20516,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20785,7 +20805,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20855,7 +20875,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21616,13 +21636,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21647,80 +21667,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22709,37 +22729,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22876,7 +22896,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23014,7 +23034,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23285,7 +23305,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23680,86 +23700,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23768,47 +23788,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25354,7 +25374,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26380,150 +26400,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27193,7 +27213,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27600,12 +27620,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27663,76 +27683,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31135,18 +31155,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31160,70 +31180,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34171,13 +34191,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34212,30 +34232,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34289,44 +34309,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34334,15 +34358,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34350,7 +34374,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34373,7 +34397,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34411,17 +34435,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37007,6 +37031,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/pt_BR.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/pt_BR.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/pt_BR.po	2020-07-02 04:05:16.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/pt_BR.po	2020-07-16 16:40:16.000000000 +0000
@@ -61,7 +61,7 @@
 # dthiago83 <thiagoalves@live.com>, 2015
 # Thiago Oliveira <thiago.eec@gmail.com>, 2018-2020
 # Thiago Perrotta, 2016
-# Thiago Perrotta <tbperrotta@gmail.com>, 2016
+# 188a025320a00cf3a2eaedaf6504fd97_e837d7a <1f603a6e11897c650fffcb77c265c444_491793>, 2016
 # Tiago Ganselli <tiagoganselli@gmail.com>, 2017
 # Tiago Heineck <tiagovda@gmail.com>, 2015,2020
 # tkmorris, 2016
@@ -74,9 +74,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-27 07:28+0000\n"
-"Last-Translator: SpookNyan <rwgt3x8@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-11 11:53+0000\n"
+"Last-Translator: Thiago Oliveira <thiago.eec@gmail.com>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -273,7 +273,7 @@ msgstr "Não faz absolutamente nada"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -285,12 +285,12 @@ msgstr "Não faz absolutamente nada"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1049,7 +1049,7 @@ msgstr "Este perfil é destinado para o
 
 #: /home/kovid/work/calibre/src/calibre/customize/profiles.py:544
 msgid "Generic e-ink"
-msgstr ""
+msgstr "E-ink genérico"
 
 #: /home/kovid/work/calibre/src/calibre/customize/profiles.py:546
 msgid "Suitable for use with any e-ink device"
@@ -1057,7 +1057,7 @@ msgstr "Apropriado para uso em qualquer
 
 #: /home/kovid/work/calibre/src/calibre/customize/profiles.py:552
 msgid "Generic e-ink large"
-msgstr ""
+msgstr "E-ink genérico grande"
 
 #: /home/kovid/work/calibre/src/calibre/customize/profiles.py:554
 msgid "Suitable for use with any large screen e-ink device"
@@ -1065,7 +1065,7 @@ msgstr "Apropriado para uso em qualquer
 
 #: /home/kovid/work/calibre/src/calibre/customize/profiles.py:562
 msgid "Generic e-ink HD"
-msgstr ""
+msgstr "E-ink genérico HD"
 
 #: /home/kovid/work/calibre/src/calibre/customize/profiles.py:564
 msgid "Suitable for use with any modern high resolution e-ink device"
@@ -1200,9 +1200,9 @@ msgstr "Catálogo"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1227,7 +1227,7 @@ msgstr "Caminha para biblioteca ({0}) mu
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1289,7 +1289,7 @@ msgstr "Buscas salvas"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2902,8 +2902,8 @@ msgstr "Obtendo lista de livros no dispo
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2912,8 +2912,8 @@ msgstr "Removendo livros da lista de met
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3256,7 +3256,7 @@ msgstr "Inserir um modelo para utilizar
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Editar o modelo"
@@ -3369,7 +3369,7 @@ msgid "Communicate with MTP devices"
 msgstr "Comunicar-se com dispositivos MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Obtendo informações do dispositivo..."
@@ -3396,8 +3396,8 @@ msgid "Finished reading metadata from de
 msgstr "Terminando a leitura de metadado do dispositivo"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3785,61 +3785,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "Esta é uma lista separada por vírgula de formato de extensões de arquivo que você deseja enviar para o dispositivo. Por exemplo, você pode ter livros de áudio em sua biblioteca com a extensão \"m4b\" que deseja ouvir em seu dispositivo. Não se preocupe com o aviso \"extensões extras atividas\"."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr "Ignorar espaço livre do dispositivo"
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr "Marque esta caixa para ignorar a quantidade de espaço livre informada pelo seus dispositivos. Isto pode ser necessário se você armazena seus livros em um cartão SD e o dispositivo não tem muita memória principal livre."
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Tentativas de conexão excessivas vindas de %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "O aplicativo em seu dispositivo é muito velho e não é mais suportado. Atualize-o para uma versão mais recente."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Você tem formatos de livros em sua biblioteca com datas futuras. Veja calibre para mais detalhes"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "A coluna de leitura de sincronização %s não está na biblioteca do calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "A coluna de leitura de sincronização %s não está na coluna Sim/Não"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "A coluna de sincronização da data de leitura %s não está na biblioteca do calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "A coluna de sincronização de data de leitura %s não é uma coluna de data"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Ajuste de compressão de má qualidade. Deve ser um número entre 50 e 99. Forçado para ser %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Porta inválida nas opções: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Falha ao conectar-se à porta %d. Tente um valor diferente."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Falha ao alocar uma porta aleatória"
 
@@ -6273,7 +6284,7 @@ msgstr "Extraia formatos comuns de livro
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Não"
 
@@ -6296,7 +6307,7 @@ msgid "Producer"
 msgstr "Produtor"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6562,103 +6573,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google images"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Baixa metadados e capas da Amazon."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "EUA"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "França"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Alemanha"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Reino Unido"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Austrália"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Itália"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japão"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Espanha"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brasil"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Holanda"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "China"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Candá"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Escolher servidor automaticamente"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Servidores da Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Cache do buscador Bing"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Cache do buscador Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Cache do Wayback machine(lento)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Site do país da Amazon para usar:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Metadados da Amazon será buscado utilizando o site da Amazon deste país."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Servidor para obter dados de:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "A Amazon começou a bloquear tentativas de baixar metadados de seus servidores. Para contornar este problema, o calibre pode buscar os dados da Amazon a partir de muitos lugares diferentes onde eles são armazenados em cache. Escolha a fonte que você preferir."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Usar o MOBI-ASIN para busca de metadados"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6666,7 +6677,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr "Habilite essa opção para buscar por metadados com um identificador ASIN do arquivo MOBI no site do país atual, a não ser que algum outro ID da Amazon esteja disponível. Note que se o arquivo MOBI veio de uma loja Amazon de um país diferente, você pode obter resultados incorretos."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Conexão com a Amazon expirou. Tente novamente mais tarde."
 
@@ -8555,7 +8566,7 @@ msgstr "Nenhum arquivo foi copiado da á
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -9033,7 +9044,7 @@ msgstr "A pasta %s já existe. Apague-a
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Muito longo"
 
@@ -9078,7 +9089,7 @@ msgstr "A biblioteca %s foi removida do
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9130,7 +9141,7 @@ msgstr "Não foram encontrados erros na
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9285,7 +9296,7 @@ msgid "Browse for library"
 msgstr "Procurar por biblioteca"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Copiar"
@@ -9325,7 +9336,7 @@ msgstr "{0} por {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Selecion&ar tudo"
 
@@ -10221,7 +10232,7 @@ msgid "Move to next highlighted match"
 msgstr "Ir para a correspondência grifada seguinte"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10823,7 +10834,7 @@ msgid "this book"
 msgstr "este livro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Buscar %s"
@@ -11034,7 +11045,7 @@ msgstr "&Pré-visualizar livro"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11482,8 +11493,8 @@ msgstr "Alterar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11612,42 +11623,47 @@ msgid "Search the internet for this book
 msgstr "Pesquisar na internet por este livro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Gerenciar %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr "Pesquisar %s no Navegador de etiquetas"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Apagar o formato %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Salvar o formato %s no disco"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Restaurar o formato %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Defina a capa do livro a partir do arquivo %s "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Comparar com o formato %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11656,112 +11672,112 @@ msgstr "Comparar com o formato %s"
 msgid "Open %s with..."
 msgstr "Abrir %s com..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Adicionar outra aplicação para os arquivos %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Editar Abrir com aplicações..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Editar %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Copiar caminho do arquivo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr "&Copiar link do autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Buscar no calibre por %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Copiar caminho"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr "&Copiar identificador"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Remover %s do livro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Copiar &tudo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Copiar destino do link"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr "Abrir a janela de Detalhes do livro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Abrir a capa com..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Adicione outra aplicação para abrir a capa..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Colar Capa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Copiar Capa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Salvar capa no disco"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Remover capa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Gerar Capa de metadados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Escolher o local para salvar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "Imagens JPEG"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Clique duplo para abrir a janela de detalhes do livro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Caminho"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11769,7 +11785,7 @@ msgstr "Caminho"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Tamanho da capa: %(width)d x %(height)d pixels"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Editar identificadores para este livro"
 
@@ -11838,7 +11854,7 @@ msgstr "saída"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11856,11 +11872,11 @@ msgstr "saída"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11999,7 +12015,7 @@ msgid "Preset name:"
 msgstr "Nome do perfil:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Você deve fornecer um nome."
 
@@ -12034,7 +12050,7 @@ msgstr "Verdadeiro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12081,8 +12097,8 @@ msgid "Delete current preset"
 msgstr "Apagar predefinido atual"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Apagar"
 
@@ -12194,22 +12210,22 @@ msgstr "Restaurar padrão"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12437,7 +12453,7 @@ msgstr "Título {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12912,10 +12928,10 @@ msgstr "Tamanho da fonte c&have:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13347,7 +13363,7 @@ msgid "Change the title of this book"
 msgstr "Mudar o título deste livro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Autor(es): "
 
@@ -13362,7 +13378,7 @@ msgid ""
 msgstr "Mudar o(s) autor(es) deste livro. Múltiplos autores devem ser separados por uma virgula"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Editora: "
 
@@ -13371,7 +13387,7 @@ msgid "Ta&gs: "
 msgstr "Eti&quetas: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13386,8 +13402,8 @@ msgstr "&Série:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Lista de séries conhecidas. É possível adicionar novas séries."
@@ -13454,45 +13470,45 @@ msgstr "Tamanho da tela: %s"
 msgid "Page setup"
 msgstr "Configurar Página"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Perfil de &Saída:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Descrição do perfil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Perfil de &Entrada:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Margens"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Esquerda:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Inalterado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "Su&perior:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Direita:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "In&ferior:"
@@ -13838,7 +13854,7 @@ msgid "Edit the currently selected expre
 msgstr "Editar a expressão atualmente selecionada"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "A&lterar"
 
@@ -14664,74 +14680,73 @@ msgstr "Escolher arquivo para importar r
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Indefinido"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Ajustar '%s' para hoje"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Limpa '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr "Abrir item no editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Valores mudaram"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Você alterou os valores. Para usar este editor, você deve descartar ou aplicar suas alterações. Aplicar alterações?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " índice"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "A numeração de \"{0}\" contém um valor inválido que será substituído pelo padrão"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Aplicar alterações"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Limpa série"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Numera livros automáticamente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14739,44 +14754,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "Se não estiver marcado, o número de série para os livros será definido como 1. Se marcado, os livros selecionados serão numerados automaticamente, na ordem que você os selecionou. Então, se você selecionou Livro A e, em seguida, Livro B, Livro A terá o número de série 1 e Livro B o número de série 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Força o números a começarem com "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "Séries serão normalmente renumeradas a partir do maior número no banco de dados para aquela série. Marcando esta caixa você irá dizer pro calibre iniciar a numeração a partir do valor da caixa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "Quantidade utilizada para o incremento do número de série para livros sucessivos. Somente aplicável quando usar opção forçar números de série."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "A numeração de \"{0}\" contém valores inválidos que não aparecerão na lista"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Remover todas as etiquetas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "etiquetas para adicionar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "etiquetas para remover"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15482,11 +15497,11 @@ msgstr "Isso vai demorar um pouco, aguar
 msgid "Vacuuming..."
 msgstr "Aspirando..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Verifique a Biblioteca -- Foram encontrados problemas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15550,79 +15565,84 @@ msgid ""
 "        "
 msgstr "        <h1>Ajuda</h1>\n\n        <p>O calibre armazena a lista de seus livros e seus metadados em um\n        banco de dados. Os arquivos de livros atuais e capas são armazenados como arquivos\n        normais na pasta de bibliotecas do calibre. O banco de dados contém uma lista dos arquivos\n        e capas pertencentes a cada entrada do livro. Esta ferramenta verifica se os\n        arquivos atuais na pasta da biblioteca em seu computador coincide com as\n        informações no banco de dados.</p>\n\n        <p>O resultado de cada tipo de verificação é mostrada à esquerda. Os vários tipos\n        de verificação são:\n        </p>\n        <ul>\n        <li><b>Títulos inválidos</b>: Estes são os arquivos e pastas que aparecem\n        na biblioteca onde os títulos dos livros deveriam estar, mas que não têm a\n        forma correta de um título do livro.</li>\n        <li><b>Títulos extras</b>: São arquivos extras na biblioteca do calibre\n        que parecem ser títulos corretamente formados, mas não tem nenhum correspondente\n        nas entradas no banco de dados</li>\n        <li><b>Autores inválidos</b>: Estes são arquivos que aparecem\n        na biblioteca, onde apenas as pastas do autor devem estar.</li>\n        <li><b>Autores extras</b>: São pastas na\n        biblioteca do calibre que parecem ser autores, mas que não têm entradas\n        no banco de dados</li>\n        <li><b>Autores inválidos</b>: Estes são arquivos que aparecem\n        na biblioteca, onde apenas as pastas de autor devem estar.</li>\n        <li><b>Autores extras</b>: São pastas na\n        biblioteca do calibre que parecem ser autores, mas que não têm entradas\n        no banco de dados</li>\n        <li><b>Faltando formatos de livros</b>: São formatos de livros que estão no\n        banco de dados, mas não têm formato de arquivo correspondente na pasta do livro.\n        <li><b>Formatos de livros extras</b>: São arquivos em formato livro encontrados\n        na pasta do livro, mas não no banco de dados.\n        <li><b>Arquivos desconhecidos em livros</b>: Estes são arquivos extras na\n        pasta de cada livro que não correspondem a um formato conhecido ou arquivo\n        de capa.</li>\n        <li><b>Arquivos de capa ausentes</b>: Estes representam livros que estão marcados\n        no banco de dados como tendo capas, mas os arquivos de capa atuais estão\n        ausentes.</li>\n        <li><b>Arquivos de capa fora do banco de dados</b>: Estes são os livros que têm\n        arquivos de capa, mas são marcados como não tendo capas no banco de dados.</li>\n        <li><b>Pasta de exceção elevada</b>: Estas representam pastas na\n        biblioteca do calibre que não poderiam ser processadas/interpretadas por esta\n        ferramenta.</li>\n        </ul>\n\n        <p>Existem dois tipos de correções automáticas possíveis:<i>Apagar\n        marcado</i> e <i>Corrigir marcado</i>.</p>\n        <p><i>Apagar marcado</i> é usado para remover arquivos extras/pastas/capas que\n        não tenham entradas no banco de dados. Marque a caixa ao lado do item que você deseja\n        apagar. Use com cuidado.</p>\n\n        <p><i>Corrigir marcado</i> é aplicável apenas às capas e formatos ausentes\n        (as três linhas marcadas \"correção\"). No caso de arquivos de capa ausentes,\n        marcando a caixa de correção ​​e pressionando esse botão irá dizer ao calibre que\n        não existem capas para todos os livros listados. Use esta opção se você\n        não vai restaurar as capas de um backup. No caso de arquivos extras\n        de capa, marcando a caixa de correção ​​e pressionando esse botão irá dizer\n        ao calibre que os arquivos de capa encontrados estão corretos para todos os livros\n        listados. Utilize esta opção quando você não estiver apagando arquivo(s). Em\n        caso de formatos ausentes, marcando a caixa de correção ​​e pressionando este\n        botão irá dizer ao calibre que os formatos são realmente ausentes. Use isto se\n        você não está restaurando os formatos de um backup.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "Executa&r e verificar novamente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "&Copiar para a área de transferência"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "Termina&do"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Marcar tudo para apagar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Marcar todos os sub itens apagáveis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Apagar &marcados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Apagar arquivos marcados (subitens marcados)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Marcar tudo para corri&gir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Marcar todos os itens flexíveis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "Corri&gir marcadas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Corrigir seções marcadas (itens marcados corrigíveis)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Nomes para ignorar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Insira caracteres curinga padrão de nome de arquivo separados por vírgulas, como synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Extensões para ignorar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Insira extensões separadas por vírgulas, sem um ponto inicial. Usado apenas em pastas livro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(corrigível)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr "(deletável)"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Caminho na biblioteca"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15672,8 +15692,8 @@ msgstr "O local %s contém a biblioteca
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Local inválido"
 
@@ -16229,46 +16249,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (era %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "O item é branco"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Um item não pode ser nada. Invés disso apague-o."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Nenhum item selecionado"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Você precisa selecionar um ítem da lista de ítens Disponíveis."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Nenhum item selecionado"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Você deve selecionar ao menos um item da lista."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Tem certeza que deseja apagar os seguintes itens?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Editor de categorias"
 
@@ -16277,7 +16297,7 @@ msgid "Items in use"
 msgstr "Itens em uso"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16292,11 +16312,11 @@ msgstr "Renomear o item em cada livro on
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Este livro é protegido por DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16324,7 +16344,7 @@ msgid "Already in calibre:"
 msgstr "Já existentes no calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16349,28 +16369,28 @@ msgid "Change case"
 msgstr "Alterar maiúsculas e minúsculas"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Maiúsculas"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Minúsculas"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "iNVERTER"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16397,65 +16417,65 @@ msgstr "Nome de autor inválido"
 msgid "You cannot change an author to multiple authors."
 msgstr "Você não pode alterar um autor para vários autores."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Gerenciar autores"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "Bu&scar por:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr "P&esquisar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>Mostrar somente autores da\n          Biblioteca virtual atual. Edições já realizadas podem ser ocultadas mas\n          não serão esquecidas.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr "Apenas mostre autores na biblioteca &Virtual atual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr "Filtrar &por:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr "<p>Mostrar somente autores que contenham o texto nessa caixa de texto.\n          A combinação ignora maísculas/minúsculas.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr "Fi&ltro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Redefinir todos os valores de classificação de autor para um valor automaticamente\ngerado do autor. Como este valor é automaticamente gerado\nele pode ser controlado via Preferências->Avançado->Ajustes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "&Recalcular todos valores para ordenação de autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Copiar ordem do autor para o autor de cada autor. Você geralmente usa este botão \ndepois de alterar o Preferências->Avançado->Ajustes->Algoritmo da ordem do nome do autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "&Copiar todos os valores de ordenação para o autor"
 
@@ -16788,77 +16808,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Ocultar as %d mensagens de erro restantes"
 msgstr[1] "Ocultar as {} mensagens de erros restantes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Processando"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Processando %d livros, aguarde..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "Progresso atual: %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "etapa %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "todas minúsculas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "TODAS MAIÚSCULAS"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Todas As Palavras, Primeira Letra Maiúscula (Título)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Caractere encontrado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Expressão regular"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Substituir campo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Preceder ao campo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Anexar ao campo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Editando metadados para <b>%d livros</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Faz todas as mudanças automáticamente sem fechar a janela. Esta operação não pode ser cancelada ou desfeita."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Livro %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Entre um tipo de identificador"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16866,7 +16886,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Você pode destruir a sua biblioteca ao usar este recurso.</b> As alterações são permanentes, não há como desfazer. É altamente recomendado que você faça cópia de segurança de sua biblioteca antes de prosseguir.<p>Procurar e substituir em textos usando caracteres correspondentes ou expressões regulares. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16876,7 +16896,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "No modo de caractere, o campo é pesquisado pelo texto de pesquisa inserido. O texto é substituído pelo texto de substituição especificado em todos os lugares no campo especificado. Após a conclusão da substituição, o texto pode ser alterado para maiúsculas, minúsculas ou maiúsculas. Se a caixa de seleção Distinção entre maiúsculas e minúsculas estiver marcada, o texto da pesquisa deverá corresponder exatamente. Se estiver desmarcada, o texto da pesquisa corresponderá às letras maiúsculas e minúsculas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16891,80 +16911,80 @@ msgid ""
 "function."
 msgstr "No modo de expressão regular, o texto de pesquisa é uma expressão regular arbitrária compatível com Python. O texto de substituição pode conter referências anteriores para expressões entre parênteses no padrão. A pesquisa não está ancorada e pode corresponder e substituir várias vezes na mesma cadeia. As funções de modificação (minúsculas, etc) são aplicadas ao texto correspondente, não ao campo como um todo. A caixa de destino especifica o campo onde o resultado depois da correspondência e a substituição deve ser atribuído. Você pode substituir o texto no campo ou pré-anexar ou anexar o texto correspondente. Veja <a href=\"https://docs.python.org/library/re.html\">esta referência</a>para mais informações sobre expressões regulares do Python, e em particular a função 'sub'."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R erro de modelo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Você deve especificar um destino quando a origem é um campo composto ou um modelo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "O valor de substituição para uma coluna de classificação deve estar vazio ou um inteiro entre 0 e 10"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Você deve especificar um tipo de identificador de destino"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Você deve especificar uma expressão de busca no campo \"Buscar por\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "String de identificador inválida. Ela deve ser uma lista separada por vírgulas de pares de strings separadas por dois pontos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Buscar/substituir inválido"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Localizar/substituir é inválido: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Apaga a busca/substituição salva"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "A busca/substituição salva, selecionada será apagada. Você tem certeza?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Salvar busca/substituição"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Nome da busca/substituição:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "A busca/substituição salva, já existe e será substituída. Você tem certeza?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Editar informações"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr "A&plicar data"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16972,90 +16992,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Isto fará que o campo autor seja automaticamente atualizado\nbaseado no campos de autores para cada livro selecionado. Perceba que se\nvocê utilizar o controle acima para setar os autores, o campo autor é atualizado, independente do valor das caixas de seleção."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Definir a ordem do autor &automaticamente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "Tr&ocar título e autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Atualize ordem do título com base no título atual. Isso será aplicado somente após outras alterações para o título."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Atualizar ordenação do &título"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Alterar &capa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Gerar capa padrão"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Remover capa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Tentar detectar e remover automaticamente bordas e espaços extra\n das bordas de imagens da capa. Isso às vezes pode remover também\n com excesso, então use com cuidado."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "A&parar a capa (PERIGOSO)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "D&efinir a partir dos arquivos dos livros"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Definir as capas de todos os livros selecionados para\nserem iguais a do primeiro livro selecionado."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Clonar capas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Força o título a ter iniciais maiúsculas. Se este e troca de autores são verificados,\ntítulo e autor são trocados antes das iniciais maiúsculas serem definidas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Alterar Título para &maiúsculas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Data:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Se marcado, o editor será apagado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "&Limpar pub."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "P&ublicado:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17063,118 +17083,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Se não estiver marcado, o número de série para os livros será definido como 1.\nSe marcado, os livros selecionados serão numerados automaticamente, na ordem\nque você os selecionou. Então, se você selecionou Livro A e, em seguida, Livro B,\nLivro A terá o número de série 1 e Livro B o número de série 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "&Automaticamente enumere os livros da série"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Séries serão normalmente renumeradas a partir do maior número no banco de dados\npara aquela série. Marcando esta caixa você irá dizer pro calibre iniciar a numeração\na partir do valor da caixa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Forçar números a iniciar com:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Se marcado, as séries serão limpas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Limpar séries"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Controlar a forma como as capas geradas por padrão são criadas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Configurar geração de ca&pas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Definir os co&mentários para todos os livros selecionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Remover etiquetas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Remover &todos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Adicionar eti&quetas: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Especificar como o(s) autor(es) deste livro devem ser organizados. Por exemplo Charles Dickens deve ser organizado como Dickens,Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "&Aplicar avaliação"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Limpar data de publicação"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Idiomas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Lista separada por vírgulas das etiquetas para remover dos livros. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Abrir Editor de Etiquetas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Autor &ordenado: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Defina os metadados no calibre a partir dos metadados nos arquivos de e-book associados a cada livro. Note que isto não muda a capa, para isso, use a opção separada abaixo."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Definir &metadados (exceto capa) a partir dos arquivos dos livros"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Séries"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Remover configurações de conversão armazenadas para os livros selecionados.\nFuturas conversões desses livros irão usar as configurações padrão."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Remover configuraçõe&s de conversão armazenadas para os livros selecionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17183,152 +17203,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Ao fazer um mesmo formato para o mesmo conversão de formato,\npor exemplo, EPUB para EPUB, o calibre salva o original EPUB\n como ORIGINAL_EPUB. Essa opção informa ao calibre para restaurar\n o EPUB do ORIGINAL_EPUB. Útil se você fez a conversão\n de um grande número de livros e algo deu errado."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Restaurar pré conversão e &originais, se disponível"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Marque esta caixa para remover todas etiquetas dos livros."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "A&valiação"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Metadados &básicos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Metadados personali&zados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "&Carregar Procurar/Substituir:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Selecione busca/alteração salva para carregar."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Salvar atual busca/alteração"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "Sal&var"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Procurar campo:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "O nome do campo que você deseja procurar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Busca &modo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Escolha utilizar correspondência simples de texto ou busca por expressões regulares"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "T&ipo do Identificador:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Escolha quais tipos de identificadores iram operar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Modelo:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Insira o padrão que será utilizado no fonte para a busca/substituição"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Insira o que você está procurando, tanto um texto quanto uma expressão regular, dependendo do modo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Marque esta caixa se a frase buscada deve corresponder exatamente os caracteres maiúsculos e minúsculos. Desmarque se deseja ignorar estas variações."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Dif&erenciar maiúsculas e minúsculas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Substituir por:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "O texto que será substituído. O texto da busca marcada que será alterada com a string"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Aplicar função depois de alterar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Especifique como o texto deve ser processado após a combinação e substituição. No modo de caractere, o campo\ninteiro é processado. No modo de expressão regular, apenas o texto correspondente é processado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "Campo de &destino:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "O campo de texto que será colocado após todas as substituições.\n Se estiver em branco, o campo de origem é usado se o campo é modificável"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "M&odo:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Especificar como o texto deve ser copiado no destino."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Especifica se os itens de resultado devem ser divididos em vários valores ou\ndeixado como valores únicos. Esta opção tem maior efeito quando o campo de origem\nnão é múltiplo e o campo de destino é múltiplo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Dividir &resultado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Tipo do identificador:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17336,48 +17356,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Escolha qual tipo de identificador será operado. Quando o\n               campo de origem é algo diferente de \"identificadores\" você pode digitar\n               um * se você quiser substituir todo o conjunto de identificadores com\n               o resultado de buscar/substituir.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Para vários campos de valor, mos&trar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "Val&ores começando em:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "com valores separados p&or"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Usado ao exibir os resultados dos testes para separar valores em vários campos de valor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Testar texto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Resultado do teste"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Seu &teste:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "Bu&scar e substituir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Se ativado, a lista de livros será reclassificada e qualquer\npesquisa ou biblioteca virtual será atualizada após a edição\nestar completa. Isso pode ser lento em grandes bibliotecas."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "Atualiza&r lista de livros após editar"
 
@@ -18006,7 +18026,7 @@ msgstr "Busca salva inválida"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Gerenciar buscas salvas"
 
@@ -18666,76 +18686,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "O etiqueta atual da categoria será <p>permanentemente apagada</p>. Você tem certeza?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Editor de categorias de usuário"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "&Nome da categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Selecionar a categoria para editar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "Filtro de &categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Selecionar que tipo de conteúdo para nova categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr "&Filtro de item:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr "Digite o texto para filtrar os itens disponíveis. Maiúsculas e acentos são ignorados."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr "Excluir a categoria de tag atual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr "Digite um nome de categoria, quando usar o botão Adicionar ou o botão Renomear"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Adicionar uma nova categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Renomeie a categoria atual para o que está na caixa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr "<p>Mostrar itens na caixa de Itens Disponíveis apenas se eles aparecerem\n            na Biblioteca virtual atual. Itens aplicados que não estiverem na Biblioteca virtual serão marcados como\n            \"em nenhum livro\".</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr "Vi&sualizar apenas itens disponíveis na Biblioteca atual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "&Itens disponíveis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Aplicar etiquetas para a categoria de etiqueta atual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "&Itens aplicados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Desaplicar (remover) etiqueta da categoria de etiqueta atual"
 
@@ -18744,18 +18764,18 @@ msgid ""
 "If the item you want is not in the available list, you can add it here. "
 "Accepts an ampersand-separated list of items. The items will be applied to "
 "the book."
-msgstr ""
+msgstr "Se o item pretendido não estiver na lista disponível, você pode adicioná-lo aqui. Aceita-se uma lista de itens separados por ampersand (\"e\" comercial). Os itens serão aplicados ao livro."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor.py:48
 msgid ""
 "If the item you want is not in the available list, you can add it here. "
 "Accepts a comma-separated list of items. The items will be applied to the "
 "book."
-msgstr ""
+msgstr "Se o item pretendido não estiver na lista disponível, você pode adicioná-lo aqui. Aceita-se uma lista de itens separados por vírgula. Os itens serão aplicados ao livro."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor.py:123
 msgid "Deleting tags is done immediately and there is no undo."
-msgstr ""
+msgstr "A remoção de tags é feita imediatamente e não há volta."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor.py:137
 msgid "Are your sure?"
@@ -18767,121 +18787,121 @@ msgid ""
 "to delete them?"
 msgstr "As etiquetas a seguir são usadas por um ou mais livros. Você tem certeza que deseja excluí-las?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr "Gerencie itens"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr "&Adicione item"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr "Aplique o(s) item(s) ao livro selecionado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr "Filtre os itens disponíveis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr "Exclua o item do banco de dados. Isso removerá o item de todos os livros e em seguida o excluirá do banco de dados."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
-msgstr ""
+msgstr "Itens d&isponíveis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr "Aplique o item ao livro selecionado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
-msgstr ""
+msgstr "Desaplicar (remover) o item do livro atual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
-msgstr ""
+msgstr "Filtrar os itens aplicados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Contar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Foi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr "Editando..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Deseja realmente desfazer suas alterações?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Restaurar item?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Este item foi excluido. Deseja restaura-lo?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr "Pesquisar por um item na primeira coluna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr "Buscar itens contendo o texto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>Mostrar somente itens que apareçam na\n          Biblioteca virtual atual. Edições já realizadas podem ser ocultadas mas\n          não serão esquecidas.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr "Apenas mostre os itens da biblioteca &Virtual atual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr "&Filtrar por:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr "Filtrar itens usando o texto nesta caixa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr "Mostrar somente itens contendo este texto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr "F&iltro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
-msgstr ""
+msgstr "Renomear o item em todos os livros onde é usado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Desfazer qualquer exclusão ou edição das linhas selecionadas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19762,17 +19782,17 @@ msgstr "Layout"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Mostre e esconda várias partes da Janela principal do Calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Sem %s formato"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "O livro {0} não tem o formato {1}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Restaurar %s"
@@ -20053,21 +20073,11 @@ msgstr "Livro %(sidx)s de <span class=\"
 msgid "This book is on the device in %s"
 msgstr "Este livro está no dispositivo %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Definir data para indefinida"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Definir a data para hoje"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Definir para indefinido"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20411,7 +20421,7 @@ msgid ""
 msgstr "Caminho para o Calibre Portable (%s) muito longo. Deve ser menos que 59 caracteres."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Biblioteca do calibre"
 
@@ -20574,6 +20584,16 @@ msgstr "&Encerrar"
 msgid "Unhandled exception"
 msgstr "Exceção sem tratamento"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Definir data para indefinida"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Definir a data para hoje"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20853,7 +20873,7 @@ msgstr "&Editora"
 msgid "Clear publisher"
 msgstr "Limpar editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Limpar data"
 
@@ -20923,7 +20943,7 @@ msgid "Processed %s"
 msgstr "%s processado"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Campos de metadados para baixar"
 
@@ -21684,13 +21704,13 @@ msgid "&Automatic adding"
 msgstr "Adicionar &automaticamente"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Alta"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Baixa"
 
@@ -21715,80 +21735,80 @@ msgstr "Tudo em uma tab"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Confirmação de todas janelas de diálogo foram redefinidas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Notificar quando uma &nova versão estiver disponível"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Enviar automaticamente &notícias baixadas para o leitor de e-book"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Prioridade da tarefa:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr "Escolha um layout diferente para o diálogo Editar metadados. O layout compacto de metadados favorece a edição de metadados personalizados em variadas capas e formatos."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Ordem preferida dos formatos de &entrada:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "F&ormato de saída preferido:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "Editar metadados (simples) &layout:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Se marcada, colunas personalizadas Sim/Não podem ser Sim, Não ou Desconhecido.\nSe desmarcada, os valores podem ser Sim ou Não."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "Colunas de Sim/Não têm três valores (é preciso reiniciar)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Apagar notícias da biblioteca quando enviadas automaticamente para o leitor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "&Tempo padrão para expirar a rede:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Definir o tempo de espera padrão para buscas na rede (ou seja, a qualquer hora que procurar na internet por informações)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " segundos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr "Use esta Biblioteca virtual na inicialização do calibre se a biblioteca atual estiver sendo usada. Também aplicado ao alternar para esta biblioteca. Note que este ajuste é por biblioteca."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Restaurar todos os diálogos de &confirmação desativados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Usar &visualizador interno para:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Biblioteca Virtual para aplicar quando a bib&lioteca atual é aberta:"
 
@@ -22777,37 +22797,37 @@ msgid ""
 " effect.\n"
 msgstr "Copie esses valores para a área de transferência, cole-os em um editor, em seguida, insira-os no USER_DEVICE personalizando o plugin do dispositivo em Preferências-> Avançado -> Plugins. Lembre-se também de inserir as pastas onde deseja que os livros sejam colocados. Você deve reiniciar o calibre para que as alterações entrem em vigor. \n"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr "<p>O calibre pode enviar seus livros para você (ou seu leitor) por e-mail. As notícias baixadas serão automaticamente enviadas para todos os endereços de e-mail que foram marcados como <i>Envio Automático</i>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Adicionar um endereço de email para enviar livros"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Adicionar e-mail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Tornar &padrão"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Remover e-mail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Adicionar os comentários do metadados do livro para o e-mail.\nÚtil para permitir que o destinatário veja um resumo do\nlivro antes de abri-lo."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Adicionar metadados de &comentários como texto para o e-mail"
 
@@ -22944,8 +22964,8 @@ msgid "Create a new rule"
 msgstr "Criar nova regra"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
-msgstr ""
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
+msgstr "A chave do identificador. Por exemplo, em isbn:XXX, a chave é \"isbn\""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
 msgid "&Key:"
@@ -23082,7 +23102,7 @@ msgid "If there is enough room"
 msgstr "Se houver espaço suficiente"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Pela primeira letra"
 
@@ -23205,7 +23225,7 @@ msgid ""
 "sending to device etc. The notifications are sent via the operating system "
 "notification facility, if available. Note that on Windows, you have to "
 "enable the system tray icon for notifications to work."
-msgstr ""
+msgstr "Desativar notificações pop-up quando o calibre conclui tarefas como uma conversão, envio para dispositivo etc. As notificações são enviadas por meio do recurso de notificação do sistema operacional, se disponível. Observe que, no Windows, você precisa ativar o ícone da bandeja do sistema para que as notificações funcionem."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:580
 msgid "Disable n&otifications on job completion"
@@ -23353,7 +23373,7 @@ msgid "Caching of covers for improved pe
 msgstr "Armazenar capas em cache para melhor desempenho"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Desativar"
 
@@ -23748,86 +23768,86 @@ msgstr "Nenhuma fonte selecionada"
 msgid "No source selected, cannot configure."
 msgstr "Nenhuma fonte selecionada, não é possível configurar."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Fontes dos metadados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr "Desative as fontes de metadados que você não quer usar, desmarcando-as. Você também pode definir a prioridade de capa. Capas de fontes que possuem uma prioridade maior (menor) serão preferidas quando forem baixados metadados em lote."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Fontes com um X vermelho ao lado de seus nomes devem ser configuradas antes de serem usadas. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "C&onfigurar a fonte selecionada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Se você desmarcar todos os campos, os metadados para esses campos não serão baixados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Selecionar todos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr "Sele&cionar nenhum"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Restaure seu próprio subconjunto de campos marcados que você definiu usando o botão 'Definir como padrão'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr "Selecionar pa&drão"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Armazenar os campos atualmente marcados como padrão, você pode aplicar rapidamente usando o botão 'Selecionar padrão'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Definir como padrão"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Converter comentários baixados em &texto sem formatação"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Trocar nomes de autores de PN SN para SN, PN"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Ao baixar comentários, anexar os comentários baixados a qualquer comentário existente, em vez de substituí-los."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "<p>Ao baixar comentários, anexar os comentários baixados a qualquer comentário existente, em vez de substituí-los."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Anexar comentários ao &existente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23836,47 +23856,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr "<p>Normalmente, o sistema de download de metadados mantém apenas um único resultado por fonte de metadados. Esta opção fará com que ele mantenha todos os resultados obtidos de cada fonte de metadados. Útil se você usa apenas uma ou duas fontes e quer selecionar resultados individuais manualmente. Note que resultados com título/autor/identificador idênticos ainda serão fundidos."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "Manter mais de uma entrada por fonte"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Fontes de metadados diferentes têm conjuntos de etiquetas diferentes para o mesmo livro. Se esta opção for marcada, então o calibre irá usar conjuntos pequenos de etiquetas. Estas tendem a ser mais como gêneros, enquanto o conjunto maior de etiquetas tende a descrever o conteúdo dos livros.\n<p>Note que esta opção só fará diferença na prática se uma das fontes de metadados tem um conjunto de etiquetas do tipo gênero para o livro que você está buscando. Na maioria dos casos, todas têm conjuntos de etiquetas grandes."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Preferir conjuntos de etiquetas menores ao escolher etiquetas de diferentes fontes de metadados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Pre&ferir menos etiquetas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Criar &regras para filtrar/transformar tags"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "Criar regras para &transformar nomes de autores"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "&Número máximo de tags para baixar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "&Tempo máx. de espera após encontrar 1ª ocorrência:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " segundos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Tempo máx. de espera após encontrar 1ª &capa:"
 
@@ -25422,7 +25442,7 @@ msgid "Paste and &search"
 msgstr "Colar e bu&scar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "Co&lar"
@@ -26324,23 +26344,23 @@ msgstr "A categoria de ususário %s não
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:292
 msgid "Children"
-msgstr ""
+msgstr "Crianças"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:292
 msgid "Item"
-msgstr ""
+msgstr "Item"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:298
 #, python-format
 msgid ""
 "%s and its children will be deleted from books in the Virtual library. Are "
 "you sure?"
-msgstr ""
+msgstr "%s e suas filhas serão deletadas dos livros na Biblioteca virtual. Você tem certeza?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:301
 #, python-format
 msgid "%s and its children will be deleted from all books. Are you sure?"
-msgstr ""
+msgstr "%s e suas filhas serão deletadas de todos os livros. Você tem certeza?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:306
 #, python-format
@@ -26442,156 +26462,156 @@ msgstr "Gerenciar autores, etiquetas, et
 msgid ""
 "All of these category_managers are available by right-clicking on items in "
 "the Tag browser above"
-msgstr ""
+msgstr "Todos esses category_managers estão disponíveis clicando com o botão direito sobre os itens no Navegador de etiquetas acima"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:654
 msgid "'Click' found item"
 msgstr "'Clique' procurar item"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Alterar ícone para: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr "Renomear %s na Biblioteca virtual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Renomear %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr "Deletar %s da Biblioteca virtual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Apagar %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Editar ordem por %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Editar link para %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "Adicionar %s para a categoria do usuário"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Filhos de %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr "Aplicar %s aos livros selecionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr "Adicionar %s aos livros selecionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr "Remover %s dos livros selecionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
-msgstr ""
+msgstr "Deletar Buscas salvas %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Apagar %(item)s da categoria %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Buscar tudo menos %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "Pesquisar utilizando expressões de buscas salvas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Adicionar sub-categoria para %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Apagar categoria de usuário %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Ocultar categoria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Mostrar categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Buscar livros na categoria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Buscar livros que não estejam na categoria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Alterar ícone de categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Restaurar ícone padrão"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Gerenciar categorias do usuário"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Mostrar todas as categorias"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Alterar esquema de subcategorização"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Partição"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "A primeira letra é útil apenas na ordenação por nome"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "E&xpandir todas as secundárias"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Recolher todos os níveis"
 
@@ -27261,7 +27281,7 @@ msgid "The Qt WebEngine Render process c
 msgstr "O processo do Qt WebEngine Render travou e foi reiniciado"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Alterações não salvas"
 
@@ -27668,12 +27688,12 @@ msgid ""
 msgstr "O arquivo %s não existe. Se você estava tentando clicar em um item no Índice, você pode precisar atualizá-lo clicando com o botão direito e escolhendo \"Atualizar\"."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Formato de arquivo não suportado"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "A edição de tipos de arquivo %s não é suportada"
@@ -27731,76 +27751,76 @@ msgid "Import"
 msgstr "Importar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Antes: Substituir %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Você deve abrir um livro antes de visualizar o relatório."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Você deve primeiro abrir um livro, para verificar os links."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Você deve primeiramente abrir um livro para comprimir as imagens."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Antes: comprimir as imagens"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Erro inesperado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Falha ao importar dados. Clique em \"Exibir detalhes\" para obter mais informações."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Não foi possível decodificar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Não é possível editar %s, uma vez que parece estar em uma codificação desconhecida de caracteres"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Nenhum livro está aberto no momento. Você deve primeiro abrir um livro para ser editado."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "O livro atual está sendo salvo em segundo plano. Encerrar agora irá <b>abortar o processo de salvamento</b>! Concluir o salvamento primeiro?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Encerrar imediatamente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Concluir o &salvamento primeiro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Existem alterações não salvas, se você sair sem salvar, você vai perdê-las."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Salvar e Encerrar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Encerrar sem salvar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Salvando, aguarde..."
 
@@ -31203,18 +31223,18 @@ msgstr[1] "{} desabilitado  confirmaçõ
 msgid "Disabled confirmations restored"
 msgstr "Confirmações desabilitadas restauradas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr "O processo do renderizador travou"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr "O processo do Qt WebEngine Render travou, então 'Visualizar arquivo' / 'Live CSS' não irão funcionar. Você deve tentar reiniciar o editor."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31228,70 +31248,70 @@ msgid ""
 "            "
 msgstr "\n            <h3>Pré-visualização simultânea</h3>\n\n            <p>Aqui você terá, de forma simultânea, uma pré-visualização do HTML que está sendo editado.\n            A pré-visualização será atualizada automaticamente na medida que você faz mudanças.\n\n            <p style=\"font-size:x-small; color: gray\">Observe que essa é apenas uma rápida amosta\n            não tem a intenção de simular um leitor de ebook verdadeiro. Alguns\n            aspectos do seu ebook não funcionarão, tais como quebras de página e as margens da página.\n            "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Inspetor de elemento"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Abrir link"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Editar %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Buscar na visualização"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Localização inválida"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Não foi possível dividir na tag 'body'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Falha ao carregar operador"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Falha ao iniciar o processo de trabalho usado para renderizar a visualização"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Não foi possível desativar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Recarregamento automático do painel de pré-visualização não pode ser desativado quando o painel Live CSS está aberto."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Recarregar automaticamente a visualização ao alterar o texto no editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Desativar recarregar automaticamente da visualização"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Desativar a sincronização da posição da visualização para a posição do editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Ativar a sincronização da posição da visualização para a posição do editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Abortar a divisão do arquivo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34001,7 +34021,7 @@ msgstr "Escolha o tipo de pesquisa: <ul>
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/search.py:382
 msgid "Go back to where you were before searching"
-msgstr ""
+msgstr "Voltar para onde você estava antes da pesquisa"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/search.py:576
 msgid "Table of Contents section:"
@@ -34189,15 +34209,15 @@ msgstr "Ocultar esta barra de rolagem"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:303
 msgid "Search :: no matches"
-msgstr ""
+msgstr "Busca :: nenhuma correspondência"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:305
 msgid "Search :: one match"
-msgstr ""
+msgstr "Busca :: uma correspondência"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:307
 msgid "Search :: {} matches"
-msgstr ""
+msgstr "Busca :: {} correspondências"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:371
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:385
@@ -34239,13 +34259,13 @@ msgstr "Carregamento do livro falhou"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Falha ao abrir o livro em {0}. Clique em \"Mostrar detalhes\" para mais informações."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "O processo Qt WebEngine Render travou. Você deve tentar reiniciar o visualizador."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "Escolha uma imagem de fundo"
 
@@ -34280,121 +34300,125 @@ msgstr "Ocultar {}"
 msgid "Show {}"
 msgstr "Mostrar {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Escolher &cor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Escolher uma cor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Recor&tar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "Passo para &cima"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "Passo para &baixo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Sem avaliação"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:71
 msgid "Smartphone"
-msgstr ""
+msgstr "Smartphone"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:78
 msgid "iPad like tablet"
-msgstr ""
+msgstr "Tablet como o iPad"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:87
 msgid "Kindle Basic (all models)"
-msgstr ""
+msgstr "Kindle Basic (todos os modelos)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:119
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:225
 #, python-brace-format
 msgid "{0} and {1}"
-msgstr ""
+msgstr "{0} e {1}"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:140
 msgid "All other SONY devices"
-msgstr ""
+msgstr "Todos os outros dispositivos SONY"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:147
 msgid "Kobo and Kobo Touch Readers"
-msgstr ""
+msgstr "Leitores Kobo e Kobo Touch"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:155
 msgid "Kobo Vox, Aura and Glo families"
-msgstr ""
+msgstr "Famílias Kobo Vox, Aura e Glo"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:289
 msgid "PocketBook 360 and newer models"
-msgstr ""
+msgstr "PocketBook 360 e modelos mais novos"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:328
 msgid "Android phone"
-msgstr ""
+msgstr "Celular Android"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:345
 msgid "Android tablet"
-msgstr ""
+msgstr "Tablet Android"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:352
 msgid "Android phone with Kindle reader"
-msgstr ""
+msgstr "Celular Android com leitor Kindle"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:368
 msgid "Android tablet with Kindle reader"
-msgstr ""
+msgstr "Tablet Android com leitor Kindle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr "Genérico"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Escolha o seu dispositivo de livros digitais. Se o seu dispositivo não estiver na lista, escolha o dispositivo \"%s\"."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "Se você está movendo o calibre de um computador para outro, por favor leia <a href=\"{0}\">as instruções</a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Escolha o local para os livros"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Falha ao criar pasta em %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Você deve escolher uma pasta vazia para a biblioteca do calibre. %s não está vazia."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "Segui&nte >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Voltar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34402,15 +34426,15 @@ msgstr "< &Voltar"
 msgid "Cancel"
 msgstr "Cancelar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Concluir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Enviar (Commit)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Bem-vindo ao Wizard"
 
@@ -34418,7 +34442,7 @@ msgstr "Bem-vindo ao Wizard"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Bem-vindo ao calibre"
@@ -34426,7 +34450,7 @@ msgstr "Bem-vindo ao calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Aqui você encontra tudo o que precisa para e-books."
@@ -34441,7 +34465,7 @@ msgstr "&Dispositivos"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Página do Assistente"
@@ -34479,17 +34503,17 @@ msgstr "<p>calibre pode enviar livros po
 msgid "&Kindle email:"
 msgstr "&Kindle e-mail:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Escolha seu &idioma:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Escolher um local para seus livros. Quando você adiciona livros ao calibre, eles serão copiados nele. Use uma <b>pasta vazia</b> para uma nova biblioteca do calibre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37075,6 +37099,27 @@ msgstr "check_yes_no(nome_do_campo, é_i
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no requer que o campo seja uma coluna personalizada do tipo Sim/Não (Yes/No)"
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr "rating_to_stars(valor, use_half_stars) -- Retorna a avaliação como uma cadeia de caracteres de estrela. O valor é um número entre 0 e 5. Defina use_half_stars como 1 se você deseja caracteres de meia estrela para avaliações personalizadas que suportam não-inteiros, por exemplo 2.5."
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr "A avaliação deve ser um número entre 0 e 5"
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr "swap_around_articles(valor, separador) -- retorna o valor com os artigos movidos para o final. O valor pode ser uma lista, a qual terá cada membro processado. Se o valor é uma lista, então você deve informar o separador de valores. Se nenhum separador for fornecido, então o valor será tratado como sendo um único valor, e não uma lista."
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "Imagem não nomeada"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/pt.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/pt.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/pt.po	2020-07-02 04:02:36.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/pt.po	2020-07-16 16:39:47.000000000 +0000
@@ -27,8 +27,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-07-01 15:28+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 12:02+0000\n"
 "Last-Translator: Paulo Pereira <pauloizidoro@gmail.com>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
@@ -226,7 +226,7 @@ msgstr "Não faz absolutamente nada"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -238,12 +238,12 @@ msgstr "Não faz absolutamente nada"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1153,9 +1153,9 @@ msgstr "Catálogo"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1180,7 +1180,7 @@ msgstr "Caminho para a biblioteca ({0})
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1242,7 +1242,7 @@ msgstr "Pesquisas guardadas"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2855,8 +2855,8 @@ msgstr "A obter a lista de livros no dis
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2865,8 +2865,8 @@ msgstr "A apagar os livros da listagem d
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3209,7 +3209,7 @@ msgstr "Indicar um modelo a ser usado pa
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Editar modelo"
@@ -3322,7 +3322,7 @@ msgid "Communicate with MTP devices"
 msgstr "Comunicar com dispositivos MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "A recolher dados do dispositivo..."
@@ -3349,8 +3349,8 @@ msgid "Finished reading metadata from de
 msgstr "A leitura de metadados do dispositivo está concluída"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3738,61 +3738,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr "Ignorar espaço livro do dispositivo"
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr "Marque esta caixa para ignorar a quantidade de espaço livre relatada pelos seus dispositivos. Isto pode ser necessário se você armazenar livros num cartão SD e o dispositivo não tiver muita da memória principal livre."
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Demasiadas tentativas de ligação do %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "A aplicação no seu dispositivo é demasiado antiga e já não é suportada. Atualize para uma versão mais recente."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Tem formatos de livros na sua biblioteca com datas no futuro. Verifique no Calibre para mais detalhes"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "A coluna de leitura de sincronização %s não está na biblioteca do Calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "A coluna de leitura de sincronização %s não é uma coluna Sim/Não"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "A coluna de sincronização da data de leitura %s não está na biblioteca do Calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "A coluna de sincronização da data de leitura %s não é uma coluna de data"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Má definição de qualidade de compressão. Tem que ser definida entre 50 e 99. Forçado a ser %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Porta inválida, nas opções: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Falha ao ligar à porta %d. Tente um outro valor."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Falha ao alocar uma porta aleatória"
 
@@ -6226,7 +6237,7 @@ msgstr "Extrair formatos conhecidos de e
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Não"
 
@@ -6249,7 +6260,7 @@ msgid "Producer"
 msgstr "Produtor"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6515,103 +6526,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Imagens Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Obter metadados e capas da Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "EUA"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "França"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Alemanha"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "GB"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Austrália"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Itália"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japão"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Espanha"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brasil"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Holanda"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "China"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Canadá"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Escolher servidor automaticamente"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr " Servidor Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Pesquisar cache do Bing"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Pesquisar cache do Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Cache da Wayback machine (lento)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Sítio nacional Amazon a usar:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Os metadados da Amazon vão ser pesquisados usando o sítio Amazon deste país."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Servidor de onde obter informação:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Usar MOBI-ASIN para encontrar metadados"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6619,7 +6630,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "O pedido à Amazon está a demorar demasiado. Tente mais tarde."
 
@@ -7367,7 +7378,7 @@ msgstr "O item {0} está presente mais q
 msgid ""
 "There is more than one <meta name=\"cover\"> tag defined. There should be "
 "only one."
-msgstr "Existe mais de uma etiqueta <meta name=\"cover\"> definida. Deve haver apenas uma."
+msgstr "Existe mais de uma etiqueta <meta name=\"cover\"> definida. Deve existir apenas uma."
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/check/opf.py:211
 msgid "Remove all but the first meta cover tag"
@@ -8508,7 +8519,7 @@ msgstr "Nenhum ficheiro copiado para a 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8986,7 +8997,7 @@ msgstr "A pasta %s já existe. Apague-a
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Demasiado longo"
 
@@ -9031,7 +9042,7 @@ msgstr "A biblioteca %s foi removida do
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9083,7 +9094,7 @@ msgstr "Não foram encontrados erros na
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9238,7 +9249,7 @@ msgid "Browse for library"
 msgstr "Pesquisar biblioteca"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Copiar"
@@ -9278,7 +9289,7 @@ msgstr "{0} por {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Selecionar &todos"
 
@@ -10174,7 +10185,7 @@ msgid "Move to next highlighted match"
 msgstr "Mover para o resultado realçado seguinte"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10543,7 +10554,7 @@ msgstr "Reiniciar em modo de depuração
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/preferences.py:57
 msgid "Cannot configure while there are running jobs."
-msgstr "É impossível configurar enquanto estiverem processos em execução."
+msgstr "É impossível configurar enquanto existirem processos em execução."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/preferences.py:61
 msgid "Cannot configure before calibre is restarted."
@@ -10776,7 +10787,7 @@ msgid "this book"
 msgstr "este livro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Pesquisar por %s"
@@ -10987,7 +10998,7 @@ msgstr "&Pré-visualizar livro"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11435,8 +11446,8 @@ msgstr "Alterar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11565,42 +11576,47 @@ msgid "Search the internet for this book
 msgstr "Pesquisar na Internet por este livro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Gerir %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr "Encontrar %s no navegador de etiquetas"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Eliminar o formato  %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Exportar o formato %s "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Restaurar o formato %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Definir a capa do livro a partir do ficheiro %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Comparar com o formato %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11609,112 +11625,112 @@ msgstr "Comparar com o formato %s"
 msgid "Open %s with..."
 msgstr "Abrir %s com..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Adicionar outra aplicação para abrir ficheiros %s ..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Editar as aplicações para abrir com..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Editar %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Copiar caminho para o ficheiro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr "&Copiar ligação de autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Pesquisar no Calibre por %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Copiar caminho"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr "&Copiar identificador"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Remover %s deste livro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Copiar &todos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Copiar local da hiperligação"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr "Abrir a janela de detalhes do livro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Abrir capa com..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Adicionar outra aplicação para abrir a capa..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Colar capa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Copiar capa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Exportar capa para disco"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "&Remover capa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Gerar capa a partir dos metadados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Escolher local para guardar capa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "Imagens JPEG"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Duplo clique para abrir a janela de detalhes do livro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Local"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11722,7 +11738,7 @@ msgstr "Local"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Tamanho da capa: %(width)d x %(height)d píxeis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Editar identificadores deste livro"
 
@@ -11791,7 +11807,7 @@ msgstr "ficheiro de destino"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11809,11 +11825,11 @@ msgstr "ficheiro de destino"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11952,7 +11968,7 @@ msgid "Preset name:"
 msgstr "Nome do perfil:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Tem de indicar um nome."
 
@@ -11987,7 +12003,7 @@ msgstr "Verdadeiro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12034,8 +12050,8 @@ msgid "Delete current preset"
 msgstr "Apagar perfil atual"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Apagar"
 
@@ -12147,22 +12163,22 @@ msgstr "Repor as predefinições"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12390,7 +12406,7 @@ msgstr "Cabeçalho {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12865,10 +12881,10 @@ msgstr "C&have do tamanho de letra:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13300,7 +13316,7 @@ msgid "Change the title of this book"
 msgstr "Alterar o título deste livro"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Autores: "
 
@@ -13315,7 +13331,7 @@ msgid ""
 msgstr "Altere o(s) autor(es) deste livro. Múltiplos autores devem ser separados por vírgula"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Editora: "
 
@@ -13324,7 +13340,7 @@ msgid "Ta&gs: "
 msgstr "Eti&quetas: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13339,8 +13355,8 @@ msgstr "&Séries:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Lista de séries conhecidas. Pode adicionar uma nova série."
@@ -13407,45 +13423,45 @@ msgstr "Tamanho do ecrâ: %s"
 msgid "Page setup"
 msgstr "Configuração de página"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Perfil de dispositiv&o de destino:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Descrição do perfil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Perfil de dispositivo de or&igem:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Margens"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Esquerda:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Não modificado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Superior:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "Di&reita:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Inferior"
@@ -13791,7 +13807,7 @@ msgid "Edit the currently selected expre
 msgstr "Editar a expressão atualmente selecionada"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Alterar"
 
@@ -14617,74 +14633,73 @@ msgstr "Escolher um ficheiro de onde imp
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Não definido"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Definir  '%s' para hoje"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Limpar '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr "Abrir editor de item"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Valores mudaram"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Alterou os valores. Para usar este editor, deve descartar ou aplicar estas alterações. Aplicar alterações?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " índice:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "A numeração de \"{0}\" contém um valor inválido que será substituído pelo predefinido."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Aplicar alterações"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Limpar séries"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Numerar livros automaticamente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14692,44 +14707,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "Se não assinalado, o número de série para os livros será definido como 1. Se assinalado, os livros selecionados serão numerados automaticamente, pela ordem em que os selecionou. Assim, se selecionou Livro A e, em seguida, Livro B, o Livro A terá o número de série 1 e Livro B o número de série 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Forçar números a começar com "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "As séries são normalmente renumeradas a partir do número mais alto dessa série já existente na base de dados. Ao assinalar esta caixa irá dizer ao Calibre para iniciar a numeração a partir do valor indicado na caixa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "A numeração de \"{0}\" contém valores inválidos que não aparecerão na lista."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Remover todas as etiquetas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "Etiquetas a adicionar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "etiquetas a remover"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -14881,7 +14896,7 @@ msgstr "Erro ao comunicar com o disposit
 msgid ""
 "There was a temporary error talking to the device. Please unplug and "
 "reconnect the device or reboot."
-msgstr "Houve um erro temporário comunicando com o dispositivo. Desconete e reconecte o dispositivo ou reinicie."
+msgstr "Ocorreu um erro temporário ao comunicar com o dispositivo. Desligue e religue o dispositivo ao Calibre ou reinicie o dispositivo."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1085
 msgid "Device: "
@@ -15435,11 +15450,11 @@ msgstr "Isto irá demorar um pouco. Agua
 msgid "Vacuuming..."
 msgstr "A esvaziar..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Verificar biblioteca - Problemas encontrados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15503,79 +15518,84 @@ msgid ""
 "        "
 msgstr "        <h1>Ajuda</h1>\n\n<p>O Calibre armazena a lista dos seus livros e respetivos metadados numa base de dados. Os ficheiros de livros e suas capas são armazenados como ficheiros normais na pasta de bibliotecas do Calibre. A base de dados contém uma lista dos ficheiros e capas pertencentes a cada registo de livro. \nEsta ferramenta verifica se os ficheiros atuais na pasta da biblioteca no seu computador coincidem com as informações na base de dados.</p>\n<p>O resultado de cada tipo de verificação é mostrada à esquerda. Os vários tipos de verificação são: </p>\n<ul>\n <li><b>Títulos inválidos</b>: São os ficheiros e pastas que aparecem na biblioteca onde devem estar os títulos dos livros mas que não têm a forma correta de um título de livro.</li>\n<li><b>Títulos extras</b>: São ficheiros extras na biblioteca do Calibre que parecem ser títulos corretamente formados mas não têm entradas correspondentes na base de dados</li>\n<li><b>Autores inválidos</b>: São ficheiros que aparecem na biblioteca mas onde apenas deveriam estar pastas de autor.</li>\n<li><b>Autores extra</b>: São pastas na biblioteca do Calibre que parecem ser de autores mas que não têm entradas correspondentes na base de dados</li>\n<li><b>Formatos de livro em falta</b>: São formatos de livros registados na base de dados mas que não têm o ficheiro do formato correspondente na pasta do livro.\n<li><b>Formatos extra de livro</b>: São ficheiros de formato livro encontrados na pasta do livro mas não na base de dados.\n<li><b>Ficheiros desconhecidos em livros</b>: São ficheiros extra na pasta de cada livro que não correspondem a um formato conhecido ou ficheiro de capa.</li>\n<li><b>Ficheiros de capa ausentes</b>: Representam livros que estão marcados na base de dados como tendo capas mas em que os ficheiros de capa estão ausentes na pasta do livro.</li>\n<b><li>Ficheiros de capa ausentes da base de dados</li>: São livros que têm ficheiros de capa na pasta mas estão marcados como não tendo capas na base de dados.</b>\n<b><li>Pasta de exceção elevada</li>: Representam pastas na biblioteca do Calibre que não podem ser processadas/interpretadas por esta ferramenta.</b>\n</ul>\n <p>Existem dois tipos de correções automáticas possíveis:<i>Apagar marcados</i> e <i>Corrigir marcados</i>.</p>\n<p><i>Apagar marcados</i> é usado para remover ficheiros extras/pastas/capas que não tenham entradas na base de dados. Marque a caixa ao lado do item que deseja apagar. Utilize com cuidado.</p>\n<p><i>Corrigir marcados</i> é aplicável apenas às capas e formatos ausentes (as três linhas marcadas \"corrigível\"). No caso de ficheiros de capa ausentes, marcando a caixa de correção ​​e carregando nesse botão irá indicar ao Calibre que não existem capas para todos os livros listados. Use esta opção se não está a tentar restaurar capas de uma cópia de segurança. No caso de ficheiros extra de capa, marcando a caixa de correção ​​e carregando nesse botão irá indicar ao Calibre que os ficheiros de capa encontrados estão corretos para todos os livros listados. Utilize esta opção quando não pretender apagar os ficheiros. No caso de formatos ausentes, marcando a caixa de correção ​​e carregando nesse botão irá indicar ao Calibre que os formatos estão realmente em falta. Use isto se não está a tentar restaurar os formatos de uma cópia de segurança.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Correr a verificação novamente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Copiar para a área de &transferência"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Concluído"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "M&arcar todos para eliminação"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Marcar todos os subitens elimináveis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Eliminar &marcado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Apagar ficheiros marcados (subitens marcados)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "&Marcar todos para correção "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Marcar todos os itens corrigíveis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&Corrigir marcado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Corrigir secções marcadas (itens corrigíveis marcados)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Nomes a ignorar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Introduza curingas para nomes de ficheiros universais separados por vírgulas, como por exemplo synctoy*.dat."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Extensões a ignorar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Introduza as extensões, sem ponto, e separadas por vírgulas. Apenas será utilizada em pastas de livros."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(reparável)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr "(eliminável)"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Caminho da biblioteca"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15625,8 +15645,8 @@ msgstr "O caminho %s contém a atual bib
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Caminho não válido"
 
@@ -16182,46 +16202,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (era %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Item está em branco"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Um item não pode ser definido para nada. Em vez disso apague-o."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Nenhum item selecionado"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Deve selecionar um item da lista de itens Disponíveis"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Nenhum item selecionado"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Deve selecionar pelo menos um item da lista."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Tem certeza que deseja apagar os seguintes itens?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Editor de categorias"
 
@@ -16230,7 +16250,7 @@ msgid "Items in use"
 msgstr "Itens em uso"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16245,11 +16265,11 @@ msgstr "Renomear o item em cada livro on
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Este livro tem DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16277,7 +16297,7 @@ msgid "Already in calibre:"
 msgstr "Já no Calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16302,28 +16322,28 @@ msgid "Change case"
 msgstr "Alterar maiusculização"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Em maiúsculas"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Em minúsculas"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Inverter maiusculização"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16350,65 +16370,65 @@ msgstr "Nome de autor inválido"
 msgid "You cannot change an author to multiple authors."
 msgstr "Você não pode alterar um autor para múltiplos autores."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Gerir autores"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Pesquisar por:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr "P&esquisar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr "Mostrar apenas etiquetas da biblioteca &virtual atual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr "Fil&trar por:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr "Fi&ltrar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Repor todos os valores de alfabetação de autor para um valor criado automaticamente a partir do campo autor.\nA forma como o valor é gerado automaticamente pode ser controlado em Preferências->Avançado->Ajustes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "&Recalcular todos os valores de alfabetação de autores"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Copiar do campo Autor alfabetado para o campo Autor em cada autor. \nGeralmente, usará este botão depois de alterar Preferências->Avançado->Ajustes->Algoritmo de alfabetação de autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "&Copiar todos os valores de Autor alfabetado para Autor"
 
@@ -16741,77 +16761,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Esconder a mensagem de erro que falta"
 msgstr[1] "Esconder as {} restantes mensagens de erro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "A trabalhar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "A processar %d livros. Aguarde..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "Passos - execução atual: %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Passo %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Em minúsculas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Em maiúsculas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Maiusculização de título"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Corresponder caracteres"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Expressão regular"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Substituir campo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Adicionar campo ao início"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Adicionar campo ao fim"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "A editar metadados para <b>%d livros</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Aplicar todas as alterações imediatamente sem fechar essa caixa de diálogo. Esta operação não pode ser cancelada ou desfeita."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Livro %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Inserir um tipo de identificador"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16819,7 +16839,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Atenção que pode destruir a sua Biblioteca ao usar esta funcionalidade.</b> As alterações efetuadas são permanentes. NÃO existe função DESFAZER. É altamente recomendável que crie uma cópia de segurança da sua Biblioteca antes de proceder às alterações.<p>Procurar e substituir dados em capos de texto usando correspondências de caracteres ou expressões regulares. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16829,7 +16849,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "No modo de caracteres, o campo será pesquisado pelo texto de pesquisa inserido. O texto será alterado pelo texto de substituição especificado onde quer que seja encontrado no campo especificado. Após a substituição ser concluída, o texto pode ser alterado para tudo em maiúsculas, tudo em minúsculas, ou maiusculização de título. Se a caixa de seleção sensível a maiúsculas estiver marcada, o texto de pesquisa terá de corresponder exatamente à expressão. Se estiver desmarcada, o texto de pesquisa irá listar termos com maiúsculas ou minúsculas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16844,80 +16864,80 @@ msgid ""
 "function."
 msgstr "No modo de expressão regular, o texto de pesquisa é uma expressão regular arbitrária compatível com Python. O texto de substituição pode conter referências anteriores para expressões em parêntesis no padrão. A pesquisa não está ancorada, e pode combinar e substituir várias vezes na mesma string. As funções de modificação (para letras minúsculas, etc) são aplicadas ao texto correspondente, não ao campo como um todo. A caixa de destino especifica o campo onde o resultado, depois da combinação e substituição, deve ser atribuído. Pode substituir o texto no campo, preceder ou anexar o texto correspondente. Veja <a href=\"https://docs.python.org/library/re.html\"> esta referência</a> para mais informações sobre expressões regulares do Python, e, em particular, a função 'sub'."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "ERRO S/R NO MODELO"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Tem de especificar um destino quando a fonte é um campo composto ou um modelo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "O valor de substituição para uma coluna de classificação deve estar vazio ou ser um número inteiro entre 0 e 10"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Tem de especificar um tipo de identificador de destino"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Deve especificar uma expressão no campo \"Pesquisar por\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Identificador inválido. Tem de ser uma lista separada por vírgulas de pares de valores separados por dois pontos."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Pesquisar/Substituir inválido"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Pesquisar/Substituir é inválido: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Eliminar pesquisas/substituições guardadas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "A pesquisa/substituição guardada selecionada será eliminada. Tem a certeza que quer continuar?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Guardar pesquisa/substituição"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Nome da pesquisa/substituição:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "A pesquisa/substituição guardada, já existe e será sobrescrita. Tem certeza que quer continuar?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Editar informações de metadados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr "A&plicar data"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16925,90 +16945,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Definir a&utomaticamente o campo Autor alfabetado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "&Trocar título e autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Atualizar alfabetação de título baseada no título atual. Isto será aplicado só depois de outras alterações ao título."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Atualizar alfabetação do &título"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Mudar a &capa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Gerar capa predefinida"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Remover capa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Tente detetar e remover automaticamente as bordas e os espaços extra\n para os cantos das imagens de capa. Isto pode por vezes remover demasiado\n ,por isso use com cuidado."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "A&justar capa (PERIGOSO)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "Obter de fich&eiros do livro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Definir as capas de todos os livros selecionados para\nserem idênticas à do primeiro livro selecionado."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Clonar capas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Forçar o título a ter maiusculização do tipo título. Se isto e a troca de autores estiverem assinalados, o título e os autores serão trocados antes da maiusculização do título ser definida."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Alterar &maiusculização do título para:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "A&dicionado:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Se assinalado, a editora será apagada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "Apa&gar editora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "P&ublicação: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17016,118 +17036,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Se não assinalado, o número de série para os livros será definido como 1.\nSe assinalado, os livros selecionados serão numerados automaticamente, pela ordem\nem que os selecionou. Assim, se selecionou Livro A e, em seguida, Livro B, o Livro A terá o número de série 1 e Livro B o número de série 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Numerar &automaticamente livros nestas series"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "As séries são normalmente renumeradas a partir do número mais alto dessa série já existente na base de dados. Ao assinalar esta caixa irá dizer ao Calibre para iniciar a numeração a partir do valor indicado na caixa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Forçar números a iniciar com:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Se assinalado, as séries serão limpas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Limpar série"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Controlar a forma como são criadas as capas predefinidas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Configurar geração de &capa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Definir co&mentários para todos os livros selecionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Remover etiquetas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Remover &tudo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Adicionar eti&quetas: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Especificar como é que o(s) autor(es) deste livro deve(m) ser ordenado(s). Por exemplo: Charles Dickens deve ser ordenado como Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "&Aplicar avaliação"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Limpar a data de publicação"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Idiomas:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Lista de etiquetas separadas por vírgulas a remover dos livros. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Abrir editor de etiquetas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Autor alfabetad&o: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Criar &metadados (exceto capa) dos ficheiros do ebook"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Ser&ies:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Remover configurações de conversão armazenadas para os livros selecionados.\nFuturas conversões desses livros irão usar as configurações predefinidas."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Remover configurações de conversão armazenada&s para os livros selecionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17136,152 +17156,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Ao fazer uma conversão para o mesmo formato,\npor exemplo, EPUB para EPUB, o Calibre guarda o EPUB original\n como ORIGINAL_EPUB. Esta opção indica ao Calibre para restaurar\n o EPUB do ficheiro ORIGINAL_EPUB. É útil se tiver feito uma conversão\nem lote de muitos livros e alguma coisa tiver falhado."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Restaurar &originais pré-conversão, se disponíveis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Marque esta caixa para remover todas as etiquetas dos livros."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "A&valiação:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Metadados básicos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Metadados &personalizados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "&Carregar pesquisa/substituição:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Escolha a pesquisa guardada/substituição a carregar."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Guardar a pesquisa/substituição atual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Gravar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "&Campo a pesquisar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "O nome do campo que quer procurar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "&Modo de pesquisa:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Escolha utilizar correspondência simples de texto ou pesquisa por expressões regulares"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "Tipo de &identificador:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Escolha em que tipos de identificadores irá operar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Modelo:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Indique um modelo a ser usado como origem para a pesquisa/substituição."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Insira o que pretende encontrar, seja um texto simples ou uma expressão regular, dependendo do modo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Marque esta caixa se a expressão de pesquisa deva corresponder exatamente às maiúsculas/minúsculas. Desmarque para a pesquisa ignorar a maiusculização."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Sensív&el a maiusculização"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Substituir por:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "O texto de substituição. Os textos identificados pelas pesquisas serão substituídos por esta expressão."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Aplicar função após substituir:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Especificar como o texto deverá ser processado depois da correspondência  e substituição. \nNo modo de caracteres, todo o campo é processado. \nNo modo de expressão regular, só o texto correspondente é processado."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "Campo de &destino:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "O campo onde o texto será colocado depois de todas as subsituições.\nSe em branco, o campo fonte é utilizado se o campo for modificável."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "M&odo:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Especificar como o texto deve ser copiado para o destino."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Especifica se os itens de resultados devem ser separados em valores múltiplos ou deixados como valores únicos. \nEsta opção tem maior efeito quando o campo de origem não é múltiplo e o campo de destino é múltiplo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Dividir &resultado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Tipo de identificador:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17289,48 +17309,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Escolha qual o tipo de identificador em que irá operar. \nQuando o campo de origem for diferente de \"identificadores\" pode introduzir um asterisco * se quiser \nsubstituir todo o tipo de identificadores com o resultado do pesquisar/substituir.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Para campos com valores múltiplos, &mostrar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "valores a &começar em"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "com valores &separados por"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Utilizado quando mostrar resultados de teste para separar valores em campos com valores múltiplos."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Texto de teste"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Resultado do teste"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "O seu &teste:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Pesquisar e substituir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Se ativado, a lista de livros vai ser reordenada e qualquer pesquisa\nou biblioteca virtual existente será refrescada após a conclusão da edição.\n Isto pode ser lento em bibliotecas grandes."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "Atualiza&r a lista de livros após edição"
 
@@ -17959,7 +17979,7 @@ msgstr "Pesquisa guardada inválida"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Gerir as pesquisas guardadas"
 
@@ -18619,76 +18639,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "A atual categoria de etiquetas será <b>apagada para sempre</b>. Tem a certeza que quer continuar?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Editor de categorias do utilizador"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "&Nome da categoria:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Selecionar categoria a editar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "Filtrar &categoria: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Selecione o tipo de conteúdo da nova categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr "&Filtro de item: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr "Digite o texto para filtrar os itens disponíveis. É indiferente usar acentos e maiúsculas."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr "Apagar a categoria de etiquetas atual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr "Indique o nome da categoria e depois use os botões Adicionar ou Renomear"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Adicionar nova categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Renomear a categoria atual para o que está dentro da caixa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr "&Mostrar apenas itens disponíveis na biblioteca virtual atual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "Itens &disponíveis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "A etiqueta será incluída na atual categoria de etiquetas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "Itens &aplicados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Remover a etiqueta da categoria de etiquetas atual"
 
@@ -18720,121 +18740,121 @@ msgid ""
 "to delete them?"
 msgstr "As etiquetas seguintes são usadas por um ou mais livros. Tem a certeza que as quer apagar?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr "Gerir itens"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr "&Adicionar item"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr "Aplicar itens ao livro atual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr "Filtrar os itens disponíveis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr "Apagar o item existente na base de dados. Isto irá retirar o item de todos os livros e depois removê-lo da base de dados."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr "&Itens disponíveis"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr "Aplicar item ao livro atual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr "Remover o item do livro atual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr "Filtrar os itens aplicados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Contagem"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Era"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr "A editar..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Quer mesmo anular as suas alterações?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Recuperar item?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Este item foi eliminado. Quer restaurá-lo?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr "Pesquisar por um item na primeira coluna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr "Encontrar itens que contenham a expressão de pesquisa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr "Mostrar apenas os itens da biblioteca &virtual atual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr "&Filtrar por:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr "Filtrar itens pelo texto desta caixa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr "Mostrar apenas os itens que contenham este texto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr "F&iltrar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr "Renomear o item em cada livro onde for usado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Desfazer todas as eliminações ou edições nas linhas selecionadas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19715,17 +19735,17 @@ msgstr "Visual"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Mostrar e ocultar partes da janela principal do Calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Nenhum formato %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "O livro {0} não tem o formato {1}."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Restaurar %s"
@@ -20006,21 +20026,11 @@ msgstr "Livro %(sidx)s de <span class=\"
 msgid "This book is on the device in %s"
 msgstr "Este livro está no dispositivo em %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Definir a data como indefinida"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Definir data para hoje"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Marcar como indefinido"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20364,7 +20374,7 @@ msgid ""
 msgstr "Caminho para o Calibre Portátil (%s) é demasiado longo. Tem de ter menos de 59 caracteres."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "BibliotecaCalibre"
 
@@ -20527,6 +20537,16 @@ msgstr "&Sair"
 msgid "Unhandled exception"
 msgstr "Exceção não tratada"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Definir a data como indefinida"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Definir data para hoje"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20806,7 +20826,7 @@ msgstr "&Editora:"
 msgid "Clear publisher"
 msgstr "Limpar editora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Limpar data"
 
@@ -20876,7 +20896,7 @@ msgid "Processed %s"
 msgstr "Processado %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Campos de metadados a descarregar"
 
@@ -21637,13 +21657,13 @@ msgid "&Automatic adding"
 msgstr "Adicionar au&tomaticamente"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Alta"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Baixa"
 
@@ -21668,80 +21688,80 @@ msgstr "Tudo numa aba"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Mensagens de confirmação foram todas redefinidas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Notificar quando estiver disponível uma &nova versão"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Enviar automaticamente as &notícias descarregadas para o leitor de livros digitais"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Prioridade dos processos:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr "Escolha um visual diferente para a janela de edição de metadados. O visual compacto de metadados favorece a edição de metadados personalizados sobre a alteração de capas e formatos."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Ordem dos formatos de or&igem preferidos:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Formato de destin&o preferido:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "Visua&l da edição (individual) de metadados:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Se marcado, as colunas personalizadas Sim/Não podem ser Sim, Não ou Desconhecido.\nSe desmarcado, os valores podem ser Sim ou Não."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "&Colunas de Sim/Não têm três valores (implica reiniciar)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Eliminar as notícias da biblioteca depois de enviadas automaticamente para o leitor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "&Tempo de espera predefinido da rede:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Definir o tempo de espera predefinido para obtenção de dados na rede (i.e. sempre que se vai à Internet obter informação)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " segundos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr "Usar esta biblioteca virtual no arranque do Calibre caso a biblioteca atual esteja a ser usada. Também será aplicado ao alternar para esta biblioteca. Note que este ajuste é por biblioteca. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Repor os diálogos de &confirmação desativados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Usar o &visualizador interno para ler:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Biblioteca virtual a aplicar quando a biblioteca &atual for aberta: "
 
@@ -22730,37 +22750,37 @@ msgid ""
 " effect.\n"
 msgstr "Copie estes dados para a área de transferência, cole-os num editor, em seguida, insira-os no USER_DEVICE personalizando o plugin do dispositivo em Preferências->Avançado->Plugins. Lembre-se também de indicar as pastas onde deseja que os livros sejam colocados. Deve reiniciar o Calibre para que as alterações entrem em vigor.\n"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr "<p>O Calibre pode enviar os seus livros para si (ou para o seu leitor) por email. Serão também enviados automaticamente emails, com notícias descarregadas, para todos os endereços de email que tenham assinalado o <i>Envio automático</i>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Adicional um endereço de email para onde enviar os livros"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Adicionar email"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Tornar &predefinido"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Remover email"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Adicionar os comentários dos metadados do livro ao email.\nSerá útil para permitir que o destinatário veja um resumo do\nlivro antes de o abrir."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Adicionar metadados de &comentários como texto para o email"
 
@@ -22897,8 +22917,8 @@ msgid "Create a new rule"
 msgstr "Criar nova regra"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
-msgstr "A chave para o identificador. Por exemplo, em isbn:XXX, a chave é isbn"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
+msgstr "A chave para o identificador. Por exemplo, em isbn:XXX, a chave é \"isbn\""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
 msgid "&Key:"
@@ -23035,7 +23055,7 @@ msgid "If there is enough room"
 msgstr "Se houver espaço suficiente"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Pela primeira letra"
 
@@ -23306,7 +23326,7 @@ msgid "Caching of covers for improved pe
 msgstr "Caching de capas para melhor desempenho"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Desativar"
 
@@ -23701,86 +23721,86 @@ msgstr "Nenhuma fonte selecionada"
 msgid "No source selected, cannot configure."
 msgstr "Nenhuma fonte selecionada, não é possível configurar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Fonte de metadados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr "Desativar fontes de metadados que não queira usar desmarcando-as. Pode também definir a prioridade da capa. Capas de fontes que possuam uma prioridade mais alta (números menores) serão preferidas quando descarregar metadados em lote."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "As origens com um X vermelho ao lado dos seus nomes devem ser configuradas antes da primeira utilização. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "C&onfigurar fonte selecionada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Se desmarcar algum campo,  os metadados desses campos não serão transferidos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Selecionar tudo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr "Selecionar &nenhum"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Restaurar o seu subconjunto de campos assinalados que definiu usando o botão 'Tornar predefinição'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr "Selecionar &predefinição"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Armazena os campos atualmente marcados como predefinição. Pode aplicar rapidamente a predefinição usando o botão 'Selecionar predefinição'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Tornar predefinição"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Converter comentários descarregados para texto &simples"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "&Inverter nomes do autor de PN UN para UN, PN"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Ao fazer a transferência de comentários, anexar os comentários transferidos a qualquer comentário existente, em vez de substituí-los."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "Ao fazer a transferência de comentários, anexar os comentários transferidos a qualquer comentário existente, em vez de substituí-los."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Anexar comentários aos &existentes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23789,47 +23809,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "Manter mais de uma entrada por fonte"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Metadados diferentes têm conjuntos de etiquetas diferentes para o mesmo livro. Se esta opção estiver marcada, então o Calibre irá usar conjuntos pequenos de etiquetas. Isto tende a ser mais como géneros, enquanto o conjunto maior de etiquetas tende a descrever o conteúdo dos livros.\n<p>Note que esta opção irá fazer diferença na prática apenas se uma das fontes de metadados tem um conjunto de etiquetas do tipo género para o livro que estiver a pesquisar. Na maioria dos casos, todas têm conjuntos grandes de etiquetas."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Preferir conjuntos de etiquetas mais pequenos quando recolher etiquetas de diferentes fontes de metadados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Preferir &menos etiquetas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Criar &regras para filtrar/transformar etiquetas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "Criar regras para &transformar nomes de autores"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "&Número máx. de etiquetas a descarregar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "&Tempo máximo de espera depois de efetuada a primeira correspondência:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " segundos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Tempo máximo de espera após a primeira &capa ser encontrada:"
 
@@ -25375,7 +25395,7 @@ msgid "Paste and &search"
 msgstr "Colar e &pesquisar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "C&olar"
@@ -26401,150 +26421,150 @@ msgstr "Todos estes category_managers es
 msgid "'Click' found item"
 msgstr "'Clique' item encontrado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Alterar ícone para: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr "Renomear %s na biblioteca virtual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Renomear %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr "Eliminar %s na biblioteca virtual"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Eliminar %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Editar alfabetação de %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Editar ligação de %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "Adicionar %s à categoria do utilizador"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Dependentes de %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr "Aplicar %s aos livros selecionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr "Adicionar %s aos livros selecionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr "Remover %s dos livros selecionados"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr "Apagar a pesquisa guardada %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Remover %(item)s da categoria %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Pesquisar por tudo, menos %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "Pesquisar usando uma expressão de pesquisa guardada"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Adicionar subcategoria para %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Eliminar categoria de utilizador %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Ocultar categoria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Mostrar categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Procurar livros incluídos na categoria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Procurar livros não incluídos na categoria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Alterar ícone da categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Repor ícone predefinido"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Gerir categorias do utilizador"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Mostrar todas as categorias"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Alterar esquema de subcategorização"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Partição"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "A primeira letra é utilizável apenas quando ordenar pelo nome"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "E&xpandir subcategorias "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Contrair todos os níveis"
 
@@ -27214,7 +27234,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Alterações não guardadas"
 
@@ -27621,12 +27641,12 @@ msgid ""
 msgstr "O ficheiro %s não existe. Se estava a tentar clicar num item no Índice, pode precisar de atualizá-lo clicando com o botão direito e escolhendo \"Atualizar\"."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "O formato do ficheiro não é suportado"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "A edição de ficheiros do tipo %s não é suportada."
@@ -27684,76 +27704,76 @@ msgid "Import"
 msgstr "Importar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Antes: Substituir %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Para poder ver o relatório, primeiro tem de abrir um livro."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Para poder verificar as ligações, primeiro tem de abrir um livro."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Para poder comprimir imagens, primeiro tem de abrir um livro."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Antes: comprimir imagens"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Erro inesperado"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Falha ao comprimir imagens. Clique em 'Mostrar detalhes' para mais informações."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Não foi possível descodificar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Não é possível editar %s por parece ter uma codificação de caracteres desconhecida."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Nenhum livro está aberto neste momento. Para poder editar um livro, primeiro tem de o abrir."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "O livro actual está a ser guardado em segundo plano. Sair agora irá <b>abortar o processo</b>. Deixar terminar o processo?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Sair imediatamente"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "&Primeiro terminar de guardar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Existem alterações não guardadas. Se sair sem as guardas, irá perdê-las."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "Guardar e &sair"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "Sair sem Guarda&r"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "A guardar, por favor aguarde..."
 
@@ -31156,18 +31176,18 @@ msgstr[1] "{} diálogos de confirmação
 msgid "Disabled confirmations restored"
 msgstr "Diálogos inativos de confirmação repostos"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr "Falha no processo de sintetização"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr "Falha no processo de renderização do Qt WebEngine. A pré-visualização/CSS em tempo real não funcionará. Deve tentar reiniciar o editor."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31181,70 +31201,70 @@ msgid ""
 "            "
 msgstr "\n            <h3>Visualização em tempo real</h3>\n\n            <p>Aqui pode ver uma visualização em tempo real do ficheiro HTML que está a editar atualmente.\n            A pré-visualização irá atualizar-se automaticamente à medida que fizer alterações.\n\n            <p style=\"font-size:x-small; color: gray\">Note que esta é apenas uma pré-visualização rápida\n            não pretende simular um leitor real de ebook. Alguns\n            aspetos do seu ebook não irão funcionar, tais como, quebras de página e margens de página .\n            "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Inspecionar elemento"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Abrir ligação"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Editar %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Pesquisar na pré-visualização"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Localização inválida"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Não foi possível dividir no corpo da etiqueta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Falha ao lançar processo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Falha ao arrancar o processo destinado a produzir a pré-visualização."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Não foi possível desativar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "O recarregamento automático do painel de pré-visualização não pode ser desativado enquanto o painel do CSS ao vivo estiver aberto."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Recarregar a pré-visualização automaticamente quando alterações de texto forem feitas no editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Desativar atualização automática na pré-visualização"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Desativar a sincronização da posição da pré-visualização para a posição do editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Ativar a sincronização da posição da visualização para a posição do editor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Cancelar a divisão do ficheiro"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34192,13 +34212,13 @@ msgstr "Falha a carregar o livro"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Não foi possível abrir o livro em {0}. Carregue em \"Mostrar detalhes\" para mais informações."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Falha grave no processo de renderização do Qt WebEngine. Deve tentar reiniciar o editor."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "Escolher imagem de fundo"
 
@@ -34233,30 +34253,30 @@ msgstr "Esconder {}"
 msgid "Show {}"
 msgstr "Mostrar {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Escolher &cor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Escolha uma cor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Cor&tar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "S&ubir um passo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "&Descer um passo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Não avaliado"
 
@@ -34310,44 +34330,48 @@ msgstr "Telemóvel Android com leitor Ki
 msgid "Android tablet with Kindle reader"
 msgstr "Tablet Android com leitor Kindle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr "Genérico"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Escolha o seu leitor de ebooks. Se o seu dispositivo não estiver na lista, escolha o fabricante \"%s\" e como dispositivo \"Tablet tipo iPad\"."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "Se está a mover o Calibre de um computador antigo para um novo, por favor leia as <a href=\"{0}\">instruções</a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Selecione a localização dos livros"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Falha ao criar uma pasta em %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Deve escolher uma pasta vazia para a biblioteca Calibre. %s não está vazia."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Próximo >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< A&nterior"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34355,15 +34379,15 @@ msgstr "< A&nterior"
 msgid "Cancel"
 msgstr "Cancelar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Terminar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Submeter"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Assistente de boas-vindas"
 
@@ -34371,7 +34395,7 @@ msgstr "Assistente de boas-vindas"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Bem-vindo ao Calibre"
@@ -34379,7 +34403,7 @@ msgstr "Bem-vindo ao Calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "A solução centralizada para todas as suas necessidades de livros digitais."
@@ -34394,7 +34418,7 @@ msgstr "&Dispositivos"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Página do Assistente"
@@ -34432,17 +34456,17 @@ msgstr "<p>O Calibre pode enviar automat
 msgid "&Kindle email:"
 msgstr "email do &Kindle:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Defina o seu &idioma:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Escolha um local para os seus livros. Quando adicionar livros ao Calibre, eles serão copiados para aqui. Utilize uma <b>pasta vazia</b> para uma biblioteca Calibre nova:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37028,6 +37052,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no implica que o campo seja uma coluna personalizada do tipo  Sim/Não"
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr "A avaliação tem de ser um número entre  0 e 5"
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "Imagem sem nome"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ro.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ro.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ro.po	2020-07-02 04:04:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ro.po	2020-07-16 16:43:40.000000000 +0000
@@ -15,8 +15,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
@@ -214,7 +214,7 @@ msgstr "Nu face absolut nimic"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -226,12 +226,12 @@ msgstr "Nu face absolut nimic"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1141,9 +1141,9 @@ msgstr "Catalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1168,7 +1168,7 @@ msgstr "Calea către biblioteca ({0}) es
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1230,7 +1230,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2843,8 +2843,8 @@ msgstr "Se obţine lista cărţilor de p
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2853,8 +2853,8 @@ msgstr "Se şterg cărţi din lista de m
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3197,7 +3197,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Editează șablon"
@@ -3310,7 +3310,7 @@ msgid "Communicate with MTP devices"
 msgstr "Comunică cu dispozitivele MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Se obţin informaţii despre dispozitiv..."
@@ -3337,8 +3337,8 @@ msgid "Finished reading metadata from de
 msgstr "S-a încheiat citirea metadatelor de pe dispozitiv"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3726,61 +3726,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Prea multe încercări de conexiune de la %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Port invalid în opțiunea: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Nu s-a reușit conexiunea pe portul %d/ Încercați o valoare diferită."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Nu s-a reușit alocarea unui port la întâmplare"
 
@@ -6214,7 +6225,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Nu"
 
@@ -6237,7 +6248,7 @@ msgid "Producer"
 msgstr "Producător"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6504,103 +6515,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Descarcă metadate şi coperţi de pe Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "Engleză US"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Franța"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Germania"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "MB"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japonia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Spania"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brazilia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Metadatele de pe Amazon vor fi preluate utilizând website-ul Amazon al ţării respective."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6608,7 +6619,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazon a expirat. Încercaţi din nou mai târziu."
 
@@ -8500,7 +8511,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8984,7 +8995,7 @@ msgstr "Directorul %s există deja. Şte
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Prea lung"
 
@@ -9029,7 +9040,7 @@ msgstr "Biblioteca %s a fost eliminată
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9081,7 +9092,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9237,7 +9248,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9277,7 +9288,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10179,7 +10190,7 @@ msgid "Move to next highlighted match"
 msgstr "Treci la următoarea potrivire subliniată"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10784,7 +10795,7 @@ msgid "this book"
 msgstr "această carte"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Caută %s"
@@ -10996,7 +11007,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11447,8 +11458,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11577,42 +11588,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Gestionează %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11621,112 +11637,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Editeaza 1%s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Insereaza coperta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Copiaza coperta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Sterge coperta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Cale"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11734,7 +11750,7 @@ msgstr "Cale"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Mărime copertă: %(width)d x %(height)d pixeli"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11803,7 +11819,7 @@ msgstr "ieşire"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11821,11 +11837,11 @@ msgstr "ieşire"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11964,7 +11980,7 @@ msgid "Preset name:"
 msgstr "Nume curent:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Trebuie sa introduci un nume"
 
@@ -11999,7 +12015,7 @@ msgstr "Adevărat"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12046,8 +12062,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Șterge"
 
@@ -12159,22 +12175,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12402,7 +12418,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12877,10 +12893,10 @@ msgstr "&Cheie font de bază:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pct"
@@ -13312,7 +13328,7 @@ msgid "Change the title of this book"
 msgstr "Modifică titlul acestei cărţi"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Autor(i): "
 
@@ -13327,7 +13343,7 @@ msgid ""
 msgstr "Modifică autorul(ii) acestei cărţi. Autorii multipli ar trebui separaţi prin virgule"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "E&ditura: "
 
@@ -13336,7 +13352,7 @@ msgid "Ta&gs: "
 msgstr "&Etichete: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13351,8 +13367,8 @@ msgstr "&Seria:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Lista de serii cunoscute. Puteţi adăuga serii noi."
@@ -13419,45 +13435,45 @@ msgstr ""
 msgid "Page setup"
 msgstr "Configurare pagină"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Profil i&eşire:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Descriere profil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Profil &intrare:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Margini"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Stânga:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "S&us:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Dreapta:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Jos:"
@@ -13803,7 +13819,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "Modifi&că"
 
@@ -14629,74 +14645,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Nedefinit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Setează '%s' la azi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Înlătură '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " index:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Enumeraţia \"{0}\" conţine o valoare invalidă care va seta modul implicit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Aplică modificările"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Numerotează cărţile în mod automat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14704,44 +14719,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Obligă numerele să înceapă cu "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Enumeraţia \"{0}\" conţine valori invalide care nu vor fi afişate în listă"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Elimină toate etichetele"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "etichete de adăugat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "etichete de eliminat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15448,11 +15463,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15516,79 +15531,84 @@ msgid ""
 "        "
 msgstr "        <h1>Ajutor</h1>\n\n        <p>calibre stochează lista dumneavoastră de cărţi şi metadatele aferente\n        într-o bază de date. Fişierele e-carte şi coperţile sunt salvate în directorul\n        bibliotecă. Baza de date conţine o listă cu fişierele şi coperţile ce aparţin\n        fiecărei cărţi. Această unealtă verifică dacă fişierele e-carte din directorul\n        bibliotecii coincid cu informaţia din baza de date.</p>\n\n        <p>Rezultatul fiecărei verificări este afişat în partea stângă. Diferitele\n        verificări sunt:\n        </p>\n        <ul>\n        <li><b>Titluri invalide</b>: Fişiere şi directoare ce apar în bibliotecă\n        acolo unde ar trebui să fie titlurile, dar nu au forma corectă pentru a\n        fi titluri de carte.</li>\n        <li><b>Titluri suplimentare</b>: Fişiere suplimentare în bibliotecă ce\n        apar să fie titluri corecte, dar nu au corespondenţi în baza de date.</li>\n        <li><b>Autori incorecţi</b>: Fişiere ce apar în bibliotecă în locul\n        directoarelor cu autori.</li>\n        <li><b>Autori suplimentari</b>: Directoare în bibliotecă ce par să fie\n        autori dar nu au înregistrări în baza de date.</li>\n        <li><b>Formate de cărţi lipsă</b>: Formate ce apar în baza de date dar\n        care nu au fişiere corespondente în directoarele cărţilor.</li>\n        <li><b>Formate de cărţi suplimentare</b>: Formate ce apar în\n        directoarele cărţilor dar care nu au corespondenţi în baza de date.</li>\n        <li><b>Fişiere necunoscute în cărţi</b>: Fişiere suplimentare din\n        directorul cărţii ce nu corespund nici unui format de carte sau copertă\n        cunoscut.</li>\n        <li><b>Fişiere copertă lipsă</b>: Reprezintă cărţi care sunt marcate\n        că au copertă dat fişierele lipsesc di directoare.</li>\n        <li><b>Fişiere copertă ce nu apar în baza de date</b>: Cărţi ce au fişiere\n        copertă în directoare, dar nu au înregistrări în baza de date.</li>\n        <li><b>Director cu excepţii</b>: Reprezintă directoare din bibliotecă ce\n        nu au putut fi procesate/înţelese de această unealtă.</li>\n        </ul>\n\n        <p>Există două feluri de reparări automate posibile:<i> Şterge elementele\n        marcate</i> şi <i>Repară elementele marcate</i>.</p>\n\n        <p><i>Şterge elementele marcate</i> este folosit pentru îndepărtarea\n        fişierelor/directoarelor/coperţilor suplimentare care nu au înregistrări în\n        baza de date. Bifaţi căsuţa de lângă elementul pe care doriţi să îl ştergeţi.\n        Folosiţi cu grijă.</p>\n\n        <p><i>Repară elementele marcate</i> este aplicabil doar coperţilor şi\n        formatelor lipsă (cele trei linii marcate \"reparabile\"). În cazul coperţilor\n        lipsă, bifând căsuţa şi apăsând acest buton se va transmite lui calibre că\n        nu există coperţi pentru cărţile listate. Folosiţi această opţiune dacă nu\n        veţi restaura coperţile din copia de rezervă. În cazul coperţilor\n        suplimentare, bifând căsuţa şi apăsând butonul se va transmite lui calibre\n        că fişierele copertă găsite sunt corecte pentru toate cărţile listate.\n        Folosiţi această opţiune atunci când nu se vor şterge fişierele. În cazul\n        formatelor lipsă, bifând căsuţa şi apăsând butonul se va transmite lui\n        calibre că formatele chiar lipsesc. Folosiţi această opţiune dacă nu veţi\n        restaura formatele dintr-o copie de rezervă.<p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Rulează verificarea din nou"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Copiază în clip&board"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Gata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Şterge elementele &marcate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Şterge fişierele marcate (subitemii marcaţi)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "Re&pară elementele marcate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Repară secţiunile marcate (itemii reparabili marcaţi)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Nume de ignorat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Introduceţi wildcarduri standard pentru numele de fişier, separate prin virgule, cum ar fi synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Introduceţi extensii fără punct principal, separate prin virgule. Se foloseşte doar în directoarele cărţilor."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(reparabil)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Calea de la bibliotecă"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15638,8 +15658,8 @@ msgstr "Locaţia %s conţine biblioteca
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Locaţie invalidă"
 
@@ -16195,46 +16215,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (a fost %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Elementul este gol"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Un element nu poate să fie setat ca nul. Ştergeţi-l"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Nici un element selectat"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Trebuie să selectaţi un element din lista Elemente disponibile."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Nici un element selectat"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Trebuie să selectaţi cel puţin un element din listă."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Sigur doriţi să ştergeţi următoarele elemente?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16243,7 +16263,7 @@ msgid "Items in use"
 msgstr "Elemente în uz"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16258,11 +16278,11 @@ msgstr "Redenumeşte elementul în fieca
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16291,7 +16311,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16316,28 +16336,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16364,65 +16384,65 @@ msgstr "Nume de autor invalid"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Gestionează autori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Caută după:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Resetează toate valorile sortare autor la o valoare generată\nîn mod automat de la autor. Modul în care această valoare\neste generată automat poate fi controlat via\nPreferinţe ->Avansat -> Ajustări"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Copiază sortare autor pentru fiecare autor. De obicei se foloseşte acest buton după \nmodificarea Preferinţe ->Avansat -> Ajustări -> Algoritm sortare nume autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16756,77 +16776,77 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Se lucrează"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Litere mici"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Litere mari"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Doar prima literă cu majusculă"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Caracter potrivit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Câmp înlocuire"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Adaugă la început în câmpul"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Adaugă la sfârşit în câmpul"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Se editează metadatele pentru <b>%d cărţi</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Aplică toate modificările fără a închide această căsuţă de dialog. Această operaţie nu poate fi întreruptă sau anulată."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Cartea %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Introduceţi un tip de identificator"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16834,7 +16854,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Puteţi să vă distrugeţi biblioteca folosind această opţiune.</b> Modificările sunt permanente. Nu există funcţia de anulare. Vă încurajăm să faceţie o copie de siguranţă.<p>Caută şi înlocuieşte în câmpurile text folosind caractere potrivite sau expresii regulate. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16844,7 +16864,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16859,80 +16879,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "EROARE ŞABLON S/R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Trebuie specificată o destinaţie a tipului identificator"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Cautare/Înlocuire invalidă"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Şterge Caută/Înlocuieşte salvate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Caută/Înlocuieşte selectat va fi şters. Sigur doriţi să continuaţi?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Salvează Caută/Înlocuieşte"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Nume Caută/Înlocuieşte:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Acest Caută/Înlocuieşte există deja şi va fi suprascris. Sigur doriţi să continuaţi?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16940,90 +16960,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Setează a&utomat sortare autor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Actualizează sortare titlu pe baza titlului curent. Se va aplica doar după alte modificări ce se fac asupra titlului."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Actualizează sortare &titlu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Modifică &coperta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Generează coperta implicită"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "Şte&rge coperta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Obligă titlul să înceapă cu literă mare. Dacă ambele, aceasta şi schimbă autorii sunt bifate,\ntitlul şi autorii sunt interschimbaţi înainte de stabilirea începerii titlului cu literă mare."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Data:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17031,118 +17051,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Dacă nu este bifată, numărul cărţilor în serie va fi 1.\nDacă este bifată, cărţile selectate vor fi numerotate automat, în ordinea\nîn care au fost selectate. Astfel, dacă aţi selectat cartea A, iar pe urmă\ncartea B, cartea A va avea numărul 1 şi cartea B numărul 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Numerotează &automat cărţile din această serie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "În mod normal, seria va fi renumerotată de la cel mai mare număr din baza de date\npentru seria respectivă. Bifând această căsuţă, calibre va începe numerotarea\nde la valoarea din casetă"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "Obligă numerele să înceapă cu:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Dacă este bifată, seria va fi curăţată"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Curăţă seria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "Şte&rge etichete:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Șterge to&ate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Adaugă &etichete: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Specifică modul de sortare al autorilor acestei cărţi. De exemplu Charles Dickens ar trebui sortat ca şi Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Şterge data publicării"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Limbi:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Lista de etichete, separată pin virgule, care va fi ştearsă de la cărţi. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "S&ortare autor: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Şterge setările conversiilor stocate pentru cărţile selectate.\n\nConversiile viitoare ale acestor cărţi vor folosi setările implicite."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Şterge setările conversiilor &stocate pentru cărţile selectate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17151,152 +17171,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Bifaţi această căsuţă pentru a şterge toate etichetele."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Evaluare:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Metadate de bază"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Metadate personalizate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Selectează caută/înlocuieşte salvat pentru încărcare."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Salvează caută/înlocuieşte curent"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "Sal&vează"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Caută câmpul:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Numele câmpului în care doriţi să căutaţi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "&Mod căutare:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Alegeţi dacă doriţi să folosiţi potrivirea cu text normal sau cu expresii regulate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Alege asupra cărui tip de identificator se va opera"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Introduceţi un şablon care va fi folosit ca şi sursă pentru caută/înlocuieşte"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Bifaţi această căsuţă dacă textul căutat trebuie să se potrivească cu litere mari sau cu litere mici. Debifaţi dacă aceasta nu contează."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "În&locuiește cu:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Textul înlocuitor. Textul căutat va fi înlocuit cu acest şir de caractere."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Aplică funcţia după înlocuire:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Specifică modul în care textul va fi procesat după potrivire şi înlocuire. În modul caracter, întregul\ncâmp este procesat. În modul expresie regulată, numai textul potrivit este procesat."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "Câmp &destinaţie:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Câmpul în care textul va fi pus după toate înlocuirile.\nDacă este gol, câmpul sursă este folosit doar în cazul în care se poate modifica."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "M&od:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Specifică modul în care textul va fi copiat la destinaţie."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Specifică dacă elementele rezultate vor fi divizate în valori multiple sau\nlăsate ca o singură valoare. Această opţiune are efect major atunci când\ncâmpul sursă nu este multiplu dar câmpul destinaţie este multiplu."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Divide &rezultatul"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Tip identificator:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17304,48 +17324,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Pentru câmpuri cu valori multiple, ara&tă"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "valori separate &de"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Folosit atunci când se afişează rezultatele testului pentru a separa valorile din câmpurile cu valori multiple."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Testează textul"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Testează rezultatul"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Caută şi înlocuieşte"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17974,7 +17994,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18634,76 +18654,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Categoria de etichete curentă va fi <b>ştearsă permanent</b>. Sigur doriţi să continuaţi?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Selectează o categorie pentru editat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Selectează tipul de conţinut pentru noua categorie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Adaugă o categorie nouă"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Aplică etichetele la categoria de etichete curentă"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Scoate (şterge) eticheta din categoria de etichete curentă"
 
@@ -18735,121 +18755,121 @@ msgid ""
 "to delete them?"
 msgstr "Etichetele următoare sunt folosite de una sau mai multe cărţi. Sigur doriţi să le ştergeţi?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Contor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "A fost"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19732,17 +19752,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -20026,21 +20046,11 @@ msgstr "Cartea %(sidx)s din <span class=
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20384,7 +20394,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre Library"
 
@@ -20547,6 +20557,16 @@ msgstr "I&eşire"
 msgid "Unhandled exception"
 msgstr "Excepţie netratată"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20827,7 +20847,7 @@ msgstr "&Editura:"
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Şterge data"
 
@@ -20899,7 +20919,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21662,13 +21682,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Ridicată"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Scăzută"
 
@@ -21693,80 +21713,80 @@ msgstr "Toate pe 1 tab"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Toate dialogurile de confirmare au fost resetate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Prioritate sarcină:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Ordinea de &intrare a formatelor preferată:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Format de ieşire preferat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Dacă este bifată, coloana personalizată Da/Nu poate avea valorile Da, Nu sau Necunoscut(ă).\nDacă nu este bifată, valorile vor fi Da sau Nu."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "Şter&ge ştirile din bibliotecă atunci când sunt trimise automat pe dispozitiv"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "&Timeout de reţea implicit:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Setează timeout-ul implicit pentru reţea (de ex. de fiecare dată când se descarcă date de pe internet)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " secunde"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Resetează toate dialogurile de &confirmare dezactivate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Foloseşte &vizualizatorul intern pentru:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22755,37 +22775,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Adaugă o adresă de e-mail căreia să i se trimită cărţi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Adaugă e-mail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "&Implicit"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "Şte&rge e-mail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22922,7 +22942,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23060,7 +23080,7 @@ msgid "If there is enough room"
 msgstr "Dacă este spaţiu suficient"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "După prima literă"
 
@@ -23331,7 +23351,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Dezactivează"
 
@@ -23726,86 +23746,86 @@ msgstr "Nici o sursă selectată"
 msgid "No source selected, cannot configure."
 msgstr "Nici o sursă selectată. Nu se poate configura."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Surse metadate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Sursele marcate cu un X roşu, trebuie configurate înainte de a putea fi folosite. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Dacă debifaţi oricare câmp, metadatele pentru câmpurile respective nu vor fi descărcate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Selectează toate"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Restaurează subsetul propriu de câmpurile bifate pe care le-aţi definit folosind butonul \"Setează ca valoare implicită\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Setează ca şi valoare implicită"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Converteşte toate comentariile descărcate ca şi &text simplu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23814,47 +23834,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Surse de metadate diferite au seturi diferite de etichete pentru aceeaşi carte. Dacă această opţiune este bifată, atunci calibre va folosi setul ce etichete mai mic. Acestea tind să fie genuri, în timp ce seturile mari tind să descrie conţinutul cărţii.\n<p>De notat că această opţiune va face o diferenţă practică doar dacă una dintre sursele de metadate are un gen ca şi set de etichete pentru cartea pentru care căutaţi. De obicei, toate au seturi mari de etichete."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Preferă etichete &puţine"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "&Timp max. de aşteptat după prima potrivire:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " sec"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Timp max. de aşteptat după prima &copertă găsită:"
 
@@ -25402,7 +25422,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26428,150 +26448,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Redenumeşte %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Editează sortarea pentru %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Editează legăturile pentru %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Copiii %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Şterge %(item)s din categoria %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Caută tot în afară de %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Adaugă subcategoria la %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Ascunde categoria utilizator %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Arată categoria"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Caută cărţi în categoria %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Caută cărţi în afara categoriei %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Arată toate categoriile"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Modifică schema de sub-clasificare"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Partiție"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Prima literă este utilizabilă doar la sortarea după nume"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27241,7 +27261,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27648,12 +27668,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27711,76 +27731,76 @@ msgid "Import"
 msgstr "Importă"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31191,18 +31211,18 @@ msgstr[2] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31216,70 +31236,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Inspectează element"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Deschideți link-ul"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Căutare în previzualizare"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Locație invalidă"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Nu poate împărți pe tag-ul body"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Nu se poate dezactiva"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Abandonează împărțirea fișierului"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34231,13 +34251,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34272,30 +34292,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34349,44 +34369,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Alegeţi dispozitivul dumneavoastră de citit. Dacă dispozitivul nu se află în listă, alegeţi un dispozitiv \"%s\"."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Selectaţi o locaţie pentru cărţi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Trebuie să selectaţi un director gol pentru biblioteca dumneavoastră calibre. %s nu este gol."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34394,15 +34418,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "Anulează"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34410,7 +34434,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Bun venit la calibre"
@@ -34418,7 +34442,7 @@ msgstr "Bun venit la calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "O soluţie pentru toate nevoile dumneavoastră referitoare la e-cărţi."
@@ -34433,7 +34457,7 @@ msgstr "&Dispozitive"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "WizardPage"
@@ -34471,17 +34495,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "E-mail &Kindle:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Alege &limba:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Alegeţi o locaţie pentru cărţile dumneavoastră. Când adăugati cărţi lui calibre, ele vor fi copiate aici. Utilizaţi un <b>fişier gol<b> pentru o nouă librărie calibre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37068,6 +37092,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ru.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ru.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ru.po	2020-07-02 04:07:17.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ru.po	2020-07-16 16:38:43.000000000 +0000
@@ -54,9 +54,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-27 11:59+0000\n"
-"Last-Translator: Родион Р.\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -253,7 +253,7 @@ msgstr "Ничего не делает"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -265,12 +265,12 @@ msgstr "Ничего не делает"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1180,9 +1180,9 @@ msgstr "Каталог"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1207,7 +1207,7 @@ msgstr "Путь к библиотеке
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1269,7 +1269,7 @@ msgstr "Сохранённые поис
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2882,8 +2882,8 @@ msgstr "Получение списка
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2892,8 +2892,8 @@ msgstr "Удаление книги из
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3236,7 +3236,7 @@ msgstr "Введите шаблон дл
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Изменить шаблон"
@@ -3349,7 +3349,7 @@ msgid "Communicate with MTP devices"
 msgstr "Соединиться с MTP-устройством"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Получение информацию об устройстве..."
@@ -3376,8 +3376,8 @@ msgid "Finished reading metadata from de
 msgstr "Завершено чтение метаданных из устройства"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3765,61 +3765,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "Это список расширений файлов, разделённых запятыми, который вы хотите отправить на устройство. Например, у вас могут быть аудиокниги в библиотеке с расширением «m4b», которые вы хотите прослушать на своем устройстве. Не беспокойтесь о предупреждении «дополнительные активированные расширения»."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Слишком много попыток соединения из %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Приложение на вашем устройстве слишком устарело и больше не поддерживается. Обновите его до более новой версии."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "В библиотеке присутствуют книги с будущими датами. См. calibre для получения дополнительной информации."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "Читаемый синхронизируемый столбец %s отсутствует в библиотеке Calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "Читаемый синхронизируемый столбец %s не является Да/Нет столбцом"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "Читаемый синхронизируемый столбец даты %s отсутствует в библиотеке Calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "Столбец синхронизации даты чтения % s не является столбцом даты"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Плохие настройки качества сжатия. Должно быть число от 50 до 99. Будет установлено %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Неверный порт в настройках: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Не удалось соединиться с портом %d. Попробуйте другое значение."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Не удалось выделить случайный порт"
 
@@ -6253,7 +6264,7 @@ msgstr "Извлечь распрост
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Нет"
 
@@ -6276,7 +6287,7 @@ msgid "Producer"
 msgstr "Производитель"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6544,103 +6555,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google Картинки"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Загружать метаданные и обложки с Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "США"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Франция"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Германия"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Великобритания"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Австралия"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Италия"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Япония"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Испания"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Бразилия"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Нидерланды"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Китай"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Канада"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Выбрать сервер автоматически"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Серверы Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Поисковый кэш Bing"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Поисковый кэш Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Кэш Wayback machine (медленно)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Использовать локальный сайт Amazon:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Метаданные будут загружены с вашего регионального сайта Amazon."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Сервер, откуда брать данные:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon начала блокировать попытки загрузки метаданных со своих серверов. Для обхода этой проблемы, calibre может получать данные Amazon из разных мест, где они кэшируются. Выберите предпочитаемый источник."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Использовать MOBI-ASIN для поиска метаданных"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6648,7 +6659,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr "Включите эту опцию для поиска метаданных с идентификатором ASIN из файла MOBI на веб-сайте текущей страны, если не доступен какой-либо другой идентификатор Amazon. Обратите внимание: если файл MOBI поступил из магазина другой страны Amazon, вы можете получить неверные результаты."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Амазон не загрузился. Попробуйте позже."
 
@@ -8543,7 +8554,7 @@ msgstr "Файлы не были ско
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -9033,7 +9044,7 @@ msgstr "Папка %s уже сущес
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Слишком длинный"
 
@@ -9078,7 +9089,7 @@ msgstr "Библиотека %s удал
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9130,7 +9141,7 @@ msgstr "Ошибок в базе Calibre
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9287,7 +9298,7 @@ msgid "Browse for library"
 msgstr "Открыть библиотеку"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "Ко&пировать"
@@ -9327,7 +9338,7 @@ msgstr "{1} — {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Выбрать &все"
 
@@ -10235,7 +10246,7 @@ msgid "Move to next highlighted match"
 msgstr "Перейти к следующему выделенному совпадению"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "Н"
 
@@ -10843,7 +10854,7 @@ msgid "this book"
 msgstr "эту книгу"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Искать %s"
@@ -11056,7 +11067,7 @@ msgstr "&Предпросмотр кни
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11510,8 +11521,8 @@ msgstr "Изменить"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11640,42 +11651,47 @@ msgid "Search the internet for this book
 msgstr "Поиск в интернете этой книги"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Управление: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Удалить формат %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Сохранить формат %s на диск"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Восстановить формат %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Взять обложку книги из файла %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Сравнить с форматом %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11684,112 +11700,112 @@ msgstr "Сравнить с формат
 msgid "Open %s with..."
 msgstr "Открыть %s с помощью..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Добавить другое приложение для %s файлов..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Редактировать список открывающих приложений…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Редактировать %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Копировать путь к файлу"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr "&Копировать ссылку на автора"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Поиск в calibre  %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Копировать путь"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr "&Копировать идентификатор"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Удалить %s из этой книги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Копировать &всё"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Копировать адрес ссылки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr "Открыть окно сведений о книге"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Открыть обложку с помощью..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Добавить другое приложение для открытия обложки..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Вставить обложку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Копировать обложку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Сохранить обложку на диск"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Удалить обложку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Создать обложку из метаданных"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Выберите место сохранения обложки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "JPEG изображения"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Щёлкните дважды, чтобы открыть окно описания книги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Путь"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11797,7 +11813,7 @@ msgstr "Путь"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Размеры обложки: %(width)d x %(height)d пикселов"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Изменить идентификаторы для этой книги"
 
@@ -11866,7 +11882,7 @@ msgstr "вывод"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11884,11 +11900,11 @@ msgstr "вывод"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -12027,7 +12043,7 @@ msgid "Preset name:"
 msgstr "Имя шаблона:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Вы должны ввести имя"
 
@@ -12062,7 +12078,7 @@ msgstr "True"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12109,8 +12125,8 @@ msgid "Delete current preset"
 msgstr "Удалить текущий шаблон"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Удалить"
 
@@ -12222,22 +12238,22 @@ msgstr "Сбросить к умолча
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12465,7 +12481,7 @@ msgstr "Заголовок {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12940,10 +12956,10 @@ msgstr "Размер шрифта к&н
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13375,7 +13391,7 @@ msgid "Change the title of this book"
 msgstr "Изменить название книги"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Автор(ы) "
 
@@ -13390,7 +13406,7 @@ msgid ""
 msgstr "Измените Автора(ов) книги. Несколько авторов должны быть разделены запятой."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Издательство: "
 
@@ -13399,7 +13415,7 @@ msgid "Ta&gs: "
 msgstr "Те&ги: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13414,8 +13430,8 @@ msgstr "&Серии:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Список известных серий. Вы можете добавлять новые серии."
@@ -13482,45 +13498,45 @@ msgstr "Размер экрана: %s"
 msgid "Page setup"
 msgstr "Настройка страницы"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Профиль В&ывода:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Описание профиля"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Профиль &Ввода:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Поля"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "С&лева:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Не изменен"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "С&верху:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "С&права:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "С&низу:"
@@ -13866,7 +13882,7 @@ msgid "Edit the currently selected expre
 msgstr "Редактировать выделенное выражение"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Изменить"
 
@@ -14692,74 +14708,73 @@ msgstr "Выберите файл, из
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Не определено"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Установить '%s' на сегодня"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Очистить '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr "Открыть редактор элементов."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Значения изменены"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Вы изменили значения. В процессе использования редактора, вы должны принять или отклонить эти изменения. Применить изменения?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " индекс:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Перечисление \"{0}\" содержит неверное значение, которое будет установлено по умолчанию."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Применить изменения"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Очистить серии"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Автоматически нумеровать книги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14767,44 +14782,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "Если не отмечено, номер серии для книг будет установлен в 1. Если флажок установлен, выбранные книги будут автоматически пронумерованы в том порядке, в котором вы их выбрали. Поэтому, если вы выбрали «Книга А», а затем «Книга Б», книга «А» будет содержать серию номер 1 и книга «В» серию номер 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Задать начало нумерации с "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "Серии обычно перенумеровываются с самого большого числа в базе данных для этой серии. Отметка в этом поле - начать нумерацию со значения в поле"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "Значение, на которое увеличивается номер серии для последующих книг. Применимо только когда используются принудительные имена серий."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Перечисление \"{0}\" содержит неверные значения, которые не появятся на странице."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Удалить все теги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "теги для добавления"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "метки для удаления"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15512,11 +15527,11 @@ msgstr "Это может занять 
 msgid "Vacuuming..."
 msgstr "Очистка..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Проверка библиотеки -- Найдены проблемы"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15580,79 +15595,84 @@ msgid ""
 "        "
 msgstr "        <h1>Помощь</h1>\n\n        <p>calibre хранит список ваших книг и их метаданные в базе данных.\n        Текущие файлы книг и обложки хранятся как обычные файлы в папке\n        библиотеки calibre. База данных содержит списой файлов и обложек\n        принадлежащих каждой книге. Этот инструмент проверяет чтобы\n        текущие файлы в папке библиотеки на компьютере совпадали с\n        информацией в базе данных.</p>\n\n        <p>Результаты каждого типа проверки отображаются слева.\n        Имеющиеся типы проверок:\n        </p>\n        <ul>\n        <li><b>Неверные названия</b>: Это файлы и папки входящие в\n        библиотеку в которых названия книг не имеют\n        правильной формы названия.</li>\n        <li><b>Дополнительные названия</b>: Это дополнительные файлы\n        в вашей библиотеке, которые имеют правильные названия, но не\n        имеют соответствующих записей в базе данных.</li>\n        <li><b>Неправильные авторы</b>: Это лишние файлы в библиотеке,\n        в которой должны быть только папки авторов.</li>\n        <li><b>Дополнительные авторы</b>: Это папки в библиотеке,\n        которые названы по авторам, но не имеют соответствующих записей\n        в базе данных.</li>\n        <li><b>Потерянные форматы книг</b>: Это форматы книг, которые\n        есть в базе данных, но не имеют соответствующих файлов в папке книги.</li>\n        <li><b>Дополнительные форматы книг</b>: Это файлы форматов книг,\n        которые есть в папке книги, но не имеют соответствующих записей в базе даных.</li>\n        <li><b>Неизвестные файлы в книгах</b>: Это дополнительные файлы в\n        папках книг, которые не отвечают известным правилам для формата или обложки.</li>\n        <li><b>Утраченые файлы обложки</b>: Это книги, которые отмечены\n        в базе данных как имеющие обложку, но потерявшие реальный файл обложки.</li>\n        <li><b>Файл обложки не в базе данных</b>: Это книги которые имеют\n        файл обложки, но отмеченные в базе данных как не имеющие обложки.</li>\n        <li><b>Основная ошибка папки</b>: Это папки в библиотеке, которые\n        не обработаны/распознаны этим инструментом.</li>\n        </ul>\n\n        <p>Есть два типа автоматического исправления: <i>Удалить\n        отмеченное</i> и <i>Исправить отмеченное</i>.</p>\n        <p><i>Удалить отмеченное</i> используется для удаления дополнительных\n        файлов/папок/обложек, которые не имеют записей в базе данных.\n        Отметте далее элементы, которые хотите удалить. Используйте с осторожностью.</p>\n\n        <p><i>Исправить отмеченное</i> распространяется только на обложки\n        и потерянные форматы (три строки с пометкой 'исправимо'). В случае\n        потери файлов обложки, установка 'поля исправимости' и нажатие этой\n        кнопки скажет calibre что не для всех книг в списке есть обложки. Используйте\n        эту опцию если не собираетесь восстанавливать обложки из резервной копии.\n        В случае наличия дополнительных обложек, установка 'поля исправимости'\n        и нажатие этой кнопки скажет calibre что все найденные файлы обложек верны\n        для всех книг в списке. Используйте это если не собираетесь удалять файл(ы).\n        В случае потери форматов, установка 'поля исправимости' и нажатие этой кнопки\n        скажет calibre что форматы действительно утеряны. Используйте это если\n        не собираетесь восстанавливать форматы из резервной копии.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Проверить ещё раз"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Скопировать &в буфер обмена"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Готово"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Отметить &всё для удаления"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Отметьте все удаляемые подпункты"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Удалить &отмеченные"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Удалить отмеченные файлы (выбранные подэлементы)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Отмети&ть всё как исправленное"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Отметить все исправляемые элементы"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "Ис&править отмеченное"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Исправить отмеченные разделы (проверенные исправимые элементы)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Игнорируемые имена:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Введите разделённые запятой стандартные файловые шаблоны вроде synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Игнорируемые расширения:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Введите разделённые запятой расширения без точки. Используется только в папках книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(исправимо)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Путь в библиотеке"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15702,8 +15722,8 @@ msgstr "Путь %s содержит т
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Неправильный путь"
 
@@ -16259,46 +16279,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (было %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Элемент пуст"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Элемент не может быть пустым. Вместо этого удалите его."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Ничего не выбрано"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Вы должны выбрать один элемент из списка доступных."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Нет выбранных элементов"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Вы должны выбрать хотя бы один элемент из списка."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Вы действительно хотите удалить следующие элементы?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Редактор категорий"
 
@@ -16307,7 +16327,7 @@ msgid "Items in use"
 msgstr "Используемые элементы"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16322,11 +16342,11 @@ msgstr "Переименовать эл
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "У этой книги есть DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16356,7 +16376,7 @@ msgid "Already in calibre:"
 msgstr "Уже в calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16381,28 +16401,28 @@ msgid "Change case"
 msgstr "Сменить регистр"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Верхний регистр"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Нижний регистр"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Сменить регистр"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16429,65 +16449,65 @@ msgstr "Недопустимое имя
 msgid "You cannot change an author to multiple authors."
 msgstr "Нельзя изменить автора для множества авторов."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Управление авторами"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Искать:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr "Ис&кать"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>Показывать только авторов в\nтекущей виртуальной библиотеке. Уже внесенные изменения могут быть скрыты, но\nне забудутся.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr "Показывать только авторов в текущей &виртуальной библиотеке"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr "&Фильтровать по:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr "<p>Показывать только авторов, которые содержат текст в этом поле.\nСовпадение игнорирует регистр.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr "Фи&льтр"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Сбросить все значения сортировочных имён на автоматически\nгенерируемые из обычных имён авторов. Настроить генерацию\nможно через Предпочтения-> Расширенные-> Расширенные настройки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "&Перевычислить все значения сортировочных имён авторов"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Копировать каждое сортировочное имя в обычное имя автора. Как правило эта кнопка используется после изменения Предпочтения-> Расширеные-> Расширеные настройки-> Алгоритм получения сортировочного имени автора"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "&Копировать все сортировочные имена в обычное имя автора"
 
@@ -16822,77 +16842,77 @@ msgstr[1] "Скрыть {} остающ
 msgstr[2] "Скрыть {} остающихся сообщений об ошибках"
 msgstr[3] "Скрыть {} остающихся сообщений об ошибках"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Выполнение"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Обработка %d книг, пожалуйста подождите..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "Текущий шаг прогресса: %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Шаг %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Нижний регистр"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Верхний регистр"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Все первые буквы заглавные"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Замена текста"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Регулярное выражение"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Заменить поле"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Добавить в начале поля"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Добавить в конце поля"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Редактирование мета-информации для <b>%d книг</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Сразу сделать все изменения без закрытия диалогового окна. Эта операция не может быть отменена"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Книга %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Введите тип идентификатора"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16900,7 +16920,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Вы можете испортить вашу библиотеку, используя эту функцию.</b> Изменения необратимы. Не существует функции отмены. Прежде чем продолжить, настоятельно рекомендуется создать резервную копию библиотеки.<p>Поиск и замена в текстовых полях с помощью простой замены текста или регулярных выражений. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16910,7 +16930,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "В текстовом режиме в поле ищется введённый текст для поиска. Текст заменяется указанным замещающим текстом везде, где он находится в указанном поле. После завершения замены текст может быть изменен на заглавные, строчные или Регистр Заголовков . Если установлен флажок чувствительность к регистру, текст поиска должен точно совпадать. Если этот флажок снят, текст поиска будет совпадать как с заглавными, так и с строчными буквами."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16925,80 +16945,80 @@ msgid ""
 "function."
 msgstr "В режиме регулярного выражения текст поиска представляет собой произвольное регулярное выражение, совместимое с Python. Текст замены может содержать обратные ссылки на обрамлённые в скобки выражения в шаблоне. Поиск не привязан и может совпадать и заменять несколько раз в одной строке. Функции модификации (нижний регистр и т.д.) Применяются к согласованному тексту, а не к полю в целом. В поле назначения указывается поле, в котором должен быть назначен результат после согласования и замены. Вы можете заменить текст в поле или добавить соответствующий текст. См. <a href=https://docs.python.org/library/re.html\"> эту ссылку </a> для получения дополнительной информации о регулярных выражениях Python и, в частности, функции «sub»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "ОШИБКА ШАБЛОНА ПОИСКА/ЗАМЕНЫ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Вы должны указать место назначения, когда источник составное поле или шаблон"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Новое значение для столбца оценок должно быть пустым или целым от 0 до 10"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Вы должны определить конечный тип идентификатора"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Необходимо задать выражение поиска в поле \"Искать\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Неверная строка идентификатора. Требуется разделённый запятыми список пар, разделённых двоеточиями"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Поиск/Замена недопустимы"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Шаблон поиска/замены недопустим: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Удалить сохранённые поиск/замена"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Выбранный сохранённый поиск/замена будет удалён. Вы уверены?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Сохранить поиск/замену"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Имя поиска/замены"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Этот сохранённый поиск/замена уже существует и будет перезаписан. Вы уверены?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Править мета информацию"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr "Применит&ь дату"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17006,90 +17026,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Это действие приведёт к автоматическому обновлению поля сортировки автора,\nоснованному на поле авторов для каждой выбранной книги. Заметьте, что если\nвы используете элемент интерфейса (флажок) выше для выбора всех авторов в группе, поле сортировки\nавторов обновляется в любом случае, в независимости от значения этого флага (checkbox)."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Автоматически выставить сортировку по автору"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "Поменять местами автора и заголовок"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Обновить сортировочное название, используя текущее название. \r\nЭто будет применено только после других изменений названия."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Обновить со&ртировочное название"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Изменить &обложку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Сгенерировать стандартную обложку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "У&далить обложку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Пытаться автоматически обнаруживать и удалять границы и лишнее \nпространство по краям изображения обложки. Иногда может \nудалять слишком много, поэтому используйте с осторожностью."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "О&брезать обложку (ОПАСНО)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "Установить из &файлов электронных книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Установить обложки всех выбранных книг такими же, \nкак и в первой выделенной книге."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Копировать обложки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Приводит название к Титульному Регистру (Первые Буквы Заглавные).\nЕсли включена опция обменять автора и название, то она сработает перед этим."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Изменить &регистр заголовка:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Дата:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Если установлено, издатель будет очищен"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "&Очистить изд."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "Опубликовано:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17097,118 +17117,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Если не включено, то номер серии для книг будет установлен в 1.\nЕсли включено, то выбранные книги будут автоматически пронумерованы \nв выбранном вами порядке. Тоесть если вы выбрали книгу А а затем \nкнигу Б, то книга А будет иметь номер серии 1 а книга Б - номер серии 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "&Автоматически нумеровать книги в серии"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Нумерация серий обычно начинается с самого большого числа,\nкоторое есть в базе данных для этой серии.\nУстановка данной опции укажет calibre начать нумерацию с указанной цифры."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Задать начало нумерации с:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Если отмечено, серии будут очищены"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Очистить серии"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Контролировать как создаются обложки по умолчанию"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Настроить соз&дание обложек"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Указать комментарии для всех выделенных книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Удалить теги:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Удалить &все"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Добавить &теги: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Указать, как автор(ы) этой книги будут отсортированы. Например Чарльз Дикенс будет сортироваться, как Дикенс, Чарлз."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "&Применить оценку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Очистить дату публикации"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Языки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Разделённый запятыми список тегов для удаления из книг."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Открыть редактор тегов"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Сортировочное &имя автора: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Установить метаданные в calibre из метаданных в файлах электронных книг. Обратите внимание, что это не меняет обложку, для этого используйте отдельную опцию ниже."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Установить &метаданные (исключая обложку) из файлов электронных книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Сер&ии:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Удалить сохранённые настройки преобразования для этих книг.\n\nСледующее преобразование этих книг будет использовать настройки по умолчанию."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Удалить сохранённые настройки преобразования для выбраных книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17217,152 +17237,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Когда происходит преобразование из формата в тот же формат, \nнапример из EPUB в EPUB, calibre сохраняет исходный EPUB\n как ORIGINAL_EPUB. Эта настройка заставляет calibre\n восстанавливать EPUB из ORIGINAL_EPUB. Полезно когда вы\n проводите массовое преобразование множества книг\n и что то идёт не так."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Восстановить &оригиналы до конвертации, если возможно"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Установите этот флажок, чтобы удалить все теги из книг."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "Оценка:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "О&сновные метаданные"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Метаданные поль&зователя"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "Загрузить поис&к/замену:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Выбрать сохранённый поиск/замену для загрузки."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Сохранить текущий поиск/замену"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Сохранить"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Искать в &поле:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Имя поля, в котором будет выполняться поиск"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "&Режим поиска:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Выберите, какой режим использовать: обычное текстовое сравнение или регулярное выражение"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "Тип &идентификатора:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Выберите, какой тип идентификатора использовать"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Шаблон:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Введите шаблон для использования в поиске/замене"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Введите то, что ищете: простой текст или регулярное выражение, в зависимости от режима"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Включите, если хотите, чтобы поиск вёлся с учётом регистра символов. Отключите, чтобы игнорировать регистр."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "С учё&том регистра"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Заменить на:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Текст замены. Найденный текст будет заменён на эту строку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "Обр&аботка после замены:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Укажите, как текст будет обработан после сравнения и замены. В текстовом режиме обрабатывается\nвсё поле. В режиме регулярного выражения обрабатывается только соответствующий текст."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "Поле на&значения:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Поле, в которое будет помещён текст после всех замен.\nЕсли пусто, будет использовано исходное поле, если его можно изменять"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "Р&ежим:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Укажите, как следует копировать в поле назначения."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Определяет, должны ли конечные элементы быть разделены на несколько\nчастей, или остаться по отдельности. Эта опция будет наиболее эффективна\nкогда начальное поле одно, а конечное поле составное."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Разделить &результат"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Тип идентификатора:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17370,48 +17390,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Выберите тип идентификатора для работы. Когда \n              исходное поле отличается от 'identifiers' вы можете ввести * если \n              хотите заменить существующее множество идентификаторов на \n              результат поиска/замены.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Для составных полей показывать"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "зна&чения начинающиеся с"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "со значениями &разделяемыми "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Используется при отображении результатов теста составных полей"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Текст для теста"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Результаты теста"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Ваш &тест"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "По&иск и замена"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Если включено, список книг будет пересортирован, и после завершения\n редактирования обновится существующий поиск или виртуальная библиотека.\n Это может быть медленно в больших библиотеках."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "&Обновить список книг после редактирования"
 
@@ -18040,7 +18060,7 @@ msgstr "Неверный сохранё
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Управление сохранёнными поисками"
 
@@ -18700,76 +18720,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Текущая категория тегов будет <b>удалена безвозвратно</b>. Вы действительно хотите это сделать?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Редактор пользовательских категорий"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "Имя &категории: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Выберите категорию для редактирования"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "Фильтр &категорий:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Выберите тип содержимого для новой категории"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr "&Фильтр элементов: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr "Введите текст, чтобы отфильтровать доступные элементы. Регистр и ударения игнорируются."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr "Удалить текущую категорию тегов"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr "Введите название категории, затем используйте кнопку «Добавить» или кнопку «Переименовать»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Добавить новую категорию"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Переименовать текущую категорию на ту, что введена"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr "<p>Показывать элементы в поле «Доступные элементы», только если они отображаются в\nтекущей виртуальной библиотеке. Примененные элементы, отсутствующие в виртуальной библиотеке, будут помечены\n\"нет ни в одной книге\"</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr "&Показывать только доступные элементы в текущей виртуальной библиотеке"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "&Доступные элементы"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Добавить теги к текущей категории тегов"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "Применённые &элементы"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Убрать тег из текущей категории"
 
@@ -18801,121 +18821,121 @@ msgid ""
 "to delete them?"
 msgstr "Следующие теги применены к одной или нескольким книгам. Вы действительно хотите удалить их?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr "Управление элементами"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr "&Добавить элемент:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr "Применить элемент(ы) к текущей книге"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr "Фильтровать доступные элементы"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr "Удалить элемент из базы данных. Это приведёт к тому, что элемент будет отменён из всех книг, а затем удалён из базы данных."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr "До&ступные элементы"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr "Применить элемент к текущей книге"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr "Отменить (удалить) элемент из текущей книги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr "Фильтровать применённые элементы"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Количество"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Было"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr "Редактирование..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Действительно отменить изменения?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Восстановить элемент?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Элемент удалён. Хотите ли вы восстановить его?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr "Искать элемент в первом столбце"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr "Найти элементы, содержащие строку поиска"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>Показывать только элементы в\nтекущей виртуальной библиотеке. Уже внесенные изменения могут быть скрыты, но\nне забудутся.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr "Показывать только элементы в текущей &виртуальной библиотеке"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr "&Фильтровать по:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr "Фильтровать элементы, используя текст в этом поле"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr "Показать только элементы, содержащие этот текст"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr "Ф&ильтр"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr "Переименовать элемент во всех книгах, в которых он используется."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Отменить любые удаления/правки выделенных строк"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19800,17 +19820,17 @@ msgstr "Макет"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Показать и скрыть различные части главного окна calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Нет формата %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Книга {0} не имеет формата  {1}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Восстановить %s"
@@ -20097,21 +20117,11 @@ msgstr "Книга %(sidx)s из <span c
 msgid "This book is on the device in %s"
 msgstr "Данная книга находится на устройстве в %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Установить неопределённую дату"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Установить сегодняшнюю дату"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Сделать неопределённым"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Д"
 
@@ -20455,7 +20465,7 @@ msgid ""
 msgstr "Путь к портативному Calibre (%s) слишком длинный. Должно быть меньше 59 символов."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Библиотека calibre"
 
@@ -20618,6 +20628,16 @@ msgstr "&Выход"
 msgid "Unhandled exception"
 msgstr "Необработанное прерывание:"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Установить неопределённую дату"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Установить сегодняшнюю дату"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20899,7 +20919,7 @@ msgstr "&Издательство:"
 msgid "Clear publisher"
 msgstr "Очистить издательство"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Очистить дату"
 
@@ -20973,7 +20993,7 @@ msgid "Processed %s"
 msgstr "Обработано %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Поля метаданных для скачивания"
 
@@ -21738,13 +21758,13 @@ msgid "&Automatic adding"
 msgstr "&Автодобавление"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Высокий"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Низкий"
 
@@ -21769,80 +21789,80 @@ msgstr "Все на 1 вкладке"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Подтверждающие диалоги были восстановлены"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Сообщить, если доступна &новая версия"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Автоотправка скачанных &новостей в читалку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Приоритет задачи"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr "Выбрать другой макет для диалога изменения метаданных. \"Компактное\" расположение позволяет редактировать метаданные раньше чем обложки и форматы."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Предпочтительный порядок в&ходных форматов:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Предпочтительный в&ыходной формат:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "&Макет правки метаданных (одиночный):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Если отмечено, пользовательские значения столбцов могут быть Да, Нет или Неизвестно.\nЕсли не отмечено, значения могут быть Да или Нет"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "&Да/Нет столбцы имеют три значения (требуется перезапуск)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Удалить новость из библиотеки, после автоотправки в читалку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "&Задержка сети по умолчанию:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Установить задержку по умолчанию для сетевых вызовов (т.е. в любое время вы выходите в интернет для получения информации)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " секунд"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr "Использовать эту виртуальную библиотеку при запуске calibre когда занята основная библиотека. Также применяется при переключении на текущую библиотеку. Помните, что эти настройки сохраняются для каждой библиотеки индивидуально. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Восстановить все отключённые под&тверждающие диалоги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Использовать встроенную &читалку для:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Виртуальная библиотека при открытии текущей &библиотеки:"
 
@@ -22831,37 +22851,37 @@ msgid ""
 " effect.\n"
 msgstr "Скопируйте эти значения в буфер обмена, вставьте их в редактор, затем введите их в USER_DEVICE, настроив плагин устройства в Настройках -> Дополнительно-> Плагины. Не забудьте также ввести папки, в которые вы хотите положить книги. Нужен рестарт calibre, для применения изменений.\n"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr "<p>calibre может отсылать ваши книги вам (или на вашу читалку) по электронной почте. Электронные письма со скачанными новостями автоматически отправятся на все адреса, у которых выставлен флажок <i>Автоотправка</i>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Добавить адрес электронной почты для отправки книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Добавить электронную почту"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "По у&молчанию"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Удалить электронную почту"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Добавить комментарии из метаданных книги в письмо.\nПолезно для предоставления получателю информации о книге до её открытия."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Добавить метаданные &комментариев в виде текста к письму"
 
@@ -22998,8 +23018,8 @@ msgid "Create a new rule"
 msgstr "Создать новое правило"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
-msgstr "Ключ идентификатора, например, в isbn:XXX, ключ — ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
+msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
 msgid "&Key:"
@@ -23136,7 +23156,7 @@ msgid "If there is enough room"
 msgstr "Если достаточно места"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "По первой букве"
 
@@ -23407,7 +23427,7 @@ msgid "Caching of covers for improved pe
 msgstr "Кэширование обложек для повышения производительности"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Отключено"
 
@@ -23802,86 +23822,86 @@ msgstr "Источник не выбра
 msgid "No source selected, cannot configure."
 msgstr "Невозможно настроить, не выбран источник."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Источники метаданных"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr "Отключите любые нежелательные источники метаданных, сняв их флажок. Вы также можете установить приоритет обложки. Обложки из источников, имеющих более высокий (меньший) приоритет, будут предпочтительнее при массовой загрузке метаданных."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Источники с красным «X» возле имени нужно настроить перед использованием."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "&Конфигурировать выбранный источник"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Если снять флажок с каких-либо полей, метаданные для них загружены не будут"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "В&ыделить всё"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr "О&чистить выбор"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Восстанавливает ваш набор выбранных полей, который вы определяете, используя кнопку «Установить по умолчанию»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr "Выделить &стандартные"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Запоминает текущий выбор полей, и вы можете быстро применить его, нажав кнопку «Выделить стандартные»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Установить по умолчанию"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Преобразовать все загруженные комментарии в простой &текст"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Обмен порядк&а следования Имени и Фамилии автора"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>При загрузке комментариев добавлять их в любой существующий комментарий, вместо перезаписи их."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "При загрузке комментариев добавлять их в любой существующий комментарий, вместо перезаписи их."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Добавить комментарии к &существующим"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23890,47 +23910,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr "<p>Обычно система загрузки метаданных будет хранить только один результат на источник метаданных. Эта опция возвращает все результаты из каждого источника метаданных. Полезно, если вы используете только один или два источника и хотите выбрать отдельные результаты из них вручную. Обратите внимание, что результат с одинаковым названием/автором/идентификаторами всё ещё объединены."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "Больше одной записи на источник"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Различные источники метаданных имеют различные наборы тегов для одной книги. Если эта опция выбрана calibre будет использовать наименьший набор тегов. Они обычно ограничиваются жанрами, в то время как большие наборы описывают содержание книги.\n<p>Обратите внимание, что эта опция будет полезна только если один из источников данных имеет жанры в виде набора тегов, для интересующей вас книги. Чаще бывает что все источники имеют большие наборы тегов."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Предпочитать меньшие наборы тегов при выборе тегов из разных источников"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Желательно &меньше тегов"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Создать &правила для фильтрации/преобразования тегов"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "Создать правила для &преобразования имён авторов"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "Макси&мум тегов для загрузки:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Макс. &время ожидания после нахождения первого совпадения:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " с"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Макс. время ожидания после нахождения первой &обложки:"
 
@@ -25480,7 +25500,7 @@ msgid "Paste and &search"
 msgstr "Вставить и &найти"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Вставить"
@@ -26506,150 +26526,150 @@ msgstr "Все category_managers дос
 msgid "'Click' found item"
 msgstr "\"Щёлкните\" найденный элемент"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Изменить значок для: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr "Переименовать %s в виртуальной библиотеке"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Переименовать %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr "Удалить %s из виртуальной библиотеки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Удалить %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Редактировать сортировку для %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Редактировать ссылку для %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "Добавить %s в пользовательскую категорию"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Дочерний для %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr "Применить %s к выбранным книгам"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr "Добавить %s к выбранным книгам"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr "Удалить %s из выбранных книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr "Удалить сохранённый поиск %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Удалить %(item)s из категории %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Искать всё кроме %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "Поиск с использованием сохраненного поискового выражения"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Добавить подкатегорию в %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Удалить пользовательскую категорию %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Скрыть категорию %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Показать категорию"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Искать книги в категории %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Искать книги НЕ в категории %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Изменить значок категории"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Восстановить значок по умолчанию"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Управление пользовательскими категориями"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Показать все категории"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Сменить схему подкатегорий"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Раздел"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Первая буква может использоваться только при сортировке по именам"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "Ра&звернуть все дочерние элементы"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Свернуть все уровни"
 
@@ -27319,7 +27339,7 @@ msgid "The Qt WebEngine Render process c
 msgstr "Процесс отрисовки Qt WebEngine перезапущен из-за сбоя"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Несохранённые изменения"
 
@@ -27726,12 +27746,12 @@ msgid ""
 msgstr "Файл %s не существует. Если вы пытались нажать на элемент оглавления, то, возможно, вам стоит обновить его, нажав правую кнопку мыши и выбрав «Обновить»."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Неподдерживаемый формат файла"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "Редактирование файлов типа %s не поддерживается"
@@ -27789,76 +27809,76 @@ msgid "Import"
 msgstr "Импорт"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "До: Замена %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Чтобы посмотреть отчёт, вы должны сначала открыть книгу."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Чтобы проверить ссылки, вы должны сначала открыть книгу."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Чтобы сжать изображения, вы должны сначала открыть книгу."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "До: сжать изображения"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Неожиданная ошибка"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Не удалось сжать изображения, нажмите \"Показать детали\" для подробностей"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Нельзя раскодировать"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Нельзя редактировать %s. Кажется, он в неизвестной кодировке символов"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Сейчас нету открытых книг. Вначале вам стоит открыть книгу для редактирования."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "Текущая книга сохраняется в фоне. Если выйти сейчас, это <b>прервёт процесс сохранения</b>! Сначала закончить сохранение?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Выйти немедленно"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Закончить с сохранением"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Имеются несохранённые изменения, если вы выйдите без сохранения, то потеряете их."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Сохранить и выйти"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Выйти без сохранения"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Сохранение, пожалуйста, подождите…"
 
@@ -31277,18 +31297,18 @@ msgstr[3] "{} отключённых п
 msgid "Disabled confirmations restored"
 msgstr "Отключить все восстановленные подтверждения"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr "Сбой процесса отрисовки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr "Сбой процесса отрисовки Qt WebEngine, из-за чего предпросмотр и живой CSS работать не будут. Попробуйте перезапустить редактор."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31302,70 +31322,70 @@ msgid ""
 "            "
 msgstr "\n            <h3>Предварительный просмотр в режиме реального времени</h3>\n\n            <p>Здесь вы увидите предварительный просмотр HTML-файла, который вы сейчас редактируете.\n            Предварительный просмотр будет обновляться автоматически при внесении изменений.\n\n            <p style=\"font-size:x-small; color: gray\">Обратите внимание, что это только быстрый просмотр\n            Он не предназначен для имитации реального чтения электронных книг.\n            Разрывы страниц и поля страницы не работают.\n            "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Исходный код элемента"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Открыть ссылку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Править %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Поиск в предпросмотре"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Недопустимое расположение"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Нельзя разделять тег body"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Не удалось запустить worker"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Не удалось запустить процесс обработчика, используемый для отображения предпросмотра"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Невозможно отключить"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Автоматическое обновление панели просмотра не может быть отключено пока открыта панель Живого CSS"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Автоматически обновлять просмотр при изменениях текста в редакторе"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Отключить автоматическое обновление просмотра"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Отключить синхронизацию положения просмотра с положением в редакторе"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Включить синхронизацию положения просмотра с положением в редакторе"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Отменить разделение файла"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34321,13 +34341,13 @@ msgstr "Не удалось загруз
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Не удалось открыть книгу в {0}. Нажмите «Показать подробности» для получения дополнительной информации."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Сбой процесса отрисовки Qt WebEngine. Попробуйте перезапустить читалку."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "Выберите фоновое изображение"
 
@@ -34362,30 +34382,30 @@ msgstr "Скрыть {}"
 msgid "Show {}"
 msgstr "Показать {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Выбор &цвета"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Выбрать цвет"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "&Вырезать"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "У&величить"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "У&меньшить"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Не оценено"
 
@@ -34439,44 +34459,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Выберите своё устройство чтения электронных книг, а если его нет в списке, то «%s»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "Если вы переместили calibre со старого компьютера на новый, прочтите <a href=\"{0}\">инструкции</a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Выберите расположение для книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Не удалось создать папку %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Нужно выбрать пустую папку для библиотеки calibre. %s не пуста."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Далее >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Назад"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34484,15 +34508,15 @@ msgstr "< &Назад"
 msgid "Cancel"
 msgstr "Отменить"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Готово"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Фиксировать"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Мастер начальной настройки"
 
@@ -34500,7 +34524,7 @@ msgstr "Мастер начальной
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Добро пожаловать в Сalibre"
@@ -34508,7 +34532,7 @@ msgstr "Добро пожаловать
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Единое решение для  работы с электронными книгами."
@@ -34523,7 +34547,7 @@ msgstr "&Устройства"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Страница мастера"
@@ -34561,17 +34585,17 @@ msgstr "<p>calibre может автом
 msgid "&Kindle email:"
 msgstr "&Kindle почта:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Выберите ваш &язык:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Выберите место для своих книг. При добавлении книг в calibre они скопируются туда. Используйте <b>пустую папку</b> для новой библиотеки calibre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37159,6 +37183,27 @@ msgstr "check_yes_no(field_name, is_unde
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no требует, чтобы поле было пользовательским столбцом Yes/No"
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "Безымянное изображение"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/rw.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/rw.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/rw.po	2020-07-02 04:06:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/rw.po	2020-07-16 16:36:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "Nta nakimwe bikora"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "Nta nakimwe bikora"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/sc.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/sc.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/sc.po	2020-07-02 04:04:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/sc.po	2020-07-16 16:42:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "Does absolutely nothing"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "Does absolutely nothing"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/si.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/si.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/si.po	2020-07-02 04:03:44.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/si.po	2020-07-16 16:39:09.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -207,7 +207,7 @@ msgstr "කිසිම දෙයක්
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -219,12 +219,12 @@ msgstr "කිසිම දෙයක්
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1134,9 +1134,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1161,7 +1161,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1223,7 +1223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2836,8 +2836,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2846,8 +2846,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3190,7 +3190,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3303,7 +3303,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3330,8 +3330,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3719,61 +3719,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6207,7 +6218,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6230,7 +6241,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6496,103 +6507,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6600,7 +6611,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8489,7 +8500,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8967,7 +8978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9012,7 +9023,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9064,7 +9075,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9219,7 +9230,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9259,7 +9270,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10155,7 +10166,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10757,7 +10768,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10968,7 +10979,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11416,8 +11427,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11546,42 +11557,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11590,112 +11606,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11703,7 +11719,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11772,7 +11788,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11790,11 +11806,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11933,7 +11949,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11968,7 +11984,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12015,8 +12031,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12128,22 +12144,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12371,7 +12387,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12846,10 +12862,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13281,7 +13297,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13296,7 +13312,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13305,7 +13321,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13320,8 +13336,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13388,45 +13404,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13772,7 +13788,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14598,74 +14614,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14673,44 +14688,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15416,11 +15431,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15484,79 +15499,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15606,8 +15626,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16163,46 +16183,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16211,7 +16231,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16226,11 +16246,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16258,7 +16278,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16283,28 +16303,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16331,65 +16351,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16722,77 +16742,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16800,7 +16820,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16810,7 +16830,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16825,80 +16845,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16906,90 +16926,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16997,118 +17017,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17117,152 +17137,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17270,48 +17290,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17940,7 +17960,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18600,76 +18620,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18701,121 +18721,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19696,17 +19716,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19987,21 +20007,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20345,7 +20355,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20508,6 +20518,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20787,7 +20807,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20857,7 +20877,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21618,13 +21638,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21649,80 +21669,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22711,37 +22731,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22878,7 +22898,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23016,7 +23036,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23287,7 +23307,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23682,86 +23702,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23770,47 +23790,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25356,7 +25376,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26382,150 +26402,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27195,7 +27215,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27602,12 +27622,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27665,76 +27685,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31137,18 +31157,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31162,70 +31182,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34173,13 +34193,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34214,30 +34234,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34291,44 +34311,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34336,15 +34360,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34352,7 +34376,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34360,7 +34384,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34375,7 +34399,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34413,17 +34437,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37009,6 +37033,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/sk.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/sk.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/sk.po	2020-07-02 04:04:56.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/sk.po	2020-07-16 16:38:38.000000000 +0000
@@ -21,8 +21,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
@@ -220,7 +220,7 @@ msgstr "Nerobí vôbec nič"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -232,12 +232,12 @@ msgstr "Nerobí vôbec nič"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1147,9 +1147,9 @@ msgstr "Katalóg"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1174,7 +1174,7 @@ msgstr "Cesta ku knižnici ({0}) má pr
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1236,7 +1236,7 @@ msgstr "Uložené hľadania"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2849,8 +2849,8 @@ msgstr "Preberám zoznam kníh zo zariad
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2859,8 +2859,8 @@ msgstr "Odoberám knihy zo zoznamu v zar
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3203,7 +3203,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Upraviť šablónu"
@@ -3316,7 +3316,7 @@ msgid "Communicate with MTP devices"
 msgstr "Komunikácia so zariadeniami MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Preberám informácie o zariadení..."
@@ -3343,8 +3343,8 @@ msgid "Finished reading metadata from de
 msgstr "Čítanie metadát zo zariadenia skončilo"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3732,61 +3732,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Príliš veľa pokusov o pripojenie z %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Aplikácia na vašom zariadení je zastaralá a už nie je podporované. Aktualizujte ju na novšiu verziu."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Neplatný port vo voľbách: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Pripojenie k portu %d zlyhalo. Skúste inú hodnotu."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Použitie náhodného portu zlyhalo"
 
@@ -6220,7 +6231,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Nie"
 
@@ -6243,7 +6254,7 @@ msgid "Producer"
 msgstr "Producent"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6511,103 +6522,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Stiahne metadáta a obálky z Amazon-u"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "US"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Francúzsko"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Nemecko"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Veľká Británia"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Austrália"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Taliansko"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japonsko"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Španielsko"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brazília"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Holandsko"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Čína"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Kanada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Vybrať server automaticky"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Servery Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Metadáta z Amazonu budú stiahnuté z jej verzie pre súto krajinu."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6615,7 +6626,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Čas pre Amazon vypršal. Skúste neskôr."
 
@@ -8510,7 +8521,7 @@ msgstr "Do schránky neboli skopírovan
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -9000,7 +9011,7 @@ msgstr "Priečinok %s už existuje. Najp
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Príliš dlhé"
 
@@ -9045,7 +9056,7 @@ msgstr "Knižnica %s bola z Calibre odst
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9097,7 +9108,7 @@ msgstr "V databáze calibre knižnice sa
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9254,7 +9265,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Kopírovať"
@@ -9294,7 +9305,7 @@ msgstr "{0} od {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Vybrať &všetko"
 
@@ -10202,7 +10213,7 @@ msgid "Move to next highlighted match"
 msgstr "Presunúť na ďalšiu zvýraznenú zhodu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "E"
 
@@ -10810,7 +10821,7 @@ msgid "this book"
 msgstr "táto kniha"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Hľadať %s"
@@ -11023,7 +11034,7 @@ msgstr "&Náhľad knihy"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11477,8 +11488,8 @@ msgstr "Zmeniť"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11607,42 +11618,47 @@ msgid "Search the internet for this book
 msgstr "Hľadať túto knihu na internete"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Spravovať %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Vymazať formát %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Uložiť formát %s na disk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Obnoviť %s formát"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11651,112 +11667,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr "Otvoriť %s pomocou..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Odstrániť %s z tejto knihy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Otvoriť obal pomocou..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Prilepiť obal"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Kopírovať obal"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Uložiť obal na disk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Odstrániť obal"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Generovať obal z metadát"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "JPEG obrázky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Cesta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11764,7 +11780,7 @@ msgstr "Cesta"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Veľkosť obálky: %(width)d x %(height)d bodov"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11833,7 +11849,7 @@ msgstr "výstup"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11851,11 +11867,11 @@ msgstr "výstup"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11994,7 +12010,7 @@ msgid "Preset name:"
 msgstr "Názov predvoľby:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Musíte poskytnúť meno"
 
@@ -12029,7 +12045,7 @@ msgstr "Pravda"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12076,8 +12092,8 @@ msgid "Delete current preset"
 msgstr "Odstrániť aktuálnu predvoľbu"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Odstrániť"
 
@@ -12189,22 +12205,22 @@ msgstr "Obnoviť na východzie"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12432,7 +12448,7 @@ msgstr "Hlavička {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12907,10 +12923,10 @@ msgstr "&Koeficient veľkosti písma:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " bodov"
@@ -13342,7 +13358,7 @@ msgid "Change the title of this book"
 msgstr "Názov knihy"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Autor(i): "
 
@@ -13357,7 +13373,7 @@ msgid ""
 msgstr "Autor(i) tejto knihy. Viacerí autori by mali byť oddelení čiarkami"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Vydavateľ: "
 
@@ -13366,7 +13382,7 @@ msgid "Ta&gs: "
 msgstr "&Značky: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13381,8 +13397,8 @@ msgstr "&Séria:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Zoznam známych sérií. Môžete zadať novú sériu."
@@ -13449,45 +13465,45 @@ msgstr "Veľkosť obrazovky: %s"
 msgid "Page setup"
 msgstr "Nastavenie strany"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "Výstupný pr&ofil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Popis profilu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "V&stupný profil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Okraje"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "V&ľavo:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Nezmenené"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Hore:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "V&pravo:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Dole:"
@@ -13833,7 +13849,7 @@ msgid "Edit the currently selected expre
 msgstr "Upraviť aktuálne vybraný výraz"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Zmeniť"
 
@@ -14659,74 +14675,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Nedefinované"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Nastaviť '%s' na dnes"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Vymazať '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Hodnoty sa zmenili"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Zmenili ste hodnoty. Pred použitím editora musíte tieto zmeny buď zrušiť, alebo použiť. Použiť zmeny?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " index:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Zoznam \"{0}\" obsahuje neplatnú hodnotu, ktorá bude nastavená ako štandardná"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Použiť zmeny"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Vyčistiť série"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Číslovať knihy automaticky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14734,44 +14749,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Vynútiť číslovanie od "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Zoznam \"{0}\" obsahuje neplatné hodnoty, ktoré sa nezobrazia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Odtrániť všetky značky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "pridať značky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "odstrániť značky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15479,11 +15494,11 @@ msgstr "Toto bude chvíľu trvať, počk
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15547,79 +15562,84 @@ msgid ""
 "        "
 msgstr "        <h1>Nápoveda</h1>\n\n        <p>Calibre ukladá zoznam kníh a ich metadáta do databázy.\n        Konkrétne súbory a obálky knihy sú uložené ako normálne\n        súbory v priečinku knižnice Calibre. Databáza obsahuje zoznam\n        súborov a obálok patriacich ku každému záznamu knihy. Tento\n        nástroj kontroluje, či sa súbory v priečinku knižnice zhodujú\n        s informáciami v databáze.</p>\n\n        <p>Výsledok všetkých kontrol sa zobrazí vľavo. Rôzne kontroly\n        sú:\n        </p>\n        <ul>\n        <li><b>Neplatné tituly</b>: Na mieste, kde by mali byť tituly\n        kníh sú súbory a priečinky, ktoré však nemajú korektný formát\n        aby mohli byť titulmi knihy.</li>\n        <li><b>Nadbytočné tituly</b>: V knižnici Calibre sú súbory, ktoré\n        vyzerajú byť v správnom tvare, ale nemajú v databáze\n        korešpondujúci záznam.</li>\n        <li><b>Neplatní autori</b>: To sú súbory, ktoré sa vyskytujú\n        na mieste, kde by mali byť len priečinky autorov.</li>\n        <li><b>Nadbytoční autori</b>: Toto sú priečinky v knižnici Calibre,\n        ktoré vyzerajú byť autormi, ale nemajú záznam v databáze.</li>\n        <li><b>Chýbajúce formáty knihy</b>: Sú to knižné formáty, ktoré\n        sú v databáze, ale chýba korešpondujúci súbor v priečinku knihy.</li>\n        <li><b>Nadbytočné formáty knihy</b>: Sú to formáty kníh\n        v priečinku knihy, ktoré nie sú v databáze.</li>\n        <li><b>Neznáme súbory v knihách</b>: Sú to nadbytočné súbory\n        v priečinku knihy, ktoré nekorešpondujú so známym formátom,\n        alebo súborom obálky.</li>\n        <li><b>Chýbajúce súbory obálky</b>: Sú to knihy, ktoré podľa\n        databázy majú mať obálku, ale konkrétny súbor obálky chýba.</li>\n        <li><b>Nadbytočné súbory obálky</b>: Sú to knihy, ktoré majú\n        súbory obálky, ale podľa databázy obálku nemajú.</li>\n        <li><b>Priečinok vyvolávajúci výnimku</b>: Reprezentuje priečinky\n        v knižnici Calibre, ktoré nemôžu byť týmto nástrojom\n        spracované/pochopené.</li>\n        </ul>\n\n        <p>Existujú dva možné druhy automatických opráv: <i>Odstrániť\n        označené</i> a <i>Opraviť označené</i>.</p>\n        <p><i>Odstrániť označené</i> sa používa na odstránenie nadbytočných\n        súborov/priečinkov/obálok, ktoré nie sú uvedené v databáze. Zaškrtnite\n        označenie vedľa položky, ktorú chcete odstrániť. Používajte opatrne.</p>\n\n        <p><i>Opraviť označené</i> je použiteľné len na obálky a chýbajúce\n        formáty (tri riadky označené 'opraviteľné'). V prípade chýbajúcich\n        súborov obálky si Calibre zapamätá, že tieto knihy nemajú obálku.\n        Použite to ak neplánujete obnoviť obálky zo zálohy. V prípade\n        nadbytočných súborov obálky zoberie Calibre tieto súbory ako platné\n        obálky pre zobrazené knihy. Použite ak nechcete tieto súbory odstrániť.\n        V prípade chýbajúcich formátov si Calibre zapamätá, že tieto formáty\n        sú naozaj stratené. Použite ak neplánujete obnoviť formáty zo zálohy.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Spustiť kontrolu znova"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Kopírovať do &schránky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Hotovo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Odstrániť &označené"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Odstrániť označené súbory (zaškrtnuté pod-položky)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "Op&raviť označené"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Opraviť označené sekcie (zaškrtnuté opraviteľné položky)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Ignorovať názvy:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Vložte zoznam súborov so štandardnými zástupnými znakmi oddelené čiarkami, napr. synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Ignorovať prípony:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Zadajte zoznam prípon bez úvodných bodiek oddelených čiarkou. Použije sa len v priečinkoch s knihami."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(opraviteľné)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Cesta z knižnice"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15669,8 +15689,8 @@ msgstr "Umiestnenie %s obsahuje aktuáln
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Zlé umiestnenie"
 
@@ -16226,46 +16246,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (bolo %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Položka je prázdna"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Položka nemôže byť nastavená na Nič. Vymažte ju namiesto toho."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Žiadna položke nebola vybraná"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Musíte vybrať jednu z dostupných položiek."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Žiadna položka nebola vybraná"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Musíte vybrať aspoň jednu položku zo zoznamu."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Ste si istý, že chcete odstrániť nasledujúce položky?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Editor kategórií"
 
@@ -16274,7 +16294,7 @@ msgid "Items in use"
 msgstr "Používané položky"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16289,11 +16309,11 @@ msgstr "Premenovať položku v každej k
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Táto kniha má DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16323,7 +16343,7 @@ msgid "Already in calibre:"
 msgstr "V Calibre už existuje:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16348,28 +16368,28 @@ msgid "Change case"
 msgstr "Zmeniť veľkosť písmen"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Veľké písmená"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Malé písmená"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16396,65 +16416,65 @@ msgstr "Neplatné meno autora"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Spravovať autorov"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Hľadať:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Nastaviť všetky hodnoty autora pre triedenie na hodnotu\nautomaticky vygenerovanú z autora. Presný spôsob generovania \ntejto hodnoty sa nastavuje v Nastavenia->Rozšírené->Vylepšenia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Kopírovať všetky hodnoty 'autor pre triedenie' do autora. Toto tlačidlo obvykle použijete\npo zmene Nastavenia->Rozšírené->Vylepšenia->Algoritmus autora pre triedenie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16789,77 +16809,77 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Pracuje"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Krok %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Malé písmená"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Veľké písmená"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Štýl nadpisu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Zhoda znakov"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Regulárny výraz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Nahradiť pole"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Predradiť k poľu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Pridať k poľu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Úprava meta informácií <b>%d kníh</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Ihneď urobiť všetky zmeny bez zatvorenia dialógu. Táto operácia nemôže byť zrušená, ani vrátená"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Kniha %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Zadajte typ identifikátora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16867,7 +16887,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Touto funkciou môžete zničiť Vašu knižnicu..</b> Zmeny sú trvalé. Nie je možnosť vrátiť späť. Dôrazne Vás vyzývame, aby ste pred pokračovaním zálohovali Vašu knižnicu.<p>Vyhľadanie a náhrada v textových poliach pomocou zhody znakov, alebo regulárnych výrazov. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16877,7 +16897,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16892,80 +16912,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "CHYBA ŠABLÓNY H/N"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Musíte určiť typ cieľového identifikátora"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Hľadanie/náhrada je neplatné"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Odstrániť uložené hľadanie/náhradu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Vybrané uložené hľadanie/náhrada bude odstránené. Ste si istý?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Uložiť hľadanie/náhradu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Názov hľadania/náhrady:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Toto uložené hľadanie/náhrada už existuje a bude prepísané. Ste si istý?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16973,90 +16993,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "A&utomaticky odvodiť autora v tvare pre triedenie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Aktualizovať názov pre triedenie podľa aktuálneho názvu. Toto sa prejaví až po ďalších zmenách názvu."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Aktualizovať názov pre &triedenie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Zmeniť &obálku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Generovať štandardnú obálku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Odstrániť obálku"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Nastaví veľkosť písma názvu na 'title case' (veľké prvé písmená podstatných mien). \nAk je zapnuté spolu s výmenou autora a názvu, výmena sa uskutoční pred nastavením\nveľkosti písma."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Dátum:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "P&ublikované:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17064,118 +17084,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Pri vypnutí bude číslo knihy v rámci série nastavené na 1.\nPri zapnutí budú vybrané knihy automaticky očíslované v poradí,\nv akom ste ich vybrali. Tzn. ak vyberiete knihu A a potom knihu B,\nbude mať kniha A priradené číslo v rámci série 1 a kniha B číslo 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "&Automaticky očíslovať knihy v rámci tejto série"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Číslo knihy v sérii bude štandardne nastavené na číslo nasledujúce za\nnajvyšším číslom knihy tejto série v databáze. \nZapnutím tejto voľby nastavíte Calibre na číslovanie série od zadaného čísla."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "Vynútiť čís&lovanie od:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Pri zapnutí bude informácie o sérii odstránená"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Odstrániť sériu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Odstrániť značky:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Odstrániť &všetky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Pridať &značky: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Určite, ako sa má autor (autori) tejto knihy triediť. Napríklad Charles Dickens by sa mal triediť ako Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Vymazať dátum publikovania"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Jazyky:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Čiarkami oddelený zoznam značiek, ktoré sa majú z kníh odstrániť. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Triediaci aut&or: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Odstrániť uložené nastavenia konverzie pre vybrané knihy.\n\nPri budúcich konverziách týchto kníh sa použijú štandardné nastavenia."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Odstrániť uložené na&stavenia konverzie pre vybrané knihy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17184,152 +17204,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Obnoviť &originály pred konverziou, ak sa dá"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Označte, ak chcete z kníh odstrániť všetky značky."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Hodnotenie:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Základné metadáta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Užívateľské metadáta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Vyberte uložené hľadanie/náhradu, ktorú chcete načítať."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Uložiť aktuálne hľadanie/nahradenie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Uložiť"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Vyhľadávacie &pole:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Názov poľa, ktoré chcete prehľadať"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "&Režim hľadania:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Vyberte, či sa má použiť vyhľadávanie podľa jednoduchej zhody textu, alebo pomocou regulárnych výrazov"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "&Typ identifikátora:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Šablóna:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Zadajte šablónu, ktorá bude použitá ako zdroj pre hľadať/nahradiť"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Zadajte čo hľadáte, buď obyčajný text, alebo regulárny výraz - v závislosti od režimu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Označte túto voľbu, ak sa majú pri hľadaní dodržať veľké/malé písmená. Nechajte prázdne, ak na tom nezáleží"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "&Rozlišovať veľkosť písmen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Nahradiť za:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Nahradzovaný text. Týmto bude nahradený text vyhovujúci hľadanému"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "Použiť po n&ahradení funkciu:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Zvoľte ako sa bude po nájdení a náhrade text spracovávať. V znakovom režime sa spracuje celé pole.\nV režime regulárnych výrazov sa spracuje len vyhovujúca časť textu."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "&Cieľové pole:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Pole, do ktorého sa bude vkladať text po všetkých nahradeniach.\nAk nezadáte, použije sa zdrojové pole - ak je upravovateľné"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "&Režim:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Zvoľte spôsob kopírovania textu do cieľa."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Určuje, či môžu byť výsledné hodnoty rozdelené do niekoľkých hodnôt,\nalebo majú byť ponechané ako jedna hodnota. Táto voľba má najväčší význam\nak je zdrojové pole jednotlivé a cieľové viacnásobné"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "&Rozdeliť výsledok"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Typ identifikátora:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17337,48 +17357,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Pre polia s viac hodnotami, &zobraziť"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "s hodnotami &oddelenými"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Použité pri zobrazení výsledkov testu na oddelenie hodnôt vo viac hodnotových poliach"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Testovací text"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Výsledok testu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Hľadať a nahradiť"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18007,7 +18027,7 @@ msgstr "Neplatné uložené hľadanie"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Spravovať uložené hľadania"
 
@@ -18667,76 +18687,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Aktuálna kategória značiek bude <b>natrvalo odstránená</b>. Ste si istý?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Editor používateľských kategórií"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "&Názov kategórie: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Vybetre kategóriu pre úpravu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "&Filter katégorií: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Vyberte druh obsahu novej kategórie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Pridať novú kategóriu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Premenovať aktuálnu kategóriu podľa poľa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "&Dostupné položky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Aplikovať značku na aktuálnu kategóriu značiek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "Aplikované &položky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Odstrániť značku z aktuálnej kategórie značiek"
 
@@ -18768,121 +18788,121 @@ msgid ""
 "to delete them?"
 msgstr "Nasledujúce značky sú použité v jednej, alebo viacerých knihách. Ste si istý, že ich chcete odstrániť?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Počet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Bolo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19767,17 +19787,17 @@ msgstr "Rozloženie"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Zobraziť a skryť rôzne časti hlavného okna calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Kniha {0} nemá {1} formát"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Obnoviť %s"
@@ -20064,21 +20084,11 @@ msgstr "Kniha %(sidx)s z <span class=\"s
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Nastaviť dátum na dnes"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "S"
 
@@ -20422,7 +20432,7 @@ msgid ""
 msgstr "Cesta ku Calibre Portable (%s) je príliš dlhá. Musí byť kratšia ako 59 znakov."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Knižnica Calibre"
 
@@ -20585,6 +20595,16 @@ msgstr "&Skončiť"
 msgid "Unhandled exception"
 msgstr "Neošetrená výnimka"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Nastaviť dátum na dnes"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20866,7 +20886,7 @@ msgstr "&Vydavateľ:"
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Vymazať dátum"
 
@@ -20940,7 +20960,7 @@ msgid "Processed %s"
 msgstr "Spracované %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21705,13 +21725,13 @@ msgid "&Automatic adding"
 msgstr "&Automatické pridávanie"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Vysoká"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Nízka"
 
@@ -21736,80 +21756,80 @@ msgstr "Všetko na jednom"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Všetky potvrdzovacie dialógy boli znovunastavené"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Upozorniť keď je dostupná &nová verzia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Automaticky odoslať stiahnuté &noviny do čítačky"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Priorita úlohy:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Porad&ie preferencie vstupných formátov:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Preferovaný f&ormát výstupu:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Ak je zapnuté, hodnoty stĺpcov Áno/Nie môžu byť Áno, Nie, alebo Neznáme.\nAk je vypnuté, hodnoty môžu byť len Áno, alebo Nie."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "&Áno/Nie stĺpce majú tri hodnoty (vyžaduje reštart)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "Po automatickom odoslaní do čítačky o&dstrániť správy z knižnice"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Štandardný časový &limit siete:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Štandardný časový limit pre sieťové dopyty (pri preberaní informácií z internetu)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " sekúnd"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "&Resetovať všetky vypnuté a potvrdzovacie dialógy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Použiť interný &zobrazovač pre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22798,37 +22818,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Pridajte e-mailovú adresu na posielanie kníh"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "Pridať em&ail"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Nastaviť &východzie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Odstrániť email"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22965,7 +22985,7 @@ msgid "Create a new rule"
 msgstr "Vytvoriť nové pravidlo"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23103,7 +23123,7 @@ msgid "If there is enough room"
 msgstr "Ak je na to dosť miesta"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Podľa prvého písmena"
 
@@ -23374,7 +23394,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Zakázať"
 
@@ -23769,86 +23789,86 @@ msgstr "Žiadny zdroj nebol vybraný"
 msgid "No source selected, cannot configure."
 msgstr "Žiadny zdroj nebol vybraný, nemôžem konfigurovať."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Zdroje metadát"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Zdroje s červeným X za názvom musia byť pred použitím nakonfigurované. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "K&onfigurovať vybraný zdroj"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Ak odznačíte niektoré polia, metadáta pre ne sa nebudú sťahovať"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Vybrať všetko"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Obnoviť vlastnú podmnožinu označených polí, ktorú ste definovali tlačidlom 'Nastaviť ako predvolené'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Nastaviť ako predvolené"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Konvertovať všetky stiahnuté komentáre na obyčajný &text"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23857,47 +23877,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Rôzne zdroje metadát obsahujú pre tú istú knihu rôzne množiny značiek. Ak je táto voľba zapnutá, použije Calibre menšiu množinu značiek, čo vedie viac k žánrom, zatiaľ čo väčšia množina značiek znamená skôr popis obsahu knihy.\n<p>Uvedomte si, že táto voľba skutočne niečo zmení len ak jeden zo zdrojov metadát má pre knihu, ktorú hľadáte, žáner vo forme značiek. Najčastejšie obsahujú všetky veľké množiny značiek."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Uprednostniť &menej značiek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Max. &doba čakania po prvej nájdenej zhode:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " sekúnd"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Max. &doba čakania po prvej nájdenej &obálke:"
 
@@ -25447,7 +25467,7 @@ msgid "Paste and &search"
 msgstr "Vložiť a &hľadať"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Vložiť"
@@ -26473,150 +26493,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Zmeniť ikonu pre: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr "Premenovať %s vo virtuálnej knižnici"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Premenovať %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr "Zmazať %s z virtuálnej knižnice"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Odstrániť %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Upraviť triedenie pre %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Upraviť odkaz pre %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Potomok od %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Odstrániť %(item)s z kategórie %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Hľadať okrem %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Pridať podkategóriu do %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Skryť kategóriu %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Zobraziť kategóriu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Hľadať knihy z kategórie %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Hľadať knihy mimo kategórie %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Zmeniť ikonu kategórie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Obnoviť predvolenú ikonu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Spravovať používateľské kategórie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Zobraziť všetky kategórie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Zmeniť schému pod-kategórií"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Oddiel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Prvé písmeno je použiteľné len pri triedení podľa názvu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Rozbaliť všetky úrovne"
 
@@ -27286,7 +27306,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Neuložené zmeny"
 
@@ -27693,12 +27713,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Nepodporovaný formát súboru"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27756,76 +27776,76 @@ msgid "Import"
 msgstr "Import"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Neočakávaná chyba"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Ukončiť okamžite"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Uložiť a ukončiť"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Ukončiť bez uloženia"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Ukladá sa, počkajte prosím..."
 
@@ -31244,18 +31264,18 @@ msgstr[3] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31269,70 +31289,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Otvoriť odkaz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Hľadať v náhľade"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34288,13 +34308,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "Vybrať obrázok pozadia"
 
@@ -34329,30 +34349,30 @@ msgstr "Skryť {}"
 msgid "Show {}"
 msgstr "Zobraziť {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Vybrať &farbu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Zvoľte farbu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Nehodnotené"
 
@@ -34406,44 +34426,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Vyberte svoju čítačku e-kníh. Ak Vaše zariadenie nie je v zozname, vyberte zariadenie \"%s\"."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Vyberte umiestnenie pre knihy"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Vytvorenie adresára v %s zlyhalo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Pre knižnicu Calibre musíte vybrať prázdny priečinok. %s nie je prázdny."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "Ď&alej >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Späť"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34451,15 +34475,15 @@ msgstr "< &Späť"
 msgid "Cancel"
 msgstr "Zrušiť"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Dokončiť"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Potvrdiť"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34467,7 +34491,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Vitajte v Calibre"
@@ -34475,7 +34499,7 @@ msgstr "Vitajte v Calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Kompletné riešenie pre potreby všetkých Vašich e-kníh."
@@ -34490,7 +34514,7 @@ msgstr "&Zariadenia"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Stránka sprievodcu"
@@ -34528,17 +34552,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "&Kindle email:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Vyberte Váš &jazyk:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Vyberte umiestnenie pre Vaše knihy. Keď pridáte knihy do Calibre, skopírujú sa sem. Pre novú knižnicu Calibre použite <b>prázdny priečinok</b>:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37126,6 +37150,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/sl.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/sl.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/sl.po	2020-07-02 04:02:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/sl.po	2020-07-16 16:36:47.000000000 +0000
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
@@ -213,7 +213,7 @@ msgstr "Ne stori ničesar"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -225,12 +225,12 @@ msgstr "Ne stori ničesar"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1140,9 +1140,9 @@ msgstr "Katalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1167,7 +1167,7 @@ msgstr "Pot do knjižnice ({0}) je predo
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1229,7 +1229,7 @@ msgstr "Shranjena iskanja"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2842,8 +2842,8 @@ msgstr "Pridobivanje seznama knjig na na
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2852,8 +2852,8 @@ msgstr "Odstranjevanje knjig iz seznama
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3196,7 +3196,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Uredi predlogo"
@@ -3309,7 +3309,7 @@ msgid "Communicate with MTP devices"
 msgstr "Povezovanje z napravami MTP."
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Pridobi podatke o napravi ..."
@@ -3336,8 +3336,8 @@ msgid "Finished reading metadata from de
 msgstr "Branje metapodatkov z naprave je končano"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3725,61 +3725,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Preseženo dovoljeno število povezav iz %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Neveljavna vrata v nastavitvah: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6213,7 +6224,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Ne"
 
@@ -6236,7 +6247,7 @@ msgid "Producer"
 msgstr "Producent"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6504,103 +6515,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Prenese metapodatke in naslovnice z Amazona"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "ZDA"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Francija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Nemčija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "VB"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japonska"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Španija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brazilija"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Nizozemska"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Kitajska"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Kanada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Izberi strežnik samodejno"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Strežniki Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6608,7 +6619,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8503,7 +8514,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8993,7 +9004,7 @@ msgstr "Mapa %s že obstaja. Najprej jo
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9038,7 +9049,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9090,7 +9101,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9247,7 +9258,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Kopiraj"
@@ -9287,7 +9298,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Izberi &vse"
 
@@ -10195,7 +10206,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10803,7 +10814,7 @@ msgid "this book"
 msgstr "to knjigo"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Išči %s"
@@ -11016,7 +11027,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11470,8 +11481,8 @@ msgstr "Spremeni"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11600,42 +11611,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Upravljaj z %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Shrani zapis %s na disk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11644,112 +11660,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Shrani naslovnico na disk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Izberite mesto shranjevanja naslovnice"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Pot"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11757,7 +11773,7 @@ msgstr "Pot"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Velikost naslovnice: %(width)d x %(height)d slik. točk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11826,7 +11842,7 @@ msgstr "izhod"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11844,11 +11860,11 @@ msgstr "izhod"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11987,7 +12003,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -12022,7 +12038,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12069,8 +12085,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Izbriši"
 
@@ -12182,22 +12198,22 @@ msgstr "Ponastavi na privzeto"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12425,7 +12441,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12900,10 +12916,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " tč"
@@ -13335,7 +13351,7 @@ msgid "Change the title of this book"
 msgstr "Spremenite naslov knjige"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Avtor(ji): "
 
@@ -13350,7 +13366,7 @@ msgid ""
 msgstr "Spremenite avtorja(je) te knjige. Če je avtorjev več, jih ločite z vejicami."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "Zalo&žnik: "
 
@@ -13359,7 +13375,7 @@ msgid "Ta&gs: "
 msgstr "Zna&čke: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13374,8 +13390,8 @@ msgstr "&Zbirka:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Seznam znanih zbirk. Lahko dodate nove zbirke."
@@ -13442,45 +13458,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "&Izhodni profil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Opis profila"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "&Vhodni profil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Robovi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Levo:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Zgoraj:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Desno:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Spodaj:"
@@ -13826,7 +13842,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Spremeni"
 
@@ -14652,74 +14668,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Nedoločeno"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Počisti '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Uveljavi spremembe"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Samodejno oštevilči knjige"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14727,44 +14742,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Odstrani vse značke"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15472,11 +15487,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr "Sesanje ..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15540,79 +15555,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "Po&novno preveri"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "&Kopiraj na odložišče"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Opravljeno"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Označi &vse za brisanje"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "I&zbriši označene"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Izbriši označene datoteke (označene podelemente)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "O&znači vse za popravo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&Popravi označene"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Popravi označene odseke (okljukane elemente za popravo)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Imena, ki naj bodo prezrta:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Pot iz knjižnice"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15662,8 +15682,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16219,46 +16239,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16267,7 +16287,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16282,11 +16302,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr "Krmilka+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16316,7 +16336,7 @@ msgid "Already in calibre:"
 msgstr "Že v calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16341,28 +16361,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16389,65 +16409,65 @@ msgstr "Neveljavno ime avtorja"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Upravljaj z avtorji"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16782,77 +16802,77 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "V delu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Zamenjaj polje"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Pripni na začetek polja"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Pripni polju"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Knjiga %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16860,7 +16880,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16870,7 +16890,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16885,80 +16905,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Določiti morate vrsto identifikatorja cilja"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Izbriši shranjeno iskanje/zamenjavo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Shrani iskanje/zamenjavo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16966,90 +16986,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Posodobi razvrščanje po &naslovu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Zamenjaj &naslovnico"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Izdelaj privzeto naslovnico"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Odstrani ovitek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Datum:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "&Objavljeno:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17057,118 +17077,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "Odst&rani značke:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Odstrani &vse"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Določite, kako se razvrščajo avtor(ji) te knjige. Npr. Charles Dickens se razvršča kot Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Počisti datum objave"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "Jezi&ki:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Z vejico ločen seznam značk, ki bodo odstranjene iz knjig. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Razvrščanje avtor&jev: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17177,152 +17197,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "O&cena:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Osnovni metapodatki"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Metapodatki po meri"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "S&hrani"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "I&skalni način:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Zamenjaj z:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17330,48 +17350,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Preizkusno besedilo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Rezultati preizkusa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Najdi in zamenjaj"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18000,7 +18020,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18660,76 +18680,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "&Ime kategorije: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Izberite kategorijo za urejanje"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Dodaj novo kategorijo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18761,121 +18781,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Krmilka+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19760,17 +19780,17 @@ msgstr "Postavitev"
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Obnovi %s"
@@ -20057,21 +20077,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20415,7 +20425,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Knjiznica Calibre"
 
@@ -20578,6 +20588,16 @@ msgstr "I&zhod"
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20859,7 +20879,7 @@ msgstr "Zalo&žnik:"
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Počisti datum"
 
@@ -20933,7 +20953,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21698,13 +21718,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Visoka"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Nizka"
 
@@ -21729,80 +21749,80 @@ msgstr "Vse na enem zavihku"
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "Prednos&t opravila:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Prednostno zaporedje v&hodnih zapisov:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Prednostni &izhodni zapis:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "Iz&briši novice iz knjižnice, ko so samodejno prenesene na bralnik"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Privzeti rok omrežne &prekoračitve:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " sekund"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Ponastavi vsa onemogočena okna za pot&rditev"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Uporabi interni &ogledovalnik za:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22791,37 +22811,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "Dodaj e-poštni naslov"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Naj bo &privzeto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Odstrani e-naslov"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "V e-sporočilo dodaj metapodatke &komentarjev kot besedilo"
 
@@ -22958,7 +22978,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23096,7 +23116,7 @@ msgid "If there is enough room"
 msgstr "Če je dovolj prostora"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Po začetnicah"
 
@@ -23367,7 +23387,7 @@ msgid "Caching of covers for improved pe
 msgstr "Predpomnjenje naslovnic za hitrejše delovanje"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Onemogoči"
 
@@ -23762,86 +23782,86 @@ msgstr "Noben vir ni izbran"
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Viri metapodatkov"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "I&zberi vse"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Nastavi kot privzeto"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Pretvori vse prenesene komentarje v samo &besedilo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23850,47 +23870,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "Najv. &število značk za prenos:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25440,7 +25460,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26466,150 +26486,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Preimenuj %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Izbriši %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Išči vse drugo kot %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Dodaj podkategorijo v %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Skrij kategorijo %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Pokaži kategorijo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Išči knjige v kategoriji %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Išči knjige zunaj kategorije %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Spremeni ikono kategorije"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Obnovi privzeto ikono"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Upravljaj z upor. kategorijami"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Pokaži vse kategorije"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Spremeni shemo podkategorij"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Particija"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "R&azširi vse podrejene"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Strni vse ravni"
 
@@ -27279,7 +27299,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Neshranjene spremembe"
 
@@ -27686,12 +27706,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27749,76 +27769,76 @@ msgid "Import"
 msgstr "Uvozi"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Nepričakovana napaka"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Zapri takoj"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Shrani in zapri"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Zapri brez shranjevanja"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31237,18 +31257,18 @@ msgstr[3] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31262,70 +31282,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Išči v predogledu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Ni mogoče onemogočiti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34281,13 +34301,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34322,30 +34342,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Izberite &barvo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Izberite barvo"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Ni ocenjeno"
 
@@ -34399,44 +34419,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Izberite mesto za knjige"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Izbrati morate prazno mapo v knjižnici calibre. %s ni prazna."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Naprej >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< Na&zaj"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34444,15 +34468,15 @@ msgstr "< Na&zaj"
 msgid "Cancel"
 msgstr "Prekliči"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Dokončaj"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Čarovnik dobrodošlice"
 
@@ -34460,7 +34484,7 @@ msgstr "Čarovnik dobrodošlice"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Dobrodošli v calibre"
@@ -34468,7 +34492,7 @@ msgstr "Dobrodošli v calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Zadovolji vse vaše e-knjižne potrebe."
@@ -34483,7 +34507,7 @@ msgstr "Na&prave"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34521,17 +34545,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Iz&berite svoj jezik:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37119,6 +37143,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/sq.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/sq.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/sq.po	2020-07-02 04:04:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/sq.po	2020-07-16 16:39:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr "nuk bën absolutisht asgjë"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr "nuk bën absolutisht asgjë"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Merr të dhëna paisjeje..."
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "P"
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Shteg"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr "Shteg"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Botues: "
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Datë:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Meta-të dhëna bazë"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Meta-të dhëna shtesë"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "R"
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr "&Mbylle"
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " sekonda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/sr@latin.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/sr@latin.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/sr@latin.po	2020-07-02 04:02:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/sr@latin.po	2020-07-16 16:43:29.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
@@ -208,7 +208,7 @@ msgstr "ne funkcionise"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -220,12 +220,12 @@ msgstr "ne funkcionise"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1135,9 +1135,9 @@ msgstr "Katalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1162,7 +1162,7 @@ msgstr "Putanja do biblioteke ({0}) je p
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1224,7 +1224,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2837,8 +2837,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2847,8 +2847,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3191,7 +3191,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3304,7 +3304,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3331,8 +3331,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3720,61 +3720,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6208,7 +6219,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Ne"
 
@@ -6231,7 +6242,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6498,103 +6509,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "US"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "France"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Germany"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "UK"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italy"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japan"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Spain"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brazil"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Netherlands"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6602,7 +6613,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8494,7 +8505,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8978,7 +8989,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9023,7 +9034,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9075,7 +9086,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9231,7 +9242,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9271,7 +9282,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10173,7 +10184,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10778,7 +10789,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10990,7 +11001,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11441,8 +11452,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11571,42 +11582,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11615,112 +11631,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11728,7 +11744,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11797,7 +11813,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11815,11 +11831,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11958,7 +11974,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11993,7 +12009,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12040,8 +12056,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12153,22 +12169,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12396,7 +12412,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12871,10 +12887,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13306,7 +13322,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13321,7 +13337,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13330,7 +13346,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13345,8 +13361,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13413,45 +13429,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13797,7 +13813,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14623,74 +14639,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14698,44 +14713,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15442,11 +15457,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15510,79 +15525,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15632,8 +15652,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16189,46 +16209,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16237,7 +16257,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16252,11 +16272,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16285,7 +16305,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16310,28 +16330,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16358,65 +16378,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16750,77 +16770,77 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16828,7 +16848,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16838,7 +16858,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16853,80 +16873,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16934,90 +16954,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17025,118 +17045,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17145,152 +17165,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17298,48 +17318,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17968,7 +17988,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18628,76 +18648,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18729,121 +18749,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19726,17 +19746,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -20020,21 +20040,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr "Ova knjiga je na uređaju u %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Postavi datum na nedefinisan"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Postavi na nedefinisan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20378,7 +20388,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre biblioteka"
 
@@ -20541,6 +20551,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Postavi datum na nedefinisan"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20821,7 +20841,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20893,7 +20913,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21656,13 +21676,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21687,80 +21707,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22749,37 +22769,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22916,7 +22936,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23054,7 +23074,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23325,7 +23345,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Onemogući"
 
@@ -23720,86 +23740,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23808,47 +23828,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25396,7 +25416,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26422,150 +26442,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Podela"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27235,7 +27255,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27642,12 +27662,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27705,76 +27725,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31185,18 +31205,18 @@ msgstr[2] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31210,70 +31230,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34225,13 +34245,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34266,30 +34286,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34343,44 +34363,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34388,15 +34412,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "Odustani"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34404,7 +34428,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34412,7 +34436,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34427,7 +34451,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34465,17 +34489,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37062,6 +37086,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/sr.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/sr.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/sr.po	2020-07-02 04:05:24.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/sr.po	2020-07-16 16:41:08.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -210,7 +210,7 @@ msgstr "Не ради баш ништа"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -222,12 +222,12 @@ msgstr "Не ради баш ништа"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1137,9 +1137,9 @@ msgstr "Каталог"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1164,7 +1164,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1226,7 +1226,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2839,8 +2839,8 @@ msgstr "Преузимам списак
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2849,8 +2849,8 @@ msgstr "Уклањам књиге са 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3193,7 +3193,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Уреди шаблон"
@@ -3306,7 +3306,7 @@ msgid "Communicate with MTP devices"
 msgstr "Коминицира са MTP уређаје"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Преузми податке о уређају..."
@@ -3333,8 +3333,8 @@ msgid "Finished reading metadata from de
 msgstr "Крај читања метаподатка"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3722,61 +3722,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6210,7 +6221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Не"
 
@@ -6233,7 +6244,7 @@ msgid "Producer"
 msgstr "Произвођач"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6500,103 +6511,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Скида додатне податке и корице са Амазона"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "САД"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Француска"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Немачка"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "ВБ"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Италија"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Јапан"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Шпанија"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Метаподаци Амазона ће бити преузети помоћу Амазон веб сајта ове земље."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6604,7 +6615,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Сајт Амазон у истеку.Покушати поново касније."
 
@@ -8496,7 +8507,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8980,7 +8991,7 @@ msgstr "Директоријум %s ве
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Предугачко"
 
@@ -9025,7 +9036,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9077,7 +9088,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9233,7 +9244,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9273,7 +9284,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10175,7 +10186,7 @@ msgid "Move to next highlighted match"
 msgstr "Премештање на следеће истакнуто поклапање"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10780,7 +10791,7 @@ msgid "this book"
 msgstr "ова књига"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Потражи %s"
@@ -10992,7 +11003,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11443,8 +11454,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11573,42 +11584,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Уреди '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11617,112 +11633,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Путања"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11730,7 +11746,7 @@ msgstr "Путања"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Величина корице: %(width)d x %(height)d пиксела"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11799,7 +11815,7 @@ msgstr "излаз"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11817,11 +11833,11 @@ msgstr "излаз"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11960,7 +11976,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11995,7 +12011,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12042,8 +12058,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Избриши"
 
@@ -12155,22 +12171,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12398,7 +12414,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12873,10 +12889,10 @@ msgstr "&Кључ за величину
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13308,7 +13324,7 @@ msgid "Change the title of this book"
 msgstr "Промени наслов ове књиге."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Аутор: "
 
@@ -13323,7 +13339,7 @@ msgid ""
 msgstr "Промени ауторе за ову књигу. Ако аутора има више раздвојте имена зарезима."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Издавач: "
 
@@ -13332,7 +13348,7 @@ msgid "Ta&gs: "
 msgstr "&Етикете: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13347,8 +13363,8 @@ msgstr "&Серија:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Списак познатих серија. Можете додати и нове серије."
@@ -13415,45 +13431,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "&Излазни профил:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Опис профила."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "&Улазни профил:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Рубови"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Лево:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Врх:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Десно:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Дно:"
@@ -13799,7 +13815,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Измени"
 
@@ -14625,74 +14641,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Неодређен"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Постави '%s' на данашњи датум."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Очисти '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Вредности промењене"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " индекс:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Набрајање \"{0}\" садржи неисправну вредност која ће бити промењена на подразумевану"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Примени измене"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Очисти серије"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Аутоматски нумериши књиге."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14700,44 +14715,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Бројање мора почети од . "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Набрајање \"{0}\" садржи неисправну вредност која ће бити искључена из списка"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Уклони све етикете."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "етикете за додавање."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "етикете за уклањање."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15444,11 +15459,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15512,79 +15527,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Поново покрените проверу"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Сачувај у &остави"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Готово"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Обриши & означене"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Избриши означене датотеке (означене под-ставке)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&Поправи означене"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Поправи означене одељке (означене поправљиве ставке)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Имена која ће се занемарити:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Унесите зарезима раздвојену листу стандардних имена датотека, као на пример synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Унесите зарезима раздвојену листу наставака без водеће тачке. Користи се само у фасциклама за књиге"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(поправљиво)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Путања из библиотеке."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15634,8 +15654,8 @@ msgstr "Локација %s садржи
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Неисправна локација."
 
@@ -16191,46 +16211,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Ова ставка је празна."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Ставка не може да буде празна. Избришите је."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Ниједна ставка није одабрана"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Морате изабрати једну ставку из листе расположивих ставки."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Није изабрана ниједна ставка."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Морате одабрати барем једну ставку са пописа"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Да ли сте сигурни да желите избрисати следеће ставке?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16239,7 +16259,7 @@ msgid "Items in use"
 msgstr "Ставке у употреби."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16254,11 +16274,11 @@ msgstr "Преименуј ставку
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16287,7 +16307,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16312,28 +16332,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16360,65 +16380,65 @@ msgstr "Неважеће име ауто
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Организуј ауторе"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Тражи:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16752,77 +16772,77 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Радим"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Мала слова"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Велика слова"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Величина наслова"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Одговарајући знаци."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Поље за измену."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Додај на почетак поља."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Додај на крај поља."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Промени мета информације за <b>%d књига</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Изврши промене одмах, без затварања дијалога. Ова операција се не може прекинути нити поништити."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Књига %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Унесите тип идентификатора"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16830,7 +16850,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Коришћењем ове функције можете уништити вашу библиотеку.</b> Измене су трајне. Не постоји начин да се пониште. Најтоплије вам препоручујемо да направите резервну копију своје блиотеке пре него што наставите.<p>Претрага и замена у текстуалним пољима коришћењем регуларних израза, или простог поређења. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16840,7 +16860,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16855,80 +16875,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "ГРЕШКА У S/R ШАБЛОНУ."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Морате навести тип одредишта идентификатора"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Неисправна претрага/замена."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Обриши сачувану претрагу / замену"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Изабрана сачувана Претражи/ Замени ће бити обрисана. Јесте ли сигурни ?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Сачувај претражи/замени"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Претражи/замени назив:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Тa сачуванa претрагa/ аменa већ постоји и биће замењена. Да ли сте сигурни?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16936,90 +16956,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "А&утоматски изабери поље за разврставање по имену аутора."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Ажурирај &разврставање наслова"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Промени к&орице"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Направи подразумеване корице"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Уклони корице"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Наслов мора бити са свим великим почетним словима. Ако је изабрана и ова могућност\nда се измене места аутору и наслову, величина слова ће бити промењена после измене."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Датум:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17027,118 +17047,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Ако ова могућност није изабрана, број серије за књиге ће бити постављен на 1.\nАко јесте, изабране књиге ће бити аутоматски нумерисане, у редоследу\nкојим сте их изабрали. Тако, ако изаберете Књигу А, а затим Књигу Б,\nКњига А ће имати број 1 у серији, а Књига Б број 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Аутоматски број књига из ове серије"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Серије ће обично бити пренумерисане од највишег броја за ту серију\nу бази података. Ако изаберете ову могућност calibre  ће нумерисање\nпочети од броја наведеног у овом пољу"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Принудно бројање да почне са:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Ако је означено, серија ће бити избрисана."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Очисти серију"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Избриши етикете."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Уклони &све."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Додај &етикете: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Одреди како ће имена аутора ове књиге бити коришћена за разврставање. На пример, Вук Караџић ће бити разврстан као Караџић, Вук."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Очисти јавни датум"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Језици:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Lista etiketa razdvojenih zarezima koja će biti uklonjena sa knjiga. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Р&зврставање по имену аутора: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Уклони сачувана подешавања за претварање изабраних књига.\n\nНаредно претварање ових књига ће користити подразумеване вредности."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Уклони &сачувана подешавања за претварање изабраних књига"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17147,152 +17167,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Враћање на оригинал &ако је могуће"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Изаберите ову могућност да уклоните све етикете с књига"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Оцена:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Основни метаподаци."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Кориснички метаподаци."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Изаберите сачувану претрагу / замени за учитавање"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Сачувај тренутну претрагу / замени"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "Сач&увај"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Претражи по&ље:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Назив поља које желите да претражујете."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "&Начин претраживања:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Изаберите да ли ћете користити једноставно тражење текста, или регуларне изразе."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Унесите шаблон који ће бити коришћен за претраживање и замену."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Изаберите ову могућност ако текст за претраживање мора одговарати и по величини слова. Ако ова могућнос није изабрана величина слова неће бити битна."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Разликуј в&елика и мала слова."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Замени са:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Текст за замену. Пронађени текст ће бити замењен овим."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "Примени &функицију после замене:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Одредите како ће текст бити обрађен после проналажења и замене. У начину рада с обичним текстом\nбиће обрађено цело поље. У начину рада с регуларним изразима биће обрађен само пронађени текст."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "&Циљно поље:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Поље у које ће бити убачен текст после свих замена.\nАко је остављено празно, текст ће бити убачен у изворно поље ако је то могуће."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "Н&ачин:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Одреди како ће текст бити копиран у циљно поље."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Одређује да ли ће резултат бити подељен у више вредности, или\nће остати као целина. Ова могућност има највише ефекта када изворно\nпоље није вишеструко, а када циљно јесте."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Раздвој &резултате."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Врста идентификатора:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17300,48 +17320,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "За поља с више вредности при&кажи."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "вредности раздвојене &са"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Користи када приказујеш резултате да би раздвојио елементе у пољима с више вредности."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Пробни текст"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Резултат теста"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "&Тражи и замени"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17970,7 +17990,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18630,76 +18650,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Тренутна категорија етикета ће бити <b>избрисана заувек</b>. Да ли сте сигурни?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Изаберите категорију за промене."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Изаберите врсту садржаја за нову категорију."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Додај нову категорију"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Преименуј тренутну категорију у пољу"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Додај етикету у тренутну категорију етикета."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Уклони етикету из тренутне категорије етикета."
 
@@ -18731,121 +18751,121 @@ msgid ""
 "to delete them?"
 msgstr "Ове етикете су у употреби за више од једне књиге. Да ли сте сигурни да желите да их избришете?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Бројање"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Да ли је"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19728,17 +19748,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -20022,21 +20042,11 @@ msgstr "Књига %(sidx)s од <span c
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20380,7 +20390,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre библиотека."
 
@@ -20543,6 +20553,16 @@ msgstr "&Изађи"
 msgid "Unhandled exception"
 msgstr "Нерешив изузетак"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20823,7 +20843,7 @@ msgstr "Из&давач:"
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Очисти датум"
 
@@ -20895,7 +20915,7 @@ msgid "Processed %s"
 msgstr "Обрађено %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21658,13 +21678,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Висок"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Низак"
 
@@ -21689,80 +21709,80 @@ msgstr "Све на 1 картицу"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Сва питања за потврду су омогућена."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Приоритет посла:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Пожељан редослед улазн&их формата:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Пожељни излазни ф&ормат:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Избриши вести из библиотеке када буду аутоматски послате на читач."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Подразумевана вредност за чекање на одзив &мреже:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Постави подразумевану вредност за чекање на одзив мреже (т.ј. приступ Интернету ради преузимања података)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " секунде"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "&Омогући сва искључена питања за потврду."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Користи &уграђени читач за:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22751,37 +22771,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Додај електронску адресу на коју ће се слати књиге."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Додај електронску адресу."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Учини &подразумеваном вредношћу."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Уклони електронску адресу."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22918,7 +22938,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23056,7 +23076,7 @@ msgid "If there is enough room"
 msgstr "Ако постоји довољно простора"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "По првом слову."
 
@@ -23327,7 +23347,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Искључи"
 
@@ -23722,86 +23742,86 @@ msgstr "Извор није изабра
 msgid "No source selected, cannot configure."
 msgstr "Није извор изабран, не можете да подесите."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Извор метаподатака"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Означи све"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Постави као подразумевано"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23810,47 +23830,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " секунди"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25398,7 +25418,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26424,150 +26444,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Преименуј %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Обриши %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Уреди разврставање за %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Уреди везу за %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Дечје %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Трагање за свим, али %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Додај под- категорију %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Сакриј категорију %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Прикажи категорију"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Претрага за књигама у категорији %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Претрага за књигама које нису у категорији %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Прикажи све категорије"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Промени шему подкатегорије"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Партиција"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Прво слово је употребљива само када је разврставање по називу"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27237,7 +27257,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27644,12 +27664,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27707,76 +27727,76 @@ msgid "Import"
 msgstr "Увези"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31187,18 +31207,18 @@ msgstr[2] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31212,70 +31232,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34227,13 +34247,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34268,30 +34288,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34345,44 +34365,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Одаберите ваш уређај е -књига . Ако ваш уређај није на списку, изаберите \"%s\" уређај."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Изаберите путању за књиге."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Није успело да направи фасциклу у %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Морате изабрати празна фасцикла за calibre библиотеку. %s није празан."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Даље >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Назад"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34390,15 +34414,15 @@ msgstr "< &Назад"
 msgid "Cancel"
 msgstr "Откажи"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Заврши"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Пошаљи"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34406,7 +34430,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Добродошли у calibre."
@@ -34414,7 +34438,7 @@ msgstr "Добродошли у calibre.
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Јединствено решење за све ваше потребе везане за е-књиге."
@@ -34429,7 +34453,7 @@ msgstr "&Уређаји"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Страница чаробњака"
@@ -34467,17 +34491,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "&Kindle електронска пошта:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Изаберите &језик:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Изаберите локацију за ваше књиге. Када будете додавали књиге у calibre оне ће бити смештене овде. Изаберите <b>празну фасциклу</b> за нову calibre библиотеку:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37064,6 +37088,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/sv.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/sv.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/sv.po	2020-07-02 04:06:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/sv.po	2020-07-16 16:40:09.000000000 +0000
@@ -21,8 +21,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-28 14:31+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-14 20:02+0000\n"
 "Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
@@ -220,7 +220,7 @@ msgstr "Gör absolut ingenting"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -232,12 +232,12 @@ msgstr "Gör absolut ingenting"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1147,9 +1147,9 @@ msgstr "Katalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1174,7 +1174,7 @@ msgstr "Sökvägen till bibliotek ({0})
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1236,7 +1236,7 @@ msgstr "Sparade sökningar"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2540,7 +2540,7 @@ msgstr "Kommunicera med läsenheterna Ha
 
 #: /home/kovid/work/calibre/src/calibre/devices/hanlin/driver.py:120
 msgid "Communicate with the BOOX e-book reader."
-msgstr "Kommunicera med läsenheten BOOX."
+msgstr "Kommunicera med e-bokläsenheten BOOX."
 
 #: /home/kovid/work/calibre/src/calibre/devices/hanlin/driver.py:139
 msgid ""
@@ -2849,8 +2849,8 @@ msgstr "Hämtar en lista över böcker p
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2859,8 +2859,8 @@ msgstr "Tar bort böcker från enhetens
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3203,7 +3203,7 @@ msgstr "Ange en mall som ska användas f
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Redigera mall"
@@ -3316,7 +3316,7 @@ msgid "Communicate with MTP devices"
 msgstr "Kommunicera med MTP-enheter"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Hämta enhetsinformation..."
@@ -3343,8 +3343,8 @@ msgid "Finished reading metadata from de
 msgstr "Läst klart metadata från enheten"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3732,61 +3732,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "Det här är en kommaseparerad lista över filtilläggsformat som du vill kunna skicka till enheten. Du kan till exempel ha ljudböcker i ditt bibliotek med tillägget \"m4b\" som du vill lyssna på på din enhet. Oroa dig inte för varningen \"extra aktiverade tillägg\"."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr "Ignorera ledigt utrymme på enheten"
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr "Markera den här rutan för att ignorera mängden ledigt utrymme som rapporterats av dina enheter. Detta kan behövas om du lagrar böcker på ett SD-kort och enheten inte har mycket ledigt huvudminne."
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Alltför många anslutningsförsök från %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Programmet på din enhet är för gammalt och stöds inte längre. Uppdatera till en nyare version."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Du har bokformat i ditt bibliotek med datum i framtiden. Se calibre för detaljer"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "Lästa-synkningskolumnen %s är ​​inte i calibre-biblioteket"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "Lästa-synkningskolumnen %s är ​​inte i en Ja/Nej-kolumn"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "Lästa-datum-synkningskolumnen %s är ​​inte i calibres bibliotek"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "Lästa-synkroniseringskolumnen %s är ​​inte i en datumkolumn"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Dålig inställning för komprimeringskvalitet. Det måste vara ett tal mellan 50 och 99. Tvingad att vara %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Ogiltig port i alternativ: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Det gick inte att ansluta till port %d. Försök med ett annat värde."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Det gick inte att tilldela en slumpmässig port"
 
@@ -6220,7 +6231,7 @@ msgstr "Extrahera vanliga e-bokformat fr
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Nej"
 
@@ -6243,7 +6254,7 @@ msgid "Producer"
 msgstr "Producent"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6509,103 +6520,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google bilder"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Hämtar metadata och omslag från Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "USA"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Frankrike"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Tyskland"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Storbritannien"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Australien"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italien"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japan"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Spanien"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brasilien"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Nederländerna"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Kina"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Kanada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Välj server automatiskt"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Amazon-servrar"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Bing-sökcache"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Google-sökcache"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Wayback machine cache (långsamt)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Amazon landswebbplats att använda:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Metadata från Amazon kommer att hämtas med hjälp av detta lands Amazon-webbplats."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Server att hämta data från:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon har börjat blockera försök att hämta metadata från sina servrar. För att komma runt detta problem, kan calibre hämta Amazon-data från många olika ställen där det är cachade. Välj den källa som du föredrar."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Använd MOBI-ASIN för metadatasökning"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6613,7 +6624,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr "Aktivera det här alternativet för att söka efter metadata med en ASIN-identifierare från MOBI-filen på den aktuella landswebbplatsen, såvida inte något annat amazon-id är tillgängligt. Observera att om MOBI-filen kom från ett annat Amazon-landsbutik kan du få felaktiga resultat."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazon tidsbegränsning löpte ut. Försök igen senare."
 
@@ -8502,7 +8513,7 @@ msgstr "Inga filer har kopierats till ur
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8980,7 +8991,7 @@ msgstr "Mappen %s finns redan. Ta bort d
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "För lång"
 
@@ -9025,7 +9036,7 @@ msgstr "Biblioteket %s har tagits bort f
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9077,7 +9088,7 @@ msgstr "Hittade inga fel i din bibliotek
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9232,7 +9243,7 @@ msgid "Browse for library"
 msgstr "Bläddra efter bibliotek"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Kopiera"
@@ -9272,7 +9283,7 @@ msgstr "{0} av {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Välj &alla"
 
@@ -10168,7 +10179,7 @@ msgid "Move to next highlighted match"
 msgstr "Flytta till nästa markerade träff"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10770,7 +10781,7 @@ msgid "this book"
 msgstr "denna bok"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Sök efter %s"
@@ -10981,7 +10992,7 @@ msgstr "&Förhandsgranska bok"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11429,8 +11440,8 @@ msgstr "Förändring"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11559,42 +11570,47 @@ msgid "Search the internet for this book
 msgstr "Sök på nätet efter denna bok"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Hantera %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr "Hitta %s i Taggbläddraren"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Ta bort %s-format"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Spara %s-format till hårddisken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Återställ %s-formatet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Ange omslag från filen %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Jämför med %s-formatet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11603,112 +11619,112 @@ msgstr "Jämför med %s-formatet"
 msgid "Open %s with..."
 msgstr "Öppna %s med..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Lägg till annan applikation för %s filer..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Redigera Öppna med applikationer..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Redigera %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Kopiera sökväg till fil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr "&Kopiera författarlänk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Sök i calibre efter %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Kopiera sökväg"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr "&Kopiera identifierare"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Ta bort %s från denna bok"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Kopiera &allt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Kopiera länkplats"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr "Öppna fönstret Bokdetaljer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Öppna omslag med..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Lägg till ytterligare applikation för att öppna omslag..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Klistra in omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Kopiera omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Spara omslag till disk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Ta bort omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Generera omslag från metadata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Välj plats för att spara omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "JPEG-bilder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Dubbelklicka för att öppna fönstret Bokdetaljer"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Sökväg"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11716,7 +11732,7 @@ msgstr "Sökväg"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Omslagsmått: %(width)d x %(height)d pixlar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Redigera identifierare för den här boken"
 
@@ -11785,7 +11801,7 @@ msgstr "utdata"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11803,11 +11819,11 @@ msgstr "utdata"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11946,7 +11962,7 @@ msgid "Preset name:"
 msgstr "Förinställt namn:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Du måste ange ett namn."
 
@@ -11981,7 +11997,7 @@ msgstr "True"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12028,8 +12044,8 @@ msgid "Delete current preset"
 msgstr "Radera aktuell förinställning"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Ta bort"
 
@@ -12141,22 +12157,22 @@ msgstr "Återställ till förinställda
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12384,7 +12400,7 @@ msgstr "Rubrik {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12859,10 +12875,10 @@ msgstr "Teckenstorleksnyc&kel:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr "pt"
@@ -13294,7 +13310,7 @@ msgid "Change the title of this book"
 msgstr "Ändra titeln på den här boken"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Författare: "
 
@@ -13309,7 +13325,7 @@ msgid ""
 msgstr "Ändra författaren eller författarna till denna bok. Flera författare ska avgränsas med kommatecken"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "F&örlag: "
 
@@ -13318,7 +13334,7 @@ msgid "Ta&gs: "
 msgstr "Tagg&ar: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13333,8 +13349,8 @@ msgstr "&Serier:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Lista med kända serier. Du kan lägga till nya serier."
@@ -13401,45 +13417,45 @@ msgstr "Skärmstorlek: %s"
 msgid "Page setup"
 msgstr "Sidinställning"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "&Utdataprofil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Profilbeskrivning"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "&Indataprofil:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Marginaler"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Vänster:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Oförändrad"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Överkant:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Höger:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Nederkant:"
@@ -13785,7 +13801,7 @@ msgid "Edit the currently selected expre
 msgstr "Redigera det valda uttrycket"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Ändra"
 
@@ -14611,74 +14627,73 @@ msgstr "Välj fil att importera regler f
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Odefinierat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Ställ in \"%s\" till idag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Rensa \"%s\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr "Öppna postredigeraren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Värden ändrades"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Du har ändrat värdena. För att kunna använda den här redigeraren, måste du antingen förkasta eller tillämpa dessa ändringar. Tillämpa ändringarna?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " index:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Uppräkningen \"{0}\" innehåller ett ogiltigt värde som kommer att sättas till standard"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Tillämpa ändringar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Rensa serier"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Automatiskt numrera böcker"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14686,44 +14701,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "Om inte markerat, kommer serienumret för böckerna att ställas in som 1. Om de är markerade, kommer de valda böckerna att numreras automatiskt i den ordning du valt dem. Så om du valde bok A och sedan bok B kommer bok A att ha serienummer 1 och bok B serienummer 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Tvinga nummerstart att börja med "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "Serien kommer normalt att omnumreras från det högsta numret i databasen för den serien. Om du markerar den här rutan kommer du att berätta för calibre att börja numrera från värdet i rutan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "Mängden att öka serienumret med för efterföljande böcker. Endast tillämpligt när man använder tvingade seriesiffror."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Uppräkningen \"{0}\" innehåller ogiltiga värden som inte kommer att visas i listan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Ta bort alla taggar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "taggar att lägga till"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "taggar att ta bort"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15429,11 +15444,11 @@ msgstr "Detta kommer att ta ett tag, vä
 msgid "Vacuuming..."
 msgstr "Rensar..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Kontrollera bibliotek -- Problem hittades"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15497,79 +15512,84 @@ msgid ""
 "        "
 msgstr "        <h1>Hjälp</h1>\n\n        <p>calibre lagrar listan över dina böcker och deras metadata i en\n        databas. De faktiska bokfilerna och omslagen lagras som vanliga\n        filer i calibres biblioteksmapp. Databasen innehåller en förteckning över de filer\n        och omslagen som tillhör varje bokpost. Detta verktyg kontrollerar att de\n        faktiska filerna i biblioteksmappen på datorn överensstämmer med\n        informationen i databasen.</p>\n\n        <p>Resultatet av varje typ av kontroll visas till vänster. De olika\n        kontrollerna är:\n        </p>\n        <ul>\n        <li><b>Ogiltiga titlar</b>: Det här är filer och mappar som visas\n        i biblioteket där boktitlar borde visas men\n        som inte har rätt form för att vara en boktitel.</li>\n        <li><b>Extra titlar</b>: Det här är extra filer i ditt calibre-\n        bibliotek som verkar vara korrekt utformade titlar, men har inga motsvarande\n        poster i databasen</li>\n        <li><b>Ogiltiga författare</b>: Det här är filer som visas\n        i biblioteket där endast författarmappar ska vara.</li>\n        <li><b>Extra författare</b>: Det här är mappar i\n        calibre-biblioteket som verkar vara författare, men som inte har poster\n        i databasen</li>\n        <li><b>Saknade bokformat</b>: Det här är bokformat som finns\n        databasen, men inte har motsvarande formatfil i bokens mapp.\n        <li><b>Extra bokformat</b>: Det här är bokformatfiler som finns i\n        bokens mapp men inte i databasen.\n        <li><b>Okända filer i böcker</b>: Det här är extra filer i\n        mappen för varje bok som inte motsvarar ett känt format eller omslagsfil.</li>\n        <li><b>Saknade omslagsfiler</b>: Dessa representerar böcker som är markerade\n        i databasen som har omslag men där faktiska omslagsfilerna\n        saknas.</li>\n        <li><b>Omslagsfiler som inte finns i databasen</b>: Det här är böcker som har\n        omslagsfiler men som inte har omslag i databasen.</li>\n        <li><b>Mappundantag</b>: Dessa representerar mappar i\n        calibre-biblioteket som inte kunde bearbetas av detta\n        verktyg.</li>\n        </ul>\n\n        <p>Det finns två typer av automatiska korrigeringar möjliga: ​​<i>Ta bort\n        markerade</i> och <i>Åtgärda markerade</​i>.</i>\n        <p><i>Ta bort markerade</i> används för att ta bort extra filer/mappar/omslag som\n        har några poster i databasen. Markera rutan bredvid den post du vill\n        att ta bort. Använd med försiktighet.</p>\n\n        <p><i>Åtgärda markerade</i> är endast tillämplig på omslag och saknade format\n        (De tre raderna markerade \"fixerbara\"). När det gäller saknade omslagsfiler\n        markerar du den fixerbara rutan och trycka på den här knappen kommer\n        att tala om för calibre att det verkligen inte\n        finns omslag för alla listade böckerna. Använd detta alternativ om du\n        kommer inte att återställa omslaget från en säkerhetskopia. När det gäller extra\n        omslagsfiler, markerar du den fixerbara rutan och trycka på den här knappen kommer att\n        tala om för calibre att omslagsfilerna som hittades är de rätta för alla böcker\n        listade. Använd detta när du inte ska ta bort filen eller filerna. När det gäller \n        saknade format, markerar du den fixerbara rutan och trycker på den här\n        knappen kommer att tala om för calibre att formaten verkligen är borta. Använd det här om\n        du kommer inte att återställa formaten från en säkerhetskopia.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Kör kontroll igen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Kopiera t&ill urklipp"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Klar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Markera &alla för borttagning"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Markera alla borttagbara delelement"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Radera &markerad"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Ta bort markerade filer (markerade underposter)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Mär&k alla för justering"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Markera alla justerbara element"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&Åtgärda markerad"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Åtgärda markerade sektioner (markerade fastställbara poster)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Namn att ignoreras:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Ange kommaseparerade standardjokertecken för filnamn, t.ex. synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Ändelser att ignorera:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Ange kommaseparerade ändelser utan inledande punkt. Används endast i bokmappar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(låsbar)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr "(borttagningsbar)"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Vägen från biblioteket"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15619,8 +15639,8 @@ msgstr "Platsen %s innehåller det befin
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Olämplig plats"
 
@@ -16080,7 +16100,7 @@ msgstr "Öppna ett recept från en fil"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:572
 msgid "Load recipe from &file"
-msgstr "Läs in recept från &fil"
+msgstr "Öppna recept från &fil"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:573
 msgid "&Show recipe files"
@@ -16176,46 +16196,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (var %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Posten är tom"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "En post kan inte lämnas tom. Ta bort den istället."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Ingen post vald"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Du måste välja en post från listan över tillgängliga poster"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Inga poster valda"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Du måste välja minst en post från listan."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Är du säker på att du vill ta bort följande poster?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Kategoriredigerare"
 
@@ -16224,11 +16244,11 @@ msgid "Items in use"
 msgstr "Poster som används"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
-msgstr "Ta bort post från databasen. Detta kommer att sluta tillämpa posten på alla böcker och sedan ta bort den från databasen."
+msgstr "Ta bort posten från databasen. Detta kommer att sluta tillämpa posten på alla böcker och sedan ta bort den från databasen."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 msgid "Rename the item in every book where it is used."
@@ -16239,11 +16259,11 @@ msgstr "Byt namn på posten i varje bok
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Denna bok har DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16271,7 +16291,7 @@ msgid "Already in calibre:"
 msgstr "Redan i calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16296,28 +16316,28 @@ msgid "Change case"
 msgstr "Ändra skiftläge"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Versaler"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Gemener"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Omvänt skiftläge"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16344,65 +16364,65 @@ msgstr "Ogiltigt författarnamn"
 msgid "You cannot change an author to multiple authors."
 msgstr "Du kan inte ändra en författare till flera författare."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Hantera författare"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "Sök &efter:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr "S&ök"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>Visa endast författare i\n          det aktuella virtuella biblioteket. Redigeringar som redan gjorts kan vara dolda men kommer\n          inte att glömmas.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr "Visa endast författare i det aktuella &Virtuella biblioteket"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr "Filtrera &efter:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr "<p>Visa endast författare som innehåller texten i den här rutan.\n          Matchningen ignorerar skiftläge.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr "Fi&lter"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Återställ alla författarsorteringsvärden till ett värde automatiskt\ngenererade från författaren. Exakt hur detta värde automatiskt\ngenereras kan anpassas via Inställningar->Avancerat->Justeringar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "&Räkna om alla författarsorteringsvärden"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Kopiera författarsortering till författaren för varje författare. Vanligtvis används denna knapp\nefter byte Inställningar->Avancerat->Justeringar->Författarnamnsorteringsalgoritm"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "&Kopiera alla författarsorteringsvärden till författare"
 
@@ -16735,77 +16755,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Dölj det återstående felmeddelandet"
 msgstr[1] "Dölj de {} återstående felmeddelandena"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Jobbar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Bearbetar %d böcker, vänligen vänta..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "Aktuellt förlopp: %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Framsteg %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Gemener"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Versaler"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Varje ord med stor begynnelsebokstav"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Teckenmatchning"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Reguljärt uttryck"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Ersätt fält"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Mer utrymme för fält"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Lägg till fält"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Redigera metainformation för <b>%d böcker</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Omedelbart gör alla ändringar utan att stänga dialogrutan. Denna operation kan inte annulleras eller ångras"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Bok %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Ange en identifierartyp"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16813,7 +16833,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Du kan förstöra ditt bibliotek med den här funktionen.</b> Ändringar är permanenta. Det finns ingen ångringsfunktion. Du uppmanas starkt att säkerhetskopiera ditt bibliotek innan du fortsätter.<p>Sök och ersätt i textfält med teckenmatchning eller reguljära uttryck. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16823,7 +16843,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "I teckenläge söks fältet efter den angivna söktexten. Texten ska ersättas med den angivna ersättningstexten överallt den finns i det angivna fältet. Efter att ersättningen är klar kan texten ändras till versaler, gemener eller rubrikformat. Om kryssrutan Skiftlägeskänslig är markerad, måste den sökta texten matcha exakt. Om den är avmarkerad kommer söktexten att matcha både versaler och gemener"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16838,80 +16858,80 @@ msgid ""
 "function."
 msgstr "I reguljära uttrycksläget är söktexten ett godtyckligt Python-kompatibelt reguljärt uttryck. Ersättningstexten kan innehålla bakåtreferenser till parentesuttryck i mönstret. Sökningen är inte förankrad och kan matcha och ersättas flera gånger på samma sträng. Ändringsfunktionerna (gemener o.s.v.) tillämpas på den matchade texten, inte på fältet som helhet. Destinationsrutan anger det fält där resultatet efter matchning och ersättning ska ske. Du kan ersätta texten i fältet eller infoga före eller lägga till den matchade texten. Se <a href=\"https://docs.python.org/library/re.html\">den här referensen</a> för mer information om Pythons reguljära uttryck, särskilt funktionen \"sub\"."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R MALLFEL"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Du måste ange en destination när källan är ett sammansatt fält eller en mall"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Ersättningsvärdet för en betygkolumn måste vara tom eller ett heltal mellan 0 och 10"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Du måste ange en identifierartyp för destination"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Du måste ange ett sökuttryck i fältet \"Sök efter\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Ogiltig identifierar sträng. Det måste vara en kommaseparerad lista med par av strängar åtskilda av kolon"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Sök/ersätt ogiltig"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Sök/ersätt är ogiltig: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Ta bort sparade sök/ersätt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Den valda sparade sök/ersätt kommer att tas bort. Är du säker?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Spara sök/ersätt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Sök/ersätt namn:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Det sparade sök/ersätt finns redan och kommer att skrivas över. Är du säker?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Redigera metainformation"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr "T&illämpa datum"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16919,90 +16939,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Detta kommer att få författarsorteringsfältet att automatiskt uppdateras\nbaserat på författarfältet för varje vald bok. Observera att om\ndu använder kontrollen ovan för att ställa författarna i grupp, uppdateras författarsorteringsfältet\nändå, oavsett värdet på den här kryssrutan."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Hantera a&utomatisk författarsortering"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "&Växla titel och författare"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Uppdatera titelsortering baserat på den aktuella titeln. Detta kommer att tillämpas först efter andra ändringar av titel."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Uppdatera &titelsortering"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Ändra &omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Generera standardomslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Ta bort omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Försök att automatiskt upptäcka och ta bort kanter och extra utrymme\nfrån kanterna på omslagsbilder. Detta kan ibland ta bort alltför \nmycket, så använd med försiktighet."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "&Beskär omslag (RISKABELT)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "Ställ in från &e-bokfiler"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Ställ in omslagen hos alla valda böcker så att de är samma \nsom den för den första valda boken."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Klona omslag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Tvinga titel att vara i titelformat. Om både denna och växla författare är markerade,\nväxlas titel och författare före titelformat ställs in"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Ändra titel&skiftläge till:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Datum:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Om markerad, kommer förlaget att rensas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "&Rensa förlag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "&Publicerad:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17010,118 +17030,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Om inte markerad, kommer serienummer för böcker sättas till 1.\nOm markerad, kommer utvalda böcker automatiskt att numreras i den ordning\ndu valde dem. Så om du valde Bok A och sedan Bok B,\nkommer Bok A ha serie nummer 1 och Bok B serie nummer 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "&Automatiskt numrera böcker i denna serie"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Serie kommer normalt räknas från det högsta antalet i databasen\nför den serien. Bockning av denna ruta kommer att tala om för calibre att börja numrering\nfrån värdet i rutan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Tvinga nummer att börja med:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Om markerad, kommer serierna att rensas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Rensa serier"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Anpassa hur det standardgenererade omslaget skapas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Anpassa o&mslagsgenerering"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Ange ko&mmentarer för alla valda böcker"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Ta bort taggar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Ta bort &alla"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Lägg till &taggar: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Ange hur författaren eller författarna av den här boken ska sorteras. Till exempel ska Charles Dickens sorteras som Dickens, Charles."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "&Tillämpa betyg"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Rensa utgivningsdatum"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Språk:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Kommaseparerad lista med taggar att ta bort från böckerna. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Öppna Taggredigeraren"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Författars&ortering: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Ställ in metadata i calibre från metadata i de e-bokfiler som är associerade med varje bok. Observera att detta ändrar inte omslaget, använd separat alternativ nedan för det."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Ställ in &metadata (förutom omslag) från e-bokfilerna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Ser&ier:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Ta bort lagrade konverteringsinställningar för de valda böckerna.\n\nFramtida konverteringar av dessa böcker kommer att använda standardinställningarna."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Ta bort &lagrade konverteringsinställningar för de valda böckerna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17130,152 +17150,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "När du gör samma format till samma format konvertering,\nför t.ex. EPUB till EPUB, sparar calibre den ursprungliga EPUB-filen\nsom ORIGINAL_EPUB. Det här alternativet gör att calibre återställer\nEPUB från ORIGINAL_EPUB. Användbart om du gjorde en\nkonvertering av ett stort antal böcker och något gick fel."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "&Återställ till original, om tillgänglig"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Markera den här rutan för att ta bort alla taggar från böckerna."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Betyg:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Grundläggande metadata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Anpassade metadata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "&Öppna sök/ersätt:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Välj sparad sök/ersätt att öppna."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Spara aktuell sök/ersätt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Spara"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Sök&fält:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Namnet på fältet som du vill söka"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Sök&läge:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Välj om du vill använda grundläggande textmatchning eller matchning av avancerat reguljärt uttryck"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "&Identifierartyp:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Välj vilken identifierartyp att tillämpa på"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Mall:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Ange en mall som ska användas som källa för sök/ersätt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Skriv vad du letar efter, antingen oformaterad text eller ett reguljärt uttryck, beroende på läget"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Markera denna ruta om söksträngen måste matcha exakt versaler och gemener. Avmarkera den om skiftläget inte ska beaktas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Skiftläg&eskänslig"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "E&rsätt med:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Ersättningstexten. Den matchande söktexten kommer att ersättas med den här strängen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Tillämpa funktion efter ersättning:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Ange hur texten ska bearbetas efter matchning och ersättning. I teckenläge behandlas hela\nfältet. I reguljärt uttrycksläge bearbetas endast den matchade texten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "&Destinationsfält:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Det fält som texten kommer att hamna i efter alla ersättningar.\nOm tomt, används källfältet om fältet kan modifieras"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "&Läge:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Ange hur texten ska kopieras till destinationen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Anger om resultatposter bör vara uppdelade i flera värden eller\nkvar som enskilda värden. Detta alternativ har mest effekt när källfältet\ninte är en flera och målfältet är flera"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Dela upp &resultat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Identifierartyp:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17283,48 +17303,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Väl identifierartyp att arbeta på. När\nkällfältet är något annat än \"identifierare\" kan du ange\nett * om du vill ersätta hela uppsättningen av identifierare med\nresultatet av sök/ersätt.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "För flervärderade fält, &visa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "värden som börjar &med"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "med värden avgränsade &med"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Används vid visning av testresultat för att separera värden i flervärderade fält"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Provtext"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Provresultat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Ditt &prov:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "S&ök och ersätt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Om aktiverad, kommer boklistan sorteras om och alla befintliga \nsökningar eller Virtuella bibliotek kommer att uppdateras efter redigeringen \när klar. Detta kan vara långsamt på stora bibliotek."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "&Uppdatera boklistan efter redigering"
 
@@ -17953,7 +17973,7 @@ msgstr "Ogiltig sparad sökning"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Hantera Sparade sökningar"
 
@@ -18613,76 +18633,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Den aktuella taggkategorin kommer att <b>tas bort permanent</b>. Är du säker?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Användarkategorierredigerare"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "Kategori&namn: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Välj en kategori att redigera"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "&Kategorifilter:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Välj vilken slag innehåll i den nya kategorin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr "Post&filter: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr "Ange text för att filtrera de tillgängliga posterna. Skiftkänslighet och accenter ignoreras."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr "Ta bort den aktuella taggkategorin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr "Ange ett kategorinamn, använd sedan knappen Lägg till eller knappen Byt namn"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Lägg till en ny kategori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Ändra namn på aktuell kategori till vad som finns i rutan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr "<p>Visa poster i rutan Tillgängliga poster endast om de visas i det\n            aktuella Virtuella biblioteket. Tillämpade poster som inte finns i Virtuella bibliotek\n            kommer att markeras \"inte i någon bok\".</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr "&Visa endast tillgängliga poster i aktuellt Virtuellt bibliotek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "&Tillgängliga poster"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Tillämpa taggar till aktuell taggkategori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "Tillämpade &poster"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Sluta tillämpa (ta bort) tagg från den aktuella taggkategorin"
 
@@ -18714,121 +18734,121 @@ msgid ""
 "to delete them?"
 msgstr "Följande taggar används av en eller flera böcker. Är du säker på att du vill ta bort dem?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr "Hantera poster"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr "&Lägg till post:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr "Tillämpa poster i den aktuella boken"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr "Filtrera tillgängliga poster"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr "Ta bort posten från databasen. Detta kommer att sluta tillämpa posten i alla böcker och sedan ta bort den från databasen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr "&Tillgängliga poster"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr "Tillämpa post i aktuell bok"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr "Sluta tillämpa (ta bort) posten i aktuell bok"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr "Filtrera de tillämpade posterna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Antal"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Var"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr "Redigering..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Vill du verkligen ångra dina ändringar?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Ångra borttagning av post?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Denna post är borttagen. Vill du ångra dess borttagning?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr "Sök efter en post i den första kolumnen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr "Hitta poster som innehåller söksträngen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>Visa endast poster om de finns i det\n          aktuella Virtuella biblioteket. Redigeringar som redan gjorts kan vara dolda men kommer\n          inte att glömmas.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr "Visa endast poster i det aktuella &Virtuella biblioteket"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr "&Filtrera efter:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr "Filtrera poster med texten i den här rutan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr "Visa endast poster som innehåller den här texten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr "F&iltrera"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr "Byt namn på posten i varje bok där det används"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Ångra alla borttagningar eller redigeringar på de markerade raderna"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19709,17 +19729,17 @@ msgstr "Layout"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Visa och dölj olika delar av calibre-huvudfönstret"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Inget %s-format"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Boken {0} har inte formatet {1}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Återställ %s"
@@ -20000,21 +20020,11 @@ msgstr "Bok %(sidx)s av <span class=\"se
 msgid "This book is on the device in %s"
 msgstr "Denna bok finns på enheten i %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Ange datumet som odefinierat"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Använd dagens datum"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Ange som odefinierat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "J"
 
@@ -20358,7 +20368,7 @@ msgid ""
 msgstr "Sökvägen till calibre Portable (%s) är för lång. Måste vara mindre än 59 tecken."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "calibre-bibliotek"
 
@@ -20521,6 +20531,16 @@ msgstr "&Avsluta"
 msgid "Unhandled exception"
 msgstr "Ohanterat undantag"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Ange datumet som odefinierat"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Använd dagens datum"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20800,7 +20820,7 @@ msgstr "F&örlag:"
 msgid "Clear publisher"
 msgstr "Rensa förlag"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Rensa datum"
 
@@ -20870,7 +20890,7 @@ msgid "Processed %s"
 msgstr "Bearbetat %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Metadatafält att hämta"
 
@@ -21631,13 +21651,13 @@ msgid "&Automatic adding"
 msgstr "&Automatisk tilläggning"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Hög"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Låg"
 
@@ -21662,80 +21682,80 @@ msgstr "Allt på 1 flik"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Alla bekräftelsedialogrutor har återställts"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Meddela när en ny version finns tillgänglig"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "&Överför automatiskt hämtade nyheter till läsenheten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Jobbprioritet:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr "Välj en annan utformning för dialogen Redigera metadata. Den kompakta metadata utformningen gynnar att redigera anpassade metadata mot byte av omslag och format."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Önskad &indataformatsordning:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Föredraget &utdataformat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "Redigera metadata (enskild) &utformning:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Om markerad, kan Ja/Nej-anpassade kolumnvärden vara Ja, Nej eller Okänd.\nOm inte markerad, kan värdena vara Ja eller Nej."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "Ja/Nej kolumner har tre värden (kräver omstart)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "&Ta bort nyheter från bibliotek när de automatiskt överförts till läsenheten"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Vänta på nätverkssvar i &högst:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Ange hur länge programmet ska vänta på information från nätverket (d.v.s. när information hämtas från internet)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " sekunder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr "Använd detta Virtuella bibliotek när calibre startas om det aktuella biblioteket används. Tillämpas också när du växlar till det här biblioteket. Observera att denna inställning är per bibliotek. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Återställ alla inaktiverade &bekräftelsedialogrutor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Använd den interna &visaren för:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Virtuellt bibliotek som ska användas när det befintliga &biblioteket öppnas:"
 
@@ -22724,37 +22744,37 @@ msgid ""
 " effect.\n"
 msgstr "Kopiera dessa värden till urklippet, klistra in dem i en redigerare och ange dem sedan i USER_DEVICE genom att anpassa enhetens insticksmodul i Inställningar->Avancerat->Insticksmoduler. Kom ihåg att också ange mapparna du vill att böckerna ska läggas i. Du behöver starta om calibre för att dina ändringar ska träda i kraft.\n"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr "<p>calibre kan skicka dina böcker till dig (eller din läsplatta) per e-post. E-postmeddelanden skickas automatiskt för hämtade nyheter till alla e-postadresser som har <i>Automatisk sändning</i> markerad."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Lägg till en e-postadress som du vill skicka böcker till"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Lägg till e-post"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Använd som\n&standard"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "&Ta bort e-post"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Lägg till kommentarerna från bokens metadata i e-postmeddelandet. \nAnvändbart för att tillåta mottagaren att se en sammanfattning av\nboken innan den öppnas."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Lägg till &kommentarmetadata som text i e-postmeddelandet"
 
@@ -22891,8 +22911,8 @@ msgid "Create a new rule"
 msgstr "Skapa en ny regel"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
-msgstr "Nyckeln till identifieraren, till exempel i isbn: XXX är nyckeln ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
+msgstr "Nyckeln till identifieraren, till exempel i isbn:XXX är nyckeln \"isbn\""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
 msgid "&Key:"
@@ -23029,7 +23049,7 @@ msgid "If there is enough room"
 msgstr "Om det finns tillräckligt med utrymme"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "Efter första bokstav"
 
@@ -23300,7 +23320,7 @@ msgid "Caching of covers for improved pe
 msgstr "Lagra omslag i cache för förbättrad prestanda"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Inaktivera"
 
@@ -23537,7 +23557,7 @@ msgstr "&Mallredigerare"
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:697
 msgid ""
 "When showing the Cover browser in a separate window, show it &fullscreen"
-msgstr "När omslagsbläddraren visas i ett separat fönster, visa den i &helskärm"
+msgstr "När Omslagsbläddraren visas i ett separat fönster, visa den i &helskärm"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:698
 msgid "Show Cover &browser in a separate window (needs restart)"
@@ -23589,7 +23609,7 @@ msgstr "Bocka den här rutan för att g
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:712
 msgid "&Change Quickview item when book list column changes"
-msgstr "&Ändra poster i Snabbvisning när kolumnen för boklistan ändras"
+msgstr "&Ändra poster i Snabbvisningpanelen när kolumnen för boklistan ändras"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:713
 msgid ""
@@ -23695,86 +23715,86 @@ msgstr "Ingen källa vald"
 msgid "No source selected, cannot configure."
 msgstr "Ingen källa vald, det går inte att anpassa."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Metadatakällor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr "Inaktivera alla metadatakällor du inte vill ha genom att avmarkera dem. Du kan också ställa in omslagsprioritering. Omslag från källor som har en högre (mindre) prioritet kommer att ges företräde vid masshämtning av metadata."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Källor med ett rött X bredvid sina namn måste anpassas innan de kan användas. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "A&npassa vald källa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Om du avmarkerar några fält kommer metadata för dessa fält inte att hämtas"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Välj alla"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr "Välj &inga"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Återställ din egen delmängd av markerade fält som du definierar med knappen \"Ange som standard\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr "Välj &standard"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Lagra de för närvarande markerade fälten som standard, du kan snabbt tillämpa standard med hjälp av knappen 'Välj standard'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Ange som standard"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Konvertera alla &hämtade kommentarer till oformaterad text"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Växla om &författarnamn från FN EN till EN, FN"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>När du hämtar kommentarer, lägg till de hämtade kommentarerna till eventuella befintliga kommentarer istället för att skriva över dem."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "När du hämtar kommentarer, lägg till de hämtade kommentarerna till eventuella befintliga kommentarer istället för att skriva över dem."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "Lägg &kommentarer till befintliga"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23783,47 +23803,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr "<p>Normalt, kommer metadatahämtningssystemet att behålla bara ett enda resultat per metadatakälla. Det här alternativet gör att det behåller alla resultat som returneras från varje metadatakälla. Användbart om du bara använder en eller två källor och vill välja enskilda resultat från dem för hand. Observera att resultatet med identiska titel/författare/identifierare fortfarande slås samman."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "behåll mer än en post per källa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Olika metadatakällor har olika uppsättningar av taggar för samma bok. Om alternativet är avmarkerat, kommer calibre att använda mindre markeringsgrupp. Dessa tenderar att vara mer som genrer, medan de större markeringsgrupperna tenderar att beskriva böckerna innehållet.\n<p>Observera att detta alternativ bara kommer att göra en praktisk skillnad om någon av metadatakällorna har en genre som markering för boken du söker efter. Oftast har de alla stora markeringsuppsättningar."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Föredra mindre tagguppsättningar när de taggar plockas från olika metadatakällor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Föredra &färre taggar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Skapa &regler för att filtrera/omvandla taggar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "Skapa regler för att &omvandla författarnamn"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "Max. &antal taggar att hämta:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Max. &tid att vänta efter första träff hittats:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " sek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Max. tid att vänta efter första &omslag hittats:"
 
@@ -25369,7 +25389,7 @@ msgid "Paste and &search"
 msgstr "Klistra in och &sök"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "&Klistra in"
@@ -26395,150 +26415,150 @@ msgstr "Alla dessa category_managers är
 msgid "'Click' found item"
 msgstr "\"Klicka på\" hittad post"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Ändra ikon för: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr "Byt namn på %s i Virtuellt bibliotek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Byt namn på %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr "Ta bort %s i Virtuellt bibliotek"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Ta bort %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Redigera sortering för %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Redigera länk för %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "Lägg till %s i Användarkategori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Underkategori av %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr "Tillämpa %s på valda böcker"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr "Lägg till %s i valda böcker"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr "Ta bort %s från valda böcker"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr "Ta bort Sparad sökning %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Ta bort %(item)s från kategori %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Sök efter alla utom %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "Sök med sparade sökuttryck"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Lägg till underkategori för %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Ta bort användarkategorin %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Dölj kategorin %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Visa kategori"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Sök efter böcker som ingår i kategorin %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Sök efter böcker som inte ingår i kategorin %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Ändra kategoriikon"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Återställ standardikon"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Hantera användarkategorier"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Visa alla kategorier"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Ändra underkategoriseringsschema"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Delning"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Första bokstaven är användbart endast när man sorterar efter namn"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "F&äll ut alla underkategorier"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Fäll in alla nivåer"
 
@@ -27208,7 +27228,7 @@ msgid "The Qt WebEngine Render process c
 msgstr "Processen Qt WebEngine Render kraschade och har startats om"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Osparade ändringar"
 
@@ -27615,12 +27635,12 @@ msgid ""
 msgstr "Filen %s finns inte. Om du försökte att klicka på en post i innehållsförteckningen, kan du behöva uppdatera den genom att högerklicka och välja \"Uppdatera\"."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Okänt filformat"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "Filredigering av typen %s stöds inte"
@@ -27678,76 +27698,76 @@ msgid "Import"
 msgstr "Importera"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Före: Ersätt %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Du måste först öppna en bok för att kunna se rapporten."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Du måste först öppna en bok för att se länkarna."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Du måste först öppna en bok för att kunna komprimera bilder."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "Före: komprimera bilder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Oväntat fel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Det gick inte att komprimera bilder, klicka på \"Visa detaljer\" för mer information"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Det går inte att avkoda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Det går inte att redigera %s eftersom den verkar ha en okänd teckenkodning"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Ingen bok är för närvarande öppen. Du måste först öppna en bok för redigering."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "Den aktuella boken sparas i bakgrunden. Avsluta nu kommer att <b>avbryta spara processen</b>! Slutför spara först?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Avsluta omedelbart"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Avsluta &spara först"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Det finns osparade ändringar, om du avslutar utan att spara kommer de att gå förlorade."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Spara och avsluta"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "&Avsluta utan att spara"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Sparar, vänligen vänta..."
 
@@ -31150,18 +31170,18 @@ msgstr[1] "{} inaktiverade bekräftelsef
 msgid "Disabled confirmations restored"
 msgstr "Inaktiverade bekräftelser återställda"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr "Återgivningsprocessen kraschade"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr "Processen Qt WebEngine Render har kraschat så Förhandsvisning/Levande CSS kommer inte att fungera. Du borde försöka starta om redigeraren."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31175,70 +31195,70 @@ msgid ""
 "            "
 msgstr "\n<h3>Realtidsförhandsvisning</h3>\n\n<p>Här får du se en förhandsgranskning av HTML-filen som du för närvarande\nredigerar. Förhandsgranskningen uppdateras automatiskt när du gör ändringar.\n\n<p style=\"font-size:x-small; color: gray\">Observera att detta endast är en snabb\nförhandsvisning, den är inte avsedd att simulera en verklig \ne-bokläsare. Några aspekter av din e-bok kommer inte att fungera, t.ex. \nsidbrytningar och sidmarginaler."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Inspektera element"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Öppna länk"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Redigera %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Sök i förhandsgranskning"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Ogiltig plats"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Det går inte att dela upp brödtaggen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Det gick inte att starta upp arbetsprocessen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Det gick inte att starta upp arbetsprocess for att framställa förhandsgranskningen"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Det går inte att inaktivera"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Automatisk uppdatering av förhandsvisningspanelen kan inte inaktiveras när panelen Levande CSS är öppen."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Uppdatera automatiskt förhandsgranskning vid textändringar i redigerare"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Inaktivera automatisk uppdatering för förhandsgranskning"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Inaktivera synkronisering av förhandsgranskningsposition till redigerarens position"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Aktivera synkronisering av förhandsgranskningsposition till redigerarens position"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Avbryt delning av fil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34037,7 +34057,7 @@ msgstr "Växla referensläge"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/toolbars.py:60
 msgid "Toggle auto-scrolling"
-msgstr "Växla automatisk bläddring"
+msgstr "Växla automatisk rullning"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/toolbars.py:61
 msgid "Lookup words"
@@ -34077,11 +34097,11 @@ msgstr "Växla till siddelat läge - dä
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/toolbars.py:220
 msgid "Turn off auto-scrolling"
-msgstr "Stäng av automatisk bläddring"
+msgstr "Slå av automatisk rullning"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/toolbars.py:220
 msgid "Turn on auto-scrolling"
-msgstr "Slå på automatisk bläddring"
+msgstr "Slå på automatisk rullning"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/toolbars.py:367
 msgid "Configure the toolbar"
@@ -34112,7 +34132,7 @@ msgstr "E-bokvisare"
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:222
 #: /usr/src/qt5/qtbase/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
-msgstr "Rulla hit"
+msgstr "Bläddra hit"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:224
 msgid "Start of book"
@@ -34186,13 +34206,13 @@ msgstr "Uppslagning av boken misslyckade
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Det gick inte att öppna boken på {0}. Klicka på \"Visa detaljer\" för mer info."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Qt WebEngine Render processen har kraschat. Du bör försöka starta om visaren."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "Välj bakgrundsbild"
 
@@ -34227,30 +34247,30 @@ msgstr "Dölj {}"
 msgid "Show {}"
 msgstr "Visa {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Välj &färg"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Välj en färg"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Klipp u&t"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "&Öka"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "&Minska"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Inte betygsatt"
 
@@ -34282,7 +34302,7 @@ msgstr "Kobo- och Kobo Touch-läsenheter
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:155
 msgid "Kobo Vox, Aura and Glo families"
-msgstr "Kobo Vox, Aura och Glo familjer"
+msgstr "Kobo Vox-, Aura- och Glo-familjer"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:289
 msgid "PocketBook 360 and newer models"
@@ -34304,44 +34324,48 @@ msgstr "Android-telefon med Kindle-läse
 msgid "Android tablet with Kindle reader"
 msgstr "Android-surfplatta med Kindle-läsenhet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr "Generisk"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Välj din e-bokenhet. Om enheten inte finns med i listan, välj en \"%s\"-enhet."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "Om du flyttar calibre från en gammal dator till en ny, vänligen läs <a href=\"{0}\">instruktionerna</a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Välj plats för böcker"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Det gick inte att skapa en mapp i %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Du måste välja en tom mapp för calibre-biblioteket. %s är inte tom."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Nästa >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< Till&baka"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34349,15 +34373,15 @@ msgstr "< Till&baka"
 msgid "Cancel"
 msgstr "Avbryt"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Slutför"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Tillämpa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Välkomstguide"
 
@@ -34365,7 +34389,7 @@ msgstr "Välkomstguide"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Välkommen till calibre"
@@ -34373,7 +34397,7 @@ msgstr "Välkommen till calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "En samlad lösning för alla dina e-bokbehov."
@@ -34388,7 +34412,7 @@ msgstr "&Enheter"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Guidesida"
@@ -34426,17 +34450,17 @@ msgstr "<p>calibre kan automatiskt skick
 msgid "&Kindle email:"
 msgstr "&Kindle e-post:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Välj ditt &språk:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Välj en plats för dina böcker. När du lägger till böcker i calibre kopieras de hit. Använd en <b>tom mapp</b> för ett nytt calibre-biblioteket:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37022,6 +37046,27 @@ msgstr "check_yes_no(field_name, is_unde
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no kräver att fältet är en Ja/Nej anpassad kolumn"
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr "rating_to_stars(value, use_half_stars) -- Återger betygsättningen som sträng av stjärntecken. Värdet är ett tal mellan 0 och 5. Ställ in use_half_stars till 1 om du vill ha halvstjärntecken för anpassade betygskolumner som stöder icke-heltalsklassificering, till exempel 2.5."
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr "Betyget måste vara ett nummer mellan 0 och 5"
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr "swap_around_articles(val, separator) -- återger valet med artiklar flyttade till slutet. Värdet kan vara en lista, i vilket fall varje medlem av listan behandlas. Om värdet är en lista måste du ange listvärdesseparatorn. Om ingen separator tillhandahålls behandlas värdet som ett enda värde, inte en lista."
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "Namnlös bild"
@@ -37867,19 +37912,19 @@ msgstr "Sida höger"
 
 #: /usr/src/qt5/qtbase/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
-msgstr "Rulla vänster"
+msgstr "Bläddra vänster"
 
 #: /usr/src/qt5/qtbase/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
-msgstr "Rulla uppåt"
+msgstr "Bläddra uppåt"
 
 #: /usr/src/qt5/qtbase/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
-msgstr "Rulla neråt"
+msgstr "Bläddra neråt"
 
 #: /usr/src/qt5/qtbase/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
-msgstr "Rulla höger"
+msgstr "Bläddra höger"
 
 #: /home/kovid/work/calibre/resources/default_tweaks.py:9
 msgid "Auto increment series index"
@@ -38290,7 +38335,7 @@ msgid ""
 "Example: doubleclick_on_library_view = 'do_nothing'\n"
 "You can also control whether the book list scrolls horizontal per column or\n"
 "per pixel. Default is per column."
-msgstr "Du kan styra beteendet för dubbelklick och trycka på enter i boklistan.\nVal: open_viewer, do_nothing,\nedit_cell, edit_metadata. Om du väljer något annat än open_viewer har du\nbieffekt av att inaktivera redigering av ett fält med ett enda klick.\nStandard: open_viewer.\nExempel: doubleclick_on_library_view = 'do_nothing'\nDu kan också kontrollera om boklistan rullar horisontellt per kolumn eller\nper pixel. Standard är per kolumn."
+msgstr "Du kan styra beteendet för dubbelklick och trycka på enter i boklistan.\nVal: open_viewer, do_nothing,\nedit_cell, edit_metadata. Om du väljer något annat än open_viewer har du\nbieffekt av att inaktivera redigering av ett fält med ett enda klick.\nStandard: open_viewer.\nExempel: doubleclick_on_library_view = 'do_nothing'\nDu kan också kontrollera om boklistan bläddrar horisontellt per kolumn eller\nper pixel. Standard är per kolumn."
 
 #: /home/kovid/work/calibre/resources/default_tweaks.py:377
 msgid "Language to use when sorting"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ta.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ta.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ta.po	2020-07-02 04:06:36.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ta.po	2020-07-16 16:37:41.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -209,7 +209,7 @@ msgstr "நிச்சயமாக எ
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -221,12 +221,12 @@ msgstr "நிச்சயமாக எ
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1136,9 +1136,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1163,7 +1163,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1225,7 +1225,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2838,8 +2838,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2848,8 +2848,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3192,7 +3192,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3305,7 +3305,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3332,8 +3332,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3721,61 +3721,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6209,7 +6220,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6232,7 +6243,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6498,103 +6509,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6602,7 +6613,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8491,7 +8502,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8969,7 +8980,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9014,7 +9025,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9066,7 +9077,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9221,7 +9232,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9261,7 +9272,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10157,7 +10168,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "E"
 
@@ -10759,7 +10770,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10970,7 +10981,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11418,8 +11429,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11548,42 +11559,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11592,112 +11608,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11705,7 +11721,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11774,7 +11790,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11792,11 +11808,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11935,7 +11951,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11970,7 +11986,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12017,8 +12033,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12130,22 +12146,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12373,7 +12389,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12848,10 +12864,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13283,7 +13299,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13298,7 +13314,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13307,7 +13323,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13322,8 +13338,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13390,45 +13406,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13774,7 +13790,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14600,74 +14616,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14675,44 +14690,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15418,11 +15433,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15486,79 +15501,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15608,8 +15628,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16165,46 +16185,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16213,7 +16233,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16228,11 +16248,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16260,7 +16280,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16285,28 +16305,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16333,65 +16353,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16724,77 +16744,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16802,7 +16822,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16812,7 +16832,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16827,80 +16847,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16908,90 +16928,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16999,118 +17019,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17119,152 +17139,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17272,48 +17292,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17942,7 +17962,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18602,76 +18622,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18703,121 +18723,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19698,17 +19718,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19989,21 +20009,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20347,7 +20357,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20510,6 +20520,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20789,7 +20809,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20859,7 +20879,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21620,13 +21640,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21651,80 +21671,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22713,37 +22733,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22880,7 +22900,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23018,7 +23038,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23289,7 +23309,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "முடக்கு"
 
@@ -23684,86 +23704,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23772,47 +23792,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25358,7 +25378,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26384,150 +26404,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "பகிர்வு"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27197,7 +27217,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27604,12 +27624,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27667,76 +27687,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31139,18 +31159,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31164,70 +31184,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34175,13 +34195,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34216,30 +34236,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34293,44 +34313,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34338,15 +34362,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34354,7 +34378,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34362,7 +34386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34377,7 +34401,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34415,17 +34439,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37011,6 +37035,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/te.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/te.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/te.po	2020-07-02 04:04:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/te.po	2020-07-16 16:41:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr "పరికరంలో ఉన
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr "నిర్మాత"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " క్షణాలు"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/th.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/th.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/th.po	2020-07-02 04:06:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/th.po	2020-07-16 16:40:42.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -207,7 +207,7 @@ msgstr "ไม่ทำอะไร"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -219,12 +219,12 @@ msgstr "ไม่ทำอะไร"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1134,9 +1134,9 @@ msgstr "บัญชีรายชื
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1161,7 +1161,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1223,7 +1223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2836,8 +2836,8 @@ msgstr "เรียกรายกา
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2846,8 +2846,8 @@ msgstr "ลบหนังสืออ
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3190,7 +3190,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3303,7 +3303,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "เรียกข้อมูลอุปกรณ์ปลายทาง"
@@ -3330,8 +3330,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3719,61 +3719,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6207,7 +6218,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6230,7 +6241,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8485,7 +8496,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8957,7 +8968,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9002,7 +9013,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9054,7 +9065,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9208,7 +9219,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9248,7 +9259,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10138,7 +10149,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10737,7 +10748,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10947,7 +10958,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11392,8 +11403,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11522,42 +11533,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11566,112 +11582,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11679,7 +11695,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11748,7 +11764,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11766,11 +11782,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11909,7 +11925,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11944,7 +11960,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -11991,8 +12007,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12104,22 +12120,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12347,7 +12363,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12822,10 +12838,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13257,7 +13273,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13272,7 +13288,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13281,7 +13297,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13296,8 +13312,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13364,45 +13380,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13748,7 +13764,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14574,74 +14590,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14649,44 +14664,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15391,11 +15406,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15459,79 +15474,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15581,8 +15601,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16138,46 +16158,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16186,7 +16206,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16201,11 +16221,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16232,7 +16252,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16257,28 +16277,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16305,65 +16325,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16695,77 +16715,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16773,7 +16793,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16783,7 +16803,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16798,80 +16818,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16879,90 +16899,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16970,118 +16990,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17090,152 +17110,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17243,48 +17263,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17913,7 +17933,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18573,76 +18593,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18674,121 +18694,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19667,17 +19687,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19955,21 +19975,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20313,7 +20323,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20476,6 +20486,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20754,7 +20774,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20822,7 +20842,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21581,13 +21601,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21612,80 +21632,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22674,37 +22694,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22841,7 +22861,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -22979,7 +22999,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23250,7 +23270,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23645,86 +23665,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23733,47 +23753,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25317,7 +25337,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26343,150 +26363,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27156,7 +27176,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27563,12 +27583,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27626,76 +27646,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31090,18 +31110,18 @@ msgstr[0] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31115,70 +31135,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34122,13 +34142,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34163,30 +34183,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34240,44 +34260,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34285,15 +34309,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34301,7 +34325,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34309,7 +34333,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34324,7 +34348,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34362,17 +34386,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -36957,6 +36981,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ti.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ti.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ti.po	2020-07-02 04:07:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ti.po	2020-07-16 16:37:12.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6494,103 +6505,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6598,7 +6609,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8487,7 +8498,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8965,7 +8976,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9010,7 +9021,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9062,7 +9073,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9217,7 +9228,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9257,7 +9268,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10153,7 +10164,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10755,7 +10766,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10966,7 +10977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11414,8 +11425,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11544,42 +11555,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11588,112 +11604,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11701,7 +11717,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11770,7 +11786,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11788,11 +11804,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11931,7 +11947,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11966,7 +11982,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12013,8 +12029,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12126,22 +12142,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12369,7 +12385,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12844,10 +12860,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13279,7 +13295,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13294,7 +13310,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13303,7 +13319,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13318,8 +13334,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13386,45 +13402,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13770,7 +13786,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14596,74 +14612,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14671,44 +14686,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15414,11 +15429,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15482,79 +15497,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15604,8 +15624,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16161,46 +16181,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16209,7 +16229,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16224,11 +16244,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16256,7 +16276,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16281,28 +16301,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16329,65 +16349,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16720,77 +16740,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16798,7 +16818,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16808,7 +16828,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16823,80 +16843,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16904,90 +16924,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16995,118 +17015,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17115,152 +17135,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17268,48 +17288,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17938,7 +17958,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18598,76 +18618,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18699,121 +18719,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19694,17 +19714,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19985,21 +20005,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20343,7 +20353,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20506,6 +20516,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20785,7 +20805,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20855,7 +20875,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21616,13 +21636,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21647,80 +21667,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22709,37 +22729,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22876,7 +22896,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23014,7 +23034,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23285,7 +23305,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23680,86 +23700,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23768,47 +23788,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25354,7 +25374,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26380,150 +26400,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27193,7 +27213,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27600,12 +27620,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27663,76 +27683,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31135,18 +31155,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31160,70 +31180,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34171,13 +34191,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34212,30 +34232,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34289,44 +34309,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34334,15 +34358,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34350,7 +34374,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34373,7 +34397,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34411,17 +34435,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37007,6 +37031,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/tr.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/tr.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/tr.po	2020-07-02 04:04:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/tr.po	2020-07-16 16:39:26.000000000 +0000
@@ -34,9 +34,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-22 09:05+0000\n"
-"Last-Translator: omerfarukcakmak <omerfarukckmk@protonmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -233,7 +233,7 @@ msgstr "Kesinlikle hiçbir şey yapmaz"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -245,12 +245,12 @@ msgstr "Kesinlikle hiçbir şey yapmaz"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1160,9 +1160,9 @@ msgstr "Katalog"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1187,7 +1187,7 @@ msgstr "({0}) kitaplığının yolu çok
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1249,7 +1249,7 @@ msgstr "Kayıtlı Aramalar"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2862,8 +2862,8 @@ msgstr "Cihazdaki kitapların listesi al
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2872,8 +2872,8 @@ msgstr "Donanım  metadata listesinden
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3216,7 +3216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Şablonu düzenle"
@@ -3329,7 +3329,7 @@ msgid "Communicate with MTP devices"
 msgstr "MTP aygıtı ile bağlantı kur."
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Aygıt bilgisini al..."
@@ -3356,8 +3356,8 @@ msgid "Finished reading metadata from de
 msgstr "Cihazdan metadata okunması tamamlandı"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3745,61 +3745,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "%s çok fazla bağlantı denemesinde bulundu"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Cihazınızdaki uygulama çok eski ve artık desteklenmiyor. Daha yeni bir versiyona güncelleyin."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Kitaplığınızdaki bazı kitapların oluşturma tarihleri ileri bir tarihi gösteriyor. Detaylar için Calibre'ye bakın."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "%s okuma sync sütunu Calibre kitaplığında yer almıyor"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "%s okuma sync sütunu bir Evet/Hayır sütunu değil"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "%s okuma tarih sync sütunu Calibre kitaplığında yer almıyor"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Hatalı sıkıştırma kalitesi ayarı. Bu değer 50 ile 99 arasında olmalı. Ön tanımlı değer %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Seçeneklerde geçersiz bağlantı numarası: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "%d portuna bağlanılamadı. Başka bir port deneyin."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Rastgele port seçiminde hata"
 
@@ -6233,7 +6244,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "No"
 
@@ -6256,7 +6267,7 @@ msgid "Producer"
 msgstr "Yapımcı"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6522,103 +6533,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google Görseller"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Metadata ve kapakları Amazon'dan indir."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "ABD"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Fransa"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Almanya"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Birleşik Krallık"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Avustralya"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "İtalya"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Japonya"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "İspanya"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Brezilya"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Hollanda"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Çin"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Kanada"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Sunucuyu otomatik seç"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Amazon sunucuları"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Bing Arama Önbelleği"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Google Arama Önbelleği"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Wayback Machine Önbelleği (Yavaş)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Kullanılacak Amazon Ülke Web Sitesi:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Bu ülkenin Amazon websitesi kullanılarak Metadata indirilecek."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Veri alınacak sunucu:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6626,7 +6637,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazon zaman aşımı.Sonra tekrar deneyin."
 
@@ -8515,7 +8526,7 @@ msgstr "Panoya Hiç Bir Dosya Kopyalanma
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8993,7 +9004,7 @@ msgstr "%s klasörü zaten var. Önce on
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Çok uzun"
 
@@ -9038,7 +9049,7 @@ msgstr "%s kitaplığı Calibre'den kald
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9090,7 +9101,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9245,7 +9256,7 @@ msgid "Browse for library"
 msgstr "Kitaplığı tara"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Kopyala"
@@ -9285,7 +9296,7 @@ msgstr "{1} tarafından {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Tümünü &seç"
 
@@ -10181,7 +10192,7 @@ msgid "Move to next highlighted match"
 msgstr "Sonraki vurgulanan eşleşmeye kaydır"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10783,7 +10794,7 @@ msgid "this book"
 msgstr "bu kitap"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "%s için ara"
@@ -10994,7 +11005,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11442,8 +11453,8 @@ msgstr "Değiştir"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11572,42 +11583,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "%s yönet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "%s biçimini sil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "%s biçimini diske kaydet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "%s biçimini geri yükle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Kitap kapağını %s dosyasından ayarla"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "%s biçimi ile karşılaştır"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11616,112 +11632,112 @@ msgstr "%s biçimi ile karşılaştır"
 msgid "Open %s with..."
 msgstr "%s ile birlikte aç..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "%s dosyaları için başka bir uygulama ekle..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Yolu dosyaya kopyala"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Bu kitaptan %s'i sil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Kapağı birlikte aç..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Kapağı açmak için başka bir uygulama ekle..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Kapağı Yapıştır"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Kapağı Kopyala"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Yol"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11729,7 +11745,7 @@ msgstr "Yol"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Kapak boyutu: %(width)d x %(height)d piksel"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11798,7 +11814,7 @@ msgstr "çıktı"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11816,11 +11832,11 @@ msgstr "çıktı"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11959,7 +11975,7 @@ msgid "Preset name:"
 msgstr "Hazır ayar adı:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Bir isim vermelisiniz."
 
@@ -11994,7 +12010,7 @@ msgstr "Doğru"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12041,8 +12057,8 @@ msgid "Delete current preset"
 msgstr "Geçerli hazır ayarı sil"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Sil"
 
@@ -12154,22 +12170,22 @@ msgstr "Varsayılanlara döndür"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12397,7 +12413,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12872,10 +12888,10 @@ msgstr "Yazı tipi &boyut anahtarı:"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13307,7 +13323,7 @@ msgid "Change the title of this book"
 msgstr "Kitabın bağlığını değiştir"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Yazar(lar): "
 
@@ -13322,7 +13338,7 @@ msgid ""
 msgstr "Bu kitabın yazarlarını değiştir. Birden fazla yazarı virgülle ayırmalısınız"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "&Yayıncı: "
 
@@ -13331,7 +13347,7 @@ msgid "Ta&gs: "
 msgstr "Et&iketler: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13346,8 +13362,8 @@ msgstr "&Seri:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Serilerin listesi. Yeni seri ekleyebilirsiniz."
@@ -13414,45 +13430,45 @@ msgstr "Ekran boyutu: %s"
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "&Çıktı profili:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Profil açıklaması"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "&Girdi profili:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Kenar boşlukları"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Sol:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Değiştirilmemiş"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Üst:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Sağ:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Alt:"
@@ -13798,7 +13814,7 @@ msgid "Edit the currently selected expre
 msgstr "Seçili ifadeyi düzenle"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "&Değiştir"
 
@@ -14624,74 +14640,73 @@ msgstr "Kuralları içe aktarmak için b
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Tanımsız"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "'%s' tarihini bugün olarak ayarla"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "'%s' temizle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Değerler değişti"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Değerleri değiştirdiniz. Bu düzenleyiciyi kullanmak için ya bunları yok saymalı ya da uygulamalısınız. Değişiklikler uygulansın mı?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " İndeks"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "\"{0}\" sayımı varsayılana ayarlanacak olan geçersiz bir değer içeriyor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Değişiklikleri uygula"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Serileri temizle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Kitapları otomatik numaralandır"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14699,44 +14714,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Numaraların şu sayı ile başlamasını zorla: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "Art arda gelen kitaplar için seri numaralarını artırma değeri. Yalnızca seri numaralarını zorla kullanırken uygulanabilir."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "\"{0}\" numaralaması listede belirmeyecek olan geçersiz değerler içeriyor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Bütün etiketleri kaldır"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "eklenecek etiketler"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "kaldırılacak etiketler"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15442,11 +15457,11 @@ msgstr "Bu işlem biraz vakit alabilir,
 msgid "Vacuuming..."
 msgstr "Vakumlanıyor..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Kitaplık kontrolü -- Sorunlar bulundu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15510,79 +15525,84 @@ msgid ""
 "        "
 msgstr "        <h1>Yardım</h1>\n\n        <p>Calibre kitaplarınız ve metadata'larını bir veri tabanında saklar.\n        Asıl kitap dosyaları ve kapaklar Calibre kitaplık dizininde normal\n        dosyalar olarak saklanır. Veri tabanı her kitap girdisine ait dosyaların\n        listesini ve kapakları içerir. Bu araç bilgisyarınızdaki kitaplık dizinindeki\n        asıl dosyaların veri tabanındaki bilgiyle eşleşip eşleşmediğini kontrol\n        eder.</p>\n\n        <p>Her çeşit kontrolün sonucu solda yer alır. Çeşitli kontrollar şunlardır:\n        </p>\n        <ul>\n        <li><b>Geçersiz başlıklar</b>: Bunlar kitaplıkta kitap başlıklarının olması\n        gereken yerde bulunan, ama bir kitap başlığı olacak doğru biçime sahip olmayan\n        dosyalar ve dizinlerdir.</li>\n        <li><b>Ek başlıklar</b>: Bunlar doğru biçimlenmiş başlıklar olarak görünen\n        kitaplığınızdaki ek dosyalardır, ama veri tabanında karşılık gelen girdileri\n        yoktur</li>\n        <li><b>Geçersiz yazarlar</b>: Bunlar kitaplıkta yalnızca yazar dizinlerinin\n        bulunması gereken yerde bulunan dosyalardır.</li>\n        <li><b>Ek yazarlar</b>: Bunlar Calibre kitaplığında yazar olarak görünen ama\n        veri tabanında girdileri bulunmayan dizinlerdir</li>\n        <li><b>Eksik kitap biçimleri</b>: Bunlar veri tabanında olan ama kitap dizininde\n        karşılığı bulunmayan kitap biçimleridir.\n        <li><b>Ek kitap biçimleri</b>: Bunlar kitap dizininde bulunan ama veri tabanında\n        bulunmayan kitap biçimleridir.\n        <li><b>Kitaplardaki bilinmeyen dosyalar</b>: Bunlar her kitap dizinindeki\n        bilinen bir biçime veya kapak dosyasına karşılık gelmeyen ek dosyalardır.</li>\n        <li><b>Eksik kapak dosyaları</b>: Bunlar veri tabanında kapak dosyası var\n        olarak işaretlenen ama aslında kapak dosyaları eksik olan kitaplardır.</li>\n        <li><b>Veri tabanında olmayan kapak dosyaları</b>: Bunlar kapak dosyaları\n        olan ama veri tabanında kapak dosyası yok olarak işaretlenmiş kitaplardır.</li>\n        <li><b>İstisna yükselten dizin</b>: Bunlar Calibre kitaplığında bulunan ve\n        bu araç tarafından işlenemeyen/anlaşılamayan dizinleri temsil eder.</li>\n        </ul>\n\n        <p>İki çeşit otomatik düzeltme çeşidi vardır: <i>Seçileni\n        sil</i> ve <i>Seçileni düzelt</i>.</p>\n        <p><i>Seçileni sil</i> veri tabanında girdisi olmayan dosyaları/dizinleri/kapakları\n        silmek için kullanılır. Silmek istediğiniz öğenin yanındaki kutuyu işaretleyin\n        Dikkatli kullanın.</p>\n\n        <p><i>Seçileni düzelt</i> yalnızca kapaklara ve eksik biçimlere uygulanabilir\n        ('düzeltilebilir' olarak işaretlenen üç satır). Eksik kapak dosyalarının olduğu\n        durumda, düzeltilebilir kutusunu işaretleyip bu düğmeye basmak Calibre'ye\n        listelenen tüm kitaplar için kapak olmadığını söyler. Kapakları bir yedekten\n        döndürmeyi düşünmüyorsanız bu seçeneği kullanın. Ek kapak dosyalarının olduğu\n        durumda, düzeltilebilir kutusunu işaretleyip bu düğmeye basmak, Calibre'ye\n        bulduğu kapak dosyalarının listelenen tüm kitaplar için doğru olduğunu söyler.\n        Dosyaları silmeyeceğiniz zaman bu seçeneği kullanın. Eksik biçimlerin\n        olduğu durumda, düzeltilebilir kutusunu seçip bu düğmeye basmak Calibre'ye\n        biçimlerin gerçekten kayıp olduğunu söyler. Biçimleri bir yedekten geri\n        getirmeyi düşünmediğinizde bunu kullanın.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Kontrolü yeniden çalıştır"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "Panoya k&opyala"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Tamam"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Tümünü &silmek için işaretle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Silinebilir tüm alt nesneleri işaretle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "İşaretlileri &sil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "İşaretli dosyaları sil (onaylanmış alt nesneleri de)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Tümünü onarma&k için işaretle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Tüm onarılabilir ögeleri işaretle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "&İşaretlileri onar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "İşaretlenmiş bölümleri onar (onaylanmış onarılabilir ögeler)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Yok sayılacak isimler:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Standart dosya isimlerini yıldız işaretiyle kullanarak virgülle ayırarak girin, synctoy*.dat gibi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Yok sayılacak uzantılar:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Uzantıları önüne nokta koymadan ve virgülle ayırarak girin. Sadece kitap klasörlerinde kullanılır"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(onarılabilir)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Kitaplığın yolu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15632,8 +15652,8 @@ msgstr "%s konumu mevcut Calibre kitapl
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Kötü konum"
 
@@ -16189,46 +16209,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (%(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Öge boş"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Bir öge hiçbir şey olarak ayarlanamaz. Bunun yerine silebilirsiniz."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Öge seçilmedi"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Kullanılabilir ögeler listesinden bir öge seçmek zorundasınız."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Öge seçilmedi"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Listeden en az bir öge seçmelisiniz."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Aşağıdaki maddeleri silmek istediğinizden emin misiniz?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16237,7 +16257,7 @@ msgid "Items in use"
 msgstr "Kullanılan ögeler"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16252,11 +16272,11 @@ msgstr "Ögeyi kullanıldığı bütün
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Bu kitap DRM korumalı"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16284,7 +16304,7 @@ msgid "Already in calibre:"
 msgstr "Zaten Calibre'de:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16309,28 +16329,28 @@ msgid "Change case"
 msgstr "Büyük/Küçük Harf Değiştir"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Tamamı Büyük Harf"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Tamamı Küçük Harf"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Büyüklerle Küçükleri Değiştir"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16357,65 +16377,65 @@ msgstr "Geçersiz yazar adı"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Yazarları yönet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Ara:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Tüm yazar sıralama değerlerini yazardan otomatik üretilen\nbir değere ayarla. Bu değerin tam olarak nasıl otomatik üretildiği\nTercihler->Gelişmiş->Ayarlar ile kontrol edilebilir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Her yazar için yazar alanına yazar sıralamasını kopyala. Bu düğmeyi genellikle\nTercihler->Gelişmiş->Ayarlar->Yazar adı sıralama algoritmasını değiştirdikten sonra kullanırsınız."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "Tüm yazar sıralama değerlerini yazara kopyala"
 
@@ -16748,77 +16768,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Çalışıyor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "%d kitap işleniyor, lütfen bekleyin..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Küçük Harf"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Büyük Harf"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Başlık Alanı"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Karakter eşleşmesi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Düzenli ifade"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Alanı değiştir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Alanın başına ekle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Alana ekle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "<b>%d kitap</b> için üst veri bilgisi düzenleniyor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Pencereyi kapatmadan tüm değişiklikleri hemen uygula. Bu işlem iptal edilemez ve geri alınamaz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Kitap %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Bir tanımlayıcı türü girin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16826,7 +16846,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Bu özellikle kitaplığınızı silebilirsiniz.</b> Değişiklikler kalıcıdır. Geri alma fonksiyonu yoktur. Bunu yapmadan önce yedek almanız şiddetle önerilir.<p>Metin alanlarındaki arama ve değiştirme karakter eşleştirme veya düzenli ifadeler kullanır. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16836,7 +16856,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16851,80 +16871,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R ŞABLON HATASI"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Kaynak bileşik bir alan veya bir şablon olduğunda bir hedef belirtmeniz gerekir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Bir hedef tanımlayıcı türü belirlemelisiniz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "\"Arama\" alanına bir arama ifadesi girmelisiniz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Geçersiz tanımlama dizisi. Virgülle ayrılmış bir liste olmalıdır"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Arama/değiştirme geçersiz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Kayıtlı Arama/Değiştirme'yi Sil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Seçili Kayıtlı Arama/Değiştirme Silinecek. Emin Misiniz?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Aramayı/değiştirmeyi kaydet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Arama/değiştirme adı:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Bu Kayıtlı Arama/Değiştirme zaten mevcut ve üzerine yazılacak. Emin Misiniz?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Üstbilgileri Düzenle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16932,90 +16952,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Bu her bir seçili kitap için yazarlar alanına dayalı olarak yazar sıralama \nalanının otomatik olarak güncellenmesini sağlar. Eğer yazarları topluca ayarlamak için\nyukarıdaki kontrolü kullanırsanız, bu işaret kutusunun değeri ne olursa olsun\nyazar sıralama alanının güncelleneceğini göz önünde bulundurun."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Yazar Sıralamasını &Otomatik Ayarla"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "B&aşlık ve Kitap Adını Yer Değiştir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Sıralama başlığını mevcut başlığa göre değiştir. Bu başlığa diğer değişiklikler uygulandıktan sonra etkili olacaktır."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Kitap Adı &Sıralamasını Güncelle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Kapağı &Değiştir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "&Öntanımlı Kapak Oluştur"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Kapağı Sil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Kapak resimlerindeki kenarlıkları ve ek boşlukları otomatik olarak\n algılamayı ve kaldırmayı dene. Bu işlem bezen çok fazla\n şey silebilir, dikkatli kullanın."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "Kapağı Kırp (TEHLİKELİ)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "e-Kitap Dosyalarından Getir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Seçili kitapların tümünün kapağını ilk seçilen\nkitabın kapağıyla aynı yap."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&İlk Kitabın Kapağını Kullan"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Başlığı başlık şeklinde olmaya zorla. Hem bu hem yazarları değiştir işaretliyse,\nbaşlık ve yazar, başlık şekli ayarlanmadan önce değiştirilir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Kitap Adında Büyük/Küçük Harf Değiştir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Tarih:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Seçildiğinde yayıncı alanı silinir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "&Yayıncıyı Temizle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "Y&ayın Tarihi:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17023,118 +17043,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "İşaretlenmemişse, kitaplar için seri numarası 1 olarak ayarlanır.\nİşaretliyse, seçili kitaplar otomatik olarak seçtiğiniz sırada\nnumaralandırılır. Yani Kitap A'yı seçtiyseniz ve ardından Kitap B'yi\nKitap A seri numarası 1'e, Kitap B seri numarası 2'ye sahip olur."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "Bu Serideki Kitapları &Otomatik Olarak Numaralandır"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Seriler normalde seri için veri tabanındaki en yüksek numaradan başlayarak\nyeniden numaralandırılır. Bu kutuyu işaretlemek Calibre'ye kutudaki değerden\nbaşlayarak işaretlemesini söyler"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "&Numaralandırmayı Şu Sayı ile Başlat:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "İşaretlendiğinde seri silinecektir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "&Seriyi Sil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Varsayılan Kitap Kapağının Nasıl Oluşturulacağını Kontrol Et"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Kapak Oluşturma Ayarları"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Seçilen Tü&m Kitaplar İçin Açıklamaları Ayarla"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Etiket Kaldır:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "&Hepsini kaldır"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Eti&ket Ekle: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Bu kitabın yazarlarının nasıl sıralanacağını belirtin. Örneğin Yaşar Kemal ismi Kemal, Yaşar olarak sıralanabilir."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "Değerlendirmeyi Uygula"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Yayınlanma Tarihini Sil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Dil(ler):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Kitaplardan kaldırılacak etiketlerin virgülle ayrılmış listesi. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Etiket Düzenleyici'yi Aç"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Yazar S&ıralaması: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Calibre'deki üstbilgileri, her bir kitapla ilişkilendirilmiş e-kitap dosyalarındaki üstbilgileri kullanarak ayarlayın. Bunun kapağı değiştirmediğini unutmayın, bunun için aşağıdaki diğer seçeneği kullanın."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Üstbilgiyi e-Kitap Dosyalarından Getir (Kapaklar Hariç)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "Seri:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Seçilen kitaplar için kaydedilmiş dönüşüm ayarlarını sil.\n\nBu kitapların gelecekteki dönüşümlerinde varsayılan ayarlar kullanılacaktır."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Seçilen kitaplar için kaydedilmiş dönüşüm ayarlarını sil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17143,152 +17163,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Aynı biçimden aynı biçime dönüştürme yaparken, örn.,\nEPUB'dan EPUB'a, Calibre asıl EPUB'ı ORIGINAL_EPUB\n olarak kaydeder. Bu seçenek Calibre'ye EPUB'ı \n ORIGINAL_EPUB'dan geri yüklemesini söyler. Bir çok\n kitabı toplu dönüştürdüyseniz ve bir şeyler ters gittiyse faydalıdır."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Dönüştürme öncesi ve &asılları geri yükle, eğer kullanılabilirlerse"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Kitaplardan tüm etiketleri kaldırmak için bu kutuyu işaretleyin."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&Değerlendirme:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Temel Üstbilgi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Özel Üstbilgi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "Bul ve Değiştir Yükle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Yüklenecek Kayıtlı Arama/Değiştirme'yi Seçin."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Mevcut Arama/Değiştirmeyi Kaydet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "&Kaydet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "Arama A&lanı:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Aramak istediğiniz alanın adı"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "Arama &Şekli:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Temel metin eşleşmesinin mi gelişmiş düzenli ifade eşleşmesinin mi kullanılacağını seçin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "Tanımlayıc&ı Türü"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "İşletilecek tanımlayıcı türünü seçin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Şablon:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Arama/değiştirme kaynağı için kullanılacak şablonu girin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Ne aradığınızı hangi kipi kullandığınıza bağlı olarak düz metin veya düzenli ifade olarak girin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Aradığınız karakter dizisinin büyük küçük harfe duyarlı olmasını istiyorsanız bu kutuyu işaretleyin. Bu önemli değilse işareti kaldırın"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "Büyük/Küçük Harf Duyarlı"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "İle Değişti&r:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Değiştirme metni. Eşleşen arama metni bu karakter dizisiyle değiştirilecektir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Değiştirmeden Sonra Uygulanacak Fonksiyon:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Eşleşme ve değiştirmenin ardından metnin nasıl işleneceğini belirtin. Karakter kipinde tüm alan işlenir.\nDüzenli ifade kipinde sadece eşleşen metin işlenir."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "&Hedef Alan:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Tüm değiştirmelerin ardından konulacak metnin alanı.\nBoş bırakılırsa kaynak alanı düzenlenebilirse o kullanılır"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "K&ip:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Metnin hedefe nasıl kopyalanması gerektiğini belirtin."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Sonuç öğelerinin tekli değerler halinda bırakılması veya birden çok değere\nayrılması durumunu belirtir. Bu seçenek sonuç alanın birden çok, kaynak alanın\ntek olduğu durumlarda en etkilidir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Sonucu &Böl"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Tanımlayıcı Türü:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17296,48 +17316,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Hangi tanımlayıcı türü üzerinde işlem yapılacağını seçin. Kaynak\n              alanı 'tanımlayıcılar'dan başka bir şey olduğunda tüm tanımlayıcılar\n              kümesini arama/değiştirme sonucuyla değiştirmek istiyorsanız\n              bir * girebilisiniz.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Birden çok değerli alanlar için, göste&r"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "ile Baş&layan Değerler"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "Şununla A&yrılmış Değerlerle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Test sonuçlarını birden çok değerli alanlara gösterirken kullanılır"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Deneme Metni:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Deneme Sonucu:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Deneme Yapın:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "Bul ve Değiştir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Etkinleştirildiğinde, kitap listesi yeniden sıralanır ve düzenleme bittiğinde mevcut arama veya sanal kitaplık yenilenir. Bu işlem büyük kitaplıklarda yavaş olabilir."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "&Düzenlemeden Sonra Kitap Listesini Yenile"
 
@@ -17966,7 +17986,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Kayıtlı Aramaları Yönet"
 
@@ -18626,76 +18646,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Mevcut etiket sınıflandırması <b>kalıcı olarak silinecek</b>. Emin misiniz?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Düzenlemek için bir sınıflandırma seçin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Yeni sınıflandırma için içerik türünü seçin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Yeni bir kategori ekle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Kutudaki mevcut sınıflandırmayı yeniden adlandır"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Mevcut etiket sınıflandırmasına etiketleri uygula"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Geçerli etiket sınıflandırmasından etiketi kaldır (sil)"
 
@@ -18727,121 +18747,121 @@ msgid ""
 "to delete them?"
 msgstr "Aşağıdaki etiketler bir veya daha fazla kitapta kullanılıyor. Silmek istediğinizden emin misiniz?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Sayaç"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "İdi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Değişiklikleri gerçekten geri almak istiyor musunuz?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Silinme geri alınsın mı?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Bu öğe silinmiş. Geri almak istiyor musunuz?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19722,17 +19742,17 @@ msgstr "Yerleşim"
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "%s biçimi yok"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "{0} kitabının {1} biçimi yok"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "%s geri yükle"
@@ -20013,21 +20033,11 @@ msgstr "%(sidx)s kitabı <span class=\"s
 msgid "This book is on the device in %s"
 msgstr "Bu kitap %s aygıtında"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Tarihi tanımsız olarak ayarla"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Tarihi bugün olarak ayarla"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Tanımsız olarak ayarla"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20371,7 +20381,7 @@ msgid ""
 msgstr "Taşınabilir Calibre yolu (%s) çok uzun. 59 karakterden az olması gerekir."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre Kitaplığı"
 
@@ -20534,6 +20544,16 @@ msgstr "&Çık"
 msgid "Unhandled exception"
 msgstr "İşlenmeyen istisna"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Tarihi tanımsız olarak ayarla"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Tarihi bugün olarak ayarla"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20813,7 +20833,7 @@ msgstr "&Yayımcı:"
 msgid "Clear publisher"
 msgstr "Yayımcıyı temizle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Tarihi temizle"
 
@@ -20883,7 +20903,7 @@ msgid "Processed %s"
 msgstr "%s işlendi"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21644,13 +21664,13 @@ msgid "&Automatic adding"
 msgstr "Otom&atik Ekleme"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Yüksek"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Düşük"
 
@@ -21675,80 +21695,80 @@ msgstr "Tümü 1 sekmede"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Onaylama pencereleri sıfırlandı"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "İş &önceliği:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Tercih edilen &girdi biçimi sırası:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "Tercih edilen çıktı &biçimi:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "İşaretlendiğinde Evet/Hayır özel alanlarının değeri Evet, Hayır veya Bilinmeyen olabilir.\nİşaretli değilse değerler sadece Evet ve Hayır olabilir."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "Haberleri otomatik olarak okuyucuya gönderildiğinde kitaplıktan &sil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Varsayılan ağ &zaman aşımı:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Ağdan indirmeler için varsayılan zaman aşımını atayın (bilgi almak için yapılan her internet bağlantısı için)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " saniye"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Kapatılmış tüm &onaylama pencerelerini sıfırla"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Dahili &görüntüleyiciyi şunun için kullan:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Geçerli kitaplık açıldığında uygulanacak sanal kitap&lık:"
 
@@ -22737,37 +22757,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Kitapların gönderileceği bir e-posta adresi ekleyin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&E-posta ekleyin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Öntanımı &yap"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "E-postayı &kaldır"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Kitap metaverisindeki açıklamaları epostaya ekle.\nAlıcının kitabı açmadan özetini görebilmesi için\nyararlıdır."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Açıklama &üst verisini epostaya metin olarak ekle"
 
@@ -22904,7 +22924,7 @@ msgid "Create a new rule"
 msgstr "Yeni bir kural oluştur"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23042,7 +23062,7 @@ msgid "If there is enough room"
 msgstr "Yeteri kadar yer varsa"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "İlk harf ile"
 
@@ -23313,7 +23333,7 @@ msgid "Caching of covers for improved pe
 msgstr "Daha iti performans için kapaklar belleğe alınıyor"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Kapat"
 
@@ -23708,86 +23728,86 @@ msgstr "Hiçbir kaynak seçilmedi"
 msgid "No source selected, cannot configure."
 msgstr "Kaynak seçilmedi, yapılandırılamıyor."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Metaveri kaynakları"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "İsimlerinin yanında kırmızı bir X olan kaynaklar kullanılmadan önce yapılandırılmalıdırlar. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Herhangi bir alanın işaretini kaldırırsanız, bu alanlar için metadata indirilmez"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Tümünü seç"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "'Varsayılan olarak ayarla' düğmesini kullanarak kendi işaretlenmiş ayar alt kümenizi geri yükleyin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "&Öntanımlı olarak ayarla"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "İndirilen bütün yorumları düz &metne çevir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Yorumlar indirilirken, indirilen yorumları mevcut yorumların üstüne yazmak yerine sonuna ekle."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "Yorumlar indirilirken, indirilen yorumları mevcut yorumların üstüne yazmak yerine sonuna ekle."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23796,47 +23816,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Değişik metadata kaynaklarının aynı kitap için değişik etiket kümeleri olur. Bu seçenek işaretliyse, Calibre daha küçük etiket kümelerini kullanır. Bunlar daha çok tarz gibidirler, büyük kümeler kitap içeriğini tanımlamaya eğilimlidir.\n<p>Bu seçeneğin yalnızca metadata kaynaklarından birinin aradığınız kitap için tarz gibi bir etiket kümesi varsa partik bir fark yaratacağını unutmayın. Çoğunlukla, tümünün geniş etiket kümeleri vardır."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Değişik metadata kaynaklarından etiketler alırken küçük etiket kümelerini tercih et"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "Daha &az etiket tercih et"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Etiketleri süzgeçten geçirmek/dönüştürmek için &kurallar oluşturun"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "İndirilecek en çok etiket sayısı"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "İlk &eşleşme bulunduktan sonra beklenilecek en fazla zaman:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " sn"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "İlk &kapak bulunduktan sonra beklenilecek maksimum zaman:"
 
@@ -25382,7 +25402,7 @@ msgid "Paste and &search"
 msgstr "Yapıştır ve ara"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "Ya&pıştır"
@@ -26408,150 +26428,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr "Bulunan konuya \"tıklayın\""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "%s ögesini yeniden adlandır"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "%s ögesini sil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "%s için sıralamayı düzenle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "%s için bağlantıyı düzenle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "%s için çocuklar"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "%(cat)s kategoriden %(item)s sil"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "%s hariç her şey için ara"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "%s kategorisine alt kategori ekle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "%s kategorisini gizle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Kategoriyi göster"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "%s kategorisinde kitap ara"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "%s kategorisi haricinde kitap ara"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Kategori ikonunu değiştir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Varsayılanları simgeyi geri yükle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Tüm kategorileri göster"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Alt sınıflandırmaları değiştir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Bölüm"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "İsme göre sıralarken ilk harf kullanılabilir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "Tüm alt öğeleri &genişlet"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27221,7 +27241,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Kaydedilmemiş değişiklikler"
 
@@ -27628,12 +27648,12 @@ msgid ""
 msgstr "%s dosyası mevcut değil. Eğer İçindekiler'e bir ögeye tıklamaya çalışıyorsanız sağ tıklayıp \"Yenile\" diyerek yenilemeniz gerekebilir."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Desteklenmeyen dosya biçimi"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "%s türündeki dosyaların düzenlenmesi desteklenmiyor"
@@ -27691,76 +27711,76 @@ msgid "Import"
 msgstr "İçe aktar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "Önce: %s dosyasını değiştir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Raporu görmek için önce bir kitap açmalısınız."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Beklenmeyen Hata"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Çözülemiyor"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "%s bilinemeyen karakter kodlaması içerdiğinden düzenlenemedi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Açık kitap yok. Bir kitabı düzenleyebilmek için önce açmalısınız."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "Geçerli kitap arkaplanda kaydediliyor. Şimdi çıkış yapmak <b>kaydetme sürecini sonlandıracaktır</b>! Kaydetmenin tamamlanması beklensin mi?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "&Hemen çık"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Önce &kaydetme tamamlansın"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Kaydedilmemiş değişiklikler var. Kaydetmeden çıkarsanız onları kaybedeceksiniz."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Kaydet ve Çık"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "K&aydetmeden çık"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Kaydediliyor, lütfen bekleyin…"
 
@@ -31163,18 +31183,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr "Kapatılmış onaylamalar geri yüklendi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31188,70 +31208,70 @@ msgid ""
 "            "
 msgstr "\n            <h3>Canlı Önizleme</h3>\n\n            <p>Burada düzenlediğiniz HTML dosyasının canlı bir önizlemesini göreceksiniz.\n            Önizleme siz değişiklik yaptıkça otomatik olarak güncellenir.\n\n            <p style=\"font-size:x-small; color: gray\">Bunun yalnızca bir hızlı önizleme olduğunu unutmayın,\n            gerçek bir e-Kitap okuyucusunun göstereceği içeriği birebir taklit etmeye çalışmaz.\n            Sayfa sonu kodları ve sayfa kenarlarındaki boşluklar gibi e-Kitabınızın bazı özellikleri burada gösterilmeyecektir.\n            "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Ögeyi incele"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Bağlantıyı aç"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Ön izlemede ara"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Geçersiz Konum"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Gövde etiketi ayrıştırılamadı"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Başlatıcı çalıştırılamadı"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Ön izlemeyi gerçekleştirecek sürecin başlatılması başarısız oldu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Kapatılamaz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Canlı CSS paneli açıkken Önizleme Paneli'nin otomatik yeniden yüklenmesi devre dışı bırakılamaz."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Düzenleyicideki metin değişikliklerini otomatik olarak ön izlemede göster"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Ön izlemenin otomatik yenilenmesini kapat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Ön izleme konumunun düzenleyicinin konumuna eşlenmesini kapat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Ön izleme konumunun düzenleyicinin konumuna eşlenmesini aç"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Dosya bölmeyi iptal et"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34199,13 +34219,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34240,30 +34260,30 @@ msgstr "Gizle {}"
 msgid "Show {}"
 msgstr "Göster {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Renk &seç"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Bir renk seçin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "K&es"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "Bir adım &yukarı"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "Bir adım &aşağı"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Derecelendirilmedi"
 
@@ -34317,44 +34337,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "E-kitap aygıtınızı seçin. Aygıtınız listede yer almıyorsa bir \"%s\" aygıtı seçin."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Kitaplar için konum seçin"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "%s konumunda bir klasör oluşturma başarısız oldu"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Calibre kitaplığı için boş bir dizin seçmelisiniz. %s boş değil."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Sonraki >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Geri"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34362,15 +34386,15 @@ msgstr "< &Geri"
 msgid "Cancel"
 msgstr "İptal"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "&Bitir"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Gönder"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Hoşgeldiniz sihirbazı"
 
@@ -34378,7 +34402,7 @@ msgstr "Hoşgeldiniz sihirbazı"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Calibre'ye hoşgeldiniz"
@@ -34386,7 +34410,7 @@ msgstr "Calibre'ye hoşgeldiniz"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Tüm e-kitap ihtiyaçlarınız için tek noktadan çözüm."
@@ -34401,7 +34425,7 @@ msgstr "&Cihazlar"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Sihirbaz Sayfası"
@@ -34439,17 +34463,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "&Kindle epostası:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "&Dil seçiniz"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Kitaplarınız için bir konum seçin. Kitapları Calibre'ye eklediğinizde buraya kopyalanacaklar. Yeni bir Calibre kitaplığı için <b>boş bir dizin</b> kullanın:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37035,6 +37059,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/tt.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/tt.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/tt.po	2020-07-02 04:00:59.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/tt.po	2020-07-16 16:39:38.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6493,103 +6504,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6597,7 +6608,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8483,7 +8494,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8955,7 +8966,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9000,7 +9011,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9052,7 +9063,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9206,7 +9217,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9246,7 +9257,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10136,7 +10147,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10735,7 +10746,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10945,7 +10956,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11390,8 +11401,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11520,42 +11531,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11564,112 +11580,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11677,7 +11693,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11746,7 +11762,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11764,11 +11780,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11907,7 +11923,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11942,7 +11958,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -11989,8 +12005,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12102,22 +12118,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12345,7 +12361,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12820,10 +12836,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13255,7 +13271,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13270,7 +13286,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13279,7 +13295,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13294,8 +13310,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13362,45 +13378,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13746,7 +13762,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14572,74 +14588,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14647,44 +14662,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15389,11 +15404,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15457,79 +15472,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15579,8 +15599,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16136,46 +16156,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16184,7 +16204,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16199,11 +16219,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16230,7 +16250,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16255,28 +16275,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16303,65 +16323,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16693,77 +16713,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16771,7 +16791,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16781,7 +16801,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16796,80 +16816,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16877,90 +16897,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16968,118 +16988,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17088,152 +17108,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17241,48 +17261,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17911,7 +17931,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18571,76 +18591,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18672,121 +18692,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19665,17 +19685,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19953,21 +19973,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20311,7 +20321,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20474,6 +20484,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20752,7 +20772,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20820,7 +20840,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21579,13 +21599,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21610,80 +21630,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22672,37 +22692,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22839,7 +22859,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -22977,7 +22997,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23248,7 +23268,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23643,86 +23663,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23731,47 +23751,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25315,7 +25335,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26341,150 +26361,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27154,7 +27174,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27561,12 +27581,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27624,76 +27644,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31088,18 +31108,18 @@ msgstr[0] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31113,70 +31133,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34120,13 +34140,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34161,30 +34181,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34238,44 +34258,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34283,15 +34307,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34299,7 +34323,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34307,7 +34331,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34322,7 +34346,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34360,17 +34384,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -36955,6 +36979,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ug.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ug.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ug.po	2020-07-02 04:05:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ug.po	2020-07-16 16:39:17.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
@@ -207,7 +207,7 @@ msgstr "ئەسلى ھالىتى بۇيى
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -219,12 +219,12 @@ msgstr "ئەسلى ھالىتى بۇيى
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1134,9 +1134,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1161,7 +1161,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1223,7 +1223,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2836,8 +2836,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2846,8 +2846,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3190,7 +3190,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3303,7 +3303,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3330,8 +3330,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3719,61 +3719,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6207,7 +6218,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6230,7 +6241,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6496,103 +6507,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6600,7 +6611,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8489,7 +8500,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8967,7 +8978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9012,7 +9023,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9064,7 +9075,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9219,7 +9230,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9259,7 +9270,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10155,7 +10166,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10757,7 +10768,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10968,7 +10979,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11416,8 +11427,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11546,42 +11557,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11590,112 +11606,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11703,7 +11719,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11772,7 +11788,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11790,11 +11806,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11933,7 +11949,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11968,7 +11984,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12015,8 +12031,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12128,22 +12144,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12371,7 +12387,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12846,10 +12862,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13281,7 +13297,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13296,7 +13312,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13305,7 +13321,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13320,8 +13336,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13388,45 +13404,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13772,7 +13788,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14598,74 +14614,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14673,44 +14688,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15416,11 +15431,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15484,79 +15499,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15606,8 +15626,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16163,46 +16183,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16211,7 +16231,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16226,11 +16246,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16258,7 +16278,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16283,28 +16303,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16331,65 +16351,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16722,77 +16742,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16800,7 +16820,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16810,7 +16830,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16825,80 +16845,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16906,90 +16926,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16997,118 +17017,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17117,152 +17137,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17270,48 +17290,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17940,7 +17960,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18600,76 +18620,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18701,121 +18721,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19696,17 +19716,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19987,21 +20007,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20345,7 +20355,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20508,6 +20518,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20787,7 +20807,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20857,7 +20877,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21618,13 +21638,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21649,80 +21669,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22711,37 +22731,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22878,7 +22898,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23016,7 +23036,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23287,7 +23307,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23682,86 +23702,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23770,47 +23790,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25356,7 +25376,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26382,150 +26402,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27195,7 +27215,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27602,12 +27622,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27665,76 +27685,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31137,18 +31157,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31162,70 +31182,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34173,13 +34193,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34214,30 +34234,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34291,44 +34311,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34336,15 +34360,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34352,7 +34376,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34360,7 +34384,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34375,7 +34399,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34413,17 +34437,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37009,6 +37033,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/uk.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/uk.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/uk.po	2020-07-02 04:06:59.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/uk.po	2020-07-16 16:42:52.000000000 +0000
@@ -12,8 +12,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 04:50+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 05:08+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
@@ -211,7 +211,7 @@ msgstr "Не робить абсолют
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -223,12 +223,12 @@ msgstr "Не робить абсолют
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1138,9 +1138,9 @@ msgstr "Каталог"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1165,7 +1165,7 @@ msgstr "Шлях до бібліотек
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1227,7 +1227,7 @@ msgstr "Збережені резуль
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2840,8 +2840,8 @@ msgstr "Отримую список кн
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2850,8 +2850,8 @@ msgstr "Влучаємо книжки з
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3194,7 +3194,7 @@ msgstr "Вкажіть шаблон, я
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "Змінити шаблон"
@@ -3307,7 +3307,7 @@ msgid "Communicate with MTP devices"
 msgstr "Обмін даними з пристроями MTP"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Отримую інформацію про пристрій…"
@@ -3334,8 +3334,8 @@ msgid "Finished reading metadata from de
 msgstr "Завершено читання метаданих з пристрою"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3723,61 +3723,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "Це список відокремлених комами суфіксів назв файлів, які можна надсилати на пристрій. Наприклад, у вашій бібліотеці можуть бути аудіокниги із суфіксом назв «m4b», які ви зможете слухати на вашому пристрої. Не звертайте уваги на попередження щодо «додаткових увімкнених суфіксів»."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr "Ігнорувати дані щодо вільного місця на пристрої"
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr "Позначте цей пункт, щоб програма ігнорувала повідомлені пристроєм дані щодо вільного місця на ньому. Потреба у цьому може виникнути, якщо ви зберігаєте книги на SD-картці, а на пристрої доволі мало вільної основної пам'яті."
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "Забагато спроб встановлення з’єднання від %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "Версія програми на вашому пристрої є надто застарілою. Її підтримки не передбачено. Будь ласка, встановіть новішу версію."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "Формати книг у вашій бібліотеці мають часові позначки у майбутньому. Див. calibre щодо подробиць."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "Прочитаного стовпчика синхронізації, %s, немає у бібліотеці calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "Прочитаний стовпчик синхронізації, %s, не є стовпчиком даних «Так або Ні»"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "Прочитаного стовпчика синхронізації дати, %s, немає у бібліотеці calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "Прочитаний стовпчик синхронізації дати, %s, не містить даних дати"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "Помилкове значення параметра стискання. Значенням рівня стискання має бути число від 50 до 99. Примусово встановлюємо значення %d."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "Некоректний порт у параметрах: %s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "Не вдалося встановити з’єднання з портом %d. Спробуйте скористатися іншим значенням."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "Не вдалося отримати у користування випадковий порт"
 
@@ -6211,7 +6222,7 @@ msgstr "Видобувати елект
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Ні"
 
@@ -6234,7 +6245,7 @@ msgid "Producer"
 msgstr "Виробник (продюсер)"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6502,103 +6513,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Зображеннях Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "Отримує метадані і обкладинки з Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "США"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "Франція"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Німеччина"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "Великобританія"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "Австралія"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Італія"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "Японія"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "Іспанія"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "Бразилія"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "Нідерланди"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "Китай"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "Канада"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "Вибрати сервер автоматично"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Сервери Amazon"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Кеш пошуку Bing"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Кеш пошуку Google"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Кеш машини Wayback (повільно)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "Місцевий сайт Amazon, яким слід скористатися:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "Метадані від Amazon буде отримано з сайта Amazon, призначеного для вказаної країни."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "Сервер для отримання даних:"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Компанія Amazon розпочала спроби блокування отримання метаданих зі своїх серверів. Щоб позбутися цієї проблеми, calibre може отримувати дані Amazon з багатьох інших місць, де їх записують до кешу. Виберіть бажане для вас джерело даних."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "Використовувати MOBI-ASIN для пошуку метаданих"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6606,7 +6617,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr "Позначте цей пункт для того, щоб наказати програми шукати метадані з ідентифікатором ASIN з файла MOBI на сайті поточної країни, якщо виявиться, що будь-який інший ідентифікатор amazon є недоступним. Зауважте, що якщо файл MOBI походить з крамниці Amazon іншої країни, ви можете отримати неправильні результати."
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Перевищення часу очікування на дані з Amazon. Повторіть спробу пізніше."
 
@@ -8501,7 +8512,7 @@ msgstr "До буфера обміну 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8991,7 +9002,7 @@ msgstr "Тека %s вже існує. 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "Занадто довгий"
 
@@ -9036,7 +9047,7 @@ msgstr "Бібліотеку %s було
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9088,7 +9099,7 @@ msgstr "У вашій базі дани
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9245,7 +9256,7 @@ msgid "Browse for library"
 msgstr "Вказати бібліотеку"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "&Копіювати"
@@ -9285,7 +9296,7 @@ msgstr "{0}, {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "&Позначити всі"
 
@@ -10193,7 +10204,7 @@ msgid "Move to next highlighted match"
 msgstr "Перейти до наступного позначеного відповідника"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10801,7 +10812,7 @@ msgid "this book"
 msgstr "ця книга"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "Пошук для «%s»"
@@ -11014,7 +11025,7 @@ msgstr "П&опередній перег
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11468,8 +11479,8 @@ msgstr "Змінити"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11598,42 +11609,47 @@ msgid "Search the internet for this book
 msgstr "Шукати цю книгу у інтернеті"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "Керування записом «%s»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr "Знайти %s на панелі навігації мітками"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Вилучити форматування %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Зберегти у форматі %s на диск"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Відновити формат %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Встановити обкладинку книги з файла %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "Порівняти з форматом %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11642,112 +11658,112 @@ msgstr "Порівняти з форма
 msgid "Open %s with..."
 msgstr "Відкрити %s за допомогою…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Додати іншу програму для файлів %s…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "Змінити програми «Відкрити за допомогою»…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "Змінити %s…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "&Копіювати шлях до файла"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr "&Копіювати посилання на автора"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "Шукати у calibre %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "Копіювати шлях"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr "&Копіювати ідентифікатор"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Вилучити %s з цієї книги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "Копіювати &усе"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "Копіювати адресу посилання"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr "Відкрити вікно подробиць щодо книги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Відкрити обкладинку за допомогою…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "Додати програму для відкриття обкладинок…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "Вставити обкладинку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "Копіювати обкладинку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "Зберегти обкладинку на диск"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "Вилучити обкладинку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "Створити обкладинку за метаданими"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "Виберіть місце, куди слід зберегти обкладинку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "зображення JPEG"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "Двічі клацніть, щоб відкрити вікно параметрів книги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Шлях"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11755,7 +11771,7 @@ msgstr "Шлях"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "Розмір обкладинки: %(width)d x %(height)d пікселів"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "Редагувати ідентифікатори цієї книги"
 
@@ -11824,7 +11840,7 @@ msgstr "вивід"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11842,11 +11858,11 @@ msgstr "вивід"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11985,7 +12001,7 @@ msgid "Preset name:"
 msgstr "Назва шаблона:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "Вам слід вказати назву."
 
@@ -12020,7 +12036,7 @@ msgstr "Так"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12067,8 +12083,8 @@ msgid "Delete current preset"
 msgstr "Вилучити поточний шаблон"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Вилучити"
 
@@ -12180,22 +12196,22 @@ msgstr "Повернутися до ти
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12423,7 +12439,7 @@ msgstr "Заголовок {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12898,10 +12914,10 @@ msgstr "К&люч розміру шри
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " пункт"
@@ -13333,7 +13349,7 @@ msgid "Change the title of this book"
 msgstr "Змінити назву цієї книги"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "&Автори: "
 
@@ -13348,7 +13364,7 @@ msgid ""
 msgstr "Змінити авторів цієї книги. Записи декількох авторів слід відокремлювати комами."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "Видавець: "
 
@@ -13357,7 +13373,7 @@ msgid "Ta&gs: "
 msgstr "Мі&тки: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13372,8 +13388,8 @@ msgstr "&Цикл:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Список відомих циклів. Ви можете додати нові цикли."
@@ -13440,45 +13456,45 @@ msgstr "Розмір екрана: %s"
 msgid "Page setup"
 msgstr "Налаштування сторінки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "&Вихідний профіль"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Опис профілю"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "П&рофіль вхідних даних:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Відступи"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "&Лівий:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "Не змінено"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "&Верхній:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "&Правий:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "&Нижній:"
@@ -13824,7 +13840,7 @@ msgid "Edit the currently selected expre
 msgstr "Редагувати поточний позначений вираз"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "З&мінити"
 
@@ -14650,74 +14666,73 @@ msgstr "Виберіть файл, з я
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Не визначено"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Встановити «%s» у значення сьогоднішньої дати"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Спорожнити «%s»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr "Відкрити редактор записів"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "Значення змінено"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "Вами змінено значення. Щоб скористатися цим редактором, вам слід або відхилити, або застосувати внесені зміни. Застосувати зміни?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " індекс:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "Нумерація «{0}» містить некоректне значення, яке буде замінено на типове."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "Застосувати зміни"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Вилучити дані щодо циклу"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "Автоматично нумерувати книги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14725,44 +14740,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "Якщо не позначено, номер у циклі для всіх книг буде встановлено у значення 1. Якщо позначено, програма автоматично виконає нумерацію позначених книг за порядком їхнього позначення. Отже, якщо ви позначили книгу A, а потім книгу B, книга A матиме номер у циклії 1, а книга B — номер 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "Зробити, щоб числа починалися з "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "Типово нумерування циклу здійснюватиметься від найбільшого номера у базі даних. Позначення цього пункту призведе до використання у calibre початкового номера, вказаного у полі."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "Крок збільшення номеру у циклі для послідовних книг. Застосовується, лише якщо номери у циклі задаються у примусовому порядку."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "Нумерація «{0}» містить некоректні значення, які не буде показано у списку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "Вилучити всі мітки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "мітки для додавання"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "мітки для вилучення"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15470,11 +15485,11 @@ msgstr "Виконання завдан
 msgid "Vacuuming..."
 msgstr "Ущільнення…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "Перевірка бібліотеки — виявлено проблеми"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15538,79 +15553,84 @@ msgid ""
 "        "
 msgstr "        <h1>Довідка</h1>\n\n        <p>calibre зберігає список ваших книг і метадані цих книг у базі\n        даних. Самі файли книг та зображення обкладинок зберігаються у\n        форматі звичайних файлів у теці бібліотеки calibre. У базі даних\n        міститься список файлів та обкладинок для кожного з записів книг.\n        За допомогою цієї програми можна перевірити, чи збігаються дані щодо\n        файлів у теці вашої бібліотеки з даними щодо книг у бібліотеці.</p>\n\n        <p>Результати перевірок кожного типу показано ліворуч. Виконуються         такі перевірки:\n        </p>\n        <ul>\n        <li><b>Некоректні назви</b>: у цьому списку буде показано файли\n        і теки у бібліотеці, для яких форматування заголовків (назв) книг не\n        є коректним.</li>\n        <li><b>Додаткові назви</b>: у цьому списку буде показано файли з\n        бібліотеки calibre з належним форматуванням назв, але без відповідних\n        записів у базі даних.</li>\n        <li><b>Некоректні автори</b>: у цьому списку буде показано файли\n        бібліотеки, які зберігаються там, де мають зберігатися лише записи тек\n        авторів.</li>\n        <li><b>Додаткові автори</b>: у цьому списку буде показано теки бібліотеки\n        calibre, які відповідають записам авторів, але яких немає у базі\n        даних.</li>\n        <li><b>Формати книг, яких не вистачає</b>: у цьому списку буде вказано\n        формати книг, записи про які є у базі даних, але файлів яких немає\n        у теці бібліотеки.</li>\n        <li><b>Додаткові формати книг</b>: у цьому списку буде наведено формати\n        файлів, які було знайдено у теці бібліотеки, але записів яких немає у\n        базі даних.</li>\n        <li><b>Невідомі файли у книгах</b>: у цьому списку буде показано файли\n        у теках книг, які не відповідають жодному з відомих форматів файлів книг або\n        зображень обкладинок.</li>\n        <li><b>Файли обкладинок, яких не вистачає</b>: у цьому списку буде наведено\n        файли зображень обкладинок, записи про які є у базі даних, але яких немає\n        у теці книги.</li>\n        <li><b>Файли обкладинок, яких немає у базі даних</b>: у цьому списку буде\n        наведено книги, у теках яких зберігаються файли обкладинок, записів щодо\n        яких немає у базі даних.</li>\n        <li><b>Теки, обробка яких призвела до помилок</b>: у цьому списку буде\n        наведено теки з бібліотеки calibre, які не вдалося обробити програмі.</li>\n        </ul>\n\n        <p>Передбачено два типи автоматичного виправлення: <i>Вилучити\n        позначені</i> і <i>Виправити позначені</i>.</p>\n        <p>Варіантом <i>Вилучити позначені</i> можна скористатися для вилучення\n        зайвих (додаткових) файлів, тек та зображень обкладинок, даних про які\n        немає у базі даних. Позначте відповідний пункт, якщо ці дані слід\n        вилучити. Будьте обережні, можлива втрата цінних даних.</p>\n\n        <p>Варіант <i>Виправити позначені</i> можна застосовувати лише до зображень\n        обкладинок та форматів даних, яких не вистачає (трьох рядків, які\n        позначено, як придатні до виправлення). У випадку нестачі зображень обкладинок\n        позначення варіанта виправлення з натисканням цієї кнопки повідомить calibre,\n        що зображень обкладинок для відповідних книг немає. Скористайтеся цим варіантом\n        якщо ви не маєте наміру відновлювати зображення з резервної копії.\n        У випадку зайвих (додаткових) файлів зображень обкладинок позначення пункту\n        виправлення з наступним натисканням цієї кнопки повідомить calibre про те,         що ви вважаєте всі знайдені програмою файли належними файлами обкладинок\n        книг зі списку. Цим варіантом варто користуватися, якщо ви не маєте наміру\n        вилучати додаткові файли. У випадку нестачі форматів позначення пункту виправлення\n        з наступним натисканням цієї кнопки повідомить calibre про те, що дані у\n        відповідних форматах насправді було вилучено. Цим варіантом варто користуватися,\n        якщо ви не маєте наміру відновлювати дані з резервних копій.</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "&Повторити перевірку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "С&копіювати до буфера"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "&Виконано"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "Позначити &усі для вилучення"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "Позначити усі придатні до вилучення підпункти"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "Вилучити поз&начені"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "Вилучити позначені файли (позначені підпункти)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "Поз&начити усі для виправлення"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "Позначити усі придатні до виправлення пункти"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "В&иправити позначені"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "Виправити позначені розділи (позначені придатні до виправлення пункти)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Назви, які слід ігнорувати:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "Вкажіть відокремлені комами шаблони назв файлів, зокрема synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "Суфікси, які слід ігнорувати:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "Вкажіть відокремлені комами суфікси назв без початкової крапки. Використовується лише у теках книг."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(придатна до виправлення)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr "(можна вилучити)"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "Шлях до бібліотеки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15660,8 +15680,8 @@ msgstr "У розташуванні %s 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Помилкове розташування"
 
@@ -16217,46 +16237,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (було %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "Пункт є порожнім"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "Пункт не можна встановити у порожнє значення. Вам слід вилучити його."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "Нічого не вибрано"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "Вам слід вибрати один пункт зі списку доступних пунктів."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "Не вибрано жодного пункту"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "Вам слід вибрати принаймні один пункт зі списку."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "Ви справді бажаєте вилучити вказані нижче пункти?"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "Редактор категорії"
 
@@ -16265,7 +16285,7 @@ msgid "Items in use"
 msgstr "Пункти використовуються"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16280,11 +16300,11 @@ msgstr "Перейменувати пу
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "Цю книгу захищено DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16314,7 +16334,7 @@ msgid "Already in calibre:"
 msgstr "Вже у calibre:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16339,28 +16359,28 @@ msgid "Change case"
 msgstr "Змінити регістр"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "Верхній регістр"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "Нижній регістр"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "Поміняти місцями регістр"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16387,65 +16407,65 @@ msgstr "Некоректне ім’я 
 msgid "You cannot change an author to multiple authors."
 msgstr "Не можна змінювати одного автора на декількох авторів."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Керування списком авторів"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Шукати:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr "&Шукати"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>Показати лише авторів з поточної віртуальної бібліотеки. Вже внесені зміни буде приховано, але не буде втрачено.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr "Показувати лише авторів з поточної &віртуальної бібліотеки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr "Критерій &фільтрування:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr "<p>Показати лише записи авторів, які містять текст з цього поля. При встановленні відповідності не братиметься до уваги регістр символів.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr "Ф&ільтрувати"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "Відновити всі значення впорядкування авторів до значення, автоматично\nствореного на основі імені автора. Керувати автоматичним створенням значення\nможна за допомогою пункту меню «Налаштування -> Додатково -> Коригування»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "&Повторно обчислити всі значення впорядкування авторів"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "Копіювати впорядкування запису автора до поля автора для всіх авторів. Типово, цим пунктом\nслід користуватися після зміни «Налаштування -> Додатково -> Коригування -> Алгоритм впорядковування імен авторів»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "С&копіювати всі значення впорядкування авторів до поля авторів"
 
@@ -16780,77 +16800,77 @@ msgstr[1] "Приховати ще {} п
 msgstr[2] "Приховати ще {} повідомлень про помилки"
 msgstr[3] "Приховати ще {} повідомлень про помилки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Працюю"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Обробляємо декілька книг (%d), будь ласка, зачекайте…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "Поступ поточного кроку: %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "Крок %v з %m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Нижній регістр"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Верхній регістр"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Як в заголовках"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "Символьний збіг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "Формальний вираз"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "Замінити поле"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "Зробити префіксом поля"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "Зробити суфіксом поля"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "Редагування мета інформації для <b>%d книг</b>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Негайно застосувати всі внесені зміни без закриття діалогового вікна. Таку дію не можна перервати або скасувати."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "Книга %d:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "Вкажіть тип ідентифікатора"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16858,7 +16878,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>У разі використання цієї можливості ви можете завдати непоправної шкоди вашій бібліотеці.</b> Внесені зміни не можна буде скасувати. Можливості скасування просто не передбачено. До виконання будь-яких дій вам варто створити резервну копію вашої бібліотеки.<p>Пошук і заміну у текстових полях буде виконано з використанням відповідності символів або формальних виразів. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16868,7 +16888,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "У режимі звичайних символів програма виконуватиме у полі пошук звичайного набору символів, введених користувачем у поле пошуку. Всюди, де цей набір буде знайдено у вказаному полі, його буде замінено на вказаний текстовий фрагмент заміни. Після завершення заміни регістр символів зміненого фрагмента тексту може бути виправлено на великі або малі, програма може зробити великими лише перші літери кожного слова. Якщо буде позначено пункт врахування регістру, регістр символів для пошуку має точно збігатися з регістром символів знайденого тексту. Якщо пункт не буде позначено, пошук відбуватиметься без врахування регістру."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16883,80 +16903,80 @@ msgid ""
 "function."
 msgstr "У режимі формальних виразів програма виконуватиме пошук за довільним визначеним користувачем формальним виразом, сумісним з синтаксисом python. У фрагменті тексту для заміни можна використовувати зворотні посилання на вирази у дужках, визначені у фрагменті тексту для пошуку. Фрагменти тексту не фіксуватимуться, тому у одному рядку може бути встановлено відповідність і виконано заміну декілька разів. Функції зміни тексту (наприклад lower-case) застосовуватимуться лише до фрагментів тексту, для яких буде встановлено відповідність, а не до цілого вмісту поля. Вміст поля призначення визначає поле, з яким має бути пов’язано результат після встановлення відповідності і виконання заміни. Текст у полі можна замінити або дописати до нього на початку або наприкінці фрагмент тексту, для якого буде встановлено відповідність. Докладніше про формальні вирази python та функцію «sub» можна дізнатися з <a href=\"https://docs.python.org/library/re.html\">цієї довідкової сторінки</a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "ПОМИЛКА У ШАБЛОНІ ПОШУКУ/ЗАМІНИ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Вам слід вказати призначення, якщо джерелом є складене поле або шаблон"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Значення замінника для стовпчика оцінки має бути порожнім або цілим числом від 0 до 10"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "Вам слід вказати тип ідентифікатора призначення"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Вам слід вказати вираз для пошуку у полі «Шукати»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Некоректний рядок ідентифікатора. Ідентифікатором має бути список відокремлених комами записів пар рядків, відокремлених двокрапками."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "Пошук/Заміна є некоректним"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Пошук/Заміна є некоректним: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "Вилучити збережений пошук/заміну"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Позначений пошук/заміну буде вилучено. Ви впевнені у вилученні?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "Зберегти пошук/заміну"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "Назва пошуку/заміни:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Запис пошуку або заміни з такою назвою вже існує, його буде перезаписано. Ви справді цього бажаєте?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "Редагувати мета інформацію"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr "З&астосувати дату"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16964,90 +16984,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "За допомогою цього пункту можна наказати програмі\n автоматично оновлювати вміст поля упорядковування\n за автором на основі вмісту поля авторів для кожної\n позначеної книги. Зауважте, що якщо ви скористаєтеся\n засобом керування, розташованим вище, для пакетного\n встановлення авторів, вміст поля упорядковування за автором\n буде оновлено без врахування того, чи було позначено\n цей пункт."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "Ав&томатично встановлювати впорядкування авторів"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "По&міняти місцями автора і заголовок"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "Оновити впорядкування заголовка на основі поточного заголовка. Цю дію буде виконано лише після внесення інших змін до заголовка."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "Оновити в&порядковування за заголовками"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Змінити &обкладинку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "С&творити типову обкладинку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "&Вилучити обкладинку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "Спробувати автоматично визначити і вилучити поля та зайві області\n на краях зображень обкладинок. Іноді може бути обрізано надто\n багато, тому з цією можливістю слід бути обережними."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "&Обрізати обкладинку (НЕБЕЗПЕЧНО)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "Встановити з файлів &електронних книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "Зробити зображення обкладинок для усіх позначених книг тими самими,\nщо і зображення обкладинки першої з позначених книг."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "&Клонувати обкладинки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "Примусово визначити для заголовка використання великих літер. Якщо позначено цей пункт і пункт зміни порядку у з записах авторів,\nпорядок у записах заголовків та авторів буде змінено до зміни регістру символів у заголовку."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "Змінити &регістр літер заголовка на:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "&Дата:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Якщо позначено, поле видавця буде спорожнено"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "Ви&лучити дані щодо видавця"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "&Опубліковано:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17055,118 +17075,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Якщо не позначено, номер у циклі для всіх книг буде встановлено у значення 1.\nЯкщо позначено, програма автоматично виконає нумерацію позначених книг за\nпорядком їхнього позначення. Отже, якщо ви позначили книгу A, а потім книгу B,\nкнига A матиме номер у циклії 1, а книга B — номер 2."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "&Автоматично нумерувати книги у цьому циклі"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Типово нумерування циклу здійснюватиметься від найбільшого номера у\nбазі даних. Позначення цього пункту призведе до використання у calibre\nпочаткового номера, вказаного у полі."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "Зробити, щоб &числа починалися з:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "Якщо позначено, цикли буде спорожнено"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "С&порожнити цикли"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "Керування створенням типових зображень обкладинок"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "Налаштувати с&творення обкладинок"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "Визначити &коментарі для усіх позначених книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "&Вилучити мітки:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "Вилучити &всі"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "&Додати мітки: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "Вкажіть спосіб впорядковування запису авторів цієї книги. Приклад: запис «Чарлз Діккенс» буде впорядковано так: «Діккенс, Чарлз»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "З&астосувати оцінку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "Вилучити дату видання"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "&Мови:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "Список міток, відокремлених комами, які слід вилучити з книг. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "Відкрити редактор міток"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Впо&рядкування авторів: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "Отримати метадані calibre з метаданих файлів електронних книг, пов'язаних із кожною книгою. Зауважте, що таким чином не можна змінити зображення обкладинки, для якого передбачено окремий пункт нижче."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "&Метадані (окрім обкладинки) з файлів електронної книги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "&Цикл:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Вилучити збережені параметри перетворення для позначених книг.\n\nДля наступних перетворень цих книг буде використано типові параметри."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Вилучити з&бережені параметри перетворення для позначених книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17175,152 +17195,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Під час виконання перетворення зі збереженням формату,\nнаприклад з EPUB у EPUB, calibre зберігає початковий файл EPUB\n як ORIGINAL_EPUB. За допомогою цього параметра можна наказати\n calibre відновити EPUB з ORIGINAL_EPUB. Може знадобитися у\n разі невдалого пакетного перетворення багатьох книг одразу."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "Відновити &оригінали до перетворення, якщо можна"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "Позначте цей пункт, щоб вилучити всі мітки з книг."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "Оцінка:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Базові метадані"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Нетипові метадані"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "Завантажити по&шук/заміну:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "Виберіть збережені параметри пошуку або заміни."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "Зберегти поточні параметри пошуку або заміни"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "Збе&регти"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "П&оле пошуку:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "Назва поля, пошук у якому слід виконати"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "&Режим пошуку:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Виберіть, використовувати встановлення базової відповідності за текстом чи відповідності за формальним виразом."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "Тип &ідентифікатора:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "Виберіть, який тип ідентифікаторів слід обробити"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Шаблон:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Вкажіть шаблон, який слід використовувати як джерело для пошуку і заміни"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Вкажіть ключові слова пошуку у форматі звичайного тексту або у форматі формального виразу, залежно від режиму"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Позначте цей пункт, якщо рядок пошуку має відповідати тексту повністю, з врахуванням регістру літер. Зніміть позначку, якщо регістр символів не має значення."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "З ура&хуванням регістру"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "&Замінити на:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Текст заміни. Знайдені фрагменти тексту буде замінено цим фрагментом тексту."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "&Застосувати функцію після заміни:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Визначити спосіб обробки фрагментів тексту після встановлення відповідності і заміни. У режимі символів, буде оброблено все поле.\nУ режимі формального виразу оброблятиметься лише фрагмент тексту зі встановленою відповідністю."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "По&ле призначення:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Поле, до якого буде вставлено текст після виконання всіх замін.\nЯкщо поля не вказано, буде використано початкове поле, якщо воно придатне до редагування."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "Ре&жим:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "Вкажіть, у який спосіб текст буде скопійовано до призначення."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Визначає, слід розділяти пункти результатів на декілька значень чи\nзализати результати єдиними значеннями. Найкращого ефекту можна досягти, якщо поле\nджерела містить одне значення, а поле призначення містить декілька значень."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "Роз&ділити результат"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "Тип ідентифікатора:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17328,48 +17348,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Виберіть тип ідентифікатор для роботи. Якщо у полі джерела міститься\n              запис, відмінний від «identifiers», ви можете вказати\n              «*», якщо хочете замінити весь набір ідентифікаторів на результат\n              виконання дії з пошуку/заміни.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "Для полів з декількома значеннями, по&казати"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "зна&чення, які починаються з"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "зі значеннями, відо&кремленими"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Використовується під час показу результатів тестування для відокремлення значень полів з декількома значеннями"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "Текст для тестування"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "Результат тестування"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "Ваш &тест:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "П&ошук з заміною"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Якщо позначено, після завершення редагування список книг\nбуде перевпорядковано, а всі наявні пошуки або віртуальні\nбібліотеки буде оновлено. У великих бібліотеках виконання\nцієї дії може бути доволі тривалим."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "&Оновлювати список книг після редагування"
 
@@ -17998,7 +18018,7 @@ msgstr "Некоректний збер
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "Керування збереженими пошуками"
 
@@ -18658,76 +18678,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Поточну категорію міток буде <b>остаточно вилучено</b>. Ви впевнені?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "Редактор категорій користувача"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "&Назва категорії: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "Виберіть категорію для редагування"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "Фільтр &категорій:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "Виберіть тип вмісту нової категорії"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr "&Фільтр записів:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr "Вкажіть текст для фільтрування доступних записів. Регістр символів та акценти буде проігноровано."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr "Вилучити поточну категорію міток"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr "Вкажіть назву категорії, потім скористайтеся кнопкою додавання або перейменування"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "Додати нову категорію"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "Перейменувати поточну категорію відповідно до вмісту поля"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr "<p>Показувати записи на панелі «Доступні записи», лише якщо\n      це записи із поточної віртуальної бібліотеки. Записи поза\n      віртуальною бібліотекою буде позначено як «поза книгами».</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr "&Показувати лише записи з поточної віртуальної бібліотеки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "Доступні &пункти"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "Застосувати мітки до поточної категорії міток"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "Застосовані п&ункти"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "Скасувати (вилучити) мітку з поточної категорії міток"
 
@@ -18759,121 +18779,121 @@ msgid ""
 "to delete them?"
 msgstr "Наведені нижче мітки використано у одній або декількох книгах. Ви впевнені, що їх слід вилучити?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr "Керування записами"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr "&Додати запис:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr "Застосувати записи до поточної книги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr "Фільтрувати доступні записи"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr "Вилучити запис з бази даних. Це призведе до скасування застосування запису з усіх книг з наступним вилученням його з бази даних."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr "Дост&упні записи"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr "Застосувати запис до поточної книги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr "Скасувати застосування (вилучити) запис з поточної книги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr "Фільтрувати застосовані записи"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "Кількість"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "Було"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr "Редагування…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "Хочете скасувати внесені вами зміни?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "Відновити запис?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "Цей запис вилучено. Хочете його відновити?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr "Шукати запис у першому стовпчику"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr "Знайти запис, що містить рядок пошуку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>Показати лише записи, які є у поточній віртуальній бібліотеці. Вже внесені зміни буде приховано, але не буде втрачено.</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr "Показувати записи лише з поточної &віртуальної бібліотеки"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr "Критерій &фільтрування:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr "Фільтрувати записи на основі тексту у цьому полі"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr "Показати лише записи, які містять цей текст"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr "Фі&льтр"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr "Перейменувати пункт у кожній книзі, де якого використано"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "Скасувати усі вилучення і редагування у позначених рядках"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19758,17 +19778,17 @@ msgstr "Форматування"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "Показати або приховати різні частини головного вікна calibre"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Немає формату %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Файлів книги {0} у форматі {1} немає"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "Відновити %s"
@@ -20055,21 +20075,11 @@ msgstr "Книга %(sidx)s <span class=
 msgid "This book is on the device in %s"
 msgstr "Ця книга зберігається на пристрої у %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "Встановити невизначену дату"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "Встановити сьогоднішню дату"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "Встановити невизначене значення"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20413,7 +20423,7 @@ msgid ""
 msgstr "Шлях до портативної версії Calibre (%s) є надто довгим. Його довжина не повинна перевищувати 59 символів."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Бібліотека Calibre"
 
@@ -20576,6 +20586,16 @@ msgstr "Ви&йти"
 msgid "Unhandled exception"
 msgstr "Непридатне до обробки виключення"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "Встановити невизначену дату"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "Встановити сьогоднішню дату"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20857,7 +20877,7 @@ msgstr "&Видавець:"
 msgid "Clear publisher"
 msgstr "Вилучити видавця"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "Спорожнити дату"
 
@@ -20931,7 +20951,7 @@ msgid "Processed %s"
 msgstr "Оброблено %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "Поля метаданих для отримання"
 
@@ -21696,13 +21716,13 @@ msgid "&Automatic adding"
 msgstr "&Автоматичне додавання"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Високий"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Низький"
 
@@ -21727,80 +21747,80 @@ msgstr "Все на 1 вкладці"
 msgid "Confirmation dialogs have all been reset"
 msgstr "Показ діалогових вікон підтвердження відновлено"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "Сповіщати про появу &нової версії"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "Автоматично надсилати завантажені &новини на пристрій"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "&Пріоритет завдання:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr "Вибрати інше компонування для діалогового вікна редагування метаданих. За компактного компонування буде зручніше редагувати нетипові метадані, а не змінювати обкладинки і формати."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "Пор&ядок бажаних форматів вхідних даних:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "&Бажаний форма виведення даних:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "Змінити &компонування (окреме) метаданих:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "Якщо позначено, значеннями нетипових стовпчиків «Так/Ні» можуть бути «Так», «Ні» і «Невідомо».\nЯкщо не позначено, значеннями можуть бути лише «Так» і «Ні»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "Стовпчики «&Так/Ні» містять три значення (потребує перезапуску)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "Ви&лучати новини з бібліотеки після надсилання їх на пристрій для читання"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "Типовий &час очікування у мережі:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "Встановити типовий час очікування даних під час сеансів отримання даних з інтернету"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " секунд"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr "Показати цю віртуальну бібліотеку після запуску calibre, якщо використовується поточна бібліотека. Також застосовуватиметься під час перемикання на цю бібліотеку. Зауважте, що обмеження стосуватиметься лише окремої бібліотеки. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "Відновити всі вимкнені ві&кна підтвердження"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "Використовувати в&будований переглядач для:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "Віртуальна &бібліотека, яку слід використати після відкриття поточної бібліотеки:"
 
@@ -22789,37 +22809,37 @@ msgid ""
 " effect.\n"
 msgstr "Скопіюйте ці значення до буфера обміну даних, вставте їх до редактора, потів введіть їх до поля USER_DEVICE налаштуванням додатка пристрою у вікні «Налаштування -> Додатково -> Додатки». Не забудьте ввести назви тек, у яких слід зберігати книги. Щоб зміни набули чинності, вам слід перезапустити calibre.\n"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr "<p>calibre може надсилати ваші книги на вашу поштову адресу (або на поштову адресу вашого пристрою для читання). Повідомлення електронної пошти щодо отриманих новин буде автоматично надіслано на всі поштові адреси позначеним пунктом <i>Автоматичне надсилання</i>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "Додати адресу ел. пошти, на яку слід надіслати книги"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "&Додати адресу ел. пошти"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "Зробити &типовим"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "Ви&лучити адресу ел. пошти"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "Додати до повідомлення коментарі на основі метаданих книги.\nЗручний спосіб надання отримувачу резюме книги,\nз яким можна ознайомитися не відкриваючи книги."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "Додати &метадані коментарів як текст до повідомлення"
 
@@ -22956,8 +22976,8 @@ msgid "Create a new rule"
 msgstr "Створити правило"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
-msgstr "Ключ ідентифікатора. Приклад: у isbn:XXX ключем є ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
+msgstr "Ключ ідентифікатора; наприклад, у isbn:XXX ключем є «isbn»"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
 msgid "&Key:"
@@ -23094,7 +23114,7 @@ msgid "If there is enough room"
 msgstr "Якщо достатньо місця"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "За першою літерою"
 
@@ -23365,7 +23385,7 @@ msgid "Caching of covers for improved pe
 msgstr "Кешування обкладинок для покращення швидкодії"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "Вимкнути"
 
@@ -23760,86 +23780,86 @@ msgstr "Не вказано джерел
 msgid "No source selected, cannot configure."
 msgstr "Не вказано джерела, налаштування неможливе."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "Джерела метаданих"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr "Вимкніть використання всіх непотрібних вам метаданих зняттям позначок з усіх непотрібних вам пунктів. Ви також можете встановити пріоритет зображень обкладинок. Зображенням з початкових книг, які мають вищий пріоритет (менші значення), надаватиметься перевага під час пакетного отримання метаданих."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "Пункти джерел з червоною позначкою «X» поряд з ними має бути налаштовано до того, як ними можна буде скористатися. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "&Налаштувати вибране джерело"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "Якщо ви знімете позначки з деяких полів, метадані для цих полів не буде отримано"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "&Вибрати всі"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr "Зн&яти позначення"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "Відновити вашу власну підмножину позначених полів, яку ви визначили за допомогою кнопки «Зробити типовою»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr "Позначити &типові"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "Зберегти поточні позначені поля як типові, вміст яких ви зможете застосувати за допомогою натискання кнопки «Вибрати типові»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "З&робити типовою"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "Перетворити всі отримані коментарі у зви&чайний текст"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "Замінити &імена у форматі «Ім’я Прізвище» на записи «Прізвище, Ім’я»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>Дописувати отримані дані коментарів до наявних коментарів, а не перезаписувати наявні коментарі отриманими."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "У разі отримання коментарів, дописувати отримані коментарі до наявних, а не перезаписувати їх."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "До&писати коментарі до наявних"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23848,47 +23868,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr "<p>Зазвичай, система отримання метаданих зберігатиме лише один результат для кожного джерела метаданих. За допомогою цього пункту можна наказати програмі зберігати усі результати, які буде надано джерелом метаданих. Корисно, якщо ви використовуєте лише одне або два джерела і хочете вибрати окремий варіант вручну. Зауважте, що результати із однаковими записами назви книги, автора та ідентифікаторів все одно буде об'єднано."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "Зберігати декілька результатів для одного джерела"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>Різні джерела метаданих містять різні набори міток для однієї книги. Якщо позначено цей пункт, calibre використовуватиме менші набори міток. Такі набори міток більше відповідають записам жанрів, а об’ємніші набори міток переважно відповідають опису вмісту книги.\n<p>Зауважте, що цей пункт буде корисним, лише якщо одне з джерел метаданих містить для книги, яку ви шукаєте, подібний до записів жанрів набір міток. Найчастіше джерела даних містять великі набори міток."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "Під час вибору міток з декількох різних джерел метаданих надавати перевагу меншим наборам"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "&Менше міток"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "Створити п&равила фільтрування і перетворення теґів"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "Створити правила пе&ретворення імен авторів"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "Макс. &к-ть отримуваних теґів:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "Макс. &час очікування після віднайдення першого відповідника:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " секунд"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "Макс. ч&ас очікування після віднайдення першої обкладинки:"
 
@@ -25438,7 +25458,7 @@ msgid "Paste and &search"
 msgstr "Вставити і &шукати"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "В&ставити"
@@ -26464,150 +26484,150 @@ msgstr "Доступ до всіх ци
 msgid "'Click' found item"
 msgstr "«Клацнути» на знайденому записі"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "Змінити піктограму для: %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr "Перейменувати %s у віртуальній бібліотеці"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "Перейменувати %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr "Вилучити %s у віртуальній бібліотеці"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "Вилучити %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "Редагувати впорядкування для %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "Редагувати посилання для %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "Додати %s до категорії користувача"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "Дочірні об’єкти %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr "Застосувати %s до позначених книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr "Додати %s до позначених книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr "Вилучити %s з позначених книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr "Вилучити збережений пошу %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Вилучити %(item)s з категорії %(cat)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Шукати все, окрім %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "Шукати за збереженим виразом для пошуку"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Додати підкатегорію до %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "Вилучити категорію користувача %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "Сховати категорію %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "Показати категорію"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Шукати книги у категорії %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Шукати книги поза категоріями %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "Змінити піктограму категорії"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "Відновити типову піктограму"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "Керування категоріями користувача"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "Показати всі категорії"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "Змінити схему підкатегорій"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "Поділ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "Першу літеру можна використовувати лише під час впорядкування за іменами"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "Роз&горнути усі дочірні"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "Згорнути усі рівні"
 
@@ -27277,7 +27297,7 @@ msgid "The Qt WebEngine Render process c
 msgstr "Процес обробки у WebEngine Qt завершив роботу в аварійному режимі. Його перезапущено."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "Зміни не збережено"
 
@@ -27684,12 +27704,12 @@ msgid ""
 msgstr "Файла %s не існує. Якщо ви намагалися натиснути пункт-посилання у змісті, можливо, варто оновити зміст: клацніть правою кнопкою миші на сторінці змісту і виберіть пункт контекстного меню «Оновити»."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "Непідтримуваний формат файлів"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "Підтримки редагування файлів типу %s не передбачено"
@@ -27747,76 +27767,76 @@ msgid "Import"
 msgstr "Імпорт"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "До дії «Замінити %s»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "Перш ніж переглядати звіт, вам слід відкрити книгу."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "Перш ніж перевіряти посилання, вам слід відкрити книгу."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "Для стискання зображень вам слід спочатку відкрити книгу."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "До дії «Стискання зображень»"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "Неочікувана помилка"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "Не вдалося стиснути зображення. Натисніть кнопку «Показати подробиці», щоб дізнатися більше."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "Не вдалося декодувати"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "Редагування %s неможливе, оскільки, ймовірно, дані зберігаються у невідомому кодуванні"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "Зараз не відкрито жодної книги. Для редагування вам спочатку слід відкрити книгу."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "Зараз програма зберігає поточну книгу у фоновому режимі. Завершення роботи програми призведе до <b>переривання процедури збереження</b>! Завершити збереження файла?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "Вийти &негайно"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "Спочатку завершити &збереження"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "Частину внесених змін не збережено. Якщо ви завершите роботу програми без збереження цих змін, їх буде втрачено."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "&Зберегти і завершити"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "Ви&йти без збереження"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "Зберігаємо дані, зачекайте…"
 
@@ -31235,18 +31255,18 @@ msgstr[3] "Відновлено {} ви
 msgid "Disabled confirmations restored"
 msgstr "Вимкнені підтвердження відновлено"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr "Процес обробки завершив роботу аварійно"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr "Процес обробки у WebEngine Qt завершив роботу в аварійному режимі, тому попередній та інтерактивний перегляд вживання CSS не працюватиме. Вам слід перезапустити редактор."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31260,70 +31280,70 @@ msgid ""
 "            "
 msgstr "\n            <h3>Інтерактивний перегляд</h3>\n\n            <p>Тут ви зможете переглядати у інтерактивному режимі результат обробки файла HTML, який ви редагуєте.\n            Попередній перегляд оновлюватиметься відповідно до внесених змін.\n\n            <p style=\"font-size:x-small; color: gray\">Зауважте, що це лише попередній перегляд,\n            його результати можуть не збігатися з тим, що ви побачите на пристрої для читання книги. Деякі\n            з елементів електронної книги можуть не працювати не так, як на пристрої, зокрема іншими можуть бути розбиття на сторінки та\n            визначення полів сторінок.\n\n            "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "Перевірити елемент"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "Відкрити посилання"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "Редагувати %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "Шукати у попередньому перегляді"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "Некоректна адреса"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "Не вдалося розділити теґ body"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "Не вдалося запустити обробник"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "Не вдалося запустити процес обробника, що використовується для створення зображення попереднього перегляду"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "Вимикання неможливе"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "Автоматичне перезавантаження на панелі попереднього перегляду неможливо вимкнути, доки відкрито панель інтерактивного перегляду CSS."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "Автоматично перезавантажувати вміст панелі попереднього перегляду після внесення змін у редакторі"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "Вимкнути автоматичне перезавантаження попереднього перегляду"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "Вимкнути синхронізацію позиції попереднього перегляду з позицією у редакторі"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "Увімкнути синхронізацію позиції попереднього перегляду з позицією у редакторі"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "Перервати поділ файла"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34279,13 +34299,13 @@ msgstr "Не вдалося завант
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Не вдалося відкрити книгу {0}. Натисніть кнопку «Показати подробиці», щоб дізнатися більше."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Процес обробки у WebEngine Qt завершив роботу в аварійному режимі. Вам слід перезапустити засіб перегляду книг."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "Виберіть зображення тла"
 
@@ -34320,30 +34340,30 @@ msgstr "Приховати {}"
 msgid "Show {}"
 msgstr "Показати {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "Виберіть &колір"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "Виберіть колір"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "Ви&різати"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "&Крок вгору"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "Крок в&низ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "Без оцінки"
 
@@ -34397,44 +34417,48 @@ msgstr "Телефон на Android із
 msgid "Android tablet with Kindle reader"
 msgstr "Планшет на Android із засобом для читання Kindle"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr "Загальне"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "Виберіть ваш пристрій для читання електронних книжок. Якщо вашого пристрою немає у списку, виберіть пристрій «%s»."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "Якщо ви переносите calibre зі старого комп'тера на новий, будь ласка, ознайомтеся із <a href=\"{0}\">настановами</a>."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "Виберіть місце для книг"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "Не вдалося створити теку у %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "Для бібліотеки calibre вам слід вказати порожню теку. Тека %s не є порожньою."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "&Далі >>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< &Назад"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34442,15 +34466,15 @@ msgstr "< &Назад"
 msgid "Cancel"
 msgstr "Скасувати"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "Завер&шити"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "Надіслати"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "Майстер налаштувань"
 
@@ -34458,7 +34482,7 @@ msgstr "Майстер налаштув
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "Вітаємо у Calibre"
@@ -34466,7 +34490,7 @@ msgstr "Вітаємо у Calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "Все, що ви потребуєте для роботи з електронними книгами."
@@ -34481,7 +34505,7 @@ msgstr "&Пристрої"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Сторінка майстра"
@@ -34519,17 +34543,17 @@ msgstr "<p>calibre може надсил
 msgid "&Kindle email:"
 msgstr "П&оштова адреса Kindle:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "Виберіть вашу &мову:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>Виберіть місце зберігання ваших книг. Під час додавання книг до бібліотеки calibre програма копіюватиме книги до вказаного вами місця. Вкажіть <b>порожню теку</b>, якщо хочете створити нову бібліотеку calibre:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37117,6 +37141,27 @@ msgstr "check_yes_no(назва_поля
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no вимагає, щоб поле бути нетиповим стовпчиком «Так/Ні»"
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr "rating_to_stars(use_half_stars) — повертає оцінку як рядок символів-зірочок. Початковим значенням має бути число від 0 до 5. Встановіть для use_half_stars значення 1, якщо вам потрібні половинні символи зірочок для нетипових стовпчиків оцінок, значення у яких не є цілими, наприклад, рівними 2.5."
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr "Оцінка має бути числом від 0 до 5"
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr "swap_around_articles(значення, роздільник) — повертає значення із артиклями, які пересунуто в кінець. Значенням може бути список, елементи якого буде оброблено окремо. Якщо значенням є список, вам слід вказати роздільник значень у списку. Якщо значення роздільника вказано не буде, значення вважатиметься одним рядком, а не списком."
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "Зображення без назви"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ur.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ur.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ur.po	2020-07-02 04:01:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ur.po	2020-07-16 16:43:26.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -210,7 +210,7 @@ msgstr " یہ کچھ بھی نہیں ک
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -222,12 +222,12 @@ msgstr " یہ کچھ بھی نہیں ک
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1137,9 +1137,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1164,7 +1164,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1226,7 +1226,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2839,8 +2839,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2849,8 +2849,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3193,7 +3193,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3306,7 +3306,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3333,8 +3333,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3722,61 +3722,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6210,7 +6221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "نہیں"
 
@@ -6233,7 +6244,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6499,103 +6510,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "فرانس"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "جرمنی"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "برطانیہ"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "اٹلی"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "جاپان"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "سپين"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "برازیل"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "نیدرلینڈز"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6603,7 +6614,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8492,7 +8503,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8970,7 +8981,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9015,7 +9026,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9067,7 +9078,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9222,7 +9233,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9262,7 +9273,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10158,7 +10169,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10760,7 +10771,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10971,7 +10982,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11419,8 +11430,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11549,42 +11560,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11593,112 +11609,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11706,7 +11722,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11775,7 +11791,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11793,11 +11809,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11936,7 +11952,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11971,7 +11987,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12018,8 +12034,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "ڈیلیٹ"
 
@@ -12131,22 +12147,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12374,7 +12390,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12849,10 +12865,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13284,7 +13300,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13299,7 +13315,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13308,7 +13324,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13323,8 +13339,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13391,45 +13407,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13775,7 +13791,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14601,74 +14617,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14676,44 +14691,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15419,11 +15434,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15487,79 +15502,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15609,8 +15629,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16166,46 +16186,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16214,7 +16234,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16229,11 +16249,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16261,7 +16281,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16286,28 +16306,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16334,65 +16354,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16725,77 +16745,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16803,7 +16823,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16813,7 +16833,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16828,80 +16848,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16909,90 +16929,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17000,118 +17020,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17120,152 +17140,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17273,48 +17293,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17943,7 +17963,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18603,76 +18623,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18704,121 +18724,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19699,17 +19719,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19990,21 +20010,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20348,7 +20358,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20511,6 +20521,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20790,7 +20810,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20860,7 +20880,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21621,13 +21641,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21652,80 +21672,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22714,37 +22734,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22881,7 +22901,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23019,7 +23039,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23290,7 +23310,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23685,86 +23705,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23773,47 +23793,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25359,7 +25379,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26385,150 +26405,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "تقسیم"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27198,7 +27218,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27605,12 +27625,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27668,76 +27688,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31140,18 +31160,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31165,70 +31185,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34176,13 +34196,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34217,30 +34237,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34294,44 +34314,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34339,15 +34363,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "منسوخ کریں"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34355,7 +34379,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34363,7 +34387,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34378,7 +34402,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34416,17 +34440,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37012,6 +37036,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/uz@Latn.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/uz@Latn.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/uz@Latn.po	2020-07-02 04:01:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/uz@Latn.po	2020-07-16 16:44:39.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6494,103 +6505,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6598,7 +6609,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8484,7 +8495,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8956,7 +8967,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9001,7 +9012,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9053,7 +9064,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9207,7 +9218,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9247,7 +9258,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10137,7 +10148,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10736,7 +10747,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10946,7 +10957,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11391,8 +11402,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11521,42 +11532,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11565,112 +11581,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11678,7 +11694,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11747,7 +11763,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11765,11 +11781,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11908,7 +11924,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11943,7 +11959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -11990,8 +12006,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12103,22 +12119,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12346,7 +12362,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12821,10 +12837,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13256,7 +13272,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13271,7 +13287,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13280,7 +13296,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13295,8 +13311,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13363,45 +13379,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13747,7 +13763,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14573,74 +14589,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14648,44 +14663,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15390,11 +15405,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15458,79 +15473,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15580,8 +15600,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16137,46 +16157,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16185,7 +16205,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16200,11 +16220,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16231,7 +16251,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16256,28 +16276,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16304,65 +16324,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16694,77 +16714,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16772,7 +16792,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16782,7 +16802,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16797,80 +16817,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16878,90 +16898,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16969,118 +16989,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17089,152 +17109,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17242,48 +17262,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17912,7 +17932,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18572,76 +18592,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18673,121 +18693,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19666,17 +19686,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19954,21 +19974,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20312,7 +20322,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20475,6 +20485,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20753,7 +20773,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20821,7 +20841,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21580,13 +21600,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21611,80 +21631,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22673,37 +22693,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22840,7 +22860,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -22978,7 +22998,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23249,7 +23269,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23644,86 +23664,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23732,47 +23752,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25316,7 +25336,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26342,150 +26362,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27155,7 +27175,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27562,12 +27582,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27625,76 +27645,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31089,18 +31109,18 @@ msgstr[0] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31114,70 +31134,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34121,13 +34141,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34162,30 +34182,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34239,44 +34259,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34284,15 +34308,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34300,7 +34324,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34308,7 +34332,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34323,7 +34347,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34361,17 +34385,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -36956,6 +36980,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/ve.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/ve.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/ve.po	2020-07-02 04:06:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/ve.po	2020-07-16 16:42:57.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6494,103 +6505,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6598,7 +6609,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8487,7 +8498,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8965,7 +8976,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9010,7 +9021,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9062,7 +9073,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9217,7 +9228,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9257,7 +9268,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10153,7 +10164,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10755,7 +10766,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10966,7 +10977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11414,8 +11425,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11544,42 +11555,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11588,112 +11604,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11701,7 +11717,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11770,7 +11786,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11788,11 +11804,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11931,7 +11947,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11966,7 +11982,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12013,8 +12029,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12126,22 +12142,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12369,7 +12385,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12844,10 +12860,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13279,7 +13295,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13294,7 +13310,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13303,7 +13319,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13318,8 +13334,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13386,45 +13402,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13770,7 +13786,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14596,74 +14612,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14671,44 +14686,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15414,11 +15429,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15482,79 +15497,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15604,8 +15624,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16161,46 +16181,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16209,7 +16229,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16224,11 +16244,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16256,7 +16276,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16281,28 +16301,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16329,65 +16349,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16720,77 +16740,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16798,7 +16818,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16808,7 +16828,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16823,80 +16843,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16904,90 +16924,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16995,118 +17015,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17115,152 +17135,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17268,48 +17288,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17938,7 +17958,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18598,76 +18618,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18699,121 +18719,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19694,17 +19714,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19985,21 +20005,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20343,7 +20353,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20506,6 +20516,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20785,7 +20805,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20855,7 +20875,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21616,13 +21636,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21647,80 +21667,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22709,37 +22729,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22876,7 +22896,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23014,7 +23034,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23285,7 +23305,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23680,86 +23700,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23768,47 +23788,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25354,7 +25374,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26380,150 +26400,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27193,7 +27213,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27600,12 +27620,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27663,76 +27683,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31135,18 +31155,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31160,70 +31180,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34171,13 +34191,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34212,30 +34232,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34289,44 +34309,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34334,15 +34358,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34350,7 +34374,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34373,7 +34397,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34411,17 +34435,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37007,6 +37031,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/vi.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/vi.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/vi.po	2020-07-02 04:03:57.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/vi.po	2020-07-16 16:37:25.000000000 +0000
@@ -18,8 +18,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
@@ -217,7 +217,7 @@ msgstr "không thực hiện thao tác n
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -229,12 +229,12 @@ msgstr "không thực hiện thao tác n
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1144,9 +1144,9 @@ msgstr "Danh mục"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1171,7 +1171,7 @@ msgstr "Đường dẫn đến thư vi
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1233,7 +1233,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2846,8 +2846,8 @@ msgstr "Đang lấy danh mục sách có
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2856,8 +2856,8 @@ msgstr "Đang xóa sách khỏi danh m
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3200,7 +3200,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3313,7 +3313,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "Lấy thông tin về thiết bị"
@@ -3340,8 +3340,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3729,61 +3729,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6217,7 +6228,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "Sai"
 
@@ -6240,7 +6251,7 @@ msgid "Producer"
 msgstr "Chủ nhiệm"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6505,103 +6516,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "US"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "France"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "Germany"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "UK"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "Italy"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6609,7 +6620,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8495,7 +8506,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8967,7 +8978,7 @@ msgstr "Thư mục %s đã tồn tại.
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9012,7 +9023,7 @@ msgstr "Thư viện %s đã bị dỡ b
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9064,7 +9075,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr "Chọn thư viện"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "Sao chép"
@@ -9258,7 +9269,7 @@ msgstr "{0} của {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "Chọn hết"
 
@@ -10148,7 +10159,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "S"
 
@@ -10747,7 +10758,7 @@ msgid "this book"
 msgstr "sách này"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10957,7 +10968,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11402,8 +11413,8 @@ msgstr "Đổi"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11532,42 +11543,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "Xóa dạng file %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "Lưu dạng file %s ra chỗ khác"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "Khôi phục dạng file %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "Lấy ảnh bìa từ file %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11576,112 +11592,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr "Mở %s bằng..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "Thêm ứng dụng để mở dạng file %s..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "Chép đường dẫn tới file"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "Bỏ %s khỏi sách này"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "Mở ảnh bìa bằng..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "Đường dẫn"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11689,7 +11705,7 @@ msgstr "Đường dẫn"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11758,7 +11774,7 @@ msgstr "tập tin xuất"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11776,11 +11792,11 @@ msgstr "tập tin xuất"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11919,7 +11935,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11954,7 +11970,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12001,8 +12017,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "Xóa"
 
@@ -12114,22 +12130,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12357,7 +12373,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12832,10 +12848,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " điểm"
@@ -13267,7 +13283,7 @@ msgid "Change the title of this book"
 msgstr "Thay đổi tựa đề sách"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "Tác giả: "
 
@@ -13282,7 +13298,7 @@ msgid ""
 msgstr "Thay đổi tác giả của cuốn sách. Tên các tác giả phải được ngăn cách bằng dấu phẩy"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "Nhà x&uất bản: "
 
@@ -13291,7 +13307,7 @@ msgid "Ta&gs: "
 msgstr "Từ khóa: "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13306,8 +13322,8 @@ msgstr "Bộ sách:"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "Danh mục các bộ sách. Bạn có thể thêm bộ sách."
@@ -13374,45 +13390,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "&Hồ sơ xuất:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "Mô tả hồ sơ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "Hồ &sơ nhập:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "Lề"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "Trái:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "Trên:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "Phải:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "Dưới:"
@@ -13758,7 +13774,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14584,74 +14600,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "Chưa xác định"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "Đặt '%s' là hôm nay"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "Xóa '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "Xóa bộ sách"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14659,44 +14674,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15401,11 +15416,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15469,79 +15484,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "Bỏ qua các tên:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15591,8 +15611,8 @@ msgstr "Đường dẫn %s chứa thư v
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "Đường dẫn không hợp lệ"
 
@@ -16148,46 +16168,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16196,7 +16216,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16211,11 +16231,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16242,7 +16262,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16267,28 +16287,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16315,65 +16335,65 @@ msgstr "Tên tác giả không hợp l
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "Quản lý tên tác giả"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "Tìm kiếm:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16705,77 +16725,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Đang làm việc"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "Chữ thường toàn bộ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "Chữ hoa toàn bộ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "Chữ hoa đầu mỗi từ"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16783,7 +16803,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16793,7 +16813,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16808,80 +16828,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16889,90 +16909,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "Đổi ảnh bìa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "Tạo ảnh bìa mặc định"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "Xóa ảnh bìa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "Xén ảnh bìa (NGUY HIỂM)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "Ngày nhập:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "Nếu chọn, thông tin nhà xuất bản sẽ bị xóa"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "Xóa NXB"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "Ngày xuất bản:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16980,118 +17000,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "Bớt từ khóa:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "Thêm từ khóa:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "Ngôn ngữ:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "Tác giả xếp: "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17100,152 +17120,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "Điểm số:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Thông tin cơ &bản"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Thông tin bổ &sung"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "Thay bằng"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17253,48 +17273,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "Tìm kiếm và Thay thế"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17923,7 +17943,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18583,76 +18603,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18684,121 +18704,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19677,17 +19697,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "Không có dạng file %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "Tựa sách {0} không có dạng file {1}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19965,21 +19985,11 @@ msgstr "Tập số %(sidx)s trong bộ <
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Đ"
 
@@ -20323,7 +20333,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Thư viện Calibre"
 
@@ -20486,6 +20496,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20764,7 +20784,7 @@ msgstr "Nhà x&uất bản"
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20832,7 +20852,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21591,13 +21611,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "Cao"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "Thấp"
 
@@ -21622,80 +21642,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " giây"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22684,37 +22704,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22851,7 +22871,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -22989,7 +23009,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23260,7 +23280,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23655,86 +23675,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23743,47 +23763,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25327,7 +25347,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26353,150 +26373,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27166,7 +27186,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27573,12 +27593,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27636,76 +27656,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31100,18 +31120,18 @@ msgstr[0] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31125,70 +31145,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34132,13 +34152,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34173,30 +34193,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34250,44 +34270,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "Tới >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< Trước"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34295,15 +34319,15 @@ msgstr "< Trước"
 msgid "Cancel"
 msgstr "Thôi"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "Xong"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34311,7 +34335,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34319,7 +34343,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34334,7 +34358,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "Trang Thuật sỹ"
@@ -34372,17 +34396,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -36967,6 +36991,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/wa.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/wa.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/wa.po	2020-07-02 04:03:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/wa.po	2020-07-16 16:44:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/xh.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/xh.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/xh.po	2020-07-02 04:04:16.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/xh.po	2020-07-16 16:43:10.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6494,103 +6505,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6598,7 +6609,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8487,7 +8498,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8965,7 +8976,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9010,7 +9021,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9062,7 +9073,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9217,7 +9228,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9257,7 +9268,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10153,7 +10164,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10755,7 +10766,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10966,7 +10977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11414,8 +11425,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11544,42 +11555,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11588,112 +11604,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11701,7 +11717,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11770,7 +11786,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11788,11 +11804,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11931,7 +11947,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11966,7 +11982,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12013,8 +12029,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12126,22 +12142,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12369,7 +12385,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12844,10 +12860,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13279,7 +13295,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13294,7 +13310,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13303,7 +13319,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13318,8 +13334,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13386,45 +13402,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13770,7 +13786,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14596,74 +14612,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14671,44 +14686,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15414,11 +15429,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15482,79 +15497,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15604,8 +15624,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16161,46 +16181,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16209,7 +16229,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16224,11 +16244,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16256,7 +16276,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16281,28 +16301,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16329,65 +16349,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16720,77 +16740,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16798,7 +16818,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16808,7 +16828,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16823,80 +16843,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16904,90 +16924,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16995,118 +17015,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17115,152 +17135,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17268,48 +17288,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17938,7 +17958,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18598,76 +18618,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18699,121 +18719,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19694,17 +19714,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19985,21 +20005,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20343,7 +20353,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20506,6 +20516,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20785,7 +20805,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20855,7 +20875,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21616,13 +21636,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21647,80 +21667,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22709,37 +22729,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22876,7 +22896,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23014,7 +23034,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23285,7 +23305,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23680,86 +23700,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23768,47 +23788,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25354,7 +25374,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26380,150 +26400,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27193,7 +27213,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27600,12 +27620,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27663,76 +27683,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31135,18 +31155,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31160,70 +31180,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34171,13 +34191,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34212,30 +34232,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34289,44 +34309,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34334,15 +34358,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34350,7 +34374,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34373,7 +34397,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34411,17 +34435,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37007,6 +37031,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/yi.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/yi.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/yi.po	2020-07-02 04:01:51.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/yi.po	2020-07-16 16:42:29.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -206,7 +206,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -218,12 +218,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1133,9 +1133,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1160,7 +1160,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1222,7 +1222,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2835,8 +2835,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2845,8 +2845,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3189,7 +3189,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3302,7 +3302,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3329,8 +3329,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3718,61 +3718,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6206,7 +6217,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6229,7 +6240,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8488,7 +8499,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8966,7 +8977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9011,7 +9022,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9063,7 +9074,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9218,7 +9229,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9258,7 +9269,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10154,7 +10165,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10756,7 +10767,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10967,7 +10978,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11415,8 +11426,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11545,42 +11556,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11589,112 +11605,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11702,7 +11718,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11771,7 +11787,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11789,11 +11805,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11932,7 +11948,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11967,7 +11983,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12014,8 +12030,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12127,22 +12143,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12370,7 +12386,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12845,10 +12861,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13280,7 +13296,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13295,7 +13311,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13304,7 +13320,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13319,8 +13335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13387,45 +13403,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13771,7 +13787,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14597,74 +14613,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14672,44 +14687,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15415,11 +15430,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15483,79 +15498,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15605,8 +15625,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16162,46 +16182,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16210,7 +16230,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16225,11 +16245,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16257,7 +16277,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16282,28 +16302,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16330,65 +16350,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17939,7 +17959,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19695,17 +19715,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19986,21 +20006,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20344,7 +20354,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20507,6 +20517,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20786,7 +20806,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20856,7 +20876,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21617,13 +21637,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21648,80 +21668,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22710,37 +22730,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22877,7 +22897,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23015,7 +23035,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23286,7 +23306,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23681,86 +23701,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23769,47 +23789,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25355,7 +25375,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26381,150 +26401,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27194,7 +27214,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27601,12 +27621,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27664,76 +27684,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31136,18 +31156,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31161,70 +31181,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34172,13 +34192,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34213,30 +34233,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34290,44 +34310,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34335,15 +34359,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34351,7 +34375,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34359,7 +34383,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34374,7 +34398,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34412,17 +34436,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37008,6 +37032,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/zh_CN.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/zh_CN.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/zh_CN.po	2020-07-02 04:01:37.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/zh_CN.po	2020-07-16 16:41:14.000000000 +0000
@@ -90,8 +90,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-07-01 15:35+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-14 15:25+0000\n"
 "Last-Translator: tony shen <anthanny@hotmail.com>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
@@ -289,7 +289,7 @@ msgstr "不做修改"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -301,12 +301,12 @@ msgstr "不做修改"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1216,9 +1216,9 @@ msgstr "书目"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1243,7 +1243,7 @@ msgstr "书库 ({0}) 的路径太长，
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1305,7 +1305,7 @@ msgstr "保存搜索结果"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2918,8 +2918,8 @@ msgstr "正在获取设备中的书籍
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2928,8 +2928,8 @@ msgstr "正在删除设备元数据列
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3272,7 +3272,7 @@ msgstr "输入一个模板以设置副
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "编辑细节"
@@ -3385,7 +3385,7 @@ msgid "Communicate with MTP devices"
 msgstr "与 MTP 设备通信"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "获取设备信息..."
@@ -3412,8 +3412,8 @@ msgid "Finished reading metadata from de
 msgstr "读取设备的元数据完成"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3801,61 +3801,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "这是一个你希望能够发送到设备的逗号分隔的文件扩展格式列表。例如，您的库中可能有音频书籍，其中的扩展名“M4B”是你希望在设备上监听的。不要担心“额外启用的扩展”的警告。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr "忽略设备可用空间"
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr "勾选此框可忽略设备报告的可用空间量。如果您将图书存储在SD卡上，并且设备没有太多可用主内存，则可能需要这样做。"
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "%s 的连接尝试过多"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "该设备使用的程序因为版本太低而不被支持,请升级到新版本."
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "在书库中有日期是未来的书籍格式。详情见 calibre"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "阅读同步列 %s 不在 calibre 的书库中"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "阅读同步列 %s 不是一个 是/否 列"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "阅读时间同步列 %s 不在 calibre 的书库中"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "阅读时间同步列 %s 不是一个时间列"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "不好的压缩质量设置。必须是一个50到99的数字。强制为 %d"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "选项中有无效端口：%s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "无法连接到端口 %d。请尝试其他。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "分配随机端口失败"
 
@@ -6289,7 +6300,7 @@ msgstr "从存档文件 (ZIP/RAR) 中提
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "否"
 
@@ -6312,7 +6323,7 @@ msgid "Producer"
 msgstr "出品人"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6577,103 +6588,103 @@ msgstr "亚马逊"
 msgid "Google images"
 msgstr "谷歌图片"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "从 Amazon 下载元数据和封面"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "美国"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "法国"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "德国"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "英国"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "澳大利亚"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "意大利"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "日本"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "西班牙"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "巴西"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "荷兰"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "中国"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "加拿大"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "选择服务器自动"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "亚马逊服务器"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Bing 搜索缓存"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "谷歌搜索缓存"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "时光机缓存（慢）"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "使用亚马逊国家网站："
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "使用所选择国家的 Amazon 网站上数据做为元数据。"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "服务器从这里获取数据："
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon已经开始阻止尝试从服务器下载元数据。为了解决这个问题，calibre 可以从许多不同的地方的缓存获取Amazon数据。选择你喜欢的资源。"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "使用mobi-asin编号查找元数据"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6681,7 +6692,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr "开启此选项以在任何其他Amazon的id均不可用时，在当前国家的Amazon网站上使用MOBI文件的ASIN标识符来查找元数据。注意若此MOBI文件来自其他国家的Amazon商店，你可能会得到错误的结果。"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazon 网站访问超时，请稍候再试。"
 
@@ -8567,7 +8578,7 @@ msgstr "没有文件被拷贝到剪贴
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -9039,7 +9050,7 @@ msgstr "文件夹 %s 已存在，请先
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "太长"
 
@@ -9084,7 +9095,7 @@ msgstr "%s 书库已经从 calibre 中
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9136,7 +9147,7 @@ msgstr "你的 calibre 书库数据库
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9290,7 +9301,7 @@ msgid "Browse for library"
 msgstr "浏览库"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "复制(&C)"
@@ -9330,7 +9341,7 @@ msgstr "{0} 自 {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "全选(&A)"
 
@@ -10153,7 +10164,7 @@ msgstr "为便于访问临时标记书
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/mark_books.py:25
 msgid "Toggle mark for selected books"
-msgstr "反转标记"
+msgstr "切换选定图书的标记"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/mark_books.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/mark_books.py:92
@@ -10220,7 +10231,7 @@ msgid "Move to next highlighted match"
 msgstr "跳转到下一个高亮的匹配"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10819,7 +10830,7 @@ msgid "this book"
 msgstr "此书"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "查找%s"
@@ -11029,7 +11040,7 @@ msgstr "预览图书(&P)"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11277,7 +11288,7 @@ msgstr "%s 中未找到电子书籍文
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:223
 msgid "Reading metadata and adding to library (one book)..."
 msgid_plural "Reading metadata and adding to library ({} books)..."
-msgstr[0] "阅读元数据并添加到书库中(书籍)..."
+msgstr[0] "读取元数据并添加到书库中(%d 本书籍)..."
 
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:273
 msgid "Failed to add some books, click \"Show details\" for more information."
@@ -11474,8 +11485,8 @@ msgstr "更改"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11604,42 +11615,47 @@ msgid "Search the internet for this book
 msgstr "在网上搜索这本书"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "管理 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr "在标签浏览器中查找 %s"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "删除 %s 格式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "保存 %s 格式到磁盘"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "恢复 %s 格式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "采用该 %s 文件的封面"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "与 %s 格式比较"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11648,112 +11664,112 @@ msgstr "与 %s 格式比较"
 msgid "Open %s with..."
 msgstr "%s 的打开方式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr "添加 %s 文件的打开方式…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr "编辑“打开方式”应用程序…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr "编辑%s…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "复制文件路径(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr "复制作者链接(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "在 calibre 搜索 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "复制路径"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr "复制标识符(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "从此书中删除 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "复制全部(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr "复制链接位置"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr "打开书籍详情窗口"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "封面的打开方式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr "添加其他打开封面的程序…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "粘贴封面"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "复制封面"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "保存封面到磁盘"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "移除封面"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "使用元数据生成封面"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "选择封面保存位置"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "JPEG 图像"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "双击打开书籍详细信息窗口"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "路径"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11761,7 +11777,7 @@ msgstr "路径"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "封面大小：%(width)d x %(height)d 像素"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr "编辑书籍的标识码"
 
@@ -11830,7 +11846,7 @@ msgstr "输出"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11848,11 +11864,11 @@ msgstr "输出"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11991,7 +12007,7 @@ msgid "Preset name:"
 msgstr "预设名称："
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "你必须提供一个名称。"
 
@@ -12026,7 +12042,7 @@ msgstr "正确"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12073,8 +12089,8 @@ msgid "Delete current preset"
 msgstr "删除当前预设"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "删除"
 
@@ -12186,22 +12202,22 @@ msgstr "重设为默认值"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12429,7 +12445,7 @@ msgstr "页眉 {0}"
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12904,10 +12920,10 @@ msgstr "字体大小 Key(&K)："
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13339,7 +13355,7 @@ msgid "Change the title of this book"
 msgstr "更改此书籍书名"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "作者(&A): "
 
@@ -13354,7 +13370,7 @@ msgid ""
 msgstr "变更书籍作者。多作者可以用逗号分隔"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "出版商(&P)： "
 
@@ -13363,7 +13379,7 @@ msgid "Ta&gs: "
 msgstr "标签(&G)： "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13378,8 +13394,8 @@ msgstr "丛书(&S)："
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "现有丛书列表。你可以添加新的丛书。"
@@ -13446,45 +13462,45 @@ msgstr "屏幕尺寸: %s"
 msgid "Page setup"
 msgstr "页面设置"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "输出配置文件(&O)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "配置文件描述"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "输入配置文件(&I)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "边距"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "左(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "未更改"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "上(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "右(&R):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "下(&B):"
@@ -13830,7 +13846,7 @@ msgid "Edit the currently selected expre
 msgstr "编辑当前选中的表达式"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "变更(&C)"
 
@@ -14656,74 +14672,73 @@ msgstr "选择要导入的规则文件"
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "未定义"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "将'%s'设为今天"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "清除 '%s'"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr "打开项目编辑器"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "值已改变"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "你已经修改了值。为了使用此编辑器，你必须放弃或应用这些更改。应用更改吗？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " 索引"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "\"{0}\" 的枚举值中包含无效的值，将使用默认值替换"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "应用改变"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "清除丛书名"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "为书籍自动编号"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14731,44 +14746,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr "如果未勾选，图书的序列号将设置为1。如果勾选，选定的图书将按您选择的排列顺序自动编号。所以，如果你选择了图书A，然后Book B，书A将有序列号1和B系列数字2。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "强制起始编号为 "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr "丛书系列通常会从该系列数据库中最高的数字重新编号。选中此选项将告诉 calibre 从选框中的值开始编号。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr "连续书籍编号的递增数值。仅在使用强制编号时生效。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "\"{0}\" 的枚举值中包含无效的值，这些无效值将不会出现在列表中"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "移除所有标签"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "要添加的标签"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "要移除的标签"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15473,11 +15488,11 @@ msgstr "这需要一段时间，请稍
 msgid "Vacuuming..."
 msgstr "正在重建…"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "检查库 -- 发现问题"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15541,79 +15556,84 @@ msgid ""
 "        "
 msgstr "        <h1>帮助</h1>\n\n        <p>calibre 把你的书籍列表和书籍元数据存放在数据库中，实际的\n        的书籍文件和封面在 calibre 书库所在的目录中以普通文件的方式存\n        储。数据库中存放了每本书所对应的书籍文件和封面图片。本工具\n        用于检查书库目录中的文件与数据库中所保留的信息是否相符。</p>\n\n        <p>左侧显示了各种检查的结果。检查的项目包括：</p>\n        <ul>\n        <li><b>无效的标题</b>：文件和目录在书库中存在，但书籍标题信息\n        不正确。</li>\n        <li><b>额外的标题</b>：calibre 书库中存在书籍文件且包括正确的标题，\n        但在数据库中没有对应的记录。</li>\n        <li><b>无效的作者名</b>：书籍文件存在于书库中，但书库中该位置仅应当\n        出现作者目录。</li>\n        <li><b>额外的作者</b>： calibre 书库中存在正常的作者目录，\n        但在数据库中没有对应的记录。</li>\n        <li><b>丢失书籍格式</b>：数据库中包含部分书籍格式但在书库文件夹中\n        不存在。\n        <li><b>额外的书籍格式</b>：书库文件夹中包含某些格式的书籍但数据库中\n        没有对应记录。\n        <li><b>书籍中的未知文件</b>：书籍文件夹中存在多余的文件，这些文件即不是\n        有效的书籍格式也不是有效的封图图片。</li>\n        <li><b>丢失封面文件</b>：表示数据库中表明该书籍存在封面图片，但实际的\n        封面图书文件不存在。</li></li>\n        <li><b>封面文件不在数据库中</b>：表示书籍存文件夹中包含封面图片，但数据库\n        中标记该书没有封面。</li>\n        <li><b>文件夹引起异常情况</b>：表示 calibre 书籍中的文件夹无法被检查目录正确\n        处理或理解。</li>\n</ul>\n\n        <p>当遇到问题时，有两种可能的自动修复方式： <i>删除所选</i> 和 <i>修复所选</i>。</p>\n        <p><i>删除所选</i> 用于删除数据库中不存在的额外的文件、文件夹或封面图片。选中你要删除的项，\n并点击“删除所选”。请谨慎使用。</p>\n\n        <p><i>修复所选</i> 只适用于封面图片和丢失的格式\n        (被标为“可修复”的三行)。 在丢失封面图片文件的情况下，\n        勾选“可修复”复选框并点击本按钮即通知 calibre 所列出的\n        书籍没有封面图片，如果你不需要从备份文件恢复封面，\n        可以使用这个选项。在出现额外封面图片文件的情况下，\n        勾选“可修复”复选框并点击本按钮即通知 calibre 它为所选\n        书籍所找到的封面文件都是正确的，如果你不打算删除\n        文件时可以使用这个选项。在丢失文件格式的情况下，\n        勾选“可修复”复选框并点击本按钮即通知 calibre 这些\n        文件格式确实已经不存在，如果你不打算从备份文件恢复\n        这些文件格式时可以使用这个选项。</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "再次检查(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "复到到剪贴板(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "完成(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "全部标记为待删除(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "标记全部可删除的子项目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "删除标记(&M)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "删除标记文件(检查子项)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "全部标记为待修复(&K)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "标记全部可修复的项目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "修复标记(&F)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "修复标记章节(可修复项)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "要忽略的名称："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "输入以逗号分隔的标准文件名通配符，比如 synctory*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "要忽略的扩展名："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "输入以逗号分隔的文件扩展名（不包含起始的点）。仅在书籍文件夹上使用"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(可修复)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr "(可删除的)"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "书库的路径"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15663,8 +15683,8 @@ msgstr "所选的位置 %s 包含了当
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "错误的位置"
 
@@ -15964,7 +15984,7 @@ msgstr "订阅清单"
 msgid ""
 "Create a basic news recipe, by adding RSS feeds to it.\n"
 "For some news sources, you will have to use the \"Switch to advanced mode\" button below to further customize the fetch process."
-msgstr "通过添加RSS源来创建基本的新闻订阅清单。\n对于一些新闻源，你将不得不使用下面的“切换到高级模式”按钮来进一步定制获取过程。"
+msgstr "通过添加RSS源来创建基本的新闻订阅清单。\n对于一些新闻源，你必须使用下面的“切换到高级模式”按钮来进一步定制获取过程。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:316
 msgid "Recipe &title:"
@@ -16220,46 +16240,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (原始为： %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "项目为空"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "项目不能设置为什么也没有。请删除之。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "未选中项目"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "必须从可用项列表选定一项。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "未选中项目"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "你必须从列表中至少选择一项。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "你确认要删除以下项目吗？"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "分类编辑器"
 
@@ -16268,7 +16288,7 @@ msgid "Items in use"
 msgstr "使用中的项"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16283,11 +16303,11 @@ msgstr "重命名在每本书中使用
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "本书受 DRM 保护"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16314,7 +16334,7 @@ msgid "Already in calibre:"
 msgstr "已经收录于 calibre："
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16339,28 +16359,28 @@ msgid "Change case"
 msgstr "大小写转换"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "大写字母"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "小写"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "转换大小写"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16387,65 +16407,65 @@ msgstr "无效的作者名"
 msgid "You cannot change an author to multiple authors."
 msgstr "你不能将作者更改为多个作者。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "管理作者"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "搜索(&S)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr "查找(&E)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>在当前虚拟书库中显示作者。\n          已经进行的编辑可能会被隐藏，\n           但不会被忘记。</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr "仅显示当前虚拟库中的作者(&V)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr "过滤按(&B):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr "<p>仅显示包含此框中文本的作者。\n          匹配忽略大小写。</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr "过滤(&L)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "根据作者字段值自动重新生成所有的排序作者字段值。具体的生成规则可以在首选项->高级->优化调整中控制"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr "重新计算所有作者排序值(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "把所有排序作者字段的值复制到作者字段。通常当你调整了首选项->高级->优化调整->排序作者生成算法后需要使用这个按钮。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr "将所有作者排序值复制到作者(&C)"
 
@@ -16777,77 +16797,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] "隐藏其余 {} 个错误信息"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "执行中"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "正在处理 %d 本图书，请稍候..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "当前步骤进度: %p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "步骤 %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "小写"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "大写"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "标题大写"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "字符匹配"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "正则表达式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "替换字段"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "前置到字段"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "追加到字段"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "正在编辑<b>%d本书</b>的元数据信息"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "不关闭对话框立即应用更改。此操作无法撤销。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "书籍 %d："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "输入书号类型"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16855,7 +16875,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>可用此功能删除书库。</b> 此操作无法撤销。在继续前强烈建议你备份书库。<p>使用文字匹配或正则表达式进行搜索替换。 "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16865,7 +16885,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "在字符模式下，将在字段中搜索输入的搜索文本。在指定字段中任何位置找到的该文本，都会用指定文本替换该文本。替换完成后，可以将文本更改为大写、小写或标题大写。如果勾选区分大小写复选框，则搜索文本必须完全匹配。如果未勾选，则搜索文本将同时匹配大写和小写字母"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16880,80 +16900,80 @@ msgid ""
 "function."
 msgstr "在正则表达式模式下，搜索文本是一个任意的兼容Python的正则表达式。替换文本可以包含对模式中括号表达式的后置引用。搜索不是锚定的，可以在同一个字符串上匹配和替换多次。修改函数（小写等）应用于匹配的文本，而不是整个字段。目标框指定要在匹配和替换之后分配结果的字段。您可以替换字段中的文本，或准备或追加匹配的文本。参见<a href=\"https://docs.python.org/library/re.html\">此引用</a>，了解更多关于Python正则表达式的信息，尤其是“sub”函数。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R 模板错误"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "当源是构造字段或模板时，你必须指定一个目标"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "评分栏的替换值必须为空或为 0 到 10 的整数"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "你必须为目标指定一个书号类型"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "你必须在“搜索”字段中指定搜索表达式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "无效的标识字串。必须为使用冒号分隔的字串，以逗号分隔的列表。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "查找/替换无效"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "查找/替换无效：%s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "删除已保存搜索/替换条件"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "选中的已保存搜索/替换条件将被删除。确定吗？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "保存搜索／替换条件"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "搜索/替换名称："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "指定的已保存搜索/替换条件已经存在并将被覆盖。确定吗？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "编辑元数据信息"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr "申请日期(&p)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16961,90 +16981,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "这将使得每个选中书籍的排序作者字段自动更新为作者字段。注意，如果你在上面的文本框中批量设置了作者，那么不管你是否选中，排序作者字段会随之更新。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "自动设置排序作者字段值(&U)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "交换标题和作者(&W)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "根据当前的标题更新排序标题字段的值。这个操作会在其它针对标题的操作完成后进行。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "更新排序标题(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "更换封面(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "生成默认封面(&G)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "移除封面(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "尝试自动检测并裁切封面图片的边框。此操作有可能会误裁切，因此请\n谨慎使用。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "裁切封面 (危险操作)(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "从电子书文件设置(&E)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr "把选中的第一本书籍的封面设为选中的所有书籍的封面。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "克隆封面(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "把标题设置为各单词首字母大写。如果本选项与“对调作者和书名”被同时选中，\n会先对调作者和书名，然后再设置首字母大写。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "更改标题大写到(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "日期(&D)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "如果选中，出版商会被清除。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr "清除出版商(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "出版日期(U):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17052,118 +17072,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "如未勾选，则书籍的丛书编号会被设为 1。\n如勾选了，则同丛书中的书籍将会自动以它们被选定时的顺序编号。\n例如你先选中了 A，然后选中 B，则 A 的丛书编号将是 1，而 B 的编号是 2。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "自动为同一丛书中的书藉编号(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "通常情况下丛书编号会接续当前书库中同系列书籍的最大编号继续编号。选中这个选项后 calibre 将从你指定的编号开始继续编号。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "强制起始编号值(&F)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "如果勾选了，丛书将被清除"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "清除丛书(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr "设置默认封面的生成方式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr "封面生成设置(V)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr "为所选书籍编辑注释"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "移除标签(&R)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "全部删除(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "添加标签(&G)： "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "指定如何按书籍作者姓名排序。如 Charles Dickens 会被作为 Dickens, Charles 进行排序。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr "应用评分(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "清除出版日期"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "语言(&L)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "删除多个标签, 标签列表由逗号分割. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "打开标签编辑器"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "排序作者(&O)： "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr "在与每本书相关联的电子书文件中的元数据中设置 calibre 中的元数据。请注意，这不会改变封面，因此，使用下面的独立选项。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "从电子书文件中设置元数据(除了封面)(&M)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "系列(&I):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "删除针对已选择书籍的格式转换设置。\n\n以后再对这些书籍进行格式转换时将采用默认设置。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "删除已选择书籍的格式转换设置(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17172,152 +17192,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "当进行同格式转换操作时，例如 EPUB 转 EPUB，calibre 将\n生成一个原来的 EPUB 备份文件 ORIGINAL_EPUB。\n as ORIGINAL_EPUB. This option tells calibre to restore\n the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n conversion of a large number of books and something went wrong."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "可能的话还原转换前的文件(&O)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "勾选此框将从书籍中移除所有标签。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "星级(&R)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "基本元数据(&B)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "自定义元数据(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr "载入搜索/替换(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "选择要加载的已保存搜索/替换设置。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "保存当前的搜索/替换设置"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "保存(&V)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "搜索范围(&F):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "输入你希望查找的字段名称"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "搜索模式(&M):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "选择是使用基本文本匹配还是使用高级正则表达式匹配"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr "标识符类型(&I):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "选择你要进行操作的书号类型"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "模板(&T)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "输入作为搜索/替换原文的模板"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "在此输入你要查找的内容，根据模式可以是纯文本或者正则表达式。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "如果你查找的字串需要精确区分大小写的话，请勾选此框。不勾选则表示忽略大小写。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "区分大小写(&E)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "替换为(&R)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "要替换成的文本。匹配搜索/替换条件的文本会被替换成这个字符串。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "替换后应用函数处理(&A)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "指定在匹配与替换后对文本的处理方式。在字符模式下，处理对像是整个字段的值。在正则表达式模式下，处理对象是匹配到的文本。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "目标字段(&D)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "指定保存替换后的文本的字段。\n如果留空，源字段如果可修改的话，值会保存到源字段中。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "模式(&O):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "指定文本要如何复制到目标。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "指定处理完成后的结果应当拆分成多个值还是\n保留为一个值。本选项适用于源字段是单个值，\n而目的字段是多个值的情况。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "拆分结果(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "书号类型："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17325,48 +17345,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>选择上面要运行的标识符类型。当源字段不是“标识符”时，如果你希望用搜索/替换的结果替换整个标识符集，可以输入*。</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "对于多值字段，显示(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr "个值(&U)起始于"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "个值，值与值之间的分隔符为(&Y)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "用于显示结果被拆分成多值字段的情况"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "测试文本"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "测试结果"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr "你的测试(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "搜索替换(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "如果启用，图书列表将被重新排序，并且在编辑完成后将刷新\n任何现有的搜索或虚拟库。这在大型书库上可能会很慢。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "编辑后刷新书籍列表(&R)"
 
@@ -17995,7 +18015,7 @@ msgstr "无效的保存搜索"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "管理已存搜索数据"
 
@@ -18655,76 +18675,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "当前标签会被 <b>永久删除</b>。确定吗？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "用户类别编辑器"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "分类名称(&N):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "选定要编辑的分类"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "分类筛选(&C):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "选择新分类中的内容类型"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr "条目筛选器(&f)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr "输入文本以筛选可用项目。大小写和重音符号将被忽略。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr "删除当前标签分类"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr "输入一个分类名称，然后点击“添加”或“重命名”按钮"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "添加新分类"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "请在文本框中重命名当前分类"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr "<p>仅当项目出现在当前虚拟库中时，才在“可用项目”框中显示这些项目。\n不在虚拟库中的应用项目将标记为\n“不在任何一本书上”。</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr "仅显示当前虚拟库中的可用项(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "可用项目(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "应用标签到当前标签分类中"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "应用项目(&I)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "不使用(移除)当前标签分类中的标签"
 
@@ -18756,121 +18776,121 @@ msgid ""
 "to delete them?"
 msgstr "下列标签被更多书籍使用。你确认要删除么？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr "管理条目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr "添加条目(&A)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr "将条目应用到当前书籍"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr "筛选可用条目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr "从数据库删除项目。这将取消项目对所有书籍的应用并从数据库中移除项目。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr "可用项目(&I)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr "将条目应用到当前书籍"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr "从当前书籍上移除（不适用）该条目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr "筛选已用条目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "计数"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "为"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr "正在编辑..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "你真的想撤消你的改变吗？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "撤销删除项目？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "项目已删除。你想要撤销吗？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr "在第一列中搜索项目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr "查找包含搜索字符串的项"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr "<p>仅当项目出现在当前虚拟库中时才显示这些项目。\n          已经进行的编辑可能会被隐藏\n          但不会被忘记。</p>"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr "仅显示当前虚拟库中的项目(&V)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr "过滤按(&F):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr "使用此框中的文本筛选项目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr "仅显示包含此文本的项目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
-msgstr ""
+msgstr "筛选(&i)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
-msgstr ""
+msgstr "重命名每本书中使用它的条目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr "撤消选定行的任何删除或编辑"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19749,17 +19769,17 @@ msgstr "布局"
 msgid "Show and hide various parts of the calibre main window"
 msgstr "显示和隐藏 calibre 主窗口的各个部分"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "无%s格式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "书籍 {0} 没有 {1} 格式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "恢复%s"
@@ -20037,21 +20057,11 @@ msgstr "<span class=\"series_name\">%(se
 msgid "This book is on the device in %s"
 msgstr "此书位于设备中的 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "设置日期为未定义"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "将日期设为今天"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "设置为未定义"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20078,7 +20088,7 @@ msgstr "%s 星"
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1017
 #, python-format
 msgid "Click in this column and press Q to Quickview books with the same \"%s\""
-msgstr ""
+msgstr "单击此列并按下 Q 键来使用相同的 %s 快速阅读书籍"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1024
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:425
@@ -20226,7 +20236,7 @@ msgstr "自动调整栏宽"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/library/views.py:474
 msgid "Resize column to fit contents"
-msgstr ""
+msgstr "调整列大小以适合内容"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/library/views.py:476
 msgid "Restore default layout"
@@ -20395,7 +20405,7 @@ msgid ""
 msgstr "Calibre 便携版 (%s) 的路径名过长。必须要短于 59 个字符。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "Calibre 书库"
 
@@ -20558,6 +20568,16 @@ msgstr "退出(&Q)"
 msgid "Unhandled exception"
 msgstr "未处理的异常"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "设置日期为未定义"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "将日期设为今天"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20836,7 +20856,7 @@ msgstr "出版商(&P)："
 msgid "Clear publisher"
 msgstr "清除出版商"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "清除日期"
 
@@ -20904,7 +20924,7 @@ msgid "Processed %s"
 msgstr "已处理 %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "元数据字段下载"
 
@@ -21663,13 +21683,13 @@ msgid "&Automatic adding"
 msgstr "自动添加(&A)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "高"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "低"
 
@@ -21694,80 +21714,80 @@ msgstr "单页布局"
 msgid "Confirmation dialogs have all been reset"
 msgstr "已经重置所有确认对话框"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "新版程序可用时显示提示信息(&N)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "自动将下载的新闻传输到电子书阅读器上(&N)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "进程优先级(&P):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr "选择用于编辑元数据对话框的界面布局形式。精减布局较适合于修改自定义元数据而淡化封面和文件格式的相关设置。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "首选输入格式顺序(&I)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "首选输出格式(&O)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "修改单本书籍元数据的界面布局："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "如果选中这个选项，“是/否”自定义栏的状态可以被设为是、否或未知。\n如果没有选中，“是/否”自定义栏的状态只能被设为是或否。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "是/否 列有三个值(需要重新启动)(&Y)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "在将新闻传送到设备上后从书库中删除(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "默认网络超时(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "设置网络访问的默认超时限制 (例如在从互联网获取信息时的超时)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " 秒"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr "如果当前书库正被使用，设置 calibre 启动时使用下面虚拟书库。切换到此库时同时应用。请注意，每个库均使用此设置。 "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "重置所有被禁用的确认对话框(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "使用内部浏览器显示"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "打开当前书库时要应用的虚拟书库(&L)："
 
@@ -22756,37 +22776,37 @@ msgid ""
 " effect.\n"
 msgstr "把这些值复制到剪贴板，粘贴到一个文本编辑器，再把它们输入首选项->插件中的设备插件的自定义值 USER_DEVICE 中。请同时指定你希望在设备上保存书籍的目录。你必须重启 calibre 才能让这个设置生效。\n"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr "<p>calibre可以通过电子邮件将您的书籍发送给您（或您的阅读器）。calibre也会自动向所有勾选<i>自动发送</i>的邮件地址发送已下载新闻的电子邮件。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "将电子邮件地址添加到书籍发送目的"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "添加邮件地址(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "设为默认(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "删除邮件地址(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "将书籍元数据的注释添加到电子邮件中。\n收件人可以在打开前看到书籍概要。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr "把“注释”元数据加到电子邮件的正文中(&C)"
 
@@ -22923,8 +22943,8 @@ msgid "Create a new rule"
 msgstr "创建新的规则"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
-msgstr ""
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
+msgstr "关键的标识符，例如，在 isbn:XXX，关键词是 isbn"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
 msgid "&Key:"
@@ -23061,7 +23081,7 @@ msgid "If there is enough room"
 msgstr "仅当空间足够时"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "首字母"
 
@@ -23184,7 +23204,7 @@ msgid ""
 "sending to device etc. The notifications are sent via the operating system "
 "notification facility, if available. Note that on Windows, you have to "
 "enable the system tray icon for notifications to work."
-msgstr ""
+msgstr "当 calibre 完成诸如转换、发送到设备等任务时，禁用弹出通知。如果启用，通知将通过操作系统通知工具发送。请注意，在Windows上，你必须启用系统托盘图标以便完成通知工作。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:580
 msgid "Disable n&otifications on job completion"
@@ -23332,7 +23352,7 @@ msgid "Caching of covers for improved pe
 msgstr "缓存封面图像以提高性能"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "禁用"
 
@@ -23488,11 +23508,11 @@ msgid ""
 "When checked, Find in the Tag browser will show all items\n"
 " that match the search instead of the first one. If Hide empty categories is\n"
 " also checked then only categories containing a matched item will be shown."
-msgstr ""
+msgstr "勾选后，标记浏览器中的查找将显示与搜索匹配的所有项目，而不是第一个项目。\n 如果还选中了“隐藏空类别”，则只显示包含匹配项的类别。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:676
 msgid "Find &shows all items that match in the Tag browser"
-msgstr ""
+msgstr "查找并显示标记浏览器中匹配的所有项目(&S)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:677
 msgid ""
@@ -23727,86 +23747,86 @@ msgstr "未选择元数据下载源"
 msgid "No source selected, cannot configure."
 msgstr "未选择元数据下载源，无法配置"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "元数据下载源"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
-msgstr ""
+msgstr "通过取消选中所有不需要的元数据源来禁用它们。您还可以设置封面优先级。批量下载元数据时，优先选择优先级较高(较小)的来源的封面。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "名称前出现红色 X 标记的元数据下载源需要在对它们进行配置后方可使用。 "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr "配置所选源数据(&O)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "如果不选定部分字段，这些字段的元数据将不会被下载。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "全部选中(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr "取消全选(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "恢复到用“设为默认”按钮定义的默认选中项"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr "选择默认(&d)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr "将当前选中的字段存储为默认值，可以使用“选择默认”按钮快速应用默认值"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "设为默认(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "把下载的描述转换为纯文本(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr "从FN LN到LN，FN交换作者姓名(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr "<p>当下载注释时，将下载得到的注释添加到现有的注释上，而不是覆盖掉。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr "当下载注释时，将下载得到的注释添加到现有的注释上，而不是覆盖掉。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr "追加注释到现有(&E)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23815,47 +23835,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr "<p>通常，元数据下载系统对于每个元数据源只保留一个结果。此选项将使其保留从每个元数据源返回的所有结果。如果您只使用一个或两个源，并且想要手动从它们中选择单个结果，则非常有用。请注意，具有相同标题/作者/标识符的结果仍会合并。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr "每个源保留一个以上的条目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>不同的元数据源可能会给同一本书标记不同的标签。如果选中这个选项，calibre 会选择使用包含较少的标签的结果。这类结果可能会更接近于用标签描述书籍的种类，而标签较多的情况下，常常会是用于描述书籍的内容。\n<p>注意：这个选项在实际中只会在某个元数据源包含所查书籍标签值像是种类描述的情况下生效。在大部分的情况下，元数据源提供的标签信息都包含很多个标签。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr "选择不同元数据源的标签时，请选择较小的标签集"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "优先选用较少标签(&F)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr "创建规则过滤/转换标签(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr "创建规则以转换作者姓名(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr "要下载的最大标签数量(&N)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "在获得第一个搜索结果后的最大等待时间(&T)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " 秒"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "在获得第一个封面后的最大等待时间(&T)："
 
@@ -24120,7 +24140,7 @@ msgstr "你真的要删除插件 %s 吗
 msgid ""
 "Plugin <b>{0}</b> successfully removed. You will have to restart calibre for"
 " it to be completely removed."
-msgstr "插件<b>{0}</b>已成功删除。您将不得不重新启动 calibre 以使它被完全删除。"
+msgstr "已成功移除插件<b>{0}</b>。你必须重新启动 calibre 以完全删除它。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:392
 msgid "Cannot remove builtin plugin"
@@ -24723,7 +24743,7 @@ msgstr "更改密码(&P)"
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:139
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
-msgstr[0] ""
+msgstr[0] "{} 目前只允许访问书库名称为 ： {}"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/server.py:767
 msgid "Change the allowed libraries"
@@ -24733,7 +24753,7 @@ msgstr "更改允许的库"
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:146
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
-msgstr[0] ""
+msgstr[0] "{} 目前不允许访问书库名称为： {} "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/server.py:775
 msgid "Change the blocked libraries"
@@ -25399,14 +25419,14 @@ msgid "Paste and &search"
 msgstr "粘贴并搜索(&S)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "粘贴(&P)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:62
 msgid "&Clear search history"
-msgstr ""
+msgstr "清除搜索历史记录(&C)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:406
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:411
@@ -26301,23 +26321,23 @@ msgstr "用户类别 %s 不存在"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:292
 msgid "Children"
-msgstr ""
+msgstr "子项"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:292
 msgid "Item"
-msgstr ""
+msgstr "条目"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:298
 #, python-format
 msgid ""
 "%s and its children will be deleted from books in the Virtual library. Are "
 "you sure?"
-msgstr ""
+msgstr "%s及其子项将从虚拟书库的图书中删除。你确定吗？"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:301
 #, python-format
 msgid "%s and its children will be deleted from all books. Are you sure?"
-msgstr ""
+msgstr "%s及其子项将从所有图书中删除。你确定吗？"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:306
 #, python-format
@@ -26335,7 +26355,7 @@ msgstr "删除项目"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:341
 msgid "You must select some books to apply {} to"
-msgstr ""
+msgstr "您必须选择一些要应用 {} 的书籍"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:460
 msgid ""
@@ -26352,7 +26372,7 @@ msgid ""
 "search. For example, tags:foo will find foo in any tag, but not in authors "
 "etc. Entering *foo will collapse all categories then showing only those "
 "categories with items containing the text \"foo\""
-msgstr ""
+msgstr "搜索条目。如果文本以等于(=)开头，则搜索是完全匹配的，否则是“包含”查找项目名称中任意位置包含该文本的项目。精确搜索和包含搜索都忽略大小写。您可以使用类似于搜索的语法将搜索限制在特定类别。比如：tags:foo 会找到包含 foo 的标签，但不会找到其它包含 foo 的字段。输入 *foo 会在所有分类中同时查找，并只显示包含文本 foo 的条目。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:494
 msgid "Find the first/next matching item"
@@ -26372,7 +26392,7 @@ msgstr "在标签浏览器中搜索项
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:585
 msgid "No more matches.</b><p> Click Find again to go to first match"
-msgstr ""
+msgstr "没有更多的的匹配项。</b><p> 点击“搜索”重新进行查找。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:600
 msgid "Collapse all"
@@ -26419,156 +26439,156 @@ msgstr "管理作者、标签等数据"
 msgid ""
 "All of these category_managers are available by right-clicking on items in "
 "the Tag browser above"
-msgstr ""
+msgstr "所有这些类别管理器都可以通过在上面的标记浏览器中的项目上单击鼠标右键来获得"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:654
 msgid "'Click' found item"
 msgstr "'点击'查找项目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "更改%s图标"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr "虚拟书库中重命名%s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "重命名 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr "虚拟书库中删除%s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "删除%s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "调整%s排序方式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "修改%s的链接"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "添加 %s 到用户类别"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "%s 的子项"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
-msgstr ""
+msgstr "将 %s 应用到所选书籍"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
-msgstr ""
+msgstr "添加 %s 到选中的书籍"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
-msgstr ""
+msgstr "从选中的书籍移除 %s "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
-msgstr ""
+msgstr "删除已保存的搜索 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "移除%(cat)s分类的%(item)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "查找除%s外的所有信息"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "使用保存的搜索表达式搜索"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "添加子分类到%s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "删除用户分类 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "隐藏%s分类"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "显示分类"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "在%s分类中搜索书籍"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "在%s分类以外搜索书籍"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "更改分类图标"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "恢复默认图标"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "管理用户分类数据"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "显示所有分类"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "编辑子分类模式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "分区"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "首字母只在按名称排序时可用"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "展开所有子项目(&X)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "收起所有条目"
 
@@ -27238,7 +27258,7 @@ msgid "The Qt WebEngine Render process c
 msgstr "Qt WebEngine渲染进程已崩溃并已重新启动"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "更改未保存"
 
@@ -27645,12 +27665,12 @@ msgid ""
 msgstr "文件 %s 不存在。如果你想点击目录上的项，你可能需要右键选择“刷新”来刷新目录。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "不支持的文件格式"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr "不支持编辑 %s 类型的文件"
@@ -27708,76 +27728,76 @@ msgid "Import"
 msgstr "导入"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr "在开始之前：替换 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr "你必须先打开一本书才能看到报告"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr "你必须先打开一本书才能检查链接"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr "你必须先打开一本书才能压缩图片"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr "在开始之前：压缩图片"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr "意料之外的错误"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "压缩图片失败，点击“详细信息”显示更多信息。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr "不能解码"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr "不能编辑 %s 因为它使用了未知的字符编码"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr "当前没有书籍打开。你必须打开一本书才能编辑。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr "当前的书籍正在后台保存。现在退出将<b>终止保存</b>!先保存完毕？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr "立即退出"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr "等保存完毕"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "有更改还未保存，如果不保存就退出的话，你将丢弃所作的改动。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "保存并退出(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "放弃保存并退出(&Q)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "正在保存，请稍候..."
 
@@ -31172,18 +31192,18 @@ msgstr[0] "恢复禁用确认提示"
 msgid "Disabled confirmations restored"
 msgstr "禁用确认恢复"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr "渲染程序未响应"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
-msgstr ""
+msgstr "Qt WebEngine渲染进程已崩溃，因此预览/实时CSS将无法工作。请尝试重启编辑器。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31197,70 +31217,70 @@ msgid ""
 "            "
 msgstr "\n            <h3>实时预览</h3>\n\n            <p>在这里, 你将看到当前正在编辑的 HTML 文件的实时预览。\n            当你进行更改时, 预览将自动更新。\n\n            <p style=\"font-size:x-small; color: gray\">请注意, 这只是一个快速预览, 它无意模拟实际的电子书阅读器。电子书的某些功能将无法正常工作, 例如分页符和页边距。\n            "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "查看元素"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr "打开链接"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "编辑 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "在预览中搜索"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr "无效目标"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr "无法在body标签中分割"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr "启动作业失败"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr "启动用于呈现预览的辅助进程失败"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr "无法禁用"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr "在实时CSS面板打开时无法禁用预览面板的自动重新加载。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "启用实时预览"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "禁用实时预览"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "禁用同步编辑与预览器当前行位置"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "启用同步编辑与预览器当前行位置"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr "中止文件分割"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -32470,7 +32490,7 @@ msgstr "打开书籍(&O)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/ui.py:351
 msgid "Open a book"
-msgstr ""
+msgstr "打开一本书"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/ui.py:352
 msgid "Open &folder (unzipped EPUB) as book"
@@ -33629,11 +33649,11 @@ msgstr "移除当前选中书签"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/bookmarks.py:120
 msgid "P&revious"
-msgstr ""
+msgstr "上一页(&R)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/bookmarks.py:124
 msgid "Nex&t"
-msgstr ""
+msgstr "下一页(&T)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/bookmarks.py:128
 msgid "Sort by na&me"
@@ -33678,19 +33698,19 @@ msgstr "编辑书签标题："
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:102
 msgid "Double click to jump to an entry"
-msgstr ""
+msgstr "双击可跳转到一个条目"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:123
 msgid "Create a new highlight"
-msgstr ""
+msgstr "创建新的高亮显示"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:124
 msgid "Edit the selected highlight"
-msgstr ""
+msgstr "编辑该选定的高亮显示"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:125
 msgid "Remove the selected highlight"
-msgstr ""
+msgstr "移除选定的高亮显示"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:147
 msgid "No highlights match the search: {}"
@@ -33698,11 +33718,11 @@ msgstr "没有与搜索匹配的高亮
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:167
 msgid "No selected highlight"
-msgstr ""
+msgstr "没有选定的高亮显示"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:168
 msgid "No highlight is currently selected"
-msgstr ""
+msgstr "当前未选择任何高亮显示"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:181
 msgid "Are you sure you want to delete this highlight permanently?"
@@ -33967,12 +33987,12 @@ msgstr "选择搜索类型：<ul><li><b>
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/search.py:382
 msgid "Go back to where you were before searching"
-msgstr ""
+msgstr "回到你在搜索之前所在的地方"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/search.py:576
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
-msgstr[0] ""
+msgstr[0] "目录章节："
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/search.py:681
 msgid "This text is hidden in the book and cannot be displayed"
@@ -34063,7 +34083,7 @@ msgstr "查找词"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/toolbars.py:62
 msgid "Show viewer controls"
-msgstr "显示查看器控制栏"
+msgstr "显示阅读器控件"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/toolbars.py:63
 msgid "Toggle paged mode"
@@ -34154,15 +34174,15 @@ msgstr "隐藏此滚动条"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:303
 msgid "Search :: no matches"
-msgstr ""
+msgstr "搜索：：没有匹配项"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:305
 msgid "Search :: one match"
-msgstr ""
+msgstr "搜索：：一个匹配项"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:307
 msgid "Search :: {} matches"
-msgstr ""
+msgstr "搜索：：{} 匹配项"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:371
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/ui.py:385
@@ -34204,13 +34224,13 @@ msgstr "无法加载书籍"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "无法打开位于 {0} 的书籍，点击“查看详情”获取更多信息。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Qt WebEngine渲染进程已崩溃。您应该尝试重新启动查看器。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "选择背景图片"
 
@@ -34245,121 +34265,125 @@ msgstr "隐藏 {}"
 msgid "Show {}"
 msgstr "显示 {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "选择颜色(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "选择一种颜色"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "剪切(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr "加速(&S)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr "降低(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr "未评分"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:71
 msgid "Smartphone"
-msgstr ""
+msgstr "智能手机"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:78
 msgid "iPad like tablet"
-msgstr ""
+msgstr "类似iPad的平板电脑"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:87
 msgid "Kindle Basic (all models)"
-msgstr ""
+msgstr "Kindle Basic(所有型号)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:119
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:225
 #, python-brace-format
 msgid "{0} and {1}"
-msgstr ""
+msgstr "{0} 与 {1}"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:140
 msgid "All other SONY devices"
-msgstr ""
+msgstr "所有其他索尼设备"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:147
 msgid "Kobo and Kobo Touch Readers"
-msgstr ""
+msgstr "Kobo和Kobo Touch阅读器"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:155
 msgid "Kobo Vox, Aura and Glo families"
-msgstr ""
+msgstr "Kobo Vox、Aura和Glo系列"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:289
 msgid "PocketBook 360 and newer models"
-msgstr ""
+msgstr "PocketBook 360及更新型号"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:328
 msgid "Android phone"
-msgstr ""
+msgstr "安卓手机"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:345
 msgid "Android tablet"
-msgstr ""
+msgstr "安卓平板电脑"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:352
 msgid "Android phone with Kindle reader"
-msgstr ""
+msgstr "带Kindle reader程序的安卓手机"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:368
 msgid "Android tablet with Kindle reader"
-msgstr ""
+msgstr "带Kindle reader程序的安卓平板电脑"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr "通用"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "选择你的电子书阅读设备。如果你的设备不在列表中，选择 \"%s\" 设备。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr "如果你要把 calibre 从旧电脑迁移至新电脑，请阅读<a href=\"{0}\">指引</a>。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "选择书籍位置"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "创建文件夹到 %s 失败"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "你必须为 calibre 书库选择空目录。%s 非空目录。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "下一步(&N) >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< 上一步(&B)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34367,15 +34391,15 @@ msgstr "< 上一步(&B)"
 msgid "Cancel"
 msgstr "取消"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "完成(&F)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "提交"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "欢迎向导"
 
@@ -34383,7 +34407,7 @@ msgstr "欢迎向导"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "欢迎使用 calibre"
@@ -34391,7 +34415,7 @@ msgstr "欢迎使用 calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "所有电子书需求的一站解决方案。"
@@ -34406,7 +34430,7 @@ msgstr "设备(&D)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "向导页"
@@ -34444,17 +34468,17 @@ msgstr "<p>calibre 可以通过电子邮
 msgid "&Kindle email:"
 msgstr "Kindle 邮件(&K)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "选择你的语言(&L)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>选择书库位置。当你向 calibre 添加书籍，书籍将会复制到此位置。请用<b>空目录</b>创建新的书库："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37039,6 +37063,27 @@ msgstr "check_yes_no（field_name，is_u
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no要求该字段为是/否自定义列"
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr "rating_to_stars(value, use_half_stars) -- 以星形字符字符串形式返回评级。该值是一个介于0和5之间的数字。如果希望支持非整数评级的自定义评级列使用半星字符，请将use_half_stars设置为1，例如2.5。"
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr "评级必须是介于0和5之间的数字"
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr "swap_around_articles(val, separator) --返回的val与文章一起移到末尾。该值可以是一个列表，在这种情况下，将处理列表的每个成员。如果值是列表，则必须提供列表值分隔符。如果没有提供分隔符，则将该值视为单个值，而不是列表。"
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr "未命名的图片"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/zh_HK.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/zh_HK.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/zh_HK.po	2020-07-02 04:03:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/zh_HK.po	2020-07-16 16:42:34.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
@@ -207,7 +207,7 @@ msgstr "什麼都沒有做"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -219,12 +219,12 @@ msgstr "什麼都沒有做"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1134,9 +1134,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1161,7 +1161,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1223,7 +1223,7 @@ msgstr "已儲存的搜尋"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2836,8 +2836,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2846,8 +2846,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3190,7 +3190,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3303,7 +3303,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3330,8 +3330,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3719,61 +3719,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6207,7 +6218,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6230,7 +6241,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6495,103 +6506,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6599,7 +6610,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8485,7 +8496,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8957,7 +8968,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9002,7 +9013,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9054,7 +9065,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9208,7 +9219,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9248,7 +9259,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10138,7 +10149,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10737,7 +10748,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10947,7 +10958,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11392,8 +11403,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11522,42 +11533,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11566,112 +11582,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11679,7 +11695,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11748,7 +11764,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11766,11 +11782,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11909,7 +11925,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11944,7 +11960,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -11991,8 +12007,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "刪除"
 
@@ -12104,22 +12120,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12347,7 +12363,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12822,10 +12838,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13257,7 +13273,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13272,7 +13288,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13281,7 +13297,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13296,8 +13312,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13364,45 +13380,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13748,7 +13764,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14574,74 +14590,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14649,44 +14664,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15391,11 +15406,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15459,79 +15474,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15581,8 +15601,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16138,46 +16158,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16186,7 +16206,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16201,11 +16221,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16232,7 +16252,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16257,28 +16277,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16305,65 +16325,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16695,77 +16715,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16773,7 +16793,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16783,7 +16803,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16798,80 +16818,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16879,90 +16899,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16970,118 +16990,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "移除 &all"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17090,152 +17110,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "&評分:"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17243,48 +17263,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17913,7 +17933,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18573,76 +18593,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18674,121 +18694,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19667,17 +19687,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19955,21 +19975,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20313,7 +20323,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20476,6 +20486,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20754,7 +20774,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20822,7 +20842,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21581,13 +21601,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21612,80 +21632,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22674,37 +22694,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22841,7 +22861,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -22979,7 +22999,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23250,7 +23270,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23645,86 +23665,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23733,47 +23753,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25317,7 +25337,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26343,150 +26363,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27156,7 +27176,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27563,12 +27583,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27626,76 +27646,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31090,18 +31110,18 @@ msgstr[0] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31115,70 +31135,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34122,13 +34142,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34163,30 +34183,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34240,44 +34260,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34285,15 +34309,15 @@ msgstr ""
 msgid "Cancel"
 msgstr "取消"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34301,7 +34325,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34309,7 +34333,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34324,7 +34348,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34362,17 +34386,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -36957,6 +36981,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/zh_TW.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/zh_TW.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/zh_TW.po	2020-07-02 04:01:56.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/zh_TW.po	2020-07-16 16:43:36.000000000 +0000
@@ -34,8 +34,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
@@ -233,7 +233,7 @@ msgstr "完全不做任何事"
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -245,12 +245,12 @@ msgstr "完全不做任何事"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1160,9 +1160,9 @@ msgstr "分類"
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1187,7 +1187,7 @@ msgstr "書庫 ({0}) 的路徑太長。
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1249,7 +1249,7 @@ msgstr "已儲存搜尋"
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2862,8 +2862,8 @@ msgstr "從裝置中取得書本列表"
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2872,8 +2872,8 @@ msgstr "正在將書本從裝置詮釋
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3216,7 +3216,7 @@ msgstr "輸入一個範本已設置副
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr "編輯範本"
@@ -3329,7 +3329,7 @@ msgid "Communicate with MTP devices"
 msgstr "與 MTP 裝置連線"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr "取得裝置資訊..."
@@ -3356,8 +3356,8 @@ msgid "Finished reading metadata from de
 msgstr "裝置詮釋資料讀取完畢"
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3745,61 +3745,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr "以逗號分割希望傳送到裝置上的副檔名，例如，使用副檔名 \"m4b\" 將書庫中的有聲書傳送到您的裝置上。不用擔心 \"額外啟用的擴充\" 的警告。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr "來自 %s 太多連線嘗試"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr "您的裝置上的 app 太舊，已不再支援。請將它更新到較新的版本。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr "您的書庫中有書本的日期來自未來，查看 calibre 中錯誤的資訊。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr "閱讀同步欄位 %s 並不在calibre書庫中"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr "閱讀同步欄位 %s 並不是 是/非 欄位"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr "閱讀日期同步欄位 %s 並不在calibre書庫中"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr "閱讀日期同步欄位 %s 並不是日期欄位"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr "錯誤的壓縮率，必須是介於 50 到 99 之間的數字，目前強制設定為 %d"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr "選項中有無效的連接埠：%s"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr "無法連接至連接埠 %d。請嘗試不同的數值。"
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr "無法分配隨機連接埠"
 
@@ -6233,7 +6244,7 @@ msgstr "從壓縮檔 (ZIP/RAR) 中解壓
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr "否"
 
@@ -6256,7 +6267,7 @@ msgid "Producer"
 msgstr "發行人"
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6521,103 +6532,103 @@ msgstr "Amazon"
 msgid "Google images"
 msgstr "Google 圖片"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr "從 Amazon 下載詮釋資料和封面"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr "美國"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr "法國"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr "德國"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr "英國（UK）"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr "澳洲"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr "義大利"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr "日文"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr "西班牙文"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr "巴西"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr "荷蘭"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr "中國"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr "加拿大"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr "自動選擇伺服器"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr "Amazon 伺服器"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr "Bing 頁庫存檔"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr "Google 頁庫存檔"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr "Wayback 機器快取(較慢)"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr "要使用的 Amazon 網站："
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr "使用所選擇國家的 Amazon 網站上資料做為詮釋資料。"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr "從伺服器取得資料："
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr "Amazon 已經開始阻擋從其網站中取得詮釋資料，為了解決這個問題，calibre可以從不同的地方取得庫存頁面，請選擇您喜歡的來源。"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr "在進行詮釋資料搜尋時使用 MOBI-ASIN 來進行"
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6625,7 +6636,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr "Amazon 已逾時。請稍後再試。"
 
@@ -8511,7 +8522,7 @@ msgstr "沒有檔案已經複製至剪
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8983,7 +8994,7 @@ msgstr "資料夾 %s 已經存在。請
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr "太長"
 
@@ -9028,7 +9039,7 @@ msgstr "%s 書庫已經從 calibre 中
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9080,7 +9091,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9234,7 +9245,7 @@ msgid "Browse for library"
 msgstr "瀏覽書庫"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr "複製(&C)"
@@ -9274,7 +9285,7 @@ msgstr "{0} 由 {1}"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr "選擇全部(&A)"
 
@@ -10164,7 +10175,7 @@ msgid "Move to next highlighted match"
 msgstr "下一個顯目提示的符合項"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr "N"
 
@@ -10763,7 +10774,7 @@ msgid "this book"
 msgstr "這本書本"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr "搜尋 %s"
@@ -10973,7 +10984,7 @@ msgstr "預覽書本(&P)"
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11418,8 +11429,8 @@ msgstr "變更"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11548,42 +11559,47 @@ msgid "Search the internet for this book
 msgstr "在網路上搜尋這本書"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr "管理 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr "刪除 %s 格式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr "儲存 %s 格式至磁碟"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr "還原 %s 格式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr "從 %s 檔案設定書本封面"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr "與 %s 格式比較"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11592,112 +11608,112 @@ msgstr "與 %s 格式比較"
 msgid "Open %s with..."
 msgstr "開啟 %s 使用..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr "複製路徑到檔案(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr "在 calibre 搜尋 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr "複製路徑"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr "從這本書中移除 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr "複製全部(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr "開啟封面使用..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr "貼上封面"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr "複製封面"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr "儲存封面至磁碟"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr "移除封面"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr "從詮釋資料產生封面"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr "選擇封面儲存位置"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr "JPEG 圖片"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr "雙擊開啟書本詳細資料視窗"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr "路徑"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11705,7 +11721,7 @@ msgstr "路徑"
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr "封面尺寸：%(width)d x %(height)d 像素"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11774,7 +11790,7 @@ msgstr "輸出"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11792,11 +11808,11 @@ msgstr "輸出"
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11935,7 +11951,7 @@ msgid "Preset name:"
 msgstr "預設名稱："
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr "您必須提供名稱。"
 
@@ -11970,7 +11986,7 @@ msgstr "True"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12017,8 +12033,8 @@ msgid "Delete current preset"
 msgstr "刪除當前預設"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr "刪除"
 
@@ -12130,22 +12146,22 @@ msgstr "重設為預設值"
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12373,7 +12389,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12848,10 +12864,10 @@ msgstr "字型大小設定鍵(&K):"
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr " pt"
@@ -13283,7 +13299,7 @@ msgid "Change the title of this book"
 msgstr "改變這本書的書名"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr "作者(&A): "
 
@@ -13298,7 +13314,7 @@ msgid ""
 msgstr "改變這本書的作者。有多位作者時應以逗號分隔"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr "出版者(&P): "
 
@@ -13307,7 +13323,7 @@ msgid "Ta&gs: "
 msgstr "標籤(&G)： "
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13322,8 +13338,8 @@ msgstr "系列(&S):"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr "已知系列的清單。您可以加入新的系列。"
@@ -13390,45 +13406,45 @@ msgstr "屏幕尺寸: %s"
 msgid "Page setup"
 msgstr "頁面設定"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr "輸出設定檔(&O):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr "設定檔描述"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr "輸入設定檔(&I):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr "邊界"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr "左(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr "未更改"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr "上(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr "右(&R):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr "下(&B):"
@@ -13774,7 +13790,7 @@ msgid "Edit the currently selected expre
 msgstr "編輯目前選取的表示式"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr "變更(&C)"
 
@@ -14600,74 +14616,73 @@ msgstr "選擇匯入規則的檔案"
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr "未指定"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr "設定「%s」為今天"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr "清除「%s」"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr "數值已變更"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr "您已經改變數值。為了使用這個編輯器，您必項放棄或套用這些變更。要套用變更嗎？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr " 索引："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr "列舉「{0}」包含無效的數值，會被設定為預設值"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr "儲存變更"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr "清除系列"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr "自動編號書本"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14675,44 +14690,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr "強制編號開始於 "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr "列舉「{0}」包含無效的數值，將不會出現在清單中"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr "移除所有標籤"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr "要加入的標籤"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr "要移除的標籤"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15417,11 +15432,11 @@ msgstr "這需要一段時間，請稍
 msgid "Vacuuming..."
 msgstr "清理中..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr "檢查書庫 -- 發現問題"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15485,79 +15500,84 @@ msgid ""
 "        "
 msgstr "        <h1>幫助</h1>\n\n        <p>calibre 把您的書本列表和書本詮釋資料存放在資料庫中，實際的\n        的書本檔案和封面在 calibre 書庫所在的目錄中以普通檔案的方式儲\n        存。資料庫中存放了每本書所對應的書本檔案和封面圖片。本工具\n        用於檢查書庫目錄中的檔案與資料庫中所保留的資訊是否相符。</p>\n\n        <p>左側顯示了各種檢查的結果。檢查的項目包括：</p>\n        <ul>\n        <li><b>無效的標題</b>：檔案和目錄在書庫中存在，但書本標題資訊\n        不正確。</li>\n        <li><b>額外的標題</b>：calibre 書庫中存在書本檔案且包括正確的標題，\n        但在資料庫中沒有對應的記錄。</li>\n        <li><b>無效的作者名稱</b>：書本檔案存在於書庫中，但書庫中該位置僅應\n        當出現作者目錄。</li>\n        <li><b>額外的作者</b>： calibre 書庫中存在正常的作者目錄，\n        但在資料庫中沒有對應的記錄。</li>\n        <li><b>遺失書本格式</b>：資料庫中包含部分書本格式但在書庫資料夾中\n        不存在。\n        <li><b>額外的書本格式</b>：書庫資料夾中包含某些格式的書本但資料庫中\n        沒有對應記錄。\n        <li><b>書本中的未知檔案</b>：書本資料夾中存在多餘的檔案，這些檔案即不是\n        有效的書本格式也不是有效的封圖圖片。</li>\n        <li><b>遺失封面檔案</b>：表示資料庫中表明該書本存在封面圖片，但實際的\n        封面圖書檔案不存在。</li></li>\n        <li><b>封面檔案不在資料庫中</b>：表示書本存資料夾中包含封面圖片，但資料庫\n        中標記該書沒有封面。</li>\n        <li><b>資料夾引起異常情況</b>：表示 calibre 書本中的資料夾無法被檢查目錄正確\n        處理或理解。</li>\n</ul>\n\n        <p>當遇到問題時，有兩種可能的自動修復方式： <i>刪除所選</i> 和 <i>修復所選</i>。</p>\n        <p><i>刪除所選</i> 用於刪除資料庫中不存在的額外的檔案、資料夾或封面圖片。選取您要刪除的項，\n並按下「刪除所選」。請謹慎使用。</p>\n\n        <p><i>修復所選</i> 只適用於封面圖片和遺失的格式\n        (被標為「可修復」的三行)。在遺失封面圖片檔案的情況下，\n        勾選「可修復」核取方塊並按下本按鈕即通知 calibre 所列出的\n        書本沒有封面圖片，如果您不需要從備份檔案復原封面，\n        可以使用這個選項。在出現額外封面圖片檔案的情況下，\n        勾選「可修復」核取方塊並按下本按鈕即通知 calibre 它為所選\n        書本所找到的封面檔案都是正確的，如果您不打算刪除\n        檔案時可以使用這個選項。在遺失檔案格式的情況下，\n        勾選「可修復」核取方塊並按下本按鈕即通知 calibre 這些\n        檔案格式確實已經不存在，如果您不打算從備份檔案復原\n        這些檔案格式時可以使用這個選項。</p>\n\n        "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr "再次執行檢查(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr "複製至剪貼簿(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr "完成(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr "標記全部成要刪除(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr "標記所有可刪除的子項目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr "刪除已標記的(&M)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr "刪除已標記的檔案（已核取的子項目）"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr "標記全部成要修正(&K)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr "標記所有可修正的項目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr "修正已標記的(&F)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr "修復標記章節(可修復項)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr "要忽略的名稱："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr "輸入以逗號分隔的標準檔案名稱萬用字元，像是 synctoy*.dat"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr "要忽略的副檔名："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr "輸入以逗號分隔，不含開頭點(.)的副檔名。只用在書本資料夾"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr "(可修正的)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr "書庫的路徑"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15607,8 +15627,8 @@ msgstr "位置 %s 包含目前的 calibr
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr "錯誤的位置"
 
@@ -16164,46 +16184,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr "%(curr)s (原本是 %(initial)s)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr "項目是空的"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr "項目不能設為沒有。請刪除它來代替。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr "尚未選取項目"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr "您必須從可用的項目清單選擇一個項目。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr "尚未選取項目"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr "您必須至少從清單中選擇一個項目。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr "您確定要刪除下列項目？"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr "分類編輯器"
 
@@ -16212,7 +16232,7 @@ msgid "Items in use"
 msgstr "使用中的項目"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16227,11 +16247,11 @@ msgstr "重新命名每一本書中有
 msgid "Ctrl+S"
 msgstr "Ctrl+S"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr "這本書有 DRM"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16258,7 +16278,7 @@ msgid "Already in calibre:"
 msgstr "已經在 calibre 中："
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16283,28 +16303,28 @@ msgid "Change case"
 msgstr "變更大小寫"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr "大寫"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr "小寫"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr "大小寫互換"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16331,65 +16351,65 @@ msgstr "無效的作者姓名"
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr "管理作者"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "搜尋(&S):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr "根據作者字段值自動重新生成所有的排序作者字段值。具體的生成規則可以在首選項->高級->優化調整中控制"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr "把所有排序作者字段的值拷貝到作者字段。通常當您調整了首選項->高級->優化調整->排序作者生成算法後需要使用這個按鈕。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16721,77 +16741,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] "隱藏剩餘的 {} 條錯誤訊息"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "工作中"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "正在處理 %d 本圖書，請稍候..."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr "目前的步驟進度：%p %"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr "步驟 %v/%m"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr "全小寫"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr "全大寫"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr "書名大小寫"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr "字元符合"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr "正規表達式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr "取代欄位"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr "前置到字段"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr "加入到欄位"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr "編輯 <b>%d 本書</b>的詮釋資料資訊"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "不關閉對話盒就立刻進行所有的變更。這個操作不能取消或復原"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr "書本 %d："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr "輸入識別的類型"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16799,7 +16819,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>您可以使用這個功能破壞您的書庫。</b>這個改變是永久的。完全沒有復原的辦法。強烈建議您在繼續前先備份書庫。<p>使用字元比對或規則運算式在文字欄位中進行搜尋與取代。 "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16809,7 +16829,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16824,80 +16844,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R 範本錯誤"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr "您必須指定目的識別的類型"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "無效的標識字串。必須為使用冒號分隔的字串，以逗號分隔的列表。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr "無效的搜尋/取代"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "尋找/取代無效：%s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr "刪除已儲存的搜尋/取代"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "選取的已儲存搜尋/取代會被刪除。您確定嗎？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr "儲存搜尋/取代"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr "搜尋/取代名稱："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "儲存搜尋/取代已存在，將會被覆蓋。您確定嗎？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr "編輯詮釋資料資訊"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16905,90 +16925,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr "自動設定作者排序(&U)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr "交換書名和作者(&W)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr "以目前的書名為依據更新書名排序。這只有在對書名做了其他變更時才會套用。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr "更新書名排序(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr "改變封面(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr "產生預設封面(&G)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr "移除封面(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr "嘗試自動檢測並裁切封面圖片的邊框。此操作有可能會誤裁切，因此請\n謹慎使用。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr "裁切封面 (危險操作)(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr "從電子書檔案設定(&E)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr "克隆封面(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr "把標題設定為各單詞首字母大寫。如果本選項與「對調作者和書名」被同時選中，\n會先對調作者和書名，然後再設定首字母大寫。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr "將書名大小寫變更為(&C)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr "日期(&D):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr "如果勾選，會清除出版商"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr "出版日期(&U)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16996,118 +17016,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "如未核取，則書本的系列編號將會被設為 1。\n如核取，則同系列中的書本將會自動以它們被選擇時的順序編號。\n如果先選擇了 A，然後選擇 B，則 A 的系列編號將是 1，而 B 的編號是 2。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr "自動為這個系列的書本編號(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "通常系列編號會接在目前書庫中\n同系列書本的最大編號之後。\n核取這個選項後 calibre 將從您指定的編號開始編號。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr "強制編號開始於 (&F):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr "+ "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr "如果核取，會清除這個系列"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr "清除系列(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr "移除標籤(&R)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr "全部移除(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr "加入標籤(&G)： "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr "指定這本書本的作者要如何排序。例如 Charles Dickens 要排成 Dickens, Charles。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr "清除出版日期"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr "語言(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr "刪除多個標籤, 標籤列表由逗號分割. "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr "開啟標籤編輯器"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr "作者排序(&O): "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr "系列(&I)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "刪除針對已選擇書本的格式轉換設定。\n\n以後再對這些書本進行格式轉換時將采用預設設定。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "移除選取書本所儲存的轉換設定值(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17116,152 +17136,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "當進行同格式轉換操作時，例如 EPUB 轉 EPUB，calibre 將\n生成一個原來的 EPUB 備份檔案 ORIGINAL_EPUB。\n as ORIGINAL_EPUB. This option tells calibre to restore\n the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n conversion of a large number of books and something went wrong."
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr "可能的話還原轉換前的檔案(&O)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr "勾選此框將從書本中移除所有標籤。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr "評等(&R):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "基本詮釋資料(&B)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "自訂詮釋資料(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr "選擇要載入的已儲存搜尋/取代。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr "儲存目前的搜尋/取代"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr "儲存(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr "搜尋欄位(&F):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr "您想要搜尋的欄位名稱"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr "搜尋模式(&M):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "選擇要使用基本的文字比對或是進階的規則運算式比對"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr "選擇要建立哪種識別類型"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "範本(&T)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "輸入做為搜尋/取代來源的範本"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "輸入您在尋找的東西，可以是純文字或規則運算式，視模式而定"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "如果搜尋字串必須完全符合大小寫，請核取此方塊。若要忽略大小寫，請將它核消"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr "區分大小寫(&E)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr "取代為(&R):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "替代的文字。符合的搜尋文字會以這個字串取代"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr "取代後套用函數(&A):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "指定在符合與取代後對文本的處理方式。在字元模式下，處理\n對象是整個字段的值。在規則運算式模式下，處理對象是符合的文本。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr "目的端欄位(&D):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "指定保存取代後的文本的字段。\n如果留空，源字段如果可修改的話，值會保存到源字段中。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr "模式(&O):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr "指定文字要如何複製到目的端。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "指定處理完成後的結果應當拆分成多個值還是\n保留為一個值。本選項適用於源字段是單個值，\n而目的字段是多個值的情況。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr "分割結果(&R)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr "識別類型："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17269,48 +17289,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr "對多重數值欄位，顯示(&W)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr "數值分離為(&Y)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "用於顯示測試結果於多重數值欄位的分割數值"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr "測試文字"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr "測試結果"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr "搜尋及取代(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr "編輯後重新整理書本列表(&R)"
 
@@ -17939,7 +17959,7 @@ msgstr "無效的已儲存的搜尋"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr "管理已儲存搜尋"
 
@@ -18599,76 +18619,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr "目前的標籤會被 <b>永久的刪除</b>。確定嗎？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr "使用者分類編輯器"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr "分類名稱(&N):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr "選擇要編輯的分類"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr "分類篩選(&C):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr "選擇新分類的內容類型"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr "加入新的分類"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr "重新命名目前的分類"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr "可用項目(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr "應用標籤到當前標籤分類中"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr "已套用的項目(&I)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr "不使用(移除)當前標籤分類中的標籤"
 
@@ -18700,121 +18720,121 @@ msgid ""
 "to delete them?"
 msgstr "下列標籤在一本或多書本中被使用。您確認要刪除嗎？"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr "計數"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr "是"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr "您是否確定要復原你的變更"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr "是否要復原已移除的項目?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr "這個項目已經移除。請問是否要復原?"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr "Ctrl+D"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr "Ctrl+R"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr "Ctrl+U"
 
@@ -19693,17 +19713,17 @@ msgstr "版面配置"
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr "沒有 %s 格式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr "書本 {0} 沒有 {1} 格式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr "還原 %s"
@@ -19981,21 +20001,11 @@ msgstr "<span class=\"series_name\">%(se
 msgid "This book is on the device in %s"
 msgstr "此書位於設備中的 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr "設定日期為未定義"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr "設定日期為今天"
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr "設定為未定義"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr "Y"
 
@@ -20339,7 +20349,7 @@ msgid ""
 msgstr "calibre Portable (%s) 的路徑過長。必須少於 59 個字元。"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr "calibre 書庫"
 
@@ -20502,6 +20512,16 @@ msgstr "結束(&Q)"
 msgid "Unhandled exception"
 msgstr "未處理的例外"
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr "設定日期為未定義"
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr "設定日期為今天"
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20780,7 +20800,7 @@ msgstr "出版商(&P):"
 msgid "Clear publisher"
 msgstr "清除出版商"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr "清除日期"
 
@@ -20848,7 +20868,7 @@ msgid "Processed %s"
 msgstr "已處理 %s"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr "要下載的詮釋資料欄位"
 
@@ -21607,13 +21627,13 @@ msgid "&Automatic adding"
 msgstr "自動加入(&A)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr "高"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr "低"
 
@@ -21638,80 +21658,80 @@ msgstr "全部於 1 個分頁"
 msgid "Confirmation dialogs have all been reset"
 msgstr "確認對話方塊已全部重設"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr "當有新版本可用時通知(&N)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr "自動將下載的新聞傳送到電子書閱讀器(&N)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr "工作優先權(&P):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr "偏好的輸入格式(&I):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr "偏好的輸出格式(&O):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr "編輯詮釋資料（單一）配置(&L)："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr "如果選中這個選項，「是/否」自定義欄的狀態可以被設為是、否或未知。\n如果沒有選中，「是/否」自定義欄的狀態只能被設為是或否。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr "「是/否」欄位有三個數值（需要重新啟動）(&Y)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr "當新聞自動傳送到閱讀器後將它自書庫刪除(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr "預設網路逾時時間(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr "設定網路接收的預設逾時時間(例如:任何我們透過網路取得資訊的時候)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr " 秒"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr "重設所有停用的確認的對話框(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr "使用內部閱讀器於(&V):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr "當目前書庫開啟時要套用的虛擬書庫(&L)："
 
@@ -22700,37 +22720,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr "加入要傳送電子書的電子郵件位址"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr "加入電子郵件(&A)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr "成為預設值(&D)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr "移除電子郵件"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr "將書本的詮釋資料新增到電子郵件中，\n這樣充許收件人在打開前查看書本的摘要資料"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22867,7 +22887,7 @@ msgid "Create a new rule"
 msgstr "建立新規則"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23005,7 +23025,7 @@ msgid "If there is enough room"
 msgstr "如果沒有足夠空間"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr "依第一個字母"
 
@@ -23276,7 +23296,7 @@ msgid "Caching of covers for improved pe
 msgstr "快取封面以提高性能"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr "停用"
 
@@ -23671,86 +23691,86 @@ msgstr "未選擇來源"
 msgid "No source selected, cannot configure."
 msgstr "尚未選擇來源，不能設定。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr "詮釋資料來源"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr "來源名稱旁有紅色 X 的代表在使用前必須先設定。 "
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr "如果不選取部分欄位，這些欄位的詮釋資料將不會被下載"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr "全部選取(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr "使用「設為預設值」按鈕來還原您所定義的核取欄位子集"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr "設為預設值(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr "將所有下載的書評轉換為純文字(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23759,47 +23779,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr "<p>不同的詮釋資料來源可能會給同一本書標記不同的標籤。如果選取這個選項，calibre 會選擇使用包含較少標籤的結果。這類結果可能會更接近於用標籤描述書本的類型，而標籤較多的情況下，常常會是用於描述書本的內容。\n<p>注意：這個選項在實際中只會在某個詮釋資料來源包含所查書本標籤值像是類型描述的情況下生效。在大部分的情況下，詮釋資料來源提供的標籤資訊都包含很多個標籤。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr "優先選用較少標籤(&F)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr "在找到第一個符合項後等待的最大時間(&T):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr " 秒"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr "在找到第一個封面後等待的最大時間(&C):"
 
@@ -25343,7 +25363,7 @@ msgid "Paste and &search"
 msgstr "貼上並搜尋(&S)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr "貼上(&P)"
@@ -26369,150 +26389,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr "變更圖示：%s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr "重新命名 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr "刪除 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr "編輯 %s 的排序"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr "編輯 %s 的連結"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr "加入 %s 到使用者分類"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr "%s 的子項"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "從分類 %(cat)s 移除 %(item)s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr "搜尋 %s 以外的項目"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr "使用儲存的搜尋運算式搜尋"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "加入子分類到 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr "刪除使用者分類 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr "隱藏分類 %s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr "顯示所有的分類"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr "搜尋分類 %s 的書本"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "搜尋不在分類 %s 中的書本"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr "變更分類圖示"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr "還原預設圖示"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr "管理使用者分類"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr "顯示所有的分類"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr "編輯子分類模式"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr "分區"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr "第一個字母只用於依名稱排序時"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr "展開所有子項目(&X)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr "折疊所有層級"
 
@@ -27182,7 +27202,7 @@ msgid "The Qt WebEngine Render process c
 msgstr "Qt WebEngine轉譯器發生當機並且已經重新啟動了"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr "變更未保存"
 
@@ -27589,12 +27609,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr "不支援的檔案格式"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27652,76 +27672,76 @@ msgid "Import"
 msgstr "匯入"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr "無法壓縮圖片，請點選 「顯示詳細資料」 查看更多錯誤資訊。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr "有更改還未保存，如果不保存就退出的話，您將丟棄所作的改動。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr "儲存而後結束(&S)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr "結束而不儲存(&Q)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr "保存中，請稍候..."
 
@@ -31116,18 +31136,18 @@ msgstr[0] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr "繪製程序當掉了"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31141,70 +31161,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr "查看元素"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr "編輯%s"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr "在預覽中搜尋"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr "啟用實時預覽"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr "禁用實時預覽"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr "禁用同步編輯與預覽器當前行位置"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr "啟用同步編輯與預覽器當前行位置"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34148,13 +34168,13 @@ msgstr "載入書本失敗"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "無法開啟在 {0} 的書籍，請點選 「顯示詳細資料」查看更多資訊。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Qt WebEngine轉譯器程序當機了。請試著重新啟動閱讀器。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr "選擇背景圖片"
 
@@ -34189,30 +34209,30 @@ msgstr "隱藏 {}"
 msgid "Show {}"
 msgstr "顯示 {}"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr "選擇顏色(&C)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr "選擇顏色"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr "剪下(&T)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34266,44 +34286,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr "選擇您的電子書閱讀設備。如果您的設備不在列表中，選擇 \"%s\" 裝置。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr "選擇書本的位置"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr "無法在 %s 建立資料夾"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr "您必須選擇一個空的資料夾做為 caliber 書庫。%s 並不是空的。"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr "下一步(&N) >"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr "< 上一步(&B)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34311,15 +34335,15 @@ msgstr "< 上一步(&B)"
 msgid "Cancel"
 msgstr "取消"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr "完成(&F)"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr "送出"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr "歡迎精靈"
 
@@ -34327,7 +34351,7 @@ msgstr "歡迎精靈"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr "歡迎使用 calibre"
@@ -34335,7 +34359,7 @@ msgstr "歡迎使用 calibre"
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr "一次滿足您所有電子書需求的解決方案。"
@@ -34350,7 +34374,7 @@ msgstr "裝置(&D)"
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr "輔助精靈頁面"
@@ -34388,17 +34412,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr "&Kindle 電子郵件："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr "請選擇您的語言(&L):"
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr "<p>選擇您的書本存放的位置。當您將書本加入 calibre，它們會複製到這裡，使用一個<b>空白資料夾</b>做為新的 calibre 書庫："
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -36983,6 +37007,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/calibre/zu.po 4.99.7+dfsg+really4.21.0-1/translations/calibre/zu.po
--- 4.99.6+dfsg+really4.20.0-1/translations/calibre/zu.po	2020-07-02 04:02:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/calibre/zu.po	2020-07-16 16:42:14.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:54+IST\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:45+IST\n"
+"PO-Revision-Date: 2020-07-03 02:16+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -205,7 +205,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:372
 #: /home/kovid/work/calibre/src/calibre/gui2/add.py:428
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:915
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/__init__.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:168
@@ -217,12 +217,12 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:696
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1063
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1056
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:545
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:738
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:746
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:608
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1326
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1554
@@ -1132,9 +1132,9 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/prs505/sony_cache.py:476
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:778
 #: /home/kovid/work/calibre/src/calibre/devices/prst1/driver.py:797
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:463
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:469
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:501
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:468
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:474
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:506
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:83
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:87
 #: /home/kovid/work/calibre/src/calibre/devices/utils.py:120
@@ -1159,7 +1159,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_clone.py:58
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:448
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:754
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:757
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:114
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:123
 #, python-format
@@ -1221,7 +1221,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:153
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1113
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1139
@@ -2834,8 +2834,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:562
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:569
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1547
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1553
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1554
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1560
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:433
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:438
 msgid "Removing books from device metadata listing..."
@@ -2844,8 +2844,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:575
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:610
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:456
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1505
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1519
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1512
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1526
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:362
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:393
 msgid "Adding books to device metadata listing..."
@@ -3188,7 +3188,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:734
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
 msgid "Edit template"
 msgstr ""
@@ -3301,7 +3301,7 @@ msgid "Communicate with MTP devices"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:193
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1224
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1229
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:151
 msgid "Get device information..."
 msgstr ""
@@ -3328,8 +3328,8 @@ msgid "Finished reading metadata from de
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/driver.py:417
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1492
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1494
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1499
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1501
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:337
 #: /home/kovid/work/calibre/src/calibre/devices/usbms/driver.py:339
 msgid "Transferring books to device..."
@@ -3717,61 +3717,72 @@ msgid ""
 "device. Don't worry about the \"extra enabled extensions\" warning."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:993
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:343
+msgid "Ignore device free space"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:344
+msgid ""
+"Check this box to ignore the amount of free space reported by your devices. "
+"This might be needed if you store books on an SD card and the device doesn't"
+" have much free main memory."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:998
 #, python-format
 msgid "Too many connection attempts from %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1091
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1096
 msgid ""
 "The app on your device is too old and is no longer supported. Update it to a"
 " newer version."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1639
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1646
 msgid ""
 "You have book formats in your library with dates in the future. See calibre "
 "for details"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1674
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1681
 #, python-format
 msgid "The read sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1679
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
 #, python-format
 msgid "The read sync column %s is not a Yes/No column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1686
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1693
 #, python-format
 msgid "The read date sync column %s is not in calibre's library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1691
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1698
 #, python-format
 msgid "The read date sync column %s is not a date column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1890
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1897
 #, python-format
 msgid ""
 "Bad compression quality setting. It must be a number between 50 and 99. "
 "Forced to be %d."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1911
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1918
 #, python-format
 msgid "Invalid port in options: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1919
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1926
 #, python-format
 msgid "Failed to connect to port %d. Try a different value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1931
+#: /home/kovid/work/calibre/src/calibre/devices/smart_device_app/driver.py:1938
 msgid "Failed to allocate a random port"
 msgstr ""
 
@@ -6205,7 +6216,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:669
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:160
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:180
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:930
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:920
 msgid "No"
 msgstr ""
 
@@ -6228,7 +6239,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:583
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:576
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:158
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -6494,103 +6505,103 @@ msgstr ""
 msgid "Google images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:908
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:913
 msgid "Downloads metadata and covers from Amazon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:919
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
 msgid "US"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:920
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
 msgid "France"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:921
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
 msgid "Germany"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:922
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
 msgid "UK"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:923
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
 msgid "Australia"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:924
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
 msgid "Italy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:925
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
 msgid "Japan"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:926
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:931
 msgid "Spain"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:927
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:932
 msgid "Brazil"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:928
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:933
 msgid "Netherlands"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:929
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
 msgid "China"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:930
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
 msgid "Canada"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:934
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:939
 msgid "Choose server automatically"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:935
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:940
 msgid "Amazon servers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:936
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:941
 msgid "Bing search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:937
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
 msgid "Google search cache"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:938
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
 msgid "Wayback machine cache (slow)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:942
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
 msgid "Amazon country website to use:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:943
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:948
 msgid ""
 "Metadata from Amazon will be fetched using this country's Amazon website."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:945
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:950
 msgid "Server to get data from:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:947
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
 msgid ""
 "Amazon has started blocking attempts to download metadata from its servers. "
 "To get around this problem, calibre can fetch the Amazon data from many "
 "different places where it is cached. Choose the source you prefer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:952
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:957
 msgid "Use the MOBI-ASIN for metadata search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:954
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:959
 msgid ""
 "Enable this option to search for metadata with an ASIN identifier from the "
 "MOBI file at the current country website, unless any other amazon id is "
@@ -6598,7 +6609,7 @@ msgid ""
 "store, you could get incorrect results."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1313
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/amazon.py:1318
 msgid "Amazon timed out. Try again later."
 msgstr ""
 
@@ -8487,7 +8498,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:441
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:709
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1724
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:1412
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/send_email.py:288
@@ -8965,7 +8976,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:507
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:306
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:756
 msgid "Too long"
 msgstr ""
 
@@ -9010,7 +9021,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/choose_library.py:482
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:318
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
@@ -9062,7 +9073,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1027
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1242
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:121
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -9217,7 +9228,7 @@ msgid "Browse for library"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:238
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:353
 msgid "&Copy"
 msgstr ""
@@ -9257,7 +9268,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/duplicates.py:55
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search_ui.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/download.py:124
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
 msgid "Select &all"
 msgstr ""
 
@@ -10153,7 +10164,7 @@ msgid "Move to next highlighted match"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/next_match.py:15
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "N"
 msgstr ""
 
@@ -10755,7 +10766,7 @@ msgid "this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/store.py:34
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:690
 #, python-format
 msgid "Search for %s"
 msgstr ""
@@ -10966,7 +10977,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/unpack_book.py:109
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:203
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:319
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
@@ -11414,8 +11425,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:27
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:464
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:48
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:692
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:477
@@ -11544,42 +11555,47 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:97
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:749
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:754
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:765
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:768
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:751
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:756
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:763
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:767
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:770
 #, python-format
 msgid "Manage %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:107
+#, python-format
+msgid "Find %s in Tag browser"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:194
 #, python-format
 msgid "Delete the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
 #, python-format
 msgid "Save the %s format to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:196
 #, python-format
 msgid "Restore the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:188
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:198
 #, python-format
 msgid "Set the book cover from the %s file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:205
 #, python-format
 msgid "Compare to the %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:204
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:198
@@ -11588,112 +11604,112 @@ msgstr ""
 msgid "Open %s with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:224
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_format.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:208
 #, python-format
 msgid "Add other application for %s files..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:215
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:225
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:340
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:209
 msgid "Edit Open with applications..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:230
 #, python-format
 msgid "Edit %s..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:227
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:237
 msgid "&Copy path to file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:241
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:252
 msgid "&Copy author link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:249
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:261
 #, python-format
 msgid "Search calibre for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:258
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:270
 msgid "Copy path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:268
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:280
 msgid "&Copy identifier"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:276
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:293
 #, python-format
 msgid "Remove %s from this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:284
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:301
 msgid "Copy &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:309
 msgid "Copy link location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:320
 msgid "Open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:312
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:319
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:336
 msgid "Open cover with..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:322
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:339
 msgid "Add another application to open cover..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:437
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:438
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:455
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:439
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:456
 msgid "Save cover to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:440
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:457
 msgid "Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:441
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:458
 msgid "Generate cover from metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:483
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:500
 msgid "Choose cover save location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:484
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:501
 msgid "JPEG images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:548
 msgid "Double click to open the Book details window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:549
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:230
 msgid "Path"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:533
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata.py:129
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/book_info.py:291
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1260
@@ -11701,7 +11717,7 @@ msgstr ""
 msgid "Cover size: %(width)d x %(height)d pixels"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:594
 msgid "Edit identifiers for this book"
 msgstr ""
 
@@ -11770,7 +11786,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:156
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/mobi_output_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdb_output_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_input_ui.py:40
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:167
@@ -11788,11 +11804,11 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/configwidget_ui.py:76
 #: /home/kovid/work/calibre/src/calibre/gui2/filename_pattern_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:209
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:80
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:562
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/misc_ui.py:71
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:113
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins_ui.py:105
@@ -11931,7 +11947,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
 msgid "You must provide a name."
 msgstr ""
 
@@ -11966,7 +11982,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1193
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 #: /home/kovid/work/calibre/src/calibre/gui2/icon_theme.py:644
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:149
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:173
@@ -12013,8 +12029,8 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:358
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:137
 msgid "Delete"
 msgstr ""
 
@@ -12126,22 +12142,22 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:77
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:79
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:117
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor_ui.py:122
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:114
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:122
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/adding_ui.py:255
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:89
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:91
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/columns_ui.py:93
@@ -12369,7 +12385,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:315
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:206
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/text_search.py:28
 msgid "Normal"
@@ -12844,10 +12860,10 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:122
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/lrf_output_ui.py:127
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:139
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output_ui.py:192
 msgid " pt"
 msgstr ""
@@ -13279,7 +13295,7 @@ msgid "Change the title of this book"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:164
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "&Author(s): "
 msgstr ""
 
@@ -13294,7 +13310,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:167
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
 msgid "&Publisher: "
 msgstr ""
 
@@ -13303,7 +13319,7 @@ msgid "Ta&gs: "
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1358
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13318,8 +13334,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:585
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13386,45 +13402,45 @@ msgstr ""
 msgid "Page setup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:123
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
 msgid "&Output profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:124
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
 msgid "Profile description"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:125
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
 msgid "&Input profile:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:126
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
 msgid "Margins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:127
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:70
 msgid "&Left:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:128
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:129
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:138
 msgid "Unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:130
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:131
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:72
 msgid "&Top:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:134
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:71
 msgid "&Right:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/convert/page_setup_ui.py:137
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/pdf_output.py:73
 msgid "&Bottom:"
 msgstr ""
@@ -13770,7 +13786,7 @@ msgid "Edit the currently selected expre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/search_and_replace_ui.py:146
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
 msgid "&Change"
 msgstr ""
 
@@ -14596,74 +14612,73 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:285
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:333
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:934
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:977
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1006
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1054
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:514
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:526
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:121
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:556
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:560
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1832
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:323
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:924
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:967
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:996
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1044
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:532
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:599
 msgid "Undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:318
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1039
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:308
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1029
 #, python-format
 msgid "Set '%s' to today"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:320
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1041
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1031
 #, python-format
 msgid "Clear '%s'"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:420
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:885
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1276
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1266
 msgid "Open item editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:528
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1391
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:518
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1381
 msgid "Values changed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:519
 msgid ""
 "You have changed the values. In order to use this editor, you must either "
 "discard or apply these changes. Apply changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:564
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:554
 msgid " index:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:639
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains an invalid value that will be set to the "
 "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:878
 msgid "Apply changes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1094
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1084
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:204
 msgid "Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1097
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1087
 msgid "Automatically number books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1099
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1089
 msgid ""
 "If not checked, the series number for the books will be set to 1. If "
 "checked, selected books will be automatically numbered, in the order you "
@@ -14671,44 +14686,44 @@ msgid ""
 "series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1106
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1096
 msgid "Force numbers to start with "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1108
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1098
 msgid ""
 "Series will normally be renumbered from the highest number in the database "
 "for that series. Checking this box will tell calibre to start numbering from"
 " the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1123
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1230
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1220
 #, python-brace-format
 msgid ""
 "The enumeration \"{0}\" contains invalid values that will not appear in the "
 "list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1269
 msgid "Remove all tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1301
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1291
 msgid "tags to add"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1300
 msgid "tags to remove"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1392
+#: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1382
 msgid ""
 "You have entered values. In order to use this editor you must first discard "
 "them. Discard the values?"
@@ -15414,11 +15429,11 @@ msgstr ""
 msgid "Vacuuming..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:87
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:90
 msgid "Check library -- Problems found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:104
 msgid ""
 "        <h1>Help</h1>\n"
 "\n"
@@ -15482,79 +15497,84 @@ msgid ""
 "        "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
 msgid "&Run the check again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:172
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
 msgid "Copy &to clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:725
 msgid "&Done"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:181
 msgid "Mark &all for delete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
 msgid "Mark all deletable subitems"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:185
 msgid "Delete &marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
 msgid "Delete marked files (checked subitems)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:186
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:189
 msgid "Mar&k all for fix"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:187
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
 msgid "Mark all fixable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
 msgid "&Fix marked"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:196
 msgid "Fix marked sections (checked fixable items)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:208
 msgid "Names to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
 msgid ""
 "Enter comma-separated standard file name wildcards, such as synctoy*.dat"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:216
 msgid "Extensions to ignore:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:221
 msgid ""
 "Enter comma-separated extensions without a leading dot. Used only in book "
 "folders"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:264
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:268
 msgid "(fixable)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:274
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:279
+msgid "(deletable)"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:329
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/check_library.py:400
 msgid ""
 "The marked files and folders will be <b>permanently deleted</b>. Are you "
 "sure?"
@@ -15604,8 +15624,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:96
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:102
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library.py:187
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:761
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:776
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:764
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:779
 msgid "Bad location"
 msgstr ""
 
@@ -16161,46 +16181,46 @@ msgid "%(curr)s (was %(initial)s)"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:90
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:402
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1140
 msgid "Item is blank"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:91
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:403
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:404
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:1141
 msgid "An item cannot be set to nothing. Delete it instead."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:421
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:446
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
 msgid "No item selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:105
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:422
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:447
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:423
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:448
 msgid "You must select one item from the list of Available items."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:112
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
 msgid "No items selected"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:113
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:472
 msgid "You must select at least one item from the list."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor.py:117
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:482
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:483
 msgid "Are you sure you want to delete the following items?"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
 msgid "Category editor"
 msgstr ""
 
@@ -16209,7 +16229,7 @@ msgid "Items in use"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:76
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete item from database. This will unapply the item from all books and "
 "then remove it from the database."
@@ -16224,11 +16244,11 @@ msgstr ""
 msgid "Ctrl+S"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
 msgid "This book has DRM"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/drm_error_ui.py:53
 msgid ""
 "<p>This book is locked by <b>DRM</b>. To learn more about DRM and why you cannot read or convert this book in calibre, \n"
 "          <a href=\"https://manual.calibre-ebook.com/drm.html\">click here</a>.<p>"
@@ -16256,7 +16276,7 @@ msgid "Already in calibre:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:135
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:218
 #: /home/kovid/work/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:529
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/diff/view.py:253
@@ -16281,28 +16301,28 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:294
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
 msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:295
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
 msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
 msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:530
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
 msgid "Title case"
@@ -16329,65 +16349,65 @@ msgstr ""
 msgid "You cannot change an author to multiple authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:175
 msgid "Manage authors"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:95
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
 "<p>Only show authors in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:100
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:103
 msgid ""
 "<p>Only show authors that contain the text in this box.\n"
 "          The match ignores case.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
 "Reset all the author sort values to a value automatically\n"
 "generated from the author. Exactly how this value is automatically\n"
 "generated can be controlled via Preferences->Advanced->Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
 msgid "&Recalculate all author sort values"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:110
 msgid ""
 "Copy author sort to author for every author. You typically use this button\n"
 "after changing Preferences->Advanced->Tweaks->Author sort name algorithm"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:112
 msgid "&Copy all author sort values to author"
 msgstr ""
 
@@ -16720,77 +16740,77 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:94
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:99
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:473
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
 #, python-format
 msgid "Editing meta information for <b>%d books</b>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:550
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:641
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:659
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:665
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -16798,7 +16818,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:673
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -16808,7 +16828,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:684
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -16823,80 +16843,80 @@ msgid ""
 "function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:770
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:763
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:922
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:915
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:928
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:942
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:935
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:988
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1057
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1050
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1259
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1260
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1285
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1290
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1295
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1286
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:593
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:594
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
 msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -16904,90 +16924,90 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
 msgid ""
 "Update title sort based on the current title. This will be applied only "
 "after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
 msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:603
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
 msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
 msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
 msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
 msgid ""
 "Try to automatically detect and remove borders and extra space\n"
 " from the edges of cover images. This can sometimes remove too\n"
 " much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
 msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid "Set from &e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
 msgid ""
 "Set the covers of all selected books to be the same\n"
 "as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
 msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid ""
 "Force the title to be in title case. If both this and swap authors are checked,\n"
 "title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
 msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1803
 msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
 msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
 msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1885
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1866
 msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -16995,118 +17015,118 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
 msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
 msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
 msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
 msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:638
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
 msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
 msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid ""
 "Specify how the author(s) of this book should be sorted. For example Charles"
 " Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
 msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1433
 msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
 msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
 msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
 msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:665
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17115,152 +17135,152 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
 msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1322
 msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17268,48 +17288,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:724
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:725
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -17938,7 +17958,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:577
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:774
 msgid "Manage Saved searches"
 msgstr ""
 
@@ -18598,76 +18618,76 @@ msgid ""
 "The current tag category will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
 msgid "User categories editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
 msgid "Category &name: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
 msgid "Select a category to edit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
 msgid "&Category filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
 msgid "Select the content kind of the new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
 "Enter text to filter the available items. Case and accents are ignored."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:152
 msgid "Rename the current category to what is in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:154
 msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:159
 msgid "Apply tags to current tag category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:160
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:141
 msgid "Applied &items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:162
 msgid "Unapply (remove) tag from current tag category"
 msgstr ""
 
@@ -18699,121 +18719,121 @@ msgid ""
 "to delete them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:131
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the item from database. This will unapply the item from all books and"
 " then remove it from the database."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/spell.py:613
 msgid "Count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:302
 msgid "Was"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:387
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:388
 msgid "Editing..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:426
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:427
 msgid "Do you really want to undo your changes?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:451
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
 msgid "Undelete item?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:452
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:453
 msgid "That item is deleted. Do you want to undelete it?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
 msgid "Search for an item in the first column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:103
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:105
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
 "<p>Show items only if they appear in the\n"
 "          current Virtual library. Edits already done may be hidden but will\n"
 "          not be forgotten.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:108
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
 msgid "Filter items using the text in this box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:115
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the item in every book where it is used"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:118
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:127
 msgid "Undo any deletes or edits on the selected lines"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:129
 msgid "Ctrl+U"
 msgstr ""
 
@@ -19694,17 +19714,17 @@ msgstr ""
 msgid "Show and hide various parts of the calibre main window"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:736
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:744
 #, python-format
 msgid "No %s format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:737
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:745
 #, python-brace-format
 msgid "The book {0} does not have the {1} format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/init.py:772
+#: /home/kovid/work/calibre/src/calibre/gui2/init.py:780
 #, python-format
 msgid "Restore %s"
 msgstr ""
@@ -19985,21 +20005,11 @@ msgstr ""
 msgid "This book is on the device in %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:129
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
-msgid "Set date to undefined"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
-msgid "Set date to today"
-msgstr ""
-
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:135
 msgid "Set to undefined"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:684
 msgid "Y"
 msgstr ""
 
@@ -20343,7 +20353,7 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/main.py:131
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:784
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:787
 msgid "Calibre Library"
 msgstr ""
 
@@ -20506,6 +20516,16 @@ msgstr ""
 msgid "Unhandled exception"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:612
+msgid "Set date to undefined"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:614
+msgid "Set date to today"
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:167
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:359
 msgid "&Redo"
@@ -20785,7 +20805,7 @@ msgstr ""
 msgid "Clear publisher"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1836
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1823
 msgid "Clear date"
 msgstr ""
 
@@ -20855,7 +20875,7 @@ msgid "Processed %s"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/config.py:66
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
 msgid "Metadata fields to download"
 msgstr ""
 
@@ -21616,13 +21636,13 @@ msgid "&Automatic adding"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
 msgid "High"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior.py:47
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
 msgid "Low"
 msgstr ""
 
@@ -21647,80 +21667,80 @@ msgstr ""
 msgid "Confirmation dialogs have all been reset"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
 msgid "Notify when a &new version is available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
 msgid "Automatically send downloaded &news to e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:166
 msgid "Job &priority:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
 msgid "Preferred &output format:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
 msgid "Edit metadata (single) &layout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:176
 msgid ""
 "If checked, Yes/No custom columns values can be Yes, No, or Unknown.\n"
 "If not checked, the values can be Yes or No."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
 msgid "&Yes/No columns have three values (needs restart)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
 msgid "&Delete news from library when it is automatically sent to reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:179
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
 msgid "Default network &timeout:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
 msgid ""
 "Set the default timeout for network fetches (i.e. anytime we go out to the "
 "internet to get information)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
 msgid " seconds"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:182
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
 msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
 msgid "Use internal &viewer for:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:185
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/behavior_ui.py:186
 msgid "Virtual library to apply when the current &library is opened:"
 msgstr ""
 
@@ -22709,37 +22729,37 @@ msgid ""
 " effect.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:81
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
 "<p>calibre can send your books to you (or your reader) by email. Emails will"
 " be automatically sent for downloaded news to all email addresses that have "
 "<i>Auto send</i> checked."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
 msgid "Add an email address to which to send books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:83
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
 msgid "&Add email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:84
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
 msgid "Make &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:85
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
 msgid "&Remove email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:86
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:87
 msgid ""
 "Add the comments from the book metadata to the email.\n"
 "Useful to allow the recipient to see a summary of the\n"
 "book before opening it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:89
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/email_ui.py:90
 msgid "Add &comments metadata as text to the email"
 msgstr ""
 
@@ -22876,7 +22896,7 @@ msgid "Create a new rule"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:130
-msgid "The key of the identifier, for example, in isbn:XXX, the key is ISBN"
+msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:132
@@ -23014,7 +23034,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:486
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "By first letter"
 msgstr ""
 
@@ -23285,7 +23305,7 @@ msgid "Caching of covers for improved pe
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:629
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:802
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:804
 msgid "Disable"
 msgstr ""
 
@@ -23680,86 +23700,86 @@ msgstr ""
 msgid "No source selected, cannot configure."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:152
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
 msgid "Metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:153
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
 msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:154
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
 "Sources with a red X next to their names must be configured before they will"
 " be used. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:156
 msgid "C&onfigure selected source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:157
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
 msgid ""
 "If you uncheck any fields, metadata for those fields will not be downloaded"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:158
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/widget.py:572
 msgid "&Select all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:159
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
 "Restore your own subset of checked fields that you define using the 'Set as "
 "default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
 msgid "Convert all downloaded comments to plain &text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:165
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
 msgid "Swap &author names from FN LN to LN, FN"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:166
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
 msgid ""
 "<p>When downloading comments, append the downloaded comments to any existing"
 " comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:167
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
 msgid ""
 "When downloading comments, append the downloaded comments to any existing "
 "comment, instead of overwriting them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:168
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
 msgid "Append comments to &existing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
 msgid ""
 "<p>Normally, the metadata download system will keep only a single result per"
 " metadata source. This option will cause it to keep all results returned "
@@ -23768,47 +23788,47 @@ msgid ""
 "identical title/author/identifiers are still merged."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:170
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
 msgid "Keep more than one entry per source"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:171
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:172
 msgid ""
 "<p>Different metadata sources have different sets of tags for the same book. If this option is checked, then calibre will use the smaller tag sets. These tend to be more like genres, while the larger tag sets tend to describe the books content.\n"
 "<p>Note that this option will only make a practical difference if one of the metadata sources has a genre like tag set for the book you are searching for. Most often, they all have large tag sets."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:173
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
 msgid ""
 "Prefer smaller tag sets when picking tags from different metadata sources"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
 msgid "Prefer &fewer tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:175
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
 msgid "Create &rules to filter/transform tags"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
 msgid "Create rules to &transform author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:177
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
 msgid "Max. &number of tags to download:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
 msgid "Max. &time to wait after first match is found:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:179
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:182
 msgid " secs"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:180
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:181
 msgid "Max. time to wait after first &cover is found:"
 msgstr ""
 
@@ -25354,7 +25374,7 @@ msgid "Paste and &search"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:56
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:136
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:361
 msgid "&Paste"
 msgstr ""
@@ -26380,150 +26400,150 @@ msgstr ""
 msgid "'Click' found item"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:405
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:407
 #, python-format
 msgid "Change icon for: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:604
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:606
 #, python-format
 msgid "Rename %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:608
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:671
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:706
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:610
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:708
 #, python-format
 msgid "Rename %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:615
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:617
 #, python-format
 msgid "Delete %s in Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:620
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:622
 #, python-format
 msgid "Delete %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:627
 #, python-format
 msgid "Edit sort for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:628
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:630
 #, python-format
 msgid "Edit link for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:634
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:636
 #, python-format
 msgid "Add %s to User category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:652
 #, python-format
 msgid "Children of %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:661
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
 #, python-format
 msgid "Apply %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:663
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:665
 #, python-format
 msgid "Add %s to selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:666
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:668
 #, python-format
 msgid "Remove %s from selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:677
 #, python-format
 msgid "Delete Saved search %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:682
 #, python-format
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:700
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:712
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:716
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:719
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:721
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:723
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:725
 msgid "Show category"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:733
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:735
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:739
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:741
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:778
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:780
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:782
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:787
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:791
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:798
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 msgid "Show all categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:801
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:803
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:808
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:823
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
 msgid "E&xpand all children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:833
 msgid "Collapse all levels"
 msgstr ""
 
@@ -27193,7 +27213,7 @@ msgid "The Qt WebEngine Render process c
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1743
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1744
 msgid "Unsaved changes"
 msgstr ""
 
@@ -27600,12 +27620,12 @@ msgid ""
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1274
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1596
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
 msgid "Unsupported file format"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1275
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1597
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1598
 #, python-format
 msgid "Editing files of type %s is not supported"
 msgstr ""
@@ -27663,76 +27683,76 @@ msgid "Import"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1383
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1431
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1432
 #, python-format
 msgid "Before: Replace %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1441
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1442
 msgid "You must first open a book in order to see the report."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1456
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1457
 msgid "You must first open a book in order to check links."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1461
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1462
 msgid "You must first open a book in order to compress images."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1467
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1468
 msgid "Before: compress images"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1475
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
 msgid "Unexpected error"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1476
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1477
 msgid "Failed to compress images, click \"Show details\" for more information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1572
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
 msgid "Cannot decode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1573
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1574
 #, python-format
 msgid "Cannot edit %s as it appears to be in an unknown character encoding"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1604
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1605
 msgid "No book is currently open. You must first open a book to edit."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1725
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1726
 msgid ""
 "The current book is being saved in the background. Quitting now will "
 "<b>abort the save process</b>! Finish saving first?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "&Quit immediately"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1727
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1728
 msgid "Finish &saving first"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1748
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1749
 msgid ""
 "There are unsaved changes, if you quit without saving, you will lose them."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1760
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1761
 msgid "&Save and Quit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1763
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1764
 msgid "&Quit without saving"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1777
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:1778
 msgid "Saving, please wait..."
 msgstr ""
 
@@ -31135,18 +31155,18 @@ msgstr[1] ""
 msgid "Disabled confirmations restored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:355
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:560
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:358
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:563
 msgid "Render process crashed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:356
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:359
 msgid ""
 "The Qt WebEngine Render process has crashed so Preview/Live CSS will not "
 "work. You should try restarting the editor."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:368
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:371
 msgid ""
 "\n"
 "            <h3>Live preview</h3>\n"
@@ -31160,70 +31180,70 @@ msgid ""
 "            "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:395
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:398
 msgid "Inspect element"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:397
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:400
 msgid "Open link"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:410
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:413
 #, python-format
 msgid "Edit %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:488
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:491
 msgid "Search in preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:528
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:531
 msgid "Invalid location"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:529
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:532
 msgid "Cannot split on the body tag"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:555
 msgid "Failed to launch worker"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:553
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:556
 msgid "Failed to launch the worker process used for rendering the preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:612
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:615
 msgid "Cannot disable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:613
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
 msgid ""
 "Auto reloading of the preview panel cannot be disabled while the Live CSS "
 "panel is open."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:616
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:619
 msgid "Auto reload preview when text changes in editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:620
 msgid "Disable auto reload of preview"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:624
 msgid "Disable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:625
 msgid "Enable syncing of preview position to editor position"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:630
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:633
 msgid "Abort file split"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:634
 msgid ""
 "Split this file at a specified location.\n"
 "\n"
@@ -34171,13 +34191,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:561
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:564
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:668
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:671
 msgid "Choose background image"
 msgstr ""
 
@@ -34212,30 +34232,30 @@ msgstr ""
 msgid "Show {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:90
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:92
 msgid "Choose &color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:117
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:119
 msgid "Choose a color"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:132
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:134
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:360
 msgid "Cu&t"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:141
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:367
 msgid "&Step up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:142
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:368
 msgid "Step &down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:237
+#: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:239
 msgid "Not rated"
 msgstr ""
 
@@ -34289,44 +34309,48 @@ msgstr ""
 msgid "Android tablet with Kindle reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:455
+msgid "Generic"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:603
 #, python-format
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"%s\" device."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:673
 #, python-brace-format
 msgid ""
 "If you are moving calibre from an old computer to a new one, please read <a "
 "href=\"{0}\">the instructions</a>."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:750
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:753
 msgid "Select location for books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:765
 #, python-format
 msgid "Failed to create a folder at %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:777
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:780
 #, python-format
 msgid ""
 "You must choose an empty folder for the calibre library. %s is not empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:866
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
 msgid "&Next >"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:867
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
 msgid "< &Back"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:868
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:871
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:163
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:202
 #: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
@@ -34334,15 +34358,15 @@ msgstr ""
 msgid "Cancel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:872
 msgid "&Finish"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:870
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:873
 msgid "Commit"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:874
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:877
 msgid "Welcome wizard"
 msgstr ""
 
@@ -34350,7 +34374,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:44
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:44
 msgid "Welcome to calibre"
 msgstr ""
@@ -34358,7 +34382,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/device_ui.py:53
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:45
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:45
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:45
 msgid "The one stop solution to all your e-book needs."
 msgstr ""
@@ -34373,7 +34397,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/finish_ui.py:43
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/kindle_ui.py:43
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:67
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/stanza_ui.py:43
 msgid "WizardPage"
 msgstr ""
@@ -34411,17 +34435,17 @@ msgstr ""
 msgid "&Kindle email:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
 msgid "Choose your &language:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:70
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:71
 msgid ""
 "<p>Choose a location for your books. When you add books to calibre, they "
 "will be copied here. Use an <b>empty folder</b> for a new calibre library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:72
+#: /home/kovid/work/calibre/src/calibre/gui2/wizard/library_ui.py:73
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
@@ -37007,6 +37031,27 @@ msgstr ""
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1642
+msgid ""
+"rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
+"star characters. The value is a number between 0 and 5. Set use_half_stars "
+"to 1 if you want half star characters for custom ratings columns that "
+"support non-integer ratings, for example 2.5."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1651
+msgid "The rating must be a number between 0 and 5"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1666
+msgid ""
+"swap_around_articles(val, separator) -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:18
 msgid "Unnamed image"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/iso_639/iso_639_3.pot 4.99.7+dfsg+really4.21.0-1/translations/iso_639/iso_639_3.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/iso_639/iso_639_3.pot	2020-07-03 02:13:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/iso_639/iso_639_3.pot	2020-07-16 17:17:19.000000000 +0000
@@ -4,9 +4,9 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
-"POT-Creation-Date: 2020-07-03 07:43+IST\n"
-"PO-Revision-Date: 2020-07-03 07:43+IST\n"
+"Project-Id-Version: calibre 4.21.0\n"
+"POT-Creation-Date: 2020-07-16 22:47+IST\n"
+"PO-Revision-Date: 2020-07-16 22:47+IST\n"
 "Last-Translator: Automatically generated\n"
 "Language-Team: LANGUAGE\n"
 "MIME-Version: 1.0\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/iso_639/ru.po 4.99.7+dfsg+really4.21.0-1/translations/iso_639/ru.po
--- 4.99.6+dfsg+really4.20.0-1/translations/iso_639/ru.po	2020-07-02 04:13:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/iso_639/ru.po	2020-07-16 16:52:16.000000000 +0000
@@ -18,9 +18,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-06-19 07:52+IST\n"
-"PO-Revision-Date: 2020-06-26 09:34+0000\n"
-"Last-Translator: ashed <craysy@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+IST\n"
+"PO-Revision-Date: 2020-07-04 12:35+0000\n"
+"Last-Translator: Родион Р.\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -752,7 +752,7 @@ msgid "American Sign Language"
 msgstr "амслен"
 
 msgid "Amharic"
-msgstr "Амхарский (Амаринья)"
+msgstr "амхарский (амаринья)"
 
 msgid "Ami"
 msgstr "Ами"
@@ -1181,7 +1181,7 @@ msgid "Ararandewára"
 msgstr ""
 
 msgid "Arawak"
-msgstr "Аравакский"
+msgstr "аравакский"
 
 msgid "Araweté"
 msgstr ""
@@ -1484,7 +1484,7 @@ msgid "Austral"
 msgstr ""
 
 msgid "Australian Aborigines Sign Language"
-msgstr ""
+msgstr "жестовый язык австралийских аборигенов"
 
 msgid "Australian Sign Language"
 msgstr "австралийский жестовый"
@@ -1505,7 +1505,7 @@ msgid "Avar, Old"
 msgstr ""
 
 msgid "Avaric"
-msgstr "Аварский"
+msgstr "аварский"
 
 msgid "Avatime"
 msgstr ""
@@ -1514,7 +1514,7 @@ msgid "Avau"
 msgstr ""
 
 msgid "Avestan"
-msgstr "Авестийский"
+msgstr "авестийский"
 
 msgid "Avikam"
 msgstr ""
@@ -1541,7 +1541,7 @@ msgid "Awad Bing"
 msgstr ""
 
 msgid "Awadhi"
-msgstr "Авадхи"
+msgstr "авадхи"
 
 msgid "Awak"
 msgstr ""
@@ -22781,7 +22781,7 @@ msgid "Yanyuwa"
 msgstr ""
 
 msgid "Yao"
-msgstr "Яо"
+msgstr "яо"
 
 msgid "Yaouré"
 msgstr ""
@@ -23102,7 +23102,7 @@ msgid "Yuhup"
 msgstr ""
 
 msgid "Yukaghir, Northern"
-msgstr ""
+msgstr "северноюкагирский"
 
 msgid "Yukaghir, Southern"
 msgstr ""
@@ -23393,7 +23393,7 @@ msgid "Zayse-Zergulla"
 msgstr ""
 
 msgid "Zaza"
-msgstr "Зазаки"
+msgstr "зазаки"
 
 msgid "Zazao"
 msgstr ""
@@ -23402,7 +23402,7 @@ msgid "Zeem"
 msgstr ""
 
 msgid "Zeeuws"
-msgstr ""
+msgstr "зеландские диалекты"
 
 msgid "Zemba"
 msgstr ""
@@ -23414,16 +23414,16 @@ msgid "Zenag"
 msgstr ""
 
 msgid "Zenaga"
-msgstr "Зенагский"
+msgstr "зенага"
 
 msgid "Zerenkel"
-msgstr ""
+msgstr "зиренкель"
 
 msgid "Zhaba"
-msgstr ""
+msgstr "чжаба"
 
 msgid "Zhang-Zhung"
-msgstr ""
+msgstr "жанг-жунг"
 
 msgid "Zhire"
 msgstr ""
@@ -23432,7 +23432,7 @@ msgid "Zhoa"
 msgstr ""
 
 msgid "Zhuang"
-msgstr "Чжуанский"
+msgstr "чжуанский"
 
 msgid "Zhuang, Central Hongshuihe"
 msgstr "центральный хуншуйхэйский чжуанский"
@@ -23444,49 +23444,49 @@ msgid "Zhuang, Eastern Hongshuihe"
 msgstr "восточный хуншуйхэйский чжуанский"
 
 msgid "Zhuang, Guibei"
-msgstr ""
+msgstr "гуйбэйский чжуанский"
 
 msgid "Zhuang, Guibian"
-msgstr ""
+msgstr "гуйбяньский диалект ейского чжуанского"
 
 msgid "Zhuang, Lianshan"
-msgstr ""
+msgstr "ляньшаньский чжуанский"
 
 msgid "Zhuang, Liujiang"
-msgstr ""
+msgstr "люцзянский чжуанский"
 
 msgid "Zhuang, Liuqian"
-msgstr ""
+msgstr "люцяньский чжуанский"
 
 msgid "Zhuang, Minz"
 msgstr "миньский чжуанский"
 
 msgid "Zhuang, Nong"
-msgstr ""
+msgstr "нунский чжуанский"
 
 msgid "Zhuang, Qiubei"
-msgstr ""
+msgstr "цюбэйский диалект ейского чжуанского"
 
 msgid "Zhuang, Yang"
-msgstr ""
+msgstr "янский чжуанский"
 
 msgid "Zhuang, Yongbei"
-msgstr ""
+msgstr "юнбэйский чжуанский"
 
 msgid "Zhuang, Yongnan"
-msgstr ""
+msgstr "юннаньский чжуанский"
 
 msgid "Zhuang, Youjiang"
-msgstr ""
+msgstr "юцзянский чжуанский"
 
 msgid "Zhuang, Zuojiang"
-msgstr ""
+msgstr "цзоцзянский чжуанский"
 
 msgid "Zia"
 msgstr ""
 
 msgid "Zialo"
-msgstr ""
+msgstr "зиало"
 
 msgid "Zigula"
 msgstr ""
@@ -23498,22 +23498,22 @@ msgid "Zimba"
 msgstr ""
 
 msgid "Zimbabwe Sign Language"
-msgstr "Язык жестов Зимбабве"
+msgstr "зимбабвийский жестовый"
 
 msgid "Zinza"
-msgstr "Зинза"
+msgstr "зинза"
 
 msgid "Zire"
 msgstr ""
 
 msgid "Ziriya"
-msgstr "Зирия"
+msgstr "зирия"
 
 msgid "Zizilivakan"
 msgstr ""
 
 msgid "Zo'é"
-msgstr ""
+msgstr "зо’э"
 
 msgid "Zokhuo"
 msgstr ""
@@ -23531,7 +23531,7 @@ msgid "Zoque, Rayón"
 msgstr ""
 
 msgid "Zoque, Tabasco"
-msgstr ""
+msgstr "аяпанский соке"
 
 msgid "Zou"
 msgstr ""
@@ -23540,13 +23540,13 @@ msgid "Zulgo-Gemzek"
 msgstr ""
 
 msgid "Zulu"
-msgstr "Зулусский"
+msgstr "зулусский"
 
 msgid "Zumaya"
 msgstr ""
 
 msgid "Zumbun"
-msgstr ""
+msgstr "джимбин"
 
 msgid "Zuni"
 msgstr "Зуньи"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/af/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/af/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/af/develop.po	2020-03-26 16:47:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/af/develop.po	2020-07-16 16:52:31.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-03-11 17:43+0530\n"
-"PO-Revision-Date: 2020-03-19 10:55+0000\n"
-"Last-Translator: Gideon Wentink <gjwentink@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -327,7 +327,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -558,7 +558,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/af/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/af/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/af/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/af/function_mode.po	2020-07-16 17:08:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/af/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/af/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/af/glossary.po	2020-03-05 04:50:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/af/glossary.po	2020-07-16 16:59:19.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-20 12:56+0000\n"
-"Last-Translator: Gideon Wentink <gjwentink@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Gewone uitdrukkings** (regular expressions) bied ’n bondige en buigbare manier om teksstringe soos spesifieke karakters, woorde of karakterpatrone wat van belang is, te identifiseer. Sien `regexp sintaks <https://docs.python.org/2.7/library/re.html>`_ vir die sintaks van gewone uidtrukkings soos dit in Python gebruik word."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/af/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/af/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/af/gui.po	2020-07-02 04:20:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/af/gui.po	2020-07-16 17:05:36.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
@@ -802,7 +802,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/af/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/af/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/af/news.po	2020-06-18 03:20:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/af/news.po	2020-07-16 16:57:26.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
@@ -236,7 +236,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/af/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/af/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/af/regexp.po	2020-02-06 05:14:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/af/regexp.po	2020-07-16 17:02:59.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-01-26 14:25+0530\n"
-"PO-Revision-Date: 2020-01-25 16:42+0000\n"
-"Last-Translator: Gideon Wentink <gjwentink@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/af/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/af/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/af/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/af/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2795, 
-    "translated": 118
+    "untranslated": 2798, 
+    "translated": 117
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/af/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/af/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/af/template_lang.po	2020-07-02 04:14:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/af/template_lang.po	2020-07-16 16:54:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/af/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/af/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/af/xpath.po	2020-02-06 05:14:25.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/af/xpath.po	2020-07-16 17:01:06.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-01-26 14:25+0530\n"
-"PO-Revision-Date: 2020-01-25 16:42+0000\n"
-"Last-Translator: Gideon Wentink <gjwentink@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/am/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/am/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/am/develop.po	2020-03-05 04:48:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/am/develop.po	2020-07-16 16:53:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/am/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/am/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/am/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/am/function_mode.po	2020-07-16 17:09:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/am/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/am/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/am/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/am/glossary.po	2020-07-16 17:00:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/am/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/am/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/am/gui.po	2020-07-02 04:20:01.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/am/gui.po	2020-07-16 17:07:15.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/am/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/am/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/am/news.po	2020-06-18 03:19:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/am/news.po	2020-07-16 16:58:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/am/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/am/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/am/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/am/regexp.po	2020-07-16 17:04:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/am/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/am/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/am/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/am/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2912, 
+    "untranslated": 2914, 
     "translated": 1
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/am/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/am/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/am/template_lang.po	2020-07-02 04:14:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/am/template_lang.po	2020-07-16 16:56:17.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/am/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/am/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/am/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/am/xpath.po	2020-07-16 17:02:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/develop.po	2020-05-21 16:49:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/develop.po	2020-07-16 16:53:24.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-15 08:00+0530\n"
-"PO-Revision-Date: 2020-05-16 22:30+0000\n"
-"Last-Translator: Mohamed Elkebsi <mohamedkebsi55@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/function_mode.po	2020-07-16 17:09:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/glossary.po	2020-05-21 16:49:53.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/glossary.po	2020-07-16 16:59:56.000000000 +0000
@@ -12,9 +12,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-15 08:00+0530\n"
-"PO-Revision-Date: 2020-05-16 22:28+0000\n"
-"Last-Translator: Mohamed Elkebsi <mohamedkebsi55@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -114,6 +114,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "** توفر التعبيرات المنتظمة ** وسيلة موجزة ومرنة لتحديد سلاسل نص الاهتمام ، مثل أحرف معينة أو كلمات أو أنماط أحرف. انظر `بناء جملة regexp <https://docs.python.org/2.7/library/re.html>` __ لبناء جملة التعبيرات العادية المستخدمة في Python."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/gui.po	2020-07-02 04:21:50.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/gui.po	2020-07-16 17:06:49.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
@@ -803,7 +803,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/news.po	2020-06-18 03:20:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/news.po	2020-07-16 16:58:10.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
@@ -236,7 +236,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/regexp.po	2020-07-16 17:03:44.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Benamara Mohamed <mohamedsdev@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2789, 
-    "translated": 124
+    "untranslated": 2792, 
+    "translated": 123
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/template_lang.po	2020-07-02 04:15:51.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/template_lang.po	2020-07-16 16:55:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ar/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ar/xpath.po	2020-07-16 17:01:49.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Benamara Mohamed <mohamedsdev@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/develop.po	2020-03-05 04:48:19.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/develop.po	2020-07-16 16:52:56.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/function_mode.po	2020-07-16 17:08:56.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/glossary.po	2020-07-16 16:59:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/gui.po	2020-07-02 04:21:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/gui.po	2020-07-16 17:06:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/news.po	2020-06-18 03:19:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/news.po	2020-07-16 16:57:45.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/regexp.po	2020-07-16 17:03:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2911, 
+    "untranslated": 2913, 
     "translated": 2
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/template_lang.po	2020-07-02 04:14:56.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/template_lang.po	2020-07-16 16:55:17.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ast/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ast/xpath.po	2020-07-16 17:01:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/az/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/az/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/az/develop.po	2020-03-05 04:49:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/az/develop.po	2020-07-16 16:53:20.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/az/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/az/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/az/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/az/function_mode.po	2020-07-16 17:09:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/az/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/az/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/az/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/az/glossary.po	2020-07-16 16:59:53.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/az/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/az/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/az/gui.po	2020-07-02 04:19:58.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/az/gui.po	2020-07-16 17:06:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/az/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/az/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/az/news.po	2020-06-18 03:19:25.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/az/news.po	2020-07-16 16:58:06.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/az/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/az/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/az/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/az/regexp.po	2020-07-16 17:03:40.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/az/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/az/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/az/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/az/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2907, 
+    "untranslated": 2909, 
     "translated": 6
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/az/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/az/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/az/template_lang.po	2020-07-02 04:13:56.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/az/template_lang.po	2020-07-16 16:55:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/az/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/az/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/az/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/az/xpath.po	2020-07-16 17:01:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/be/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/be/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/be/develop.po	2020-03-05 04:47:59.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/be/develop.po	2020-07-16 16:52:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/be/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/be/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/be/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/be/function_mode.po	2020-07-16 17:08:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/be/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/be/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/be/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/be/glossary.po	2020-07-16 16:59:36.000000000 +0000
@@ -3,13 +3,13 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# zmicer turok <zmicerturok@gmail.com>, 2016
+# Zmicer Turok <nashtlumach@gmail.com>, 2016
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 17:01+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/be/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/be/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/be/gui.po	2020-07-02 04:19:54.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/be/gui.po	2020-07-16 17:06:09.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
@@ -803,7 +803,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/be/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/be/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/be/news.po	2020-06-18 03:20:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/be/news.po	2020-07-16 16:57:45.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
@@ -236,7 +236,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/be/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/be/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/be/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/be/regexp.po	2020-07-16 17:03:18.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-01-18 20:12+0530\n"
-"PO-Revision-Date: 2019-01-21 07:53+0000\n"
-"Last-Translator: Zmicer Turok <zmicerturok@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/be/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/be/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/be/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/be/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2839, 
+    "untranslated": 2841, 
     "translated": 74
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/be/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/be/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/be/template_lang.po	2020-07-02 04:13:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/be/template_lang.po	2020-07-16 16:55:15.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/be/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/be/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/be/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/be/xpath.po	2020-07-16 17:01:24.000000000 +0000
@@ -3,14 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Zmicer Turok <zmicerturok@gmail.com>, 2016
+# Zmicer Turok <nashtlumach@gmail.com>, 2016
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Zmicer Turok <zmicerturok@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/develop.po	2020-03-05 04:48:50.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/develop.po	2020-07-16 16:53:54.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
@@ -327,7 +327,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -558,7 +558,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/function_mode.po	2020-07-16 17:09:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/glossary.po	2020-07-16 17:00:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/gui.po	2020-07-02 04:20:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/gui.po	2020-07-16 17:07:31.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/news.po	2020-06-18 03:20:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/news.po	2020-07-16 16:58:38.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
@@ -236,7 +236,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/regexp.po	2020-07-16 17:04:16.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Valeria Koleva <kolevavaleria@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2853, 
+    "untranslated": 2855, 
     "translated": 60
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/template_lang.po	2020-07-02 04:14:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/template_lang.po	2020-07-16 16:56:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bg/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bg/xpath.po	2020-07-16 17:02:14.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Valeria Koleva <kolevavaleria@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -161,5 +161,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/develop.po	2020-03-05 04:49:25.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/develop.po	2020-07-16 16:52:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/function_mode.po	2020-07-16 17:08:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/glossary.po	2020-07-16 16:59:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/gui.po	2020-07-02 04:20:43.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/gui.po	2020-07-16 17:06:12.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/news.po	2020-06-18 03:20:36.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/news.po	2020-07-16 16:57:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/regexp.po	2020-07-16 17:03:20.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2908, 
+    "untranslated": 2910, 
     "translated": 5
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/template_lang.po	2020-07-02 04:14:37.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/template_lang.po	2020-07-16 16:55:18.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn/xpath.po	2020-07-16 17:01:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/develop.po	2020-03-05 04:49:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/develop.po	2020-07-16 16:54:17.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/function_mode.po	2020-07-16 17:10:18.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/glossary.po	2020-07-16 17:00:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/gui.po	2020-07-02 04:21:43.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/gui.po	2020-07-16 17:08:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/news.po	2020-06-18 03:20:25.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/news.po	2020-07-16 16:59:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/regexp.po	2020-07-16 17:04:39.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2908, 
+    "untranslated": 2910, 
     "translated": 5
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/template_lang.po	2020-07-02 04:15:43.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/template_lang.po	2020-07-16 16:57:03.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_BD/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_BD/xpath.po	2020-07-16 17:02:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/develop.po	2020-03-05 04:48:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/develop.po	2020-07-16 16:54:10.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/function_mode.po	2020-07-16 17:10:10.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/glossary.po	2020-07-16 17:00:40.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/gui.po	2020-07-02 04:20:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/gui.po	2020-07-16 17:07:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/news.po	2020-06-18 03:19:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/news.po	2020-07-16 16:58:53.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/regexp.po	2020-07-16 17:04:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2912, 
+    "untranslated": 2914, 
     "translated": 1
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/template_lang.po	2020-07-02 04:14:25.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/template_lang.po	2020-07-16 16:56:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bn_IN/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bn_IN/xpath.po	2020-07-16 17:02:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/br/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/br/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/br/develop.po	2020-03-05 04:48:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/br/develop.po	2020-07-16 16:52:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/br/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/br/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/br/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/br/function_mode.po	2020-07-16 17:08:36.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: br\n"
-"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"Plural-Forms: nplurals=5; plural=((n%10 == 1) && (n%100 != 11) && (n%100 !=71) && (n%100 !=91) ? 0 :(n%10 == 2) && (n%100 != 12) && (n%100 !=72) && (n%100 !=92) ? 1 :(n%10 ==3 || n%10==4 || n%10==9) && (n%100 < 10 || n% 100 > 19) && (n%100 < 70 || n%100 > 79) && (n%100 < 90 || n%100 > 99) ? 2 :(n != 0 && n % 1000000 == 0) ? 3 : 4);\n"
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:2
 msgid "Function mode for Search & replace in the Editor"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/br/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/br/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/br/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/br/glossary.po	2020-07-16 16:59:21.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: br\n"
-"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"Plural-Forms: nplurals=5; plural=((n%10 == 1) && (n%100 != 11) && (n%100 !=71) && (n%100 !=91) ? 0 :(n%10 == 2) && (n%100 != 12) && (n%100 !=72) && (n%100 !=92) ? 1 :(n%10 ==3 || n%10==4 || n%10==9) && (n%100 < 10 || n% 100 > 19) && (n%100 < 70 || n%100 > 79) && (n%100 < 90 || n%100 > 99) ? 2 :(n != 0 && n % 1000000 == 0) ? 3 : 4);\n"
 
 #: ../../home/kovid/work/calibre/manual/glossary.rst:3
 msgid "Glossary"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/br/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/br/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/br/gui.po	2020-07-02 04:20:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/br/gui.po	2020-07-16 17:05:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/br/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/br/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/br/news.po	2020-06-18 03:19:32.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/br/news.po	2020-07-16 16:57:29.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/br/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/br/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/br/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/br/regexp.po	2020-07-16 17:03:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/br/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/br/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/br/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/br/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2909, 
+    "untranslated": 2911, 
     "translated": 4
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/br/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/br/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/br/template_lang.po	2020-07-02 04:14:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/br/template_lang.po	2020-07-16 16:54:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/br/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/br/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/br/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/br/xpath.po	2020-07-16 17:01:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/develop.po	2020-03-05 04:49:16.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/develop.po	2020-07-16 16:53:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/function_mode.po	2020-07-16 17:09:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/glossary.po	2020-07-16 17:00:18.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/gui.po	2020-07-02 04:21:21.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/gui.po	2020-07-16 17:07:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/news.po	2020-06-18 03:19:16.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/news.po	2020-07-16 16:58:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/regexp.po	2020-07-16 17:04:10.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Sirius2007 <dugonjicd@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2832, 
+    "untranslated": 2834, 
     "translated": 81
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/template_lang.po	2020-07-02 04:15:19.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/template_lang.po	2020-07-16 16:56:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/bs/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/bs/xpath.po	2020-07-16 17:02:10.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Sirius2007 <dugonjicd@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/develop.po	2020-03-05 04:49:32.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/develop.po	2020-07-16 16:53:25.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
@@ -327,7 +327,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -558,7 +558,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/function_mode.po	2020-07-16 17:09:26.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-21 15:39+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
@@ -36,8 +36,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -91,11 +91,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -254,9 +253,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/glossary.po	2020-07-16 16:59:57.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:41+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
@@ -111,6 +111,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/gui.po	2020-07-02 04:20:59.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/gui.po	2020-07-16 17:06:51.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
@@ -802,7 +802,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/news.po	2020-06-18 03:19:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/news.po	2020-07-16 16:58:11.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
@@ -236,7 +236,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/regexp.po	2020-07-16 17:03:45.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: jmontane\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -437,7 +437,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -493,5 +493,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2636, 
+    "untranslated": 2638, 
     "translated": 277
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/template_lang.po	2020-07-02 04:14:54.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/template_lang.po	2020-07-16 16:55:56.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
@@ -174,7 +174,7 @@ msgstr "Si únicament voleu les dues pri
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -377,12 +377,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -391,7 +399,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -405,7 +413,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -417,7 +425,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -431,7 +439,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -442,14 +450,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -458,13 +475,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -472,7 +489,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -484,17 +501,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -502,13 +519,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -517,23 +534,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -541,16 +558,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -558,15 +575,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -574,27 +591,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -605,7 +622,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -616,7 +633,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -629,7 +646,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -641,38 +658,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -683,7 +700,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -694,26 +711,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -722,7 +739,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -735,7 +752,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -746,13 +763,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -762,7 +779,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -770,28 +787,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -799,13 +816,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -816,11 +833,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -828,27 +845,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -857,7 +874,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -868,14 +885,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -885,7 +902,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -893,7 +910,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -901,20 +918,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -922,7 +939,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -931,7 +948,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -939,7 +956,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -949,7 +966,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -957,7 +974,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -965,7 +982,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -974,46 +991,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1025,17 +1042,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1045,19 +1062,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1067,20 +1084,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1092,15 +1109,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1110,7 +1127,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1124,7 +1141,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1135,7 +1152,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1144,14 +1161,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1161,11 +1178,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1173,11 +1190,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr "Notes especials per a les plantilles de desament i enviament"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1188,18 +1205,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1209,25 +1226,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1235,11 +1252,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1250,7 +1267,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1261,7 +1278,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1270,29 +1287,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1304,7 +1321,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1314,7 +1331,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1323,34 +1340,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ca/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ca/xpath.po	2020-07-16 17:01:50.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: jmontane\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/catalogs.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/catalogs.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/catalogs.pot	2020-07-03 02:15:51.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/catalogs.pot	2020-07-16 17:19:13.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/conversion.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/conversion.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/conversion.pot	2020-07-03 02:15:54.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/conversion.pot	2020-07-16 17:18:16.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/creating_plugins.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/creating_plugins.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/creating_plugins.pot	2020-07-03 02:14:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/creating_plugins.pot	2020-07-16 17:18:57.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/develop.po	2020-03-05 04:48:14.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/develop.po	2020-07-16 16:53:53.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/function_mode.po	2020-07-16 17:09:53.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: crh\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:2
 msgid "Function mode for Search & replace in the Editor"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/glossary.po	2020-07-16 17:00:22.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: crh\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 #: ../../home/kovid/work/calibre/manual/glossary.rst:3
 msgid "Glossary"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/gui.po	2020-07-02 04:20:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/gui.po	2020-07-16 17:07:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/news.po	2020-06-18 03:19:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/news.po	2020-07-16 16:58:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/regexp.po	2020-07-16 17:04:15.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2912, 
+    "untranslated": 2914, 
     "translated": 1
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/template_lang.po	2020-07-02 04:14:43.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/template_lang.po	2020-07-16 16:56:31.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/crh/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/crh/xpath.po	2020-07-16 17:02:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/develop.po	2020-03-05 04:48:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/develop.po	2020-07-16 16:52:50.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-22 08:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 05:16+0000\n"
 "Last-Translator: Trottel <trottel09@gmail.com>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
@@ -330,9 +330,9 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
-msgstr "Dalším krokem je nastavení proměnné prostředí ``CALIBRE_DEVELOP_FROM`` na absolutní cestu adresáře src. Takže v návaznosti na výše uvedený příklad by to bylo ``C:\\Users\\kovid\\work\\calibre\\src``. `Zde je krátký průvodce <https://docs.python.org/2/using/windows.html#excursus-setting-environment-variables>`_ k nastavení proměnných prostředí v systému Windows."
+msgstr "Dalším krokem je nastavení proměnné prostředí ``CALIBRE_DEVELOP_FROM`` na absolutní cestu adresáře src. Takže v návaznosti na výše uvedený příklad by to bylo ``C:\\Users\\kovid\\work\\calibre\\src``. `Zde je krátký průvodce <https://docs.python.org/using/windows.html#excursus-setting-environment-variables>`_ k nastavení proměnných prostředí v systému Windows."
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:172
 msgid ""
@@ -561,9 +561,9 @@ msgstr "Nyní otevřete terminálu nebo
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
-msgstr "Jak používat ladicí program Pythonu, si můžete přečíst v `dokumentaci stdlib Pythonu pro modul pdb <https://docs.python.org/2/library/pdb.html#debugger-commands>`_."
+msgstr "Jak používat ladicí program Pythonu, si můžete přečíst v `dokumentaci stdlib Pythonu pro modul pdb <https://docs.python.org/library/pdb.html#debugger-commands>`_."
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:339
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/function_mode.po	2020-07-16 17:08:50.000000000 +0000
@@ -3,20 +3,20 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Trottel <trottel09@gmail.com>, 2016-2017
+# Trottel <trottel09@gmail.com>, 2016-2017,2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-21 15:39+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 05:20+0000\n"
 "Last-Translator: Trottel <trottel09@gmail.com>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: cs\n"
-"Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
+"Plural-Forms: nplurals=4; plural=(n == 1 && n % 1 == 0) ? 0 : (n >= 2 && n <= 4 && n % 1 == 0) ? 1: (n % 1 != 0 ) ? 2 : 3;\n"
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:2
 msgid "Function mode for Search & replace in the Editor"
@@ -36,9 +36,9 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
-msgstr "Ve standardním režimu *regulární výraz* pro hledání a nahrazení zadáváte jak regulární výraz pro hledání, tak šablonu, která je použita pro nahrazení všech nalezených shod. V režimu funkcí, namísto použití pevné šablony, zadáte libovolnou funkci v `programovacím jazyce Python <https://docs.python.org/2.7/>`_. Umožní vám to udělat spoustu věcí, které nejsou možné u jednoduchých šablon."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
+msgstr "Ve standardním režimu *regulární výraz* pro hledání a nahrazení zadáváte jak regulární výraz pro hledání, tak šablonu, která je použita pro nahrazení všech nalezených shod. V režimu funkcí, namísto použití pevné šablony, zadáte libovolnou funkci v `programovacím jazyce Python <https://docs.python.org/>`_. Umožní vám to udělat spoustu věcí, které nejsou možné u jednoduchých šablon."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
 msgid ""
@@ -91,12 +91,11 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
-msgstr "Každá vlastní funkce :guilabel:`Najít a nahradit` musí mít jedinečný název a skládat se z funkce Pythonu s názvem replace, která přijímá všechny výše uvedené parametry. Pro tuto chvíli se nebudeme starat o všechny různé parametry funkce ``replace()``. Soustředíme se pouze na parametr ``match``. Zastupuje shodu při spuštění hledat a nahradit. Jeho úplná dokumentace je dostupná `zde <https://docs.python.org/2.7/library/re.html#match-objects>`_.  ``match.group()`` jednoduše vrátí všechny odpovídající texty a vše, co uděláme je, že nahradíme pomlčky v tomto textu dlouhými pomlčkami, nejdříve se dvojité pomlčky a potom jednotlivé pomlčky."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
+msgstr "Každá vlastní funkce :guilabel:`Najít a nahradit` musí mít jedinečný název a skládat se z funkce Pythonu s názvem replace, která přijímá všechny výše uvedené parametry. Pro tuto chvíli se nebudeme starat o všechny různé parametry funkce ``replace()``. Soustředíme se pouze na parametr ``match``. Zastupuje shodu při spuštění hledat a nahradit. Jeho úplná dokumentace je dostupná `zde <https://docs.python.org/library/re.html#match-objects>`_.  ``match.group()`` jednoduše vrátí všechny odpovídající texty a vše, co uděláme je, že nahradíme pomlčky v tomto textu dlouhými pomlčkami, nejdříve se dvojité pomlčky a potom jednotlivé pomlčky."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
 msgid "Use this function with the find regular expression::"
@@ -254,11 +253,11 @@ msgstr "Parametr ``match``"
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
-msgstr "Parametr ``match`` představuje aktuálně nalezenou shodu. Je to `objekt Match Pythonu <https://docs.python.org/2.7/library/re.html#match-objects>`_. Jeho nejužitečnější metoda je ``group()``, která může být použita k získání textu odpovídajícího jednotlivým skupin zachycování v hledání regulárního výrazu."
+msgstr "Parametr ``match`` představuje aktuálně nalezenou shodu. Je to `objekt Match Pythonu <https://docs.python.org/library/re.html#match-objects>`_. Jeho nejužitečnější metoda je ``group()``, která může být použita k získání textu odpovídajícího jednotlivým skupin zachycování v hledání regulárního výrazu."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:248
 msgid "The ``number`` argument"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/glossary.po	2020-07-16 16:59:32.000000000 +0000
@@ -3,21 +3,21 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Trottel <trottel09@gmail.com>, 2014,2017
+# Trottel <trottel09@gmail.com>, 2014,2017,2020
 # Trottel <trottel09@gmail.com>, 2014
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:41+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 05:19+0000\n"
 "Last-Translator: Trottel <trottel09@gmail.com>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: cs\n"
-"Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
+"Plural-Forms: nplurals=4; plural=(n == 1 && n % 1 == 0) ? 0 : (n >= 2 && n <= 4 && n % 1 == 0) ? 1: (n % 1 != 0 ) ? 2 : 3;\n"
 
 #: ../../home/kovid/work/calibre/manual/glossary.rst:3
 msgid "Glossary"
@@ -111,6 +111,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Regulární výrazy** poskytují stručný a pružný způsob pro identifikaci řetězců zkoumaného textu, jako jsou určité znaky, slova nebo vzory znaků. Podívejte se na syntaxi regexp <https://docs.python.org/2.7/library/re.html>`_  pro syntaxi regulárních výrazů používaných v Pythonu."
+msgstr "**Regulární výrazy** poskytují stručný a pružný způsob pro identifikaci řetězců zkoumaného textu, jako jsou určité znaky, slova nebo vzory znaků. Podívejte se na syntaxi regexp <https://docs.python.org/library/re.html>`_  pro syntaxi regulárních výrazů používaných v Pythonu."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/gui.po	2020-07-02 04:21:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/gui.po	2020-07-16 17:06:02.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 05:34+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 05:02+0000\n"
 "Last-Translator: Trottel <trottel09@gmail.com>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
@@ -803,13 +803,13 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
 "Regular expression searches are 'contains' searches unless the expression "
 "contains anchors."
-msgstr "Vyhledávání rovnosti jsou označena přidáním předpony symbolu rovnosti (=) hledanému řetězci. Například dotazu ``tag:\"=science\"`` bude odpovídat \"science\", ale ne \"science fiction\" nebo \"hard science\". Vyhledávání pomocí regulárních výrazů jsou označena přidáním předpony vlnovky (~) hledanému řetězci. Mohou být použity jakékoliv `regulární výrazy kompatibilní s Pythonem <https://docs.python.org/2/library/re.html>`_ . Pamatujte, že zpětná lomítka používaná pro uvození speciálních znaků v regulárních výrazech musí být dvojitá, protože jednoduchá zpětná lomítka budou odebrána během analýzy dotazu. Například pro porovnání prostých závorek musíte zadat ``\\\\(``. Vyhledávání pomocí regulárních výrazů jsou vyhledávání typu 'obsahuje', pokud výraz neobsahuje kotvy."
+msgstr "Vyhledávání rovnosti jsou označena přidáním předpony symbolu rovnosti (=) hledanému řetězci. Například dotazu ``tag:\"=science\"`` bude odpovídat \"science\", ale ne \"science fiction\" nebo \"hard science\". Vyhledávání pomocí regulárních výrazů jsou označena přidáním předpony vlnovky (~) hledanému řetězci. Mohou být použity jakékoliv `regulární výrazy kompatibilní s Pythonem <https://docs.python.org/library/re.html>`_ . Pamatujte, že zpětná lomítka používaná pro uvození speciálních znaků v regulárních výrazech musí být dvojitá, protože jednoduchá zpětná lomítka budou odebrána během analýzy dotazu. Například pro porovnání prostých závorek musíte zadat ``\\\\(``. Vyhledávání pomocí regulárních výrazů jsou vyhledávání typu 'obsahuje', pokud výraz neobsahuje kotvy."
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:351
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/news.po	2020-06-18 03:19:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/news.po	2020-07-16 16:57:41.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 06:44+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 05:02+0000\n"
 "Last-Translator: Trottel <trottel09@gmail.com>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
@@ -239,8 +239,8 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
-msgstr "Ve výše uvedeném ``def print_version(self, url)`` definuje *metodu*, která je volána Calibre pro každý článek. ``url`` je URL původního článku. ``print_version`` dělá to, že vezme tuto URL a nahradí ji novou URL, která odkazuje na tiskovou verzi článku. Abyste se naučili více o `Pythonu <https://www.python.org>`_, podívejte se na `kurz <https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
+msgstr "Ve výše uvedeném ``def print_version(self, url)`` definuje *metodu*, která je volána Calibre pro každý článek. ``url`` je URL původního článku. ``print_version`` dělá to, že vezme tuto URL a nahradí ji novou URL, která odkazuje na tiskovou verzi článku. Abyste se naučili více o `Pythonu <https://www.python.org>`_, podívejte se na `kurz <https://docs.python.org/tutorial/>`_."
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/regexp.po	2020-07-16 17:03:14.000000000 +0000
@@ -3,14 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Trottel <trottel09@gmail.com>, 2014-2015,2017-2018
+# Trottel <trottel09@gmail.com>, 2014-2015,2017-2018,2020
 # Trottel <trottel09@gmail.com>, 2014
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 05:15+0000\n"
 "Last-Translator: Trottel <trottel09@gmail.com>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
@@ -438,8 +438,8 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "No, je asi na čase uzavřít velice krátký úvod do regulárních výrazů. Doufám, že jsem vám ukázal dost, abyste alespoň mohli začít, a umožnil vám pokračovat v samostatném učení – dobrým výchozím bodem je `Dokumentace Pythonu pro regulární výrazy <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
+msgstr "No, je asi na čase uzavřít velice krátký úvod do regulárních výrazů. Doufám, že jsem vám ukázal dost, abyste alespoň mohli začít a umožnil vám pokračovat v samostatném učení – dobrým výchozím bodem je `Dokumentace Pythonu pro regulární výrazy <https://docs.python.org/library/re.html>`_."
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
 msgid ""
@@ -494,5 +494,8 @@ msgstr "Orpheu"
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Více o regulárních výrazech najdete v `Uživatelské příručce Pythonu <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
+msgstr "Více informací o regulárních výrazech naleznete v `Uživatelské příručce Pythonu <https://docs.python.org/library/re.html>`_. Skutečná knihovna regulárních výrazů používaná Calibre je: `regex <https://bitbucket.org/mrabarnett/mrab-regex/src/hg/>`_, která podporuje několik užitečných vylepšení oproti standardní knihovně Pythonu."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 1146, 
+    "untranslated": 1148, 
     "translated": 1767
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/template_lang.po	2020-07-02 04:15:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/template_lang.po	2020-07-16 16:55:08.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cs/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cs/xpath.po	2020-07-16 17:01:20.000000000 +0000
@@ -3,14 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Trottel <trottel09@gmail.com>, 2014-2015,2017
+# Trottel <trottel09@gmail.com>, 2014-2015,2017,2020
 # Trottel <trottel09@gmail.com>, 2014
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 05:13+0000\n"
 "Last-Translator: Trottel <trottel09@gmail.com>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
@@ -161,5 +161,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "``re:test(zdroj, vzor, příznaky)`` vrací `true`, pokud řetězec `zdroj` odpovídá regulárnímu výrazu `vzor`. Obzvlášť užitečný příznak je ``i``, porovnání je pak bez rozlišení malých a velkých písmen. Dobré základy syntaxe pro regulární výrazy můžete nalézt na `syntaxe regexp <https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
+msgstr "``re:test(zdroj, vzor, příznaky)`` vrací `true`, pokud řetězec `zdroj` odpovídá regulárnímu výrazu `vzor`. Obzvlášť užitečný příznak je ``i``, porovnání je pak bez rozlišení malých a velkých písmen. Dobré základy syntaxe pro regulární výrazy můžete nalézt na `syntaxe regexp <https://docs.python.org/library/re.html>`_"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/customize.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/customize.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/customize.pot	2020-07-03 02:14:24.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/customize.pot	2020-07-16 17:18:10.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/develop.po	2020-03-05 04:49:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/develop.po	2020-07-16 16:53:14.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/function_mode.po	2020-07-16 17:09:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/glossary.po	2020-07-16 16:59:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/gui.po	2020-07-02 04:21:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/gui.po	2020-07-16 17:06:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/news.po	2020-06-18 03:19:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/news.po	2020-07-16 16:58:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/regexp.po	2020-07-16 17:03:34.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2904, 
+    "untranslated": 2906, 
     "translated": 9
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/template_lang.po	2020-07-02 04:15:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/template_lang.po	2020-07-16 16:55:41.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/cy/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/cy/xpath.po	2020-07-16 17:01:40.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/da/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/da/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/da/develop.po	2020-03-05 04:48:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/da/develop.po	2020-07-16 16:52:39.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/da/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/da/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/da/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/da/function_mode.po	2020-07-16 17:08:39.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/da/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/da/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/da/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/da/glossary.po	2020-07-16 16:59:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/da/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/da/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/da/gui.po	2020-07-02 04:21:37.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/da/gui.po	2020-07-16 17:05:46.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
@@ -802,7 +802,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/da/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/da/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/da/news.po	2020-06-18 03:18:58.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/da/news.po	2020-07-16 16:57:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/da/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/da/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/da/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/da/regexp.po	2020-07-16 17:03:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/da/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/da/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/da/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/da/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2839, 
+    "untranslated": 2841, 
     "translated": 74
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/da/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/da/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/da/template_lang.po	2020-07-02 04:15:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/da/template_lang.po	2020-07-16 16:54:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/da/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/da/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/da/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/da/xpath.po	2020-07-16 17:01:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/db_api.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/db_api.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/db_api.pot	2020-07-03 02:15:36.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/db_api.pot	2020-07-16 17:18:07.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/de/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/de/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/de/develop.po	2020-03-05 04:49:14.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/de/develop.po	2020-07-16 16:53:41.000000000 +0000
@@ -7,7 +7,7 @@
 # Ettore Atalan <atalanttore@googlemail.com>, 2014
 # 3Stadt <matthieu@3-stadt.de>, 2016
 # Max Vogl <mail@max-vogl.de>, 2014
-# Rouven Wachhaus <inactive+rwchhs@transifex.com>, 2015
+# 75b2456ff925a21e1fb1c9b0eec898b6_dd7fae1 <eacf3b7eb4b0679577492913a01c86b6_200915>, 2015
 # Simon Schütte, 2014-2016
 # Simon Schütte, 2014
 # RiseT, 2015-2016
@@ -16,8 +16,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
@@ -335,7 +335,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -566,7 +566,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/de/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/de/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/de/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/de/function_mode.po	2020-07-16 17:09:40.000000000 +0000
@@ -8,15 +8,15 @@
 # Johannes Schöpp <mail@jschpp.de>, 2016
 # Moritz, 2015
 # rs_bitbucket, 2016
-# Rouven Wachhaus <rouvenwachhaus@live.de>, 2015
-# Simon_Schuette <simonschuette@arcor.de>, 2015
+# 75b2456ff925a21e1fb1c9b0eec898b6_dd7fae1 <eacf3b7eb4b0679577492913a01c86b6_200915>, 2015
+# Simon Schütte, 2015
 # RiseT, 2016
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-23 20:30+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
@@ -43,8 +43,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -98,11 +98,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -261,9 +260,9 @@ msgstr "Das ``match``-Argument"
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/de/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/de/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/de/glossary.po	2019-10-17 02:21:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/de/glossary.po	2020-07-16 17:00:11.000000000 +0000
@@ -13,9 +13,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-10-08 07:08+0530\n"
-"PO-Revision-Date: 2019-10-09 20:55+0000\n"
-"Last-Translator: RiseT\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -115,6 +115,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Reguläre Ausdrücke** stellen eine präzise und flexible Beschreibung zur Verfügung, um gesuchte Textzeichenfolgen, wie beispielsweise bestimmte Zeichen, Wörter oder Zeichenmuster, zu identifizieren. Siehe `regexp syntax <https://docs.python.org/2.7/library/re.html>`_ für die Syntax von regulären Ausdrücken, die in Python verwendet werden."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/de/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/de/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/de/gui.po	2020-07-02 04:21:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/de/gui.po	2020-07-16 17:07:11.000000000 +0000
@@ -15,8 +15,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
@@ -809,7 +809,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/de/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/de/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/de/news.po	2020-06-18 03:19:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/de/news.po	2020-07-16 16:58:25.000000000 +0000
@@ -15,8 +15,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
@@ -243,7 +243,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/de/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/de/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/de/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/de/regexp.po	2020-07-16 17:03:59.000000000 +0000
@@ -5,20 +5,20 @@
 # Translators:
 # Ettore Atalan <atalanttore@googlemail.com>, 2014
 # H K <HK@hallo.ms>, 2016
-# Taktylo <martin.scharer@gmail.com>, 2016
+# 810ed0d0f35477c91d0e6d50016ef5c4, 2016
 # bd sn <mightyscoopa@zoho.com>, 2016
 # Philip De, 2016
 # Philip De, 2016
 # RiseT, 2016
-# Simon_Schuette <simonschuette@arcor.de>, 2015-2016,2018
+# Simon Schütte, 2015-2016,2018
 # RiseT, 2016
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-12-07 10:46+0530\n"
-"PO-Revision-Date: 2018-12-19 13:51+0000\n"
-"Last-Translator: Simon_Schuette <simonschuette@arcor.de>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -445,8 +445,8 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "So, damit ist die sehr kurze Einführung in reguläre Ausdrücke beendet. Hoffentlich habe ich Ihnen so viel gezeigt, dass Sie erstmal einen Anfang finden und dann weiter auf eigene Faust lernen können. Ein guter Ausgangspunkt dafür wäre die (englischsprachige) `Python documentation for regexps \"\n\"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
 msgid ""
@@ -501,5 +501,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Mehr über Reguläre Ausdrücke können Sie im `The Python User Manual <https://docs.python.org/2/library/re.html>`_ lesen."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/de/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/de/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/de/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/de/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 1600, 
-    "translated": 1313
+    "untranslated": 1606, 
+    "translated": 1309
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/de/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/de/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/de/template_lang.po	2020-07-02 04:15:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/de/template_lang.po	2020-07-16 16:56:14.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
@@ -179,7 +179,7 @@ msgstr "Wenn Sie nur die ersten beiden B
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -382,12 +382,20 @@ msgstr "``lookup(Muster, Feld, Muster, F
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -396,7 +404,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -410,7 +418,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr "``shorten(Zeichen_links, Text_Mitte, Zeichen_rechts)`` -- gibt eine gekürzte Version des Feldes zurück, bestehend aus einer Anzahl von `Zeichen_links` Zeichen vom Beginn des Feldes, gefolgt von `Text_Mitte`, gefolgt von einer Anzahl von `Zeichen_rechts` Zeichen vom Ende der Zeichenkette. `Zeichen_links` und `Zeichen_rechts` müssen ganze Zahlen sein. Nehmen wir beispielsweise an, der Titel des Buches lautet \"Ancient English Laws in the Times of Ivanhoe\" und Sie möchten, dass er in eine Zeichenkette von maximal 15 Zeichen passt. Falls Sie ``{title:shorten(9,-,5)}`` verwenden, wird das Ergebnis \"Ancient E-nhoe\" sein. Falls die Feldlänge weniger als `Zeichen_links` + `Zeichen_rechts` + Länge von `Text_Mitte` ist, wird das Feld unverändert verwendet. Beispielsweise würde der Titel \"The Dome\" nicht verändert."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -422,7 +430,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -436,7 +444,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -447,14 +455,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -463,13 +480,13 @@ msgid ""
 "pairs as you want."
 msgstr "``switch(Muster, Wert, Muster, Wert, …, sonst_Wert)`` -- für jedes `Muster, Wert`-Paar wird überprüft, ob das Feld dem regulären Ausdruck `Muster` entspricht, und falls ja, wird der entsprechende `Wert` zurückgegeben. Falls kein `Muster` übereinstimmt, wird `sonst_Wert` zurückgegeben. Sie können so viele `Muster, Wert`-Paare angeben, wie Sie möchten."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr "``test(Text_falls_nicht_leer, Text_falls_leer)`` -- gibt `Text_falls_nicht_leer` zurück, falls das Feld nicht leer ist, andernfalls `Text_falls_leer`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -477,7 +494,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr "``transliterate()`` -- gibt eine Zeichenkette in einem lateinischen Alphabet zurück, gebildet durch Annähern des Klangs der Wörter im Quellfeld. Falls beispielsweise das Quellfeld ``Фёдор Миха́йлович Достоевский`` enthält, gibt die Funktion ``Fiodor Mikhailovich Dostoievskii`` zurück."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -489,17 +506,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr "Verwenden von Funktionen in Vorlagen - Vorlageprogrammmodus"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -507,13 +524,13 @@ msgid ""
 "programming language."
 msgstr "Der Programmmodus der Vorlagensprache unterscheidet sich vom Einzelfunktionsmodus dadurch, dass er Ihnen das Schreiben von Vorlageausdrücken erlaubt, die sich auf andere Metadatenfelder beziehen, Werte verändern und Rechenoperationen durchführen. Er ist eine ziemlich vollständige Programmiersprache."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr "Sie können die die oben im Vorlageprogrammmodus dokumentierten Funktionen verwenden. Siehe unten für Details."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -522,23 +539,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr "Um mit einem Beispiel zu beginnen, nehmen wir an, dass Sie Ihre Vorlage die Serie für ein Buch -- falls es eine hat -- anzeigen lassen wollen, andernfalls soll der Wert eines benutzerdefinierten Felds #Genre angezeigt werden. Sie können dies in der einfachen Sprache nicht tun, da Sie innerhalb eines Vorlageausdrucks kein anderes Metadatenfeld referenzieren können. Im Programmmodus können Sie dies tun. Der folgende Ausdruck funktioniert::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr "Das Beispiel zeigt mehrere Dinge:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr "Der Programmmodus wird verwendet, falls der Ausdruck mit ``:'`` beginnt und mit ``'`` endet. Andernfalls wird von einer Einzelfunktion ausgegangen."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr "Die Variable ``$`` steht für das Feld, auf das der Ausdruck angewendet wird, in diesem Fall ``#series``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -546,16 +563,16 @@ msgid ""
 "from single-function mode."
 msgstr "Funktionen müssen sämtliche ihrer Variablen übergeben werden. Es existiert kein Standardwert. Beispielsweise muss den standardmäßig integrierten Funktionen ein zusätzlicher, das Quellfeld bezeichnender Ausgangsparameter übergeben werden, der einen wesentlichen Unterschied zum Einzelfunktionsmodus darstellt."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr "Leerzeichen werden ignoriert und können überall innerhalb des Ausdrucks verwendet werden."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr "Zeichenkettenkonstanten werden in sich entsprechenden Anführungszeichen eingeschlossen, entweder ``'`` oder ``\"``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -563,15 +580,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr "Die Sprache ähnelt ``funktionalen`` Sprachen in der Form, dass sie nahezu vollständig aus Funktionen aufgebaut ist. Eine Anweisung ist eine Funktion. Ein Ausdruck ist eine Funktion. Konstanten und Bezeichner können als Funktionen gesehen werden, die den Wert zurückgeben, der durch die Konstante bezeichnet oder im Bezeichner gespeichert ist."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr "Der Syntax der Sprache wird durch die folgende Grammatik gezeigt::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr "Kommentare sind Zeilen mit einem '#'-Zeichen am Zeilenanfang."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -579,27 +596,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr "ist 3."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr "Dieses Programm macht Folgendes:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -610,7 +627,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -621,7 +638,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -634,7 +651,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -646,38 +663,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr "Für verschiedene Werte von series_index gibt das Programm Folgendes aus:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr "series_index == undefined, result = ``prefix ->t123 suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr "series_index == 1, result = ``prefix 1->t12 suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr "series_index == 2, result = ``prefix 2->eq suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr "series_index == 3, result = ``prefix 3->gt suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -688,7 +705,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -699,26 +716,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr "``and(Wert, Wert, …)`` -- gibt die Zeichenkette \"1\" zurück, falls alle `Werte` nicht leer sind, andernfalls wird eine leere Zeichenkette zurückgegeben. Diese Funktion arbeitet gut mit den Funktionen \"test\" oder \"first_non_empty\" zusammen. Sie können so viele Werte wie gewünscht angeben."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr "``add(x, y)`` -- Gibt `x` + `y` zurück. Löst einen Ausnahmefehler aus, falls `x` und/oder `y` keine Zahl ist."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "``assign(ID, Wert)`` -- weist `Wert` der `ID` zu und gibt dann `Wert` zurück. `ID` muss ein Bezeichner sein, kein Ausdruck."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -727,7 +744,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr "``approximate_formats()`` -- gibt eine kommagetrennte Liste von Formaten zurück, die zu einem bestimmten Zeitpunkt zu dem Buch gehörten. Es existiert keine Garantie, dass diese Liste korrekt ist, wahrscheinlich ist sie es allerdings. Diese Funktion kann im Vorlageprogrammmodus unter Verwendung der Vorlage ``{program:'approximate_formats()'}`` aufgerufen werden. Beachten Sie, dass Formatnamen immer aus Großbuchstaben bestehen, wie z. B. in \"EPUB\"."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -740,7 +757,7 @@ msgid ""
 "empty."
 msgstr "``author_links(Wertetrennzeichen, Paartrennzeichen)`` -- gibt eine Zeichenkette zurück, die eine Liste von Autoren und den Verweiswerten der entsprechenden Autoren enthält, und zwar in der Form ``Autor1 `Wertetrennzeichen` Autor1Verweis `Paartrennzeichen` Autor2 `Wertetrennzeichen` Autor2Verweis …``. Ein Autor wird von dessen Verweiswert durch die `Wertetrennzeichen`-Zeichenkette ohne zusätzlichen Leerzeichen getrennt. ``Autor:Verweiswert``-Paare werden durch die `Paartrennzeichen`-Zeichenkette ohne zusätzlichen Leerzeichen getrennt. Es liegt an Ihnen, Trennzeichen-Zeichenketten auszuwählen, die weder in Autorennamen, noch in Verweisen vorkommen. Ein Autor ist auch dann enthalten, falls der Autorenverweis leer ist."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -751,13 +768,13 @@ msgid ""
 "separator string"
 msgstr "``author_sorts(Wertetrennzeichen)`` -- gibt eine Zeichenkette zurück, die eine Liste von Autorensortierungswerten für die Autoren des Buchs enthält. Die Sortierung ist jene in den Autormetadaten (unterscheidet sich von der Autorensortierung in Büchern). Die zurückgegebene Liste besitzt die Form ``Autorensortierung1 `Wertetrennzeichen` Autorensortierung2 …`` Die Autorensortierungswerte in dieser Liste besitzen die gleiche Reihenfolge wie die Autoren des Buches. Falls Sie Leerzeichen um das `Wertetrennzeichen` herum wollen, so schließen Sie diese in die Trennzeichen-Zeichenkette mit ein."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr "``booksize()`` -- gibt den Wert von Calibres Größenfeld zurück. Gibt '' zurück, falls keine Formate vorhanden sind."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -767,7 +784,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -775,28 +792,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr "``cmp(x, y, kleiner_als, gleich, größer_als)`` -- vergleicht `x` und `y` nach deren Konvertierung in Zahlenwerte. Gibt `kleiner_als` zurück, wenn `x` < `y`. Gibt `gleich` zurück, wenn `x` == `y`. Andernfalls wird `größer_als` zurückgegeben."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr "``current_library_name()`` -- gibt den letzten Namen im Pfad zur aktuellen Calibre-Bibliothek zurück. Diese Funktion kann im Vorlageprogrammmodus durch Verwendung der Vorlage ``{:'current_library_name()'}`` aufgerufen werden."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr "``current_library_path()`` -- gibt den Pfad zur aktuellen Calibe-Bibliothek zurück. Diese Funktion kann im Vorlageprogrammmodus durch Verwendung der Vorlage ``{:'current_library_path()'}`` aufgerufen werden."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -804,13 +821,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr "``days_between(Datum1, Datum2)`` -- gibt die Anzahl der Tage zwischen `Datum1` und `Datum2` zurück. Die Zahl ist positiv, falls `Datum1` größer als `Datum2` ist, andernfalls negativ. Falls `Datum1` und/oder `Datum2` keine Kalenderdaten sind, wird eine leere Zeichenkette zurückgegeben."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "``divide(x, y)`` -- Gibt `x` / `y` zurück. Löst einen Ausnahmefehler aus, falls `x` und/oder `y` keine Zahl ist."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -821,11 +838,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr "``eval(Zeichenkette)`` - wertet die `Zeichenkette` als ein Programm aus und gibt die lokalen Variablen (jene, die mittels der Funktion ``assign`` zugewiesen wurden) weiter. Dies erlaubt die Verwendung des Vorlagenprozessors zum Erstellen komplexer Ergebnisse aus lokalen Variablen. Da die \"{\"- und \"}\"-Zeichen Spezialfälle sind, müssen Sie \"[[\" für \"{\" und \"]]\" für \"}\" verwenden; diese werden automatisch umgewandelt. Beachten Sie, dass Präfixe und Suffixe (der Syntax `|prefix|suffix`) nicht innerhalb des Arguments dieser Funktion verwendet werden können, wenn der Vorlageprogrammmodus benutzt wird."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr "``field(Name)`` -- gibt das durch `Name` bezeichnete Metadatenfeld zurück."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -833,27 +850,27 @@ msgid ""
 "Example::"
 msgstr "``first_matching_cmp(Wert, Vergleichswert1, Ergebnis1, Vergleichswert2, Ergebnis2, …, sonst_Ergebnis)`` -- vergleicht nacheinander `Wert` < `VergleichswertN` und gibt für den ersten erfolgreichen Vergleich `ErgebnisN` zurück. Falls kein Vergleich erfolgreich ist, wird `sonst_Ergebnis` zurückgegeben. Beispiel::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr "gibt \"groß\" zurück. Dasselbe Beispiel mit einem ersten Wert von 16 gibt \"riesig\" zurück."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr "``first_non_empty(Wert, Wert, …)`` -- gibt den ersten nicht leeren `Wert` zurück. Falls alle Werte leer sind, wird ein leerer Wert zurückgegeben. Sie können so viele Werte wie gewünscht angeben."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -862,7 +879,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -873,14 +890,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -890,7 +907,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr "``formats_modtimes(Formatzeichenkette)`` -- gibt eine kommagetrennte Liste von doppelpunktgetrennten Elementen zurück, welche die Änderungszeitpunkte für die Formate eines Buches darstellen. Der Parameter `Formatzeichenkette` gibt die Formatierung des Datums an. Siehe die Funktion ``format_date()`` für Details. Sie können die Funktion ``select`` verwenden, um den Änderungszeitpunkt für ein bestimmtes Format zu erhalten. Beachten Sie, dass Formatnamen immer aus Großbuchstaben bestehen, wie z. B. in \"EPUB\"."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -898,7 +915,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_paths()`` -- gibt eine kommagetrennte Liste von doppelpunktgetrennten Elementen zurück, welche den vollen Pfad zu den Formaten eines Buches darstellen. Sie können die Funktion ``select`` verwenden, um den Pfad für ein bestimmtes Format zu erhalten. Beachten Sie, dass Formatnamen immer aus Großbuchstaben bestehen, wie z. B. in \"EPUB\"."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -906,20 +923,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_sizes()`` -- gibt eine kommagetrennte Liste von doppelpunktgetrennten Elementen zurück, welche die Größen in Bytes der Formate eines Buches darstellen. Sie können die Funktion ``select`` verwenden, um die Größe für ein bestimmtes Format zu erhalten. Beachten Sie, dass Formatnamen immer aus Großbuchstaben bestehen, wie z. B. in \"EPUB\"."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr "``has_cover()`` -- gibt \"Yes\" zurück, falls das Buch ein Titelbild besitzt, andernfalls wird eine leere Zeichenkette zurückgegeben."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "``not(Wert)`` -- gibt die Zeichenkette \"1\" zurück, falls der `Wert` leer ist, andernfalls wird eine leere Zeichenkette zurückgegeben. Diese Funktion arbeitet gut mit den Funktionen ``test`` oder ``first_non_empty`` zusammen."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -927,7 +944,7 @@ msgid ""
 "are the items in the returned list."
 msgstr "``list_difference(Liste1, Liste2, Trennzeichen)`` -- gibt eine Liste zurück, die durch Entfernen jedes Elements von `Liste1`, das in `Liste2` gefunden wird, unter Verwendung eines von Groß-/Kleinschreibung unabhängigen Vergleichs erstellt wird. Die Elemente in `Liste1` und `Liste2` werden durch `Trennzeichen` voneinander getrennt, ebenso wie die Elemente der zurückgegebenen Liste."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -936,7 +953,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr "``list_equals(Liste1, Trennzeichen1, Liste2, Trennzeichen2, ja_Wert, nein_Wert)`` -- gibt `ja_Wert` zurück, falls `Liste1` und `Liste2` die gleichen Elemente enthalten, andernfalls wird `nein_Wert` zurückgegeben. Die Elemente werden durch Aufteilen jeder Liste unter Verwendung des entsprechenden Trennzeichens (`Trennzeichen1` oder `Trennzeichen2`) bestimmt. Die Reihenfolge der Elemente in den Listen ist dabei irrelevant. Der Vergleich ignoriert die Groß-/Kleinschreibung."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -944,7 +961,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr "``list_intersection(Liste1, Liste2, Trennzeichen)`` -- gibt eine Liste zurück, die durch Entfernen jedes Elements von `Liste1`, das in `Liste2` nicht gefunden wird, unter Verwendung eines von Groß-/Kleinschreibung unabhängigen Vergleichs erstellt wird. Die Elemente in `Liste1` und `Liste2` werden durch `Trennzeichen` voneinander getrennt, ebenso wie die Elemente der zurückgegebenen Liste."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -954,7 +971,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -962,7 +979,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -970,7 +987,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -979,46 +996,46 @@ msgid ""
 "returned list."
 msgstr "``list_union(Liste1, Liste2, Trennzeichen)`` -- gibt eine Liste zurück, die durch Zusammenführen der Elemente aus `Liste1` und `Liste2` erstellt wird, wobei Elementduplikate durch einen von Groß-/Kleinschreibung unabhängigen Vergleich entfernt werden. Falls sich Elemente in der Groß-/Kleinschreibung unterscheiden, wird das Element aus `Liste1` verwendet. Die Elemente in `Liste1` und `Liste2` werden durch `Trennzeichen` voneinander getrennt, ebenso wie die Elemente der zurückgegebenen Liste."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1030,17 +1047,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1050,19 +1067,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1072,20 +1089,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1097,15 +1114,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr "Funktionsklassifikation"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr "Verwenden des Allgemeinen Programmmodus"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1115,7 +1132,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1129,7 +1146,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1140,7 +1157,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1149,14 +1166,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1166,11 +1183,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1178,11 +1195,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr "Besondere Hinweise für Speicher-/Sendevorlagen"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1193,18 +1210,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1214,25 +1231,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr "Um das zu erreichen:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1240,11 +1257,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1255,7 +1272,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1266,7 +1283,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1275,29 +1292,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1309,7 +1326,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1319,7 +1336,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1328,34 +1345,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr "Vielleicht finden Sie die folgenden Ratschläge hilfreich."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/de/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/de/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/de/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/de/xpath.po	2020-07-16 17:02:03.000000000 +0000
@@ -5,16 +5,16 @@
 # Translators:
 # Armin Geller <armin.geller@t-online.de>, 2014
 # 3Stadt <matthieu@3-stadt.de>, 2017
-# Simon_Schuette <simonschuette@arcor.de>, 2014-2016,2018
-# Simon_Schuette <simonschuette@arcor.de>, 2014
+# Simon Schütte, 2014-2016,2018
+# Simon Schütte, 2014
 # RiseT, 2015-2016
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-12-07 10:46+0530\n"
-"PO-Revision-Date: 2018-12-19 13:41+0000\n"
-"Last-Translator: Simon_Schuette <simonschuette@arcor.de>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -164,5 +164,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "``re:test(src, pattern, flags)`` gibt `true` zurück, wenn die Zeichenfolge `src` den regulären Ausdruck mit dem Suchmuster `pattern` enthält. Ein besonders hilfreiches Kennzeichen ist ``i``, es findet Zeichenfolgen unabhängig von der Groß-/Kleinschreibung. Eine gute Einführung in die Syntax für reguläre Ausdrücke finden Sie unter `regexp syntax <https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/develop.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/develop.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/develop.pot	2020-07-03 02:14:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/develop.pot	2020-07-16 17:18:28.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/diff.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/diff.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/diff.pot	2020-07-03 02:14:54.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/diff.pot	2020-07-16 17:18:04.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/drm.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/drm.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/drm.pot	2020-07-03 02:14:17.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/drm.pot	2020-07-16 17:18:25.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/edit.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/edit.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/edit.pot	2020-07-03 02:14:01.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/edit.pot	2020-07-16 17:19:06.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/el/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/el/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/el/develop.po	2020-03-05 04:48:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/el/develop.po	2020-07-16 16:53:35.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
@@ -329,7 +329,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -560,7 +560,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/el/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/el/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/el/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/el/function_mode.po	2020-07-16 17:09:34.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-05-04 08:04+0530\n"
-"PO-Revision-Date: 2018-05-14 20:25+0000\n"
-"Last-Translator: Georgios Savopulos <gsavopul@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -36,8 +36,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -91,11 +91,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -254,9 +253,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/el/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/el/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/el/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/el/glossary.po	2020-07-16 17:00:04.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-08-24 07:15+0530\n"
-"PO-Revision-Date: 2018-08-25 06:25+0000\n"
-"Last-Translator: Georgios Savopulos <gsavopul@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "Οι **κανονικές εκφράσεις** αποτελούν ένα συμπαγή και ευπροσάρμοστο τρόπο ανίχνευσης ενδιαφερόντων τμημάτων κειμένου, όπως συγκεκριμένων χαρακτήρων, λέξεων ή σειρών από χαρακτήρες. Δείτε τη `Σύνταξη κανονικών εκφράσεων <https://docs.python.org/2.7/library/re.html>`_ για τον τρόπο σύνταξης κανονικών εκφράσεων στην Python."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/el/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/el/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/el/gui.po	2020-07-02 04:20:56.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/el/gui.po	2020-07-16 17:07:03.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
@@ -805,13 +805,13 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
 "Regular expression searches are 'contains' searches unless the expression "
 "contains anchors."
-msgstr "Οι αναζητήσεις ισότητας ξεχωρίζουν από την ύπαρξη του συμβόλου ισότητας (=) πριν από τον όρο αναζήτησης. Για παράδειγμα, η αναζήτηση ``tag:\"=science\"`` θα επιλέξει το \"science\", αλλά όχι το \"science fiction\" ή το \"hard science\". Οι αναζητήσεις με κανονικές εκφράσεις ξεχωρίζουν από την ύπαρξη του συμβόλου της περισπωμένης (~) πριν από τον όρο αναζήτησης. Οποιαδήποτε `κανονική έκφραση συμβατή με την Python <https://docs.python.org/2/library/re.html>`_ μπορεί να χρησιμοποιηθεί. Να σημειωθεί ότι οι αντιπλάγιες που χρησιμοποιούνται για διαφυγή ειδικών χαρακτήρων σε κανονικές εκφράσεις πρέπει να διπλασιάζονται, καθώς οι μονές αντιπλάγιες αφαιρούνται κατά την επεξεργασία των εκφράσεων αναζήτησης. Για παράδειγμα, για να επιλέξετε ένα χαρακτήρα παρένθεσης, πρέπει να εισάγετε ``\\\\(``. Οι αναζητήσεις κανονικών εκφράσεων είναι αναζητήσεις 'περιεχομένου' εκτός και αν οι εκφράσεις περιέχουν θέσεις χαρακτήρων/anchors."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:351
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/el/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/el/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/el/news.po	2020-06-18 03:19:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/el/news.po	2020-07-16 16:58:19.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
@@ -238,8 +238,8 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
-msgstr "Στα παραπάνω, η ``def print_version(self, url)`` ορίζει μια *μέθοδο* που καλείται από το calibre για κάθε άρθρο. Το ``url`` είναι το URL του αρχικού άρθρου. Αυτό που κάνει η ``print_version`` είναι να πάρει αυτό το url και να το αντικαταστήσει με το νέο URL που δείχνει στην εκτυπώσιμη έκδοση του άρθρου. Για να μάθετε για την `Python <https://www.python.org>`_ δείτε τον `οδηγό εκμάθησης<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/el/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/el/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/el/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/el/regexp.po	2020-07-16 17:03:53.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: LaScapigliata <ditri2000@hotmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -438,7 +438,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -494,5 +494,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/el/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/el/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/el/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/el/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2138, 
-    "translated": 775
+    "untranslated": 2143, 
+    "translated": 772
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/el/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/el/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/el/template_lang.po	2020-07-02 04:14:50.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/el/template_lang.po	2020-07-16 16:56:07.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
@@ -174,7 +174,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -377,12 +377,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -391,7 +399,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -405,7 +413,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -417,7 +425,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -431,7 +439,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -442,14 +450,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -458,13 +475,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -472,7 +489,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -484,17 +501,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -502,13 +519,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -517,23 +534,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -541,16 +558,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -558,15 +575,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -574,27 +591,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr "είναι 3."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr "Το πρόγραμμα αυτό κάνει τα ακόλουθα:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -605,7 +622,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -616,7 +633,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -629,7 +646,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -641,38 +658,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -683,7 +700,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -694,26 +711,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr "``add(x, y)`` -- επιστρέφει x + y. Πετάει εξαίρεση αν κάποιο από τα x ή y δεν είναι αριθμός."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -722,7 +739,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -735,7 +752,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -746,13 +763,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -762,7 +779,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -770,28 +787,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -799,13 +816,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -816,11 +833,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -828,27 +845,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -857,7 +874,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -868,14 +885,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -885,7 +902,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -893,7 +910,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -901,20 +918,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -922,7 +939,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -931,7 +948,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -939,7 +956,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -949,7 +966,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -957,7 +974,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -965,7 +982,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -974,46 +991,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1025,17 +1042,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1045,19 +1062,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1067,20 +1084,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1092,15 +1109,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1110,7 +1127,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1124,7 +1141,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1135,7 +1152,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1144,14 +1161,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1161,11 +1178,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1173,11 +1190,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1188,18 +1205,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1209,25 +1226,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1235,11 +1252,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1250,7 +1267,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1261,7 +1278,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1270,29 +1287,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1304,7 +1321,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1314,7 +1331,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1323,34 +1340,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/el/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/el/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/el/xpath.po	2019-10-17 02:22:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/el/xpath.po	2020-07-16 17:01:59.000000000 +0000
@@ -10,9 +10,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-10-08 07:08+0530\n"
-"PO-Revision-Date: 2019-10-14 02:39+0000\n"
-"Last-Translator: Georgios Savopulos <gsavopul@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -162,5 +162,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/develop.po	2020-03-05 04:49:19.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/develop.po	2020-07-16 16:52:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/function_mode.po	2020-07-16 17:08:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/glossary.po	2020-07-16 16:59:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/gui.po	2020-07-02 04:20:37.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/gui.po	2020-07-16 17:05:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/news.po	2020-06-18 03:18:59.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/news.po	2020-07-16 16:57:39.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/regexp.po	2020-07-16 17:03:10.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2912, 
+    "untranslated": 2914, 
     "translated": 1
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/template_lang.po	2020-07-02 04:14:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/template_lang.po	2020-07-16 16:55:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_AU/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_AU/xpath.po	2020-07-16 17:01:18.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/develop.po	2020-03-05 04:48:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/develop.po	2020-07-16 16:53:08.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/function_mode.po	2020-07-16 17:09:06.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/glossary.po	2020-07-16 16:59:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/gui.po	2020-07-02 04:22:01.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/gui.po	2020-07-16 17:06:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/news.po	2020-06-18 03:19:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/news.po	2020-07-16 16:57:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/regexp.po	2020-07-16 17:03:29.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/template_lang.po	2020-07-02 04:16:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/template_lang.po	2020-07-16 16:55:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_CA/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_CA/xpath.po	2020-07-16 17:01:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/develop.po	2020-03-05 04:48:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/develop.po	2020-07-16 16:52:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/function_mode.po	2020-07-16 17:08:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/glossary.po	2020-07-16 16:59:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/gui.po	2020-07-02 04:20:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/gui.po	2020-07-16 17:05:52.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
@@ -803,7 +803,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/news.po	2020-06-18 03:19:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/news.po	2020-07-16 16:57:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/regexp.po	2020-07-16 17:03:08.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Luke Hollins <luke@farcry.ca>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2673, 
-    "translated": 240
+    "untranslated": 2676, 
+    "translated": 239
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/template_lang.po	2020-07-02 04:14:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/template_lang.po	2020-07-16 16:54:58.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
@@ -174,7 +174,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -377,12 +377,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -391,7 +399,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -405,7 +413,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -417,7 +425,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -431,7 +439,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -442,14 +450,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -458,13 +475,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -472,7 +489,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -484,17 +501,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -502,13 +519,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -517,23 +534,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -541,16 +558,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -558,15 +575,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -574,27 +591,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -605,7 +622,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -616,7 +633,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -629,7 +646,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -641,38 +658,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -683,7 +700,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -694,26 +711,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -722,7 +739,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -735,7 +752,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -746,13 +763,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -762,7 +779,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -770,28 +787,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -799,13 +816,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -816,11 +833,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -828,27 +845,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -857,7 +874,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -868,14 +885,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -885,7 +902,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -893,7 +910,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -901,20 +918,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -922,7 +939,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -931,7 +948,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -939,7 +956,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -949,7 +966,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -957,7 +974,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -965,7 +982,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -974,46 +991,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1025,17 +1042,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1045,19 +1062,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1067,20 +1084,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1092,15 +1109,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1110,7 +1127,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1124,7 +1141,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1135,7 +1152,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1144,14 +1161,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1161,11 +1178,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1173,11 +1190,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1188,18 +1205,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1209,25 +1226,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1235,11 +1252,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1250,7 +1267,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1261,7 +1278,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1270,29 +1287,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1304,7 +1321,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1314,7 +1331,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1323,34 +1340,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/en_GB/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/en_GB/xpath.po	2020-07-16 17:01:15.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Luke Hollins <luke@farcry.ca>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -161,5 +161,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "``re:test(src, pattern, flags)`` returns `true` if the string `src` matches the regular expression `pattern`. A particularly useful flag is ``i``, it makes matching case insensitive. A good primer on the syntax for regular expressions can be found at `regexp syntax <https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/develop.po	2020-03-05 04:48:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/develop.po	2020-07-16 16:52:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/function_mode.po	2020-07-16 17:08:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/glossary.po	2020-07-16 16:59:14.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/gui.po	2020-07-02 04:20:53.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/gui.po	2020-07-16 17:05:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/news.po	2020-06-18 03:19:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/news.po	2020-07-16 16:57:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/regexp.po	2020-07-16 17:02:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2898, 
+    "untranslated": 2900, 
     "translated": 15
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/template_lang.po	2020-07-02 04:14:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/template_lang.po	2020-07-16 16:54:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eo/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eo/xpath.po	2020-07-16 17:01:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es/develop.po	2020-03-05 04:49:17.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es/develop.po	2020-07-16 16:53:47.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-22 15:50+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-05 12:04+0000\n"
 "Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
@@ -328,9 +328,9 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
-msgstr "El siguiente paso es establecer la variable de entorno ``CALIBRE_DEVELOP_FROM`` a la ruta absoluta del directorio src. Por lo tanto, siguiendo el ejemplo anterior, sería ``C:\\Users\\Kovid\\work\\calibre\\src``. `He aquí una breve guía <https://docs.python.org/2/using/windows.html#excursus-setting-environment-variables>`_ para establecer variables de entorno en Windows (en inglés)."
+msgstr "El siguiente paso es establecer la variable de entorno ``CALIBRE_DEVELOP_FROM`` a la ruta absoluta del directorio src. Siguiendo el ejemplo anterior, sería ``C:\\Users\\Kovid\\work\\calibre\\src``. `He aquí una breve guía <https://docs.python.org/using/windows.html#excursus-setting-environment-variables>`_ (en inglés) para establecer variables de entorno en Windows."
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:172
 msgid ""
@@ -559,9 +559,9 @@ msgstr "Ahora abra una terminal o un sí
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
-msgstr "Puede leer acerca de cómo usar el depurador de Python en la `documentación de stdlib de Python para el módulo pdb <https://docs.python.org/2/library/pdb.html#debugger-commands>`_."
+msgstr "Puede leer acerca de cómo usar el depurador de Python en la `documentación de stdlib de Python para el módulo pdb <https://docs.python.org/library/pdb.html#debugger-commands>`_."
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:339
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es/function_mode.po	2020-07-16 17:09:47.000000000 +0000
@@ -4,14 +4,14 @@
 # 
 # Translators:
 # Edgar Carballo <karvayoEdgar@gmail.com>, 2015
-# Jellby <jellby@yahoo.com>, 2014-2017
-# juanda097 <juanda097@protonmail.ch>, 2015
+# Jellby <jellby@yahoo.com>, 2014-2017,2020
+# Juan Jaramillo <juanda097@protonmail.ch>, 2015
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-21 15:39+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-05 12:03+0000\n"
 "Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
@@ -38,9 +38,9 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
-msgstr "En el modo estándar de *expresiones regulares* para buscar y sustituir, se especifica una expresión regular para buscar y una plantilla que se usa para sustituir todas las coincidencias. En el modo de función, en lugar de usar una sola plantilla, se especifica una función arbitraria en el `lenguaje de programación Python <https://docs.python.org/2.7/>`_. Esto le permite hacer muchas cosas que no son posibles sólo con plantillas."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
+msgstr "En el modo estándar de *expresiones regulares* para buscar y sustituir, se especifica una expresión regular para buscar y una plantilla que se usa para sustituir todas las coincidencias. En el modo de función, en lugar de usar una sola plantilla, se especifica una función arbitraria en el `lenguaje de programación Python <https://docs.python.org/>`_. Esto le permite hacer muchas cosas que no son posibles sólo con plantillas."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
 msgid ""
@@ -93,12 +93,11 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
-msgstr "Toda función personalizada de :guilabel:`Buscar y sustituir` debe tener un nombre único y consister en una función Python llamada «replace», que acepte todos los argumentos mostrados arriba. Por ahora no vamos a preocuparnos de los diferentes argumentos de la función ``replace()``. Fíjese sólo en el argumento ``match``. Representa una coincidencia al realizar una búsqueda y sustitución. La documentación completa se encuentra `aquí <https://docs.python.org/2.7/library/re.html#match-objects>`_. ``match.group()`` devuelve todo el texto de la coincidencia y todo lo que hacemos es sustituir los guiones del texto por rayas, sustituyendo primero los guiones dobles y luego los sencillos."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
+msgstr "Toda función personalizada de :guilabel:`Buscar y sustituir` debe tener un nombre único y consister en una función Python llamada «replace», que acepte todos los argumentos mostrados arriba. Por ahora no vamos a preocuparnos de los diferentes argumentos de la función ``replace()``. Fíjese sólo en el argumento ``match``. Representa una coincidencia al realizar una búsqueda y sustitución. La documentación completa se encuentra `aquí <https://docs.python.org/library/re.html#match-objects>`_. ``match.group()`` devuelve todo el texto de la coincidencia y todo lo que hacemos es sustituir los guiones del texto por rayas, sustituyendo primero los guiones dobles y luego los sencillos."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
 msgid "Use this function with the find regular expression::"
@@ -256,11 +255,11 @@ msgstr "El argumento ``match``"
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
-msgstr "El argumento ``match`` representa la coincidencia actual. Es un `objeto Match de Python <https://docs.python.org/2.7/library/re.html#match-objects>`_. Su método más útil es ``group()``, que puede emplearse para obtener el texto correspondiente a los grupos de captura individuales en la expresión regular de búsqueda."
+msgstr "El argumento ``match`` representa la coincidencia actual. Es un `objeto Match de Python <https://docs.python.org/library/re.html#match-objects>`_. Su método más útil es ``group()``, que puede emplearse para obtener el texto correspondiente a los grupos de captura individuales en la expresión regular de búsqueda."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:248
 msgid "The ``number`` argument"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es/glossary.po	2020-07-16 17:00:17.000000000 +0000
@@ -3,16 +3,16 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# dario hereñu <magallania@gmail.com>, 2014
+# Darío Hereñú, 2014
 # soker <eduparra90@gmail.com>, 2014
-# Jellby <jellby@yahoo.com>, 2014,2017
+# Jellby <jellby@yahoo.com>, 2014,2017,2020
 # soker <eduparra90@gmail.com>, 2014
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-05 12:02+0000\n"
 "Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
@@ -113,6 +113,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "Las **expresiones regulares** proporcionan un medio conciso y flexible para identificar fragmentos de texto de interés, como caracteres particulares, palabras o patrones de caracteres. Vea la sintaxis de las expresiones regulares utilizadas en Python `aquí <https://docs.python.org/2.7/library/re.html>`_ (en inglés)."
+msgstr "Las **expresiones regulares** proporcionan un medio conciso y flexible para identificar fragmentos de texto de interés, como caracteres particulares, palabras o patrones de caracteres. Vea la sintaxis de las expresiones regulares utilizadas en Python `aquí <https://docs.python.org/library/re.html>`_ (en inglés)."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es/gui.po	2020-07-02 04:21:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es/gui.po	2020-07-16 17:07:22.000000000 +0000
@@ -17,8 +17,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-20 07:35+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-05 12:02+0000\n"
 "Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
@@ -811,13 +811,13 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
 "Regular expression searches are 'contains' searches unless the expression "
 "contains anchors."
-msgstr "Las búsquedas de igualdad se indican precediendo el texto de búsqueda con el signo igual (=). Por ejemplo, la búsqueda ``tag:\"=ciencia\"`` encontrará «ciencia» pero no «ciencia ficción» o «historia de la ciencia». Las búsquedas por expresión regular se indican precediendo el texto de búsqueda con una tilde (~). Puede usarse cualquier `expresión regular compatible con Python <https://docs.python.org/2/library/re.html>`_. Tenga en cuenta que las barras invertidas usadas para incluir caracteres especiales en las expresiones regulares deben duplicarse, porque las barras invertidas aisladas se eliminan al procesar las búsquedas. Por ejemplo, para encontrar un paréntesis literal debe introducir ``\\\\(``. Las búsquedas con expresiones regulares son de tipo «contiene» a no ser que la expresión contenga puntos de anclaje."
+msgstr "Las búsquedas de igualdad se indican precediendo el texto de búsqueda con el signo igual (=). Por ejemplo, la búsqueda ``tag:\"=ciencia\"`` encontrará «ciencia» pero no «ciencia ficción» o «historia de la ciencia». Las búsquedas por expresión regular se indican precediendo el texto de búsqueda con una tilde (~). Puede usarse cualquier `expresión regular compatible con Python <https://docs.python.org/library/re.html>`_. Tenga en cuenta que las barras invertidas usadas para incluir caracteres especiales en las expresiones regulares deben duplicarse, porque las barras invertidas aisladas se eliminan al procesar las búsquedas. Por ejemplo, para encontrar un paréntesis literal debe introducir ``\\\\(``. Las búsquedas con expresiones regulares son de tipo «contiene» a no ser que la expresión contenga puntos de anclaje."
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:351
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es/news.po	2020-06-18 03:20:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es/news.po	2020-07-16 16:58:31.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 16:09+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-05 12:01+0000\n"
 "Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
@@ -238,8 +238,8 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
-msgstr "En lo anterior, ``def print_version(self, url)`` define un *método* que es utilizado por calibre para cada artículo. ``url`` es la dirección URL del artículo original. Lo que hace ``print_version`` es tomar la dirección URL y sustituirla por la nueva dirección URL que apunta a la versión para imprimir del artículo. Para aprender sobre `Python <https://www.python.org>`_ vea el `cursillo <https://docs.python.org/2/tutorial/>`_ (en inglés)."
+"<https://docs.python.org/tutorial/>`_."
+msgstr "En lo anterior, ``def print_version(self, url)`` define un *método* que es utilizado por calibre para cada artículo. ``url`` es la dirección URL del artículo original. Lo que hace ``print_version`` es tomar la dirección URL y sustituirla por la nueva dirección URL que apunta a la versión para imprimir del artículo. Para aprender sobre `Python <https://www.python.org>`_ vea el `cursillo <https://docs.python.org/tutorial/>`_ (en inglés)."
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es/regexp.po	2020-07-16 17:04:09.000000000 +0000
@@ -3,15 +3,15 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# dario hereñu <magallania@gmail.com>, 2014
-# Jellby <jellby@yahoo.com>, 2014-2018
+# Darío Hereñú, 2014
+# Jellby <jellby@yahoo.com>, 2014-2018,2020
 # Luis gomez quintana <luis.lgq@gmail.com>, 2014
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-05 12:00+0000\n"
 "Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
@@ -439,8 +439,8 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Y con esto concluye la breve introduccion a las expresiones regulares. Espero haberle enseñado lo suficiente para que pueda empezar a trabajar y aprender por su cuenta. Un buen punto de partida sería la `documentación de Python para expresiones regulares <https://docs.python.org/2/library/re.html>`_ (en inglés)."
+"<https://docs.python.org/library/re.html>`_."
+msgstr "Bueno, casi llegamos a la conclusión de la muy breve introducción a las expresiones regulares. Esperemos que le haya mostrado lo suficiente como para, al menos, comenzar y seguir aprendiendo por sí mismo. Un buen punto de partida sería la documentación `Python para expresiones regulares <https://docs.python.org/library/re.html> `_."
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
 msgid ""
@@ -495,5 +495,8 @@ msgstr "Orpheu"
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Para saber más acerca de expresiones regulares, vea `el manual de usario de Python <https://docs.python.org/2/library/re.html>`_ (en inglés)."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
+msgstr "Para más información sobre expresiones regulares, véase `The Python User Manual <https://docs.python.org/library/re.html>`_ (en inglés). El motor de expresiones regulares usado por calibre es en realidad `regex <https://bitbucket.org/mrabarnett/mrab-regex/src/hg/>`_, que añade varias mejoras sobre el estándar de python."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/es/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "untranslated": 0, 
-    "translated": 2913
+    "translated": 2915
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es/template_lang.po	2020-07-02 04:15:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es/template_lang.po	2020-07-16 16:56:23.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-20 07:32+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-05 11:56+0000\n"
 "Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
@@ -179,9 +179,9 @@ msgstr "Si quiere sólo las dos primeras
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
-msgstr "El lenguaje de plantillas de calibre proviene de Python, para obtener más detalles sobre la sintaxis de estas operaciones de formato avanzadas, vea la `documentación de Python <https://docs.python.org/2/library/string.html#format-string-syntax>`_ (en inglés)."
+msgstr "El lenguaje de plantillas de calibre proviene de Python, para obtener más detalles sobre la sintaxis de estas operaciones de formato avanzadas, vea la `documentación de Python <https://docs.python.org/library/string.html#format-string-syntax>`_ (en inglés)."
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:90
 msgid "Advanced features"
@@ -382,12 +382,20 @@ msgstr "``lookup(patrón, campo, patrón
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr "``rating_to_stars(usar_media_estrella)`` -- Devuelve la calificación como caracteres de estrella. El valor de origen debe ser un número entre 0 y 5. Ponga ``usar_media_estrella`` a 1 si quiere caracteres de media estrella para columnas personalizadas de calificación que no sean enteros, por ejemplo 2.5."
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr "``re(patrón, sustitución)`` -- devuelve el campo después de aplicar la expresión regular. Todas las veces que aparezca `patrón` se sustituirá por `sustitución`. Como en todo calibre, se trata de expresiones regulares compatibles con Python."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -396,7 +404,7 @@ msgid ""
 "identifiers for a book."
 msgstr "``select(clave)`` -- interpreta el campo como una lista de elementos separados por comas, con los elementos de la forma «id:valor». Encuentra la pareja con «id» igual a «clave» y devuelve el valor correspondiente. Esta función es particularmente útil para extraer un valor tal como el ISBN del conjunto de identificadores de un libro."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -410,7 +418,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr "``shorten(car_izq, texto_medio, car_der)`` -- devuelve una versión abreviada del campo, consistente en un número `car_izq` de caracteres del principio del campo, seguidos de `texto_medio`, seguido de un número `car_der` de caracteres del final del campo. `car_izq` y `car_der` deben ser números enteros. Por ejemplo, supongamos que el título del libro es «Novísima recopilación de las leyes de España» y que quiere que quepa en un espacio de 15 caracteres a lo sumo. Si usa ``{title:shorten(9,-,5)}``, el resultado será «Novísima -spaña». Si la longitud del campo es menor que `car_izq` + `car_der` + la longitud de `texto_medio`, se usará el campo intacto. Por ejemplo, el título «La colmena» no se cambiará."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -422,7 +430,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr "``str_in_list(separador, texto, encontrado, ..., no_encontrado)`` -- interpreta el campo como una lista de elementos separados por `separador`, y compara `texto` con cada valor de la lista. Si `texto` coincide con alguno de los valores (sin distinción de mayúsculas y minúsculas), devuelve `encontrado`, en caso contrario devuelve `no_encontrado`. Si el texto contiene separadores, también se considera como una lista y se comprueba cada elemento. Los argumentos `patrón` y `encontrado` pueden repetirse tantas veces como se desee, lo que permite devolver diferentes valores según la búsqueda. Los patrones se evalúan en orden. Se devuelve la primera coincidencia."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -436,7 +444,7 @@ msgid ""
 "list. Examples::"
 msgstr "``subitems(índice_inicio, índice_fin)`` -- Esta función se usa para separar listas de elementos jerárquicos de tipo etiqueta, tales como los géneros. Interpreta el campo como una lista de elementos separados por comas, donde cada elemento es a su vez una lista de elementos separados por puntos. Devuelve una nueva lista formada tomando, de cada lista de elementos separados por puntos, los elementos situados entre las posiciones `índice_inicio` e `índice_fin` y combinando los resultados. El primer elemento de cada lista separada por puntos ocupa la posición cero. Si un índice es negativo, se cuenta desde el final de la lista. Como caso especial, si `índice_fin` es cero, se considera que es el final de la lista. Ejemplos::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -447,14 +455,23 @@ msgid ""
 ",C\"::"
 msgstr "``sublist(índice_inicio, índice_fin, separador)`` -- interpreta el campo como una lista de elementos separados por `separador` y devuelve una nueva lista con los elementos comprendidos entre la posición `índice_inicio` e `índice_fin`. El primer elemento ocupa la posición cero. Si un índice es negativo, se cuenta desde el final de la lista. Como caso especial, si `índice_fin` es cero, se considera que es el final de la lista. Ejemplos  suponiendo que la columna de etiquetas (definida como valores separados por comas) contiene «A, B, C»::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr "``swap_around_articles(separador)`` -- devuelve el valor con los artículos puestos al final. El valor puede ser una lista, en cuyo caso se procesará cada elemento de la lista. Si el valor es una lista, debe proporcionar el separador de los elementos de la lista. Si no se proporciona ningún separador, la lista se trata como un único valor, no una lista."
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr "``swap_around_comma()`` -- dado un campo con un valor de la forma ``B, A``, devuelve ``A B``. Esto es útil para convertir nombres en formato APELLIDO, NOMBRE a NOMBRE APELLIDO. Si no hay ninguna coma, la función devuelve «val» sin cambios."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -463,13 +480,13 @@ msgid ""
 "pairs as you want."
 msgstr "``switch(patrón, valor, patrón, valor, ..., otro_valor)`` -- para cada pareja `patrón`, `valor`, comprueba si el campo contiene coincidencias para la expresión regular `patrón` y, en tal caso, devuelve ese `valor`. Si no coincide ningún patrón, devuelve `otro_valor`. Pueden emplearse tantas parejas `patrón`, `valor` como se desee."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr "``test(texto_si_no_vacío, texto_si_vacío)`` -- devuelve `texto_si_no_vacío` si el campo no está vacío, devuelve `texto_si_vacío` en caso contrario."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -477,7 +494,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr "``transliterate()`` -- Devuelve un texto en el alfabeto latino formado por aproximación del sonido de las palabras en el campo de origen. Por ejemplo, si el campo de origen es «Фёдор Миха́йлович Достоевский» la función devuelve «Fiodor Mikhailovich Dostoievskii»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -489,17 +506,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr "Veamos ahora cómo usar funciones y format en el mismo campo. Supongamos que tiene una columna personalizada con números enteros llamada ``#myint``, que quiere mostrar con ceros a la izquierda, como en «003». Para conseguirlo usaría un formato de ``0>3s``. Sin embargo, de manera predeterminada, si un número (entero o decimal) es igual a cero, el campo produce un valor vacío, así que el valor cero no produce nada, no «000». Si realmente quiere ver los valores como «000», debe usar el texto de formato y la función ``ifempty`` para cambiar el valor vacío a cero de nuevo, la referencia al campo sería::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr "Tenga en cuenta que puede usar también prefijo y sufijo. Si desea que el número aparezca como ``[003]`` o ``[000]``, use el campo::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr "Usar funciones en plantillas: modo de programación de plantilla"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -507,13 +524,13 @@ msgid ""
 "programming language."
 msgstr "El modo de programación de lenguaje de plantillas se diferencia del modo de función única en que le permite escribir expresiones de plantilla que se refieren a otros campos de metadatos, modifican valores y realizan operaciones aritméticas. Es un lenguaje de programación razonablemente completo."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr "Puede usar las funciones documentadas anteriormente en modo de programación de plantilla. Véase más adelante para más detalles. "
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -522,23 +539,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr "Para empezar con un ejemplo, supongamos que quiere una plantilla que muestre la serie de un libro si la tiene, y en caso contrario muestre el valor del campo personalizado «#genre». Esto no se puede hacer en el modo básico, porque no se puede hacer referencia a otro campo en la expresión de la plantilla. En el modo de programación sí se puede. La siguiente expresión funciona::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr "El ejemplo muestra varias cosas:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr "el modo de programa se usa si la expresión empieza por ``:'`` y termina por ``'``. Cualquier otra cosa se supone que es una sola función."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr "la variable ``$`` representa el campo sobre el que opera la expresión, ``#series`` en este caso."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -546,16 +563,16 @@ msgid ""
 "from single-function mode."
 msgstr "las funciones deben llevar todos sus argumentos. No hay valores predeterminados. Por ejemplo, las funciones estándar predefinidas deben tener un parámetro inicial que indique el campo de origen, lo que es una diferencia importante con respecto al modo de función única."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr "los espacios en blanco se ignoran y se pueden utilizar en cualquier lugar dentro de la expresión."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr "los textos constantes se encierran en comillas del mismo tipo, ya sea ``'`` o ``\"``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -563,15 +580,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr "El lenguaje es parecido a los lenguajes «funcionales», en tanto que se construye casi únicamente a base de funciones. Una sentencia es una función. Una expresión es una función. Las constantes e identificadores pueden interpretarse como funciones que devuelven el valor indicado por la constante o almacenado en el identificador."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr "La sintaxis del lenguaje se muestra en la siguiente gramática::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr "Los comentarios son líneas que empiezan por un carácter «#»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -579,27 +596,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr "Una expresión siempre tiene un valor, ya sea el valor de la constante, el valor contenido en el identificador o el valor devuelto por una función. El valor de una sentencia es el valor de la última expresión de la secuencia de sentencias. Así, el valor del siguiente programa (sentencia)::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr "es 3."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr "Otro ejemplo de un programa complejo pero más bien tonto podría ayudar a aclarar las cosas::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr "Este programa hace lo siguiente:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr "especifica que el campo que se examina es series_index. Esto establece el valor de la variable ``$``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -610,7 +627,7 @@ msgid ""
 "before substr can return."
 msgstr "ejecuta la función ``substr``, que toma 3 argumentos ``(texto, inicio, fin)``. Devuelve un texto formado extrayendo los caracteres entre `inicio`  y `fin` de `texto` (el primer carácter es el número cero). En este caso, el texto se calcula mediante la función ``strcat``, `inicio` es 0 y `fin` es 6. En este caso, devolverá los primeros 6 caracteres del texto devuelto por ``strcat``, que debe evaluarse antes de que ``substr`` pueda finalizar."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -621,7 +638,7 @@ msgid ""
 "return."
 msgstr "ejecuta la función ``strcat`` (concatenación de textos). ``strcat`` acepta 1 o más argumentos, y devuelve un texto formado por la concatenación de todos los valores. En este caso hay tres argumentos. El primer argumento es el valor en ``$``, que aquí es el valor de ``series_index``. El segundo parámetro es el texto constante ``'->'``. El tercer parámetro es el valor devuelto por la función ``cmp``, que debe evaluarse completamente antes de que ``strcat`` pueda finalizar."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -634,7 +651,7 @@ msgid ""
 "``'gt'``."
 msgstr "La función ``cmp`` toma 5 argumentos ``(x, y, mn, ig, my)``. Compara `x` e `y` y devuelve el tercer argumento, `mn` si `x` < `y`, el cuarto argumento, `ig`, si `x` = `y`, y el quinto argumento, `my`, si `x` > `y`. Como en todas las funciones, todos los parámetros pueden ser sentencias. En este caso el primer parámetro (el valor de `x`) es el resultado de dividir ``series_index`` entre 2. El segundo parámetro, `y`, es la constante ``1``. El tercer parámetro, `mn` es una sentencia (volveremos a él más adelante). El cuarto parámetro, `ig`, es el texto constante ``'eq'``. El quinto parámetro es el texto constante ``'gt'``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -646,38 +663,38 @@ msgid ""
 "``'t123'``."
 msgstr "El tercer parámetro (el de `mn`) es una sentencia, o una sequencia de expresiones. Recuerde que una sentencia (una sentencia de expresiones separadas por punto y coma) también es una expresión, que devuelve el valor de la última expresión de la lista. En este caso, el programa primero asigna el valor ``1`` a la variable local ``c``, después devuelve un subtexto creado extrayendo desde el carácter número `c` hasta el final. Puesto que `c` siempre contiene la constante ``1``, el subtexto devolverá los caracteres desde el segundo hasta el final, o ``'t123'``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr "Una vez que se ejecuta la sentencia que proporciona un valor para el tercer parámetro, ``cmp`` puede devolver un valor. En este punto, ``strcat`` puede devolver un valor, y ``substr`` puede devolver un valor. Entonces el programa finaliza."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr "Para distintos valores de series_index, el programa devuelve:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr "series_index == undefined, resultado = ``prefix ->t123 suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr "series_index == 0.5, resultado = ``prefix 0.50-> suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr "series_index == 1, resultado = ``prefix 1->t12 suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr "series_index == 2, resultado = ``prefix 2->eq suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr "series_index == 3, resultado = ``prefix 3->gt suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -688,7 +705,7 @@ msgid ""
 " often `field()`."
 msgstr "**Todas las funciones mostradas en el modo de función única puede usarse en el modo de programación.** Para ello debe proporcionar el valor sobre el que actuará la función como primer parámetro, además de los parámetros documentados anteriormente. Por ejemplo, en el modo de programación los parámetros de la función ``test`` son ``test(x, texto_si_no_vacío, texto_si_vacío)``. El parámetro `x`, que es el valor que se comprueba, casi siempre será una variable o una llamada una función, a menudo ``field()``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -699,26 +716,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr "Las siguientes funciones están disponibles, además de las descritas en el modo de función única. Recuerde del ejemplo anterior que las funciones del modo de función única requieren un primer parámetro adicional que especifique el campo sobre el que se opera. Excepto el parámetro ``id`` de ``assign``, todos los parámetros pueden ser sentencias (secuencias de expresiones). Tenga en cuenta que la documentación definitiva de las funciones está disponible en la sección :ref:`Clasificación de funciones <template_functions_reference>`:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr "``and(valor, valor, ...)`` -- devuelve el texto «1» si todos los valores son no vacíos, en caso contrario devuelve un texto vacío. Esta función opera bien con ``test`` o ``first_non_empty``. Pueden usarse tantos valores como se desee."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr "``add(x, y)`` -- devuelve `x` + `y`. Da un error si `x` o `y` no son números."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "``assign(id, val)`` -- asigna `val` a `id` y devuelve `val`. `id` debe ser un identificador, no una expresión"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -727,7 +744,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr "``approximate_formats()`` -- devuelve una lista separada por comas de formatos que en algún momento estuvieron asociados con el libro. No hay garantía de que esta lista sea correcta, aunque probablemente lo sea. Esta función puede ejecutarse en el modo de programación de plantillas usando la plantilla ``{:'approximate_formats()'}``. Tenga en cuenta que los nombres de formato están siempre en mayúsculas, como en «EPUB»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -740,7 +757,7 @@ msgid ""
 "empty."
 msgstr "``author_links(sep_val, sep_par)`` -- devuelve un texto que contiene una lista de autores y enlaces de autores de la forma: ``autor1 sep_val enlace_autor1 sep_par autor2 sep_val enlace_autor2`` etc. Cada autor está separado de su correspondiente enlace por el texto `sep_val`, sin espacios adicionales. Los pares ``autor:enlace_autor`` están separados por el texto `sep_par`, sin espacios adicionales. Es responsabilidad del usuario proporcionar separadores que no aparezcan en los nombres o enlaces de autor. El nombre de autor se incluye aunque su enlace esté vacío."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -751,13 +768,13 @@ msgid ""
 "separator string"
 msgstr "``author_sorts(separador)`` -- devuelve un texto que contiene la lista de valores de orden de autor para los autores del libro. El orden de autor es el que figura en los metadatos de autores (diferente del valor de orden de autor del libro). La lista devuelta es de la forma ``orden_de_autor_1 separador orden_de_autor_2`` etc. Los valores de orden de autor en la lista están en el mismo orden que los autores del libro. Si quiere espacios alrededor de `separador`, inclúyalos en el valor."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr "``booksize()`` -- devuelve el valor del campo «tamaño» de calibre. Devuelve «» si no hay formatos."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -767,7 +784,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr "``check_yes_no(nombre_de_campo, no_definido, es_false, es_true)`` -- comprueba si el valor del campo de tipo sí o no identificado por la clave de búsqueda ``nombre_de campo`` coincide con el valor especificado en los parámetros. Devuelve «yes» si coincide, y un texto vació en caso contrario. Establezca el parámetro ``no_definido``, ``es_false`` o ``es_true`` a 1 (el número) para comprobar dicha condición, en caso contrario establézcalos a 0. Ejemplo:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -775,28 +792,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr "devuelve «yes» si el campo de tipo sí o no ``\"#bool\"`` es True o no está definido (no es ni True ni False). Más de uno de ``no_definido``, ``es_false`` y ``es_true`` puede ser 1. Esta función se usa normalmente con las funciones ``test()`` o ``is_empty()``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr "``cmp(x, y, mn, ig, my)`` -- compara `x` e `y` después de convertirlas en números. Devuelve `mn` si `x` < `y`. Devuelve `ig` si `x` == `y`. Devuelve `my` en otros casos."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr "``current_library_name()`` -- devuelve la última parte de la ruta a la biblioteca de calibre actual. Esta función puede llamarse en el modo de programación de plantilla usando la plantilla ``{:'current_library_name()'}``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr "``current_library_path()`` -- devuelve la ruta a la biblioteca de calibre actual. Esta función puede usarse en el modo de programación de plantillas utilizando la plantilla ``{:'current_library_path()'}``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -804,13 +821,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr "``days_between(fecha1, fecha2)`` -- devuelve el número de días entre `fecha1` y `fecha2`. El número es positivo si `fecha1` es posterior a `fecha2`, en caso contrario es negativo. Si `fecha1` o `fecha2` no son fechas, la función devuelve un texto vacío."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "``divide(x, y)`` -- devuelve `x` / `y`. Da un error si `x` o `y` no son números."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -821,11 +838,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr "``eval(texto)`` -- evalúa `texto` como un programa, pasando las variables locales (las definidas con ``assign``). Esto permite usar el procesador de plantillas para elaborar resultados complejos a partir de variables locales. Dado que los caracteres ``{`` y ``}`` tienen un uso especial, debe usarse ``[[`` en lugar de ``{`` y ``]]`` para ``}``; se convertirán automáticamente. Tenga en cuenta que los prefijos y sufijos (la sintaxis ``|prefijo|sufijo|``) no puede usarse en el argumento de esta función en el modo de programación de plantilla."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr "``field(nombre)`` -- devuelve el campo de metadatos identificado por `nombre`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -833,27 +850,27 @@ msgid ""
 "Example::"
 msgstr "``first_matching_cmp(val, cmp1, resultado1, cmp2, resultado2, ..., otro_resultado)`` -- compara ``val < cmpN`` consecutivamente y devuelve `resultadoN` para la primera comparación que sea cierta. Devuelve `otro_resultado` si ninguna comparación es cierta. Ejemplo::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr "devuelve «\"large\"». El mismo ejemplo con un primer valor de 16 devuelve «\"giant\"»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr "``first_non_empty(valor, valor, ...)`` -- devuelve el primer valor que no esté vacío. Si todos los valores están vacíos, se devuelve también un valor vacío. Puede incluir tantos valores como quiera."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr "``format_date(val, formato_fecha)`` -- da formato a un valor, que debe ser un campo de fecha, según `formato_fecha` y devuelve un texto. Los códigos de formato son::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -862,7 +879,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr "Puede obtener resultados inesperados si la fecha a la que se da formato contiene nombres de meses traducidos, lo que puede ocurrir si ha modificado los ajustes de formato para incluir ``MMMM``. En este caso, en lugar de usar algo como ``{pubdate:format_date(yyyy)}``, escriba la plantilla usando el modo de programación de plantillas, como en ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -873,14 +890,14 @@ msgid ""
 "same output as the above template::"
 msgstr "``finish_formatting(val, formato, prefijo, sufijo)`` -- aplica el `formato`, `prefijo` y `sufijo` a un valor de la misma manera que se haría en una plantilla como ``{series_index:05.2f| - |- }``. Esta función se proporciona para facilitar la conversión de plantillas complejas en modo de función única o de plantilla al :ref:`modo de programación general <general_mode>` (ver más adelante) y aprovechar la compilación de plantillas. Por ejemplo, el siguiente programa produce la misma salida que la plantilla anterior::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr "Otro ejemplo: para la plantilla ``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - }{title}`` use::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -890,7 +907,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr "formats_modtimes(formato_fecha) -- devuelve una lista de elementos (separados por dos puntos) separados por comas que representa las fechas de modificación para los formatos de un libro. El argumento `formato_fecha` especifica cómo se da formato a la fecha. Véase la función «format_date» para más detalles. Puede usar la función «select» para obtener la fecha de modificación de un formato específico. Tenga en cuenta que los nombres de formato siempre están en mayúsculas, como en «EPUB»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -898,7 +915,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_paths()`` -- devuelve una lista separada por comas de elementos separados por dos puntos que representan la ruta completa a los formatos de un libro. Puede usar la función «select» para obtener la ruta a un formato específico. Tenga en cuenta que los nombres de formato están siempre en mayúsculas, como en «EPUB»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -906,20 +923,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_sizes()`` -- devuelve una lista de elementos (separados por dos puntos) separados por comas que representa los tamaños en bytes de los formatos de un libro. Puede usar la función «select» para obtener el tamaño de un formato específico. Tenga en cuenta que los nombres de formato siempre están en mayúsculas, como en «EPUB»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr "``has_cover()`` -- devuelve ``Yes`` si el libro tiene portada, en caso contrario devuelve un texto vacío."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "``not(valor)`` -- devuelve el texto «1» si el valor está vacío, en caso contrario, devuelve un texto vacío. Esta función opera bien con «test» o «first_non_empty»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -927,7 +944,7 @@ msgid ""
 "are the items in the returned list."
 msgstr "``list_difference(lista1, lista2, separador)`` -- devuelve una lista construida eliminando de `lista1` cualquier elemento que aparezca en `lista2`, sin distinguir mayúsculas y minúsculas. Los elementos de `lista1`  y `lista2` están separados por `separador`, así como los de la lista resultante."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -936,7 +953,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr "``list_equals(lista1, sep1, lista2, sep2, val_sí, val_no)`` -- devuelve `val_sí` si `lista1` y `lista2` contienen los mismos elementos, en caso contrario devuelve  `val_no`. Los elementos se determinan dividiendo cada lista por el correspondiente carácter separador (`sep1` o `sep2`). El orden de los elementos no es relevante. La comparación no diferencia mayúsculas y minúsculas."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -944,7 +961,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr "``list_intersection(lista1, lista2, separador)`` -- devuelve una lista construida eliminando de `lista1` cualquier elemento que no aparezca en `lista2`, sin distinguir mayúsculas y minúsculas. Los elementos de `lista1`  y `lista2` están separados por `separador`, así como los de la lista resultante."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -954,7 +971,7 @@ msgid ""
 "returned list."
 msgstr "``list_re(lista_orig, separador, incluir, sust_opc)`` -- construye una lista separando primero `lista_orig` en elementos usando el carácter `separador`. Para cada elemento en la lista, comprueba si coincide con la expresión regular `incluir`. Si coincide, se añade a la lista final. Si `sust_opc` no es un texto vacío, se aplica la sustitución antes de añadir el elemento a la lista final."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -962,7 +979,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr "``list_re_group(lista_orig, separador, incluir, búsqueda, plantilla_grupo_1, plantilla_grupo_2, ...)`` -- como ``list_re``, pero las sustituciones no son opcionales. Usa ``re_group(elemento, búsqueda, plantilla_grupo_1, ...)`` para hacer sustituciones.."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -970,7 +987,7 @@ msgid ""
 " items in the returned list."
 msgstr "``list_sort(lista, dirección, separador)`` -- devuelve `lista` ordenada sin distinción de mayúsculas y minúsculas. Si `dirección` es cero, la lista se ordena de manera ascendente, en caso contrario, de manera descendente. Los elementos de `lista` están separados por `separador`, así como los de la lista resultante."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -979,46 +996,46 @@ msgid ""
 "returned list."
 msgstr "``list_union(lista1, lista2, separador)`` -- devuelve una lista construida por combinación de los elementos en `lista1` y `lista2`, eliminando los duplicados de `lista2` (no distingue mayúsculas y minúsculas, se mantiene la versión de `lista1`). Los elementos de `lista1` y `lista2` están separados por `separador`, así como los de la lista resultante."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr "``multiply(x, y)``-- devuelve `x` * `y`. Da una excepción si `x` o `y` no son números."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr "``ondevice()`` -- devuelve el texto «Yes» si ondevice está activado, si no, devuelve un texto vacío"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr "``or(valor, valor, ...)`` -- devuelve el texto «1» si alguno de los valores no está vacío, en caso contrario devuelve un texto vacío. Esta función opera bien con ``test`` o ``first_non_empty``. Pueden usarse tantos valores como se desee."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr "``print(a, b, ...)`` -- escribe los argumentos en la salida estándar. Sólo será visible si inicia calibre a partir de línea de órdenes (``calibre-debug -g``)."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr "``raw_field(name)`` -- devuelve el campo de metadatos llamado `nombre` sin aplicar ningún formato."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr "``raw_list(nombre, separador)`` -- devuelve la lista de metadatos nombrada por `nombre` sin aplicar ningún formato u ordenación, con los elementos separados por `separador`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1030,17 +1047,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr "``re_group(val, patrón, plantilla_para_grupo_1, para_grupo_2, ...)`` -- devuelve un texto formado por aplicación de la expresión regular `patrón` al valor `val`, sustituyendo cada coincidencia por el texto calculado al sustituir cada grupo por el valor devuelto por la correspondiente plantilla. El valor de correspondencia original del grupo está disponible como «$». En el modo de programación de plantillas, como en las funciones ``template`` y ``eval``, use ``[[`` en lugar de ``{`` y ``]]`` en lugar de ``}``. El siguiente ejemplo en modo de programación de plantillas busca nombres de serie con más de una palabra y pone la primera palabra en mayúsculas::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr "``series_sort()`` -- devuelve el valor de orden de serie."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr "``strcat(a, b, ...)`` -- puede tomar cualquier número de argumentos. Devuelve texto formado por la concatenación de todos los argumentos."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1050,19 +1067,19 @@ msgid ""
 "you wish."
 msgstr "``strcat_max(máx, texto1, prefijo2, texto2, ...)`` -- devuelve un texto formado por concatenación de los argumentos. El valor devuelto es inicialmente `texto1`. Se van añadiendo parejas `prefijo`, `texto` al final del valor mientras la longitud del resultado sea menor que `máx`. El resultado es siempre al menos `texto1`, aunque su longitud sea mayor que `máx`. Pueden especificarse tantas parejas `prefijo`, `texto` como se desee."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr "``strcmp(x, y, mn, ig, my)`` -- hace una comparación sin distinción de mayúsculas y minúsculas entre `x` e `y` como textos. Devuelve `mn` si `x` < `y`. Devuelve `ig` si `x` == `y`. Devuelve `my` en otros casos."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr "``strlen(a)`` -- Devuelve la longitud del texto pasado como argumento."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1072,20 +1089,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr "``substr(texto, inicio, fin)`` -- devuelve los caracteres entre la posición `inicio` y `fin` de `texto`. El primer carácter de `texto` está en la posición cero. Si `fin` es negativo, entonces indica la posición contando desde la derecha. Si `fin` es cero, indica el último carácter. Por ejemplo, ``substr('12345', 1, 0)`` devuelve ``2345``, y ``substr('12345', 1, -1)`` devuelve ``234``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr "``subtract(x, y)``  -- devuelve `x` - `y`. Da un error si `x` o `y` no son números."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr "``today()`` -- devuelve un texto para la fecha de hoy. Este valor está preparado para usarse con ``format_date`` o ``days_between``, pero puede manipularse como cualquier otro texto. La fecha está en formato ISO."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1097,15 +1114,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr "``template(x)`` -- evalúa `x` como una plantilla. La evaluación se realiza en un contexto propio, lo que significa que las variables no se comparten entre el proceso que llama a la función y la evaluación de la plantilla. Dado que los caracteres `{` y `}` tienen un uso especial, debe usar `[[` en lugar de `{` y `]]` para `}`; se convertirán automáticamente. Por ejemplo, ``template('[[orden_de_título]]')`` evaluará la plantilla ``{orden_de_título}`` y devolverá su valor. Tenga en cuenta que los prefijos y sufijos (la sintaxis `|prefijo|sufijo`) no puede usarse en el argumento de esta función en el modo de programación de plantilla."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr "Clasificación de funciones"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr "Usar el modo de programa general"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1115,7 +1132,7 @@ msgid ""
 "correct results."
 msgstr "Para programas de plantilla más complicados, a veces es más sencillo evitar la sintaxis de plantillas (todos los caracteres «{» y «}») y escribir programas con aspecto más convencional. Puede hacer esto en calibre comenzando la plantilla con ``program:``. En este caso no se realizará ningún procesado de plantillas. El valor especial ``$`` no se establece. El programa es enteramente responsable de producir los resultados correctos."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1129,7 +1146,7 @@ msgid ""
 "report."
 msgstr "Una ventaja del modo `program:` es que las llaves ya no son especiales. Por ejemplo, no es necesario usar «[[» y «]]» al usar la función ``template()``. Otra ventaja es que las plantillas en modo de programación se compilan en Python y pueden ejecutarse más rápidamente que las plantillas en los otros dos modos. La mejora de velocidad depende de la complejidad de las plantillas: cuanto más compleja mayor es la mejora. La compilación se activa y desactiva con el ajuste ``compile_gpm_templates`` (Compilar plantillas en el modo de programa general a python). El principal motivo para desactivar la compilación es si una plantilla compilada no funciona, si esto ocurre por favor envíe un informe de error."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1140,7 +1157,7 @@ msgid ""
 "following:"
 msgstr "El siguiente ejemplo es una implementación en modo `program:` de una fórmula del foro MobileRead: «Poner la serie en el título, usando iniciales o una forma abreviada. Eliminar artículos al inicio del nombre de la serie (cualquiera).» Por ejemplo, para el libro «Las dos torres» en la serie «El señor de los anillos», la fórmula da `sdla [02] Las dos torres`. Usando plantillas estándar, la fórmula requiere tres columnas personalizadas y un panel de conexiones, como se explica a continuación:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1149,14 +1166,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr "La solución requiere crear tres columnas compuestas. La primera columna se usa para eliminar los artículos iniciales. La segunda se usa para calcular la forma «abreviada». La tercera es para calcular la forma de «iniciales». Una vez tiene estas columnas, el panel de conexiones selecciona entre ellas. Puede ocultar alguna o las tres columnas en la vista de biblioteca::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr "El siguiente programa produce los mismos resultados que la fórmula original, usando solamente una columna personalizada para mantener los resultados de un programa que calcule el valor de título especial::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1166,11 +1183,11 @@ msgid ""
 " being one giant line."
 msgstr "Sería posible hacer lo anterior sin columnas personalizadas, poniendo el programa en el cuadro de plantilla del panel de conexiones. Sin embargo, para hacerlo, habría que eliminar todos los comentarios, puesto que el cuadro de texto del panel de conexiones no admite varias líneas. Es discutible si el beneficio de no tener una columna personalizada compensa el gran incremento de dificultad creado por tener el programa en una única y enorme línea."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr "Funciones de plantilla definidas por el usuario"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1178,11 +1195,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr "Puede añadir funciones propias al procesador de plantillas. Dichas funciones están escritas en Python y pueden usarse en cualquiera de los tres modos de programación de plantillas. Las funciones se añaden en :guilabel:`Preferencias > Avanzado > Funciones de plantilla`. Las instrucciones se muestran en el correspondiente cuadro de diálogo."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr "Notas especiales para plantillas de guardado o envío"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1193,18 +1210,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr "Cuando una plantilla se usa como plantilla de «guardado a disco» o de «envío a dispositivo», ocurre un procesado especial. Los valores de los campos se sanean, eliminando caracteres especiales para los sistemas operativos por guiones bajos, incluyendo barras. Esto significa que el texto de los campos no puede usarse para crear carpetas. Sin embargo, las barras no se modifican en los textos de prefijo o sufijo, por lo que las barras en estos textos harán que se creen carpetas. Gracias a esto, es posible crear estructuras de carpetas de profundidad variable."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr "Por ejemplo, supongamos que quiere una estructura de carpetas `serie/índice de serie - título`, con la salvedad de que si la serie no existe el título debe estar en la carpeta superior. La plantilla para conseguir esto es::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr "La barra y el guión sólo aparecen si la serie no está vacía."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1214,25 +1231,25 @@ msgid ""
 "depending on the value of series."
 msgstr "La función ``lookup()`` nos permite realizar un procesado aún más complejo. Por ejemplo, supongamos que si un libro tiene una serie, entonces queremos una estructura de carpetas `serie/índice de serie - título`. Si el libro no tiene una serie, entonces queremos la estructura `género/orden de autor/título`. Si el libro no tiene género, queremos que use «Desconocido». Queremos seguir dos caminos completamente distintos según el valor de la serie."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr "Para lograr esto:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr "Creamos un campo compuesto (démosle el nombre de consulta #AA) que contiene ``{series}/{series_index} - {title}``. Si la serie no está vacía, esta plantilla produce `serie/número_de_serie - título`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr "Creamos un campo compuesto (démosle el nombre de consulta #BB) que contenga ``{#genre:ifempty(Desconocido)}/{author_sort}/{title}``. Esta plantilla produce `género/orden de autor/título`, donde un género vacío se sustituye por `Desconocido`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1240,11 +1257,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr "Establecemos la plantilla de guardado en ``{series:lookup(.,#AA,#BB)}``. Esta plantilla elige el campo compuesto #AA si la serie no está vacía y el campo compuesto #BB si la serie está vacía. Obtenemos por lo tanto dos rutas de guardado completamente diferentes según el campo `series` esté o no vacío."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr "Plantillas y controles de metadatos"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1255,7 +1272,7 @@ msgid ""
 "display issues."
 msgstr "Los paneles de conexiones se usan para cambiar los metadatos escritos en los libros durante las operaciones de guardado en disco y de envío a dispositivo. Un panel de conexiones le permite especificar una plantilla para suministrar los datos que se escribirán en los metadatos del libro. Puede usar los paneles de conexiones para modificar los siguientes campos: authors, author_sort, language, publisher, tags, title, title_sort. Esa función es útil para los que quieren usar metadatos diferentes en los libros de los dispositivos, para solucionar problemas de ordenación o de visualización."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1266,7 +1283,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr "Cuando cree un panel de conexiones, especifique el formato y dispositivo para los que se usará. Hay un dispositivo especial «save_to_disk», que se usa para guardar formatos (en lugar de enviarlos a un dispositivo). Una vez que ha elegido el formato y dispositivo, elija los campos de metadatos para cambiar, y suministre plantillas para obtener los nuevos valores. Estas plantillas están `conectadas` con sus campos de destino, de ahí el nombre `panel de conexiones`. Por supuesto, puede usar columnas compuestas en estas plantillas."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1275,29 +1292,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr "Cuando un panel de conexiones pueda aplicarse (servidor de contenido, guardado en disco o envío a dispositivo), calibre busca los paneles definidos para elegir el correcto según el formato y dispositivo. Por ejemplo, para encontrar el panel de conexiones apropiado para enviar un libro EPUB a un dispositivo ANDROID, calibre busca en los paneles en el siguiente orden:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr "un panel de conexiones con una coincidencia exacta de formato y dispositivo, por ejemplo: ``EPUB`` y ``ANDROID``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr "un panel de conexiones con una coincidencia exacta de formato y el dispositivo especial ``any device``, por ejemplo ``EPUB`` y ``any device``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr "un panel de conexiones con el formato especial ``any format`` y una coincidencia exacta de dispositivo, por ejemplo: ``any format`` y ``ANDROID``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr "un panel de conexiones con ``any format`` y ``any device``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1309,7 +1326,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr "Los campos etiquetas y autores tienen un trato especial, debido a que ambos pueden tener más de un elemento. Un libro puede poseer varias etiquetas y varios autores. Cuando indique que desea cambiar uno de estos campos, la plantilla se examina para comprobar si hay más de un elemento. Para las etiquetas, el resultado se divide dondequiera que calibre encuentre una coma. Por ejemplo, si la plantilla produce el valor ``Intriga, Terror``, el resultado serán dos etiquetas: ``Intriga`` y ``Terror``. No existe manera de poner una coma dentro de una etiqueta."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1319,7 +1336,7 @@ msgid ""
 "author with a rather strange name."
 msgstr "Lo mismo ocurre con los autores, pero usando un carácter diferente para el corte, un signo «&» en lugar de una coma. Por ejemplo, si la plantilla produce el valor ``Blogs, Joe&Posts, Susan``, el libro acabará con dos autores, ``Blogs, Joe`` y ``Posts, Susan``. Si la plantilla produce el valor ``Blogs, Joe;Posts, Susan``, el libro tendrá un autor con un nombre peculiar."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1328,34 +1345,34 @@ msgid ""
 "preferences window."
 msgstr "Los paneles de conexiones afectan a los metadatos escritos en el libro cuando se guarda en disco o se escribe en un dispositivo. Los paneles de conexiones no afectan a los metadatos usados por las funciones :guilabel:`Guardar en el disco` :guilabel:`Enviar al dispositivo` para crear los nombres de archivo. En lugar de ello, los nombres de archivo se construyen usando las plantillas introducidas en la ventana de preferencias correspondiente."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr "Consejos útiles"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr "Puede encontrar útiles los siguientes consejos."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr "Cree una columna compuesta personalizada para probar plantillas. Una vez que tenga la columna, puede hacer cambios en la plantilla pulsando dos veces en la columna. Oculte la columna cuando no esté haciendo pruebas."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr "Las plantillas pueden usar otras plantillas haciendo referencia a una columna personalizada compuesta."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr "En un panel de conexiones, puede establecer un campo como vacío (o lo que sea equivalente a vacío) utilizando la plantilla especial ``{}``. Esta plantilla siempre producirá un texto vacío."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es/xpath.po	2020-07-16 17:02:09.000000000 +0000
@@ -3,14 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# dario hereñu <magallania@gmail.com>, 2014-2015
-# Jellby <jellby@yahoo.com>, 2014-2015,2017
+# Darío Hereñú, 2014-2015
+# Jellby <jellby@yahoo.com>, 2014-2015,2017,2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-05 11:51+0000\n"
 "Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
@@ -161,5 +161,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "``re:test(fuente, patrón, opciones)`` devuelve `true` si el texto `fuente` coincide con la expresión regular `patrón`. Una opción particularmente útil es ``i``, que hace que no se distinga entre mayúsculas y minúsculas. Una buena introducción a la sintaxis de las expresiones regulares se puede encontrar en `sintaxis de expresiones regulares <https://docs.python.org/2.7/library/re.html>`_ (en inglés)"
+"<https://docs.python.org/library/re.html>`_"
+msgstr "``re:test(fuente, patrón, opciones)`` devuelve `true` si el texto `fuente` coincide con la expresión regular `patrón`. Una opción particularmente útil es ``i``, que hace que no se distinga entre mayúsculas y minúsculas. Una buena introducción a la sintaxis de las expresiones regulares se puede encontrar en `sintaxis de expresiones regulares <https://docs.python.org/library/re.html>`_ (en inglés)"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/develop.po	2020-03-05 04:49:15.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/develop.po	2020-07-16 16:53:56.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/function_mode.po	2020-07-16 17:09:56.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/glossary.po	2020-07-16 17:00:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/gui.po	2020-07-02 04:20:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/gui.po	2020-07-16 17:07:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/news.po	2020-06-18 03:19:18.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/news.po	2020-07-16 16:58:40.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/regexp.po	2020-07-16 17:04:18.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Naresu Tenshi <naresutenshi@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2887, 
+    "untranslated": 2889, 
     "translated": 26
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/template_lang.po	2020-07-02 04:14:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/template_lang.po	2020-07-16 16:56:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/es_MX/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/es_MX/xpath.po	2020-07-16 17:02:16.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Naresu Tenshi <naresutenshi@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/et/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/et/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/et/develop.po	2020-03-05 04:48:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/et/develop.po	2020-07-16 16:52:42.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-24 22:14+0000\n"
-"Last-Translator: Maidur\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -327,7 +327,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -558,7 +558,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/et/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/et/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/et/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/et/function_mode.po	2020-07-16 17:08:42.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-21 15:39+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
@@ -36,8 +36,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -91,11 +91,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -254,9 +253,9 @@ msgstr "Argument ``match``"
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/et/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/et/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/et/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/et/glossary.po	2020-07-16 16:59:26.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-06 09:35+0530\n"
-"PO-Revision-Date: 2017-10-12 16:24+0000\n"
-"Last-Translator: Maidur\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -111,6 +111,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Regulaaravaldised** *(regular expressions)* pakuvad täpseid ja paindlikke vahendeid huvipakkuvate tekstisõnede tuvastamiseks, nagu kindlad tähemärgid, sõnad või tähemärkide mustrid. Pythonis kasutatavate regulaaravaldiste süntaksi kohta loe lähemalt `sellelt <https://docs.python.org/2.7/library/re.html>`_ lehelt."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/et/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/et/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/et/gui.po	2020-07-02 04:20:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/et/gui.po	2020-07-16 17:05:51.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-14 01:47+0000\n"
+"Last-Translator: Maidur\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -802,13 +802,13 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
 "Regular expression searches are 'contains' searches unless the expression "
 "contains anchors."
-msgstr "Võrdusega otsinguid saab kasutada, kui panna otsitava teksti ette võrdusmärgi (=). Näiteks päring ``tag:\"=science\"`` vastab kirjele \"science\", kuid mitte kirjetele \"science fiction\" ega \"hard science\". Regulaaravaldise otsinguid saab kasutada, kui panna otsitava teksti ette tilde (~). Kasutada saab ka iga `Python-ühilduvat regulaaravaldist <https://docs.python.org/2/library/re.html>`_. Pane tähele, et regulaaravaldistes erimärkide varjestamiseks kasutatavad kurakaldkriipsud peavad olema sisestatud topelt, sest ühekordsed kurakaldkriipsud eemaldatakse päringu analüüsimisel. Näiteks moonutamata sulgude vastendamiseks pead sisestama ``\\\\(``. Regulaaravaldised on 'sisaldab' tüüpi, kui avaldis ei sisalda ankruid."
+msgstr "Võrdusega otsinguid saab kasutada, kui panna otsitava teksti ette võrdusmärgi (=). Näiteks päring ``tag:\"=science\"`` vastab kirjele \"science\", kuid mitte kirjetele \"science fiction\" ega \"hard science\". Regulaaravaldise otsinguid saab kasutada, kui panna otsitava teksti ette tilde (~). Kasutada saab ka iga `Python-ühilduvat regulaaravaldist <https://docs.python.org/library/re.html>`_. Pane tähele, et regulaaravaldistes erimärkide varjestamiseks kasutatavad kurakaldkriipsud peavad olema sisestatud topelt, sest ühekordsed kurakaldkriipsud eemaldatakse päringu analüüsimisel. Näiteks moonutamata sulgude vastendamiseks pead sisestama ``\\\\(``. Regulaaravaldised on 'sisaldab' tüüpi, kui avaldis ei sisalda ankruid."
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:351
 msgid ""
@@ -979,24 +979,24 @@ msgstr "``identifiers:=123456789`` otsib
 msgid ""
 "``identifiers:=isbn:`` and ``identifiers:isbn:true`` will find books with a "
 "type equal to ISBN having any value"
-msgstr ""
+msgstr "``identifiers:=isbn:`` ja ``identifiers:isbn:true`` leiab raamatud, millel on mis tahes väärtusega tüüp ISBN"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:430
 msgid ""
 "``identifiers:=isbn:false`` will find books with no type equal to ISBN."
-msgstr ""
+msgstr "``identifiers:=isbn:false`` leiab raamatud, millel pole identifikaatorit ISBN."
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:431
 msgid ""
 "``identifiers:=isbn:123`` will find books with a type equal to ISBN having a"
 " value containing `123`."
-msgstr ""
+msgstr "``identifiers:=isbn:123`` leiab raamatud, mille ISBN sisaldab teksti  `123`."
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:432
 msgid ""
 "``identifiers:=isbn:=123456789`` will find books with a type equal to ISBN "
 "having a value equal to `123456789`."
-msgstr ""
+msgstr "``identifiers:=isbn:=123456789`` leiab raamatud, mille ISBN on täpselt `123456789`."
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:433
 msgid ""
@@ -1513,7 +1513,7 @@ msgstr ":kbd:`Shift+A`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:664
 msgid "Add formats to the selected books"
-msgstr ""
+msgstr "Lisa valitud raamatutele formaate"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:665
 msgid ":kbd:`C`"
@@ -1521,7 +1521,7 @@ msgstr ":kbd:`C`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:666
 msgid "Convert selected books"
-msgstr ""
+msgstr "Teisenda valitud raamatuid"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:667
 msgid ":kbd:`D`"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/et/index.po 4.99.7+dfsg+really4.21.0-1/translations/manual/et/index.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/et/index.po	2020-04-16 09:58:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/et/index.po	2020-07-16 17:04:49.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-03-27 14:01+0530\n"
-"PO-Revision-Date: 2020-03-27 04:41+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-14 01:19+0000\n"
+"Last-Translator: Maidur\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -82,7 +82,7 @@ msgid ""
 "**An e-book version of this User Manual is available in** `EPUB format "
 "<calibre.epub>`_,  `AZW3 (Kindle Fire) format <calibre.azw3>`_ and `PDF "
 "format <calibre.pdf>`_."
-msgstr ""
+msgstr "**Selle Kasutusjuhendi e-raamatu versioon on saadaval** `EPUB-formaadis <calibre.epub>`_,  `AZW3 (Kindle Fire) formaadis <calibre.azw3>`_ ja `PDF-formaadis <calibre.pdf>`_."
 
 #: ../../home/kovid/work/calibre/manual/index.rst:27
 msgid "Sections"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/et/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/et/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/et/news.po	2020-06-18 03:20:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/et/news.po	2020-07-16 16:57:35.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
@@ -236,7 +236,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/et/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/et/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/et/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/et/regexp.po	2020-07-16 17:03:07.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Maidur\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -437,7 +437,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -493,5 +493,8 @@ msgstr "Orpheu"
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Regulaaravaldiste kohta rohkema teabe saamiseks vaata `Pythoni kasutusjuhendit <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/et/simple_index.po 4.99.7+dfsg+really4.21.0-1/translations/manual/et/simple_index.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/et/simple_index.po	2020-04-16 10:12:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/et/simple_index.po	2020-07-16 17:08:21.000000000 +0000
@@ -3,14 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Maidur, 2016-2017
+# Maidur, 2016-2017,2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-03-27 14:01+0530\n"
-"PO-Revision-Date: 2020-03-27 04:42+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-14 01:19+0000\n"
+"Last-Translator: Maidur\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -82,7 +82,7 @@ msgid ""
 "**An e-book version of this User Manual is available in** `EPUB format "
 "<calibre.epub>`_,  `AZW3 (Kindle Fire) format <calibre.azw3>`_ and `PDF "
 "format <calibre.pdf>`_."
-msgstr ""
+msgstr "**Selle Kasutusjuhendi e-raamatu versioon on saadaval** `EPUB-formaadis <calibre.epub>`_,  `AZW3 (Kindle Fire) formaadis <calibre.azw3>`_ ja `PDF-formaadis <calibre.pdf>`_."
 
 #: ../../home/kovid/work/calibre/manual/simple_index.rst:27
 msgid "Sections"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/et/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/et/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/et/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/et/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 1860, 
-    "translated": 1053
+    "untranslated": 1857, 
+    "translated": 1058
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/et/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/et/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/et/template_lang.po	2020-07-02 04:14:01.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/et/template_lang.po	2020-07-16 16:54:56.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
@@ -174,9 +174,9 @@ msgstr "Kui tahad andmete ainult kaht es
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
-msgstr "calibre mallide keel pärineb Pythonist ja nende edasijõudnud vormindamistegevuste süntaksi kohta rohkema teabe saamiseks vaata `Pythoni dokumentatsiooni <https://docs.python.org/2/library/string.html#format-string-syntax>`_."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:90
 msgid "Advanced features"
@@ -377,12 +377,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -391,7 +399,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -405,7 +413,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -417,7 +425,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -431,7 +439,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -442,14 +450,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -458,13 +475,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -472,7 +489,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -484,17 +501,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -502,13 +519,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -517,23 +534,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -541,16 +558,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -558,15 +575,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -574,27 +591,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -605,7 +622,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -616,7 +633,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -629,7 +646,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -641,38 +658,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -683,7 +700,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -694,26 +711,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -722,7 +739,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -735,7 +752,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -746,13 +763,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -762,7 +779,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -770,28 +787,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -799,13 +816,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -816,11 +833,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -828,27 +845,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -857,7 +874,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -868,14 +885,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -885,7 +902,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -893,7 +910,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -901,20 +918,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -922,7 +939,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -931,7 +948,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -939,7 +956,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -949,7 +966,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -957,7 +974,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -965,7 +982,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -974,46 +991,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1025,17 +1042,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1045,19 +1062,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1067,20 +1084,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1092,15 +1109,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr "Funktsioonide klassifikatsioon"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1110,7 +1127,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1124,7 +1141,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1135,7 +1152,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1144,14 +1161,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1161,11 +1178,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1173,11 +1190,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1188,18 +1205,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr "Kaldkriipsu ja sidekriipsu näidatakse ainult siis, kui sari ei ole tühi."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1209,25 +1226,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1235,11 +1252,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1250,7 +1267,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1261,7 +1278,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1270,29 +1287,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1304,7 +1321,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1314,7 +1331,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1323,34 +1340,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr "Järgnevad näpunäited võivad kasulikud olla."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/et/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/et/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/et/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/et/xpath.po	2020-07-16 17:01:14.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Maidur\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/develop.po	2020-03-05 04:49:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/develop.po	2020-07-16 16:53:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/function_mode.po	2020-07-16 17:09:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/glossary.po	2020-07-16 16:59:53.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:41+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/gui.po	2020-07-02 04:20:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/gui.po	2020-07-16 17:06:45.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
@@ -802,7 +802,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/news.po	2020-06-18 03:20:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/news.po	2020-07-16 16:58:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/regexp.po	2020-07-16 17:03:41.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Gorka Azkarate Zubiaur <gorkaazkarate@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -437,7 +437,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -493,5 +493,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2783, 
+    "untranslated": 2785, 
     "translated": 130
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/template_lang.po	2020-07-02 04:14:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/template_lang.po	2020-07-16 16:55:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/eu/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/eu/xpath.po	2020-07-16 17:01:47.000000000 +0000
@@ -3,15 +3,15 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Alexander Gabilondo <alexgabilondo@gmail.com>, 2017
+# Alexander Gabilondo <alexgabi@disroot.org>, 2017
 # Gorka Azkarate Zubiaur <gorkaazkarate@gmail.com>, 2016
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Gorka Azkarate Zubiaur <gorkaazkarate@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -161,5 +161,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/develop.po	2020-03-05 04:49:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/develop.po	2020-07-16 16:53:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/function_mode.po	2020-07-16 17:09:32.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: fa\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:2
 msgid "Function mode for Search & replace in the Editor"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/glossary.po	2020-07-16 17:00:02.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:41+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: fa\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 #: ../../home/kovid/work/calibre/manual/glossary.rst:3
 msgid "Glossary"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/gui.po	2020-07-02 04:20:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/gui.po	2020-07-16 17:06:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/news.po	2020-06-18 03:20:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/news.po	2020-07-16 16:58:17.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/regexp.po	2020-07-16 17:03:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2860, 
+    "untranslated": 2862, 
     "translated": 53
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/template_lang.po	2020-07-02 04:14:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/template_lang.po	2020-07-16 16:56:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fa/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fa/xpath.po	2020-07-16 17:01:56.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/faq.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/faq.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/faq.pot	2020-07-03 02:15:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/faq.pot	2020-07-16 17:18:36.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/develop.po	2020-03-05 04:48:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/develop.po	2020-07-16 16:52:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/function_mode.po	2020-07-16 17:08:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/glossary.po	2020-07-16 16:59:28.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-06 09:35+0530\n"
-"PO-Revision-Date: 2017-10-13 15:18+0000\n"
-"Last-Translator: Timo Virtanen <pompila@outlook.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "** Säännölliset lausekkeet ** antavat suppean ja joustavan keinon tunnistaa kiinnostavia tekstejä, kuten tiettyjä merkkejä, sanoja tai hahmoja. Katso `regexp syntax <https://docs.python.org/2.7/library/re.html>` _ Python-ohjelmassa käytettyjen säännöllisten lausekkeiden syntaksille."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/gui.po	2020-07-02 04:21:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/gui.po	2020-07-16 17:05:54.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
@@ -803,7 +803,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/news.po	2020-06-18 03:19:15.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/news.po	2020-07-16 16:57:37.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
@@ -236,7 +236,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/regexp.po	2020-07-16 17:03:09.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-03-08 11:42+0530\n"
-"PO-Revision-Date: 2019-03-17 16:27+0000\n"
-"Last-Translator: Pekka Tuominen <pekka.tuominen@iki.fi>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2332, 
-    "translated": 581
+    "untranslated": 2335, 
+    "translated": 580
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/template_lang.po	2020-07-02 04:15:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/template_lang.po	2020-07-16 16:54:59.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
@@ -174,7 +174,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -377,12 +377,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -391,7 +399,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -405,7 +413,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -417,7 +425,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -431,7 +439,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -442,14 +450,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -458,13 +475,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -472,7 +489,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -484,17 +501,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -502,13 +519,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -517,23 +534,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -541,16 +558,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -558,15 +575,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -574,27 +591,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -605,7 +622,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -616,7 +633,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -629,7 +646,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -641,38 +658,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -683,7 +700,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -694,26 +711,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -722,7 +739,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -735,7 +752,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -746,13 +763,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -762,7 +779,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -770,28 +787,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -799,13 +816,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -816,11 +833,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -828,27 +845,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -857,7 +874,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -868,14 +885,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -885,7 +902,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -893,7 +910,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -901,20 +918,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -922,7 +939,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -931,7 +948,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -939,7 +956,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -949,7 +966,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -957,7 +974,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -965,7 +982,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -974,46 +991,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1025,17 +1042,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1045,19 +1062,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1067,20 +1084,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1092,15 +1109,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1110,7 +1127,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1124,7 +1141,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1135,7 +1152,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1144,14 +1161,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1161,11 +1178,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1173,11 +1190,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1188,18 +1205,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1209,25 +1226,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1235,11 +1252,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1250,7 +1267,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1261,7 +1278,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1270,29 +1287,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1304,7 +1321,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1314,7 +1331,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1323,34 +1340,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fi/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fi/xpath.po	2020-07-16 17:01:16.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-03-08 11:42+0530\n"
-"PO-Revision-Date: 2019-03-17 16:27+0000\n"
-"Last-Translator: Pekka Tuominen <pekka.tuominen@iki.fi>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -161,5 +161,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/develop.po	2020-03-05 04:49:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/develop.po	2020-07-16 16:53:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/function_mode.po	2020-07-16 17:09:12.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/glossary.po	2020-07-16 16:59:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/gui.po	2020-07-02 04:20:58.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/gui.po	2020-07-16 17:06:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/news.po	2020-06-18 03:19:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/news.po	2020-07-16 16:57:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/regexp.po	2020-07-16 17:03:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2904, 
+    "untranslated": 2906, 
     "translated": 9
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/template_lang.po	2020-07-02 04:14:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/template_lang.po	2020-07-16 16:55:39.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fil/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fil/xpath.po	2020-07-16 17:01:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/develop.po	2020-03-05 04:48:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/develop.po	2020-07-16 16:54:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/function_mode.po	2020-07-16 17:10:06.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/glossary.po	2020-07-16 17:00:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/gui.po	2020-07-02 04:21:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/gui.po	2020-07-16 17:07:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/news.po	2020-06-18 03:19:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/news.po	2020-07-16 16:58:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/regexp.po	2020-07-16 17:04:29.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/template_lang.po	2020-07-02 04:15:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/template_lang.po	2020-07-16 16:56:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fo/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fo/xpath.po	2020-07-16 17:02:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/develop.po	2020-03-05 04:48:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/develop.po	2020-07-16 16:53:10.000000000 +0000
@@ -12,8 +12,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 07:01+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 09:56+0000\n"
 "Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
@@ -331,9 +331,9 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
-msgstr "L'étape suivante est de régler la variable d'environnement ``CALIBRE_DEVELOP_FROM`` au chemin absolu du répertoire src. Ainsi, en suivant l'exemple ci-dessus, il devrait être ``C:\\Users\\kovid\\work\\calibre\\src``.  `Voici un court guide <https://docs.python.org/2/using/windows.html#excursus-setting-environment-variables>`_ pour paramétrer les variables d'environnement sous Windows."
+msgstr "L'étape suivante est de régler la variable d'environnement ``CALIBRE_DEVELOP_FROM`` au chemin absolu du répertoire src. Ainsi, en suivant l'exemple ci-dessus, il devrait être ``C:\\Users\\kovid\\work\\calibre\\src``.  `Voici un court guide <https://docs.python.org/using/windows.html#excursus-setting-environment-variables>`_ pour paramétrer les variables d'environnement sous Windows."
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:172
 msgid ""
@@ -562,9 +562,9 @@ msgstr "Ouvrez maintenant un terminal ou
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
-msgstr "Vous pouvez lire à propos de comment utiliser le débogueur Python dans `Python stdlib docs for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-commands>`_."
+msgstr "Vous pouvez lire à propos de comment utiliser le débogueur Python dans `Python stdlib docs for the pdb module <https://docs.python.org/library/pdb.html#debugger-commands>`_."
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:339
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/function_mode.po	2020-02-06 05:17:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/function_mode.po	2020-07-16 17:09:08.000000000 +0000
@@ -6,13 +6,13 @@
 # Xotes <alois.glibert@gmail.com>, 2015
 # Ptit Prince <leporello1791@gmail.com>, 2014-2015
 # Nicolas F. <fernetn@gmail.com>, 2017
-# Ptit Prince <leporello1791@gmail.com>, 2016-2017
+# Ptit Prince <leporello1791@gmail.com>, 2016-2017,2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-01-26 14:25+0530\n"
-"PO-Revision-Date: 2020-01-27 11:55+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 10:05+0000\n"
 "Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
@@ -39,9 +39,9 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
-msgstr "Dans le mode standard *regexp* pour rechercher et remplacer, vous spécifiez tant une expression régulière à rechercher qu'un modèle qui est utilisé pour remplacer toutes les correspondances trouvées. Dans le mode fonction, à la place d'utiliser un modèle fixe, vous spécifiez une fonction quelconque, dans le `langage de programmation Python <https://docs.python.org/2.7/>`_. Ceci vous permet de faire beaucoup de choses qui ne sont pas possibles avec de simples modèles."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
+msgstr "Dans le mode standard *regexp* pour rechercher et remplacer, vous spécifiez tant une expression régulière à rechercher qu'un modèle qui est utilisé pour remplacer toutes les correspondances trouvées. Dans le mode fonction, à la place d'utiliser un modèle fixe, vous spécifiez une fonction quelconque, dans le `langage de programmation Python <https://docs.python.org>`_. Ceci vous permet de faire beaucoup de choses qui ne sont pas possibles avec de simples modèles."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
 msgid ""
@@ -94,12 +94,11 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
-msgstr "Chaque fonction personnalisée :guilabel:`Rechercher & remplacer` doit avoir un nom unique et consister en une fonction Python nommée replace, qui accepte tous les arguments affichés ci-dessus. Pour le moment, nous ne nous inquiéterons pas à propos de tous les différents arguments de la fonction ``replace()``.  Focalisons-nous uniquement sur l'argument ``match``. Il représente une correspondance lors de l'exécution d'un rechercher et remplacer. Sa documentation complète est disponible `ici <https://docs.python.org/2.7/library/re.html#match-objects>`_. ``match.group()`` renvoie simplement tout le texte correspondant et tout ce que nous faisons est de remplacer les traits d'union dans ce texte par des tirets fins, en remplaçant d'abord les doubles traits d'union et ensuite les traits d'union seuls."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
+msgstr "Chaque fonction personnalisée :guilabel:`Rechercher & remplacer` doit avoir un nom unique et consister en une fonction Python nommée replace, qui accepte tous les arguments affichés ci-dessus. Pour le moment, nous ne nous inquiéterons pas à propos de tous les différents arguments de la fonction ``replace()``.  Focalisons-nous uniquement sur l'argument ``match``. Il représente une correspondance lors de l'exécution d'un rechercher et remplacer. Sa documentation complète est disponible `ici <https://docs.python.org/library/re.html#match-objects>`_. ``match.group()`` renvoie simplement tout le texte correspondant et tout ce que nous faisons est de remplacer les traits d'union dans ce texte par des tirets fins, en remplaçant d'abord les doubles traits d'union et ensuite les traits d'union seuls."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
 msgid "Use this function with the find regular expression::"
@@ -257,11 +256,11 @@ msgstr "L'argument ``match``"
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
-msgstr "L'argument ``match`` représente la correspondance actuellement trouvée. C'est un `objet Python Match <https://docs.python.org/2.7/library/re.html#match-objects>`_. Sa méthode la plus utile est ``group()`` qui peut être utilisée pour récupérer le texte apparié correspondant à la capture de groupes individuels dans l'expression régulière de recherche."
+msgstr "L'argument ``match`` représente la correspondance actuellement trouvée. C'est un `objet Python Match <https://docs.python.org/library/re.html#match-objects>`_. Sa méthode la plus utile est ``group()`` qui peut être utilisée pour récupérer le texte apparié correspondant à la capture de groupes individuels dans l'expression régulière de recherche."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:248
 msgid "The ``number`` argument"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/glossary.po	2020-02-06 05:11:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/glossary.po	2020-07-16 16:59:46.000000000 +0000
@@ -6,13 +6,13 @@
 # Xotes <alois.glibert@gmail.com>, 2015
 # Ptit Prince <leporello1791@gmail.com>, 2014,2016
 # Ptit Prince <leporello1791@gmail.com>, 2014
-# Ptit Prince <leporello1791@gmail.com>, 2017
+# Ptit Prince <leporello1791@gmail.com>, 2017,2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-01-26 14:25+0530\n"
-"PO-Revision-Date: 2020-01-27 11:55+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 07:29+0000\n"
 "Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
@@ -113,6 +113,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Les expressions régulières** fournissent des moyens concis et flexigles pour identifier des chaînes de texte d'intérêt comme des caractères particuliers, des mots ou des modèles de caractères. Voir `regexp syntax <https://docs.python.org/2.7/library/re.html>`_ pour la syntaxe des expressions régulières utilisées dans Python."
+msgstr "**Les expressions régulières** fournissent des moyens concis et flexigles pour identifier des chaînes de texte d'intérêt comme des caractères particuliers, des mots ou des modèles de caractères. Voir `regexp syntax <https://docs.python.org/library/re.html>`_ pour la syntaxe des expressions régulières utilisées dans Python."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/gui.po	2020-07-02 04:21:53.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/gui.po	2020-07-16 17:06:28.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 11:05+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 07:28+0000\n"
 "Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
@@ -807,13 +807,13 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
 "Regular expression searches are 'contains' searches unless the expression "
 "contains anchors."
-msgstr "Les recherches sur l'égalité sont indiquées en préfixant la chaîne de recherche avec le signe égal (=). Par exemple, la requête ``tag:\"=science\"`` ne prendra que les livres dont l’étiquette sera égale à \"science\", mais pas à \"science fiction\" ou à \"science exacte\". Les recherches avec des expressions régulières sont indiquées en préfixant la chaîne de recherche avec un tilde (~). Toutes `les expressions régulières compatibles Python <https://docs.python.org/2/library/re.html>`_ peuvent être utilisées. Notez que les barres obliques utilisées pour gérer certains caractères spéciaux dans les expressions régulières doivent être doublées parce que les barres simples seront supprimés lors de l'analyse des requêtes. Par exemple, pour correspondre à une parenthèse ouvrante vous devez saisir ``\\\\(``. Les recherches avec des expressions régulières sont des recherches 'contient' à moins que l'expression contienne des ancres."
+msgstr "Les recherches sur l'égalité sont indiquées en préfixant la chaîne de recherche avec le signe égal (=). Par exemple, la requête ``tag:\"=science\"`` ne prendra que les livres dont l’étiquette sera égale à \"science\", mais pas à \"science fiction\" ou à \"science exacte\". Les recherches avec des expressions régulières sont indiquées en préfixant la chaîne de recherche avec un tilde (~). Toutes `les expressions régulières compatibles Python <https://docs.python.org/library/re.html>`_ peuvent être utilisées. Notez que les barres obliques utilisées pour gérer certains caractères spéciaux dans les expressions régulières doivent être doublées parce que les barres simples seront supprimés lors de l'analyse des requêtes. Par exemple, pour correspondre à une parenthèse ouvrante vous devez saisir ``\\\\(``. Les recherches avec des expressions régulières sont des recherches 'contient' à moins que l'expression contienne des ancres."
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:351
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/news.po	2020-06-18 03:19:19.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/news.po	2020-07-16 16:57:57.000000000 +0000
@@ -12,8 +12,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 06:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 07:27+0000\n"
 "Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
@@ -240,8 +240,8 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
-msgstr "Ci-dessus, ``def print_version(self, url)`` définit une *méthode* qui est appelée par calibre pour chaque article. ``url`` est l'URL de l'article original. Ce que ``print_version`` fait est de prendre cette url et de la remplacer avec l'URL qui pointe vers la version imprimable de l'article. Pour apprendre à propos de `Python <https://www.python.org>`_ voir le `tutoriel <https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
+msgstr "Ci-dessus, ``def print_version(self, url)`` définit une *méthode* qui est appelée par calibre pour chaque article. ``url`` est l'URL de l'article original. Ce que ``print_version`` fait est de prendre cette url et de la remplacer avec l'URL qui pointe vers la version imprimable de l'article. Pour apprendre à propos de `Python <https://www.python.org>`_ voir le `tutoriel <https://docs.python.org/tutorial/>`_."
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/regexp.po	2020-02-06 05:14:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/regexp.po	2020-07-16 17:03:31.000000000 +0000
@@ -7,13 +7,13 @@
 # Franck, 2015,2017
 # Ptit Prince <leporello1791@gmail.com>, 2014
 # Ptit Prince <leporello1791@gmail.com>, 2014
-# Ptit Prince <leporello1791@gmail.com>, 2016-2018
+# Ptit Prince <leporello1791@gmail.com>, 2016-2018,2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-01-26 14:25+0530\n"
-"PO-Revision-Date: 2020-01-27 11:56+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 09:54+0000\n"
 "Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
@@ -441,8 +441,8 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Voilà, c'est juste pour conclure cette très courte introduction aux expressions régulières. Si tout va bien je vous aurai montré assez que pour vous permettre au moins de démarrer et de vous donner l'envie de continuer d'apprendre par vous-même - un bon point de départ serait la `Documentation Python pour les regexps <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
+msgstr "Voilà, c'est juste pour conclure cette très courte introduction aux expressions régulières. Si tout va bien je vous aurai montré assez que pour vous permettre au moins de démarrer et de vous donner l'envie de continuer d'apprendre par vous-même- un bon point de départ serait la `Documentation Python pour les regexps <https://docs.python.org/library/re.html>`_."
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
 msgid ""
@@ -497,5 +497,8 @@ msgstr "Orpheu"
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Pour plus d'informations à propos des regexps voir `Le Manuel Utilisateur Python <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
+msgstr "Pour plus d'informations sur les regexps, voir `The Python User Manual <https://docs.python.org/library/re.html>`_. La bibliothèque d'expressions régulières actuellement utilisée par calibre est : `regex <https://bitbucket.org/mrabarnett/mrab-regex/src/hg/>`_ qui supporte plusieurs améliorations utiles par rapport à la bibliothèque standard python."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "untranslated": 0, 
-    "translated": 2913
+    "translated": 2915
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/template_lang.po	2020-07-02 04:15:56.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/template_lang.po	2020-07-16 16:55:34.000000000 +0000
@@ -12,8 +12,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 11:09+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 10:00+0000\n"
 "Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
@@ -178,9 +178,9 @@ msgstr "Si vous ne voulez que les deux p
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
-msgstr "Le langage de modèle de calibre vient de Python et pour plus de détails sur la syntaxe de ces opérations de mise en forme avancée, reportez-vous à la `Documentation Python <https://docs.python.org/2/library/string.html#format-string-syntax>`_."
+msgstr "Le langage de modèle de calibre vient de Python et pour plus de détails sur la syntaxe de ces opérations de mise en forme avancée, reportez-vous à la `Documentation Python <https://docs.python.org/library/string.html#format-string-syntax>`_."
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:90
 msgid "Advanced features"
@@ -381,12 +381,20 @@ msgstr "``lookup(pattern, field, pattern
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr "``rating_to_stars(use_half_stars)`` -- Retourne la note sous forme de chaîne de caractères étoilés. La valeur source doit être un nombre entre 0 et 5. Mettez use_half_stars à 1 si vous voulez des caractères demi-étoiles pour les colonnes de classement personnalisées qui ne sont pas des entiers, par exemple 2.5."
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr "``re(pattern, replacement)`` -- renvoie le champ après avoir appliquer l’expression régulière. Toutes les instances de `pattern` seront remplacées par `replacement`. Comme tout dans calibre, celles-ci sont des expressions régulières Python-compatibles."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -395,7 +403,7 @@ msgid ""
 "identifiers for a book."
 msgstr "``select(key)`` -- interprète la valeur comme une liste d'articles séparés par des virgules, ceux-ci étant de la forme \"id:valeur\". Trouve la paire avec l’id égale à la clé, et retourne la valeur correspondante. Cette fonction est particulièrement utile pour extraire une valeur telle qu'un ISBN à partir d'un ensemble d'identifiants pour un livre."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -409,7 +417,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr "``shorten(left chars, middle text, right chars)`` -- Retourne une version raccourcie du champ, constituée par les `left chars` caractères du début du champ, suivis par `middle text` et enfin par `right chars` de la fin de la chaîne. `left chars` et `right chars` doivent être des entiers. Par exemple, supposons que le titre du livre est `Ancient English Laws in the Times of Ivanhoe`, et que vous voulez que ce titre rentre dans un espace maximal de 15 charactéres. Si vous utilisez ``{title:shorten(9,-,5)}``, le resultat sera `Ancient E-nhoe`. Si la longueur du champ est inférieure à ``left chars`` + ``right chars`` + la longueur de ``middle text``, alors le champ ne sera pas modifié. Par exemple, le titre `The Dome` ne serait pas modifié."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -421,7 +429,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr "``str_in_list(separator, string, found_val, ..., not_found_val) -- interprète le champ comme une liste d’éléments séparés par `separator`, comparant `string` avec chaque valeur de la liste. Si `string`  correspond à une valeur (ignorant la casse) cela retourne `found_val`, sinon, cela retourne `not_found_val`. Si la chaîne contient des séparateurs, alors elle est également traitée comme une liste et chaque valeur est vérifiée. `string` et `found_value` peuvent être répétés autant de fois que désiré, permettant de renvoyer différentes valeurs dépendantes de la recherche. Les chaînes sont traitées dans l'ordre. La première correspondance est renvoyée."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -435,7 +443,7 @@ msgid ""
 "list. Examples::"
 msgstr "``subitems(start_index, end_index)`` -- Cette fonction est utilisée pour séparer des listes d’éléments analogues de type hiérarchique comme les genres. Elle interprète le champ comme une liste d’éléments séparés par des virgules d'éléments analogues, où chaque élément est une liste séparée par des points. Retourne une nouvelle liste composée en recherchant d’abord tous les éléments analogues séparés par des points, puis pour chacun de ces  éléments en extrayant les composantes entre `start_index` et `end_index` avant de les recombiner. Le premier élément dans une liste séparée par des points a un index de 0. Si un index est négatif, alors il part de la fin de la liste. Comme cas spécial, un fin_index de zéro est considéré comme étant la longueur de la liste. Exemples :: "
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -446,14 +454,23 @@ msgid ""
 ",C\"::"
 msgstr "``sublist(start_index, end_index, separator) -- interprète le champ comme une liste d’éléments séparés par `separator`, retournant une nouvelle liste composée des éléments compris entre `start_index` et `end_index`. Le premier élément est le numéro 0. Si un index est négatif, alors il part de la fin de la liste. Comme cas spécial, un end_index de zéro est considéré comme étant la longueur de la liste. Des exemples supposant que la colonne des étiquettes (qui sont séparées par des virgules) contient \"A, B, C\" :: "
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr "``swap_around_articles(separator)`` -- renvoie la val avec les articles déplacés à la fin. La valeur peut être une liste, auquel cas chaque membre de la liste est traité. Si la valeur est une liste, alors vous devez fournir le séparateur de valeur de liste. Si aucun séparateur n'est fourni, la valeur est traitée comme une valeur unique et non comme une liste."
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr "``swap_around_comma()`` -- donne un champ avec une valeur au format \"B, A\", renvoie \"A B\". Ceci est très utile pour la conversion des noms du format NF, Pr vers Pr NF. Si il n’y a pas de virgule, la fonction renvoie val non modifiée"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -462,13 +479,13 @@ msgid ""
 "pairs as you want."
 msgstr "``switch(pattern, value, pattern, value, …, else_valeur)`` -- pour chaque paire ``pattern, value``, vérifie si le champ à des correspondances pour l’expression régulière ``pattern`` et si oui renvoie cette ``valeur``. Si aucun ``pattern`` ne  correspond, alors else_value est renvoyé. Vous pouvez avoir autant de paires ``pattern, value`` que vous voulez."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr "``test(text if not empty, text if empty)`` -- renvoie `text if not empty` si le champ n’est pas vide, sinon renvoie `text if empty`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -476,7 +493,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr "``transliterate()`` - Restitue une chaîne en alphabet latin représentant approximativement le son des mots de la chaîne source. Par exemple,  si le champ source est `Фёдор Миха́йлович Достоевский`` la fonction renverra ``Fiodor Mikhailovich Dostoievskii``.'"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -488,17 +505,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr "Maintenant, qu'en est-il de l'utilisation des fonctions et du formatage dans le même champ. Supposons que vous avez une colonne personnalisée appelée ``#myint`` que vous voulez avoir avec des 0 devant, tel que ``003``. Pour ce faire, vous devez utiliser un format de ``0>3s``. Cependant, par défaut, si un nombre (entier ou flottant) est égal à zéro alors le champ retourne une valeur vide, et les valeurs nulles ne produisent rien, pas ``000``. Si vous voulez vraiment voir la valeur ``000``, alors vous utilisez à la fois un format de chaîne et la fonction ``ifempty`` pour traiter la valeur vide et la transformer en zéro. La référence de champ serait::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr "Notez que vous pouvez également utiliser préfixe et suffixe, si vous voulez que le nombre apparaisse comme  ``[003]`` ou ``[000]``, utilisez alors le champ::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr "Utiliser les fonctions dans les modèles - mode modèle de programme"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -506,13 +523,13 @@ msgid ""
 "programming language."
 msgstr "Le langage du mode modèle de programme diffère du mode fonction seule en ce qu'il permet d'écrire des expressions de modèles qui font référence à d'autres champs de métadonnées, champs, de modifier les valeurs et faire de l'arithmétique. Il s'agit d'un langage de programmation assez complet."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr "Vous pouvez utiliser les fonctions documentées ci-dessus dans le mode de programmation de modèle. Voir ci-dessous pour plus de détails."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -521,23 +538,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr "Commençons par un exemple : supposons que vous voulez que votre modèle vous donne la série d'un livre s'il en a une, et sinon vous donne la valeur du champ personnalisé #genre. Vous ne pouvez pas le faire dans la langue de base, parce que vous ne pouvez pas faire référence à un autre champ de métadonnées dans l'expression d'un modèle. En mode programmation, vous pouvez. L'expression suivante fonctionne::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr "L'exemple montre plusieurs choses :"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr "le mode modèle de programmation est utilisé si l'expression commence par ``:'`` et se termine par ``'``. Tout le reste est considéré comme étant fonction-seule."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr "la variable ``$`` représente le champ sur lequel porte l'expression opère, ``#series`` dans ce cas."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -545,16 +562,16 @@ msgid ""
 "from single-function mode."
 msgstr "les fonctions doivent être donnés avec tous leurs arguments. Il n'y a pas de valeur par défaut. Par exemple, les fonctions intégrées standard doivent avoir un paramètre initial supplémentaire indiquant le champ source, ce qui est une différence importante avec le mode fonction-seule."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr "les espaces sont ignorés et peuvent être utlisés n'importe où dans l'expression."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr "les chaînes constantes sont entre guillemets, soit ``'`` ou ``\"``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -562,15 +579,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr "Le langage est similaire aux langages ``fonctionnels`` en ce qu'il est construit presque entièrement à partir de fonctions. Une déclaration est une fonction. Une expression est une fonction. Constantes et identificateurs peuvent être considérés comme des fonctions renvoyant la valeur indiquée par la constante ou stockés dans l'identificateur."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr "La syntaxe du langage est représentée par la grammaire suivante::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr "Les commentaires sont des lignes avec le caractère '#' au début de la ligne."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -578,27 +595,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr "Une ``expression`` a toujours une valeur, soit la valeur d'une constante, soit la valeur contenue dans un identifiant, ou la valeur retournée par une fonction. La valeur d'une ``déclaration`` est la valeur de la dernière expression d'une phrase de déclarations. De même, la valeur d'un programme (déclaration)::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr "est 3."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr "Un autre exemple d'un programme complexe, même s'il est un peu ridicule, pourrait aider à clarifier les choses::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr "Ce programme fait ce qui suit :"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr "précise que le champ qui doit être traité est series_index. Cela définit la valeur de la variable ``$``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -609,7 +626,7 @@ msgid ""
 "before substr can return."
 msgstr "appelle la fonction ``substr``, qui comprend 3 paramètres ``(str, start, end)``. Elle renvoie une chaîne qui est formée par l'extraction des caractères du début à la fin de la chaîne, base zéro (le premier caractère est un caractére zéro).\nDans ce cas, la chaîne sera calculée par la fonction ``strcat``, le début est 0, et la fin est 6. Dans ce cas, elle retournera les 6 premiers caractères de la chaîne renvoyée par ``strcat``, qui doit être évaluée avant que substr puisse renvoyer."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -620,7 +637,7 @@ msgid ""
 "return."
 msgstr "appelle la fonction ``strcat`` (concaténation de chaîne). Strcat accepte 1 ou plus d'arguments, et renvoie une chaîne formée par la concaténation de toutes les valeurs. Dans ce cas il y a trois arguments. Le premier paramètre est la valeur dans ``$``, qui ici est la valeur de ``series_index``. Le deuxième paramètre est la chaîne constante ``'->'``. Le troisième paramètre est la valeur retournée par la fonction ``cmp``, qui doit être complètement évaluée avant que ``strcat`` puisse renvoyer."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -633,7 +650,7 @@ msgid ""
 "``'gt'``."
 msgstr "La fonction ``cmp`` comprend 5 arguments ``(x, y, lt, eq, gt)``. Elle compare x et y et renvoie le troisième argument ``lt`` si x < y, le quatrième argument ``eq`` si x == y, et le cinquième argument ``gt`` si x > y. Comme avec toutes les fonctions, tous les paramètres peuvent être des déclarations. Dans ce cas le premier paramètre (la valeur pour ``x``) est le résultat de la division de series_index par 2. Le deuxième paramètre ``y`` est la constante ``1``. Le troisième paramètre ``t`` est une déclaration (plus à ce sujet plus tard). Le quatrième paramètre ``eq`` est la chaîne constante ``'eq'``. Le cinquième paramètre est la chaîne constante ``'gt'``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -645,38 +662,38 @@ msgid ""
 "``'t123'``."
 msgstr " Le troisième paramètre (celui pour ``it``) est une déclaration ou une séquence d'expressions. Rappelez-vous qu'une déclaration (une séquence d'expressions séparées par des points-virgules) est également une expression et renvoie la valeur de la dernière expression dans la liste. Dans ce cas, le programme affecte d'abord la valeur ``1`` à une variable locale ``c``, puis retourne une sous-chaîne faite par l'extraction du c'th caractère à la fin. Puisque c contient toujours la constante ``1``, la sous-chaîne retournera le deuxième jusqu'aux caractères de fin, ou ``t123``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr "Une fois la déclaration donnant la valeur du troisième paramètre est exécutée, ``cmp`` peut renvoyer une valeur. A ce moment, ``strcat`` peut renvoyer une valeur, puis ``substr`` peut renvoyer une valeur. Ensuite, le programme se termine."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr "Pour différentes valeurs de series_index, le programme renvoie :"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr "series_index == indéfini, résultat = ``préfixe ->t123 suffixe``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr "series_index == 0.5, resultat = ``prefix 0.50-> suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr "series_index == 1, résultat = ``préfixe 1->t12 suffixe``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr "series_index == 2, résultat = ``préfixe 2->eq suffixe``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr "series_index == 3, résultat = ``préfixe 3->gt suffixe``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -687,7 +704,7 @@ msgid ""
 " often `field()`."
 msgstr "**Toutes les fonctions listées sous le mode fonction-seule peuvent être utilisées dans le mode programmation**. Pour faire cela, vous devez fournir la valeur sur laquelle la fonction agit comme premier paramètre, en complément des paramètres documentés ci-dessus. Par exemple, en mode programmation les paramètres de la fonction `test` sont ``test(x, text_if_not_empty, text_if_empty)``. Le paramètre `x`, qui est la valeur à tester, sera presque toujours une variable ou un appel de fonction, souvent `field()`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -698,26 +715,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr "Les fonctions suivantes sont disponibles en complément de celles décrites dans le mode fonction-seule. Rappelez-vous de l'exemple ci-dessus que les fonctions du mode fonction-seule requièrent un premier paramètre additionnel spécifiant le champ sur lequel opérer.Avec l'exception du paramètre ``id`` d'assign, tous les paramètres peuvent être des déclarations (séquences d'expressions). Notez que la documentation définitive pour les fonctions est disponible dans la section :ref:`Classification de fonction <template_functions_reference>`:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr "``and(valeur, valeur, …)`` -- renvoie la chaîne \"1\" si toutes les valeurs ne sont pas vides, sinon renvoie la chaine vide. Cette fonction fonctionne très bien avec test ou first_non_empty. Vous pouvez avoir autant de valeurs que vous voulez."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr "``add(x, y)`` -- renvoie x + y. Renvoie une exception si x ou y ne sont pas des nombres."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "``assign(id, val)`` -- assigne val à id, puis renvoie val. id doit être un identifiant, pas une expression"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -726,7 +743,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr "``approximate_formats()`` -- retourne une liste de formats, séparées par des virgules, qui,  à un certain moment, on été associés avec le livre. Il n'y a aucune garantie que cette liste est correcte, bien qu'elle le soit probablement. Cette fonction peut-être appelée en mode de modèle de programme en utilisant le modèle \"{:'approximate_formats()'}\". Notez que ces noms de formats sont toujours en majuscule, comme dans EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -739,7 +756,7 @@ msgid ""
 "empty."
 msgstr "``author_links(val_separator, pair_separator)`` -- retourne une chaîne contenant une liste d'auteurs et les valeurs de ce lien d'auteur dans la forme ``auteur1 val_separator author1link pair_separator auteur2 val_separator author2link`` etc. Un auteur est séparé de la valeur de son lien par la chaîne ``val_separator`` sans espaces ajoutés. Les paires ``author:linkvalue`` sont séparées par la chaîne d'argument ``pair_separator`` sans espaces ajoutés. Il vous incombe de choisir des chaines de séparateur qui n'apparaissent pas dans des noms ou des liens d'auteur. Un auteur est inclus même si le lien d'auteur est vide."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -750,13 +767,13 @@ msgid ""
 "separator string"
 msgstr "``author_sorts(val_separator)`` --  renvoie une chaîne contenant une liste des valeurs de tri de l'auteur pour les auteurs du livre. Le tri est celui des métadonnées auteur (différente de l'author_sort dans les livres). La liste renvoyée a ltri auteur 1 ``val_separator`` tri auteur 2 etc. Les valeurs de tri auteur dans cette liste sont dans le même ordre que les auteurs du livre. Si vous voulez les espaces autour du ``val_separator`` incluez les alors dans la chaîne separator"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr "``booksize()`` -- renvoie la valeur du champ 'size' de calibre. Renvoie '' s'il n'y a pas de formats."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -766,7 +783,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- vérifie la valeur du champ yes/no nommé par la clé de recherche ``field_name`` pour une valeur spécifiée par les paramètres, en retournant \"yes\" si une correspondance est trouvée, sinon en retournant une chaîne vide. Mettre le paramètre ``is_undefined``, ``is_false``, ou ``is_true`` à 1 (le nombre) pour vérifier cette condition, sinon le mettre à 0. Exemple::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -774,28 +791,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr "renvoie \"oui\" si le champ oui/non \"#bool\"`` est soit indéfini (ni Vrai ni Faux) ou Vrai. Plus d'une des fonctions ``is_undefined``, ``is_false``, ou ``is_true`` peut être mise à 1. Cette fonction est généralement utilisée par les fonctions ``test()`` ou ``is_empty()``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr "``cmp(x, y, lt, eq, gt)`` -- compare x et y après les avoir converti tous les deux en nombres. Renvoie ``lt`` si x < y. Renvoie ``eq`` si x == y. Sinon renvoie ``gt``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr "``current_library_name()`` -- retourne le dernier nom du chemin de la bibliothèque calibre actuelle. Cette fonction peut-être appelée en mode de modèle de programme en utilisant le modèle ``{:'current_library_name()'}``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr "``current_library_path()`` -- retourne le chemin de la bibliothèque calibre actuelle. Cette fonction peut-être appelée en  mode de modèle de programme en utilisant le modèle ``{:'current_library_path()'}``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -803,13 +820,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr "``days_between(date1, date2)`` -- renvoie le nombre de jours entre ``date1`` et ``date2``. Le nombre est positif si ``date1`` est plus grand que ``date2``, sinon négatif. Si ``date1`` ou ``date2`` ne sont pas des dates, la fonction renvoie une chaîne vide."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "``divide(x, y)`` -- renvoie x / y. Renvoie une exception si x ou y ne sont pas des nombres."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -820,11 +837,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr "``eval(string)`` -- évalue la chaîne, en analysant les variables locales (celles ``assign``ées à). Cela permet en utilisant le traitement du modèle de construire des résultats complexes à partir de variables locales. Parce que les caractères `{` et `}` sont spéciaux, vous devez utiliser `[[` pour le caractère `{` et `]]` pour le caractère `}` ; ils sont convertis automatiquement. Notez également que les préfixes et les suffixes (la syntaxe `|prefix|suffix`) ne peuvent pas être utilisés dans les arguments de cette fonction lorsque le mode modèle de programmation est utilisé."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr "``field(name)`` -- renvoie le champ de métadonnée nommé par ``name``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -832,27 +849,27 @@ msgid ""
 "Example::"
 msgstr "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- compare ``val < cmpN`` dans la séquence, retourne resultN pour la première comparaison qui réussit. Retourne else_return si aucune comparaison ne réussit. Exemple::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr "renvoie \"large\". Le même exemple avec une première valeur à 16 renvoie \"géant\"."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr "``first_non_empty(valeur, valeur, …)`` -- retourne la première valeur non vide. Si toutes les valeurs sont vides, la valeur vide est retournée. Vous pouvez avoir autant de valeurs que vous voulez."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr "``format_date(val, format_string)`` -- formate la valeur, qui doit être un champ date, en utilisant format_string, retournant une chaîne. Les codes de formatage sont::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -861,7 +878,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr "Vous pourriez obtenir des résultats inattendus si la date que vous formatez contient des noms de mois localisés, ce qui peut arriver si vous changez les ajustements de format pour contenir ``MMMM``. Dans ce cas, à la place d'utiliser quelque chose comme ``{pubdate:format_date(yyyy)}``, écrivez le modèle en utilisant le mode programmation de modèle comme dans ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -872,14 +889,14 @@ msgid ""
 "same output as the above template::"
 msgstr "``finish_formatting(val, fmt, prefix, suffix)`` -- applique le format, le préfixe, et le suffixe à une valeur de la même manière que cela ce fait dans un modèle comme ``{series_index:05.2f| - |- }``. Cette fonction est fournie pour facilité la conversion d'une single-function complexe - ou des modèles template-program-mode en :ref:`mode général de programmation <general_mode>` (voir ci-dessous) pour profiter de l'avantage de la compilation de modèle GPM. Par exemple, le programme suivant produit la même sortie que le modèle ci-dessus::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr "Un autre exemple: pour le modèle ``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - }{title}`` utilisez::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -889,7 +906,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr "``formats_modtimes(format_string)`` -- retourne une liste séparée par des virgules d’éléments séparés par deux-points représentant les dates de modification pour les formats d’un livre. Le paramètre format_string indique comment la date doit être formatée. Voir la fonction  `format_date()` pour plus de détails. Vous pouvez utiliser la fonction select pour obtenir le moment de modification pour un format spécifique. Veuillez noter que les noms de format sont toujours en majuscules, comme dans EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -897,7 +914,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_paths()`` -- retourne une liste séparées par des virgules d'éléments séparés par deux points représentant le chemin absolu vers les formats d'un livre. Vous pouvez utiliser cette fonction pour obtenir le chemin d'un format spécifique. Notez que ces noms de formats sont toujours en majuscule, comme dans EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -905,20 +922,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_sizes()`` -- renvoie une liste séparée par des virgules correspondant à des articles représentant les tailles en octets des formats du livre. Vous pouvez utiliser la fonction select pour obtenir la taille d’un format spécifique. Notez que ces noms de formats sont toujours en majuscule, comme dans EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr "``has_cover()`` -- renvoie ``Yes`` si le livre a une couverture, sinon renvoie une chaine vide"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "``not(value)`` -- renvoie la chaîne \"1\" si la valeur est vide, sinon renvoie la chaîne vide. Cette fonction fonctionne très bien avec test ou first_non_empty."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -926,7 +943,7 @@ msgid ""
 "are the items in the returned list."
 msgstr "``list_difference(list1, list2, separator)`` -- restitue une liste en supprimant de ``list1`` tout élément trouvé dans ``list2 ``en utilisant une comparaison insensible à la casse. Les éléments dans ``list1`` et ``list2`` sont séparés par le séparateur, comme le sont les éléments dans la liste restituée."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -935,7 +952,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` --retourne `yes_val` si ``list1`` et ``list2`` contiennent les mêmes éléments, sinon renvoie ``no_val``. Les éléments sont déterminés en éclatant chaque liste à l’aide du séparateur approprié (`sep1` ou `sep2`). L’ordre des éléments dans la liste n’est pas pris en compte. La comparaison est insensible à la casse."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -943,7 +960,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr "``list_intersection(list1, list2, separator)`` -- restitue une liste en supprimant de ``list1`` tout élément non trouvé dans ``list2 ``en utilisant une comparaison insensible à la casse. Les éléments dans ``list1`` et ``list2`` sont séparés par le séparateur, comme le sont les éléments dans la liste restituée."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -953,7 +970,7 @@ msgid ""
 "returned list."
 msgstr "``list_re(src_list, separator, include_re, opt_replace)`` -- Construit une liste en séparant d'abord `src_list` en éléments utilisant le caractère de séparation. Pour chaque élément dans la liste, vérifie s'il correspond à `include_re`. Si c'est le cas, alors il l'ajoute à la liste à renvoyer. Si `opt_replace` n'est pas une chaîne vide, alors effectue le remplacement avant d'ajouter l'élément à la liste renvoyée."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -961,7 +978,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr "``list_re_group(src_list, separator, include_re, search_re, template_for_group_1, for_group_2, ...)`` -- Comme list_re excepté que les remplacements ne sont pas optionnels. Il utilise re_group(item, search_re, template ...) quand il effectue les remplacements."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -969,7 +986,7 @@ msgid ""
 " items in the returned list."
 msgstr "``list_sort(list, direction, separator) -- retourne une liste triée en utilisant un tri insensible à la casse. Si `direction` est zéro, la liste est triée de manière ascendante, sinon descendante. Les éléments sont séparés par le séparateur, comme ceux de la liste retournée."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -978,46 +995,46 @@ msgid ""
 "returned list."
 msgstr "``list_union(list1, list2, separator)`` -- restitue une liste créée de la fusion des éléments dans list1 et list2, supprimant les doublons en utilisant une comparaison insensible à la casse. Si la casse des éléments diffère, celle de list1 est utilisée. Les éléments dans list1 et list2 sont séparés par le séparateur, comme ceux de la liste restituée."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr "``multiply(x, y)`` -- renvoie x * y. Renvoie une exception si x ou y ne sont pas des nombres."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr "``ondevice()`` -- renvoie la chaîne \"Yes\" si ondevice est paramétré, sinon renvoie la chaîne vide"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr "``or(value, value, …)`` -- renvoie la chaîne \"1\" si n'importe quelle valeur n’est pas vide, sinon renvoie la chaine vide. Cette fonction fonctionne très bien avec test ou first_non_empty. Vous pouvez avoir autant de valeurs que vous voulez."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr "``print(a, b, …)`` -- affiche les arguments dans la console standard. Sauf si vous avez démarré calibre à partir de la ligne de commande (``calibre-debug -g``), la sortie ira dans un trou noir."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr "``raw_field(name)`` -- renvoie le champ de métadonnée nommé par name sans appliquer aucun formatage."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr "``raw_field(name, separator)`` -- renvoie la liste de métadonnées nommée par name sans appliquer aucun formatage ou triage et avec les éléments séparés par separator."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1029,17 +1046,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` -- renvoie une chaîne faite en appliquant le modèle d'expression régulière à la valeur et en remplaçant chaque instance assortie par la chaîne calculée en remplaçant chaque groupe assorti par la valeur retournée par le modèle correspondant. La valeur assortie originale pour le groupe est disponible comme $. En mode programmation de modèle, comme pour le modèle et les fonctions eval, vous utiliserez [[ pour { et ]] pour }. L'exemple suivant en mode programmation de modèle recherche des séries avec plus d'un mot et des majuscules dans le premier mot::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr "``series_sort()`` -- renvoie la valeur de tri des séries."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr "``strcat(a, b, …)`` -- peut avoir n'importe quel nombre d’arguments. Renvoie une chaine constituée par la concaténation de tous les arguments."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1049,19 +1066,19 @@ msgid ""
 "you wish."
 msgstr "``strcat_max(max, string1, prefix1, string2, …)`` -- Retourne la chaîne formée par la concaténation des arguments. La valeur retournée est initialisée à string1. Les paires 'Prefix,string' sont ajoutées à la fin de la valeur tant que la taille de la chaîne de sortie est plus petite que 'max'. String1 est retournée même si string1 est plus grande que max. Vous pouvez passer autant de paires de 'prefix,string' que vous le souhaitez."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr "``strcmp(x, y, lt, eq, gt)`` -- effectue une comparaison insensible à la casse des chaines x et y. Renvoie ``lt`` si x < y. Renvoie ``eq`` si x == y. Sinon renvoie ``gt``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr "``strlen(a)`` -- Retourne la longueur de la chaîne de caractères passée en argument."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1071,20 +1088,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr "``substr(str, start, end)`` -- renvoie les caractères de début jusqu'à fin de ``str``. Le premier caractère dans ``str`` est le caractère zéro. Si end est négatif, cela indique que beaucoup de caractères sont comptés à partir de la droite. Si end est zéro, cela indique le dernier caractère. Par exemple, ``substr('12345', 1, 0)`` renvoie ``'2345'``, et ``substr('12345', 1, -1)`` renvoie ``'234'``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr "``subtract(x, y)`` -- renvoie x - y. Renvoie une exception si x ou y ne sont pas des nombres."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr "``today()`` -- renvoie une chaine date pour aujourd’hui. Cette valeur est conçue pour être utiliser avec format_date ou days_between, mais peut être manipulée comme toute autre chaine. La date est au format ISO."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1096,15 +1113,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr "``template(x)`` -- évalue x comme un modèle. L’évaluation est effectuée dans son propre contexte, cela veut dire que les variables ne sont pas partagées entre l’appelant et l’évaluation du modèle. Comme les caractères `{` et `}` sont spéciaux, vous devez utiliser `[[` pour le caractère `{` et `]]` pour le caractère `}` ; ils sont convertis automatiquement. Par exemple, ``template('[[title_sort]]')`` évaluera le modèle ``{title_sort}`` et retournera sa valeur. Notez également que les préfixes et les suffixes (la syntaxe `|prefix|suffix`) ne peuvent pas être utilisés dans les arguments de cette fonction lorsque le mode modèle de programme est utilisé."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr "Classification de fonction"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr "En utilisant le mode général de programmation"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1114,7 +1131,7 @@ msgid ""
 "correct results."
 msgstr "Pour les modèles de programme plus complexes, il est parfois plus facile d'éviter la syntaxe des modèles (avec tous ces caractères `{` et `}`), et utiliser à la place un programme plus classique. Vous pouvez le faire avec calibre en commençant par le modèle par `program:`. Dans ce cas, aucun traitement de modèle n'est fait. La variable spéciale `$` n'est pas implémentée. C'est à votre programme de produire des résultats corrects."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1128,7 +1145,7 @@ msgid ""
 "report."
 msgstr "Un avantage du mode `program:` est que les accolades ne sont plus considérées comme des caractères spéciaux. Par exemple, il n'est pas nécessaire d'utiliser des `[[` et des `]]` quand vous utilisez la fonction `template()`. Un autre avantage est que ces modèles sont compilés avec Python et peuvent tourner beaucoup plus vite que les modèles crées dans les deux autres modes. L'amélioration de la vitesse dépend de la complexité des modèles, plus le modèle est plus compliqué, plus l'amélioration est sensible. La compilation est activé ou désactivé à l'aide de l'ajustement ``compile_gpm_templates`` (Compiler les modèles du Mode Général de Programme en Python). La raison principale pour suspendre la compilation est si un modèle compilé ne fonctionne pas. Dans ce cas, merci de remplir un rapport d'erreur."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1139,7 +1156,7 @@ msgid ""
 "following:"
 msgstr "L'exemple suivant est un mode `program:` d'implémentation d'une recette sur le forum MobileRead : \"Mettre les séries dans le titre, en utilisant soit les initiales soit une forme raccourcie. Retirer les articles principaux du nom de la série (n'importe lequel).\" Par exemple, pour le livre The Two Towers dans la série Seigneur des Anneaux, la recette donne `LotR [02] The Two Towers`. En utilisant le modèle standard, la recette requiert trois colonnes personnalisées et un tableau de connexion, comme expliqué ci-après :"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1148,14 +1165,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr "La solution requiert la création de trois colonnes composites. La première colonne est utilisée pour retirer les articles principaux. La seconde est utilisée pour calculer la forme 'raccourcie'. La troisième est pour calculer la forme 'initiales'. Une fois que vous avez ces colonnes, le tableau de connexion sélectionne entre elles. Vous pouvez masquer n'importe laquelle ou toutes les colonnes dans la vue bibliothèque::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr "Le programme qui suit produit le même résultat que la recette originale, en utilisant seulement une colonne personnalisée pour conserver le résultat d'un programme qui calcule la valeur spéciale titre::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1165,11 +1182,11 @@ msgid ""
 " being one giant line."
 msgstr "Il serait possible de faire ce qu'il y a ci-dessus sans colonnes personnalisées en mettant le programme dans la case modèle du tableau de connexion. Cependant, pour faire cela,tous les commentaires doivent être supprimés car la case de texte du tableau de connexion ne supporte pas l'édition multi-lignes. C'est discutable si le gain de ne pas avoir la colonne personnalisée vaille la vaste augmentation en difficulté provoquée par le fait que le programme soit une ligne géante."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr "Modèles de fonctions définies par l'utilisateur"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1177,11 +1194,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr "Vous pouvez ajouter vos propres fonctions au traitement des modèles. Ces fonctions s'écrivent en Python, et peuvent être utilisées dans n'importe lequel des trois modes de programmation de modèle. Les fonctions sont ajoutées en allant dans Préférences->Avancé->Modèles de fonctions. Les instructions sont affichées dans cette boite de dialogue."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr "Notes spéciales pour la sauvergarde/l'envoi des modèles"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1192,18 +1209,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr "Un traitement spécial est appliqué quand un modèle est utilisé dans un modèle `Enregistrer sur le disque` ou `Envoyer au périphérique`. Les valeurs des champs sont nettoyées, les caractères qui sont propres aux systèmes de fichiers sont remplacées par des traits de soulignement, y compris les barres obliques. Cela signifie que le texte d'un champ ne peut pas être utilisé pour créer des dossiers. Toutefois, les barres obliques ne sont pas modifiés dans des chaînes préfixe ou suffixe. Vous pouvez donc insérer des barres obliques qui et provoquer ainsi la création de dossiers. Ainsi, vous pouvez créer une structure de dossier avec des profondeurs variables."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr "Par exemple, supposons que nous voulons que la structure des dossiers soit `series/series_index - titre`, en prévoyant que si la série n'existe pas, alors le titre devrait être dans le dossier racine (le premier dossier, pas le sous-dossier). Le modèle pour faire cela est :"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr "La barre oblique et le trait d'union apparaissent uniquement si la série n'est pas vide."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1213,25 +1230,25 @@ msgid ""
 "depending on the value of series."
 msgstr "La fonction de recherche nous permet de faire le traitement encore plus poussé. Par exemple, supposons que si un livre est dans une série, alors nous voulons que la structure soit la suivante : `series/series index - title.fmt`.. Si le livre n'est pas dans une série, alors nous voulons que la structure des dossiers soit  `genre/author_sort/title.fmt`. Si le livre n'a pas de genre, nous voulons utiliser 'Inconnu'. Nous voulons deux chemins de répertoire totalement différents en fonction de la valeur de la série."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr "Pour accomplir cela, nous :"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr "Créons une colonne composite (appelons-la #AA) contenant ``{series}/{series_index} - {title}``. Si la série n'est pas vide, alors ce modèle produit `series/series_index - title`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr "Créons une champ composite (appelons-le #BB) contenant ``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. Ce modèle produit `genre/author_sort/title`, où un genre vide est remplacé par `Inconnu`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1239,11 +1256,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr "Paramétrez le modèle de sauvegarde à ``{series:lookup(.,#AA,#BB)}``. Ce modèle choisit le champ composite #AA si série n'est pas vide, et le champ composite #BB si série est vide. Nous avons dès lors deux chemins de sauvegarde complètement différents, dépendant du fait que `series` soit vide ou pas."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr "Modèles et tableaux de connexions"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1254,7 +1271,7 @@ msgid ""
 "display issues."
 msgstr "Les tableaux de connexions sont utilisés pour modifier les métadonnées écrites dans les livres pendant l'envoi à une liseuse et les opérations de sauvegarde sur le disque. Le tableau de connexion vous permet de spécifier pour un modèle de lecteur précis quelles données à insérer dans les métadonnées du livre. Vous pouvez utiliser les tableaux de connexions pour modifier les champs suivants : authors, author_sort, language, publisher, tags, title, title_sort. Cette fonctionnalité aide ceux qui veulent utiliser les différentes métadonnées des livres pour contrôler le tri ou l'affichage des livres sur leurs périphériques."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1265,7 +1282,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr "Lorsque vous créez un tableau de connexion, vous spécifiez le format et le périphérique pour lequel le tableau de connexion doit être utilisé. Un périphérique spécial est procuré, save_to_disk qui est utilisé lors de la sauvegarde de formats (en opposition à les envoyer vers le périphérique). Une fois que vous avez choisi le format et le périphérique, vous choisissez les champs de métadonnées à modifier, indiquez le modèle à appliquer pour fournir les nouvelles valeurs. Ces modèles sont `reliés` à leurs champs de destination, d'où le nom de `tableau de connexions`. Vous pouvez, bien sûr, utiliser des colonnes composites dans ces modèles."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1274,29 +1291,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr "Quand un tableau de connexion doit s'appliquer (Serveur de contenu, sauvegarde sur disque ou envoyer au périphérique), calibre recherche les tableau de connexions définis et celui qui est correct pour le format donné et le périphérique. Par exemple, pour trouver le tableau de connexion approprié pour un livre EPUB envoyé à un périphérique ANDROID, calibre recherche dans les tableaux de connexion dans l'ordre de recherche suivant :"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr "un tableau de connexion avec une correspondance exacte sur le format et le périphérique, par ex., ``EPUB`` et ``ANDROID``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr "un tableau de connexion avec une correspondance exacte sur le format et le choix spécial ``n'importe quel périphérique``, par ex., ``EPUB`` et ``n'importe quel périphérique``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr "un tableau de connexion avec le choix spécial ``n'importe quel format`` et une correspondance exacte sur le périphérique, par ex., ``n'importe quel format`` et ``ANDROID``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr "un tableau de conversion avec ``n'importe quel format`` et ``n'importe quel périphérique``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1308,7 +1325,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr "Les étiquettes et les champs auteur ont un traitement spécial, parce que ces deux champs peuvent contenir plusieurs données. Un livre peut avoir plusieurs étiquettes et plusieurs auteurs. Lorsque vous spécifiez que l'un de ces deux champs doit être modifié, le résultat du modèle est examiné pour voir s'il y a plus d'un élément dedans. Pour les étiquettes, le résultat est découpé partout où calibre trouve une virgule. Par exemple, si le modèle produit les valeurs ``Thriller, Horreur``, alors ke résultat sera deux étiquettes, ``Thriller`` et ``Horreur``. Il n'est pas possible de mettre une virgule au milieu d'une étiquette."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1318,7 +1335,7 @@ msgid ""
 "author with a rather strange name."
 msgstr "La même chose se produit pour les auteurs, mais en utilisant un caractère différent comme séparateur, le `&` (esperluette) au lieu d'une virgule. Par exemple, si le modèle produit la valeur ``Blogs, Joe&Posts, Susan``, alors le livre finira avec deux auteurs ``Blogs, Joe`` et ``Posts, Susan``. Si le modèle produit la valeur ``Blogs, Joe;Posts, Susan``, alors ce livre aura un auteur avec un nom assez étrange."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1327,34 +1344,34 @@ msgid ""
 "preferences window."
 msgstr "Les tableaux de connexions affectent les métadonnées écrites dans le livre quand il est sauvegardé sur le disque ou copié sur le périphérique. Les tableaux de connexions n'affecte pas les métadonnées utilisées par ``Enregistrer sur le disque`` et ``Envoyer au périphérique``. A la place, les noms de fichiers sont construits en utilisant les modèles entrés dans la fenêtre de préférence appropriée."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr "Astuces utiles"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr "Vous devriez trouver les astuces suivantes utiles."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr "Créez une colonne composite pour tester vos modèles. Une fois la colonne en place, vous pouvez modifier son modèle en double cliquant simplement dessus.Masquez cette colonne lorsque vous ne testez pas."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr "Les modèles peuvent utiliser d'autres modèles se référençant à des colonnes composites."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr "Dans un tableau de connexions, vous pouvez paramétrer un champ à vide (ou quelque soit sont équivalent à vide) en utilisant le modèle spécial ``{}``. Ce modèle sera toujours évalué à une chaîne vide."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr/xpath.po	2020-02-06 05:14:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr/xpath.po	2020-07-16 17:01:35.000000000 +0000
@@ -6,13 +6,13 @@
 # Xotes <alois.glibert@gmail.com>, 2015
 # Ptit Prince <leporello1791@gmail.com>, 2014-2015
 # Ptit Prince <leporello1791@gmail.com>, 2014
-# Ptit Prince <leporello1791@gmail.com>, 2016-2017
+# Ptit Prince <leporello1791@gmail.com>, 2016-2017,2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-01-26 14:25+0530\n"
-"PO-Revision-Date: 2020-01-27 11:56+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 06:05+0000\n"
 "Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
@@ -163,5 +163,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "``re:test(src, pattern, flags)`` renvoie `true` si la chaîne `src` correspond au `pattern` de l'expression régulière. un indicateur particulièrement utile est ``i``, il rend les correspondances sensibles à la casse. Une bonne amorce sur la syntaxe pour les expressions régulières peut être trouvée sur `regexp syntax <https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
+msgstr "``re:test(src, pattern, flags)`` renvoie `true` si la chaîne `src` correspond au `pattern` de l'expression régulière. un indicateur particulièrement utile est ``i``, il rend les correspondances sensibles à la casse. Une bonne amorce sur la syntaxe pour les expressions régulières peut être trouvée sur `regexp syntax <https://docs.python.org/library/re.html>`_"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/develop.po	2020-03-05 04:48:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/develop.po	2020-07-16 16:53:45.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/function_mode.po	2020-07-16 17:09:45.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/glossary.po	2020-07-16 17:00:15.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/gui.po	2020-07-02 04:20:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/gui.po	2020-07-16 17:07:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/news.po	2020-06-18 03:19:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/news.po	2020-07-16 16:58:29.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/regexp.po	2020-07-16 17:04:06.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2903, 
+    "untranslated": 2905, 
     "translated": 10
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/template_lang.po	2020-07-02 04:14:32.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/template_lang.po	2020-07-16 16:56:20.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fr_CA/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fr_CA/xpath.po	2020-07-16 17:02:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/function_mode.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/function_mode.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/function_mode.pot	2020-07-03 02:15:43.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/function_mode.pot	2020-07-16 17:19:11.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/develop.po	2020-03-05 04:48:32.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/develop.po	2020-07-16 16:53:40.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/function_mode.po	2020-07-16 17:09:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/glossary.po	2020-07-16 17:00:10.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/gui.po	2020-07-02 04:20:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/gui.po	2020-07-16 17:07:10.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/news.po	2020-06-18 03:19:43.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/news.po	2020-07-16 16:58:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/regexp.po	2020-07-16 17:03:58.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2912, 
+    "untranslated": 2914, 
     "translated": 1
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/template_lang.po	2020-07-02 04:14:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/template_lang.po	2020-07-16 16:56:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/fur/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/fur/xpath.po	2020-07-16 17:02:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/develop.po	2020-03-05 04:49:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/develop.po	2020-07-16 16:53:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/function_mode.po	2020-07-16 17:09:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/glossary.po	2020-07-16 16:59:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/gui.po	2020-07-02 04:21:19.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/gui.po	2020-07-16 17:06:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/news.po	2020-06-18 03:20:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/news.po	2020-07-16 16:58:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/regexp.po	2019-08-29 13:16:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/regexp.po	2020-07-16 17:03:43.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-07-19 08:54+0530\n"
-"PO-Revision-Date: 2019-08-11 10:54+0000\n"
-"Last-Translator: Seanán Ó Coistín\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2882, 
+    "untranslated": 2884, 
     "translated": 31
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/template_lang.po	2020-07-02 04:15:16.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/template_lang.po	2020-07-16 16:55:53.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ga/xpath.po	2019-08-29 13:15:53.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ga/xpath.po	2020-07-16 17:01:49.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-07-19 08:54+0530\n"
-"PO-Revision-Date: 2019-08-11 10:41+0000\n"
-"Last-Translator: Seanán Ó Coistín\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/develop.po	2020-03-05 04:49:54.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/develop.po	2020-07-16 16:54:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/function_mode.po	2020-07-16 17:10:08.000000000 +0000
@@ -3,13 +3,13 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Xosé <xosecalvo@gmail.com>, 2015
+# Xosé, 2015
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-21 15:39+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -36,8 +36,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -91,11 +91,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -254,9 +253,9 @@ msgstr "O argumento «match»"
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/glossary.po	2020-07-16 17:00:39.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:41+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/gui.po	2020-07-02 04:21:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/gui.po	2020-07-16 17:07:53.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/news.po	2020-06-18 03:20:21.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/news.po	2020-07-16 16:58:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/regexp.po	2020-07-16 17:04:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2837, 
+    "untranslated": 2839, 
     "translated": 76
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/template_lang.po	2020-07-02 04:15:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/template_lang.po	2020-07-16 16:56:53.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gl/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gl/xpath.po	2020-07-16 17:02:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/glossary.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/glossary.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/glossary.pot	2020-07-03 02:15:01.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/glossary.pot	2020-07-16 17:17:47.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/develop.po	2020-03-05 04:49:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/develop.po	2020-07-16 16:52:34.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/function_mode.po	2020-07-16 17:08:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/glossary.po	2020-07-16 16:59:20.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/gui.po	2020-07-02 04:22:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/gui.po	2020-07-16 17:05:40.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/news.po	2020-06-18 03:19:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/news.po	2020-07-16 16:57:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/regexp.po	2020-07-16 17:03:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2908, 
+    "untranslated": 2910, 
     "translated": 5
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/template_lang.po	2020-07-02 04:16:16.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/template_lang.po	2020-07-16 16:54:45.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gu/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gu/xpath.po	2020-07-16 17:01:08.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/gui.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/gui.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/gui.pot	2020-07-03 02:14:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/gui.pot	2020-07-16 17:17:57.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/he/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/he/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/he/develop.po	2020-03-05 04:48:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/he/develop.po	2020-07-16 16:52:45.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
@@ -327,7 +327,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -558,7 +558,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/he/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/he/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/he/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/he/function_mode.po	2020-07-16 17:08:45.000000000 +0000
@@ -3,20 +3,20 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# ori d <orid50@gmail.com>, 2016-2017
+# ori an <orian30b@gmx.com>, 2016-2017
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-21 15:39+0000\n"
-"Last-Translator: ori d <orid50@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: he\n"
-"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"Plural-Forms: nplurals=4; plural=(n == 1 && n % 1 == 0) ? 0 : (n == 2 && n % 1 == 0) ? 1: (n % 10 == 0 && n % 1 == 0 && n > 10) ? 2 : 3;\n"
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:2
 msgid "Function mode for Search & replace in the Editor"
@@ -36,8 +36,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -91,11 +91,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -254,9 +253,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/he/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/he/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/he/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/he/glossary.po	2020-07-16 16:59:29.000000000 +0000
@@ -3,20 +3,20 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# ori d <orid50@gmail.com>, 2016
+# ori an <orian30b@gmx.com>, 2016
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:41+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: he\n"
-"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"Plural-Forms: nplurals=4; plural=(n == 1 && n % 1 == 0) ? 0 : (n == 2 && n % 1 == 0) ? 1: (n % 10 == 0 && n % 1 == 0 && n > 10) ? 2 : 3;\n"
 
 #: ../../home/kovid/work/calibre/manual/glossary.rst:3
 msgid "Glossary"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/he/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/he/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/he/gui.po	2020-07-02 04:21:51.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/he/gui.po	2020-07-16 17:05:56.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
@@ -802,7 +802,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/he/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/he/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/he/news.po	2020-06-18 03:19:24.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/he/news.po	2020-07-16 16:57:38.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
@@ -236,7 +236,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/he/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/he/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/he/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/he/regexp.po	2020-07-16 17:03:10.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: ori an <orian30b@gmx.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -437,7 +437,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -493,5 +493,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/he/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/he/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/he/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/he/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2502, 
+    "untranslated": 2504, 
     "translated": 411
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/he/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/he/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/he/template_lang.po	2020-07-02 04:15:53.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/he/template_lang.po	2020-07-16 16:55:00.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
@@ -174,7 +174,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -377,12 +377,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -391,7 +399,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -405,7 +413,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -417,7 +425,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -431,7 +439,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -442,14 +450,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -458,13 +475,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -472,7 +489,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -484,17 +501,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -502,13 +519,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -517,23 +534,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr "הדוגמה מראה מספר דברים:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -541,16 +558,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -558,15 +575,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -574,27 +591,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr "זה 3."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr "תכנית זו מבצעת את הפעולות הבאות:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -605,7 +622,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -616,7 +633,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -629,7 +646,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -641,38 +658,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -683,7 +700,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -694,26 +711,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -722,7 +739,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -735,7 +752,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -746,13 +763,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -762,7 +779,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -770,28 +787,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -799,13 +816,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -816,11 +833,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -828,27 +845,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -857,7 +874,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -868,14 +885,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -885,7 +902,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -893,7 +910,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -901,20 +918,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -922,7 +939,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -931,7 +948,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -939,7 +956,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -949,7 +966,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -957,7 +974,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -965,7 +982,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -974,46 +991,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1025,17 +1042,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1045,19 +1062,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1067,20 +1084,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1092,15 +1109,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1110,7 +1127,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1124,7 +1141,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1135,7 +1152,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1144,14 +1161,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1161,11 +1178,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1173,11 +1190,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1188,18 +1205,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1209,25 +1226,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1235,11 +1252,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1250,7 +1267,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1261,7 +1278,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1270,29 +1287,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1304,7 +1321,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1314,7 +1331,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1323,34 +1340,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/he/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/he/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/he/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/he/xpath.po	2020-07-16 17:01:17.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: ori an <orian30b@gmx.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/develop.po	2020-03-05 04:48:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/develop.po	2020-07-16 16:54:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/function_mode.po	2020-07-16 17:10:14.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/glossary.po	2020-07-16 17:00:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/gui.po	2020-07-02 04:20:17.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/gui.po	2020-07-16 17:08:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/news.po	2020-06-18 03:20:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/news.po	2020-07-16 16:58:56.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/regexp.po	2020-07-16 17:04:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2901, 
+    "untranslated": 2903, 
     "translated": 12
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/template_lang.po	2020-07-02 04:14:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/template_lang.po	2020-07-16 16:56:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hi/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hi/xpath.po	2020-07-16 17:02:31.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/develop.po	2020-03-05 04:49:50.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/develop.po	2020-07-16 16:52:41.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/function_mode.po	2020-07-16 17:08:41.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/glossary.po	2020-02-20 04:48:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/glossary.po	2020-07-16 16:59:25.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-07 10:48+0530\n"
-"PO-Revision-Date: 2020-02-08 08:47+0000\n"
-"Last-Translator: Marino Rabach\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/gui.po	2020-07-02 04:21:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/gui.po	2020-07-16 17:05:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/news.po	2020-06-18 03:19:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/news.po	2020-07-16 16:57:34.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
@@ -236,7 +236,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/regexp.po	2020-07-16 17:03:06.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Dee Tokmadzic\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2836, 
+    "untranslated": 2838, 
     "translated": 77
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/template_lang.po	2020-07-02 04:15:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/template_lang.po	2020-07-16 16:54:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hr/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hr/xpath.po	2020-07-16 17:01:13.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Dee Tokmadzic\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/develop.po	2020-03-05 04:48:53.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/develop.po	2020-07-16 16:53:38.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
@@ -327,7 +327,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -558,7 +558,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/function_mode.po	2020-07-16 17:09:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/glossary.po	2020-07-16 17:00:07.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
@@ -111,6 +111,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/gui.po	2020-07-02 04:21:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/gui.po	2020-07-16 17:07:06.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
@@ -802,7 +802,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/news.po	2020-06-18 03:20:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/news.po	2020-07-16 16:58:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/regexp.po	2020-07-16 17:03:56.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: hthomasxx <tamas.huszak@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2639, 
+    "untranslated": 2641, 
     "translated": 274
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/template_lang.po	2020-07-02 04:15:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/template_lang.po	2020-07-16 16:56:10.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
@@ -174,7 +174,7 @@ msgstr "Ha az adatnak csak az első két
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -377,12 +377,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -391,7 +399,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -405,7 +413,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -417,7 +425,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -431,7 +439,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -442,14 +450,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -458,13 +475,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -472,7 +489,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -484,17 +501,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -502,13 +519,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -517,23 +534,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -541,16 +558,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -558,15 +575,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr "A hozzászólások '#' karakterrel kezdődő sorok."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -574,27 +591,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr "Ez a program a következőt csinálja:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -605,7 +622,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -616,7 +633,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -629,7 +646,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -641,38 +658,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr "series_index == undefined, result = ``prefix ->t123 suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr "series_index == 1, result = ``prefix 1->t12 suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr "series_index == 2, result = ``prefix 2->eq suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr "series_index == 3, result = ``prefix 3->gt suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -683,7 +700,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -694,26 +711,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -722,7 +739,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -735,7 +752,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -746,13 +763,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -762,7 +779,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -770,28 +787,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -799,13 +816,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -816,11 +833,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr "``field(name)`` -- a ``name`` nevű metaadat mezőt adja vissza."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -828,27 +845,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -857,7 +874,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -868,14 +885,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -885,7 +902,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -893,7 +910,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -901,20 +918,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -922,7 +939,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -931,7 +948,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -939,7 +956,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -949,7 +966,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -957,7 +974,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -965,7 +982,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -974,46 +991,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1025,17 +1042,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1045,19 +1062,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1067,20 +1084,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1092,15 +1109,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr "Általános programmód használata"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1110,7 +1127,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1124,7 +1141,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1135,7 +1152,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1144,14 +1161,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1161,11 +1178,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1173,11 +1190,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr "Speciális jegyzetek sablonok mentéséhez/küldéséhez"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1188,18 +1205,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1209,25 +1226,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr "Ennek teljesítéséhez:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1235,11 +1252,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1250,7 +1267,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1261,7 +1278,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1270,29 +1287,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1304,7 +1321,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1314,7 +1331,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1323,34 +1340,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hu/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hu/xpath.po	2020-07-16 17:02:00.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: hthomasxx <tamas.huszak@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/develop.po	2020-03-05 04:49:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/develop.po	2020-07-16 16:53:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/function_mode.po	2020-07-16 17:09:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/glossary.po	2020-07-16 17:00:19.000000000 +0000
@@ -3,13 +3,13 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Arman High <armanhigh@outlook.com>, 2017
+# Arman High <mrarmanhigh@gmail.com>, 2017
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/gui.po	2020-07-02 04:21:59.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/gui.po	2020-07-16 17:07:25.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -802,7 +802,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/news.po	2020-06-18 03:19:50.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/news.po	2020-07-16 16:58:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/regexp.po	2020-07-16 17:04:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2876, 
+    "untranslated": 2878, 
     "translated": 37
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/template_lang.po	2020-07-02 04:16:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/template_lang.po	2020-07-16 16:56:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/hy/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/hy/xpath.po	2020-07-16 17:02:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/id/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/id/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/id/develop.po	2020-03-05 04:49:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/id/develop.po	2020-07-16 16:53:39.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/id/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/id/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/id/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/id/function_mode.po	2020-07-16 17:09:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/id/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/id/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/id/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/id/glossary.po	2020-07-16 17:00:08.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-24 12:46+0000\n"
-"Last-Translator: Febrina H Ariendhita <fh.ariendhita1102@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/id/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/id/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/id/gui.po	2020-07-02 04:21:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/id/gui.po	2020-07-16 17:07:08.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
@@ -802,7 +802,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/id/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/id/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/id/news.po	2020-06-18 03:19:51.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/id/news.po	2020-07-16 16:58:22.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/id/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/id/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/id/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/id/regexp.po	2020-07-16 17:03:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/id/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/id/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/id/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/id/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2828, 
+    "untranslated": 2830, 
     "translated": 85
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/id/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/id/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/id/template_lang.po	2020-07-02 04:15:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/id/template_lang.po	2020-07-16 16:56:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/id/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/id/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/id/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/id/xpath.po	2020-07-16 17:02:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/index.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/index.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/index.pot	2020-07-03 02:14:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/index.pot	2020-07-16 17:18:13.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/is/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/is/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/is/develop.po	2020-03-05 04:48:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/is/develop.po	2020-07-16 16:52:22.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/is/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/is/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/is/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/is/function_mode.po	2020-07-16 17:08:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/is/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/is/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/is/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/is/glossary.po	2020-07-16 16:59:10.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:41+0000\n"
-"Last-Translator: Sveinn í Felli <sv1@fellsnet.is>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -111,6 +111,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Regular expressions** er öflug leitaraðferð sem finnur tiltekinn texta eða ákveðna bókstafi, orð eða stafamunstur. Sjá `regexp syntax <https://docs.python.org/2.7/library/re.html>`_ fyrir slíkar leitaraðferðir Python."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/is/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/is/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/is/gui.po	2020-07-02 04:21:44.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/is/gui.po	2020-07-16 17:05:22.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/is/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/is/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/is/news.po	2020-06-18 03:20:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/is/news.po	2020-07-16 16:57:15.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/is/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/is/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/is/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/is/regexp.po	2020-07-16 17:02:50.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Ragnar Ásmundsson\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/is/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/is/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/is/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/is/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2765, 
-    "translated": 148
+    "untranslated": 2768, 
+    "translated": 147
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/is/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/is/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/is/template_lang.po	2020-07-02 04:15:44.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/is/template_lang.po	2020-07-16 16:54:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/is/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/is/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/is/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/is/xpath.po	2020-07-16 17:00:57.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Ragnar Ásmundsson\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/it/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/it/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/it/develop.po	2020-03-05 04:49:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/it/develop.po	2020-07-16 16:54:08.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
@@ -329,7 +329,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -560,7 +560,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/it/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/it/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/it/function_mode.po	2020-03-26 16:58:18.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/it/function_mode.po	2020-07-16 17:10:07.000000000 +0000
@@ -3,7 +3,7 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# francesca marzetta <inactive+fmarzetta@transifex.com>, 2015
+# 1b68bdcff581b6c5c1f78dfa8f7f8678_829ec06 <f204e0292b199b990080cff5774c1df3_332818>, 2015
 # demetrio <mendem@tiscali.it>, 2020
 # SKAL <sir_kalot@yahoo.it>, 2015
 # Vincenzo Reale <vinx.reale@gmail.com>, 2014
@@ -11,9 +11,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-03-11 17:43+0530\n"
-"PO-Revision-Date: 2020-03-23 09:33+0000\n"
-"Last-Translator: demetrio <mendem@tiscali.it>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -39,8 +39,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -94,11 +94,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -257,9 +256,9 @@ msgstr "L'argomento``corrispondenza``"
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/it/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/it/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/it/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/it/glossary.po	2020-07-16 17:00:38.000000000 +0000
@@ -12,9 +12,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
-"Last-Translator: Enrico B. <enricobe@hotmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -114,6 +114,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "Le **Espressioni regolari** sono un modo rapido e conciso per identificare le stringe di testo che interessando, come caratteri particolari, parole, schemi di caratteri. Si veda `regexp syntax <https://docs.python.org/2.7/library/re.html>`_ per la sintassi delle espressioni regolari di Python."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/it/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/it/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/it/gui.po	2020-07-02 04:20:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/it/gui.po	2020-07-16 17:07:51.000000000 +0000
@@ -15,8 +15,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
@@ -809,7 +809,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/it/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/it/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/it/news.po	2020-06-18 03:19:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/it/news.po	2020-07-16 16:58:51.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
@@ -238,7 +238,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/it/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/it/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/it/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/it/regexp.po	2020-07-16 17:04:30.000000000 +0000
@@ -10,9 +10,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Vincenzo Reale <vinx.reale@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -439,7 +439,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -495,5 +495,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Per ulteriori informazioni sulle espressioni regolari, vedere `Il manuale utente di Python <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/it/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/it/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/it/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/it/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2201, 
-    "translated": 712
+    "untranslated": 2206, 
+    "translated": 709
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/it/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/it/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/it/template_lang.po	2020-07-02 04:14:36.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/it/template_lang.po	2020-07-16 16:56:51.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
@@ -177,7 +177,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -380,12 +380,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -394,7 +402,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -408,7 +416,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -420,7 +428,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -434,7 +442,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -445,14 +453,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -461,13 +478,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -475,7 +492,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -487,17 +504,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -505,13 +522,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -520,23 +537,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -544,16 +561,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -561,15 +578,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -577,27 +594,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr "è 3."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -608,7 +625,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -619,7 +636,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -632,7 +649,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -644,38 +661,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr "Per valori diversi di series_index, il programma restituisce:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -686,7 +703,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -697,26 +714,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -725,7 +742,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -738,7 +755,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -749,13 +766,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -765,7 +782,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -773,28 +790,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -802,13 +819,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -819,11 +836,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -831,27 +848,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -860,7 +877,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -871,14 +888,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -888,7 +905,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -896,7 +913,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -904,20 +921,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -925,7 +942,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -934,7 +951,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -942,7 +959,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -952,7 +969,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -960,7 +977,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -968,7 +985,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -977,46 +994,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1028,17 +1045,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1048,19 +1065,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1070,20 +1087,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1095,15 +1112,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr "Classificazione delle funzioni"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1113,7 +1130,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1127,7 +1144,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1138,7 +1155,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1147,14 +1164,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1164,11 +1181,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1176,11 +1193,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1191,18 +1208,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1212,25 +1229,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1238,11 +1255,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1253,7 +1270,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1264,7 +1281,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1273,29 +1290,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1307,7 +1324,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1317,7 +1334,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1326,34 +1343,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr "Questi suggerimenti potrebbero esserti utili"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/it/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/it/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/it/xpath.po	2020-03-26 16:52:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/it/xpath.po	2020-07-16 17:02:26.000000000 +0000
@@ -11,9 +11,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-03-11 17:43+0530\n"
-"PO-Revision-Date: 2020-03-26 10:38+0000\n"
-"Last-Translator: demetrio <mendem@tiscali.it>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -163,5 +163,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "```re:test(src, pattern, flags)`` restituisce `true` se la stringa `src` corrisponde all'espressione regolare `pattern`. Un flag particolarmente utile è ``i``, che non considera la differenza MAIUSCOLE/minuscole. Un primo aiuto sulla sintassi per le espressioni regolari è disponibile in `sintassi delle regexp<https://docs.python.org/2.7/library/re.html>` _"
+"<https://docs.python.org/library/re.html>`_"
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/develop.po	2020-03-05 04:48:24.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/develop.po	2020-07-16 16:52:31.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/function_mode.po	2020-07-16 17:08:31.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/glossary.po	2020-07-16 16:59:18.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:41+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/gui.po	2020-07-02 04:19:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/gui.po	2020-07-16 17:05:35.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
@@ -802,7 +802,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/news.po	2020-06-18 03:20:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/news.po	2020-07-16 16:57:25.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
@@ -236,7 +236,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/regexp.po	2020-07-16 17:02:58.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: mksyslab\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2725, 
+    "untranslated": 2727, 
     "translated": 188
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/template_lang.po	2020-07-02 04:13:53.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/template_lang.po	2020-07-16 16:54:41.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ja/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ja/xpath.po	2020-07-16 17:01:05.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: mksyslab\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/develop.po	2020-03-05 04:48:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/develop.po	2020-07-16 16:53:58.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/function_mode.po	2020-07-16 17:09:57.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: jv\n"
-"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:2
 msgid "Function mode for Search & replace in the Editor"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/glossary.po	2020-07-16 17:00:26.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: jv\n"
-"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
 
 #: ../../home/kovid/work/calibre/manual/glossary.rst:3
 msgid "Glossary"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/gui.po	2020-07-02 04:20:25.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/gui.po	2020-07-16 17:07:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/news.po	2020-06-18 03:20:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/news.po	2020-07-16 16:58:41.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/regexp.po	2020-07-16 17:04:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2912, 
+    "untranslated": 2914, 
     "translated": 1
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/template_lang.po	2020-07-02 04:14:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/template_lang.po	2020-07-16 16:56:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/jv/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/jv/xpath.po	2020-07-16 17:02:17.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/develop.po	2020-03-05 04:48:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/develop.po	2020-07-16 16:52:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/function_mode.po	2020-07-16 17:08:37.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: ka\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
+"Plural-Forms: nplurals=2; plural=(n!=1);\n"
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:2
 msgid "Function mode for Search & replace in the Editor"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/glossary.po	2020-07-16 16:59:22.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: ka\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
+"Plural-Forms: nplurals=2; plural=(n!=1);\n"
 
 #: ../../home/kovid/work/calibre/manual/glossary.rst:3
 msgid "Glossary"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/gui.po	2020-07-02 04:20:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/gui.po	2020-07-16 17:05:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/news.po	2020-06-18 03:19:56.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/news.po	2020-07-16 16:57:31.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/regexp.po	2020-07-16 17:03:03.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2907, 
+    "untranslated": 2909, 
     "translated": 6
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/template_lang.po	2020-07-02 04:13:58.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/template_lang.po	2020-07-16 16:54:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ka/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ka/xpath.po	2020-07-16 17:01:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km/develop.po	2020-03-05 04:49:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km/develop.po	2020-07-16 16:54:18.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km/function_mode.po	2020-07-16 17:10:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km/glossary.po	2020-07-16 17:00:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km/gui.po	2020-07-02 04:21:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km/gui.po	2020-07-16 17:08:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km/news.po	2020-06-18 03:20:16.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km/news.po	2020-07-16 16:59:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km/regexp.po	2020-07-16 17:04:40.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/km/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km/template_lang.po	2020-07-02 04:15:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km/template_lang.po	2020-07-16 16:57:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km/xpath.po	2020-07-16 17:02:34.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/develop.po	2020-03-05 04:48:32.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/develop.po	2020-07-16 16:53:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/function_mode.po	2020-07-16 17:09:18.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-01-18 20:12+0530\n"
-"PO-Revision-Date: 2014-11-21 02:54+0000\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/glossary.po	2020-07-16 16:59:52.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-01-18 20:12+0530\n"
-"PO-Revision-Date: 2014-06-17 08:35+0000\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/gui.po	2020-07-02 04:22:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/gui.po	2020-07-16 17:06:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/news.po	2020-06-18 03:19:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/news.po	2020-07-16 16:58:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/regexp.po	2020-07-16 17:03:39.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-01-18 20:12+0530\n"
-"PO-Revision-Date: 2014-06-17 08:35+0000\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/template_lang.po	2020-07-02 04:16:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/template_lang.po	2020-07-16 16:55:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/km_KH/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/km_KH/xpath.po	2020-07-16 17:01:45.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-01-18 20:12+0530\n"
-"PO-Revision-Date: 2014-06-17 08:35+0000\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/develop.po	2020-03-05 04:48:56.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/develop.po	2020-07-16 16:53:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/function_mode.po	2020-07-16 17:09:31.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: kn\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:2
 msgid "Function mode for Search & replace in the Editor"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/glossary.po	2020-07-16 17:00:01.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: kn\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 #: ../../home/kovid/work/calibre/manual/glossary.rst:3
 msgid "Glossary"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/gui.po	2020-07-02 04:20:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/gui.po	2020-07-16 17:06:58.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/news.po	2020-06-18 03:20:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/news.po	2020-07-16 16:58:15.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/regexp.po	2020-07-16 17:03:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2909, 
+    "untranslated": 2911, 
     "translated": 4
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/template_lang.po	2020-07-02 04:14:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/template_lang.po	2020-07-16 16:56:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/kn/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/kn/xpath.po	2020-07-16 17:01:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/develop.po	2020-03-05 04:48:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/develop.po	2020-07-16 16:54:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/function_mode.po	2020-07-16 17:10:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/glossary.po	2020-07-16 17:00:49.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**정규 표현식**은, 특정 문자, 단어 또는 문자 패턴처럼, 찾고자하는 문자열을 구별해내기 위한 간결하고도 유연한 방법을 제공합니다. Python에서 사용되는 정규 표현식의 문법에 대해서는 `regexp 문법 <https://docs.python.org/2.7/library/re.html>`_ 을 참조하세요."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/gui.po	2020-07-02 04:20:24.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/gui.po	2020-07-16 17:08:08.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
@@ -802,7 +802,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/news.po	2020-06-18 03:19:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/news.po	2020-07-16 16:59:02.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
@@ -236,7 +236,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/regexp.po	2020-07-16 17:04:41.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Snowcat8436 <snowcat8436@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2687, 
-    "translated": 226
+    "untranslated": 2690, 
+    "translated": 225
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/template_lang.po	2020-07-02 04:14:19.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/template_lang.po	2020-07-16 16:57:06.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ko/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ko/xpath.po	2020-07-16 17:02:36.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Snowcat8436 <snowcat8436@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/develop.po	2020-03-05 04:48:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/develop.po	2020-07-16 16:54:12.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/function_mode.po	2020-07-16 17:10:12.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/glossary.po	2020-07-16 17:00:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/gui.po	2020-07-02 04:19:59.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/gui.po	2020-07-16 17:07:58.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/news.po	2020-06-18 03:20:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/news.po	2020-07-16 16:58:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/regexp.po	2020-07-16 17:04:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2912, 
+    "untranslated": 2914, 
     "translated": 1
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/template_lang.po	2020-07-02 04:13:57.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/template_lang.po	2020-07-16 16:56:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ku/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ku/xpath.po	2020-07-16 17:02:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/develop.po	2020-03-05 04:48:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/develop.po	2020-07-16 16:53:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/function_mode.po	2020-07-16 17:09:28.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: lt\n"
-"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+"Plural-Forms: nplurals=4; plural=(n % 10 == 1 && (n % 100 > 19 || n % 100 < 11) ? 0 : (n % 10 >= 2 && n % 10 <=9) && (n % 100 > 19 || n % 100 < 11) ? 1 : n % 1 != 0 ? 2: 3);\n"
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:2
 msgid "Function mode for Search & replace in the Editor"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/glossary.po	2020-07-16 16:59:59.000000000 +0000
@@ -3,20 +3,20 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Zygi Mantus <zygimantus@gmail.com>, 2017
+# Zygimantus <zygimantus@gmail.com>, 2017
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: lt\n"
-"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+"Plural-Forms: nplurals=4; plural=(n % 10 == 1 && (n % 100 > 19 || n % 100 < 11) ? 0 : (n % 10 >= 2 && n % 10 <=9) && (n % 100 > 19 || n % 100 < 11) ? 1 : n % 1 != 0 ? 2: 3);\n"
 
 #: ../../home/kovid/work/calibre/manual/glossary.rst:3
 msgid "Glossary"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/gui.po	2020-07-02 04:20:44.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/gui.po	2020-07-16 17:06:54.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
@@ -802,7 +802,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/news.po	2020-06-18 03:19:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/news.po	2020-07-16 16:58:13.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
@@ -236,7 +236,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/regexp.po	2020-07-16 17:03:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2852, 
+    "untranslated": 2854, 
     "translated": 61
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/template_lang.po	2020-07-02 04:14:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/template_lang.po	2020-07-16 16:55:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lt/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lt/xpath.po	2020-07-16 17:01:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/develop.po	2020-03-05 04:48:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/develop.po	2020-07-16 16:53:15.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/function_mode.po	2020-07-16 17:09:15.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/glossary.po	2020-07-16 16:59:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/gui.po	2020-07-02 04:21:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/gui.po	2020-07-16 17:06:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/news.po	2020-06-18 03:19:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/news.po	2020-07-16 16:58:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/regexp.po	2020-07-16 17:03:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/template_lang.po	2020-07-02 04:15:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/template_lang.po	2020-07-16 16:55:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ltg/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ltg/xpath.po	2020-07-16 17:01:41.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/develop.po	2020-03-05 04:48:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/develop.po	2020-07-16 16:52:58.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
@@ -327,7 +327,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -558,7 +558,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/function_mode.po	2020-07-16 17:08:58.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-23 20:30+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
@@ -36,8 +36,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -91,11 +91,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -254,9 +253,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/glossary.po	2020-07-16 16:59:38.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-23 19:58+0000\n"
-"Last-Translator: ciepina <ciepina@balticom.lv>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Regular expressions** [Regulāras izteiksmes] sniedz kodolīgus un elastīgus līdzekļus interešu teksta virkņu noteikšanai, piemēram, īpašām rakstzīmēm, vārdiem vai rakstzīmju šabloniem. Skatiet `regexp sintakse <https://docs.python.org/2.7/library/re.html>` _ par regulāro izteiksmju sintaksi, kas tiek izmantoti Python."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/gui.po	2020-07-02 04:21:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/gui.po	2020-07-16 17:06:14.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
@@ -802,7 +802,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/news.po	2020-06-18 03:19:58.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/news.po	2020-07-16 16:57:47.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
@@ -236,7 +236,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/regexp.po	2020-07-16 17:03:21.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Jānis Eisaks <jancs@dv.lv>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -437,7 +437,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -493,5 +493,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2318, 
-    "translated": 595
+    "untranslated": 2321, 
+    "translated": 594
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/template_lang.po	2020-07-02 04:15:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/template_lang.po	2020-07-16 16:55:20.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
@@ -174,7 +174,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -377,12 +377,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -391,7 +399,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -405,7 +413,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -417,7 +425,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -431,7 +439,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -442,14 +450,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -458,13 +475,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -472,7 +489,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -484,17 +501,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -502,13 +519,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -517,23 +534,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -541,16 +558,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -558,15 +575,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -574,27 +591,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr "ir 3."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr "Šī programma veic sekojošo:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -605,7 +622,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -616,7 +633,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -629,7 +646,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -641,38 +658,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -683,7 +700,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -694,26 +711,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -722,7 +739,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -735,7 +752,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -746,13 +763,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -762,7 +779,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -770,28 +787,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -799,13 +816,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -816,11 +833,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -828,27 +845,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -857,7 +874,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -868,14 +885,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -885,7 +902,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -893,7 +910,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -901,20 +918,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -922,7 +939,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -931,7 +948,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -939,7 +956,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -949,7 +966,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -957,7 +974,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -965,7 +982,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -974,46 +991,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1025,17 +1042,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1045,19 +1062,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1067,20 +1084,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1092,15 +1109,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1110,7 +1127,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1124,7 +1141,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1135,7 +1152,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1144,14 +1161,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1161,11 +1178,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1173,11 +1190,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1188,18 +1205,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1209,25 +1226,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1235,11 +1252,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1250,7 +1267,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1261,7 +1278,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1270,29 +1287,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1304,7 +1321,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1314,7 +1331,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1323,34 +1340,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr "Iespējams, sekojošie padomi Jums var noderēt."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/lv/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/lv/xpath.po	2020-07-16 17:01:27.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Jānis Eisaks <jancs@dv.lv>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/metadata.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/metadata.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/metadata.pot	2020-07-03 02:15:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/metadata.pot	2020-07-16 17:17:54.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/develop.po	2020-03-05 04:48:58.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/develop.po	2020-07-16 16:54:15.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/function_mode.po	2020-07-16 17:10:16.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/glossary.po	2020-07-16 17:00:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/gui.po	2020-07-02 04:21:58.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/gui.po	2020-07-16 17:08:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/news.po	2020-06-18 03:20:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/news.po	2020-07-16 16:58:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/regexp.po	2020-07-16 17:04:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/template_lang.po	2020-07-02 04:16:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/template_lang.po	2020-07-16 16:57:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mi/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mi/xpath.po	2020-07-16 17:02:31.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/develop.po	2020-03-05 04:48:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/develop.po	2020-07-16 16:54:22.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/function_mode.po	2020-07-16 17:10:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/glossary.po	2020-07-16 17:00:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/gui.po	2020-07-02 04:20:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/gui.po	2020-07-16 17:08:12.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/news.po	2020-06-18 03:19:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/news.po	2020-07-16 16:59:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/regexp.po	2020-07-16 17:04:45.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2909, 
+    "untranslated": 2911, 
     "translated": 4
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/template_lang.po	2020-07-02 04:14:17.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/template_lang.po	2020-07-16 16:57:10.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mk/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mk/xpath.po	2020-07-16 17:02:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/develop.po	2020-03-05 04:48:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/develop.po	2020-07-16 16:54:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/function_mode.po	2020-07-16 17:10:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/glossary.po	2020-07-16 17:00:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/gui.po	2020-07-02 04:22:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/gui.po	2020-07-16 17:08:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/news.po	2020-06-18 03:20:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/news.po	2020-07-16 16:59:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/regexp.po	2020-07-16 17:04:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2912, 
+    "untranslated": 2914, 
     "translated": 1
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/template_lang.po	2020-07-02 04:16:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/template_lang.po	2020-07-16 16:57:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ml/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ml/xpath.po	2020-07-16 17:02:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/develop.po	2020-03-05 04:49:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/develop.po	2020-07-16 16:54:03.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/function_mode.po	2020-07-16 17:10:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/glossary.po	2020-07-16 17:00:34.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/gui.po	2020-07-02 04:21:24.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/gui.po	2020-07-16 17:07:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/news.po	2020-06-18 03:19:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/news.po	2020-07-16 16:58:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/regexp.po	2020-07-16 17:04:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2905, 
+    "untranslated": 2907, 
     "translated": 8
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/template_lang.po	2020-07-02 04:15:21.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/template_lang.po	2020-07-16 16:56:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mn/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mn/xpath.po	2020-07-16 17:02:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/develop.po	2020-03-05 04:49:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/develop.po	2020-07-16 16:52:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/function_mode.po	2020-07-16 17:08:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/glossary.po	2020-07-16 16:59:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/gui.po	2020-07-02 04:21:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/gui.po	2020-07-16 17:06:08.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/news.po	2020-06-18 03:20:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/news.po	2020-07-16 16:57:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/regexp.po	2020-07-16 17:03:17.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2897, 
+    "untranslated": 2899, 
     "translated": 16
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/template_lang.po	2020-07-02 04:15:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/template_lang.po	2020-07-16 16:55:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mr/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mr/xpath.po	2020-07-16 17:01:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/develop.po	2020-03-05 04:49:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/develop.po	2020-07-16 16:52:29.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
@@ -327,7 +327,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -558,7 +558,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/function_mode.po	2020-07-16 17:08:30.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-12-15 19:42+0530\n"
-"PO-Revision-Date: 2017-12-21 05:12+0000\n"
-"Last-Translator: abuyop <abuyop@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -36,9 +36,9 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
-msgstr "Dalam mod *regexp* piawai bagi gelintar dan ganti, anda nyatakan kedua-dua ungkapan nalar untuk menggelintar pada templat yang menggantikan semua padanan yang ditemuinya. Manakala, mod fungsi pula, selain menggunakan templat tetap. anda boleh nyatakan fungsi arbitrari, dalam `bahasa pengaturcaraan Python <https://docs.python.org/2.7/>`_. Ia membolehkan anda buat banyak perkara yang mustahil dilakukan dengan templat ringkas."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
 msgid ""
@@ -91,12 +91,11 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
-msgstr "Setiap fungsi suai :guilabel:`Gelintar & ganti` mesti mempunyai nama unik dan mengandungi nama fungsi Python digantikan, yang mana menerima semua argumen yang ditunjukkan seperti di atas. Buat masa ini, kami tidak risau dengan semua argumen yang berlainan untuk fungsi ``replace()``. Hanya tumpukan pada argumen ``match``. Ia mewakili padanan ketika menjalankan gelintar dan ganti. Satu dokumentasi lengkap berkenaan ini tersedia `di sini <https://docs.python.org/2.7/library/re.html#match-objects>`_. ``match.group()`` hanya mengembalikan semua teks yang sepadan dan apa yang kita perlu buat adalah menggantikan tanda sempang dalam teks tersebut dengan tanda sengkang-em, mula-mula menggantikan tanda dwi-sempang dan kemudian satu tanda sempang."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
 msgid "Use this function with the find regular expression::"
@@ -254,11 +253,11 @@ msgstr "Argumen ``match``"
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
-msgstr "Argumen ``match`` mewakili padanan semasa yang ditemui. Ia merupakan  `Objek Padanan Python <https://docs.python.org/2.7/library/re.html#match-objects>`_. Kaedah paling bergunanya ialah ``group()`` yang boleh digunakan untuk mendapatkan teks sepadan yang berkaitan dengan kumpulan tangkapan individu dalam ungkapan nalar gelintar."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:248
 msgid "The ``number`` argument"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/glossary.po	2020-07-16 16:59:16.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-12-15 19:42+0530\n"
-"PO-Revision-Date: 2017-12-16 09:45+0000\n"
-"Last-Translator: abuyop <abuyop@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Regular expressions** iaitu ungkapan nalar yang menyediakan perihalan yang ringkas lagi padat serta fleksibel untuk mengenalpasti rentetan teks seperti, aksara tertentu, atau pola aksara/ Sila rujuk `regexp syntax <https://docs.python.org/2.7/library/re.html>`_ untuk sintaks ungkapan nalar yang digunakan dalam Python."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/gui.po	2020-07-02 04:19:56.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/gui.po	2020-07-16 17:05:31.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
@@ -802,7 +802,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/news.po	2020-06-18 03:20:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/news.po	2020-07-16 16:57:23.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
@@ -237,8 +237,8 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
-msgstr "Di bahagian atas, ``def print_version(self, url)`` takrifkan satu *kaedah* yang dipanggil oleh calibre untuk setiap artikel. ``url`` ialah URL bagi artikel asal. Apa ``print_version`` buat ialah ia mengambil url tersebut dan gantikannya dengan URL baharu yang menuju ke versi cetak artikel. Untuk mengetahui lebih lanjut berkenaan `Python <https://www.python.org>`_ sila rujuk `tutorial <https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/regexp.po	2020-07-16 17:02:57.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-12-21 08:31+0530\n"
-"PO-Revision-Date: 2018-12-24 04:43+0000\n"
-"Last-Translator: abuyop <abuyop@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -437,7 +437,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -493,5 +493,8 @@ msgstr "Orpheu"
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Maklumat lanjut berkenaan ungkapan nalar sila rujuk `Panduan Pengguna Python <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2061, 
-    "translated": 852
+    "untranslated": 2070, 
+    "translated": 845
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/template_lang.po	2020-07-02 04:13:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/template_lang.po	2020-07-16 16:54:38.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
@@ -174,7 +174,7 @@ msgstr "Jika anda hanya mahukan dua abja
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -377,12 +377,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -391,7 +399,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -405,7 +413,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -417,7 +425,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -431,7 +439,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -442,14 +450,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -458,13 +475,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -472,7 +489,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -484,17 +501,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -502,13 +519,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -517,23 +534,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -541,16 +558,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -558,15 +575,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -574,27 +591,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -605,7 +622,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -616,7 +633,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -629,7 +646,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -641,38 +658,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -683,7 +700,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -694,26 +711,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -722,7 +739,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -735,7 +752,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -746,13 +763,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -762,7 +779,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -770,28 +787,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -799,13 +816,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -816,11 +833,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -828,27 +845,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -857,7 +874,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -868,14 +885,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -885,7 +902,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -893,7 +910,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -901,20 +918,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -922,7 +939,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -931,7 +948,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -939,7 +956,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -949,7 +966,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -957,7 +974,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -965,7 +982,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -974,46 +991,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1025,17 +1042,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1045,19 +1062,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1067,20 +1084,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1092,15 +1109,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1110,7 +1127,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1124,7 +1141,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1135,7 +1152,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1144,14 +1161,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1161,11 +1178,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1173,11 +1190,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1188,18 +1205,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1209,25 +1226,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1235,11 +1252,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1250,7 +1267,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1261,7 +1278,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1270,29 +1287,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr "satu papan palam dengan padanan tepat bagi format dan peranti seperti, ``EPUB`` dan ``ANDROID``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr "satu papan palam dengan padanan tepat pada format dan pilihan ``any device`` khas, seperti, ``EPUB`` dan ``any device``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr "satu papan palam dengan pilihan ``any format`` khas dan padanan tepat pada peranti seperti, ``any format`` dan ``ANDROID``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr "satu papan palam dengan ``any format`` dan ``any device``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1304,7 +1321,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1314,7 +1331,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1323,34 +1340,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr "Anda boleh dapati petua berikut adalah berguna!"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr "Cipta satu lajur komposit suai untuk menguji templat. Seusai anda mempunyai lajur, anda boleh ubah templatnya dengan mengklik dua kali pada lajur tersebut. Sembunyikan lajur bila anda tidak mengujinya."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr "Templat boleh gunakan templat lain dengan merujuk pada lajur suai komposit."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr "Dalam papan palam, anda boleh tetapkan medan menjadi kosong (atau apa jua yang menyamai dengan kosong) dengan menggunakan templat khas ``{}``. Templat ini akan sentiasa menilai pada rentetan kosong."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ms/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ms/xpath.po	2020-07-16 17:01:03.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: abuyop <abuyop@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "``re:test(src, pattern, flags)``  kembalikan `true` jika rentetan `src` memadani `pattern` ungkapan nalar. Salah satu bendera yang berguna adalah ``i``, ia menjadikan padanan tidak sensitif kata. Satu primer yang baik di dalam sintaks boleh ditemui dalam sintaks `sintakas regexp <https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/develop.po	2020-03-05 04:49:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/develop.po	2020-07-16 16:53:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/function_mode.po	2020-07-16 17:09:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/glossary.po	2020-07-16 16:59:40.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/gui.po	2020-07-02 04:21:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/gui.po	2020-07-16 17:06:17.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/news.po	2020-06-18 03:20:24.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/news.po	2020-07-16 16:57:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/regexp.po	2020-07-16 17:03:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2912, 
+    "untranslated": 2914, 
     "translated": 1
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/template_lang.po	2020-07-02 04:15:54.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/template_lang.po	2020-07-16 16:55:22.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/mt/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/mt/xpath.po	2020-07-16 17:01:29.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/my/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/my/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/my/develop.po	2020-03-05 04:48:59.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/my/develop.po	2020-07-16 16:52:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/my/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/my/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/my/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/my/function_mode.po	2020-07-16 17:08:29.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/my/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/my/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/my/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/my/glossary.po	2020-07-16 16:59:15.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/my/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/my/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/my/gui.po	2020-07-02 04:21:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/my/gui.po	2020-07-16 17:05:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/my/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/my/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/my/news.po	2020-06-18 03:19:37.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/my/news.po	2020-07-16 16:57:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/my/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/my/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/my/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/my/regexp.po	2020-07-16 17:02:56.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/my/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/my/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/my/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/my/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2895, 
+    "untranslated": 2897, 
     "translated": 18
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/my/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/my/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/my/template_lang.po	2020-07-02 04:14:58.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/my/template_lang.po	2020-07-16 16:54:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/my/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/my/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/my/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/my/xpath.po	2020-07-16 17:01:03.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/develop.po	2020-03-05 04:49:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/develop.po	2020-07-16 16:52:40.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
@@ -328,7 +328,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -559,7 +559,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/function_mode.po	2020-07-16 17:08:40.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-21 15:39+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
@@ -36,8 +36,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -91,11 +91,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -254,9 +253,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/glossary.po	2020-07-16 16:59:24.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/gui.po	2020-07-02 04:20:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/gui.po	2020-07-16 17:05:48.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
@@ -803,7 +803,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/news.po	2020-06-18 03:20:18.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/news.po	2020-07-16 16:57:34.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
@@ -237,7 +237,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/regexp.po	2020-07-16 17:03:05.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Kurt-Håkon Eilertsen <kurt@kheds.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -438,7 +438,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -494,5 +494,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2695, 
+    "untranslated": 2697, 
     "translated": 218
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/template_lang.po	2020-07-02 04:14:15.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/template_lang.po	2020-07-16 16:54:53.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
@@ -174,7 +174,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -377,12 +377,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -391,7 +399,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -405,7 +413,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -417,7 +425,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -431,7 +439,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -442,14 +450,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -458,13 +475,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -472,7 +489,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -484,17 +501,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -502,13 +519,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -517,23 +534,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr "Eksemplet viser flere ting:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -541,16 +558,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -558,15 +575,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -574,27 +591,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr "er 3."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr "Programmet gjør følgende:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -605,7 +622,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -616,7 +633,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -629,7 +646,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -641,38 +658,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -683,7 +700,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -694,26 +711,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -722,7 +739,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -735,7 +752,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -746,13 +763,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -762,7 +779,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -770,28 +787,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -799,13 +816,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -816,11 +833,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -828,27 +845,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -857,7 +874,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -868,14 +885,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -885,7 +902,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -893,7 +910,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -901,20 +918,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -922,7 +939,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -931,7 +948,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -939,7 +956,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -949,7 +966,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -957,7 +974,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -965,7 +982,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -974,46 +991,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1025,17 +1042,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1045,19 +1062,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1067,20 +1084,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1092,15 +1109,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr "Funksjon klassifisering"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr "Bruk generell program modus"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1110,7 +1127,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1124,7 +1141,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1135,7 +1152,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1144,14 +1161,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1161,11 +1178,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1173,11 +1190,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1188,18 +1205,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1209,25 +1226,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1235,11 +1252,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1250,7 +1267,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1261,7 +1278,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1270,29 +1287,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1304,7 +1321,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1314,7 +1331,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1323,34 +1340,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr "Du kan finne følgende tips interesante."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nb/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nb/xpath.po	2020-07-16 17:01:12.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Kurt-Håkon Eilertsen <kurt@kheds.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -161,5 +161,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/develop.po	2020-03-05 04:49:18.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/develop.po	2020-07-16 16:53:34.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/function_mode.po	2020-07-16 17:09:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/glossary.po	2020-07-16 17:00:03.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/gui.po	2020-07-02 04:20:15.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/gui.po	2020-07-16 17:07:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/news.po	2020-06-18 03:19:53.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/news.po	2020-07-16 16:58:18.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/regexp.po	2020-07-16 17:03:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2898, 
+    "untranslated": 2900, 
     "translated": 15
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/template_lang.po	2020-07-02 04:14:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/template_lang.po	2020-07-16 16:56:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nds/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nds/xpath.po	2020-07-16 17:01:58.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/news.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/news.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/news.pot	2020-07-03 02:15:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/news.pot	2020-07-16 17:19:16.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/news_recipe.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/news_recipe.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/news_recipe.pot	2020-07-03 02:14:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/news_recipe.pot	2020-07-16 17:18:43.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/develop.po	2020-03-05 04:48:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/develop.po	2020-07-16 16:52:48.000000000 +0000
@@ -15,8 +15,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
@@ -334,7 +334,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -565,7 +565,7 @@ msgstr "Open nu een terminal of opdracht
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/function_mode.po	2019-08-29 13:18:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/function_mode.po	2020-07-16 17:08:48.000000000 +0000
@@ -4,7 +4,7 @@
 # 
 # Translators:
 # M. de Boer <de.boer.melle@gmail.com>, 2018
-# Full name, 2019
+# Meteor0id, 2019
 # Patrick van Noort <patrick.vannoort@gmail.com>, 2018
 # math1985 <transifex@matthijsmelissen.nl>, 2016
 # Volluta <volluta@tutanota.com>, 2016
@@ -13,9 +13,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-07-19 08:54+0530\n"
-"PO-Revision-Date: 2019-08-20 15:01+0000\n"
-"Last-Translator: Full name\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -41,9 +41,9 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
-msgstr "In de standaard *regexp* -modus voor zoeken en vervangen, geeft u zowel een reguliere expressie op waarnaar moet worden gezocht als een sjabloon die wordt gebruikt om alle gevonden overeenkomsten te vervangen. In de functiemodus geeft u in plaats van een vast sjabloon een willekeurige functie op in de `Python-programmeertaal <https://docs.python.org/2.7/>`_. Hiermee kunt u veel dingen doen die niet mogelijk zijn met eenvoudige sjablonen."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
 msgid ""
@@ -96,11 +96,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -259,9 +258,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/glossary.po	2020-07-16 16:59:31.000000000 +0000
@@ -4,16 +4,16 @@
 # 
 # Translators:
 # Mario Moens <marimo.it4u@gmail.com>, 2017
-# Mar, 2015
+# 05a0224220b7eaac7e017feaa81ae85c, 2015
 # Rodolfo_Jadon, 2015
 # W.P.M.E. Hofland <wpme.hofland@gmail.com>, 2015
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
-"Last-Translator: Mario Moens <marimo.it4u@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -113,6 +113,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Reguliere expressies** leveren een flexibele manier om tekst te extraheren, zoals een specifiek teken, woord of patroon van tekens. Zie `regexp syntax <https://docs.python.org/2.7/library/re.html>`_ voor de syntaxis van reguliere expressies gebruikt in Python."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/gui.po	2020-07-02 04:22:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/gui.po	2020-07-16 17:05:59.000000000 +0000
@@ -20,8 +20,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
@@ -814,7 +814,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/news.po	2020-06-18 03:19:54.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/news.po	2020-07-16 16:57:39.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
@@ -241,7 +241,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/regexp.po	2019-08-29 13:16:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/regexp.po	2020-07-16 17:03:11.000000000 +0000
@@ -5,15 +5,15 @@
 # Translators:
 # Eduard van der Linde, 2018
 # M. de Boer <de.boer.melle@gmail.com>, 2018
-# Full name, 2019
+# Meteor0id, 2019
 # W.P.M.E. Hofland <wpme.hofland@gmail.com>, 2015
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-07-19 08:54+0530\n"
-"PO-Revision-Date: 2019-08-20 14:44+0000\n"
-"Last-Translator: Full name\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -440,7 +440,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -496,5 +496,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Voor meer over regexps, zie 'The Python User Manual <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 1469, 
-    "translated": 1444
+    "untranslated": 1475, 
+    "translated": 1440
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/template_lang.po	2020-07-02 04:16:14.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/template_lang.po	2020-07-16 16:55:05.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
@@ -179,7 +179,7 @@ msgstr "Als u alleen de eerste twee lett
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -382,12 +382,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -396,7 +404,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -410,7 +418,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -422,7 +430,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -436,7 +444,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -447,14 +455,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -463,13 +480,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -477,7 +494,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -489,17 +506,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -507,13 +524,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -522,23 +539,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr "Het voorbeeld toont meerdere dingen:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -546,16 +563,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -563,15 +580,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr "Opmerkingen zijn regels die beginnen met een '#' symbool."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -579,27 +596,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr "is 3."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr "Dit programma doet het volgende:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -610,7 +627,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -621,7 +638,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -634,7 +651,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -646,38 +663,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -688,7 +705,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -699,26 +716,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -727,7 +744,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -740,7 +757,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -751,13 +768,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -767,7 +784,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -775,28 +792,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -804,13 +821,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -821,11 +838,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -833,27 +850,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -862,7 +879,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -873,14 +890,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -890,7 +907,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -898,7 +915,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -906,20 +923,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -927,7 +944,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -936,7 +953,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -944,7 +961,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -954,7 +971,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -962,7 +979,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -970,7 +987,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -979,46 +996,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1030,17 +1047,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1050,19 +1067,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1072,20 +1089,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1097,15 +1114,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr "Functie classificatie"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr "Gebruik van algemene programma modus"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1115,7 +1132,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1129,7 +1146,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1140,7 +1157,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1149,14 +1166,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1166,11 +1183,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1178,11 +1195,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr "Extra opmerkingen voor opslaan/versturen van sjablonen"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1193,18 +1210,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1214,25 +1231,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr "Om dit te bereiken:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1240,11 +1257,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1255,7 +1272,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1266,7 +1283,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1275,29 +1292,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1309,7 +1326,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr "De labels en auteurs velden hebben een speciale behandeling omdat beide velden meer dan één item kunnen vasthouden. Een boek kan vele labels en meerdere auteurs hebben. Als u opgeeft dat één van deze twee velden gewijzigd gaat worden, wordt de template resultaat onderzocht om te zien of meer dan één item is. Voor labels wordt het resultaat gescheiden waar Calibre een komma vindt. Bijvoorbeeld, als de template de waarde `` Thriller, Horror`` produceert, dan zal het resultaat twee labels zijn, ``Thriller`` en ``Horror``. Er is geen manier om een komma in het midden van een tag te zetten."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1319,7 +1336,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1328,34 +1345,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr "De volgende tips vindt u mogelijk nuttig."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nl/xpath.po	2020-02-20 04:48:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nl/xpath.po	2020-07-16 17:01:19.000000000 +0000
@@ -13,9 +13,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-07 10:48+0530\n"
-"PO-Revision-Date: 2020-02-10 12:11+0000\n"
-"Last-Translator: Herman L.M. van der Vaart <vaarttuig@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -165,5 +165,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "``re: test (src, patroon, vlaggen)`` geeft `waar` terug als de string`src` overeenkomt met de reguliere expressie `patroon`. Een bijzonder handige vlag is ``i``, het maakt vergelijken hoofdletter ongevoelig. Een goede inleiding over de syntaxis voor reguliere expressies is te vinden op `regexp syntax <https://docs.python.org/2.7/library/re.html>` _"
+"<https://docs.python.org/library/re.html>`_"
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/develop.po	2020-03-05 04:49:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/develop.po	2020-07-16 16:52:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/function_mode.po	2020-07-16 17:08:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/glossary.po	2020-07-16 16:59:15.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/gui.po	2020-07-02 04:20:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/gui.po	2020-07-16 17:05:29.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/news.po	2020-06-18 03:20:32.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/news.po	2020-07-16 16:57:20.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/regexp.po	2020-07-16 17:02:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2911, 
+    "untranslated": 2913, 
     "translated": 2
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/template_lang.po	2020-07-02 04:14:24.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/template_lang.po	2020-07-16 16:54:34.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nn/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nn/xpath.po	2020-07-16 17:01:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/develop.po	2020-03-05 04:49:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/develop.po	2020-07-16 16:54:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/function_mode.po	2020-07-16 17:10:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/glossary.po	2020-07-16 17:00:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/gui.po	2020-07-02 04:21:56.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/gui.po	2020-07-16 17:07:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/news.po	2020-06-18 03:19:17.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/news.po	2020-07-16 16:58:45.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/regexp.po	2020-07-16 17:04:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/template_lang.po	2020-07-02 04:15:59.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/template_lang.po	2020-07-16 16:56:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/nso/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/nso/xpath.po	2020-07-16 17:02:22.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/develop.po	2020-03-05 04:48:17.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/develop.po	2020-07-16 16:53:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/function_mode.po	2020-07-16 17:09:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/glossary.po	2020-07-16 17:00:06.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/gui.po	2020-07-02 04:22:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/gui.po	2020-07-16 17:07:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/news.po	2020-06-18 03:20:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/news.po	2020-07-16 16:58:20.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/regexp.po	2020-07-16 17:03:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2896, 
+    "untranslated": 2898, 
     "translated": 17
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/template_lang.po	2020-07-02 04:16:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/template_lang.po	2020-07-16 16:56:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/oc/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/oc/xpath.po	2020-07-16 17:01:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/or/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/or/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/or/develop.po	2020-03-05 04:49:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/or/develop.po	2020-07-16 16:52:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/or/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/or/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/or/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/or/function_mode.po	2020-07-16 17:08:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/or/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/or/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/or/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/or/glossary.po	2020-07-16 16:59:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/or/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/or/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/or/gui.po	2020-07-02 04:21:14.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/or/gui.po	2020-07-16 17:06:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/or/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/or/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/or/news.po	2020-06-18 03:19:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/or/news.po	2020-07-16 16:57:40.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/or/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/or/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/or/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/or/regexp.po	2020-07-16 17:03:12.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/or/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/or/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/or/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/or/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2905, 
+    "untranslated": 2907, 
     "translated": 8
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/or/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/or/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/or/template_lang.po	2020-07-02 04:15:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/or/template_lang.po	2020-07-16 16:55:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/or/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/or/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/or/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/or/xpath.po	2020-07-16 17:01:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/develop.po	2020-03-05 04:47:57.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/develop.po	2020-07-16 16:52:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/function_mode.po	2020-07-16 17:08:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/glossary.po	2020-07-16 16:59:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/gui.po	2020-07-02 04:20:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/gui.po	2020-07-16 17:05:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/news.po	2020-06-18 03:20:17.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/news.po	2020-07-16 16:57:18.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/regexp.po	2020-07-16 17:02:53.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2909, 
+    "untranslated": 2911, 
     "translated": 4
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/template_lang.po	2020-07-02 04:14:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/template_lang.po	2020-07-16 16:54:31.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pa/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pa/xpath.po	2020-07-16 17:01:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/develop.po	2020-03-05 04:49:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/develop.po	2020-07-16 16:54:16.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
@@ -328,7 +328,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -559,7 +559,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/function_mode.po	2019-10-17 02:24:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/function_mode.po	2020-07-16 17:10:17.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-10-08 07:08+0530\n"
-"PO-Revision-Date: 2019-10-12 10:08+0000\n"
-"Last-Translator: Marcin Kozioł <koziol.martin@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -37,8 +37,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -92,11 +92,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -255,9 +254,9 @@ msgstr "Argument ``match``"
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/glossary.po	2019-10-17 02:21:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/glossary.po	2020-07-16 17:00:45.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-10-08 07:08+0530\n"
-"PO-Revision-Date: 2019-10-12 10:04+0000\n"
-"Last-Translator: Marcin Kozioł <koziol.martin@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -111,6 +111,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Wyrażenia regularne** pozwalają na odnajdywanie w tekście poszukiwanych fragmentów, takich jak poszczególne znaki, słowa czy w zwięzły, a jednocześnie elastyczny sposób."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/gui.po	2020-07-02 04:20:57.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/gui.po	2020-07-16 17:08:03.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
@@ -807,7 +807,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/news.po	2020-06-18 03:19:01.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/news.po	2020-07-16 16:58:58.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
@@ -238,8 +238,8 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
-msgstr "W powyższym przykładzie ``def print_version(self, url)`` definiuje *metodę*, która jest wywoływana dla każdego artykułu. ``url`` to adres oryginalnego artykułu. ``print_version`` zamienia ten adres na nowy, który prowadzi do wersji do druku. Więcej na temat `python <https://www.python.org>`_ znajdziesz w `podręczniku <https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/regexp.po	2020-07-16 17:04:38.000000000 +0000
@@ -7,14 +7,14 @@
 # Ola Kleniewska <anyzeklove@gmail.com>, 2016
 # Piotr Parafiniuk <koliberek@gmail.com>, 2014-2015
 # Przemysław Siekiera <przemo.siekiera20@gmail.com>, 2018
-# Michał Zieliński <zielinski-michal@outlook.com>, 2016
+# wigatesi, 2016
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Piotr Parafiniuk <koliberek@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -441,7 +441,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -497,5 +497,8 @@ msgstr "Orpheu"
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Aby dowiedzieć się więcej o wyrażeniach regularnych, zajrzyj na stronę „Podręcznika Pythona <https://docs.python.org/2/library/re.html>”_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2271, 
-    "translated": 642
+    "untranslated": 2277, 
+    "translated": 638
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/template_lang.po	2020-07-02 04:14:51.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/template_lang.po	2020-07-16 16:57:02.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
@@ -176,7 +176,7 @@ msgstr "Jeśli chcesz uzyskać tylko pie
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -379,12 +379,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -393,7 +401,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -407,7 +415,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -419,7 +427,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -433,7 +441,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -444,14 +452,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -460,13 +477,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -474,7 +491,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -486,17 +503,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr "Używanie funkcji w szablonach - szablonowy tryb programu"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -504,13 +521,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -519,23 +536,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr "Przykład pokazuje kilka rzeczy:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -543,16 +560,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -560,15 +577,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr "Komentarzami są linie zaczynające się od znaku '#'"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -576,27 +593,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr "Program działa następująco: "
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -607,7 +624,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -618,7 +635,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -631,7 +648,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -643,38 +660,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -685,7 +702,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -696,26 +713,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr "`add(x, y)`` -- zwraca x + y. Rzuca wyjątkiem jeśli przynajmniej jedna z x,y nie jest liczbą"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -724,7 +741,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -737,7 +754,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -748,13 +765,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -764,7 +781,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -772,28 +789,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -801,13 +818,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "``divide(x, y)``  -- zwraca x / y. Rzuca wyjątkiem jeśli przynajmniej jedna z x,y nie jest liczbą"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -818,11 +835,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr "``field(name)`` -- Zwraca metadane pola ``name``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -830,27 +847,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -859,7 +876,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -870,14 +887,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr "Jeszcze jeden przykład: dla szablonu``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - }{title}`` użyj::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -887,7 +904,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -895,7 +912,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -903,20 +920,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr "``has_cover()`` -- zwraca``Yes`` jeśli książka ma okładkę, w przeciwnym razie zwraca pustego stringa."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -924,7 +941,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -933,7 +950,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -941,7 +958,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -951,7 +968,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -959,7 +976,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -967,7 +984,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -976,46 +993,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1027,17 +1044,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1047,19 +1064,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1069,20 +1086,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1094,15 +1111,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1112,7 +1129,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1126,7 +1143,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1137,7 +1154,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1146,14 +1163,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1163,11 +1180,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1175,11 +1192,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1190,18 +1207,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1211,25 +1228,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr "Aby to osiągnąć potrzebujemy:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1237,11 +1254,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1252,7 +1269,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1263,7 +1280,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1272,29 +1289,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1306,7 +1323,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1316,7 +1333,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1325,34 +1342,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pl/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pl/xpath.po	2020-07-16 17:02:32.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Piotr Parafiniuk <koliberek@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "``re:test(src, pattern, flags)`` zwraca `true` jeśli ciąg znaków `src` pasuje do wyrażenia regularnego `pattern`. Szczególnie przydatna jest flaga ``i``, która powoduje, że wyszukiwanie nie uwzględnia wielkości liter. Dobry podręcznik dla początkujących na temat składni wyrażeń regularnych można znaleźć na stronie `regexp syntax <https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/plugins.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/plugins.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/plugins.pot	2020-07-03 02:13:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/plugins.pot	2020-07-16 17:17:50.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/polish.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/polish.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/polish.pot	2020-07-03 02:15:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/polish.pot	2020-07-16 17:19:00.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/develop.po	2020-03-05 04:49:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/develop.po	2020-07-16 16:53:06.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/function_mode.po	2020-07-16 17:09:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/glossary.po	2020-07-16 16:59:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/gui.po	2020-07-02 04:20:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/gui.po	2020-07-16 17:06:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/news.po	2020-06-18 03:20:37.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/news.po	2020-07-16 16:57:53.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/regexp.po	2020-07-16 17:03:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/template_lang.po	2020-07-02 04:14:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/template_lang.po	2020-07-16 16:55:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ps/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ps/xpath.po	2020-07-16 17:01:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/develop.po	2020-03-05 04:48:21.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/develop.po	2020-07-16 16:53:12.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
@@ -329,7 +329,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -560,7 +560,7 @@ msgstr "Agora abra uma janela de termina
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/function_mode.po	2020-01-22 04:35:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/function_mode.po	2020-07-16 17:09:09.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-01-03 07:08+0530\n"
-"PO-Revision-Date: 2020-01-17 17:26+0000\n"
-"Last-Translator: Paulo Pereira <pauloizidoro@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -37,8 +37,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -92,11 +92,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -255,9 +254,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/glossary.po	2020-07-16 16:59:47.000000000 +0000
@@ -10,9 +10,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-01-18 20:12+0530\n"
-"PO-Revision-Date: 2019-01-18 12:23+0000\n"
-"Last-Translator: Paulo Pereira <pauloizidoro@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -112,6 +112,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Expressões regulares** fornece uma forma concisa e flexível de identificar cadeias de caracteres de texto com interesse, tais como caracteres especiais, palavras ou padrões de caracteres. Ver  `regexp syntax <https://docs.python.org/2.7/library/re.html>` _ para a sintaxe de expressões regulares utilizadas pelo Python."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/gui.po	2020-07-02 04:20:46.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/gui.po	2020-07-16 17:06:30.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 19:18+0000\n"
-"Last-Translator: Paulo Pereira <pauloizidoro@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -803,7 +803,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/news.po	2020-06-18 03:19:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/news.po	2020-07-16 16:57:58.000000000 +0000
@@ -10,9 +10,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 14:53+0000\n"
-"Last-Translator: Paulo Pereira <pauloizidoro@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -238,7 +238,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/regexp.po	2019-10-17 02:22:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/regexp.po	2020-07-16 17:03:32.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-10-08 07:08+0530\n"
-"PO-Revision-Date: 2019-10-11 13:38+0000\n"
-"Last-Translator: Paulo Pereira <pauloizidoro@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -437,7 +437,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -493,5 +493,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2021, 
-    "translated": 892
+    "untranslated": 2015, 
+    "translated": 900
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/template_lang.po	2020-07-02 04:14:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/template_lang.po	2020-07-16 16:55:36.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-20 15:47+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-06 16:39+0000\n"
 "Last-Translator: Paulo Pereira <pauloizidoro@gmail.com>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
@@ -175,7 +175,7 @@ msgstr "Se pretende apenas as duas prime
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -378,12 +378,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -392,7 +400,7 @@ msgid ""
 "identifiers for a book."
 msgstr "``select(key)`` -- interpreta o campo como uma lista de itens separados por vírgulas, com os itens na forma \"id:value\". Encontra o emparelhamento do id igual a key, e devolve o valor correspondente. Esta função é particularmente útil para extrair um valor, como um ISBN, de um conjunto de identificadores de um livro"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -406,7 +414,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -418,7 +426,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -432,7 +440,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -443,14 +451,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -459,13 +476,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -473,7 +490,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -485,17 +502,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -503,13 +520,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -518,23 +535,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr "O exemplo mostra várias coisas:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -542,16 +559,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -559,15 +576,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr "Linhas comentadas são linhas com um cardinal '#' no início da linha."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -575,27 +592,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr "é 3."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr "Este programa faz o seguinte:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -606,7 +623,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -617,7 +634,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -630,7 +647,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -642,38 +659,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr "series_index == 0.5, resultado = ``prefix 0.50-> suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr "series_index == 1, resultado = ``prefix 1->t12 suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr "series_index == 2, resultado = ``prefix 2->eq suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr "series_index == 3, resultado = ``prefix 3->gt suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -684,7 +701,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -695,26 +712,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "``assign(id, val)`` -- atribui VAL a ID, e depois devolve VAL. ID deve ser um identificador e não uma expressão"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -723,7 +740,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -736,7 +753,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -747,13 +764,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -763,7 +780,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -771,28 +788,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -800,13 +817,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -817,11 +834,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -829,27 +846,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -858,7 +875,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -869,14 +886,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -886,7 +903,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr "``formats_modtimes(format_string)`` -- cria uma lista, separada por vírgulas, de itens separados por dois pontos que representam horas de alteração para os formatos de um livro. O parâmetro date_format especifica como a data deve ser formatada. Ver a função `format_date()` para mais detalhes. Pode usar a função de seleção para obter a hora de alteração para um formato específico. Note que os nomes dos formatos são sempre em maiúsculas, tal como em EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -894,7 +911,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_paths()`` -- cria uma lista de itens, separados por dois pontos, que representam o caminho completo para os formatos de um livro. Pode usar a função de seleção para obter o caminho para um formato específico. Note que os nomes dos formatos são sempre em maiúsculas, tal como em EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -902,20 +919,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_sizes()`` -- cria uma lista de itens separados por dois pontos que representam tamanhos em bytes dos formatos de um livro. Pode usar a função de seleção para obter o tamanho de um formato específico. Note que os nomes dos formatos são sempre em maiúsculas, tal como em EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
-msgstr ""
+msgstr "``has_cover()`` -- devolve ``Yes`` se o livro possuir capa, caso contrário devolve uma expressão vazia"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -923,7 +940,7 @@ msgid ""
 "are the items in the returned list."
 msgstr "``list_difference(list1, list2, separator)`` -- devolve uma lista feita ao remover da `list1` qualquer item encontrado em `list2`, usando uma comparação não sensível a maiúsculas. Os itens em `list1` e `list2` são separados por separador, tal como estão os itens da lista devolvida."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -932,7 +949,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- devolverá `yes_val` se `list1` e `list2` contiverem os mesmos itens, caso contrário devolverá no_val. Os itens são determinados dividindo cada lista usando o carácter separador apropriado (`sep1` ou `sep2`). A ordem dos itens das listas não é relevante. A comparação não é sensível a maiúsculas."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -940,7 +957,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr "``list_intersection(list1, list2, separator)`` -- devolve uma lista feita ao remover da `list1` qualquer item não encontrado em `list2`, usando uma comparação não sensível a maiúsculas. Os itens em `list1` e `list2` são separados por separador, tal como estão os itens da lista devolvida."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -950,7 +967,7 @@ msgid ""
 "returned list."
 msgstr "``list_re(src_list, separator, include_re, opt_replace)``  -- Construir uma lista, primeiro pela separação de `src_list` em itens usando o carácter `separator`. Para cada item da lista, verificar se ele corresponde a `include_re`. Se isso acontecer, então adicioná-lo à lista a ser obtida. Se `opt_replace` não for uma string vazia, então aplicar a substituição antes de adicionar o item à lista obtida."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -958,7 +975,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -966,7 +983,7 @@ msgid ""
 " items in the returned list."
 msgstr "``list_sort(list, direction, separator)`` -- devolve uma lista ordenada usando uma ordenação não diferenciadora de maiúsculas. Se `direction` for zero, a lista é ordenada de forma crescente, caso contrário será por ordem decrescente. Os itens da lista são separados por `separator`, tal como o são os itens na lista devolvida."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -975,46 +992,46 @@ msgid ""
 "returned list."
 msgstr "``list_union(list1, list2, separator)`` -- devolve uma lista feita pela fusão dos itens da list1 e list2, removendo itens duplicados sendo usada uma comparação não sensível a maiúsculas. Se os itens diferirem em maiúsculas, é usado o primeiro da list1. Os itens em list1 e list2 são separados pelo separador, tal como estão os itens da lista devolvida."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr "``raw_list(name, separator)`` -- devolve a lista de metadados por nomeado por nome mas sem aplicar formatações ou ordenação e com itens separados por `separator`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1026,17 +1043,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
-msgstr ""
+msgstr "``series_sort()`` -- devolve o valor de ordenação da série."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
-msgstr ""
+msgstr "``strcat(a, b, ...)`` -- pode receber qualquer número de argumentos. Devolve uma expressão formada pela concatenação de todos os argumentos."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,21 +1061,21 @@ msgid ""
 " the resulting string length is less than `max`. String1 is returned even if"
 " string1 is longer than max. You can pass as many `prefix, string` pairs as "
 "you wish."
-msgstr ""
+msgstr "``strcat_max(max, string1, prefix2, string2, ...)``  -- Devolve uma expressão formada pela concatenação dos argumentos. O valor devolvido é inicializado para string1. Pares `Prefix, string` são adicionados ao final do valor desde que o comprimento da expressão resultante seja inferior a `max`. String1 será devolvida mesmo se string1 for maior que max. Pode passar quantos pares `prefix, string` quiser."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr "``strcmp(x, y, lt, eq, gt)`` -- faz uma comparação intensiva não diferenciadora de maiúsculas de x e y como strings. Devolve ``lt`` se x < y. Devolve ``eq`` se x == y. Caso contrário devolve ``gt``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
-msgstr ""
+msgstr "``strlen(a)`` -- Devolve o comprimento do texto passando-o como um argumento."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,22 +1083,22 @@ msgid ""
 "characters counting from the right. If end is zero, then it indicates the "
 "last character. For example, ``substr('12345', 1, 0)`` returns ``'2345'``, "
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
-msgstr ""
+msgstr "``substr(str, start, end)`` -- devolve ``start``'th pelos caracteres ``end``'th de  ``str``. O primeiro carácter ``str`` é o carácter zero'th. Se end for negativo, então indica esse número de caracteres contados da direita. Se end for zero, então indica o último carácter. Por exemplo, ``substr('12345', 1, 0)`` devolve ``'2345'``, e ``substr('12345', 1, -1)`` devolve ``'234'``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
-msgstr ""
+msgstr "``subtract(x, y)`` -- devolve x - y. Devolve uma exceção se x ou y não forem números."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
-msgstr ""
+msgstr "``today()`` -- devolve uma string com a data de hoje. Este valor é destinado ao uso em format_date e days_between, mas pode ser manipulado como qualquer outra string. A data está em formato ISO."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,17 +1108,17 @@ msgid ""
 "evaluate the template ``{title_sort}`` and return its value. Note also that "
 "prefixes and suffixes (the `|prefix|suffix` syntax) cannot be used in the "
 "argument to this function when using template program mode."
-msgstr ""
+msgstr "``template(x)`` -- analisa x como um modelo. A analise é feita em seu próprio contexto, o que significa que as variáveis não são compartilhadas entre a chamador e a análise do modelo. Como os caracteres `{` e `}` são especiais, deve usar `[[` para `{` e `]]` para '}'. Serão convertidos automaticamente. Por exemplo,``template('[[title_sort]]') irá analisar o modelo ``{title_sort}`` e devolver o seu valor. Note também que prefixos e sufixos (a sintaxwe `|prefix|suffix` ) não podem ser usados no argumento para esta função ao usar o modo de programação de modelos."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr "Usar modo de programação geral"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1111,7 +1128,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1125,7 +1142,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1136,7 +1153,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1145,14 +1162,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1162,11 +1179,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr "Funções de modelos definidas por utilizador"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1174,11 +1191,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr "Notas especiais para modelos de exportar/enviar"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1189,18 +1206,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr "A barra inclinada e o hífen aparecem apenas se a série não estiver vazia."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1210,25 +1227,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr "Para obter isto, fazemos:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1236,11 +1253,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr "Modelos e quadros de conexões"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1251,7 +1268,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1262,7 +1279,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1271,29 +1288,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr "um quadro de conexões para ``qualquer formato`` e ``qualquer dispositivo``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1305,7 +1322,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1315,7 +1332,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1324,34 +1341,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr "Dicas úteis"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr "Poderá achar úteis as seguintes dicas."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt/xpath.po	2019-11-07 09:51:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt/xpath.po	2020-07-16 17:01:36.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-11-02 09:49+0530\n"
-"PO-Revision-Date: 2019-11-05 09:19+0000\n"
-"Last-Translator: Paulo Pereira <pauloizidoro@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/develop.po	2020-03-05 04:49:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/develop.po	2020-07-16 16:53:18.000000000 +0000
@@ -7,13 +7,13 @@
 # Artur de Carvalho Alves <arturcalves@gmail.com>, 2015
 # Henrique Lucas França <hlucasfranca@gmail.com>, 2016
 # Paulo_Neto <layoutbr@lexxa.com.br>, 2014
-# Thiago Perrotta <tbperrotta@gmail.com>, 2016
+# 188a025320a00cf3a2eaedaf6504fd97_e837d7a <1f603a6e11897c650fffcb77c265c444_491793>, 2016
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
@@ -331,7 +331,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -562,7 +562,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/function_mode.po	2020-07-16 17:09:17.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-21 15:39+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
@@ -39,8 +39,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -94,11 +94,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -257,9 +256,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/glossary.po	2019-12-25 05:25:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/glossary.po	2020-07-16 16:59:51.000000000 +0000
@@ -11,9 +11,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-12-25 09:54+0530\n"
-"PO-Revision-Date: 2019-12-16 21:34+0000\n"
-"Last-Translator: Victor Palma\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -113,6 +113,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Expressões regulares** provê uma forma concisa e flexível de identificar cadeias de caracteres de interesse, tais como caracteres particulares, palavras ou padrões de caracteres. Veja `sintaxe regexp <https://docs.python.org/2.7/library/re.html>` _ para a sintaxe de expressões regulares utilizadas no Python."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/gui.po	2020-07-02 04:21:36.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/gui.po	2020-07-16 17:06:39.000000000 +0000
@@ -23,8 +23,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
@@ -817,7 +817,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/news.po	2020-06-18 03:20:15.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/news.po	2020-07-16 16:58:04.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
@@ -239,7 +239,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/regexp.po	2020-07-16 17:03:38.000000000 +0000
@@ -10,9 +10,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-12-07 10:46+0530\n"
-"PO-Revision-Date: 2018-12-18 13:07+0000\n"
-"Last-Translator: Thiago Oliveira <thiago.eec@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -439,7 +439,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -495,5 +495,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Para mais informações sobre expressões regulares ver:  `The Python User Manual <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2077, 
-    "translated": 836
+    "untranslated": 2082, 
+    "translated": 833
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/template_lang.po	2020-07-02 04:15:36.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/template_lang.po	2020-07-16 16:55:45.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
@@ -175,7 +175,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -378,12 +378,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -392,7 +400,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -406,7 +414,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -418,7 +426,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -432,7 +440,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -443,14 +451,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -459,13 +476,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -473,7 +490,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -485,17 +502,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -503,13 +520,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -518,23 +535,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -542,16 +559,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -559,15 +576,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -575,27 +592,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -606,7 +623,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -617,7 +634,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -630,7 +647,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -642,38 +659,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -684,7 +701,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -695,26 +712,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -723,7 +740,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -736,7 +753,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -747,13 +764,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -763,7 +780,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -771,28 +788,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -800,13 +817,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -817,11 +834,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -829,27 +846,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -858,7 +875,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -869,14 +886,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -886,7 +903,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -894,7 +911,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -902,20 +919,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -923,7 +940,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -932,7 +949,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -940,7 +957,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -950,7 +967,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -958,7 +975,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -966,7 +983,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -975,46 +992,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1026,17 +1043,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1046,19 +1063,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1068,20 +1085,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1093,15 +1110,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1111,7 +1128,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1125,7 +1142,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1136,7 +1153,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1145,14 +1162,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1162,11 +1179,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1174,11 +1191,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1189,18 +1206,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1210,25 +1227,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1236,11 +1253,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1251,7 +1268,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1262,7 +1279,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1271,29 +1288,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1305,7 +1322,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1315,7 +1332,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1324,34 +1341,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/pt_BR/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/pt_BR/xpath.po	2020-07-16 17:01:44.000000000 +0000
@@ -9,16 +9,16 @@
 # Leonardo Augusto Suzin <leonardosuzin@gmail.com>, 2014
 # Paulo_Neto <layoutbr@lexxa.com.br>, 2014
 # Pedro Manoel de Oliveira Heringer Dias <pedropote@gmail.com>, 2015
-# Thiago de Oliveira Piza <inactive+tdoliveira@transifex.com>, 2015
+# 305f1ec21c68bb25c1b9f1b7629c3650_ea13c31 <ca3e4b86b0d24996d53b0fe149de4407_274039>, 2015
 # Thiago Oliveira <thiago.eec@gmail.com>, 2018
 # Victor Andréo <andreo.victor@gmail.com>, 2016
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-12-07 10:46+0530\n"
-"PO-Revision-Date: 2018-12-18 16:24+0000\n"
-"Last-Translator: Thiago Oliveira <thiago.eec@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -168,5 +168,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "``re:test(src, pattern, flags)`` retorna `true` se a sequência `src` corresponde à uma expressão regular `pattern`. A sinalização é particularmente útil ``i``, ele torna correspondente maiúsculas e minúsculas. Um bom exemplo sobre a sintaxe para expressões regulares pode ser encontrado em `regexp syntax <http://docs.python.org/lib/re-syntax.html>`_"
+"<https://docs.python.org/library/re.html>`_"
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/regexp.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/regexp.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/regexp.pot	2020-07-03 02:14:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/regexp.pot	2020-07-16 17:18:22.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/regexp_quick_reference.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/regexp_quick_reference.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/regexp_quick_reference.pot	2020-07-03 02:14:15.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/regexp_quick_reference.pot	2020-07-16 17:18:00.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/develop.po	2020-03-05 04:49:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/develop.po	2020-07-16 16:54:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/function_mode.po	2020-07-16 17:10:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/glossary.po	2020-07-16 17:00:41.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/gui.po	2020-07-02 04:21:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/gui.po	2020-07-16 17:07:56.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
@@ -802,7 +802,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/news.po	2020-06-18 03:19:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/news.po	2020-07-16 16:58:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/regexp.po	2020-07-16 17:04:33.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Radu Teodor <raduteodorgeorge0@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2838, 
+    "untranslated": 2840, 
     "translated": 75
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/template_lang.po	2020-07-02 04:15:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/template_lang.po	2020-07-16 16:56:56.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ro/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ro/xpath.po	2020-07-16 17:02:29.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Radu Teodor <raduteodorgeorge0@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/develop.po	2020-06-04 02:42:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/develop.po	2020-07-16 16:52:53.000000000 +0000
@@ -10,9 +10,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-23 07:53+0530\n"
-"PO-Revision-Date: 2020-05-29 17:19+0000\n"
-"Last-Translator: ashed <craysy@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -329,9 +329,9 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
-msgstr "Следующим шагом является установка переменной окружения ``CALIBRE_DEVELOP_FROM`` в абсолютный путь к каталогу src. Итак, следуя приведенному выше примеру, это будет ``C:\\Users\\kovid\\work\\calibre\\src``. `Вот краткое руководство <https://docs.python.org/2/using/windows.html#excursus-setting-environment-variables>`_ для установки переменных окружения в Windows."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:172
 msgid ""
@@ -560,9 +560,9 @@ msgstr "Теперь откройте т
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
-msgstr "Вы можете прочитать о том, как использовать отладчик Python в документации `Python stdlib для модуля pdb <https://docs.python.org/2/library/pdb.html#debugger-commands>`_."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:339
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/function_mode.po	2020-06-04 02:51:19.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/function_mode.po	2020-07-16 17:08:52.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-23 07:53+0530\n"
-"PO-Revision-Date: 2020-05-25 07:27+0000\n"
-"Last-Translator: ashed <craysy@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -37,9 +37,9 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
-msgstr "В стандартном режиме *regexp* для поиска и замены вы указываете как регулярное выражение для поиска, так и шаблон, который используется для замены всех найденных совпадений. В функциональном режиме вместо использования фиксированного шаблона вы указываете произвольную функцию на `языке программирования Python <https://docs.python.org/2.7/>`_. Это позволяет вам делать много вещей, которые невозможны с простыми шаблонами."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
 msgid ""
@@ -92,12 +92,11 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
-msgstr "Каждая пользовательская функция :guilabel:`Search & replace` должна иметь уникальное имя и состоять из Python-функции replace, которая принимает все аргументы, показанные выше. На данный момент мы не будем беспокоиться о различных аргументах функции ``replace()``. Просто сосредоточьтесь на аргументе ``match``. Он представляет совпадение при запуске поиска и замены. Полная документация доступна здесь `здесь <https://docs.python.org/2.7/library/re.html#match-objects>`_.``match.group()`` просто возвращает весь сопоставленный текст, и все, что мы делаем, это заменяем дефисы в этом тексте на тире, сначала заменяя двойные дефисы, а затем одиночные дефисы."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
 msgid "Use this function with the find regular expression::"
@@ -255,11 +254,11 @@ msgstr "Аргумент ``match``"
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
-msgstr "Аргумент ``match`` представляет текущее найденное совпадение. Это объект `Python Match <https://docs.python.org/2.7/library/re.html#match-objects>`_. Его наиболее полезным методом является ``group()``, который можно использовать для получения сопоставленного текста, соответствующего отдельным группам захвата в регулярном выражении поиска."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:248
 msgid "The ``number`` argument"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/glossary.po	2020-07-16 16:59:34.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
-"Last-Translator: Ash Ed <craysy@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Regular expressions** предоставляют краткие и гибкие средства для определения строк текста интереса, таких как конкретные символы, слова или шаблоны символов. См. `regexp syntax <https://docs.python.org/2.7/library/re.html>`_ для синтаксиса регулярных выражений, используемых в Python."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/gui.po	2020-07-02 04:22:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/gui.po	2020-07-16 17:06:06.000000000 +0000
@@ -14,9 +14,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-26 09:19+0000\n"
-"Last-Translator: ashed <craysy@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -808,13 +808,13 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
 "Regular expression searches are 'contains' searches unless the expression "
 "contains anchors."
-msgstr "Поиск равенства обозначается префиксом в строке поиска — знаком равенства (=). Например, запрос ``tag:\"=science\"`` будет соответствовать «science», но не «science fiction» или «hard science». Поиск с регулярными выражениями обозначается префиксом в строке поиска — тильдой (~). Можно использовать любое `python-совместимое регулярное выражение <https://docs.python.org/2/library/re.html>`_. Обратите внимание, что обратные косые черты, использующиеся для экранирования спецсимволов в регулярных выражениях, следует удваивать, так как одиночные при анализе запроса будут удалены. Например, для соответствия буквенной скобке нужно ввести ``\\\\(``. Поиск с регулярными выражениями — запросы вида «содержит», за исключением выражений с якорями."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:351
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/news.po	2020-07-02 04:16:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/news.po	2020-07-16 16:57:43.000000000 +0000
@@ -11,9 +11,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 08:34+0000\n"
-"Last-Translator: ashed <craysy@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -239,8 +239,8 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
-msgstr "Выше ``def print_version(self, url)`` определяет *метод*, который вызывается calibre для каждой статьи. ``url`` - это URL оригинальной статьи. ``print_version`` - это взять этот URL и заменить его новым URL, который указывает на печатную версию статьи. Чтобы узнать о `Python <https://www.python.org>`_, см. `tutorial <https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/regexp.po	2020-06-18 03:23:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/regexp.po	2020-07-16 17:03:16.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-08 18:55+0000\n"
-"Last-Translator: ashed <craysy@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -438,8 +438,8 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Ну, вот и заканчивается очень краткое введение в регулярные выражения. Надеюсь, я покажу вам достаточно, чтобы, по крайней мере, начать работу и продолжить самостоятельное обучение - хорошей отправной точкой будет документация Python для регулярных выражений <https://docs.python.org/2/library /re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
 msgid ""
@@ -494,5 +494,8 @@ msgstr "Orpheu"
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Для получения дополнительной информации о регулярных выражениях см. `Руководство пользователя Python <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 1290, 
-    "translated": 1623
+    "untranslated": 1303, 
+    "translated": 1612
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/template_lang.po	2020-07-02 04:16:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/template_lang.po	2020-07-16 16:55:12.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
@@ -177,7 +177,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -380,12 +380,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -394,7 +402,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -408,7 +416,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -420,7 +428,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -434,7 +442,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -445,14 +453,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -461,13 +478,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -475,7 +492,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -487,17 +504,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -505,13 +522,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -520,23 +537,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -544,16 +561,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -561,15 +578,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -577,27 +594,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -608,7 +625,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -619,7 +636,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -632,7 +649,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -644,38 +661,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -686,7 +703,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -697,26 +714,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -725,7 +742,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -738,7 +755,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -749,13 +766,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -765,7 +782,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -773,28 +790,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -802,13 +819,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -819,11 +836,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -831,27 +848,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -860,7 +877,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -871,14 +888,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -888,7 +905,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -896,7 +913,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -904,20 +921,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -925,7 +942,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -934,7 +951,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -942,7 +959,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -952,7 +969,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -960,7 +977,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -968,7 +985,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -977,46 +994,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1028,17 +1045,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1048,19 +1065,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1070,20 +1087,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1095,15 +1112,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1113,7 +1130,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1127,7 +1144,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1138,7 +1155,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1147,14 +1164,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1164,11 +1181,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1176,11 +1193,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1191,18 +1208,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1212,25 +1229,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1238,11 +1255,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr "Шаблоны и коммутации"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1253,7 +1270,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1264,7 +1281,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1273,29 +1290,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1307,7 +1324,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1317,7 +1334,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1326,34 +1343,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr "Полезные советы"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr "В коммутации полю можно назначить соответствующее его типу пустое значение при помощи специального шаблона ``{}``. Он всегда соответствует пустой строке."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ru/xpath.po	2020-03-26 16:52:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ru/xpath.po	2020-07-16 17:01:22.000000000 +0000
@@ -5,7 +5,7 @@
 # Translators:
 # Alexander Filev, 2015
 # Anton Bershanskiy <bershan2@illinois.edu>, 2016
-# Alexander Filev, 2015
+# AlexanderFilev, 2015
 # Vladislav <yobabay23@gmail.com>, 2015
 # Александр, 2015
 # Родион Р., 2020
@@ -13,9 +13,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-03-11 17:43+0530\n"
-"PO-Revision-Date: 2020-03-10 19:13+0000\n"
-"Last-Translator: Родион Р.\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -165,5 +165,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "``re:test(src, pattern, flags)`` возвращает `true`, если строка `src` соответствует регулярному выражению `pattern`. Особенно полезен флаг ``i``: он отвечает за нечувствительность к регистру. Хороший учебник синтаксиса регулярных выражений для начинающих можно найти по ссылке `regexp syntax <https://docs.python.org/2.7/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_"
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/develop.po	2020-03-05 04:49:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/develop.po	2020-07-16 16:52:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/function_mode.po	2020-07-16 17:08:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/glossary.po	2020-07-16 16:59:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/gui.po	2020-07-02 04:21:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/gui.po	2020-07-16 17:05:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/news.po	2020-06-18 03:20:04.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/news.po	2020-07-16 16:57:16.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/regexp.po	2020-07-16 17:02:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2909, 
+    "untranslated": 2911, 
     "translated": 4
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/template_lang.po	2020-07-02 04:15:50.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/template_lang.po	2020-07-16 16:54:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/rw/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/rw/xpath.po	2020-07-16 17:00:58.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/develop.po	2020-03-05 04:49:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/develop.po	2020-07-16 16:53:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/function_mode.po	2020-07-16 17:09:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/glossary.po	2020-07-16 17:00:14.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/gui.po	2020-07-02 04:21:17.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/gui.po	2020-07-16 17:07:17.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/news.po	2020-06-18 03:20:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/news.po	2020-07-16 16:58:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/regexp.po	2020-07-16 17:04:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/template_lang.po	2020-07-02 04:15:14.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/template_lang.po	2020-07-16 16:56:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sc/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sc/xpath.po	2020-07-16 17:02:06.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/server.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/server.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/server.pot	2020-07-03 02:15:06.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/server.pot	2020-07-16 17:19:03.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/si/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/si/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/si/develop.po	2020-03-05 04:49:44.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/si/develop.po	2020-07-16 16:53:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/si/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/si/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/si/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/si/function_mode.po	2020-07-16 17:08:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/si/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/si/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/si/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/si/glossary.po	2020-07-16 16:59:39.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/si/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/si/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/si/gui.po	2020-07-02 04:21:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/si/gui.po	2020-07-16 17:06:16.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/si/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/si/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/si/news.po	2020-06-18 03:19:57.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/si/news.po	2020-07-16 16:57:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/si/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/si/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/si/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/si/regexp.po	2020-07-16 17:03:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/si/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/si/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/si/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/si/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2911, 
+    "untranslated": 2913, 
     "translated": 2
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/si/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/si/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/si/template_lang.po	2020-07-02 04:15:01.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/si/template_lang.po	2020-07-16 16:55:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/si/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/si/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/si/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/si/xpath.po	2020-07-16 17:01:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/simple_index.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/simple_index.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/simple_index.pot	2020-07-03 02:14:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/simple_index.pot	2020-07-16 17:18:54.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/develop.po	2020-03-05 04:48:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/develop.po	2020-07-16 16:52:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/function_mode.po	2020-07-16 17:08:51.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: sk\n"
-"Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
+"Plural-Forms: nplurals=4; plural=(n % 1 == 0 && n == 1 ? 0 : n % 1 == 0 && n >= 2 && n <= 4 ? 1 : n % 1 != 0 ? 2: 3);\n"
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:2
 msgid "Function mode for Search & replace in the Editor"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/glossary.po	2020-07-16 16:59:33.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: sk\n"
-"Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
+"Plural-Forms: nplurals=4; plural=(n % 1 == 0 && n == 1 ? 0 : n % 1 == 0 && n >= 2 && n <= 4 ? 1 : n % 1 != 0 ? 2: 3);\n"
 
 #: ../../home/kovid/work/calibre/manual/glossary.rst:3
 msgid "Glossary"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/gui.po	2020-07-02 04:21:32.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/gui.po	2020-07-16 17:06:04.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
@@ -803,7 +803,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/news.po	2020-06-18 03:19:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/news.po	2020-07-16 16:57:42.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
@@ -236,7 +236,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/regexp.po	2020-07-16 17:03:14.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-02-01 23:16+0530\n"
-"PO-Revision-Date: 2019-02-16 22:21+0000\n"
-"Last-Translator: Patrik Špaňo <pa4k.xyon@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2705, 
+    "untranslated": 2707, 
     "translated": 208
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/template_lang.po	2020-07-02 04:15:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/template_lang.po	2020-07-16 16:55:10.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
@@ -174,7 +174,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -377,12 +377,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -391,7 +399,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -405,7 +413,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -417,7 +425,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -431,7 +439,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -442,14 +450,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -458,13 +475,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -472,7 +489,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -484,17 +501,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -502,13 +519,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -517,23 +534,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -541,16 +558,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -558,15 +575,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -574,27 +591,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -605,7 +622,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -616,7 +633,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -629,7 +646,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -641,38 +658,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -683,7 +700,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -694,26 +711,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -722,7 +739,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -735,7 +752,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -746,13 +763,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -762,7 +779,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -770,28 +787,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -799,13 +816,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -816,11 +833,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -828,27 +845,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -857,7 +874,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -868,14 +885,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -885,7 +902,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -893,7 +910,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -901,20 +918,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -922,7 +939,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -931,7 +948,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -939,7 +956,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -949,7 +966,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -957,7 +974,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -965,7 +982,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -974,46 +991,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1025,17 +1042,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1045,19 +1062,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1067,20 +1084,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1092,15 +1109,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1110,7 +1127,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1124,7 +1141,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1135,7 +1152,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1144,14 +1161,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1161,11 +1178,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1173,11 +1190,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1188,18 +1205,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1209,25 +1226,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1235,11 +1252,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1250,7 +1267,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1261,7 +1278,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1270,29 +1287,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1304,7 +1321,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1314,7 +1331,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1323,34 +1340,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sk/xpath.po	2020-04-16 09:57:01.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sk/xpath.po	2020-07-16 17:01:21.000000000 +0000
@@ -3,14 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Vladimir Jendrol <vlado@jendrol.sk>, 2020
+# vladimirjendrol <vlado@jendrol.sk>, 2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-03-27 14:01+0530\n"
-"PO-Revision-Date: 2020-04-09 19:49+0000\n"
-"Last-Translator: Vladimir Jendrol <vlado@jendrol.sk>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/develop.po	2020-03-05 04:47:58.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/develop.po	2020-07-16 16:52:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/function_mode.po	2020-07-16 17:08:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/glossary.po	2020-07-16 16:59:12.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:41+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/gui.po	2020-07-02 04:20:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/gui.po	2020-07-16 17:05:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/news.po	2020-06-18 03:19:36.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/news.po	2020-07-16 16:57:17.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/regexp.po	2020-07-16 17:02:52.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Rok Kepa <rokkepa@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2850, 
+    "untranslated": 2852, 
     "translated": 63
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/template_lang.po	2020-07-02 04:14:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/template_lang.po	2020-07-16 16:54:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sl/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sl/xpath.po	2020-07-16 17:00:59.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Rok Kepa <rokkepa@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/snippets.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/snippets.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/snippets.pot	2020-07-03 02:15:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/snippets.pot	2020-07-16 17:19:22.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sphinx.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/sphinx.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sphinx.pot	2020-07-03 02:15:17.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sphinx.pot	2020-07-16 17:18:19.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/develop.po	2020-03-05 04:49:53.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/develop.po	2020-07-16 16:53:03.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/function_mode.po	2020-07-16 17:09:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/glossary.po	2020-07-16 16:59:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/gui.po	2020-07-02 04:21:20.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/gui.po	2020-07-16 17:06:20.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/news.po	2020-06-18 03:19:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/news.po	2020-07-16 16:57:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/regexp.po	2020-07-16 17:03:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2891, 
+    "untranslated": 2893, 
     "translated": 22
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/template_lang.po	2020-07-02 04:15:17.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/template_lang.po	2020-07-16 16:55:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sq/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sq/xpath.po	2020-07-16 17:01:31.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/develop.po	2020-03-05 04:49:01.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/develop.po	2020-07-16 16:53:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/function_mode.po	2020-07-16 17:09:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/glossary.po	2020-07-16 16:59:58.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/gui.po	2020-07-02 04:21:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/gui.po	2020-07-16 17:06:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/news.po	2020-06-18 03:20:30.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/news.po	2020-07-16 16:58:12.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/regexp.po	2020-07-16 17:03:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2869, 
+    "untranslated": 2871, 
     "translated": 44
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/template_lang.po	2020-07-02 04:15:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/template_lang.po	2020-07-16 16:55:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr/xpath.po	2020-07-16 17:01:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/develop.po	2020-03-05 04:49:51.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/develop.po	2020-07-16 16:54:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/function_mode.po	2020-07-16 17:10:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/glossary.po	2020-07-16 17:00:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/gui.po	2020-07-02 04:20:51.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/gui.po	2020-07-16 17:07:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/news.po	2020-06-18 03:19:29.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/news.po	2020-07-16 16:58:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/regexp.po	2020-07-16 17:04:26.000000000 +0000
@@ -7,10 +7,10 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
-"Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr%40latin/)\n"
+"Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2894, 
+    "untranslated": 2896, 
     "translated": 19
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/template_lang.po	2020-07-02 04:14:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/template_lang.po	2020-07-16 16:56:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sr@latin/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sr@latin/xpath.po	2020-07-16 17:02:23.000000000 +0000
@@ -7,10 +7,10 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
-"Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr%40latin/)\n"
+"Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sub_groups.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/sub_groups.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sub_groups.pot	2020-07-03 02:15:32.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sub_groups.pot	2020-07-16 17:18:32.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/develop.po	2020-05-14 03:17:01.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/develop.po	2020-07-16 16:53:17.000000000 +0000
@@ -12,8 +12,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-02 09:13+0530\n"
-"PO-Revision-Date: 2020-05-11 13:57+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-04 06:25+0000\n"
 "Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
@@ -331,9 +331,9 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
-msgstr "Nästa steg är att ställa in miljövariabeln ``CALIBRE_DEVELOP_FROM`` till den absoluta sökvägen till src-katalog. Så, efter exemplet ovan skulle det vara ``C:\\Users\\kovid\\work\\calibre\\src``.  \n`Här är en kort guide till <https://docs.python.org/2/using/windows.html#excursus-setting-environment-variables>`_ att sätta miljövariabler i Windows."
+msgstr "Nästa steg är att ställa in miljövariabeln ``CALIBRE_DEVELOP_FROM`` till den absoluta sökvägen för src-katalogen. Så efter exemplet ovan skulle det vara ``C:\\Users\\kovid\\work\\calibre\\src``. `Här är en kort guide <https://docs.python.org/using/windows.html#excursus-setting-environment-variables>`_  för att ställa in miljövariabler i Windows."
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:172
 msgid ""
@@ -562,9 +562,9 @@ msgstr "Nu öppna en terminal eller komm
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
-msgstr "Du kan läsa om hur man använder Python-felsökaren i `Python stdlib docs för pdb-modulen <https://docs.python.org/2/library/pdb.html#debugger-commands>`_."
+msgstr "Du kan läsa om hur man använder Python-felsökaren i `Python stdlib docs för pdb-modulen <https://docs.python.org/library/pdb.html#debugger-commands>`_."
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:339
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/function_mode.po	2020-05-14 03:30:17.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/function_mode.po	2020-07-16 17:09:16.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-02 09:13+0530\n"
-"PO-Revision-Date: 2020-05-07 07:51+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-10 05:13+0000\n"
 "Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
@@ -39,9 +39,9 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
-msgstr "I vanliga *regexp* läget för sök och ersätt kan du ange både ett reguljärt uttryck för att söka efter såväl som en mall som används för att ersätta alla funna träffar. I funktionsläge, istället för använda en fast mall, kan du ange en godtycklig funktion i  `programmeringsspråket Python  <https://docs.python.org/2.7/>`_. Detta gör att du kan göra massor av saker som inte är möjligt med enkla mallar."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
+msgstr "I standard *regexp*-läget för sök och ersätt kan du ange både ett reguljärt uttryck att söka efter såväl som en mall som används för att ersätta alla hittade matchningar. I funktionsläge, i stället för att använda en fast mall, kan du ange en godtycklig funktion i  `programmeringsspråket Python  <https://docs.python.org>`_. Detta gör att du kan göra massor av saker som inte är möjliga med enkla mallar."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
 msgid ""
@@ -94,12 +94,11 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
-msgstr "Varje :guilabel:`Sök och rrsätt` anpassad funktion måste ha ett unikt namn och består av en Python-funktion som heter ersätta, som accepterar alla argument som visas ovan. För tillfället ska vi inte oroa för alla olika argument till ``replace()``-funktionen. Bara fokusera på ``match`` argumentet. Det representerar en träff när man kör en sök och ersätt. Dess fulla dokumentation finns tillgänglig `här <https://docs.python.org/2.7/library/re.html#match-objects>`_. ``match.group()`` helt enkelt återger all den matchade texten och allt vi gör är att ersätta bindestreck i den texten med em-streck, först ersätt dubbla bindestreck och sedan enskilt bindestreck."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
+msgstr "Varje :guilabel:`Sök och ersätt` anpassad funktion måste ha ett unikt namn och består av en Python-funktion med namnet ersätt, som accepterar alla argument som visas ovan. För tillfället ska vi inte oroa oss för alla olika argument för funktionen ``replace()``. Fokusera bara på argumentet ``match``. Det representerar en matchning när man kör en sök och ersätt. Den fullständiga dokumentationen finns tillgänglig `här <https://docs.python.org/library/re.html#match-objects>`_. ``match.group()`` återger helt enkelt all den matchad text och allt vi gör är att ersätta bindestreck i den texten med em-bindestreck, ersätt först dubbla bindestreck och sedan enstaka bindestreck."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
 msgid "Use this function with the find regular expression::"
@@ -257,11 +256,11 @@ msgstr "``match`` argumentet"
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
-msgstr "``match`` argumentet representerar den aktuella funna träffen. Det är ett `Python objekt <https://docs.python.org/2.7/library/re.html#match-objects>`_. Den mest användbara metoden är ``group()`` som kan användas för att få den matchande texten motsvarar enskilda fångstgrupper i  reguljära sökuttrycket."
+msgstr "Argumentet ``match`` representerar den aktuella hittade matchningen. Det är ett `Python objekt <https://docs.python.org/library/re.html#match-objects>`_. Den mest användbara metoden är ``group()`` som kan användas för att få den matchande texten som motsvarar enskilda fångstgrupper i reguljära sökuttrycket."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:248
 msgid "The ``number`` argument"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/glossary.po	2020-02-20 04:48:21.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/glossary.po	2020-07-16 16:59:50.000000000 +0000
@@ -3,16 +3,16 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Jonatan Nyberg, 2016-2017
-# Jonatan Nyberg, 2018-2020
+# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
+# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018-2020
 # Merarom <merarom@yahoo.es>, 2014
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-07 10:48+0530\n"
-"PO-Revision-Date: 2020-02-19 21:00+0000\n"
-"Last-Translator: Jonatan Nyberg\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-10 05:03+0000\n"
+"Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -112,6 +112,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Reguljära uttryck** ger en kortfattad och flexibelt sätt för att identifiera textsträngar av intresse, såsom särskilda tecken, ord eller mönster av tecken. Se `regexp syntax <https://docs.python.org/2.7/library/re.html>`_ för syntaxen för reguljära uttryck som används i Python."
+msgstr "**Reguljära uttryck** tillhandahåller ett kortfattad och flexibelt sätt för att identifiera textsträngar av intresse, som speciella tecken, ord eller mönster av tecken. Se `regexp syntax <https://docs.python.org/library/re.html>`_ för syntaxen för reguljära uttryck som används i Python."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/gui.po	2020-07-02 04:21:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/gui.po	2020-07-16 17:06:37.000000000 +0000
@@ -15,9 +15,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 08:38+0000\n"
-"Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -809,13 +809,13 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
 "Regular expression searches are 'contains' searches unless the expression "
 "contains anchors."
-msgstr "Likhetssökningar indikeras genom att inleda söksträngen med ett likhetstecken (=). Till exempel förfrågan ``tag:\"= vetenskap\"`` kommer att matcha \"vetenskap\", men inte \"science fiction\" eller \"hård vetenskap\". Sök med reguljärt uttryck indikeras genom att inleda söksträngen med tilde (~). Varje `Python-kompatibla reguljära uttryck <https://docs.python.org/2/library/re.html>`_ kan användas. Observera att omvända snedstreck som används för att undkomma specialtecken i reguljära uttryck måste fördubblas, eftersom enskilda snedstreck kommer att tas bort under frågeanalys. Till exempel, för att matcha en bokstavlig parentes måste du ange ``\\\\(``. Reguljära uttryckssökningar är \"innehåller\" sökningar om inte uttrycket innehåller ankare."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:351
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/news.po	2020-07-02 04:16:19.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/news.po	2020-07-16 16:58:02.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 04:07+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 05:04+0000\n"
 "Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
@@ -241,8 +241,8 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
-msgstr "I ovanstående, ``def print_version(self, url)`` definieras en metod som anropas av calibre för varje artikel. ``url`` är webbadressen till den ursprungliga artikeln. Vad ``print_version``  gör är att den tar URL:n och ersätter den med den nya URL:n som hänvisar till den tryckta versionen av artikeln. Om du vill veta om `Python <https://www.python.org>`_ se `tutorial <https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
+msgstr "I ovanstående, ``def print_version(self, url)`` definieras en metod som anropas av calibre för varje artikel. ``url`` är webbadressen till den ursprungliga artikeln. Vad ``print_version``  gör är att den tar webbadressen och ersätter den med den nya webbadressen som hänvisar till den tryckta versionen av artikeln. Om du vill veta om `Python <https://www.python.org>`_ se `tutorial <https://docs.python.org/tutorial/>`_."
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/plugins.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/plugins.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/plugins.po	2020-07-02 04:18:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/plugins.po	2020-07-16 17:02:46.000000000 +0000
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 08:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-11 05:51+0000\n"
 "Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
@@ -794,7 +794,7 @@ msgid ""
 "to easily visit the books page at this source. If no URL is found, return "
 "None. This method must be quick, and consistent, so only implement it if it "
 "is possible to construct the URL from a known scheme given identifiers."
-msgstr "Återge en 3-tupel eller None. 3-tupeln har formen: (identifier_type, identifier_value, URL). URLn är webbadressen till boken som identifieras av identifierare vid denna källa. identifier_type, identifier_value anger identifierare som motsvarar URL. Den här URLn måste vara bläddringsbar av en människa med en webbläsare. Det är tänkt att ge en klickbar länk för användaren att enkelt besöka sidan böcker vid denna källa. Om ingen URL hittas återges None. Denna metod måste vara snabb, och konsekvent, så att bara genomföra det om det är möjligt att konstruera URLn från ett känt schema av givna identifierare."
+msgstr "Återge en 3-tupel eller None. 3-tupeln har formen: (identifier_type, identifier_value, URL). URL är webbadressen till boken som identifieras av identifierare vid denna källa. identifier_type, identifier_value anger identifierare som motsvarar URL. Den här URL:n måste vara bläddringsbar av en människa med en webbläsare. Det är tänkt att ge en klickbar länk för användaren att enkelt besöka sidan böcker vid denna källa. Om ingen URL hittas återges None. Denna metod måste vara snabb, och konsekvent, så att bara genomföra det om det är möjligt att konstruera URL från ett känt schema av givna identifierare."
 
 #: ../../home/kovid/work/calibre/src/calibre/ebooks/metadata/sources/base.pydocstring
 #: of calibre.ebooks.metadata.sources.base.Source.get_book_url_name:1
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/regexp.po	2020-05-14 03:23:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/regexp.po	2020-07-16 17:03:36.000000000 +0000
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-02 09:13+0530\n"
-"PO-Revision-Date: 2020-05-13 17:38+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-04 06:29+0000\n"
 "Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
@@ -443,8 +443,8 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Tja, det nästan avslutar en mycket kort introduktion till reguljära uttryck. Förhoppningsvis kommer jag ha visat dig tillräckligt för att åtminstone komma igång och så att du kan fortsätta lära dig själv - en bra utgångspunkt skulle vara  `Python dokumentationen för reguljära uttryck <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
+msgstr "Nåväl, det avslutar nästan den mycket korta introduktionen till reguljära uttryck. Förhoppningsvis har jag ha visat dig tillräckligt för att åtminstone komma igång och så att du kan fortsätta lära dig själv - en bra utgångspunkt är `Python-dokumentationen för reguljära uttryck <https://docs.python.org/library/re.html>`_."
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
 msgid ""
@@ -499,5 +499,8 @@ msgstr "Orpheu"
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "För mer om reguljära uttryck se  `The Python User Manual <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
+msgstr "Mer information om regexps finns i `Python-användarhandboken <https://docs.python.org/library/re.html>`_. Det verkliga reguljära uttrycksbiblioteket som används av calibre är: `regex <https://bitbucket.org/mrabarnett/mrab-regex/src/hg/>`_ som stöder flera användbara förbättringar över ett Python-standardbibliotek."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 24, 
-    "translated": 2889
+    "untranslated": 27, 
+    "translated": 2888
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/template_lang.po	2020-07-02 04:15:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/template_lang.po	2020-07-16 16:55:44.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-28 14:28+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 05:05+0000\n"
 "Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
@@ -179,9 +179,9 @@ msgstr "Om du vill bara ha de två förs
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
-msgstr "calibre-mallspråket kommer från Python och för mer information om syntaxen för dessa avancerade formaterings operationer, titta på `Python dokumentation <https://docs.python.org/2/library/string.html#format-string-syntax>`_."
+msgstr "calibre-mallspråket kommer från Python och för mer information om syntaxen för dessa avancerade formateringsoperationer, titta i `Python-dokumentationen <https://docs.python.org/library/string.html#format-string-syntax>`_."
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:90
 msgid "Advanced features"
@@ -382,12 +382,20 @@ msgstr "``lookup(pattern, field, pattern
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr "``re(pattern, replacement)`` -- återger fältet efter applicering av reguljära uttryck. Alla förekomster av `pattern` ersätts med `replacement`. Som i alla calibre, är dessa Python-kompatibla reguljära uttryck."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -396,7 +404,7 @@ msgid ""
 "identifiers for a book."
 msgstr "``select(key)`` -- tolka fältet som en kommaseparerad lista med poster, med posterna som formen \"id:värde\". Hitta paret med id som är lika med nyckeln och återge motsvarande värde. Denna funktion är särskilt användbar för att extrahera ett värde som en ISBN från uppsättningen identifierare för en bok."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -410,7 +418,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr "``shorten(left chars, middle text, right chars)`` -- Återge en förkortad version av fältet, som består av `vänster chars` tecken från början av fältet, följt av `mellan text`, följt av `höger chars` tecken från slutet av strängen. `Vänster chars` och `höger chars` måste vara heltal. Antag till exempel titeln på boken är `Ancient English Lagar i Times of Ivanhoe`, och du vill att den ska passa in i ett utrymme av högst 15 tecken. Om du använder ``{title:shorten(9, -, 5)}``, kommer resultatet att bli `Ancient E-nhoe`. Om fältets längd är mindre än ``vänster chars`` + ``höger chars`` + längden på ``mellan text``, då fältet kommer att användas intakt. Till exempel, den i rubriken 'Domen` skulle inte ändras.."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -422,7 +430,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr "``str_in_list(separator, string, found_val, ...,not_found_val)`` -- behandlar fälten som en lista med post åtskilda av `separator`, jämför `string` mot varje värde i listan. Om `string` matchar ett värde (ignorerar versaler), återges `found_val`, annars återges `not_found_val`. Om strängen innehåller avskiljare, då behandlas det också som en lista och varje värde kontrolleras. `string` och `found_value` kan upprepas så många gånger som önskat, vilket möjliggör att olika värden återges beroende på sökningen. Strängarna kontrolleras i ordning. Den första träffen återges."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -436,7 +444,7 @@ msgid ""
 "list. Examples::"
 msgstr "``subitems(start_index, end_index)`` -- Denna funktion används för att bryta isär listor över tagglika hierarkiska post såsom genrer. Det tolkar fältet som en kommaseparerad lista med taggliknande post, där varje post är en period separerad lista. Återger en ny lista görs genom att först hitta alla period separerad tagg liknande föremål, därefter för varje sådan post extrahera komponenterna från `start_index` till` end_index`, sedan kombinera resultaten tillbaka tillsammans. Den första komponenten i en period separerad lista har ett index på noll. Om ett index är negativ, så det räknas från slutet av listan. Som ett special fall är en END_INDEX av noll antas vara längden av listan. Exempel::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -447,14 +455,23 @@ msgid ""
 ",C\"::"
 msgstr "``sublist(start_index, end_index, separator)`` -- tolkar värden som en lista med post åtskilda med `separator`, återger en ny lista gjord av posterna från `start_index` till `end_index`. Den första punkten är siffran noll. Om ett index är negativ, så det räknas från slutet av listan. Som ett specialfall är en END_INDEX av noll antas vara längden av listan. Exempel om man antar att taggkolumnen (som är kommaseparerade) innehåller \"A, B ,C\"::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr "``swap_around_comma()`` -- ges ett fält med ett värde av formen ``B, A``, återges ``AB``. Detta är mest användbart för att konvertera namnen i EN, FN format till FN EN. Om det inte finns någon kommatecken återges funktionen val oförändrad."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -463,13 +480,13 @@ msgid ""
 "pairs as you want."
 msgstr "``switch(pattern, value, pattern, value, ..., else_value)`` -- för varje ``pattern, value`` par, kontrollerar om fältet matchar det reguljära uttrycket ``pattern`` och i så fall återger att ``value``. Om inget ``pattern`` matchar, då återges ``else_value``. Du kan ha så många ``pattern, value`` par som du vill."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr "``test(text if not empty, text if empty)`` -- återger `text om inte empty` om fältet inte är tomt, annars återges `text om empty`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -477,7 +494,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr "``transliterate()`` -- Återger en sträng i ett latinskt alfabet som bildas genom en tillnärmning av ljudet av orden i källfältet. Till exempel, om källfältet är ``Фёдор Миха́йлович Достоевский`` återger funktionen ``Fiodor Mikhailovich Dostoievskii``.'"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -489,17 +506,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr "Nu, hur är det med funktioner och formatering inom samma fält. Anta att du har en heltalsanpassad kolumn kallad ``#myint`` som du vill se med ledande nollor, som i ``003``. För att göra detta, skulle du använda ett format på ``0>3s``. Men som standard, om ett nummer (heltal eller flyttal) är lika med noll då producerar fältet tomt värde, så nollvärden kommer att producera någonting, inte ``000``. Om du verkligen vill se ``000`` värden, då använder du både formatsträngen och ``ifempty`` funktionen för att ändra det tomma värdet till noll. Fältreferens vore::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr "bservera att du kan använda prefix och suffix också. Om du vill att numret ska visas som ``[003]`` eller ``[000]``, använd då fältet::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr "Använda funktioner i mallar - mallprogramläge"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -507,13 +524,13 @@ msgid ""
 "programming language."
 msgstr "Mallens språk för programläge skiljer sig från enkelfunktionsläge genom att den tillåter dig att skriva malluttryck som refererar till andra metadatafält, ändra värden och utföra aritmetik. Det är en ganska komplett programmeringsspråk."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr "Du kan använda de funktioner som dokumenterats ovan i mallprogramsläge. Se nedan för mer information."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -522,23 +539,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr "Från och med ett exempel, anta att du vill att din mall visar serien för en bok om den har en, annars visar värdet av ett anpassat fält #genre. Du kan inte göra det i den grundläggande språket eftersom du inte kan hänvisa till en annan metadatafält i ett malluttryck. I programläget kan du. Följande uttryck fungerar::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr "Exemplet visar flera saker:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr "programläge används om uttrycket börjar med  ``:'`` och slutar med  ``'``.  Något annat antas vara enkelfunktion."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr "variabeln ``$`` står för fältet uttrycket fungerar på, ``#serier`` i detta fall."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -546,16 +563,16 @@ msgid ""
 "from single-function mode."
 msgstr "funktioner måste få alla deras argument. Det finns inget standardvärde. Till exempel måste de inbyggda standard funktionerna ges en extra initial parameter som indikerar källfältet, vilket är en avsevärd skillnad från enkelfunktionsläge."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr "blanksteg ignoreras och kan användas var som helst i uttrycket."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr "konstanta strängar är inneslutna i matchande citat, antingen ``'`` eller ``\"` `."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -563,15 +580,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr "Språket liknar ``funktionella`` språk genom att det är byggt nästan helt från funktioner. En förklaring är en funktion. Ett uttryck är en funktion. Konstanter och kännetecken kan ses som funktioner som återger värdet indikeras av konstanten eller lagrad i identifieraren."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr "Syntaxen för språket visas med följande grammatik::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr "Kommentarer är rader med ett \"#\" tecknet i början av raden."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -579,27 +596,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr "Ett ``uttryck`` har alltid ett värde, antingen värdet på konstanten, det värde som finns i identifierare, eller det värde som återges av en funktion. Värdet av ett ''påstående`` är värdet av det sista uttrycket i sekvensen av påståendet. Som sådan, värdet av programmet (påstående)::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr "är 3."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr "Ett annat exempel på ett komplext men ganska dumt program kan bidra till att göra saker och ting tydligare::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr "Detta program gör följande:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr "ange att det fält som betraktas på är series_index. Detta ställer in värdet på variabeln ``$ ``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -610,7 +627,7 @@ msgid ""
 "before substr can return."
 msgstr "anrop av ``substr`` funktionen, som tar 3 parametrar ``(str, start, slut) ``. Den återger en sträng som bildas genom att extrahera start genom sluttecken från strängen, nollbaserad (det första tecknet är tecknet noll). I detta fall strängen kommer att beräknas av ``strcat`` funktionen, är början 0, och slutet är 6. I detta fall den ger de 6 första tecknen i strängen som återges av ``strcat``, vilket måste utvärderas innan substr kan återvända."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -621,7 +638,7 @@ msgid ""
 "return."
 msgstr "anropar ``strcat`` (strängsammanfogning) funktionen. Strcat accepterar 1 eller flera argument, och återger en sträng som bildas genom att sammanfoga alla värden. I detta fall finns det tre argument. Den första parametern är värdet i ``$``, vilket här är värdet på ``series_index``. Den andra parametern är en konstantsträng `` '->' ``. Den tredje parametern är värdet som återges av ``cmp`` funktionen, som ska vara fullt utvärderad innan ``strcat`` kan återge."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -634,7 +651,7 @@ msgid ""
 "``'gt'``."
 msgstr "` cmp`` funktionen tar 5 argument ``(x, y, lt, eq, gt)``. Den jämför x och y och återger det tredje argumentet ``lt`` om x<y, den fjärde argumentet ``eq`` om x == y, och den femte argumentet ``gt`` om x>y. Som med alla funktioner kan alla parametrar vara påstående. I detta fall är den första parametern (värdet för ``x``) är resultatet av att dividera series_index med 2. Den andra parametern ``y`` är konstant `` 1``. Den tredje parametern ``lt`` är ett påstående (mer senare). Den fjärde parametern ``eq`` är konstantsträngen ``'eq'``.. Den femte parametern är konstant sträng ``'gt'``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -646,38 +663,38 @@ msgid ""
 "``'t123'``."
 msgstr "Den tredje parametern (en för ``lt``) är ett påstående, eller en sekvens av uttryck. Tänk på att ett påstående (en sekvens av semikolonseparerade uttryck) är också ett uttryck, återger värdet för det sista uttrycket i listan. I detta fall tilldelar programmet först värdet ``1`` till en lokal variabel ``c`` återger sedan en delsträng genom att extrahera c'th karaktär till slutet. Sedan c innehåller alltid konstant ``1``, delsträngen kommer den andra återge genom end'th tecknet, eller ``'t123'``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr "När påståendet som ger värdet till den tredje parametern utförs, ``cmp`` kan ett värde återges. Vid den tidpunkten, kan ``strcat`  återge ett värde, då ``substr`` kan återge ett värde. Programmet avslutas därefter."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr "Vid olika värden för series_index återger programmet:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr "series_index == odefinerad, result = ``prefix ->t123 suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr "series_index == 1, result = ``prefix 1->t12 suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr "series_index == 2, result = ``prefix 2->eq suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr "series_index == 3, result = ``prefix 3->gt suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -688,7 +705,7 @@ msgid ""
 " often `field()`."
 msgstr "**Alla funktioner som listas under enkelfunktionsläge kan användas i programläge**. För att göra det måste du ange det värde som funktionen ska verka på som första parameter, utöver de parametrar som dokumenterats ovan. Till exempel i programläge är parametrarna i `test` funktionen ``test(x, text_if_not_empty, text_if_empty)``. `x` parametern, vilket är det värde som ska testas, kommer nästan alltid att vara en variabel eller ett funktionsanrop, ofta `field()`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -699,26 +716,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr "Följande funktioner finns tillgängliga utöver de som beskrivs i enkelfunktionsläge. Minns från exemplet ovan att enkelfunktionsläges funktionerna kräver att ytterligare första parameter anges för vilket fält som ska användas. Med undantag för ``id`` parametertilldelning, kan alla parametrar vara satser (sekvenser av uttryck). Observera att den slutgiltiga dokumentationen för funktioner finns i avsnittet :ref:`Funktionsklassificering <template_functions_reference>`:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr "``and(value, value, ...)`` -- återger strängen \"1\" om alla värdena inte är tomma, annars återges tomma strängen. Den här funktionen fungerar bra med testet eller first_non_empty. Du kan ha så många värden som du önskar."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr "``add(x, y)`` -- återger x + y. Ger ett undantag om någon av x eller y inte är tal."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "``assign(id, val)`` -- tilldelar val till id, återger sedan val. id måste vara en identifierare, inte ett uttryck"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -727,7 +744,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr "``approximate_formats()`` -- återger en kommaseparerad lista med format som vid ett tillfälle var förknippade med boken. Det finns ingen garanti att listan är korrekt, även om den antagligen är det. Denna funktion kan anropas i mallprogramläge med mallen ``{:'approximate_formats()'}``. Observera att formatnamn är alltid versaler, som i EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -740,7 +757,7 @@ msgid ""
 "empty."
 msgstr "``author_links(val_separator, pair_separator)`` -- återger en sträng som innehåller en lista med författare och att författarens länkvärden i form ``author1 val_separator author1link pair_separator author2 val_separator author2link`` o.s.v. En författare är separerad från dess länk värde av ``val_separator`` sträng utan tillagda blanksteg. ``author:linkvalue`` paren skiljs åt av ``pair_separator`` strängargument utan tillagda blanksteg. Det är upp till dig att välja avskiljare som inte förekommer i författarnamn eller länkar. En författare ingår, även om författaren länken är tom."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -751,13 +768,13 @@ msgid ""
 "separator string"
 msgstr "``author_sorts(val_separator)`` -- återger en sträng med en lista med författarens sorteringsvärden för författarna till boken. Sorteringen är  författarens metadata (som skiljer sig från den author_sort i böcker). Den återgivna listan har formen författaren sortera 1 ``val_separator`` författare sort 2 o.s.v. Författaren sortera värdena i denna lista är i samma ordning som författarna till boken. Om du vill ha blanksteg runt ``val_separator`` så inkludera dem i avskiljarsträngen"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr "``booksize()`` -- återger värdet för den calibre 'storlek' fält. Återger '' om det inte finns några format."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -767,7 +784,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- kontrollerar värdet på fältet ja/nej som heter genom sökningsnyckelens ``field_name`` för ett värde som anges av parametrarna, återger \"ja\" om en matchning hittas, annars återges en tom sträng. Ställ in parametern ``is_undefined``, ``is_false`` eller ``is_true`` till 1 (numret) för att kontrollera det villkoret, annars ställ in på 0. Exempel::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -775,28 +792,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr "återger \"ja\" om fältet ja/nej ``\"#bool\"`` antingen är odefinierad (varken sann eller falsk) eller sann. Mer än en av ``is_undefined``, ``is_false``, eller ``is_true`` kan ställas in som 1. Den här funktionen används vanligtvis av funktionerna ``test()`` eller ``is_empty()``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr "``cmp(x, y, lt, eq, gt)`` -- jämför x och y efter konverterat både till siffror. Återger ``lt`` om x < y. Återger ``eq`` om x == y. Annars återges ``gt``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr "``current_library_name()`` -- återge efternamnet på sökvägen till det nuvarande calibre-biblioteket. Denna funktion kan anropas i mallprogramläge genom att använda mallen ``{:'current_library_name()'}``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr "``current_library_path()`` -- återger sökvägen till det aktuella calibre-biblioteket. Denna funktion kan anropas i mallprogramläge med mallen ``{:'current_library_path()'}``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -804,13 +821,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr "``days_between(date1, date2)`` -- återge antalet dagar mellan ``date1`` och ``date2``. Numret är positivt om ``date1`` är större än ``date2``, annars negativt. Om någon ``date1`` eller ``date2`` inte är datum, återger funktionen tomma strängen."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "``divide(x, y)`` -- återger x / y. Ger ett undantag om antingen x eller y inte är siffror."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -821,11 +838,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr "``eval(string)`` -- utvärderar strängen som ett program, som skickar de lokala variabler (de ``assign`` ade till). Detta gör det möjligt att använda mallprocessorn för att konstruera komplexa resultat från lokala variabler. Eftersom `{-` och `}`-tecken är speciella, måste du använda `[[` för `{`-tecknet och `]]` för '}'-tecknet; de konverteras automatiskt. Observera också att prefix och suffix (`|prefix|suffix` syntax) inte kan användas i argumentet till funktionen när du använder mallprogramläge."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr "``field(name)`` -- återger metatdatafältet med nämnt efter ``name``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -833,27 +850,27 @@ msgid ""
 "Example::"
 msgstr "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- jämför ``val < cmpN`` i sekvens, återger resultN för första jämförelsen som lyckas. Återger else_result om ingen jämförelse lyckas. Exempel::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr "återger \"large\". Samma exempel med ett första värde på 16 återger \"giant\"."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr "``first_non_empty (värde, värde, ...)`` - återger det första värdet som inte är tomt. Om alla värden är tomma, då återges det tomma värdet. Du kan ha så många värden som du vill."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr "``format_date(val, format_string)`` -- formatera värdet, vilket måste vara ett datumfält med hjälp av format_string, återsänder en sträng. Formateringskoder är::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -862,7 +879,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr "Du kan få oväntade resultat om det datum du formaterar innehåller lokaliserade månadsnamn, vilket kan hända om du ändrade formatjusteringar att innehålla ``MMMM``. I detta fall, istället för att använda något i stil med ``{pubdate:format_date(yyyy)}``, skriv mallen med mallprogramläge som i ``{:'format_date(raw_field('pubdate'),'yyyy')'}``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -873,14 +890,14 @@ msgid ""
 "same output as the above template::"
 msgstr "``finish_formatting(val, fmt, prefix, suffix)`` -- tillämpa format, prefix och suffix till ett värde på samma sätt som görs i en mall som ``{series_index:05.2f| - |- }``. Denna funktion finns för att underlätta konverteringen av komplexa enkelfunktions- eller mallprogrammods mallar till :ref:`allmänna programläge <general_mode>` (se nedan) för att dra nytta av GPM-mallkompilering. Till exempel ger följande program på samma utdata som ovanstående mall::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr "Ytterligare exempel: för mallen ``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - }{title}`` använd::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -890,7 +907,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr "``formats_modtimes(format_string)`` -- återger en kommaseparerad lista med kolonseparerade post som representerar modifieringstider för formaten i en bok. Den format_string parametern anger hur datumet ska formateras. Se `format_date()`-funktionen för detaljer. Du kan använda funktionen för val för att få modifieringstider för ett visst format. Observera att formatnamn är alltid versaler, som i EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -898,7 +915,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_paths()`` -- återger en kommaseparerad lista med kolonseparerade post som representerar fullständig sökväg till format i en bok. Du kan använda select-funktionen för att få sökvägen för ett visst format. Observera att formatnamn är alltid versaler, som i EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -906,20 +923,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_sizes()`` -- återger en kommaseparerad lista med kolonseparerade poster som representerar storlekar i oktetter av formaten i en bok. Du kan använda select-funktionen för att få storleken för ett visst format. Observera att formatnamn är alltid versaler, som i EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr "``has_cover()`` -- återger ``Yes`` om boken har ett omslag annars återges tom sträng"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "``not(value)``  -- återger strängen \"1\" om värdet är tomt, annars återges tomma strängen. Denna funktion fungerar bra med test eller first_non_empty."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -927,7 +944,7 @@ msgid ""
 "are the items in the returned list."
 msgstr "``list_difference(list1, list2, separator)`` -- återge en lista genom att ta bort list1 alla post som finns i \"list2\" med en skiftlägeskänslig jämförelse. Posterna i \"list1\" och \"list2\" skiljs åt av avskiljare, liksom posterna i den återgivna listan."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -936,7 +953,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- återger yes_val om list1 och list2 innehåller samma poster, annars återges no_val. Föremålen bestäms genom att dela upp varje lista med lämpliga avgränsare (sep1 eller sep2). Ordningen på posterna i listorna inte är relevant. Jämförelsen är inte skiftlägeskänslig."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -944,7 +961,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr "``list_intersection(list1, list2, separator)`` -- återge en lista genom att ta bort list1 alla post som finns i \"list2\" med en skiftlägeskänslig jämförelse. Posterna i \"list1\" och \"list2\" skiljs åt av avskiljare, liksom posterna i den återgivna listan."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -954,7 +971,7 @@ msgid ""
 "returned list."
 msgstr "``list_re(src_list, separator, include_re, opt_replace)`` -- Konstruera en lista genom att först separera `src_list` i poster med tecknet `separator`. För varje post i listan, kolla om det matchar `include_re`. Om den gör det, lägg till den i listan som ska återges. Om `opt_replace` inte är den tomma strängen, så tillämpa bytet innan du lägger till posten till den återgivna listan."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -962,7 +979,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr "``list_re_group(src_list, separator, include_re, search_re, template_for_group_1, for_group_2, ...)`` -- Liksom list_re utom ersättare inte är valbar. Den använder re_group (item, search_re, mall ...) när man gör ersättning."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -970,7 +987,7 @@ msgid ""
 " items in the returned list."
 msgstr "``list_sort(list, direction, separator)`` -- återger lista sorterad med hjälp av en skiftlägeskänslig sortering. Om `direction` är noll, är listan sorteras stigande, annars fallande. Listposter är separerade med avskiljare, likasom de poster i den återgivna listan."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -979,46 +996,46 @@ msgid ""
 "returned list."
 msgstr "``list_union(list1, list2, separator)`` -- återge en lista som görs av en sammanslagning av poster i list1 och list2, ta bort dubbletter med en skiftlägeskänslig jämförelse. Om poster skiljer sig i fallet är den i list1 används. Posterna i list1 och list2 skiljs åt av avskiljare, liksom posterna i den återgivna listan."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr "``multiply(x, y)`` -- återger x * y. Ger ett undantag om någon x eller y inte är tal."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr "``ondevice()`` -- återger strängen \"Yes\" om ondevice ställs in, annars återges den tomma strängen"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr "``or(value, value, ...)`` -- återger strängen \"1\", om något värde inte är tomt, annars återges den tomma strängen. Den här funktionen fungerar bra med test eller first_non_empty. Du kan ha så många värden som du önskar."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr "``print(a, b, ...)`` -- skriver ut argument till standard ut. Såvida du börjar calibre från kommandoraden (`` calibre-debug -g``), kommer utdata att gå till ett svart hål."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr "``raw_field(name)`` -- återger metadatafält nämnt efter name utan att tillämpa någon formatering."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr "``raw_list(name, separator)`` -- återger listan metadata med namnet name utan att tillämpa någon formatering eller sortering och med poster åtskilda av avskiljare."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1030,17 +1047,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  återger en sträng med användande av reqular uttrycksmönstret för val och ersätter varje matchande instans med strängen beräknad genom att ersätta varje matchande grupp med värdet som återges av motsvarande mall. Det ursprungliga matchande värdet för gruppen finns som $. I mallprogramläge, som till mallen och de eval funktioner använder du  [[ för { och ]] för }. Följande exempel på mallprogramläge letar efter serie med mer än ett ord och sätter det första ordet till versaler::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr "``series_sort()`` -- återger seriens sorterade värden."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr "``strcat(a, b, ...)`` -- kan ta valfritt antal argument. Återger en sträng som bildas genom att sammanfoga alla argumenten."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1050,19 +1067,19 @@ msgid ""
 "you wish."
 msgstr "``strcat_max(max, string1, prefix2, string2, ...)`` -- Återger en sträng som bildas genom att sammanlänka argumenten. Det återgivna värdet initieras till string1. `Prefix, string` par som läggs till i slutet av värde så länge den resulterande strängens längd är mindre än `max`. String1 återges även om string1 är längre än max. Du kan skicka så många `prefix, string` par som du vill."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr "``strcmp(x, y, lt, eq, gt)`` -- gör en skiftlägesokänslig jämförelse x och y som strängar. Återger ``lt`` om x < y. Återge ``eq`` om x == y. Annars återge ``gt``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr "``strlen(a)`` -- Återger längden på strängen som skickas som argument."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1072,20 +1089,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr "``substr(str, start, end)`` -- återger ``start`` genom ``end`` tecknen i ``str``. Det första tecknet i ``str`` är nolltecken. Om slutet är negativt, då det tyder på att många tecken räknat från höger. Om slutet är noll, då det tyder på det sista tecknet. Till exempel, ``substr(\"12345\", 1, 0) `` återger ``'2345'`` och ``substr(\"12345\", 1, -1)`` återger ``\"234'`` ."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr "``subtract(x, y)`` -- återger x - y. Ger ett undantag om någon x eller y inte är tal."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr "``today()`` -- återger en datumsträng för idag. Detta värde är konstruerad för användning i format_date eller days_between, men kan manipuleras precis som alla andra strängar. Datumet är i ISO format."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1097,15 +1114,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr "``template(x)`` -- utvärderar x som mall. Bedömningen görs i en egen kontext, vilket innebär att variabler inte delas mellan den som anropar och utvärderingsmallen. Eftersom `{`- och `}`-tecken är speciella, måste du använda `[[` för `{`-tecknet och `]]` för '}'-tecknet; de konverteras automatiskt. Till exempel, ``template('[[title_sort]]') kommer att utvärdera mallen ``{title_sort}`` och återge dess värde. Observera också att prefix och suffix (det så kallade `|prefix|suffix` syntax) inte kan användas i argumentet till funktionen när du använder mallprogramläge."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr "Funktionsklassificering"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr "Använder allmän programmod"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1115,7 +1132,7 @@ msgid ""
 "correct results."
 msgstr "För mer komplicerade mallprogram, är det ibland lättare att undvika mallsyntax (alla `{` och `}` tecken), istället skriva i ett mer klassisk programutseende. Du kan göra detta i calibre genom att börja mallen med `program:`. I detta fall sker ingen mall behandling. Den speciella variabeln `$` är inte inställt. Det är upp till ditt program för att producera rätt resultat."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1129,7 +1146,7 @@ msgid ""
 "report."
 msgstr "En fördel med `program:` läget är att hakparanteser inte längre speciella. Till exempel är det inte nödvändigt att använda `[[` och `]] 'när du använder `template()`-funktionen. En annan fördel är att programläges mallar sammanställs till Python och kan köras mycket snabbare än mallar i de andra två lägena. Hastighetsförbättring beror på komplexiteten i de mallar; ju mer komplicerad mall desto förbättringen. Kompileringen är avstängd eller om du använder justering ``compile_gpm_templates`` (Compile General Programläges mallar till Python). Det främsta skälet för att stänga av kompilering är om en sammanställd mall inte fungerar, i sådant fall skicka in en felrapport."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1140,7 +1157,7 @@ msgid ""
 "following:"
 msgstr "Följande exempel är ett 'program:` läge implementerande av ett recept på MobileRead forumet:\". Placera serier i titeln, antingen med initialer eller en förkortad form Strip ledande artiklar från serienamnet (någon). \"Till exempel, för boken The Two Towers in the Lord of the Rings-serien, ger receptet `LotR [02] The Two Towers`. Genom att använda standardmallar, receptet kräver tre anpassade kolumner och en pluggbräda, såsom förklaras i följande:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1149,14 +1166,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr "Lösningen kräver att skapa tre sammansatta kolumner. Den första kolumnen används för att avlägsna de ledande artiklarna. Det andra används för att beräkna den \"korta\" formen. Den tredje är för att beräkna 'initials' formen. När du har dessa kolumner, väljer pluggbräda mellan dem. Du kan dölja någon eller alla av de tre kolumnerna på biblioteksvyn."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr "Följande program ger samma resultat som det ursprungliga receptet, med endast en anpassad kolumn för att hålla resultatet av ett program som beräknar den speciella titelvärdet::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1166,11 +1183,11 @@ msgid ""
 " being one giant line."
 msgstr "Det skulle vara möjligt att göra ovanstående utan extra kolumner genom att sätta programmet i mallrutan av pluggbrädan. Men för att göra det, måste alla kommentarer tas bort på grund av att pluggbrädans textrutan inte stöder redigering över flera rader. Det kan diskuteras om vinsten av att inte ha den anpassade kolumnen är värd den stora ökningen i svårigheter på grund av det program som en gigantisk rad."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr "Användardefinierade mallfunktioner"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1178,11 +1195,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr "Du kan lägga till egna funktioner till mallprocessorn. Sådana funktioner är skrivna i Python, och kan användas i någon av de tre mallprogrammeringslägena. Funktionerna läggs till genom att gå till Inställningar->Avancerat->Mallfunktioner. Instruktioner visas i denna dialog."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr "Särskilda anvisningar för att spara/skicka mallar"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1193,18 +1210,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr "Särskild bearbetning tillämpas när en mall används i en 'spara på disk` eller `skicka till enhet` mall. Värdena på fälten städas, ersätter tecken som är speciella till filsystem med understreck, inklusive snedstreck. Det innebär att textfältet inte kan användas för att skapa mappar. Snedstreck ändras dock inte i prefix eller suffixsträngar, så snedstreck i dessa strängar kommer att orsaka att mappar skapas. På grund av detta kan du skapa variabeldjup mappstruktur."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr "Antag till exempel att vi vill ha mappstrukturen  `series/series_index - title`, med förbehållet att om serien inte existerar, så bör titeln vara i topp-mappen. Mallen för att göra detta är::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr "Det snedstreck och bindestreck visas bara om serien inte är tom."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1214,25 +1231,25 @@ msgid ""
 "depending on the value of series."
 msgstr "Uppslagsfunktionen låter oss göra ännu snyggare bearbetning. Antag till exempel att om en bok har en serie, så vi vill att mappstrukturen `series/series index - title.fmt`. Om boken inte har en serie, så vi vill att mappstrukturen `genre/author_sort/title.fmt`. Om boken inte har någon genre, vill vi använda 'Okänd'. Vi vill två helt olika vägar, beroende på värdet av serien."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr "För att åstadkomma detta, vi:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr "Skapa en sammansatt fält (ge det uppslagsnamn #AA) som innehåller ``{series}/{series_index} - {title'}``. Om serien inte är tom, så kommer den här mallen att producera `series/series_index - title`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr "Skapa en sammansatt fält (ge det uppslagsnamn #BB) som innehåller``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. Denna mall ger `genre/author_sort/title`, där en tom genre ersätts med `Okänd`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1240,11 +1257,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr "Ändra spara mallen till  ``{series:lookup(.,#AA,#BB)}``.  Denna mall väljer sammansatta fält #AA om serien inte är tom, och sammansatta fält #BB om serien är tom. Vi har alltså två helt olika sparvägar, beroende på om eller inte `series` är tom."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr "Mallar och pluggbrädor"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1255,7 +1272,7 @@ msgid ""
 "display issues."
 msgstr "Pluggbrädor används för att ändra metadata som skrivs in böcker under \"skicka till enhet\" och \"spara till disk\" operationer. En pluggbräda tillåter dig att ange en mall för att tillhandahålla de uppgifter att skriva in bokens metadata. Du kan använda pluggbrädor att ändra följande fält: författare, author_sort, språk, förläggare, taggar, titel, title_sort. Denna funktion hjälper människor som vill använda olika metadata i böcker på enheter för att lösa sortering- eller visningsproblem."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1266,7 +1283,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr "När du skapar en pluggbräda anger du format och enheten för vilken pluggbrädan ska användas. En speciell anordning tillhandahålls, save_to_disk, som används när du sparar format (i motsats till att skicka dem till en enhet). När du har valt formatet och enheten, väljer du de metadatafälten att ändra, ger mallar för att leverera de nya värdena. Dessa mallar är `anslutna` till sina destinationsfält, därav namnet `pluggbräda`. Du kan naturligtvis använda sammansatta kolumner i dessa mallar."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1275,29 +1292,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr "När en pluggbräda kan gälla (Innehållsserver, spara till disk, eller skicka till enhet), söker calibre de definierade pluggbrädor att välja den rätta för givet format och enhet. Till exempel, för att hitta rätt pluggbräda för en EPUB-bok som skickas till en Android-enhet, söker calibre dessa pluggbrädor enligt följande sökordning:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr "en pluggbräda med en exakt matchning på format och enhet, till exempel, ``EPUB`` och ``ANDROID``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr "en pluggbräda med en exakt matchning på format och den speciella ``any device`` val, till exempel, `` EPUB`` och ``any device``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr "en pluggbräda med en exakt matchning på format och den speciella ``any device`` val, och ``ANDROID``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr "en pluggbräda med ``något format`` och ``någon enhet``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1309,7 +1326,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr "Tagg och författar fält har särskild behandling, eftersom båda dessa fält kan ha mer än en post. En bok kan ha många taggar och många författare. När du anger att ett av dessa två fält ska ändras, är mallens resultat som undersöks för att se om mer än en post finns. För taggar, skärs resultatet bort varhelst calibre finner ett kommatecken. Till exempel, om mallen producerar värdet ''Thriller, Horror``, då blir resultatet två taggar, ``Thriller`` och ''Horror``. Det finns inget sätt att sätta ett kommatecken i mitten av en tagg."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1319,7 +1336,7 @@ msgid ""
 "author with a rather strange name."
 msgstr "Samma sak händer för författare, men med en annan karaktär för snittet, en `&` (et-tecken) istället för ett kommatecken. Till exempel, om mallen producerar värdet  ``Blogs, Joe&Posts, Susan``,  då kommer boken att sluta med två författare, ``Blogs, Joe`` och ``Posts, Susan``. Om mallen producerar värdet ``Blogs, Joe;Posts, Susan``, då kommer boken att ha en författare med ett ganska konstigt namn."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1328,34 +1345,34 @@ msgid ""
 "preferences window."
 msgstr "Pluggbrädor påverkar metadata som skrivs in i boken när den sparas till disk eller skrivs till enheten. Pluggbrädor påverkar inte metadata som används av ``spara till disk`` och ``skicka till enhet`` för att skapa filnamnen. Istället konstrueras filnamn med hjälp av mallar som anges i lämpliga inställningsfönster."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr "Användbara tips"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr "Du kan hitta följande tips användbart."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr "Skapa en anpassad sammansatt kolumn för att testa mallar. När du har kolumnen, kan du ändra dess mall genom att dubbelklicka på kolumnen. Dölj kolumnen när du inte testar."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr "Mallar kan använda andra mallar genom att referera en sammansatt anpassad kolumn."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr "I en kontrolpanel, kan du ställa in ett fält för att vara tomt (eller vad som motsvarar tom) med hjälp av särskild mall ``{}``. Denna mall kommer alltid utvärderas till en tom sträng."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/sv/xpath.po	2020-03-26 16:52:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/sv/xpath.po	2020-07-16 17:01:42.000000000 +0000
@@ -3,17 +3,17 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Jonatan Nyberg, 2016-2017
-# Jonatan Nyberg, 2019-2020
-# Jonatan Nyberg, 2017
+# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
+# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2019-2020
+# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017
 # Merarom <merarom@yahoo.es>, 2014-2015
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-03-11 17:43+0530\n"
-"PO-Revision-Date: 2020-03-22 10:48+0000\n"
-"Last-Translator: Jonatan Nyberg\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 05:03+0000\n"
+"Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -163,5 +163,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "``re:test(src, pattern, flags)`` återger `true` om strängen `src` matchar med det reguljära uttrycks `mönster`. En särskilt användbar flaggan är ``i``, det gör matchning skiftlägesokänslig. En bra grund på syntaxen för reguljära uttryck finns på `regexp syntax <https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
+msgstr "``re:test(src, pattern, flags)`` återger `true` om strängen `src` matchar med det reguljära uttrycks `mönster`. En särskilt användbar flaggan är ``i``, det gör matchning skiftlägesokänslig. En bra grund på syntaxen för reguljära uttryck finns på `regexp syntax <https://docs.python.org/library/re.html>`_"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/develop.po	2020-03-05 04:48:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/develop.po	2020-07-16 16:52:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/function_mode.po	2020-07-16 17:08:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/glossary.po	2020-07-16 16:59:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/gui.po	2020-07-02 04:21:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/gui.po	2020-07-16 17:05:45.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/news.po	2020-06-18 03:20:43.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/news.po	2020-07-16 16:57:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/regexp.po	2020-07-16 17:03:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2901, 
+    "untranslated": 2903, 
     "translated": 12
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/template_lang.po	2020-07-02 04:15:58.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/template_lang.po	2020-07-16 16:54:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ta/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ta/xpath.po	2020-07-16 17:01:10.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/te/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/te/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/te/develop.po	2020-03-05 04:48:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/te/develop.po	2020-07-16 16:53:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/te/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/te/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/te/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/te/function_mode.po	2020-07-16 17:09:41.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/te/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/te/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/te/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/te/glossary.po	2020-07-16 17:00:12.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:41+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/te/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/te/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/te/gui.po	2020-07-02 04:21:25.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/te/gui.po	2020-07-16 17:07:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/te/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/te/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/te/news.po	2020-06-18 03:19:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/te/news.po	2020-07-16 16:58:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/te/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/te/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/te/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/te/regexp.po	2020-07-16 17:04:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/te/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/te/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/te/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/te/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2910, 
+    "untranslated": 2912, 
     "translated": 3
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/te/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/te/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/te/template_lang.po	2020-07-02 04:15:24.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/te/template_lang.po	2020-07-16 16:56:16.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/te/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/te/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/te/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/te/xpath.po	2020-07-16 17:02:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/template_lang.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/template_lang.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/template_lang.pot	2020-07-03 02:14:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/template_lang.pot	2020-07-16 17:19:19.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/th/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/th/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/th/develop.po	2020-03-05 04:49:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/th/develop.po	2020-07-16 16:53:22.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/th/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/th/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/th/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/th/function_mode.po	2020-07-16 17:09:22.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/th/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/th/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/th/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/th/glossary.po	2020-07-16 16:59:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/th/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/th/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/th/gui.po	2020-07-02 04:21:54.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/th/gui.po	2020-07-16 17:06:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/th/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/th/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/th/news.po	2020-06-18 03:20:19.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/th/news.po	2020-07-16 16:58:08.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/th/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/th/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/th/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/th/regexp.po	2020-07-16 17:03:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/th/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/th/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/th/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/th/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2902, 
+    "untranslated": 2904, 
     "translated": 11
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/th/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/th/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/th/template_lang.po	2020-07-02 04:15:57.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/th/template_lang.po	2020-07-16 16:55:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/th/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/th/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/th/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/th/xpath.po	2020-07-16 17:01:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/develop.po	2020-03-05 04:49:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/develop.po	2020-07-16 16:52:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/function_mode.po	2020-07-16 17:08:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/glossary.po	2020-07-16 16:59:17.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/gui.po	2020-07-02 04:22:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/gui.po	2020-07-16 17:05:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/news.po	2020-06-18 03:19:34.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/news.po	2020-07-16 16:57:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/regexp.po	2020-07-16 17:02:58.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/template_lang.po	2020-07-02 04:16:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/template_lang.po	2020-07-16 16:54:40.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ti/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ti/xpath.po	2020-07-16 17:01:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/develop.po	2020-03-05 04:49:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/develop.po	2020-07-16 16:53:05.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
@@ -328,9 +328,9 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
-msgstr "Sonraki adım çevre değişkeni ``CALIBRE_DEVELOP_FROM`` değerinin src dizininin mutlak yoluna ayarlanmasıdır. Yani, yukardaki örneği takip edersek, ``C:\\Users\\kovid\\work\\calibre\\src`` dizini olurdu. Windows üstünde çevre değişkeni ayarlamakla ilgili `kısa bir kılavuz <https://docs.python.org/2/using/windows.html#excursus-setting-environment-variables>`_."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:172
 msgid ""
@@ -559,7 +559,7 @@ msgstr "Şimdi bir uç birim açın ve h
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/function_mode.po	2020-07-16 17:09:03.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-21 15:39+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr "``match`` bağımsız değişken
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/glossary.po	2020-07-16 16:59:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:41+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Düzenli ifadeler** özel karakterler, kelimeler veya karakter desenleri gibi metinleri tanımlamak için kullanılan kısa ve esnek bir yol sunarlar. Python ile kullanılan düzenli ifadelerin sözdizimi için `regexp sözdizimi <https://docs.python.org/2.7/library/re.html>`_ ifadesine bakın."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/gui.po	2020-07-02 04:21:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/gui.po	2020-07-16 17:06:22.000000000 +0000
@@ -12,8 +12,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
@@ -806,7 +806,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/news.po	2020-06-18 03:19:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/news.po	2020-07-16 16:57:52.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
@@ -237,7 +237,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/regexp.po	2020-07-16 17:03:27.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-03-08 11:42+0530\n"
-"PO-Revision-Date: 2019-03-17 03:16+0000\n"
-"Last-Translator: Serdar Sağlam <teknomobil@msn.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -437,8 +437,8 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Bu, düzenli ifadelere çok kısa giriş turumuzun sonu. Umarım en azından başlamanıza yetecek kadar ve kendi kendinize öğrenmeye devam edecek kadar şey anlatabilmişimdir- iyi bir başlangıç noktası `Python düzenli ifade belgeleridir <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
+msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
 msgid ""
@@ -493,5 +493,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Düzenli ifadelerle ilgili fazlası için bknz `Python Kullanıcı Kılavuzu <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 989, 
-    "translated": 1924
+    "untranslated": 996, 
+    "translated": 1919
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/template_lang.po	2020-07-02 04:15:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/template_lang.po	2020-07-16 16:55:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr "Verinin yalnızca ilk iki harfin
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr "``lookup(pattern, field, pattern
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr "``shorten(left chars, middle text, right chars)`` -- Alanın kısaltılmış bir sürümünü döndürür, bu sürüm alanın solundan `sol karakterler`, ardından `orta karakterler`, ve alanın sağından `sağ karakterler`den oluşur. `Sol karakterler` ve `sağ karakterler` tam sayı olmalıdır. Örneğin, kitabın başlığının `Ancient English Laws in the Times of Ivanhoe` olduğunu varsayalım, ve bunu en fazla 15 karakterlik bir boşluğa sığdırmaya çalıştığınızı. ``{title:shorten(9,-,5)}`` kullanırsanız, sonuç `Ancient E-nhoe` olacaktır. Alanın uzunluğu ``sol karakterler`` + ``sağ karakterler`` + ``middle text`` uzunluğundan kısa olursa, alan olduğu gibi kullanılır. Örneğin, `The Dome` başlığı değiştirilmez."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr "``switch(pattern, value, pattern, value, ..., else_value)`` -- her ``pattern, value`` çifti için, alanın ``pattern`` düzenli ifadesiyle eşleşip eşleşmediğini kontrol eder, ve eşleşiyorsa, bu ``value`` değerini döndürür. ``pattern`` eşleşmiyorsa, ``else_value`` döndürülür. İstediğiniz kadar ``pattern, value`` çiftiniz olabilir."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr "``test(text if not empty, text if empty)`` -- alan boş değilse `text if not empty`, boşsa `text if empty` döndürür."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr "``transliterate()`` -- Latin alfabesinden kaynak alandaki kelimelerin seslerine yakın biçimlenmiş karakter dizisi döndürür. Örneğin, kaynak alan ``Фёдор Миха́йлович Достоевский`` ise fonksiyon ``Fiodor Mikhailovich Dostoievskii`` döndürür.'"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr "Şimdi, fonksiyon ve biçimlendirmeleri aynı alanda yapmaya ne dersiniz. ``003``de olduğu gibi önünde sıfırlar olan ``#myint`` adında özel bir tam sayı sütununuz olduğunu farz edin. Bunu yapmak için ``0>3s`` şeklinde bir biçim kullanırsınız. Ancak ön tanımlı olarak bir sayı (tam veya kesirli) sıfıra eşitse alan boş değeri üretir, yani sıfır değerler ``000`` yerine hiçbir şey üretmez. Gerçekten ``000`` değerleri görmek istiyorsanız, hem biçim karakter dizisini hem de ``ifempty`` fonksiyonunu kullanıp boş değeri sıfıra çevirin. Alan referansı şu şekilde olurdu::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr "Ön ve son ek kullanabileceğinizi de not edin. Sayının ``[003]`` veya ``[000]`` şeklinde görünmesini istiyorsanız, alanı kullanın::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr "Şablonlarda fonksiyon kullanma - şablom program kipi"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr "Şablon dil program kipi tekli-fonksiyon kipinden farklı olarak diğer metadata alanlarına referans yapan, değerleri değiştiren, aritmetik işlem yapan şablon ifadeleri yazmanıza izin verir. Makul tamamlıkta bir programlama dilidir."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr "Yukarıda belgelenen fonksiyonları şablon program kipinde kullanabilirsiniz. Detaylar için aşağıya göz atın."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr "Bir örnekle başlayalım, şablonunuzun bir kitabın varsa serilerini, yoksa özel bir alan olan #genre yi göstermesini istediğinizi ele alalım. Temel dille bunu yapamazsınız çünkü bir şablon ifadesinde başka metadata alanına referans veremezsiniz. Program kipinde, yapabilirsiniz. Aşağıdaki ifade çalışır::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr "Örnek bir çok şey gösteriyor:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr "ifade ``:'`` ile başlıyor ve ``'`` ile bitiyorsa program kipi kullanılır. Diğer her şey tekli-fonksiyon olarak ele alınır."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr "``$`` değişkeni ifadenin üzerinde işlem yaptığı alan yerine geçer, bu durumda ``#series``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr "fonksiyonlara tüm bağımsız değişkenleri verilmelidir. Varsayılan bir değer yoktur. Örneğin, standart yerleşik fonksiyonlara kaynak alanını gösteren ek bir ilk parametre verilmelidir, bu tekli-fonksiyon kipinden belirgin bir değişikliktir."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr "boşluk karakterleri göz ardı edilir ve ifadenin herhangi bir yerinde kullanılabilir."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr "sabit karakter dizileri eşleşen tırnak işaretleri arasındadır, ``'`` veyea ``\"``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr "Dil nerdeyse tamamen fonksiyonlardan oluştuğundan ``fonksiyonel`` dillere benzer. Her ifade bir fonksiyondur. Her deyim bir fonksiyondur. Sabitler ve tanımlayıcılar sabitlerce gösterilen veya tanımlayıcılarda saklanan değerleri döndüren fonksiyonlar olarak düşünülebilir."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr "Dilin söz dizimi aşağıdaki dil bilgisi ile gösterilmiştir::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr "Yorumlar satır başında '#' karakteri olan sastırlardır."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr "Bir ``expression``ın her zaman değeri vardır, ya sabitin değeri, ya tanımlayıcıda içerilen değer, ya da bir fonksiyon tarafından döndürülen değer. Bir ``statement``ın değeri ifade dizisindeki son deyimin değeridir. Yani programın değeri (ifade)::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr "3 olur."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr "Karmaşık ama pek anlamlı olmayan bir program örneği daha iyi anlatacaktır::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr "Bu program aşağıdakileri yapar:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr "bakılan alanın seris_index olduğunu belirtir. Bu, ``$`` değişkeninin değerini ayarlar."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr "3 parametre ``(str, start, end)`` alan ``substr`` fonksiyonunu çağırır. Karakter dizisinden start ile end arasında karakterleri çıkararak oluşturulan karakter dizisini, sıfır-tabanlı ( ilk karakter sıfır karakteridir) döndürür. Bu durumda karakter dizisi ``strcat`` fonksiyonu ile hesaplanır, start 0, end 6 dır. Bu durumda substr dönmeden önce değerlendirilmesi gereken, ``strcat`` tarafından döndürülen karakter dizisinin ilk 6 karakterini döndürür."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr " ``strcat`` (karakter dizisi birleştirme) fonksiyonunu çağırır. Strcat bir ya da fazla bağımsız değişken alır, ve tüm değerleri birleştirmesinden oluşan bir karakter dizisi döndürür. Bu durumda üç bağımsız değişken vardır. İlk parametre ``$`` içindeki değerdir, ki burada ``series_index`` değeridir. İkinci parametre sabit karakter dizisi ``'->'``dir. Üçüncü parametre ``cmp`` fonksiyonundan dönen değerdir, ki ``strcat``in dönebilmesi için tamamen hesaplanmalıdır."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr "``cmp`` fonksiyonu 5 değişken alır ``(x, y, lt, eq, gt)``. x ve y değişkenlerini karşılaştırır ve x< y ise üçüncü değişken olan ``lt``, x == y ise dördüncü değişken ``eq``, x > y ise beşinci değişken ``gt`` yi döndürür. Tüm fonksiyonlarda olduğu gibi, tüm parametreler ifade olabilirler. Bu durumda ilk parametre (``x`` için değer) series_index'in 2'ye bölümünün sonucudur. İkinci parametre ``y`` sabit ``1``dir. Üçüncü parametre ``lt`` bir ifadedir (daha sonra anlatılacak). Dördüncü parametre ``eq`` sabit karakter dizisi ``'eq'``dir. Beşinci parametre sabit karakter dizisi ``'gt'``dir."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr "Üçüncü parametre (``lt`` için olan) bir ifadedir, veya deyimler dizisidir. Bir ifadenin aynı zamanda deyim olduğunu unutmayın (noktalı virgül ile ayrılmış bir dizi deyim), listedeki son deyimin değerini döndürür. Bu durumda, program önce ``1`` değerini yerel değişken ``c``ye atar, ardından sondan c'inci karakterin çıkarılmasıyla elde edilen alt karakter dizisi döndürür. c her zaman sabit değer ``1`` içereceğinden, alt karakter dizisi ikinciden sonuncuya olan karakterleri döndürür, veya ``'t123'``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr "Üçüncü parametreye değeri sağlayan ifade çalıştığında, ``cmp`` bir değer döndürebilir. Bu noktada, ``strcat` bir değer döndürebilir, sonra ``substr` bir değer döndürebilir. Program ardından sonlanır."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr "series_index'in çeşitli değerleri için, program döner:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr "series_index == undefined, result = ``prefix ->t123 suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr "series_index == 1, result = ``prefix 1->t12 suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr "series_index == 2, result = ``prefix 2->eq suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr "series_index == 3, result = ``prefix 3->gt suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr "**Tekli-fonksiyon kipi altında listelenen tüm fonksiyonlar program kipinde kullanılabilir**. Böyle yapmak için, yukarıda belgelenen parametrelere ek olarak, fonksiyonun üzerinde işlem yapacağı değeri sağlamalısınız. Örneğin, program kipinde `test` fonksiyonunun parametreleri şunlardır ``test(x, text_if_not_empty, text_if_empty)``. Test edilecek değer olan `x`  parametresi, hemen her zaman bir değişken ya da fonksiyon çağrısı, genellikle `field()` olacaktır."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr "Aşağıdaki fonksiyonlar tekli-fonksiyon kipinde açıklananlara ek olarak kullanılabilirler. Yukarıdaki örnekten, tekli-fonksiyon kipi fonksiyonlarının üzerinde işlem yapılacak ek bir ilk değer parametre alanına ihtiyaç duyduğunu unutmayın. Atamanın ``id`` parametresi hariç, tüm parametreler ifade olabilirler (bir dizi deyim). Fonksiyonlar için tam belgelendirmenin :ref:`Fonksiyon sınıflandırma <template_functions_reference>` kısmında olduğunu unutmayın."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr "``and(value, value, ...)`` -- tüm değerler boş değilse \"1\" karakter dizisi döndürür, aksi halde boş karakter dizisi döndürür. Bu fonksiyon test veya first_non_empty ile iyi çalışır. İstediğiniz kadar değeriniz olabilir."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr "``add(x, y)`` -- x + y döndürür. x veya y sayı değilse bir istisna fırlatır."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "``assign(id, val)`` -- id'ye val atar, ardından val döndürür. id bir tanımlayıcı olmalıdır, deyim değil"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr "``approximate_formats()`` -- bir noktada kitapla ilişkilenmiş biçimlerin virgülle ayrılmış listesini döndürür. Listenin düzgün olması garanti değildir, her ne kadar muhtemelen düzgün olacak olsa da. Bu fonksiyon şablon program kipinde ``{:'approximate_formats()'}`` kullanarak çağrılabilir. Biçim isimlerinin büyük harfle yazıldığını unutmayın, EPUB gibi."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr "``author_links(val_separator, pair_separator)`` -- yazar listesi ve yazarın bağlantı değerini ``author1 val_separator author1link pair_separator author2 val_separator author2link`` vs. şeklinde döndürür. Yazar bağlantısından ``val_separator`` karakter dizisi ile ek boşluk olmadan ayrılır. ``author:linkvalue`` çiftleri ``pair_separator`` karakter dizisi değişkeni ile ek boşluk olmadan ayrılır. Yazar adları ya da bağlantılarında geçmeyen ayraç karakter dizilerini seçmek size kalmıştır. Yazar bağlantısı boş olsa da yazar eklenir."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr "``author_sorts(val_separator)`` -- Kitabın yazarları için yazar sıralama değerleri listesi içeren bir karakter dizisi döndürür. Sıralama yazar metadata'sında olandır (kitaplardaki author_sort'dan farklıdır). Döndürülen liste yazar sıralama 1 ``val_separator`` yazar sıralama 2 vs. şeklindedir. Bu listedeki yazar sıralama değerleri kitaptaki yazarlarla aynı sıradadır. ``val_separator`` etrafında boşluklar istiyorsanız ayraç karakter dizisinde ekleyin"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr "``booksize()`` -- calibre 'size' alanının değerini döndürür. Herhangi biçim yoksa '' döndürür."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr "``cmp(x, y, lt, eq, gt)`` -- x ve ye yi ikisini de sayıya çevirdikten sonra karşılaştırır. x < y ise ``lt`` döndürür. x == y ise ``eq`` döndürür. Aksi halde ``gt`` döndürür."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr "``days_between(date1, date2)`` -- ``date1`` ile ``date2`` arasındaki gün sayısını döndürür. ``date1`` ``date2`` den büyükse sayı pozitiftir, değilse negatiftir. ``date1`` veya ``date2`` tarih değillerse, fonksiyon boş karakter dizisi döndürür."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "``divide(x, y)`` -- x / y döndürür. x veya y sayı değilse istisna fırlatır."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr "``eval(string)`` -- karakter dizisini bir program olarak değerlendirir, yerel değişkenleri geçirir (``atananları``). Bu, şablon işlemcisinin yerel değişkenlerden karmaşık sonuçlar oluşturmasına olanak verir. `{` ve `}` karakterleri özel olduklarından, `{` karakteri için `[[` ve '}' karakteri için `]]` kullanmalısınız; otomatik olarak dönüştürüleceklerdir. Ayrıca ön ek ve son eklerin (`|prefix|suffix` söz dizimi) şablon program kipi kullanılırken bu fonksiyona değişken olarak kullanılamayacağını unutmayın."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr "``field(name)`` -- ``name`` ile isimlendirilen metadata alanını döndürür."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr "Başka bir örnek: ``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - }{title}`` şablonu için şunu kullanın::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr "``has_cover()`` -- kitabın bir kapağı varsa ``Yes``, aksi durumda boş karakter dizisi döndürür"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr "``list_re(src_list, separator, include_re, opt_replace)`` -- Önce `separator` karakterini kullanarak `src_list`i öğelere ayırarak bir liste oluştur. Listedeki her öğenin `include_re` ile eşleşip eşleşmediğini kontrol et. Eşleşirse, döndürülecek listeye ekle. `opt_replace` boş karakter dizisi değilse, öğeyi döndürülen listeye eklemeden önce yer değiştirmeyi uygula."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr "``list_re_group(src_list, separator, include_re, search_re, template_for_group_1, for_group_2, ...)`` -- list_re except gibi yer değiştirmeler seçime bağlı değildir. Yer değiştirmeleri kullanırken re_group(item, search_re, template ...) kullanır."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr "``list_sort(list, direction, separator)`` -- büyük küçük harf bağımsız sıralanmış liste döndür. `direction` sıfır ise, liste artan şekilde sıralanır, aksi halde azalan şekilde. Liste öğeleri döndürülen liste gibi separator ile ayrılmıştır."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr "``multiply(x, y)`` -- x * y döndürür. x veya y sayı değilse bir istisna fırlatır."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr "``ondevice()`` -- ondevice ayarlanmışsa \"Yes\" karakter dizisini, aksi halde boş karakter dizisi döndürür"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr "``or(value, value, ...)`` -- herhangi bir değer boş değilse \"1\" karakter dizisini, aksi halde boş karakter dizisi döndürür. Bu fonksiyon test veya first_non_empty ile iyi çalışır. İstediğiniz kadar değeriniz olabilir."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr "``print(a, b, ...)`` -- bağımsız değişkenleri standart çıktıya yazdırır. Calibre'yi komut satırından başlatmadığınız takdirde (``calibre-debug -g``) çıktı bir kara deliğe gideceketir."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr "``raw_field(name)`` -- Herhangi biçimlendirme uygulamadan name ile isimlendirilmiş metadata alanını döndürür."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr "``raw_list(name, separator)`` -- Herhangi biçimlendirme veya sıralama uygulamadan ve separator ile ayrılmış öğelerle, name ile isimlendirilmiş metadata listesini döndürür."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr "``series_sort()`` -- seri sıralama değerini döndürür."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr "``strcat(a, b, ...)`` --  istenilen sayıda değişken alabilir. Tüm değişkenlerin uç uca eklenmesiyle oluşturulmuş bir karakter dizisi döndürür."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr "``strcat_max(max, string1, prefix2, string2, ...)`` -- Bağımsız değişkenlerin uç uca eklenmesiyle oluşturulmuş bir karakter dizisi döndürür. Döndürülen değer string1 olarak ilklendirilir. `Prefix, string` çiftleri elde edilen karakter dizisinin boyu `max`dan küçük olduğu sürece değerin sonuna eklenir. String1 max'dan büyük olsa da string1 döndürülür. İstediğiniz kadar `prefix, string` çifti geçirebilirsiniz."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr "``strcmp(x, y, lt, eq, gt)`` -- x ve y karakter dizileri üzerinde büyük küçük harf bağımsız karşılaştırma gerçekleştirir. x < y ise ``lt`` döndürür. x == y ise ``eq`` döndürür. Aksi halde ``gt`` döndürür."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr "``strlen(a)`` -- Değişken olarak geçirilen karakter dizisinin uzunluğunu döndürür."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr "``substr(str, start, end)`` -- ``str``nin ``start``dan ``end``e kadar olan karakterlerini döndürür. ``str``nin ilk karakteri sıfırıncı karakterdir. end negatif ise, sağdan sayıldığında kaç karakter olduğunu ifade eder. end sıfır ise, son karakteri ifade eder. Örneğin, ``substr('12345', 1, 0)`` ``'2345'`` döndürür, ve ``substr('12345', 1, -1)`` ``'234'`` döndürür."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr "``subtract(x, y)`` -- x - y döndürür. x veya y sayı değilse bir istisna fırlatır."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr "``today()`` -- bugün için bir karakter dizisi döndürür. Bu değer format_date veyea days_between ile kullanılması için tasarlanmıştır, ama her karakter dizisi gibi değiştirilebilir. Tarih ISO biçimindedir."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr "``template(x)`` -- x'i bir şablon olarak değerlendirir. Değerlendirme kendi bağlamında yapılır, anlamı değerlerin çağıran ve şablon değerlendirmesi arasında paylaştırılmıyor olduğudur. `{` ve `}` özel karakterler olduklarından `{` yerine `[[` ve '}' yerine `]]` kullanmalısınız; otomatik olarak dönüştürülürler. Örneğin ``template('[[title_sort]]') ``{title_sort}`` şablonunu değerlendirecek ve değerini döndürecektir. Ayrıca ön ek ve son eklerin (`|prefix|suffix` söz dizimi) şablon program kipi kullanılarak bu fonksiyona bağımsız değişken olarak verilemeyeceğini not edin."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr "Fonksiyon sınıflandırma"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr "Genel program kipi kullanma"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr "Daha karmaşık şablon programları için, bazen şablon söz diziminden (tüm `{` ve `}` karakterleri) kaçınmak ve daha klasik görünümlü bir program yazmak daha kolaydır. Bunu calibre'de şablona `program:` ile başlayarak yapabilirsiniz. Bu durumda, hiçbir şablon işleme yapılmaz. Özel değişken `$` ayarlanmaz. Doğru sonucu üretmek programınıza kalmıştır."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr "`program:` kipinin bir avantajı, parantezlerin artık özel olmamasıdır. Örneğin `template()` fonksiyonunu kullanırken `[[` ve `]]` kullanmak zorunlu değildir. Başka bir avantaj, program kipi şablonların Python'a derlenmesi ve diğer iki kipteki şablonlardan oldukça hızlı çalışmasıdır. Hızdaki artış şablonlardaki karmaşıklığa bağlıdır; şablon ne kadar karmaşıklaşırsa gelişme de o kadar fazla olur. Derleme ``compile_gpm_templates`` (Genel Program Kipi şablonlarını Python'a Derle) ile açılıp kapatılabilir. Derlemenin kapatılmasının ana sebebi derlenen şablonun çalışmıyor olması durumu olabilir, bu durumda lütfen bir hata raporlayın."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr "Takip eden örnek MobileRead forumunun bir `program:` kipi uygulaması reçetesi: \"Serileri ilk harflerini veya kısaltılmış hallerini kullanarak başlığa koy. Sonundaki makaleleri seri adından (varsa) çıkar.\" Örneğin, Lord of the Rings serisindeki The Two Towers kitabı için, reçete `LotR [02] The Two Towers` verir. Standart şablonlar kullanarak, aşağıda açıklandığı gibi, reçete üç özel sütun ve bir santrala ihtiyaç duyar:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr "Aşağıdaki program özel başlık değerini hesaplayan bir programın sonuçlarını tutan sadece bir özel sütun kullanarak asıl reçeteyle aynı sonuçları üretir::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr "Programı santralin şablon kutusuna koyarak yukardaki özel sütunlar kullanmadan yapmak da mümkün olurdu. Ancak böyle yapmak için, santral metni birden çok satır düzenlemeye izin vermediğinden tüm yorum satırlarının kaldırılması gerekirdi. Özel sütuna sahip olmamanın programın koca tek bir satır olarak getirdiği zorluk artışına deyip deymeyeceği tartışılır."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr "Kayıt et/gönder şablonları ile ilgili özel notlar"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr "Bir şablon `diske kaydet` veya `aygıta gönder` şablonu ile kullanıldığında özel işlemler uygulanır. Alanların değerleri temizlenir, dosya sistemine özel karakterler alt çizgiler ile değiştirilir, yatık çizgiler dahil. Bunun anlamı alan metni kullanılarak klasör oluşturulamayacağıdır. Ancak yatık çizgiler ön ek veya son ek karakter dizilerinden değiştirilmezler, yani bu karakter dizilerindeki yatık çizgiler klasörlerin oluşturulmasına sebep olur. Bu sebepten, değişken derinlikli klasör yapıları oluşturabilirsiniz."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr "Örneğin, `series/series_index - title` dizin yapısını istediğimizi varsayın, series'in olmama durumunda, başlık en üst klasörde olmalıdır. Bunu yapan şablon şu şekildedir::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr "Yatık çizgi ve tire sadece seriler boş değilken görülür."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr "Arama fonksiyonu daha da ince işlemler yapmamıza olanak verir. Örneğin, bir kitabın serisi varsa, `series/series index - title.fmt` şeklinde bir dizin yapısı istediğimizi varsayalım. Kitabın serisi yoksa da `genre/author_sort/title.fmt`. Kitabın türü de yoksa, 'Unknown' kullanmak istiyoruz. Serinin değerine bağlı olarak, iki tane tamamen değişik yol istiyoruz."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr "Bunu elde etmek için:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr "Santraller kitaba yazılan metadata'yı diske kaydetme ve aygıta gönderme işlemlerinde değiştirmeye yarar. Bir santral size kitabın metadata'sına yazılacak veriyi sağlayan şablonu belirtme izni verir. Santraller kullanarak şu alanları değiştirebilirsiniz: authors, author_sort, language, publisher, tags, title, title_sort. Bu özellik sıralama ya da görüntüleme sorunlarını aygıttaki kitapta değişik metadata kullanarak çözmek isteyen insanlara yardımcı olur."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr "Bir santral oluşturduğunuzda, santralin kullanılacağı biçim ve aygıtı belirtirsiniz. Biçimleri (bir aygıta göndermenin aksine) kaydederken kullanılan, save_to_disk adında özel bir aygıt sağlanır. Biçim ve aygıtı seçtiğinizde yeni değerleri sağlayacak şablonları sağlar ve değiştirilecek metadata alanlarını seçersiniz. Bu şablonlar hedef alanlarına `bağlıdırlar`, santral adı da burdan gelir. Tabi ki bu şablonlarda bileşik sütunlar kullanabilirsiniz."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr "biçim ve aygıtla birebir eşleşen bir santral, örn., ``EPUB`` ve ``ANDROID``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr "biçim ve özel ``any device`` seçimi ile birebir eşleşen bir santral, örn., ``EPUB`` ve ``any device``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr "özel ``any format`` seçimi ve aygıtla birebir eşleşmeli bir santral, örn., ``any format`` ve ``ANDROID``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr "``any format`` ve ``any device`` olan bir santral"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr "Etiket ve yazar alanları özel işlem gerektirir, çünkü her iki alan da birden fazla öğe tutabilir. Bir kitabın birden çok etiketi ve yazarı olabilir. Bu iki alandan birinin değişeceğini belirttiğinizde, şablonun sonucu birden fazla öğenin orada olup olmadığı hususunda incelenir. Etiketler için, sonuç, calibre'nin virgül bulduğu yerlerden kesilerek ayrılır.  Örneğin, şablon ``Thriller, Horror`` değerini üretiyorsa, sonuç iki etiket olur ``Thriller`` ve ``Horror``.  Etiketin ortasına virgül koymanın bir yolu yoktur."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr "Aynı şey yazarlar için de geçerlidir, ama ayırma için virgül yerine `&` (ampersand) karakteri kullanılır. Örneğin, şablon ``Blogs, Joe&Posts, Susan`` değerini üretiyorsa, kitap iki yazarı var olarak sonlanacaktır, ``Blogs, Joe`` ve ``Posts, Susan``. Şablon ``Blogs, Joe;Posts, Susan`` üretiyorsa, kitabın biraz garip isimli tek bir yazarı olacaktır."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr "Santraller diske kaydedilirken ya da aygıta yazılırken kitaba yazılan metadata'yı etkilerler. Santraller ``diske kaydet`` ve ``aygıta gönder`` tarafından dosya isimlerini oluşturmakta kullanılan metadata'yı etkilemezler. Bunun yerine, dosya isimleri, uygun seçenekler penceresinde girilen şablonlar kullanılarak oluştururlur."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr "Şu ipuçlarını faydalı bulabilirsiniz."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr "Şablonları test etmek için özel bir bileşik sütun oluşturun. Sütunu oluşturduğunuzda, sütuna çift tıklayarak şablonunu değiştirebilirsiniz. Test etmediğinizde sütunu gizleyin."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr "Şablonlar bir bileşik özel sütuna referans vererek diğer şablonları kullanabilirler."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr "Bir santralde, özel şablon ``{}`` kullanarak bir alanı boş olarak ayarlayabilirsiniz (ya da boşla eş değer neyse). Bu şablon her zaman boş karakter dizisi olarak değerlenecektir."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tr/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tr/xpath.po	2020-07-16 17:01:32.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Salih Dursuntaş <salihdt@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -160,5 +160,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "``re:test(src, desen, bayraklar)`` ifadesi eğer `src` karakter dizisi `desen` düzenli ifadesiyle eşleşirse  `true` döndürür. Eşleşmeyi büyük küçük harfe duyarlı yapan ``i`` özellikle yararlı bir bayraktır. Düzenli ifadeler için iyi bir giriş `regexp sözdizimi <https://docs.python.org/2.7/library/re.html>`_ sayfasında bulunabilir"
+"<https://docs.python.org/library/re.html>`_"
+msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/develop.po	2020-03-05 04:48:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/develop.po	2020-07-16 16:53:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/function_mode.po	2020-07-16 17:09:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/glossary.po	2020-07-16 16:59:45.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/gui.po	2020-07-02 04:20:14.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/gui.po	2020-07-16 17:06:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/news.po	2020-06-18 03:20:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/news.po	2020-07-16 16:57:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/regexp.po	2020-07-16 17:03:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/template_lang.po	2020-07-02 04:14:10.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/template_lang.po	2020-07-16 16:55:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tt/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tt/xpath.po	2020-07-16 17:01:34.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/tutorials.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/tutorials.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/tutorials.pot	2020-07-03 02:14:12.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/tutorials.pot	2020-07-16 17:19:08.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/typesetting_math.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/typesetting_math.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/typesetting_math.pot	2020-07-03 02:14:08.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/typesetting_math.pot	2020-07-16 17:18:40.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/develop.po	2020-03-05 04:48:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/develop.po	2020-07-16 16:53:02.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
-"Language-Team: Uighur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
+"Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: ug\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:4
 msgid "Setting up a calibre development environment"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/function_mode.po	2020-07-16 17:09:01.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
-"Language-Team: Uighur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
+"Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: ug\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:2
 msgid "Function mode for Search & replace in the Editor"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/glossary.po	2020-07-16 16:59:41.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
-"Language-Team: Uighur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
+"Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: ug\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #: ../../home/kovid/work/calibre/manual/glossary.rst:3
 msgid "Glossary"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/gui.po	2020-07-02 04:21:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/gui.po	2020-07-16 17:06:18.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/news.po	2020-06-18 03:18:54.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/news.po	2020-07-16 16:57:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/regexp.po	2020-07-16 17:03:25.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
-"Language-Team: Uighur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
+"Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: ug\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:4
 msgid "All about using regular expressions in calibre"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2911, 
+    "untranslated": 2913, 
     "translated": 2
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/template_lang.po	2020-07-02 04:15:31.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/template_lang.po	2020-07-16 16:55:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ug/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ug/xpath.po	2020-07-16 17:01:30.000000000 +0000
@@ -7,15 +7,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
-"Language-Team: Uighur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
+"Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: ug\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #: ../../home/kovid/work/calibre/manual/xpath.rst:4
 msgid "XPath tutorial"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/develop.po	2020-03-05 04:49:49.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/develop.po	2020-07-16 16:53:55.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 05:18+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 04:30+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
@@ -327,9 +327,9 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
-msgstr "Наступним кроком буде встановлення для змінної середовища ``CALIBRE_DEVELOP_FROM`` значення, яке буде абсолютним шляхом до каталогу src. Отже, якщо продовжувати наведений вище приклад, слід вказати шлях ``C:\\Users\\kovid\\work\\calibre\\src``. `Тут <https://docs.python.org/2/using/windows.html#excursus-setting-environment-variables>`_ наведено короткі настанови щодо налаштовування змінних середовища у Windows."
+msgstr "Наступним кроком буде встановлення для змінної середовища ``CALIBRE_DEVELOP_FROM`` значення, яке буде абсолютним шляхом до каталогу src. Отже, якщо продовжувати наведений вище приклад, слід вказати шлях ``C:\\Users\\kovid\\work\\calibre\\src``. `Тут <https://docs.python.org/using/windows.html#excursus-setting-environment-variables>`_ наведено короткі настанови щодо налаштовування змінних середовища у Windows."
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:172
 msgid ""
@@ -558,9 +558,9 @@ msgstr "Тепер відкрийте в
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
-msgstr "Дізнатися більше про те, як користуватися засобом діагностики python, можна за допомогою `документації щодо стандартної бібліотеки Python, модуль pdb <https://docs.python.org/2/library/pdb.html#debugger-commands>`_."
+msgstr "Дізнатися більше про те, як користуватися засобом діагностики python, можна за допомогою `документації щодо стандартної бібліотеки Python, модуль pdb <https://docs.python.org/library/pdb.html#debugger-commands>`_."
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:339
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/function_mode.po	2020-07-16 17:09:55.000000000 +0000
@@ -3,20 +3,20 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Yuri Chornoivan <yurchor@ukr.net>, 2016-2017
+# Yuri Chornoivan <yurchor@ukr.net>, 2016-2017,2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-21 15:39+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 05:04+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: uk\n"
-"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+"Plural-Forms: nplurals=4; plural=(n % 1 == 0 && n % 10 == 1 && n % 100 != 11 ? 0 : n % 1 == 0 && n % 10 >= 2 && n % 10 <= 4 && (n % 100 < 12 || n % 100 > 14) ? 1 : n % 1 == 0 && (n % 10 ==0 || (n % 10 >=5 && n % 10 <=9) || (n % 100 >=11 && n % 100 <=14 )) ? 2: 3);\n"
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:2
 msgid "Function mode for Search & replace in the Editor"
@@ -36,9 +36,9 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
-msgstr "У стандартному режимі *формальних виразів* для пошуку з заміною ви вказуєте формальний вираз для пошуку і шаблон, який буде використано для заміни усіх відповідників. У функціональному режимі, замість використання фіксованого шаблона, ви вказуєте довільну функцію, яку написано `мовою програмування Python <https://docs.python.org/2.7/>`_. Це надає ам змогу виконувати багато завдань, які неможливо виконати за допомогою прости шаблонів."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
+msgstr "У стандартному режимі *формальних виразів* для пошуку з заміною ви вказуєте формальний вираз для пошуку і шаблон, який буде використано для заміни усіх відповідників. У функціональному режимі, замість використання фіксованого шаблона, ви вказуєте довільну функцію, яку написано `мовою програмування Python <https://docs.python.org>`_. Це надає вам змогу виконувати багато завдань, які неможливо виконати за допомогою простих шаблонів."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
 msgid ""
@@ -91,12 +91,11 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
-msgstr "Кожна нетипова функція пошуку з заміною повинна мати неповторну назву і складатися з функції python із назвою replace, яка приймає усі аргументи, вказані вище. Для початку, пропустимо усі різні аргументи функції ``replace()``. Зосередимо нашу увагу на аргументі ``match``. Він представляє відповідник рядка пошуку під час пошуку з заміною. Повну документацію щодо нього можна знайти `тут <https://docs.python.org/2.7/library/re.html#match-objects>`_. ``match.group()`` просто повертає увесь відповідний текст, і усе, що нам лишається зробити, це замінити дефіси у цьому тексті на тире. Спочатку замінюємо подвійні дефіси, а потім одинарні."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
+msgstr "Кожна нетипова функція пошуку з заміною повинна мати неповторну назву і складатися з функції python із назвою replace, яка приймає усі аргументи, вказані вище. Для початку, пропустимо усі різні аргументи функції ``replace()``. Зосередимо нашу увагу на аргументі ``match``. Він представляє відповідник рядка пошуку під час пошуку з заміною. Повну документацію щодо нього можна знайти `тут <https://docs.python.org/library/re.html#match-objects>`_. ``match.group()`` просто повертає увесь відповідний текст, і усе, що нам лишається зробити, це замінити дефіси у цьому тексті на тире. Спочатку замінюємо подвійні дефіси, а потім одинарні."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
 msgid "Use this function with the find regular expression::"
@@ -254,11 +253,11 @@ msgstr "Аргумент «match»"
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
-msgstr "Аргумент ``match`` представляє поточний знайдений відповідник. Це `об’єкт Match Python <https://docs.python.org/2.7/library/re.html#match-objects>`_. Його найкориснішим методом є ``group()``, метод, яким можна скористатися для отримання відповідного тексту для окремих груп захоплення під час пошуку за формальним виразом."
+msgstr "Аргумент ``match`` представляє поточний знайдений відповідник. Це `об’єкт Match Python <https://docs.python.org/library/re.html#match-objects>`_. Його найкориснішим методом є ``group()``, метод, яким можна скористатися для отримання відповідного тексту для окремих груп захоплення під час пошуку за формальним виразом."
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:248
 msgid "The ``number`` argument"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/glossary.po	2020-07-16 17:00:24.000000000 +0000
@@ -4,21 +4,21 @@
 # 
 # Translators:
 # Zoriana Zaiats, 2014
-# Yuri Chornoivan <yurchor@ukr.net>, 2017
+# Yuri Chornoivan <yurchor@ukr.net>, 2017,2020
 # Zoriana Zaiats, 2014
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 04:26+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: uk\n"
-"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+"Plural-Forms: nplurals=4; plural=(n % 1 == 0 && n % 10 == 1 && n % 100 != 11 ? 0 : n % 1 == 0 && n % 10 >= 2 && n % 10 <= 4 && (n % 100 < 12 || n % 100 > 14) ? 1 : n % 1 == 0 && (n % 10 ==0 || (n % 10 >=5 && n % 10 <=9) || (n % 100 >=11 && n % 100 <=14 )) ? 2: 3);\n"
 
 #: ../../home/kovid/work/calibre/manual/glossary.rst:3
 msgid "Glossary"
@@ -112,6 +112,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Формальні вирази** надають стислі та гнучкі засоби для ідентифікації рядків тексту, зокрема певних символів, слів чи шаблонів символів. Див. `синтаксис формальних виразів <https://docs.python.org/2.7/library/re.html>`_, щоб дізнатися більше про формальні вирази, які використовуються в Python."
+msgstr "**Формальні вирази** надають стислі та гнучкі засоби для ідентифікації рядків тексту, зокрема певних символів, слів чи шаблонів символів. Див. `синтаксис формальних виразів <https://docs.python.org/library/re.html>`_, щоб дізнатися більше про формальні вирази, які використовуються в Python."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/gui.po	2020-07-02 04:22:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/gui.po	2020-07-16 17:07:34.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 04:45+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 04:26+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
@@ -804,13 +804,13 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
 "Regular expression searches are 'contains' searches unless the expression "
 "contains anchors."
-msgstr "Пошук з рівністю позначається додаванням на початку рядка пошуку знаку рівності (=). Наприклад, пошук за запитом «tag:\"=наука\"» виявить усі записи із міткою «наука», але не з мітками «наука про людину» або «наука про природу». Запити щодо пошуку за формальним виразом позначаються додаванням на початку рядку пошуку тильди (~). Можна використовувати будь-які `сумісні з Python формальні вирази <https://docs.python.org/2/library/re.html>`_. Зауважте, що слід дублювати символи зворотної похилої риски, які використовуються для екранування символів у формальних виразах, оскільки одинарні похилі риски буде вилучено під час обробки запиту. Наприклад, якщо ви хочете знайти символ круглої дужки, вам слід вказати у виразі «\\\\(». Пошук за формальними виразами виконуватиметься так, щоб результати «містили» вказаний вираз, якщо у формальному виразі не визначено прив’язок до кінця або початку слова."
+msgstr "Пошук з рівністю позначається додаванням на початку рядка пошуку знаку рівності (=). Наприклад, пошук за запитом «tag:\"=наука\"» виявить усі записи із міткою «наука», але не з мітками «наука про людину» або «наука про природу». Запити щодо пошуку за формальним виразом позначаються додаванням на початку рядку пошуку тильди (~). Можна використовувати будь-які `сумісні з Python формальні вирази <https://docs.python.org/library/re.html>`_. Зауважте, що слід дублювати символи зворотної похилої риски, які використовуються для екранування символів у формальних виразах, оскільки одинарні похилі риски буде вилучено під час обробки запиту. Наприклад, якщо ви хочете знайти символ круглої дужки, вам слід вказати у виразі «\\\\(». Пошук за формальними виразами виконуватиметься так, щоб результати «містили» вказаний вираз, якщо у формальному виразі не визначено прив’язок до кінця або початку слова."
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:351
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/news.po	2020-06-18 03:19:45.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/news.po	2020-07-16 16:58:39.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 05:44+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 04:26+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
@@ -236,8 +236,8 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
-msgstr "У наведеному вище коді ``def print_version(self, url)`` визначає *метод*, який викликається calibre для кожної статті. ``url`` — це адреса початкової версії статті. ``print_version`` бере адресу і замінює її новою адресою, яка вказує на друковану версію статті. Щоб дізнатися більше про програмування мовою `Python <https://www.python.org>`_, ознайомтеся з  `підручником <https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
+msgstr "У наведеному вище коді ``def print_version(self, url)`` визначає *метод*, який викликається calibre для кожної статті. ``url`` — це адреса початкової версії статті. ``print_version`` бере адресу і замінює її новою адресою, яка вказує на друковану версію статті. Щоб дізнатися більше про програмування мовою `Python <https://www.python.org>`_, ознайомтеся з  `підручником <https://docs.python.org/tutorial/>`_."
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/regexp.po	2020-07-16 17:04:17.000000000 +0000
@@ -4,14 +4,14 @@
 # 
 # Translators:
 # Zoriana Zaiats, 2014
-# Yuri Chornoivan <yurchor@ukr.net>, 2016-2018
+# Yuri Chornoivan <yurchor@ukr.net>, 2016-2018,2020
 # Zoriana Zaiats, 2014
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 04:29+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
@@ -439,8 +439,8 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Гаразд, на цьому можна і завершити дуже короткий вступ щодо формальних виразів. Сподіваємося, ми показали вам достатньо, щоб принаймні створити початкові враження і уможливити ваше подальше самостійне навчання. Продовжити вивчення формальних виразів можна за допомогою `документації з формальних виразів у Python <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
+msgstr "Гаразд, на цьому можна і завершити дуже короткий вступ щодо формальних виразів. Сподіваємося, ми показали вам достатньо, щоб принаймні створити початкові враження і уможливити ваше подальше самостійне навчання. Продовжити вивчення формальних виразів можна за допомогою `документації з формальних виразів у Python <https://docs.python.org/library/re.html>`_."
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
 msgid ""
@@ -495,5 +495,8 @@ msgstr "Orpheu"
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
-msgstr "Докладніше про формальні вирази можна дізнатися з `Підручника користувача Python <https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
+msgstr "Докладніші відомості щодо формальних виразів можна знайти у `Підручнику користувача Python <https://docs.python.org/library/re.html>`_. Бібліотекою, яку calibre використовує для роботи з формальними виразами, є `regex <https://bitbucket.org/mrabarnett/mrab-regex/src/hg/>`_ У цій бібліотеці реалізовано підтримку декількох корисних удосконалень стандартної бібліотеки python."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "untranslated": 0, 
-    "translated": 2913
+    "translated": 2915
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/template_lang.po	2020-07-02 04:16:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/template_lang.po	2020-07-16 16:56:35.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 04:42+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 05:02+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
@@ -174,9 +174,9 @@ msgstr "Якщо вам потрібні
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
-msgstr "Мова шаблонів calibre є похідною від мови Python. Тому, щоб дізнатися більше про синтаксис цих складних дій з форматування, зверніться до `документації з Python <https://docs.python.org/2/library/string.html#format-string-syntax>`_."
+msgstr "Мова шаблонів calibre є похідною від мови Python. Тому, щоб дізнатися більше про синтаксис цих складних дій з форматування, зверніться до `документації з Python <https://docs.python.org/library/string.html#format-string-syntax>`_."
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:90
 msgid "Advanced features"
@@ -377,12 +377,20 @@ msgstr "``lookup(взірець, пол
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr "``rating_to_stars(use_half_stars)`` — повертає оцінку як рядок символів-зірочок. Початковим значенням має бути число від 0 до 5. Встановіть для use_half_stars значення 1, якщо вам потрібні половинні символи зірочок для нетипових стовпчиків оцінок, значення у яких не є цілими, наприклад, рівними 2.5."
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr "``re(взірець, замінник)`` — повертає вміст поля після застосування заміни за формальним виразом. Всі екземпляри рядка «взірець» буде замінено рядком «замінник». Як і всюди у calibre, має бути використано формальні вирази, сумісні з синтаксисом Python."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -391,7 +399,7 @@ msgid ""
 "identifiers for a book."
 msgstr "``select(ключ)`` — вважати вміст поля списком елементів, відокремлених один від одного комами, де елементи записано у формі \"ідентифікатор:значення\". Шукає пару із ідентифікатором, який відповідає значенню «ключ» і повертає відповідне ідентифікатору значення. Ця функція може стати у пригоді при видобуванні значення, подібного до ISBN, з набору ідентифікаторів книги."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -405,7 +413,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr "``shorten(ліві символи, текст посередині, праві символи)`` — повертає скорочену версію поля, що складається з «ліві символи» символів з початку поля, потім символів «текст посередині», а потім «праві символи» символів наприкінці рядка. Значення «ліві символи» та «праві символи» мають бути цілі числа. Розгляньмо приклад з назвою книги «Давні англійські закони часів Айвенго» і вам потрібно вмістити цю назву у 15 символів. Якщо ви скористаєтеся шаблоном ``{title:shorten(9,-,5)}``, результатом буде «Давні анг-венго». Якщо кількість символів у полі менша за суму «ліві символи» + «праві символи» + кількість символів у «текст посередині», вміст поля не змінюватиметься. У нашому прикладі назву «Під мінаретами» не буде змінено."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -417,7 +425,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr "str_in_list(роздільник, рядок, значення_якщо_знайдено, значення_якщо_не_знайдено) — обробляє поле як список пунктів, відокремлених роздільником, порівнює рядок з кожним зі значень у списку. Якщо рядок збігається зі значенням (без врахування регістру), повертає «значення_якщо_знайдено», інакше повертає «значення_якщо_не_знайдено». Якщо рядок містить роздільники, його також буде оброблено як список, перевірятиметься кожне зі значень у цьому списку. Значення «рядок» і «значення_якщо_знайдено» можна повторювати довільну кількість разів, залежно від пошуку. Перевірка рядків виконується послідовно. Функція повертає перший знайдений відповідник."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -431,7 +439,7 @@ msgid ""
 "list. Examples::"
 msgstr "``subitems(початковий_номер, кінцевий_номер)`` — цією функцією користуються для розбиття списків пунктів, зокрема списків жанрів. Функція обробляє поле як відокремлений комами список записів, у якому кожен з записів є відокремленим крапками списком. Повертає новий список, створений таким чином: спочатку буде знайдено всі відокремлені крапками запис, потім для кожного такого запису буде видобуто компоненти від номера `початковий_номер` до `кінцевий_номер`, а потім всі видобуті записи знову буде поєднано для отримання результату. Перший компонент у відокремленому крапками списку матиме номер нуль. Якщо номер буде від’ємним, його буде відраховано від кінця списку. Якщо буде вказано `кінцевий_номер` рівний нулеві, номер вважатиметься кінцевим у списку. Приклади::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -442,14 +450,23 @@ msgid ""
 ",C\"::"
 msgstr "``sublist(початковий_номер, кінцевий_номер, роздільник)`` — обробляє поле як список пунктів, відокремлених роздільником `роздільник`, повертає новий список, створений з пунктів з номера `початковий_номер` до номера `кінцевий_номер`. Перший пункт має нульовий номер. Якщо вказано від’ємний номер, його буде відраховано від кінця списку. Якщо буде вказано `кінцевий_номер` рівний нулеві, номер вважатиметься кінцевим у списку. Приклади у основному режимі шаблонів зі стовпчиком міток (значення у якому відокремлено комами), що містить значення \"A, B, C\"::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr "``swap_around_articles(роздільник)`` — повертає значення із артиклями, які пересунуто в кінець. Значенням може бути список, елементи якого буде оброблено окремо. Якщо значенням є список, вам слід вказати роздільник значень у списку. Якщо значення роздільника вказано не буде, значення вважатиметься одним рядком, а не списком."
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr "``swap_around_comma()`` — за заданим полем у форматі «B, A» повертає значення «A B». Найкорисніше для перетворення імен у форматі «Прізвище, Ім’я» на імена у форматі «Ім’я Прізвище». Якщо коми у значенні не буде виявлено, функція поверне значення без змін."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -458,13 +475,13 @@ msgid ""
 "pairs as you want."
 msgstr "``switch(значення, взірець, значення, взірець, значення, ..., інше_значення)`` — для кожної пари «взірець, значення» перевіряє, чи відповідає поле формальному виразу «взірець». Якщо це так, повертає «значення». Якщо відповідності з взірцем не буде знайдено, буде повернено «інше_значення». Можна визначати довільну кількість пар «взірець, значення».."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr "``test(текст для непорожнього, текст для порожнього)`` — повертає «текст для непорожнього», якщо значення не є порожнім. Якщо це не так, повертає «текст для порожнього».."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -472,7 +489,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr "``transliterate()`` — повертає такий рядок латинською абеткою, який при читанні за звуком літер звучить приблизно так само, як і початкове поле. Наприклад, якщо початковим рядком є ``Фёдор Миха́йлович Достоевский``, функцією буде повернуто ``Fiodor Mikhailovich Dostoievskii``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -484,17 +501,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr "Тепер, як щодо використання функцій і форматування у одному полі? Припустімо, у нас є нетиповий стовпчик із назвою ``#myint``, у якому містяться цілі числа. Вам потрібно представити їх у форматі із початковими нулями, ось так: ``003``. Для цього можна було б скористатися форматуванням ``0>3s``. Втім, типово, якщо число (ціле або дійсне) дорівнює нулеві, у поле буде записано порожнє значення. Отже, нульові значення початкові значення призводитимуть до порожніх записів, а не до записів ``000``. Якщо вам потрібні саме значення ``000``, вам слід скористатися одразу і рядком форматування, і функцією ``ifempty`` для заміни порожнього значення на нульове. Еталонний код міг би бути таким::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr "Зауважте, що ви також можете скористатися префіксом та суфіксом. Якщо вам потрібно, щоб число було записано як ``[003]`` або ``[000]``, скористайтеся таким полем::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr "Використання функцій у шаблонах: режим програмування шаблонів"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -502,13 +519,13 @@ msgid ""
 "programming language."
 msgstr "Режим програмування мовою шаблонів відрізняється від режиму єдиної функції тим, що надає вам змогу писати вирази шаблонів, які посилаються на інші поля метаданих, змінюють значення і виконують арифметичні дії. Це достатньо повна мова програмування."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr "У програмному режимі шаблонів ви можете використовувати документовані вище функції. Докладніший опис використання наведено нижче."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -517,23 +534,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr "Почнімо з прикладу. Припустімо, що ви хочете, щоб ваш шаблон показував цикл для книги, яка належить до циклу, і значення нетипового поля #genre, якщо книга не належить до циклів. Зробити це за допомогою базової мови неможливо, оскільки ви не можете послатися на інше поле метаданих у виразі шаблона. Але у програмному режимі ви можете це зробити. Спрацює такий вираз::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr "Приклад демонструє декілька речей:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr "режим програмування буде використано, якщо вираз починається з ``:'`` і завершується ``'``. Усі інші варіанти вважатимуться одинарною функцією."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr "змінна ``$`` позначає поле, яке обробляє вираз; у нашому випадку це ``#series``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -541,16 +558,16 @@ msgid ""
 "from single-function mode."
 msgstr "функціями мають передаватися усі їхні аргументи. Типового значення немає. Наприклад, стандартним вбудованим функціями слід передавати додатковий початковий параметр, який вказує на поле джерела даних. Це є значною відмінністю від режиму одинарної функції."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr "пробіли буде проігноровано; їх можна використовувати будь-де у виразі."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr "сталі рядки слід брати у відповідні лапки ``'`` або ``\"``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -558,15 +575,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr "Мова програмування є подібною до ``функційних`` мов програмування тим, що її майже повністю побудовано з функцій. Інструкція є функцією. Вираз є функцією. Сталі і ідентифікатори можна вважати функціями, які повертають значення, що визначається сталою або зберігається у ідентифікаторі."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr "Синтаксис мови показано такою граматичною конструкцією::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr "Коментарями вважаються рядки, які починаються з символу «#»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -574,27 +591,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr "``expression`` завжди має значення, це або значення сталої або значення, що міститься у ідентифікаторі, або значення, яке повертає функція. Значенням ``statement`` є значення останнього виразу у послідовності інструкцій. Отже, значенням такої програми (інструкції)::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr "дорівнює 3."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr "Це один приклад складної, але доволі банальної програми, який може допомогти зрозуміти усе краще::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr "Програма виконує такі дії:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr "визначає, що полем, яке слід знайти, є поле series_index. Його вміст визначає значення змінної ``$``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -605,7 +622,7 @@ msgid ""
 "before substr can return."
 msgstr "викликає функцію ``substr``, яка приймає 3 параметри ``(рядок, початок, кінець)``. Функція повертає рядок, який сформовано видобуванням символів від символу з номером ``початок`` до символу з номером ``кінець`` з рядка ``str``. Нумерація символів починається з нуля (перший символ рядка має номер 0). У цьому прикладі рядок буде визначено функцією ``strcat``, початком є 0, а кінцем — 6. Отже, буде повернуто перші 6 символів рядка, який повертається ``strcat``, і який має бути визначено до того, як substr зможе повернути значення."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -616,7 +633,7 @@ msgid ""
 "return."
 msgstr "викликає функцію ``strcat`` (об’єднання рядків). Strcat приймає 1 або декілька аргументів і повертає рядок, що складається з об’єднання всіх аргументів. У цьому випадку аргументів три. Першим є значення у змінній ``$``, яким є значення ``series_index``. Другим є сталий рядок ``'->'``. Третім аргументом є значення, яке повертає функція ``cmp``, тобто значення, яке має бути повністю обчислено до того, як ``strcat`` зможе повернути значення."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -629,7 +646,7 @@ msgid ""
 "``'gt'``."
 msgstr "функція ``cmp`` приймає 5 аргументів, ``(x, y, lt, eq, gt)``. Вона порівнює x та y і повертає третій аргумент, ``lt``, якщо x < y, четвертий аргумент, ``eq``, якщо x == y, і п’ятий аргумент, ``gt``, якщо x > y. Як в усіх функцій, усі аргументи функції можуть бути інструкціями. У нашому випадку перший аргумент (значення ``x``) є результатом ділення series_index на 2. Другий аргумент, ``y``, є сталою ``1``. Третій аргумент, ``lt``, інструкцією (докладніше про неї нижче). Четвертий аргумент, ``eq``, є сталим рядком ``'eq'``. А п’ятий аргумент є сталим рядком ``'gt'``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -641,38 +658,38 @@ msgid ""
 "``'t123'``."
 msgstr "Третій аргумент (той, що стоїть на місці ``lt``) є інструкцією або послідовністю виразів. Слід пам’ятати, що інструкція (послідовність відокремлених символом крапки з комою виразів) також є виразом, що повертає значення останнього виразу у списку. У нашому випадку, програма спочатку надає локальній змінній ``c`` значення ``1``, потім повертає підрядок, утворений видобуванням рядка, що починається з символу із номером ``c`` і завершується кінцевим символом рядка. Оскільки ``c`` завжди містить сталу ``1``, завжди повертатиметься рядок, що починається з другого символу рядка і завершується його кінцевим символом, або ``'t123'``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr "Щойно інструкцію, яка надає значення третього параметра, буде виконано, ``cmp`` зможе повернути значення. Після цього значення зможуть повернути ``strcat`, а потім і ``substr``. Програма завершить свою роботу."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr "Для різних значень series_index програма повертає:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr "series_index == undefined, result = ``prefix ->t123 suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr "series_index == 1, result = ``prefix 1->t12 suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr "series_index == 2, result = ``prefix 2->eq suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr "series_index == 3, result = ``prefix 3->gt suffix``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -683,7 +700,7 @@ msgid ""
 " often `field()`."
 msgstr "**У програмному режимі можна використовувати усі функції, які було описано у розділі щодо режиму єдиної функції**. Для цього вам слід надати значення, яке може бути оброблено функцією як перший параметр, окрім параметрів, які вказано вище. Наприклад, у програмному режимі параметрами функції `test` є ``test(x, текст для непорожнього, текст для порожнього)``. Параметр `x`, який є значенням, щодо якого слід виконати перевірку, майже завжди є змінною або результатом виклику функції, часто `field()`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -694,26 +711,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr "Описані нижче функції розширюють набір функцій, описаний у розділі щодо режиму єдиної функції. Не забудьте, що, як можна побачити у наведеному вище прикладі, функції з режиму єдиної функції потребують додаткового першого параметра, який визначає поле, яке має обробляти функція. Окрім параметра ``ідентифікатор`` функції assign, усі параметри можуть бути інструкціями (послідовностями виразів). Зауважте, що із повною документацією щодо функцій можна ознайомитися у розділі щодо :ref:`класифікації функцій <template_functions_reference>`:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr "and(значення, значення, ...) — повертає рядок «1», якщо всі значення не є порожніми. Якщо одне зі значень є порожнім, повертає порожній рядок. Ця функція добре поєднується з test або first_non_empty. Ви можете вказати довільну кількість значень."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr "add(x, y) — повертає суму x + y. Повідомляє про виключення, якщо x або y не є числом."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(ідентифікатор, значення) — надає ідентифікатору значення, потім повертає значення. «ідентифікатор» має бути ідентифікатором, а не виразом."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -722,7 +739,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr "approximate_formats() — повернути розділений комами список форматів, які на певному етапі було пов’язано з книгою``. Гарантувати чинність такого списку не можна, хоча, ймовірно, він залишається чинним. Цю функцію можна викликати у режимі шаблонної програми за допомогою шаблона «{:'approximate_formats()'}». Зауважте, що назви форматів завжди слід вказувати великими літерами, ось так: EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -735,7 +752,7 @@ msgid ""
 "empty."
 msgstr "``author_links(роздільник_значень, роздільник_пар)`` — повертає рядок, що містить список авторів з відповідними пов’язаними значеннями у форматі автор1 роздільник_значень посилання_автора1 роздільник_пар автор2 роздільник_значень посилання_автора2 тощо. Запис автора буде відділено від пов’язаного із ним значення рядком роздільник_значень без додаткових пробілів. Пари автор-пов’язане значення буде відокремлено рядком роздільник_пар без додаткових пробілів. Ви можете вибирати рядки роздільників довільним чином, так, щоб вони не збігалися з іменами авторів або посиланнями. Запис автора буде включено, навіть якщо пов’язане з ним значення посилання є порожнім."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -746,13 +763,13 @@ msgid ""
 "separator string"
 msgstr "``author_sorts(роздільник_значень)`` — повертає рядок, що містить список значень упорядкування записів авторів книги. Критерієм упорядковування є один із записів метаданих автора (відмінний від author_sort у книгах). Повернутий список має такий формат: упорядкування автора 1 роздільник_значень упорядкування автора 2 тощо. Значення упорядковування авторів у цьому списку перебувають у тому самому порядку, що і автори у книзі. Якщо вам потрібні пробіли навколо роздільника_значень, додайте їх до рядка роздільника."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr "``booksize()`` — повертає значення поля calibre «size». Повертає '', якщо форматів немає."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -762,7 +779,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr "``check_yes_no(назва_поля, is_undefined, is_false, is_true)`` — перевіряє, чи дорівнює значення поля «так/ні», вказаного ключем пошуку ``назва_поля``, значенню, вказаному параметрами, повертає «yes», якщо знайдено відповідник, інакше, повертає порожній рядок. Встановіть для параметрів ``is_undefined``, ``is_false`` або ``is_true`` значення 1 (число), щоб перевірити відповідну умову, інакше, встановіть 0. Приклад::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -770,28 +787,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr "повертає «yes», якщо поле «так/ні» ``\"#bool\"`` або не визначено (ні True, ні False), або True. Встановлювати значення 1 можна для декількох параметрів з набору ``is_undefined``, ``is_false`` та ``is_true``. Зазвичай, ця функція використовується у функціях ``test()`` або ``is_empty()``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr "cmp(x, y, lt, eq, gt) — порівнює x і y після перетворення обох величин у числа``. Повертає lt, якщо x < y. Повертає eq, якщо x == y. За інших умов повертає gt."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr "``current_library_name()`` — повертає останню адресу поточної бібліотеки calibre. Цю функцію можна викликати у режимі програмування шаблону за допомогою шаблону «{:'current_library_name()'}»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr "``current_library_path()`` — повернути шлях до поточної бібліотеки calibre. Цю функцію можна викликати у режимі шаблонної програми за допомогою шаблона «{:'current_library_path()'}»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -799,13 +816,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr "days_between(дата1, дата2) — повертає кількість днів між датою дата1 і датою дата2``. Кількість днів є додатною, якщо дата1 перевищує дата2, інакше значення буде від’ємним. Якщо значення дата1 або значення дата2 не вдасться обробити як дату, функція поверне порожній рядок."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "divide(x, y) — повертає частку x / y. Повідомляє про виключення, якщо x або y не є числом."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -816,11 +833,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr "``eval(рядок) — обробляє рядок як програму з передаванням локальних змінних (змінних, які було визначено за допомогою «assign»). Це надає змогу скористатися обробником шаблонів для побудови складних результатів на основі локальних змінних.  Оскільки символи «{» і «}» є особливими, вам слід використовувати «[[» для позначення символу «{» і «]]» для позначення символу «}». Перетворення буде виконано автоматично. Також слід зауважити, що у аргументі цієї функції не можна використовувати префікси і суфікси (тобто синтаксичні конструкції, подібні до «|префікс|суфікс»), якщо використовується режим програмного шаблона."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr "field(назва) — повертає значення поля метаданих, вказаного параметром «назва»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -828,27 +845,27 @@ msgid ""
 "Example::"
 msgstr "``first_matching_cmp(значенняl, умова1, результат1, умова2, результат2, ..., інший_результат)`` — послідовно виконує порівняння «val < cmpN», повертаючи результатN для першої з виконаних умов у послідовності. Повертає інший_результат, якщо жодну з умов не буде виконано. Приклад::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr "повертає «large». Той самий приклад із першим значенням 16 повертатиме «giant»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr "``first_non_empty(значення, значення, ...)`` — повертає перше значення, яке не є порожнім. Якщо всі значення є порожніми, повертає порожнє значення. Ви можете вказати довільну кількість значень."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr "``format_date(значення, рядок_формату)`` — форматувати значення, яке має бути записом поля дати, на основі значення рядок_формату, повернути рядок. Коди форматування::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -857,7 +874,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr "Результати можуть бути не такими, на які ви сподівалися, якщо форматована дата містить локалізовані назви місяців, що може трапитися, якщо ви змінили коригування формату на такі, які містять ``MMMM``. У цьому випадку, замість використання шаблона, подібного до ``{pubdate:format_date(yyyy)}``, напишіть шаблон, що використовує програмний режим, ось так: ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -868,14 +885,14 @@ msgid ""
 "same output as the above template::"
 msgstr "``finish_formatting(значення, формат, префікс, суфікс)`` — застосувати формат, префікс і суфікс до значення у спосіб, у який це виконується шаблоном, зокрема ``{series_index:05.2f| - |- }``. Цю функцію створено для спрощення перетворення складних шаблонів режиму єдиної функції і програмного режиму до :ref:`загального програмного режиму <general_mode>` (див. нижче) для використання переваг компіляції шаблонів загального програмного режиму. Наприклад, наведена нижче програма виводить ті самі дані, що і вказаний вище програма-шаблон::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr "Інший приклад. Для шаблона ``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - }{title}`` скористайтеся таким::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -885,7 +902,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr "``formats_modtimes(формат_дати)`` — повертає відокремлений комами список відокремлених двокрапками пунктів, які відповідають часу внесення змін до файлів форматів книги. Параметр «формат_дати» визначає спосіб форматування дати. Докладніше про цей формат можна дізнатися з опису функції format_date(). Для отримання даних щодо внесення змін до одного з форматів ви можете скористатися функцією select. Зауважте, що назви форматів буде вказано великими літерами, наприклад EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -893,7 +910,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_paths()`` — повернути розділений комами список розділених двокрапками записів, щоб відповідають шляхам до файлів книги у різних форматах. Для отримання шляху до файла певного формату ви можете скористатися функцією select. Зауважте, що назви форматів слід вказувати великими літерами, ось так: EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -901,20 +918,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_sizes()`` — повертає відокремлений комами список відокремлених двокрапками пунктів, які відповідають об’єму у байтах файлів форматів книги. Для отримання даних щодо об’єму файла у одному з форматів ви можете скористатися функцією select. Зауважте, що назви форматів буде вказано великими літерами, наприклад EPUB."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr "has_cover() — повертає «Yes», якщо у книги є зображення обкладинки, інакше повертає порожній рядок"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "``not(значення)`` — повертає рядок «1», якщо значення не є порожнім. Якщо значення є порожнім, повертає порожній рядок. Ця функція добре поєднується з test або first_non_empty."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -922,7 +939,7 @@ msgid ""
 "are the items in the returned list."
 msgstr "``list_difference(список1, список2, роздільник)`` — повертає список, створений вилученням зі списку список1 всіх пунктів, які містяться у списку список2, на основі порівняння без врахування регістру. Пункти у списках список1 і список2 відокремлюються роздільником «роздільник», як і пункти у повернутому функцією списку."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -931,7 +948,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr "``list_equals(список1, роздільник1, список2, роздільник2, значення_якщо_так, значення_якщо_ні)`` — повертає «значення_якщо_так», якщо список1 і список2 містять однакові записи. Якщо це не так, повертає «значення_якщо_ні». Записи визначаються поділом кожного зі списків на основі вказаного символу роздільника (роздільник1 або роздільник2). Порядок записів у списках не береться до уваги. Порівняння виконуватиметься без врахування регістру символів."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -939,7 +956,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr "``list_intersection(список1, список2, роздільник)`` — повертає список, створений вилученням зі списку список1 всіх пунктів, яких немає у списку список2, на основі порівняння без врахування регістру. Пункти у списках список1 і список2 відокремлюються роздільником «роздільник», як і пункти у повернутому функцією списку."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -949,7 +966,7 @@ msgid ""
 "returned list."
 msgstr "list_re(початковий_список, роздільник, фв_пошуку, пар_заміни) — будує список таким чином: спочатку поділяє початковий_список на запис на основі вказаного символу роздільника`. Для кожного з записів у списку перевіряє відповідність формальному виразу «фв_пошуку». Якщо відповідність буде встановлено, запис буде додано до повернутого списку. Якщо параметр «пар_заміни» не буде порожнім, заміну буде виконано до додавання запису до повернутого списку."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -957,7 +974,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr "``list_re_group(список_джерел, роздільник, фв_включення, фв_пошуку, шаблон_групи_1, шаблон_групи_2, ...)`` — Подібне до list_re, але замінники є обов’язковими. Використовує re_group(пункт_списку, фв_пошуку, шаблон_групи_, ) під час виконання замін у остаточному списку."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -965,7 +982,7 @@ msgid ""
 " items in the returned list."
 msgstr "list_sort(список, напрямок, роздільник) — повертає список, впорядкований без врахування регістру. Якщо значенням параметра «напрямок» є нуль, список буде впорядковано за зростанням. Якщо значення буде іншим, список впорядковуватиметься за спаданням. Записи у початковому списку має бути відокремлено роздільником, як і записи у списку-результаті."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -974,46 +991,46 @@ msgid ""
 "returned list."
 msgstr "``list_union(список1, список2, роздільник)`` — повертає список, створений за допомогою об’єднання пунктів у списках список1 і список2 з вилученням дублікатів, виявлених шляхом порівняння без врахування регістру символів. Якщо записи пунктів відрізнятимуться лише регістром символів, використовуватиметься пункт зі списку список1. Пункти у списках список1 і список2 має бути відокремлено роздільником, який також буде використано під час формування списку-результату."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr "multiply(x, y) — повертає добуток x * y. Повідомляє про виключення, якщо x або y не є числом."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr "ondevice() — повертає «Yes», якщо встановлено «ondevice», інакше повертає порожній рядок"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr "or(значення, значення, ...) — повертає рядок «1», якщо хоч одне значення не є порожнім. Якщо всі значення є порожніми, повертає порожній рядок. Ця функція добре поєднується з test або first_non_empty. Ви можете вказати довільну кількість значень."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr "print(a, b, ...) — виводить аргументи до стандартного виведення. Якщо ви не запускали calibre з командного рядка (calibre-debug -g), дані нікуди не буде виведено."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr "raw_field(назва) — повертає поле метаданих, вказане за допомогою параметра «назва», без застосування форматування."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr "``raw_list(назва, роздільник)`` — повертає список метаданих з назвою «назва» без застосування будь-якого форматування або упорядковування. Записи у списку буде відокремлено значенням «роздільник»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1025,17 +1042,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr "``re_group(значення, зразок, шаблон_для_групи_1, шаблон_для_групи_2, ...)`` — повертає рядок, створений за допомогою застосування формального виразу заданого зразком до значення та заміною кожної з відповідних груп значенням, повернутим відповідним шаблоном. Початкове відповідне значення для групи позначається $. У режимі шаблонного програмування, як і у функціях template та eval, замість { слід використовувати [[, замість } — ]]. Приклад: у режимі шаблонного програмування знайти послідовності з понад одного слова і замінити першу літеру першого слова на велику::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr "series_sort() — повертає значення впорядкування циклу."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr "strcat(a, b, ...) — може приймати довільну кількість аргументів. Повертає рядок, отриманий з’єднанням всіх аргументів.."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1045,19 +1062,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(максимум, рядок1, префікс2, рядок2, ...) — повертає рядок, утворений об’єднанням аргументів функції. Початковим значенням результату буде рядок1. Пари «префікс, рядок» додаватимуться в кінець результату, якщо довжина рядка-результату не перевищуватиме значення «максимум». Значення рядок1 буде повернуто, навіть якщо довжина рядка рядок1 перевищує максимум. Функції можна передавати довільну кількість пар «префікс, рядок»."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr "strcmp(x, y, lt, eq, gt) — виконує порівняння x і y як рядків без врахування регістру. Повертає lt, якщо x < y. Повертає eq, якщо x == y. За інших умов повертає gt."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr "strlen(a) — повертає довжину рядка, переданого як аргумент.."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1067,20 +1084,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr "substr(рядок, початок, кінець) — повертає символи від символу з номером «початок» до символу з номером «кінець» у рядку «рядок»````. Вважається, що у рядок починається з нульового символу. Якщо значення «кінець» є від’ємним, символи буде відраховано у напрямку до початку рядка. Якщо значенням «кінець» є нуль, кінцем вважатиметься останній символ. Приклади: substr('12345', 1, 0) повертає '2345', а substr('12345', 1, -1) повертає '234'."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr "subtract(x, y) — повертає різницю x - y. Повідомляє про виключення, якщо x або y не є числом."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr "today() — повертає сьогоднішню дату. Це значення створено для використання у format_date або days_between, але з ним можна працювати як зі звичайним рядком. Дату буде повернуто у форматі ISO."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1092,15 +1109,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr "template(x) — обробляє x як шаблон. Обробку буде виконано у власному контексті, тобто змінні не використовуватимуться як спільні для функції виклику і обробки шаблону. Оскільки символи «{» і «}» є особливими, вам слід використовувати «[[» для позначення символу «{» і «]]» для позначення символу «}». Перетворення буде виконано автоматично. Наприклад, template('[[title_sort]]') буде оброблено як шаблон {title_sort} і повернуто відповідне значення. Також слід зауважити, що у аргументі цієї функції не можна використовувати префікси і суфікси (тобто синтаксичні конструкції, подібні до «|префікс|суфікс»), якщо використовується режим програмного шаблона."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr "Класифікація функцій"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr "Використання загального режиму програмування"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1110,7 +1127,7 @@ msgid ""
 "correct results."
 msgstr "У складніших шаблонних програмах іноді простіше уникати синтаксису шаблонів (усіх символів `{` і `}`) і писати програми у класичному стилі. Перейти до такого режиму у calibre можна розпочавши шаблон зі слова `program:`. Для таких програм не виконуватиметься звична обробка шаблонів. Значення для спеціальної змінної `$` не встановлюватиметься. Про те, щоб вивести коректні результати, має подбати сама програма."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1124,7 +1141,7 @@ msgid ""
 "report."
 msgstr "Однією із переваг режиму `program:` є те, що у ньому дужки вже не мають спеціального значення. Наприклад, немає потреби використовувати `[[` і `]]`, коли ви користуєтеся функцією `template()`. Ще однією перевагою є те, що шаблони програмного режиму компілюються у код мовою Python і можуть працювати набагато швидше за шаблони у інших двох режимах. Рівень пришвидшення залежить від складності шаблонів: чим складнішим є шаблон, тим швидше він працюватиме у такому режимі. Компіляцію можна вимкнути або увімкнути за допомогою коригування ``compile_gpm_templates`` (компілювати шаблони загального режиму програмування у Python). Основною причиною вимикання такої компіляції є непрацездатність компільованого шаблона. Будь ласка, повідомте розробникам програми про ваду, якщо шаблон не компілюється."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1135,7 +1152,7 @@ msgid ""
 "following:"
 msgstr "Наведений нижче приклад є реалізацією у режимі `program:` рецепта на форумі MobileRead: «Записати цикл до назви, використовуючи або абревіатуру, або скорочену форму. Вилучити початкові артиклі із назви циклу (якщо такі є).» Наприклад, для книги «The Two Towers» з циклу «The Lord of the Rings» рецепт має дати `LotR [02] The Two Towers`. У стандартних шаблонах реалізація рецепта потребує трьох нетипових стовпчиків і набору метаданих, як це зроблено тут:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1144,14 +1161,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr "Вирішення потребує створення трьох складених стовпчиків. Перший стовпчик використовується для вилучення початкових артиклів. Другий — для обчислення «скороченої» форми. Третій — для форми «абревіатури». Після створення цих стовпчиків набір метаданих вибирає між ними. Ви можете сховати будь-який або усі три стовпчики з вікна перегляду бібліотеки::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr "Записана нижче програма дає той самий результат, що і початковий рецепт, використовуючи лише один нетиповий стовпчик для зберігання результатів виконання програми, яка обчислює спеціальне значення заголовка::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1161,11 +1178,11 @@ msgid ""
 " being one giant line."
 msgstr "Реалізувати описаний вище рецепт можна без нетиповий стовпчиків, вписавши програму до поля шаблона набору метаданих. Втім, для цього доведеться вилучити усі коментарі, оскільки у текстовому полі набору метаданих не передбачено багаторядкового редагування. Щодо того, чи варте заощадження нетипових стовпчиків втрати зрозумілості коду, можна подискутувати, оскільки тепер програма перетворюється на один гігантський рядок."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr "Функції шаблонів, визначені користувачем"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1173,11 +1190,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr "Ви можете додавати власні функції до обробника шаблонів. Такі функції пишуться мовою Python. Ними можна скористатися у будь-якому з трьох режимі програмування шаблонів. Функції додаються за допомогою сторінки :guilabel:`Налаштування -> Додатково -> Шаблонні функції`. Відповідні настанови можна знайти у діалоговому вікні, яке відкриє програма."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr "Спеціальні нотатки щодо шаблонів збереження або надсилання"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1188,18 +1205,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr "До шаблонів, які використовуються для дій `зберегти на диск` і `надіслати на пристрій`, застосовується спеціальна обробка. Значення полів буде очищено із заміною символів, які мають спеціальне значення у файлових системах, зокрема символів похилих рисок, на символи підкреслювання. Це означає, що текст поля не можна використовувати для створення тек. Втім, похилі риски не замінюватимуться у рядках префікса і суфікса, отже похилі риски у цих рядках можна використати для створення тек. Таким чином, ви можете створити структуру тек довільного рівня вкладеності."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr "Наприклад, припустімо ми хочемо створити структуру тек `цикл/номер_у_циклі - назва`, із умовою, що якщо циклу не існує, назву слід розташувати у верхній теці. Шаблон для виконання цього завдання::"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr "Похила риска і дефіс мають з’являтися, лише якщо цикл не є порожнім."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1209,25 +1226,25 @@ msgid ""
 "depending on the value of series."
 msgstr "Функція `lookup` надає вам змогу виконувати виконувати навіть ще вишуканішу обробку. Наприклад, припустімо, що якщо книга належить до циклу, ми хочемо мати структуру тек `цикл/номер у циклі - назва.формат`. Якщо книга не належить до циклу, нам потрібна структура тек `жанр/упорядковане ім’я автора/назва.формат`. Якщо ж книга не належить до певного жанру, слід скористатися текою 'Unknown'. Нам потрібно два повністю різних шляхи, залежно від значення параметра циклу."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr "Для виконання цього завдання ми:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr "Створимо складене поле (надавши йому назву #AA), що міститиме дані ``{series}/{series_index} - {title}``. Якщо значення циклу (series) є непорожнім, такий шаблон дасть нам `цикл/номер_у_циклі - назва`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr "Створимо складене поле (надавши йому назву #BB) із вмістом ``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. Цей шаблон дає `жанр/упорядковані_автори/назва`. Якщо немає даних щодо жанру, запис жанру буде замінено на `Unknown`."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1235,11 +1252,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr "Встановимо шаблон збереження ``{series:lookup(.,#AA,#BB)}``. Цей шаблон вибирає складене поле #AA, якщо значення запису циклу є непорожнім, і складене поле #BB, якщо значення запису циклу є порожнім. Таким чином, ми матимемо повністю різні шляхи для збереження книг, залежно від того, чи є запис `series` порожнім."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr "Шаблони і набори метаданих"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1250,7 +1267,7 @@ msgid ""
 "display issues."
 msgstr "Набори метаданих використовуються для внесення змін до метаданих, що записуються до книг під час дій із надсилання на пристрій і збереження на диск. Набір метаданих надає вам змогу вказати шаблон для надання даних, які слід записати до метаданих книги. Ви можете скористатися наборами метаданих для внесення змін до таких полів: authors, author_sort, language, publisher, tags, title, title_sort. Набори метаданих допомагають у використанні спеціалізованих метаданих для книг на пристрої з метою усування проблем із упорядковуванням книг або їхнім показом."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1261,7 +1278,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr "Під час створення набору метаданих ви визначаєте формат і пристрій, для яких використовуватиметься набір. Передбачено особливий пристрій, save_to_disk, який використовується для збереження книг у певних форматах (на відміну від надсилання книг на пристрій). Після вибору формату і пристрою вам слід вибрати поля метаданих для внесення змін і надати шаблони для визначення нових значень цих полів. Ці шаблони буде `з’єднано` з відповідними полями призначення. Ви, звичайно ж, можете використовувати у шаблонах наборів метаданих складені стовпчики."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1270,29 +1287,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr "Якщо до метаданих може бути застосовано набір (на сервері даних, для збереження на диск або надсилання на пристрій), calibre шукає визначені набори метаданих і вибирає належний для заданого формату і пристрою. Наприклад, для того, щоб знайти належний набір метаданих для книги EPUB, яку надсилають на пристрій під керуванням ANDROID, calibre шукає набори метаданих у такому порядку:"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr "набір метаданих із точною відповідністю за форматом і пристроєм, наприклад ``EPUB`` і ``ANDROID``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr "набір метаданих із точним відповідником за форматом і спеціальним варіантом ``any device``, наприклад ``EPUB`` і ``any device``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr "набір метаданих із спеціальним варіантом ``any format`` і точною відповідністю за пристроєм, наприклад ``any format`` і ``ANDROID``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr "набір метаданих ``any format`` і ``any device``"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1304,7 +1321,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr "Поля міток (`tags`) і авторів (`authors`) обробляються у особливий спосіб, оскільки у обох цих полях може міститися декілька записів. У книги може бути багато міток і багато авторів. Якщо ви визначаєте одне з цих двох полів як таке, вміст якого слід змінити, результати використання шаблона буде перевірено на наявність декількох записів. Для міток результат буде розділено на записи за знайденими calibre комами. Наприклад, якщо шаблон створює значення ``Трилер, Жахи``, результатом буде дві мітки, ``Трилер`` і ``Жахи``. Способів додавання коми у окрему мітку не передбачено."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1314,7 +1331,7 @@ msgid ""
 "author with a rather strange name."
 msgstr "Те саме стосується авторів, але для поділу на записи використовується інший символ, `&` (амперсанд), а не кома. Наприклад, якщо шаблоном створюється значення ``Blogs, Joe&Posts, Susan``, для книги буде визначено двоє авторів, ``Blogs, Joe`` і ``Posts, Susan``. Якщо ж шаблон створює значення ``Blogs, Joe;Posts, Susan``, книга матиме один запис автора із доволі чудернацьким іменем."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1323,34 +1340,34 @@ msgid ""
 "preferences window."
 msgstr "Набори метаданих впливають на метадані, які записуються до книги, коли її зберігають на диск або записують на пристрій для читання. Набори метаданих не змінюють метадані, які використовуються діями ``зберегти на диск`` та ``надіслати на пристрій`` для створення назв файлів. Назви файлів будуються за допомогою шаблонів, які вказано у відповідних місцях вікна налаштувань."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr "Корисні підказки"
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr "Можливо, для вас будуть корисними зазначені нижче підказки."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr "Створіть нетиповий складений стовпчик для тестування шаблонів. Після створення такого стовпчика для внесення змін до його вмісту достатньо буде двічі клацнути на ньому лівою кнопкою миші. Приховайте цей стовпчик, якщо ви нічого не тестуєте."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr "Шаблони можуть використовувати інші шаблони, посилаючись на них як на нетипові складені стовпчики."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr "У наборі метаданих ви можете вказати порожні значення поля (або вказати будь-який еквівалент порожнього поля) за допомогою спеціального шаблона ``{}``. Цей шаблон завжди обробляється як порожній рядок."
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uk/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uk/xpath.po	2020-07-16 17:02:15.000000000 +0000
@@ -4,14 +4,14 @@
 # 
 # Translators:
 # Zoriana Zaiats, 2014
-# Yuri Chornoivan <yurchor@ukr.net>, 2017
+# Yuri Chornoivan <yurchor@ukr.net>, 2017,2020
 # Zoriana Zaiats, 2014
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 04:25+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
@@ -162,5 +162,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "``re:test(джерело, взірець, прапорці)`` повертає `true`, якщо рядок `джерело` відповідає формальному виразу `взірець`. Одним із особливо корисних прапорців є ``i``, прапорець, який вимикає врахування регістру символів під час порівняння. Чудовий підручник із синтаксису формальних виразів можна знайти на `сторінці синтаксису формальних виразів <https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
+msgstr "``re:test(джерело, взірець, прапорці)`` повертає `true`, якщо рядок `джерело` відповідає формальному виразу `взірець`. Одним із особливо корисних прапорців є ``i``, прапорець, який вимикає врахування регістру символів під час порівняння. Чудовий підручник із синтаксису формальних виразів можна знайти на `сторінці синтаксису формальних виразів <https://docs.python.org/library/re.html>`_"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/develop.po	2020-03-05 04:48:22.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/develop.po	2020-07-16 16:53:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/function_mode.po	2020-07-16 17:09:58.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/glossary.po	2020-07-16 17:00:29.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/gui.po	2020-07-02 04:20:21.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/gui.po	2020-07-16 17:07:39.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/news.po	2020-06-18 03:18:56.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/news.po	2020-07-16 16:58:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/regexp.po	2020-07-16 17:04:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2909, 
+    "untranslated": 2911, 
     "translated": 4
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/template_lang.po	2020-07-02 04:14:16.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/template_lang.po	2020-07-16 16:56:40.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ur/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ur/xpath.po	2020-07-16 17:02:18.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/develop.po	2020-03-05 04:48:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/develop.po	2020-07-16 16:54:20.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/function_mode.po	2020-07-16 17:10:22.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/glossary.po	2020-07-16 17:00:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/gui.po	2020-07-02 04:20:18.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/gui.po	2020-07-16 17:08:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/news.po	2020-06-18 03:20:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/news.po	2020-07-16 16:59:03.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/regexp.po	2020-07-16 17:04:42.000000000 +0000
@@ -7,10 +7,10 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
-"Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz%40Latn/)\n"
+"Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/template_lang.po	2020-07-02 04:14:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/template_lang.po	2020-07-16 16:57:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/uz@Latn/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/uz@Latn/xpath.po	2020-07-16 17:02:37.000000000 +0000
@@ -7,10 +7,10 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
-"Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz%40Latn/)\n"
+"Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/develop.po	2020-03-05 04:48:16.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/develop.po	2020-07-16 16:54:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/function_mode.po	2020-07-16 17:10:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/glossary.po	2020-07-16 17:00:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/gui.po	2020-07-02 04:21:57.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/gui.po	2020-07-16 17:07:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/news.po	2020-06-18 03:19:59.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/news.po	2020-07-16 16:58:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/regexp.po	2020-07-16 17:04:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/template_lang.po	2020-07-02 04:16:00.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/template_lang.po	2020-07-16 16:56:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/ve/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/ve/xpath.po	2020-07-16 17:02:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/develop.po	2020-05-21 16:49:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/develop.po	2020-07-16 16:52:33.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-15 08:00+0530\n"
-"PO-Revision-Date: 2020-05-17 02:46+0000\n"
-"Last-Translator: Nhan Truong <thunhan@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/function_mode.po	2020-07-16 17:08:34.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/glossary.po	2020-07-16 16:59:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/gui.po	2020-07-02 04:21:09.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/gui.po	2020-07-16 17:05:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/news.po	2020-06-18 03:20:02.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/news.po	2020-07-16 16:57:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/regexp.po	2020-05-21 16:56:18.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/regexp.po	2020-07-16 17:03:00.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-15 08:00+0530\n"
-"PO-Revision-Date: 2020-05-17 02:46+0000\n"
-"Last-Translator: Nhan Truong <thunhan@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2804, 
+    "untranslated": 2806, 
     "translated": 109
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/template_lang.po	2020-07-02 04:15:05.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/template_lang.po	2020-07-16 16:54:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/vi/xpath.po	2020-05-21 16:52:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/vi/xpath.po	2020-07-16 17:01:07.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-15 08:00+0530\n"
-"PO-Revision-Date: 2020-05-17 02:46+0000\n"
-"Last-Translator: Nhan Truong <thunhan@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/viewer.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/viewer.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/viewer.pot	2020-07-03 02:14:58.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/viewer.pot	2020-07-16 17:18:46.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/virtual_libraries.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/virtual_libraries.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/virtual_libraries.pot	2020-07-03 02:15:40.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/virtual_libraries.pot	2020-07-16 17:18:51.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/develop.po	2020-03-05 04:48:42.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/develop.po	2020-07-16 16:54:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/function_mode.po	2020-07-16 17:10:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/glossary.po	2020-07-16 17:00:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/gui.po	2020-07-02 04:20:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/gui.po	2020-07-16 17:08:14.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/news.po	2020-06-18 03:18:57.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/news.po	2020-07-16 16:59:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/regexp.po	2020-07-16 17:04:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/template_lang.po	2020-07-02 04:14:48.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/template_lang.po	2020-07-16 16:57:12.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/wa/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/wa/xpath.po	2020-07-16 17:02:40.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/develop.po	2020-03-05 04:48:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/develop.po	2020-07-16 16:54:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/function_mode.po	2020-07-16 17:09:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/glossary.po	2020-07-16 17:00:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/gui.po	2020-07-02 04:21:16.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/gui.po	2020-07-16 17:07:41.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/news.po	2020-06-18 03:18:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/news.po	2020-07-16 16:58:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/regexp.po	2020-07-16 17:04:22.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/template_lang.po	2020-07-02 04:15:13.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/template_lang.po	2020-07-16 16:56:41.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/xh/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/xh/xpath.po	2020-07-16 17:02:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/xpath.pot 4.99.7+dfsg+really4.21.0-1/translations/manual/xpath.pot
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/xpath.pot	2020-07-03 02:15:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/xpath.pot	2020-07-16 17:18:49.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.20.0\n"
+"Project-Id-Version: calibre 4.21.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"POT-Creation-Date: 2020-07-16 22:47+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/develop.po	2020-03-05 04:48:52.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/develop.po	2020-07-16 16:53:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/function_mode.po	2020-07-16 17:09:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/glossary.po	2020-07-16 17:00:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/gui.po	2020-07-02 04:20:32.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/gui.po	2020-07-16 17:07:29.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/news.po	2020-06-18 03:20:01.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/news.po	2020-07-16 16:58:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/regexp.po	2020-07-16 17:04:14.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/template_lang.po	2020-07-02 04:14:27.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/template_lang.po	2020-07-16 16:56:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/yi/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/yi/xpath.po	2020-07-16 17:02:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/develop.po	2020-06-04 03:01:38.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/develop.po	2020-07-16 16:53:29.000000000 +0000
@@ -1,24 +1,25 @@
 # SOME DESCRIPTIVE TITLE.
 # Copyright (C) Kovid Goyal
 # This file is distributed under the same license as the calibre package.
-#
+# 
 # Translators:
 # Lindsey Li <172sylviali@gmail.com>, 2016
 # MISday <fd98shadow@sina.com>, 2020
+# tony shen <anthanny@hotmail.com>, 2020
 # ZeYu Zhang <zeyuzhangwing@gmail.com>, 2016
 # MISday <fd98shadow@sina.com>, 2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-23 07:53+0530\n"
-"PO-Revision-Date: 2020-05-23 16:49+0000\n"
-"Last-Translator: MISday <fd98shadow@sina.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-12 09:51+0000\n"
+"Last-Translator: tony shen <anthanny@hotmail.com>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
-"Language: zh_CN\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Language: zh_CN\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:4
@@ -35,11 +36,7 @@ msgid ""
 "<https://www.python.org>`_ with some C/C++ code for speed and system "
 "interfacing. Note that calibre is not compatible with Python 3 and requires "
 "at least Python 2.7.9."
-msgstr ""
-"calibre是一个完全意义上的开源程序，它采用`GNU GPL "
-"v3<https://www.gnu.org/licenses/gpl.html>_`许可证。这意味着你可以按照自己的想法下载并修改该程序。在本节，你将学会如何在你选择的操作系统下建立calibre开发环境。calibre主要使用`Python"
-" <https://www.python.org>`_ "
-"编程，为了兼顾系统接口与速度使用了一些C/C+代码。注意，calibre对Python3不兼容，它要求Python 2.7.9及以上版本。"
+msgstr "calibre是一个完全意义上的开源程序，它采用`GNU GPL v3<https://www.gnu.org/licenses/gpl.html>_`许可证。这意味着你可以按照自己的想法下载并修改该程序。在本节，你将学会如何在你选择的操作系统下建立calibre开发环境。calibre主要使用`Python <https://www.python.org>`_ 编程，为了兼顾系统接口与速度使用了一些C/C+代码。注意，calibre对Python3不兼容，它要求Python 2.7.9及以上版本。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:14
 msgid "Contents"
@@ -57,9 +54,7 @@ msgid ""
 "easy, resulting in a frenetic pace of development. Because of its roots, "
 "calibre has a comprehensive command line interface for all its functions, "
 "documented in :doc:`generated/en/cli-index`."
-msgstr ""
-"calibre源自Unix，它的设计是高度模块化的。模块间相互作用通过定义良好的接口实现。这使在calibre中添加新功能或者修改bug十分方便，这种便利性使calibre的开发很迅速。正因这种模块化设计思想，calibre对所有功能，都有一个完整的命令行接口，可以参考:doc:`generated/zh_CN"
-"/cli-index`进行了解。"
+msgstr "calibre源自Unix，它的设计是高度模块化的。模块间相互作用通过定义良好的接口实现。这使在calibre中添加新功能或者修改bug十分方便，这种便利性使calibre的开发很迅速。正因这种模块化设计思想，calibre对所有功能，都有一个完整的命令行接口，可以参考:doc:`generated/zh_CN/cli-index`进行了解。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:24
 msgid ""
@@ -74,13 +69,7 @@ msgid ""
 ":ref:`recipe system <news>` for fetching news. For more examples of plugins "
 "designed to add features to calibre, see the `Index of plugins "
 "<https://www.mobileread.com/forums/showthread.php?p=1362767#post1362767>`_."
-msgstr ""
-"模块化设计的思想通过“插件”体现出来。关于“插件”的编写，这里有一份教程 :ref:`tutorial "
-"<customize>`。举个例子，如果要给calibre添加一个新的设备支持，一般只需要利用设备驱动插件范式写不到100行代码即可。你能从获取"
-"`built-in drivers "
-"<https://github.com/kovidgoyal/calibre/tree/master/src/calibre/devices>`_。类似地，为新的转换格式添加支持，也只需要改写输入/输出格式插件。模块化设计的另一个例子是抓取新闻，:ref:`recipe"
-" system <news>`。对于更多可加入calibre的插件，可以参考 `Index of plugins "
-"<https://www.mobileread.com/forums/showthread.php?p=。1362767#post1362767>`_。"
+msgstr "模块化设计的思想通过“插件”体现出来。关于“插件”的编写，这里有一份教程 :ref:`tutorial <customize>`。举个例子，如果要给calibre添加一个新的设备支持，一般只需要利用设备驱动插件范式写不到100行代码即可。你能从获取`built-in drivers <https://github.com/kovidgoyal/calibre/tree/master/src/calibre/devices>`_。类似地，为新的转换格式添加支持，也只需要改写输入/输出格式插件。模块化设计的另一个例子是抓取新闻，:ref:`recipe system <news>`。对于更多可加入calibre的插件，可以参考 `Index of plugins <https://www.mobileread.com/forums/showthread.php?p=。1362767#post1362767>`_。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:34
 msgid "Code layout"
@@ -104,9 +93,7 @@ msgid ""
 "supported by device drivers and ``devices.usbms`` which defines a generic "
 "driver that connects to a USBMS device. All USBMS based drivers in calibre "
 "inherit from it."
-msgstr ""
-"更多细节可以参考，:``devices.interface``。这其中定义了被驱动器支持的接口,。另外``devices.usbms``也值得关注，它定义了一个连接了usbms设备的通用驱动器。"
-" 在calibre中，所有的基于usbms的驱动器都继承自它.。"
+msgstr "更多细节可以参考，:``devices.interface``。这其中定义了被驱动器支持的接口,。另外``devices.usbms``也值得关注，它定义了一个连接了usbms设备的通用驱动器。 在calibre中，所有的基于usbms的驱动器都继承自它.。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:43
 msgid ""
@@ -115,9 +102,7 @@ msgid ""
 ":`ebook-convert` command. The conversion process is controlled via "
 "``conversion.plumber``. The format independent code is all in ``ebooks.oeb``"
 " and the format dependent code is in ``ebooks.format_name``."
-msgstr ""
-"电子书 -- 所有的电子书格式转换/元数据代码。一个好的出发点是``calibre.ebooks.conversion.cli``，这是用于支持电子书转换命令的模块。转换过程通过``conversion.plumber``进行控制。\n"
-"格式无关代码全部放在``ebooks.oeb``文件夹中，（文档未更新）格式有关代码放在``ebooks.format_name``中。"
+msgstr "电子书 -- 所有的电子书格式转换/元数据代码。一个好的出发点是``calibre.ebooks.conversion.cli``，这是用于支持电子书转换命令的模块。转换过程通过``conversion.plumber``进行控制。\n格式无关代码全部放在``ebooks.oeb``文件夹中，（文档未更新）格式有关代码放在``ebooks.format_name``中。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:47
 msgid ""
@@ -136,9 +121,7 @@ msgid ""
 "transformations that are applied to the book during conversions live in "
 ":file:`oeb/transforms/*.py`. And the input and output plugins live in "
 ":file:`conversion/plugins/*.py`."
-msgstr ""
-"格式转换发生在管道（pipeline）中。有关该结构可以参看:ref:`conversion-"
-"introduction`。管道包含一个输入插件（plugin），多种转换方法和一个输出插件。构建和驱动管道的代码在:file:`plumber.py`中。管道利用一本电子书（未压缩的equb文件）的特征（representation）工作，这里的特征是指像一个包含目录、书脊、toc、指南、html内容等。管理这些特征的类时OEBBook在``ebooks.oeb.base``。在格式转换时所用的的转换方法位于:file:`oeb/transforms/*.py`。输入与输出插件位于:file:`conversion/plugins/*.py`。"
+msgstr "格式转换发生在管道（pipeline）中。有关该结构可以参看:ref:`conversion-introduction`。管道包含一个输入插件（plugin），多种转换方法和一个输出插件。构建和驱动管道的代码在:file:`plumber.py`中。管道利用一本电子书（未压缩的equb文件）的特征（representation）工作，这里的特征是指像一个包含目录、书脊、toc、指南、html内容等。管理这些特征的类时OEBBook在``ebooks.oeb.base``。在格式转换时所用的的转换方法位于:file:`oeb/transforms/*.py`。输入与输出插件位于:file:`conversion/plugins/*.py`。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:58
 msgid ""
@@ -154,32 +137,28 @@ msgstr "db -- 数据库后端。参考:r
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:63
 msgid "Content server: ``srv`` is the calibre Content server."
-msgstr ""
+msgstr "内容服务器: ``srv`` 是calibre的内容服务器。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:65
 msgid ""
 "gui2 - The Graphical User Interface. GUI initialization happens in "
 "``gui2.main`` and ``gui2.ui``. The e-book-viewer is in ``gui2.viewer``. The "
 "e-book editor is in ``gui2.tweak_book``."
-msgstr ""
-"gui2 -- "
-"图形用户接口。GUI初始化位于``gui2.main``与``gui2.ui``。电子书浏览器位于``gui2.viewer``。电子书编辑器位于``gui2.tweak_book``。"
+msgstr "gui2 -- 图形用户接口。GUI初始化位于``gui2.main``与``gui2.ui``。电子书浏览器位于``gui2.viewer``。电子书编辑器位于``gui2.tweak_book``。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:67
 msgid ""
 "If you want to locate the entry points for all the various calibre "
 "executables, look at the ``entry_points`` structure in `linux.py "
 "<https://github.com/kovidgoyal/calibre/blob/master/src/calibre/linux.py>`_."
-msgstr ""
+msgstr "如果要定位所有各种Calibre可执行文件的入口点，请在“linux.py <https://github.com/kovidgoyal/calibre/blob/master/src/calibre/linux.py>”中查看``entry_points``结构_。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:71
 msgid ""
 "If you need help understanding the code, post in the `development forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=240>`_ and you will "
 "most likely get help from one of calibre's many developers."
-msgstr ""
-"如果你不理解某些代码，你可以在`development forum "
-"<https://www.mobileread.com/forums/forumdisplay.php?f=240>`_中提出，你很可能会得到其他开发者的帮助。"
+msgstr "如果你不理解某些代码，你可以在`development forum <https://www.mobileread.com/forums/forumdisplay.php?f=240>`_中提出，你很可能会得到其他开发者的帮助。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:75
 msgid "Getting the code"
@@ -190,18 +169,14 @@ msgid ""
 "You can get the calibre source code in two ways, using a version control "
 "system or directly downloading a `tarball <https://calibre-"
 "ebook.com/dist/src>`_."
-msgstr ""
-"你可以通过两种方式得到calibre的源码，使用版本控制系统或者直接下载源码 `tarball <https://calibre-"
-"ebook.com/dist/src>`_。"
+msgstr "你可以通过两种方式得到calibre的源码，使用版本控制系统或者直接下载源码 `tarball <https://calibre-ebook.com/dist/src>`_。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:80
 msgid ""
 "calibre uses `Git <https://www.git-scm.com/>`_, a distributed version "
 "control system. Git is available on all the platforms calibre supports.  "
 "After installing Git, you can get the calibre source code with the command::"
-msgstr ""
-"calibre使用`Git <https://www.git-"
-"scm.com/>`_，一个分布式版本控制系统。Git在所有calibre支持的平台上均可用。安装Git后，你就可以通过下面命令获得源码:"
+msgstr "calibre使用`Git <https://www.git-scm.com/>`_，一个分布式版本控制系统。Git在所有calibre支持的平台上均可用。安装Git后，你就可以通过下面命令获得源码:"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:86
 msgid ""
@@ -220,8 +195,7 @@ msgstr "calibre是一个拥有很长时
 msgid ""
 "If you want to get the code faster, the source code for the latest release "
 "is always available as an `archive <https://calibre-ebook.com/dist/src>`_."
-msgstr ""
-"如果你想快速获得源码，你可以直接获得一份最新的`archive <https://calibre-ebook.com/dist/src>`_。"
+msgstr "如果你想快速获得源码，你可以直接获得一份最新的`archive <https://calibre-ebook.com/dist/src>`_。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:94
 msgid "To update a branch to the latest code, use the command::"
@@ -243,9 +217,7 @@ msgid ""
 "create a \"merge directive\" which you can then attach to a ticket in the "
 "calibre `bug tracker <https://bugs.launchpad.net/calibre>`_. To do this, "
 "make your changes, then run::"
-msgstr ""
-"如果你只计划做一些小修改，你可以做出修改并创建一个\"merge directive\"，然后将其附加到calibre的`bug tracker "
-"<https://bugs.launchpad.net/calibre>`_中。如果需要这样做，可以使用下列命令:"
+msgstr "如果你只计划做一些小修改，你可以做出修改并创建一个\"merge directive\"，然后将其附加到calibre的`bug tracker <https://bugs.launchpad.net/calibre>`_中。如果需要这样做，可以使用下列命令:"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:111
 msgid ""
@@ -254,7 +226,7 @@ msgid ""
 "<https://bugs.launchpad.net/calibre>`_. Note that this will include *all* "
 "the commits you have made. If you only want to send some commits, you have "
 "to change ``origin/master`` above. To send only the last commit, use::"
-msgstr ""
+msgstr "这会在当前目录下创建一个:文件:`my-changes`的文件，只用将其附加在calibre上`错误跟踪器 <https://bugs.launchpad.net/calibre>`_上的凭证。注意，这样会包含*所有*你所做的提交。如果你只想提交一部分，则必须更改上面的``origin/master``。只发送最后一次提交，使用:"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:119
 msgid ""
@@ -272,24 +244,19 @@ msgid ""
 "to create a `GitHub <https://github.com>`__ account. Below is a basic guide "
 "to setting up your own fork of calibre in a way that will allow you to "
 "submit pull requests for inclusion into the main calibre repository:"
-msgstr ""
-"如果你计划为calibre进行长时间开发，那么你最好创建一个`GitHub "
-"<https://github.com>`__账号。下面是一个基本教程，它将引导你建立一个自己的calibre分支。这样你就可以向主calibre仓库提交你的pull请求:"
+msgstr "如果你计划为calibre进行长时间开发，那么你最好创建一个`GitHub <https://github.com>`__账号。下面是一个基本教程，它将引导你建立一个自己的calibre分支。这样你就可以向主calibre仓库提交你的pull请求:"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:131
 msgid ""
 "Setup git on your machine as described in this article: `Setup Git "
 "<https://help.github.com/articles/set-up-git>`_"
-msgstr ""
-"按这篇文章在你的电脑上安装git:`Setup Git <https://help.github.com/articles/set-up-git>`_"
+msgstr "按这篇文章在你的电脑上安装git:`Setup Git <https://help.github.com/articles/set-up-git>`_"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:132
 msgid ""
 "Setup ssh keys for authentication to GitHub, as described here: `Generating "
 "SSH keys <https://help.github.com/articles/generating-ssh-keys>`_"
-msgstr ""
-"设置ssh密钥以进行GitHub身份验证，参考这里:`Generating SSH keys "
-"<https://help.github.com/articles/generating-ssh-keys>`_"
+msgstr "设置ssh密钥以进行GitHub身份验证，参考这里:`Generating SSH keys <https://help.github.com/articles/generating-ssh-keys>`_"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:133
 msgid ""
@@ -318,9 +285,7 @@ msgid ""
 "and go to ``https://github.com/<username>/calibre`` and click the "
 ":guilabel:`Pull Request` button to generate a pull request that can be "
 "merged."
-msgstr ""
-"进入 ``https://github.com/<username>/calibre`` 点击 :guilabel:`Pull Request` "
-"按钮，产生一个可被合并的pull请求。"
+msgstr "进入 ``https://github.com/<username>/calibre`` 点击 :guilabel:`Pull Request` 按钮，产生一个可被合并的pull请求。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:145
 msgid ""
@@ -334,10 +299,7 @@ msgid ""
 "<https://www.mobileread.com/forums/forumdisplay.php?f=240>`_. Before making "
 "major changes, you should discuss them in the forum or contact Kovid "
 "directly (his email address is all over the source code)."
-msgstr ""
-"你也应该随时关注calibre的 `development forum "
-"<https://www.mobileread.com/forums/forumdisplay.php?f=240>`_ "
-"。在做出重大改变之前，你应该现在论坛中进行讨论或者直接联系Kovid（他的email在源码中可见）。"
+msgstr "你也应该随时关注calibre的 `development forum <https://www.mobileread.com/forums/forumdisplay.php?f=240>`_ 。在做出重大改变之前，你应该现在论坛中进行讨论或者直接联系Kovid（他的email在源码中可见）。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:156
 msgid "Windows development environment"
@@ -355,8 +317,7 @@ msgid ""
 "Install calibre normally, using the Windows installer. Then open a Command "
 "Prompt and change to the previously checked out calibre code directory. For "
 "example::"
-msgstr ""
-"正常安装calibre，使用Windows安装器。然后打开命令行（Command Prompt），切换到之前下载的calibre源码目录。举例:"
+msgstr "正常安装calibre，使用Windows安装器。然后打开命令行（Command Prompt），切换到之前下载的calibre源码目录。举例:"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:165
 #: ../../home/kovid/work/calibre/manual/develop.rst:240
@@ -370,13 +331,9 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
-msgstr ""
-"下一个步骤是设置环境变量 ``CALIBRE_DEVELOP_FROM`` 为源码目录的绝对路径。接上例，该路径为 "
-"``C:\\Users\\kovid\\work\\calibre\\src`` 。`Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
-"variables>`_，这是一篇在Windows下设置环境变量的简单引导。"
+msgstr "下一步是将环境变量 ``CALIBRE_DEVELOP_FROM``设置为src目录的绝对路径。因此，按照上面的示例，它应该是``C:\\Users\\kovid\\work\\calibre\\src``。关于在Windows上设置环境变量，`这里是一个的简短指南<https://docs.python.org/using/windows.html#excursus-setting-environment-variables>`_。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:172
 msgid ""
@@ -396,9 +353,7 @@ msgid ""
 "That's it! You are now ready to start hacking on the calibre code. For "
 "example, open the file :file:`src\\\\calibre\\\\__init__.py` in your "
 "favorite editor and add the line::"
-msgstr ""
-"就是这样！你已经可以开始为calibre编写（hacking）代码了。举例。用你最喜欢的编辑器打开文件 "
-":file:`src\\\\calibre\\\\__init__.py` ，在文件开头添加这么一行:"
+msgstr "就是这样！你已经可以开始为calibre编写（hacking）代码了。举例。用你最喜欢的编辑器打开文件 :file:`src\\\\calibre\\\\__init__.py` ，在文件开头添加这么一行:"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:184
 #: ../../home/kovid/work/calibre/manual/develop.rst:258
@@ -412,9 +367,7 @@ msgid ""
 "You can also setup a calibre development environment inside the free "
 "Microsoft Visual Studio, if you like, following the instructions `here "
 "<https://www.mobileread.com/forums/showthread.php?t=251201>`_."
-msgstr ""
-"你也可以通过Microsoft Visual Studio建立calibre开发环境。如果你希望这么做，可以参考这里的教程 `here "
-"<https://www.mobileread.com/forums/showthread.php?t=251201>`_ 。"
+msgstr "你也可以通过Microsoft Visual Studio建立calibre开发环境。如果你希望这么做，可以参考这里的教程 `here <https://www.mobileread.com/forums/showthread.php?t=251201>`_ 。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:190
 msgid "macOS development environment"
@@ -433,19 +386,14 @@ msgid ""
 " bundle, in :file:`/Applications/calibre.app/Contents/MacOS` you should add "
 "this directory to your PATH environment variable, if you want to run the "
 "command line tools easily."
-msgstr ""
-"calibre是包含源码和资源子目录的目录。calibre的命令行工具可以在calibre应用包内部找到，在文件 "
-":file:`/Applications/calibre.app/Contents/MacOS` "
-"中。如果你想使用命令行工具，你需要将该目录添加到PATH环境变量中。"
+msgstr "calibre是包含源码和资源子目录的目录。calibre的命令行工具可以在calibre应用包内部找到，在文件 :file:`/Applications/calibre.app/Contents/MacOS` 中。如果你想使用命令行工具，你需要将该目录添加到PATH环境变量中。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:205
 msgid ""
 "The next step is to create a bash script that will set the environment "
 "variable ``CALIBRE_DEVELOP_FROM`` to the absolute path of the src directory "
 "when running calibre in debug mode."
-msgstr ""
-"下一个步骤是建立一个bash脚本。该脚本将设置环境变量 ``CALIBRE_DEVELOP_FROM`` "
-"（源码目录绝对路径）。当以debug模式运行calibre时，该变量会被使用。"
+msgstr "下一个步骤是建立一个bash脚本。该脚本将设置环境变量 ``CALIBRE_DEVELOP_FROM`` （源码目录绝对路径）。当以debug模式运行calibre时，该变量会被使用。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:207
 msgid "Create a plain text file::"
@@ -481,8 +429,7 @@ msgid ""
 " calibre from source. Instructions for setting up a development environment "
 "from source are in the INSTALL file in the source tree. Here we will address"
 " using the binary as a runtime, which is the recommended method."
-msgstr ""
-"calibre主要开发环境是Linux。你有两种方法配置开发环境。你可以正常安装calibre，在运行时环境下完成开发。这个方法与Windows与macOS开发类似。或者，从源码进行安装calibre。从源码配置开发环境的命令在源码树中的INSTALL文件。接下来我们将使用第一种方法，这也是推荐的方法。"
+msgstr "calibre主要开发环境是Linux。你有两种方法配置开发环境。你可以正常安装calibre，在运行时环境下完成开发。这个方法与Windows与macOS开发类似。或者，从源码进行安装calibre。从源码配置开发环境的命令在源码树中的INSTALL文件。接下来我们将使用第一种方法，这也是推荐的方法。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:236
 msgid ""
@@ -496,9 +443,7 @@ msgid ""
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``/home/kovid/work/calibre/src``. How to set environment variables"
 " depends on your Linux distribution and what shell you are using."
-msgstr ""
-"下一个步骤是设置环境变量 ``CALIBRE_DEVELOP_FROM`` 。该环境变量是源码目录的绝对路径。按上面的例子，该路径为 "
-"``/home/kovid/work/calibre/src`` 。怎样设置环境变量取决于你的Linux发行版以及你使用的shell。"
+msgstr "下一个步骤是设置环境变量 ``CALIBRE_DEVELOP_FROM`` 。该环境变量是源码目录的绝对路径。按上面的例子，该路径为 ``/home/kovid/work/calibre/src`` 。怎样设置环境变量取决于你的Linux发行版以及你使用的shell。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:246
 msgid ""
@@ -511,9 +456,7 @@ msgid ""
 "That's it! You are now ready to start hacking on the calibre code. For "
 "example, open the file :file:`src/calibre/__init__.py` in your favorite "
 "editor and add the line::"
-msgstr ""
-"就是这样！你已经可以开始为calibre编写（hacking）代码了。举例。用你最喜欢的编辑器打开文件 "
-":file:`src\\\\calibre\\\\__init__.py` ，在文件开头添加这么一行:"
+msgstr "就是这样！你已经可以开始为calibre编写（hacking）代码了。举例。用你最喜欢的编辑器打开文件 :file:`src\\\\calibre\\\\__init__.py` ，在文件开头添加这么一行:"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:261
 msgid ""
@@ -529,8 +472,7 @@ msgid ""
 "using .bat files or shell scripts to launch calibre. The example below shows"
 " how to do this on Windows using .bat files (the instructions for other "
 "platforms are the same, just use a shell script instead of a .bat file)"
-msgstr ""
-"calibre源码树非常稳定，很少崩溃，但如果你需要从源码运行一个测试库并且你还要运行released版本的calibre作为日常使用。你能方便地通过批处理文件或者shell脚本启动calibre。下面的例子展示如何在Windows上通过批处理文件启动calibre(其他平台的命令也是一样的，只是用shell脚本代替批处理文件)。"
+msgstr "calibre源码树非常稳定，很少崩溃，但如果你需要从源码运行一个测试库并且你还要运行released版本的calibre作为日常使用。你能方便地通过批处理文件或者shell脚本启动calibre。下面的例子展示如何在Windows上通过批处理文件启动calibre(其他平台的命令也是一样的，只是用shell脚本代替批处理文件)。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:268
 msgid "To launch the release version of calibre with your everyday library:"
@@ -553,9 +495,7 @@ msgid ""
 "Python is a dynamically typed language with excellent facilities for "
 "introspection. Kovid wrote the core calibre code without once using a "
 "debugger. There are many strategies to debug calibre code:"
-msgstr ""
-"Python 是一门拥有动态类型的编程语言。它拥有着出色的内省功能。 Kovid "
-"在没有使用调试器的情况下，完成了calibre的核心代码。这里给出一些debug的策略:"
+msgstr "Python 是一门拥有动态类型的编程语言。它拥有着出色的内省功能。 Kovid 在没有使用调试器的情况下，完成了calibre的核心代码。这里给出一些debug的策略:"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:288
 msgid "Using print statements"
@@ -593,9 +533,7 @@ msgid ""
 "local scope). The interactive prompt even has TAB completion for object "
 "properties and you can use the various Python facilities for introspection, "
 "such as :func:`dir`, :func:`type`, :func:`repr`, etc."
-msgstr ""
-"从命令行运行时，这将启动一个交互式Python解释器，并可以访问所有本地定义的变量（本地作用域中的变量）。交互式提示符甚至拥有对象属性的TAB补全功能，而且你可以使用Python的内省组件，例如"
-" :func:`dir`, :func:`type`, :func:`repr` 等。"
+msgstr "从命令行运行时，这将启动一个交互式Python解释器，并可以访问所有本地定义的变量（本地作用域中的变量）。交互式提示符甚至拥有对象属性的TAB补全功能，而且你可以使用Python的内省组件，例如 :func:`dir`, :func:`type`, :func:`repr` 等。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:317
 msgid "Using the Python debugger as a remote debugger"
@@ -613,8 +551,7 @@ msgid ""
 "Then run calibre, either as normal, or using one of the calibre-debug "
 "commands described in the previous section. Once the above point in the code"
 " is reached, calibre will freeze, waiting for the debugger to connect."
-msgstr ""
-"然后运行calibre，正常运行，或者使用上文提到的calibre-debug命令。一旦上述代码完成，calibre会停止，等待调试器的连接。"
+msgstr "然后运行calibre，正常运行，或者使用上文提到的calibre-debug命令。一旦上述代码完成，calibre会停止，等待调试器的连接。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:330
 msgid ""
@@ -625,12 +562,9 @@ msgstr "现在打开一个终端或者
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
-msgstr ""
-"你可以在 `Python stdlib docs for the pdb module "
-"<https://docs.python.org/2/library/pdb.html#debugger-commands>`_ "
-"中了解到如何使用Python调试器。"
+msgstr "您可以在`关于PDB模块的Python stdlib文档<https://docs.python.org/library/pdb.html#debugger-commands>中`了解如何使用Python调试器。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:339
 msgid ""
@@ -638,9 +572,7 @@ msgid ""
 "change it, by passing the port parameter to both the set_trace() and the "
 "cli() functions above, like this: ``set_trace(port=1234)`` and "
 "``cli(port=1234)``."
-msgstr ""
-"默认情况下，远程调试器连接到端口4444。你也可以通过设置 set_trace() 与 cli() 函数更换端口，像这样: "
-"``set_trace(port=1234)`` and ``cli(port=1234)``。"
+msgstr "默认情况下，远程调试器连接到端口4444。你也可以通过设置 set_trace() 与 cli() 函数更换端口，像这样: ``set_trace(port=1234)`` and ``cli(port=1234)``。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:345
 msgid ""
@@ -659,10 +591,7 @@ msgid ""
 "checkout to the ``PYTHONPATH`` in your IDE. In other words, the directory "
 "you set as ``CALIBRE_DEVELOP_FROM`` above, must also be in the "
 "``PYTHONPATH`` of your IDE."
-msgstr ""
-"如果IDE支持远程调试，那么在自己的IDE环境下使用内置调试器是可行的。第一步是在你的IDE中添加值为calibre源码的变量 "
-"``PYTHONPATH``。换句话说，就是环境变量 ``CALIBRE_DEVELOP_FROM`` ，也必须在你的IDE被设置为  "
-"``PYTHONPATH``。"
+msgstr "如果IDE支持远程调试，那么在自己的IDE环境下使用内置调试器是可行的。第一步是在你的IDE中添加值为calibre源码的变量 ``PYTHONPATH``。换句话说，就是环境变量 ``CALIBRE_DEVELOP_FROM`` ，也必须在你的IDE被设置为  ``PYTHONPATH``。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:356
 msgid ""
@@ -671,9 +600,7 @@ msgid ""
 "needed to launch the remote debugger to calibre at the point of interest, "
 "for example in the main function. Then run calibre as normal. Your IDE "
 "should now be able to connect to the remote debugger running inside calibre."
-msgstr ""
-"然后把IDE的远程调试器模块放在源码 :file:`src` "
-"子目录下。添加必要代码用于启动calibre的远程调试器。然后正常运行calibre。你的IDE现在应该可以运行calibre的远程调试模块。"
+msgstr "然后把IDE的远程调试器模块放在源码 :file:`src` 子目录下。添加必要代码用于启动calibre的远程调试器。然后正常运行calibre。你的IDE现在应该可以运行calibre的远程调试模块。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:363
 msgid "Executing arbitrary scripts in the calibre Python environment"
@@ -689,7 +616,7 @@ msgstr ":command:`calibre-debug`  提供
 msgid ""
 "is great for testing a little snippet of code on the command line. It works "
 "in the same way as the -c switch to the Python interpreter::"
-msgstr ""
+msgstr "非常适合在命令行上测试一小段代码。它的工作方式与-c切换至Python解释器的方式相同："
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:374
 msgid ""
@@ -697,7 +624,7 @@ msgid ""
 "passing the script to the Python interpreter, except that the calibre "
 "environment is fully initialized, so you can use all the calibre code in "
 "your script. To use command line arguments with your script, use the form::"
-msgstr ""
+msgstr "可以用来执行自己的Python脚本。 除了完全初始化calibre环境外，它的工作方式与将脚本传递给Python解释器的方式相同，因此您可以在脚本中使用所有calibre代码。 要在脚本中使用命令行参数，请使用以下格式："
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:379
 msgid ""
@@ -722,7 +649,7 @@ msgstr "二进制安装calibre"
 msgid ""
 "If you have a binary install of calibre, you can use the Python interpreter "
 "bundled with calibre, like this::"
-msgstr ""
+msgstr "如果您有calibre的二进制安装，则可以使用calibre附带的Python解释器，如下所示："
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:395
 msgid "Source install on Linux"
@@ -738,7 +665,7 @@ msgstr "除了使用上面的技巧，
 msgid ""
 "It is essential that you import the init_calibre module before any other "
 "calibre modules/packages as it sets up the interpreter to run calibre code."
-msgstr ""
+msgstr "在将init_calibre模块设置为运行calibre代码的解释器之前，必须先导入init_calibre模块，然后再输入其他calibre模块/软件包。"
 
 #: ../../home/kovid/work/calibre/manual/develop.rst:409
 msgid "API documentation for various parts of calibre"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/edit.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/edit.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/edit.po	2020-04-30 09:10:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/edit.po	2020-07-16 17:05:09.000000000 +0000
@@ -3,13 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
+# tony shen <anthanny@hotmail.com>, 2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-04-24 07:51+0530\n"
-"PO-Revision-Date: 2020-04-24 02:22+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-12 14:55+0000\n"
+"Last-Translator: tony shen <anthanny@hotmail.com>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -48,7 +49,7 @@ msgstr "基本的工作流程"
 msgid ""
 "A video tour of the calibre editor is available `here <https://calibre-"
 "ebook.com/demo#tutorials>`_."
-msgstr ""
+msgstr "calibre编辑器的视频指导在 `这里 <https://calibre-ebook.com/demo#tutorials>`_。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:32
 msgid ""
@@ -67,7 +68,7 @@ msgid ""
 "previewed, live, in the preview panel to the right. When you are happy with "
 "how the changes you have made look, click the :guilabel:`Save` button or use"
 " :guilabel:`File->Save` to save your changes into the e-book."
-msgstr ""
+msgstr "当您在编辑器中更改HTML或CSS时，更改将在右侧的预览面板中实时预览。如果您对所做更改的外观感到满意，请单击：guilabel：`保存`按钮或使用：guilabel：`文件->保存`将更改保存到电子书中。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:45
 msgid ""
@@ -81,18 +82,18 @@ msgid ""
 "replace. The checkpointing functionality is in addition to the normal "
 "undo/redo mechanism when editing individual files. Checkpoints are useful "
 "for when changes are spread over multiple files in the book."
-msgstr ""
+msgstr "一个有用的功能是：Guilabel：`检查点`。在开始一些雄心勃勃的编辑之前，您可以创建一个检查点。检查点将保留图书的当前状态，如果将来您决定不喜欢对其所做的更改，可以返回到创建检查点时的状态。要创建检查点，请使用：guilabel：`编辑->创建检查点`。每当您运行任何自动化工具如如全局搜索和替换时，也会自动为您创建检查点。在编辑单个文件时，检查点功能是对正常的撤消/重做机制的补充。当更改分布在书中的多个文件中时，检查点非常有用。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
-msgstr ""
+msgstr "这是编辑图书的基本工作流程--打开文件、进行更改、预览和保存。本手册的其余部分将讨论现有的各种工具和功能，使您能够高效地执行特定任务。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:61
 msgid "The File browser"
-msgstr ""
+msgstr "文件浏览器"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:67
 msgid ""
@@ -103,7 +104,7 @@ msgid ""
 "supported for HTML, CSS and image files. The order of text files is the same"
 " order that they would be displayed in, if you were reading the book. All "
 "other files are arranged alphabetically."
-msgstr ""
+msgstr "guilabel：`文件浏览器`为您提供正在编辑的书本内各种文件的概览。文件按类别排列，文本(HTML)文件位于顶部，后面是样式表(CSS)文件、图像等。只需双击文件即可开始编辑。HTML、CSS和图像文件支持编辑。如果您正在阅读图书，则文本文件的顺序与它们的显示顺序相同。所有其他文件都按字母顺序排列。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:75
 msgid ""
@@ -111,7 +112,7 @@ msgid ""
 " bottom of the screen, the full path to the file inside the book. Note that "
 "files inside e-books are compressed, so the size of the final book is not "
 "the sum of the individual file sizes."
-msgstr ""
+msgstr "通过将鼠标悬停在条目上，您可以看到它的大小，还可以在屏幕底部看到书中文件的完整路径。请注意，电子书中的文件是压缩的，因此最终图书的大小不是单个文件大小的总和。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:80
 msgid ""
@@ -124,12 +125,12 @@ msgid ""
 "next to it, indicating the book metadata is present in it and the "
 ":guilabel:`toc.ncx` file has a T icon next to it, indicating it is the Table"
 " of Contents."
-msgstr ""
+msgstr "在这本书中，许多文件都有特殊的意义。它们的名称旁边通常会有一个图标，表示特殊含义。例如，在左边的图片中，您可以看到文件：guilabel：`cover_image.jpg`和：guilabel：`title lepage.xhtml`旁边有封面图标，这表示它们是图书封面图片和标题页。同样，：guilabel：`content.opf`文件旁边有一个元数据图标，表示其中存在图书元数据，而：guilabel：`toc.ncx`文件旁边有一个T图标，表示它是目录。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
-msgstr ""
+msgstr "通过右键单击单个文件，可以对它们执行许多操作。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:92
 msgid "Renaming files"
@@ -141,7 +142,7 @@ msgid ""
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
 "references to it throughout the book. So all you have to do is provide the "
 "new name, calibre will take care of the rest."
-msgstr ""
+msgstr "您可以通过右键单击单个文件并选择：guilabel：`Rename`来重命名该文件。重命名文件会自动更新整本书中对该文件的所有链接和引用。所以你要做的就是提供新的名字，其他的都会由Calibre来处理。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:99
 msgid ""
@@ -155,14 +156,14 @@ msgid ""
 "also lets you rename files by the order they appear in the book instead of "
 "the order you selected them in, useful, for instance to rename all images by"
 " the order they appear."
-msgstr ""
+msgstr "您还可以一次批量重命名多个文件。如果您希望文件具有一些简单的名称模式，这将非常有用。例如，您可能想要重命名所有HTML文件，将其命名为Chapect-1.html、Chap-2.html等等。通过按住Shift或Ctrl键并单击文件来选择要批量重命名的文件。然后右键单击并选择：Guilabel：`批量重命名`。输入前缀和希望自动编号开始的号码，单击确定即可完成。批量重命名对话框还允许您按文件在书籍中出现的顺序而不是您选择它们的顺序重命名文件，这对重命名所有图像非常有用，例如，可以按图像出现的顺序进行重命名。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
-msgstr ""
+msgstr "最后，您可以批量更改所有选定文件的文件扩展名。如上选择多个文件，右键选择：guilabel：`更改所选文件的文件扩展名`。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:115
 msgid "Merging files"
@@ -174,7 +175,7 @@ msgid ""
 "It can sometimes be useful to have everything in a single file. Be wary, "
 "though, putting a lot of content into a single file will cause performance "
 "problems when viewing the book in a typical e-book reader."
-msgstr ""
+msgstr "有时，您可能希望将两个HTML文件或两个CSS文件合并在一起。有时将所有内容都放在一个文件中会很有用。不过要小心，在典型的电子书阅读器中查看图书时，将大量内容放入单个文件会导致性能问题。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:122
 msgid ""
@@ -185,11 +186,11 @@ msgid ""
 "migrating all links and references to the merged files. Note that merging "
 "files can sometimes cause text styling to change, since the individual files"
 " could have used different stylesheets."
-msgstr ""
+msgstr "要将多个文件合并在一起，请通过按住Ctrl键并单击它们来选择它们(确保只选择一种类型的文件，要么是所有HTML文件，要么是所有CSS文件，依此类推)。然后右键单击并选择合并。仅此而已，Calibre将合并文件，自动负责迁移合并文件的所有链接和引用。请注意，合并文件有时会导致文本样式更改，因为各个文件可能使用不同的样式表。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:131
 msgid "Changing text file order"
-msgstr ""
+msgstr "更改文本文件顺序"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:133
 msgid ""
@@ -198,7 +199,7 @@ msgid ""
 "For the technically inclined, this is called re-ordering the book spine. "
 "Note that you have to drop the items *between* other items, not on top of "
 "them, this can be a little fiddly until you get used to it."
-msgstr ""
+msgstr "只需在文件浏览器中拖放文本(HTML)文件，即可重新安排阅读图书时这些文件的打开顺序。对于技术倾向的人来说，这叫做书脊的重新排序。请注意，您必须将这些项目放在其他项目之间，而不是放在它们上面，这可能会有点麻烦，直到您习惯为止。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:140
 msgid "Marking the cover"
@@ -210,7 +211,7 @@ msgid ""
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
 " If you want to designate some other image as the cover, you can do so by "
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
-msgstr ""
+msgstr "电子书通常都有封面图片。此图像在：guilabel：`文件浏览器`中由图像名称旁边的棕色书图标表示。如果要指定其他图像作为封面，可以通过右键单击该文件并选择：guilabel：`标记为封面‘来实现。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:147
 msgid ""
@@ -222,7 +223,7 @@ msgid ""
 "the user ever converts the EPUB file in calibre to another format. This is "
 "because when converting, calibre assumes that the marked title page contains"
 " only the cover and no other content."
-msgstr ""
+msgstr "此外，EPUB文件还具有*title page*的概念。标题页是充当图书标题页/封面的HTML文件。在编辑ePub时，您可以通过右键单击将HTML文件标记为标题页。请注意，您标记的文件仅包含封面信息。如果它包含其他内容，如第一章，则如果用户将Calibre格式的EPUB文件转换为另一种格式，则该内容将丢失。这是因为在转换时，Calibre假定标记的标题页只包含封面，不包含其他内容。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:157
 msgid "Deleting files"
@@ -235,11 +236,11 @@ msgid ""
 "file from the OPF file, saving you that chore. However, references in other "
 "places are not removed, you can use the Check Book tool to easily find and "
 "remove/replace them."
-msgstr ""
+msgstr "您可以通过右键单击文件或选择文件并按Delete键来删除文件。删除文件会从OPF文件中删除对该文件的所有引用，从而省去了这项工作。但是，其他位置的参照不会被删除，您可以使用Check Book工具轻松地查找和删除/替换它们。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:166
 msgid "Exporting files"
-msgstr ""
+msgstr "正在导出文件"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:168
 msgid ""
@@ -247,7 +248,7 @@ msgid ""
 "computer. This is useful if you want to work on the file in isolation, with "
 "specialised tools. To do this, simply right click on the file and choose "
 ":guilabel:`Export`."
-msgstr ""
+msgstr "您可以将文件从书内导出到计算机上的其他位置。如果您希望使用专门的工具单独处理文件，这将非常有用。要执行此操作，只需右键单击该文件并选择：guilabel：`导出`。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:173
 msgid ""
@@ -255,7 +256,7 @@ msgid ""
 "the book, by right clicking on the file again and choosing "
 ":guilabel:`Replace with file...` which will allow you to replace the file in"
 " the book with the previously exported file."
-msgstr ""
+msgstr "处理完导出的文件后，您可以将其重新导入到书中，方法是再次右键单击该文件，然后选择：guilabel：`替换为文件...‘，这将允许您将书籍中的文件替换为以前导出的文件。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:178
 msgid ""
@@ -264,7 +265,7 @@ msgid ""
 "choose, :guilabel:`Copy selected files to another editor instance`. Then, in"
 " the other editor instance, right click in the :guilabel:`File browser` and "
 "choose :guilabel:`Paste file from other editor instance`."
-msgstr ""
+msgstr "您还可以在多个编辑器实例之间复制文件。在：guilabel：`文件浏览器`中选择要复制的文件，然后右键单击并选择、：guilabel：`将所选文件复制到另一个编辑器实例`。然后，在另一个编辑器实例中，右键单击：guilabel：`文件浏览器`并选择：guilabel：`从其他编辑器实例粘贴文件`。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
@@ -277,13 +278,13 @@ msgid ""
 "file by clicking the :guilabel:`Import resource file` button or create a new"
 " blank HTML file or stylesheet by simply entering the file name into the box"
 " for the new file."
-msgstr ""
+msgstr "您可以通过单击：guilabel：`文件->新建文件`将计算机中的新图像、字体、样式表等添加到书本中。这允许您通过单击：guilabel：`导入资源文件`按钮导入文件，或者只需在新文件的框中输入文件名即可创建新的空白HTML文件或样式表。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
-msgstr ""
+msgstr "您还可以使用文件->将文件导入书本，一次将多个文件导入书本。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:196
 msgid "Replacing files"
@@ -295,18 +296,18 @@ msgid ""
 "file and choosing replace. This will automatically update all links and "
 "references, in case the replacement file has a different name than the file "
 "being replaced."
-msgstr ""
+msgstr "通过右键单击文件并选择替换，您可以轻松地替换图书中的现有文件。这将自动更新所有链接和引用，以防替换文件的名称与要替换的文件不同。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
-msgstr ""
+msgstr "有效地将样式表链接到HTML文件"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
-msgstr ""
+msgstr "为了方便起见，您可以在文件浏览器中选择多个HTML文件，右键单击并选择链接样式表，以便Calibre自动将这些样式表的 <link> 标记插入到所有选定的HTML文件中。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:216
 msgid "Search & replace"
@@ -319,20 +320,20 @@ msgid ""
 " a marked region of the current file. You can search using a normal search "
 "or using regular expressions. To learn how to use regular expressions for "
 "advanced searching, see :ref:`regexptutorial`."
-msgstr ""
+msgstr "编辑书籍有一个非常强大的搜索和替换界面，允许您搜索和替换当前文件中的文本，跨所有文件，甚至在当前文件的标记区域中搜索和替换文本。您可以使用普通搜索或使用正则表达式进行搜索。要了解如何使用正则表达式进行高级搜索，请参阅：ref：`regexptutorial`。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
-msgstr ""
+msgstr "通过：guilabel：`搜索->查找/替换`菜单项开始搜索和替换(您必须编辑HTML或CSS文件)。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
-msgstr ""
+msgstr "在“查找”框中键入要查找的文本，并在“替换”框中替换它。您可以单击相应的按钮查找下一个匹配项、替换当前匹配项和替换所有匹配项。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:235
 msgid ""
@@ -340,14 +341,14 @@ msgid ""
 "operate over the current file, all text files, all style files or all files."
 " You can also choose the search mode to be a normal (string) search or a "
 "regular expression search."
-msgstr ""
+msgstr "使用框底部的下拉列表，您可以对当前文件、所有文本文件、所有样式文件或所有文件进行搜索。您还可以将搜索模式选择为普通(字符串)搜索或正则表达式搜索。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
-msgstr ""
+msgstr "您可以通过：guilabel：`搜索->全部计数`统计搜索表达式的所有匹配项。计数将遍历您在下拉框中选择的任何文件/区域。"
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:244
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/function_mode.po	2020-07-16 17:09:29.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-10-01 16:48+0530\n"
-"PO-Revision-Date: 2017-09-21 15:39+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
@@ -36,8 +36,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -91,11 +91,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -254,9 +253,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/glossary.po	2020-05-14 03:17:11.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/glossary.po	2020-07-16 17:00:00.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-02 09:13+0530\n"
-"PO-Revision-Date: 2020-05-02 09:39+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-12 08:43+0000\n"
 "Last-Translator: tony shen <anthanny@hotmail.com>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
@@ -112,6 +112,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
-msgstr "**Regular expressions** 正则表达式提供了一种简洁而灵活的方式来标识感兴趣的文本字符串，例如特定字符，单词或字符模式。请参阅 `regexp语法 <https://docs.python.org/2.7/library/re.html>`_ 了解Python中使用的正则表达式的语法。"
+msgstr "**Regular expressions** 正则表达式提供了一种简洁而灵活的方式来标识感兴趣的文本字符串，例如特定字符，单词或字符模式。请参阅“正则表达式语法 <https://docs.python.org/library/re.html>”_了解Python中使用的正则表达式的语法。"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/gui.po	2020-07-02 04:20:26.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/gui.po	2020-07-16 17:06:56.000000000 +0000
@@ -5,13 +5,14 @@
 # Translators:
 # hjings <hjings@gmail.com>, 2019
 # Kevin Jin <kevin.defan@gmail.com>, 2016
+# tony shen <anthanny@hotmail.com>, 2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-14 14:58+0000\n"
+"Last-Translator: tony shen <anthanny@hotmail.com>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -88,7 +89,7 @@ msgid ""
 "per directory mode, with no lost information except for the date (this "
 "assumes you have not changed any of the setting for the Save to disk "
 "action)."
-msgstr ""
+msgstr "**从目录和子目录添加图书**：允许您选择目录。递归扫描该目录及其所有子目录，并将找到的任何电子书添加到图书馆。您可以选择是否让Calibre将单个目录中存在的所有文件添加到单个帐簿记录或多个帐簿记录。Calibre假设每个目录包含一本书。假定目录中的所有电子书文件都是不同格式的同一本书。此操作与：ref：`保存到磁盘 <save_to_disk_multiple>`操作相反，即您可以在：guilabel：`保存到磁盘`删除书籍，然后在每个目录的单个书籍模式下重新添加它们，除日期外不会丢失任何信息(这假设您没有更改保存到磁盘操作的任何设置)。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:52
 msgid ""
@@ -121,7 +122,7 @@ msgstr "**添加文件到选中的书籍
 msgid ""
 "**Add an empty file to selected book records**: Allows you to add an empty "
 "file of the specified format to the selected book records."
-msgstr ""
+msgstr "**添加一个空文件到选中的书籍记录中**：允许您将指定格式的空文件添加到选定的书籍记录。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:62
 msgid ""
@@ -154,7 +155,7 @@ msgid ""
 "Click the :guilabel:`Add books` button in the top right area of the "
 ":guilabel:`Edit metadata` dialog, accessed by the "
 ":ref:`edit_meta_information` action."
-msgstr ""
+msgstr "单击：guilabel:`编辑元数据`对话框右上角区域中的:guilabel:`添加书籍`按钮，可通过:ref:`编辑元数据信息`操作来访问。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:76
 msgid "Edit metadata"
@@ -210,7 +211,7 @@ msgid ""
 "calibre will not convert these e-books. It is easy to remove the DRM from "
 "many formats, but as this may be illegal, you will have to find tools to "
 "liberate your books yourself and then use calibre to convert them."
-msgstr ""
+msgstr "|cei| 电子书可以从许多种格式转换成你的电子书阅读器偏好的格式。很多可购买电子书被`数字权利管理 <drm>` *（DRM）*技术所保护。calibre 不会转换这些电子书。很多格式电子书的 DRM 很容易移除，但是由于这样做可能违法，你必须自己找到工具解除电子书的限制，然后再使用 calibre 转换。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:101
 msgid ""
@@ -418,17 +419,17 @@ msgstr "**重命名书库**：这一操
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:182
 msgid "**Pick a random book**: Chooses a random book in the library for you"
-msgstr ""
+msgstr "**随机挑一本书**：从书库中随机选择一本书"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:183
 msgid "**Remove library**: Allows you to unregister a library from calibre."
-msgstr ""
+msgstr "**删除书库**：允许你将一个书库从 calibre 注销。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:184
 msgid ""
 "**Export/import all calibre data**: Allows you to either export calibre data"
 " for migration to a new computer or import previously exported data."
-msgstr ""
+msgstr "**导出/导入所有calibre数据**：允许您导出calibre数据以迁移到新计算机或导入以前导出的数据。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:185
 msgid ""
@@ -436,7 +437,7 @@ msgid ""
 "between multiple libraries that you have created or attached to. This list "
 "contains only the 5 most frequently used libraries. For the complete list, "
 "use the Quick Switch menu."
-msgstr ""
+msgstr "**<library name>**：操作7、8等等……允许您在已创建或附加到的多个书库之间即时切换访问。这一列表只包括5个最常使用的书库。完整的列表请使用“快速切换”菜单。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:186
 msgid ""
@@ -803,13 +804,13 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
 "Regular expression searches are 'contains' searches unless the expression "
 "contains anchors."
-msgstr "“等于”式搜索通过在搜索字符串前增加一个等号（=）进行指明。例如，查询指令``tag:\"=science\"``将会匹配“science”，但不会匹配“science fiction”或“hard science”。正则表达式搜索通过在搜索字符串前增加一个波浪号（~）进行指明。任何 `Python 兼容的正则表达式 <https://docs.python.org/2/library/re.html>`_都可以使用。注意在正则表达式中转义字符使用的反斜杠必须写两个，因为在查询指令的解析过程中单斜杠将被移除。例如，为了匹配括号，你必须输入``\\\\(``。正则表达式搜索是“包含”式搜索，除非表达式中包含插入符。"
+msgstr "“等于”式搜索通过在搜索字符串前增加一个等号（=）进行指明。例如，查询指令``tag:\"=science\"``将会匹配“science”，但不会匹配“science fiction”或“hard science”。正则表达式搜索通过在搜索字符串前增加一个波浪号（~）进行指明。任何 `Python 兼容的正则表达式 <https://docs.python.org/library/re.html>`_都可以使用。注意在正则表达式中转义字符使用的反斜杠必须写两个，因为在查询指令的解析过程中单斜杠将被移除。例如，为了匹配括号，你必须输入``\\\\(``。正则表达式搜索是“包含”式搜索，除非表达式中包含插入符。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:351
 msgid ""
@@ -914,7 +915,7 @@ msgid ""
 " books that are in both the *Read* and *Science Fiction* Virtual libraries. "
 "The value following ``vl:`` must be the name of a Virtual library. If the "
 "Virtual library name contains spaces then surround it with quotes."
-msgstr ""
+msgstr "特殊字段``vl``用于搜索虚拟书库中的书籍。例如，``vl:Read``将找到*Read*虚拟书库中的所有书籍，``vl:Read and vl:\"Science Fiction\"``将找到所有同时在**Read**虚拟书库和**Science Fiction**虚拟书库中的书。``vl:``后面的值必须为虚拟书库名称。如果虚拟书库名称包含空格，则该名称需要用引号包括起来。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:409
 msgid ""
@@ -954,7 +955,7 @@ msgid ""
 " which type and value to search for. Both the type and the value parts of "
 "the query can use `equality`, `contains`, or `regular expression` matches. "
 "Examples:"
-msgstr ""
+msgstr "标识符（例如：ISBN、doi、lccn等）也使用一种扩展的语法。首先，注意标识符的形式为``type:value``，例如``isbn:123456789``。扩展的语法允许独立地指定搜索哪种类型和值。查询指令中的type部分和value部分都可以使用`等于式`、`包含式`或`正则表达式`匹配。例如："
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:425
 msgid "``identifiers:true`` will find books with any identifier."
@@ -980,24 +981,24 @@ msgstr "``identifiers:=123456789``将搜
 msgid ""
 "``identifiers:=isbn:`` and ``identifiers:isbn:true`` will find books with a "
 "type equal to ISBN having any value"
-msgstr ""
+msgstr "``identifiers:=isbn:``和``identifiers:isbn:true``将找到拥有标识符类型为ISBN且该标识符有任何值的书籍。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:430
 msgid ""
 "``identifiers:=isbn:false`` will find books with no type equal to ISBN."
-msgstr ""
+msgstr "``identifiers:=isbn:false``将找到标识符类型不等于isbn的书籍。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:431
 msgid ""
 "``identifiers:=isbn:123`` will find books with a type equal to ISBN having a"
 " value containing `123`."
-msgstr ""
+msgstr "``identifiers:=isbn:123``将找到有一个标识符类型为ISBN且其值包含`123`的所有书籍。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:432
 msgid ""
 "``identifiers:=isbn:=123456789`` will find books with a type equal to ISBN "
 "having a value equal to `123456789`."
-msgstr ""
+msgstr "``identifiers:=isbn:=123456789``将找到有一个标识符为ISBN且其值等于`123456789`的所有图书。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:433
 msgid ""
@@ -1007,7 +1008,7 @@ msgstr "``identifiers:i:1``将找到某
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:442
 msgid ":guilabel:`Advanced search dialog`"
-msgstr ":guilabel:`高级搜索`"
+msgstr ":guilabel:`高级搜索对话框`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:447
 msgid "Saving searches"
@@ -1041,7 +1042,7 @@ msgid ""
 "way to partition your large collection of books into smaller, manageable "
 "chunks. To learn how to create and use Virtual libraries, see the tutorial: "
 ":ref:`virtual_libraries`."
-msgstr ""
+msgstr "一个:guilabel:`虚拟书库`是一种模仿你的 calibre 书库只有几本书而不是全部藏书的的方式。这是将您的大量藏书划分为较小的、可管理的块的绝佳方式。要了解如何创建和使用虚拟库，请参阅教程：ref:`virtual_libraries`。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:465
 msgid "Guessing metadata from file names"
@@ -1243,7 +1244,7 @@ msgid ""
 "the small triangle next to it. Clicking on the triangle will show Thriller "
 "and English as sub-items. See :ref:`Managing subgroups of books, for example"
 " \"genre\" <subgroups-tutorial>` for more information."
-msgstr ""
+msgstr "在某些文本型分类（例如标签、丛书和自定义列）中创建层次项也是可能的。这些层次项以小三角形显示，允许子项目被隐藏。要在一个分类中使用项目的层次项，你必须首先打开:guilabel:`首选项->界面->界面外观`，然后在“具有层次项的分类”中输入分类名称。完成之后，分类中包含英文句号的项目将使用小三角形展示。例如，假设你创建了一个自定义列名为“Genre”，并显示其包含层次项。完成之后，类似于 Mystery.Thriller 和 Mystery.English 的项目将显示为 Mystery，旁边有小三角形。点击三角形后将显示 Thriller 和 English 为子项。更多信息参见 :ref:`管理书籍的子组织，例如“Genre”<subgroups-tutorial>`。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:553
 msgid ""
@@ -1423,36 +1424,36 @@ msgid ""
 "Respect (or not) the current Virtual library. If checked then Quickview "
 "shows only books in the current Virtual library. Default: respect Virtual "
 "libraries"
-msgstr ""
+msgstr "限于(或不限于)当前的虚拟书库。如果勾选，则快速查看仅显示当前虚拟图书馆中的图书。默认值：限于虚拟书库"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:622
 msgid ""
 "Change the Quickview window contents when the column is changed on the book "
 "list using the cursor keys. Default: don't follow changes made with cursor "
 "keys"
-msgstr ""
+msgstr "使用光标键更改图书列表上的列时，更改“快速查看”窗口的内容。默认值：不跟随光标键所做的更改"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:623
 msgid ""
 "Change the column being \"quickview'ed\" when a cell in the Quickview window"
 " is double-clicked. Otherwise the book is changed but the column being "
 "examined is not. Default: change the column"
-msgstr ""
+msgstr "双击“快速查看”窗口中的单元格时，更改“快速查看”列。否则，本书将被更改，而被检查的栏目则不会被更改。默认值：更改列"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:624
 msgid ""
 "Change the column being \"quickview'ed\" to the current column when the "
 "return key is pressed in the Quickview panel. Otherwise the book is changed "
 "but the column being examined is not. Default: change the column"
-msgstr ""
+msgstr "在“快速查看”面板中按回车键时，将“快速查看”列更改为当前列。否则，本书将被更改，而被检查的栏目则不会被更改。默认值：更改列"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:625
 msgid "Choose which columns are shown in the Quickview window/panel."
-msgstr ""
+msgstr "选择在“快速查看”窗口/面板中显示的列。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:634
 msgid "Jobs"
-msgstr ""
+msgstr "任务"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:638
 msgid ""
@@ -1462,7 +1463,7 @@ msgid ""
 " jobs. Once a job has completed you can see a detailed log from that job by "
 "double-clicking it in the list. This is useful to debug jobs that may not "
 "have completed successfully."
-msgstr ""
+msgstr "“任务”面板显示当前正在运行的工作数。任务是在单独进程中运行的活动。它们包括转换电子书和与你的阅读设备对话。您可以单击“任务”面板以访问作业列表。任务完成后，您可以通过双击列表中的该工作查看详细日志。这对于调试可能未成功完成的任务非常有用。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:645
 msgid "Keyboard shortcuts"
@@ -1475,62 +1476,62 @@ msgid ""
 "the details of a particular book), and most of them affect the title you "
 "have selected. The calibre E-book viewer has its own shortcuts which can be "
 "customised by clicking the :guilabel:`Preferences` button in the viewer."
-msgstr ""
+msgstr "calibre有几个键盘快捷键，可以节省您的时间和鼠标移动。这些快捷方式在图书列表视图中处于激活状态（当您不编辑特定书籍的详细信息时），并且大多数快捷方式都会影响您选择的标题。calibre电子书浏览器有自己的快捷方式，可以通过单击查看器中的：guilabel:`首选项`按钮进行自定义。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:651
 msgid ""
 "Note: The calibre keyboard shortcuts do not require a modifier key (Command,"
 " Option, Control, etc.), unless specifically noted. You only need to press "
 "the letter key, e.g. E to edit."
-msgstr ""
+msgstr "注：除非特别注明，否则calibre键盘快捷键不需要修改键（命令、选项、控制等）。您只需按字母键，例如e即可编辑。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:653
 msgid "Keyboard shortcuts for the main calibre program"
-msgstr ""
+msgstr "Calibre主程序的键盘快捷键"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:657
 msgid "Keyboard shortcut"
-msgstr ""
+msgstr "键盘快捷键"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:658
 msgid "Action"
-msgstr ""
+msgstr "操作"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:659
 msgid ":kbd:`F2 (Enter in macOS)`"
-msgstr ""
+msgstr ":键盘：`F2(在MacOS中输入)`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:660
 msgid "Edit the metadata of the currently selected field in the book list."
-msgstr ""
+msgstr "编辑图书列表中当前选定字段的元数据。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:661
 msgid ":kbd:`A`"
-msgstr ""
+msgstr ":键盘:`A`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:663
 msgid ":kbd:`Shift+A`"
-msgstr ""
+msgstr ":键盘:`Shift+A`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:664
 msgid "Add formats to the selected books"
-msgstr ""
+msgstr "添加格式到选定书籍"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:665
 msgid ":kbd:`C`"
-msgstr ""
+msgstr ":键盘:`C`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:666
 msgid "Convert selected books"
-msgstr ""
+msgstr "转换选定书籍"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:667
 msgid ":kbd:`D`"
-msgstr ""
+msgstr ":键盘:`D`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:669
 msgid ":kbd:`Del`"
-msgstr ""
+msgstr ":键盘:`Del`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:670
 msgid "Remove selected books"
@@ -1538,15 +1539,15 @@ msgstr "移除选定书籍"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:671
 msgid ":kbd:`E`"
-msgstr ""
+msgstr ":键盘:`E`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:672
 msgid "Edit metadata of selected books"
-msgstr ""
+msgstr "编辑选定书籍的元数据"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:673
 msgid ":kbd:`G`"
-msgstr ""
+msgstr ":键盘:`G`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:674
 msgid "Get books"
@@ -1554,7 +1555,7 @@ msgstr "获取书籍"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:675
 msgid ":kbd:`I`"
-msgstr ""
+msgstr ":键盘:`I`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:676
 msgid "Show Book details"
@@ -1562,7 +1563,7 @@ msgstr "显示书籍细节"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:677
 msgid ":kbd:`K`"
-msgstr ""
+msgstr ":键盘:`K`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:678
 msgid "Edit Table of Contents"
@@ -1570,23 +1571,23 @@ msgstr "编辑目录(TOC)"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:679
 msgid ":kbd:`M`"
-msgstr ""
+msgstr ":键盘:`M`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:680
 msgid "Merge selected records"
-msgstr ""
+msgstr "合并选定的记录"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:681
 msgid ":kbd:`Alt+M`"
-msgstr ""
+msgstr ":键盘:`Alt+M`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:682
 msgid "Merge selected records, keeping originals"
-msgstr ""
+msgstr "合并选定的记录，保留原始记录"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:683
 msgid ":kbd:`O`"
-msgstr ""
+msgstr ":键盘:`O`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:684
 msgid "Open containing folder"
@@ -1594,7 +1595,7 @@ msgstr "打开所在目录"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:685
 msgid ":kbd:`P`"
-msgstr ""
+msgstr ":键盘:`P`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:686
 msgid "Polish books"
@@ -1602,11 +1603,11 @@ msgstr "优化书籍"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:687
 msgid ":kbd:`S`"
-msgstr ""
+msgstr ":键盘:`S`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:689
 msgid ":kbd:`T`"
-msgstr ""
+msgstr ":键盘:`T`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:690
 msgid "Edit book"
@@ -1614,11 +1615,11 @@ msgstr "编辑书籍"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:691
 msgid ":kbd:`V`"
-msgstr ""
+msgstr ":键盘:`V`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:693
 msgid ":kbd:`Alt+V/Cmd+V in macOS`"
-msgstr ""
+msgstr ":键盘:`在macOS系统为Alt+V/Cmd+V`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:694
 msgid "View specific format"
@@ -1626,95 +1627,95 @@ msgstr "阅读特定格式"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:695
 msgid ":kbd:`Alt+Shift+J`"
-msgstr ""
+msgstr ":键盘:`Alt+Shift+J`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:696
 msgid "Toggle jobs list"
-msgstr ""
+msgstr "切换任务列表"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:697
 msgid ":kbd:`Alt+Shift+B`"
-msgstr ""
+msgstr ":键盘:`Alt+Shift+B`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:698
 msgid "Toggle Cover browser"
-msgstr ""
+msgstr "切换封面浏览器"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:699
 msgid ":kbd:`Alt+Shift+D`"
-msgstr ""
+msgstr ":键盘:`Alt+Shift+D`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:700
 msgid "Toggle Book details panel"
-msgstr ""
+msgstr "切换书籍细节面板"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:701
 msgid ":kbd:`Alt+Shift+T`"
-msgstr ""
+msgstr ":键盘:`Alt+Shift+T`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:702
 msgid "Toggle Tag browser"
-msgstr ""
+msgstr "切换标签浏览器"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:703
 msgid ":kbd:`Alt+Shift+G`"
-msgstr ""
+msgstr ":键盘:`Alt+Shift+G`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:704
 msgid "Toggle Cover grid"
-msgstr ""
+msgstr "切换封面网格"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:705
 msgid ":kbd:`Alt+A`"
-msgstr ""
+msgstr ":键盘:`Alt+A`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:706
 msgid "Show books by the same author as the current book"
-msgstr ""
+msgstr "显示与当前图书相同作者的图书"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:707
 msgid ":kbd:`Alt+T`"
-msgstr ""
+msgstr ":键盘:`Alt+T`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:708
 msgid "Show books with the same tags as current book"
-msgstr ""
+msgstr "显示与当前图书标签相同的图书"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:709
 msgid ":kbd:`Alt+P`"
-msgstr ""
+msgstr ":键盘:`Alt+P`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:710
 msgid "Show books by the same publisher as current book"
-msgstr ""
+msgstr "显示与当前图书出版商相同的图书"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:711
 msgid ":kbd:`Alt+Shift+S`"
-msgstr ""
+msgstr ":键盘:`Alt+Shift+S`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:712
 msgid "Show books in the same series as current book"
-msgstr ""
+msgstr "显示与当前图书属于同一系列的图书"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:713
 msgid ":kbd:`/, Ctrl+F`"
-msgstr ""
+msgstr ":键盘:`/, Ctrl+F`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:714
 msgid "Focus the Search bar"
-msgstr ""
+msgstr "聚焦搜索栏"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:715
 msgid ":kbd:`Shift+Ctrl+F`"
-msgstr ""
+msgstr ":键盘:`Shift+Ctrl+F`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:716
 msgid "Open the advanced search dialog"
-msgstr ""
+msgstr "打开高级搜索对话框"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:717
 msgid ":kbd:`Esc`"
-msgstr ""
+msgstr ":键盘:`Esc`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:718
 msgid "Clear the current search"
@@ -1722,7 +1723,7 @@ msgstr "清除当前搜索"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:719
 msgid ":kbd:`Shift+Esc`"
-msgstr ""
+msgstr ":键盘:`Shift+Esc`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:720
 msgid "Focus the book list"
@@ -1730,7 +1731,7 @@ msgstr "聚焦书籍列表"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:721
 msgid ":kbd:`Ctrl+Esc`"
-msgstr ""
+msgstr ":键盘:`Ctrl+Esc`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:722
 msgid "Clear the Virtual library"
@@ -1738,7 +1739,7 @@ msgstr "清除虚拟书库"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:723
 msgid ":kbd:`Alt+Esc`"
-msgstr ""
+msgstr ":键盘:`Alt+Esc`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:724
 msgid "Clear the additional restriction"
@@ -1746,59 +1747,59 @@ msgstr "清除附加限制"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:725
 msgid ":kbd:`Ctrl+*`"
-msgstr ""
+msgstr ":键盘:`Ctrl+*`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:726
 msgid "Create a temporary Virtual library based on the current search"
-msgstr ""
+msgstr "基于当前搜索创建一个临时虚拟书库"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:727
 msgid ":kbd:`Ctrl+Right`"
-msgstr ""
+msgstr ":键盘:`Ctrl+Right`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:728
 msgid "Select the next Virtual library tab"
-msgstr ""
+msgstr "选择下一个虚拟书库选项卡"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:729
 msgid ":kbd:`Ctrl+Left`"
-msgstr ""
+msgstr ":键盘:`Ctrl+Left`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:730
 msgid "Select the previous Virtual library tab"
-msgstr ""
+msgstr "选择前一个虚拟书库选项卡"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:731
 msgid ":kbd:`N or F3`"
-msgstr ""
+msgstr ":键盘:`N or F3`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:732
 msgid ""
 "Find the next book that matches the current search (only works if search "
 "highlighting is turned on in search preferences)"
-msgstr ""
+msgstr "查找与当前搜索匹配的下一本书(仅当在搜索首选项中打开搜索突出显示时才起作用)"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:733
 msgid ":kbd:`Shift+N or Shift+F3`"
-msgstr ""
+msgstr ":键盘:`Shift+N or Shift+F3`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:734
 msgid ""
 "Find the previous book that matches the current search (only works if search"
 " highlighting is turned on in search preferences)"
-msgstr ""
+msgstr "查找与当前搜索匹配的前一本书(仅当在搜索首选项中打开搜索突出显示时才起作用)"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:735
 msgid ":kbd:`Ctrl+D`"
-msgstr ""
+msgstr ":键盘:`Ctrl+D`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:736
 msgid "Download metadata and covers"
-msgstr ""
+msgstr "下载元数据和封面"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:737
 msgid ":kbd:`Ctrl+R`"
-msgstr ""
+msgstr ":键盘:`Ctrl+R`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:738
 msgid "Restart calibre"
@@ -1806,56 +1807,56 @@ msgstr "重启 Calibre"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:739
 msgid ":kbd:`Ctrl+Shift+R`"
-msgstr ""
+msgstr ":键盘:`Ctrl+Shift+R`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:740
 msgid "Restart calibre in debug mode"
-msgstr ""
+msgstr "以调试模式重启calibre"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:741
 msgid ":kbd:`Shift+Ctrl+E`"
-msgstr ""
+msgstr ":键盘:`Shift+Ctrl+E`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:742
 msgid "Add empty books to calibre"
-msgstr ""
+msgstr "添加空白书籍到 Calibre"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:743
 msgid ":kbd:`Ctrl+M`"
-msgstr ""
+msgstr ":键盘:`Ctrl+M`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:744
 msgid "Toggle mark/unmarked status on selected books"
-msgstr ""
+msgstr "切换所选图书的标记/未标记状态"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:745
 msgid ":kbd:`Q`"
-msgstr ""
+msgstr ":键盘:`Q`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:746
 msgid ""
 "Open the Quick View popup for viewing books in related series/tags/etc."
-msgstr ""
+msgstr "通过打开“快速查看”弹出窗口，查看相关系列/标签等中的书籍。"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:747
 msgid ":kbd:`Shift+Q`"
-msgstr ""
+msgstr ":键盘:`Shift+Q`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:748
 msgid "Focus the opened Quick View panel"
-msgstr ""
+msgstr "聚焦打开的快速查看面板"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:749
 msgid ":kbd:`Shift+S`"
-msgstr ""
+msgstr ":键盘:`Shift+S`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:750
 msgid "Perform a search in the Quick View panel"
-msgstr ""
+msgstr "在“快速查看”面板执行搜索"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:751
 msgid ":kbd:`Ctrl+Q`"
-msgstr ""
+msgstr ":键盘:`Ctrl+Q`"
 
 #: ../../home/kovid/work/calibre/manual/gui.rst:752
 msgid "Quit calibre"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/metadata.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/metadata.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/metadata.po	2020-05-21 16:58:24.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/metadata.po	2020-07-16 17:05:12.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-15 08:00+0530\n"
-"PO-Revision-Date: 2020-05-15 02:19+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-12 08:43+0000\n"
+"Last-Translator: tony shen <anthanny@hotmail.com>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -155,7 +155,7 @@ msgid ""
 "books that have some metadata in common. This dialog is very powerful, for "
 "example, it has a Search and Replace tab that you can use to perform bulk "
 "operations on metadata and even copy metadata from one column to another."
-msgstr ""
+msgstr "首先，通过按住Ctrl或Shift键并单击来选择要编辑的书籍。如果您选择了多本图书，点击：guilabel：`编辑元数据`按钮将会打开一个新的*批量*元数据编辑对话框。使用此对话框可以快速将一组图书的作者/出版商/评级/标签/系列等设置为相同的值。如果您刚刚导入了许多具有某些共同元数据的图书，则此功能尤其有用。此对话框非常强大，例如，它有一个搜索和替换选项卡，您可以使用该选项卡对元数据执行批量操作，甚至将元数据从一列复制到另一列。"
 
 #: ../../home/kovid/work/calibre/manual/metadata.rst:50
 msgid ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/news.po	2020-06-18 03:19:39.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/news.po	2020-07-16 16:58:14.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
@@ -238,7 +238,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/regexp.po	2020-07-16 17:03:48.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Andrew Chen <751970186@qq.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2230, 
-    "translated": 683
+    "untranslated": 2058, 
+    "translated": 857
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/template_lang.po	2020-07-02 04:14:21.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/template_lang.po	2020-07-16 16:56:00.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
@@ -175,7 +175,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -378,12 +378,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -392,7 +400,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -406,7 +414,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -418,7 +426,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -432,7 +440,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -443,14 +451,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -459,13 +476,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -473,7 +490,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -485,17 +502,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -503,13 +520,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -518,23 +535,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -542,16 +559,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -559,15 +576,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -575,27 +592,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -606,7 +623,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -617,7 +634,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -630,7 +647,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -642,38 +659,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -684,7 +701,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -695,26 +712,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -723,7 +740,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -736,7 +753,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -747,13 +764,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -763,7 +780,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -771,28 +788,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -800,13 +817,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -817,11 +834,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -829,27 +846,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -858,7 +875,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -869,14 +886,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -886,7 +903,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -894,7 +911,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -902,20 +919,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -923,7 +940,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -932,7 +949,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -940,7 +957,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -950,7 +967,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -958,7 +975,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -966,7 +983,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -975,46 +992,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1026,17 +1043,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1046,19 +1063,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1068,20 +1085,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1093,15 +1110,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1111,7 +1128,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1125,7 +1142,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1136,7 +1153,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1145,14 +1162,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1162,11 +1179,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1174,11 +1191,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1189,18 +1206,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1210,25 +1227,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1236,11 +1253,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1251,7 +1268,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1262,7 +1279,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1271,29 +1288,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1305,7 +1322,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1315,7 +1332,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1324,34 +1341,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/viewer.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/viewer.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/viewer.po	2020-05-14 03:26:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/viewer.po	2020-07-16 17:04:54.000000000 +0000
@@ -7,14 +7,15 @@
 # Dingyuan Wang <abcdoyle888@gmail.com>, 2016
 # Kevin Jin <kevin.defan@gmail.com>, 2016
 # Pikachu <pikacode@yahoo.co.jp>, 2016
+# tony shen <anthanny@hotmail.com>, 2020
 # 小恐龙 <lhgtop@gmail.com>, 2017
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-02 09:13+0530\n"
-"PO-Revision-Date: 2020-05-02 03:44+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-14 16:06+0000\n"
+"Last-Translator: tony shen <anthanny@hotmail.com>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -45,44 +46,44 @@ msgid ""
 "Start menu in Windows.  On macOS, you can pin it to the dock and launch it "
 "from there. On Linux you can use its launcher in the desktop menus or run "
 "the command :command:`ebook-viewer`."
-msgstr ""
+msgstr "您可以通过选择图书并按：guilabel:`查看`按钮来查看calibre书库中的任何书籍。这将在电子书阅读器中打开图书。您也可以从Windows的“开始”菜单中自行启动电子书阅读器。在macOS上，你可以把它固定在dock上，然后从那里启动它。在Linux上，您可以在桌面菜单中使用它的启动器，或者运行命令：command:`电子书阅读器`。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:25
 msgid "Navigating around an e-book"
-msgstr ""
+msgstr "浏览电子书"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:27
 msgid "You can \"turn pages\" in a book by either:"
-msgstr ""
+msgstr "您可以通过以下任一方式在书中“翻页”："
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:29
 msgid "Clicking in the left or right margin or the page with the mouse"
-msgstr ""
+msgstr "用鼠标单击左页边或右页边或页面"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:30
 msgid ""
 "Pressing the :kbd:`spacebar`, :kbd:`page up`, :kbd:`page down` or arrow keys"
-msgstr ""
+msgstr "按下:键盘:`空格键、:键盘:`向上翻页`、:键盘:`向下翻页`或箭头键"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:31
 msgid "On a touchscreen tapping on the text or swiping left and right"
-msgstr ""
+msgstr "在触摸屏上点击文本或左右滑动"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:34
 msgid "You can access the viewer controls by either:"
-msgstr ""
+msgstr "您可以通过以下任一方式访问阅读器控件："
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:36
 msgid "Right clicking on the text"
-msgstr ""
+msgstr "在文本上单击右键"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:37
 msgid "Pressing the :kbd:`Esc` or :kbd:`Menu` keys"
-msgstr ""
+msgstr "按下:键盘:`Esc`或者:键盘:`菜单`键"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:38
 msgid "On a touchscreen by tapping the top 1/3rd or the screen"
-msgstr ""
+msgstr "在触摸屏上轻触顶部的1/3或屏幕"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:41
 msgid ""
@@ -91,7 +92,7 @@ msgid ""
 "text is presented continuously, like in a web browser. You can switch "
 "between them using the viewer Preferences under :guilabel:`Page layout` or "
 "by pressing the :kbd:`ctrl+m` key."
-msgstr ""
+msgstr "阅读器有两种模式，“分页”和“滑动”。在分页模式下，图书内容显示为页面，类似于纸质图书。在滑动模式下，文本是连续呈现的，就像在web浏览器中一样。您可以使用guilabel:`页面排版`下的阅读器的“首选项”或按:键盘:`ctrl+m`键在它们之间切换。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:49
 msgid "Bookmarks"
@@ -107,7 +108,7 @@ msgid ""
 "You can add bookmarks, then send the file to a friend.  When they open the "
 "file, they will be able to see your bookmarks. You can turn off this "
 "behavior in the :guilabel:`Miscellaneous` section of the viewer preferences."
-msgstr ""
+msgstr "当你在一本图书中间并关闭阅读器时，它将记住您停止阅读的位置，并在下次打开该书时返回该位置。您还可以使用阅读器控件中的:guilabel:`书签`按钮或按:键盘:`ctrl+b`在书中设置书签。当阅读EPUB格式的书籍时，这些书签实际上保存在EPUB文件中。您可以添加书签，然后将文件发送给朋友。当他们打开文件，他们将能够看到你的书签。您可以在阅读器首选项的:guilabel:`其它`选项关闭此行为。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:62
 msgid "Table of Contents"
@@ -119,7 +120,7 @@ msgid ""
 "by pressing the :guilabel:`Table of Contents` button.  This will bring up a "
 "list of sections in the book. You can click on any of them to jump to that "
 "portion of the book."
-msgstr ""
+msgstr "如果您正在阅读的图书定义了目录，您可以通过按下:guilabel:`目录`按钮进行访问。这将调出书中各节的目录列表。您可以单击其中任何一个以跳转到图书的该部分。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:70
 msgid "Navigating by location"
@@ -130,7 +131,7 @@ msgid ""
 "E-books, unlike paper books, have no concept of pages. You can refer to "
 "precise locations in e-books using the :guilabel:`Go to->Location` "
 "functionality in the viewer controls."
-msgstr ""
+msgstr "电子书与纸质书不同，没有页面的概念。您可以使用阅读器控件中的:guilabel:`转到->位置`功能来引用电子书中的精确位置。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:76
 msgid ""
@@ -138,7 +139,7 @@ msgid ""
 " books when discussing it with friends or referring to it in other works. "
 "You can enter these locations under :guilabel:`Go to->Location` in the "
 "viewer controls."
-msgstr ""
+msgstr "当你与朋友讨论或在其他作品中引用它时，你可以使用这个位置信息来明确地引用书中的某些部分。您可以在查看器控件的:guilabel:`转到->位置`下输入这些位置。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:81
 msgid ""
@@ -146,7 +147,7 @@ msgid ""
 "the book, such as an endnote, you can use the :guilabel:`Back` and "
 ":guilabel:`Forward` buttons in the top left corner of the viewer controls. "
 "These buttons behave just like those in a web browser."
-msgstr ""
+msgstr "如果您单击电子书内部的链接，将您带到书的不同部分，例如尾注，则可以使用阅读器控件左上角的:guilabel:`返回`和:guilabel:`向前`按钮。这些按钮的行为与web浏览器中的按钮类似。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:87
 msgid "Reference mode"
@@ -158,7 +159,7 @@ msgid ""
 "on by clicking the :guilabel:`Reference mode` button in the viewer controls."
 "  Once you do this, every mouse over a paragraph, calibre will display a "
 "unique number made up of the section and paragraph numbers."
-msgstr ""
+msgstr "Calibre还有一个非常方便的功能:guilabel:‘引用模式’。您可以通过单击阅读器控件中的:guilabel:`引用模式`按钮将其打开。一旦你这样做了，每一次鼠标经过一个段落，Calibre都会显示一个由章节和段落编号组成的唯一数字。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:94
 msgid ""
@@ -166,7 +167,7 @@ msgid ""
 "discussing it with friends or referring to it in other works. You can enter "
 "these numbers in the :guilabel:`Go to function` to navigate to a particular "
 "reference location."
-msgstr ""
+msgstr "当你和朋友讨论或在其他作品中提到它时，你可以用这个数字明确地指代书中的某些部分。您可以在:guilabel:`转到函数`中输入这些数字，以浏览到特定的参考位置。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:101
 msgid "Customizing the look and feel of your reading experience"
@@ -177,26 +178,26 @@ msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
-msgstr ""
+msgstr "通过在阅读器控件中使用:guilabel:`字体大小`或:键盘:`Ctrl++`或:键盘:`Ctrl+-`或按住:键盘:`Ctrl`键并使用鼠标滚轮，可以动态更改字体大小。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:107
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
-msgstr ""
+msgstr "可以在阅读器首选项的:guilabel:`颜色`部分更改颜色。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:110
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
-msgstr ""
+msgstr "您可以在阅读器首选项的:guiabel:`页面排版`中更改屏幕上显示的页数和页边距。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:113
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
-msgstr ""
+msgstr "您可以通过阅读器首选项的:guilabel:`页眉和页脚`部分显示自定义页眉和页脚，如剩余阅读时间、当前章节标题、图书位置等。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:117
 msgid ""
@@ -206,7 +207,7 @@ msgid ""
 "it you can do things like change paragraph styles, text justification, etc."
 "  For examples of custom stylesheets used by calibre's users, see `the "
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
-msgstr ""
+msgstr "可以通过:guilabel:`样式`的设置获得更高级的自定义。在这里，您可以指定要在文本下显示的背景图像，还可以指定将应用于每本书的样式表。使用它，你可以做一些比如改变段落样式，文本对齐等等的事情。有关Calibre用户使用的自定义样式表的示例，请参阅‘论坛<https://www.mobileread.com/forums/showthread.php?t=51500>`_。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:125
 msgid "Dictionary lookup"
@@ -218,7 +219,7 @@ msgid ""
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
 "double click on any word and its definition will be displayed in the Lookup "
 "panel."
-msgstr ""
+msgstr "您可以通过阅读器控件打开:guilabel:`查找/搜索单词面板`来查找当前图书中单词的含义。然后，只需双击任何单词，其定义将显示在查找面板中。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:133
 msgid "Copying text and images"
@@ -230,22 +231,22 @@ msgid ""
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
 "  The copied material can be pasted into another application as plain text "
 "and images."
-msgstr ""
+msgstr "您可以选择文本和图像，方法是用鼠标拖动内容，然后右键单击并选择:guilabel:`复制`以复制到剪贴板。复制的材料可以作为纯文本和图像粘贴到另一个应用程序中。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:141
 msgid "Zooming in on images"
-msgstr ""
+msgstr "放大图像"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:143
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
-msgstr ""
+msgstr "您可以通过双击或长按来放大在单独的窗口中以全尺寸显示图像。您也可以右键单击它并选择:guilabel:`查看图像`。"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:149
 msgid "Non re-flowable content"
-msgstr ""
+msgstr "不可重排的内容"
 
 #: ../../home/kovid/work/calibre/manual/viewer.rst:151
 msgid ""
@@ -255,4 +256,4 @@ msgid ""
 "this content. Alternately, you can also add the following CSS to the "
 ":guilabel:`Styles` section of the viewer preferences to force the viewer to "
 "break up lines of text in :code:`<pre>` tags::"
-msgstr ""
+msgstr "有些书的内容非常广泛，内容可以在页面边界处拆分。例如表或:code:`<pre>`标记。在这种情况下，您可以通过按下:键盘:`Ctrl+m`将阅读器切换到*滑动模式*来阅读此内容。或者，您也可以将以下CSS添加到阅读器首选项的:guilabel:`样式`部分，以强制阅读器拆分:code:`<pre>`标记中的文本行："
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_CN/xpath.po	2020-05-14 03:20:03.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_CN/xpath.po	2020-07-16 17:01:53.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-05-02 09:13+0530\n"
-"PO-Revision-Date: 2020-05-07 15:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-12 08:45+0000\n"
 "Last-Translator: tony shen <anthanny@hotmail.com>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
@@ -161,5 +161,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
-msgstr "如果字符串`src`与正则表达式`pattern`匹配，则``re:test(src, pattern, flags)``返回true。一个特别有用的标志是``i``，它使匹配不区分大小写。有关正则表达式语法的入门知识，请参见`regexp syntax <https://docs.python.org/2.7/library/re.html>`_。"
+"<https://docs.python.org/library/re.html>`_"
+msgstr "如果字符串`src`与正则表达式`pattern`匹配，则``re:test(src, pattern, flags)``返回true。一个特别有用的标志是``i``，它使匹配不区分大小写。有关正则表达式语法的入门知识，请参见“正则表达式语法<https://docs.python.org/library/re.html>”_。"
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/develop.po	2020-03-05 04:49:21.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/develop.po	2020-07-16 16:53:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/function_mode.po	2020-07-16 17:09:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/glossary.po	2020-07-16 17:00:20.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-25 09:23+0530\n"
-"PO-Revision-Date: 2017-09-20 05:40+0000\n"
-"Last-Translator: Helen Kwok <hlkwokab@connect.ust.hk>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/gui.po	2020-07-02 04:21:01.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/gui.po	2020-07-16 17:07:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/news.po	2020-06-18 03:20:23.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/news.po	2020-07-16 16:58:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/regexp.po	2020-07-16 17:04:12.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
-"Last-Translator: Helen Kwok <hlkwokab@connect.ust.hk>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2877, 
+    "untranslated": 2879, 
     "translated": 36
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/template_lang.po	2020-07-02 04:14:55.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/template_lang.po	2020-07-16 16:56:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_HK/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_HK/xpath.po	2020-07-16 17:02:11.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
-"Last-Translator: Helen Kwok <hlkwokab@connect.ust.hk>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/develop.po	2020-03-05 04:48:43.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/develop.po	2020-07-16 16:54:06.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/function_mode.po	2020-07-16 17:10:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/glossary.po	2020-07-16 17:00:36.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-04-29 14:17+0530\n"
-"PO-Revision-Date: 2019-05-09 13:22+0000\n"
-"Last-Translator: guihu\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -110,6 +110,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/gui.po	2020-07-02 04:20:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/gui.po	2020-07-16 17:07:49.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
@@ -804,7 +804,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/news.po	2020-06-18 03:20:35.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/news.po	2020-07-16 16:58:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/regexp.po	2020-07-16 17:04:28.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2019-04-29 14:17+0530\n"
-"PO-Revision-Date: 2019-05-09 15:09+0000\n"
-"Last-Translator: guihu\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2769, 
+    "untranslated": 2771, 
     "translated": 144
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/template_lang.po	2020-07-02 04:14:28.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/template_lang.po	2020-07-16 16:56:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zh_TW/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zh_TW/xpath.po	2020-07-16 17:02:24.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-09-07 07:58+0530\n"
-"PO-Revision-Date: 2018-09-07 23:21+0000\n"
-"Last-Translator: Hsiu-Ming Chang <cges30901@gmail.com>\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/develop.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/develop.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/develop.po	2020-03-05 04:49:24.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/develop.po	2020-07-16 16:53:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-02-26 22:18+0530\n"
-"PO-Revision-Date: 2020-02-21 03:37+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -326,7 +326,7 @@ msgid ""
 "The next step is to set the environment variable ``CALIBRE_DEVELOP_FROM`` to"
 " the absolute path of the src directory. So, following the example above, it"
 " would be ``C:\\Users\\kovid\\work\\calibre\\src``. `Here is a short guide "
-"<https://docs.python.org/2/using/windows.html#excursus-setting-environment-"
+"<https://docs.python.org/using/windows.html#excursus-setting-environment-"
 "variables>`_ to setting environment variables on Windows."
 msgstr ""
 
@@ -557,7 +557,7 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/develop.rst:335
 msgid ""
 "You can read about how to use the Python debugger in the `Python stdlib docs"
-" for the pdb module <https://docs.python.org/2/library/pdb.html#debugger-"
+" for the pdb module <https://docs.python.org/library/pdb.html#debugger-"
 "commands>`_."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/function_mode.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/function_mode.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/function_mode.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/function_mode.po	2020-07-16 17:09:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -35,8 +35,8 @@ msgid ""
 "regular expression to search for as well as a template that is used to "
 "replace all found matches. In function mode, instead of using a fixed "
 "template, you specify an arbitrary function, in the `Python programming "
-"language <https://docs.python.org/2.7/>`_. This allows you to do lots of "
-"things that are not possible with simple templates."
+"language <https://docs.python.org>`_. This allows you to do lots of things "
+"that are not possible with simple templates."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:16
@@ -90,11 +90,10 @@ msgid ""
 "arguments shown above. For the moment, we wont worry about all the different"
 " arguments to ``replace()`` function. Just focus on the ``match`` argument. "
 "It represents a match when running a search and replace. Its full "
-"documentation in available `here "
-"<https://docs.python.org/2.7/library/re.html#match-objects>`_. "
-"``match.group()`` simply returns all the matched text and all we do is "
-"replace hyphens in that text with em-dashes, first replacing double hyphens "
-"and then single hyphens."
+"documentation in available `here <https://docs.python.org/library/re.html"
+"#match-objects>`_. ``match.group()`` simply returns all the matched text and"
+" all we do is replace hyphens in that text with em-dashes, first replacing "
+"double hyphens and then single hyphens."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:65
@@ -253,9 +252,9 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/function_mode.rst:241
 msgid ""
 "The ``match`` argument represents the currently found match. It is a `Python"
-" Match object <https://docs.python.org/2.7/library/re.html#match-objects>`_."
-" Its most useful method is ``group()`` which can be used to get the matched "
-"text corresponding to individual capture groups in the search regular "
+" Match object <https://docs.python.org/library/re.html#match-objects>`_. Its"
+" most useful method is ``group()`` which can be used to get the matched text"
+" corresponding to individual capture groups in the search regular "
 "expression."
 msgstr ""
 
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/glossary.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/glossary.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/glossary.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/glossary.po	2020-07-16 17:00:16.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -109,6 +109,6 @@ msgid ""
 "**Regular expressions** provide a concise and flexible means for identifying"
 " strings of text of interest, such as particular characters, words, or "
 "patterns of characters. See `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_ for the syntax of regular "
+"<https://docs.python.org/library/re.html>`_ for the syntax of regular "
 "expressions used in Python."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/gui.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/gui.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/gui.po	2020-07-02 04:20:47.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/gui.po	2020-07-16 17:07:20.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:24+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -801,7 +801,7 @@ msgid ""
 "\"science\", but not \"science fiction\" or \"hard science\". Regular "
 "expression searches are indicated by prefixing the search string with a "
 "tilde (~). Any `Python-compatible regular expression "
-"<https://docs.python.org/2/library/re.html>`_ can be used. Note that "
+"<https://docs.python.org/library/re.html>`_ can be used. Note that "
 "backslashes used to escape special characters in regular expressions must be"
 " doubled because single backslashes will be removed during query parsing. "
 "For example, to match a literal parenthesis you must enter ``\\\\(``. "
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/news.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/news.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/news.po	2020-06-18 03:19:21.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/news.po	2020-07-16 16:58:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-05 08:22+0530\n"
-"PO-Revision-Date: 2020-06-05 02:19+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -235,7 +235,7 @@ msgid ""
 "article. What ``print_version`` does is take that url and replace it with "
 "the new URL that points to the print version of the article. To learn about "
 "`Python <https://www.python.org>`_ see the `tutorial "
-"<https://docs.python.org/2/tutorial/>`_."
+"<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/news.rst:108
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/regexp.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/regexp.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/regexp.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/regexp.po	2020-07-16 17:04:08.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:03+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -436,7 +436,7 @@ msgid ""
 "expressions. Hopefully I'll have shown you enough to at least get you "
 "started and to enable you to continue learning by yourself- a good starting "
 "point would be the `Python documentation for regexps "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/regexp.rst:123
@@ -492,5 +492,8 @@ msgstr ""
 #: ../../home/kovid/work/calibre/manual/regexp.rst:147
 msgid ""
 "For more about regexps see `The Python User Manual "
-"<https://docs.python.org/2/library/re.html>`_."
+"<https://docs.python.org/library/re.html>`_. The actual regular expression "
+"library used by calibre is: `regex <https://bitbucket.org/mrabarnett/mrab-"
+"regex/src/hg/>`_ which supports several useful enhancements over the python "
+"standard library one."
 msgstr ""
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/stats.json 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/stats.json
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/stats.json	2020-07-03 02:16:33.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/stats.json	2020-07-16 17:19:55.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "untranslated": 2913, 
+    "untranslated": 2915, 
     "translated": 0
 }
\ No newline at end of file
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/template_lang.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/template_lang.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/template_lang.po	2020-07-02 04:14:41.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/template_lang.po	2020-07-16 16:56:22.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-06-19 07:53+0530\n"
-"PO-Revision-Date: 2020-06-19 02:23+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:14+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -173,7 +173,7 @@ msgstr ""
 msgid ""
 "The calibre template language comes from Python and for more details on the "
 "syntax of these advanced formatting operations, look at the `Python "
-"documentation <https://docs.python.org/2/library/string.html#format-string-"
+"documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`_."
 msgstr ""
 
@@ -376,12 +376,20 @@ msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:132
 msgid ""
+"``rating_to_stars(use_half_stars)`` -- Returns the rating as string of star "
+"characters. The source value must be a number between 0 and 5. Set "
+"use_half_stars to 1 if you want half star characters for custom ratings "
+"columns that are not integers, for example 2.5."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+msgid ""
 "``re(pattern, replacement)`` -- return the field after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:133
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
 msgid ""
 "``select(key)`` -- interpret the field as a comma-separated list of items, "
 "with the items being of the form \"id:value\". Find the pair with the id "
@@ -390,7 +398,7 @@ msgid ""
 "identifiers for a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:134
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
 msgid ""
 "``shorten(left chars, middle text, right chars)`` -- Return a shortened "
 "version of the field, consisting of `left chars` characters from the "
@@ -404,7 +412,7 @@ msgid ""
 " intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:135
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
 msgid ""
 "``str_in_list(separator, string, found_val, ..., not_found_val)`` -- "
 "interpret the field as a list of items separated by `separator`, comparing "
@@ -416,7 +424,7 @@ msgid ""
 "search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:136
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:137
 msgid ""
 "``subitems(start_index, end_index)`` -- This function is used to break apart"
 " lists of tag-like hierarchical items such as genres. It interprets the "
@@ -430,7 +438,7 @@ msgid ""
 "list. Examples::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:146
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:147
 msgid ""
 "``sublist(start_index, end_index, separator)`` -- interpret the field as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -441,14 +449,23 @@ msgid ""
 ",C\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:152
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+msgid ""
+"``swap_around_articles(separator)`` -- returns the val with articles moved "
+"to the end. The value can be a list, in which case each member of the list "
+"is processed. If the value is a list then you must provide the list value "
+"separator. If no separator is provided then the value is treated as being a "
+"single value, not a list."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
 msgid ""
 "``swap_around_comma()`` -- given a field with a value of the form ``B, A``, "
 "return ``A B``. This is most useful for converting names in LN, FN format to"
 " FN LN. If there is no comma, the function returns val unchanged."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:153
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
 msgid ""
 "``switch(pattern, value, pattern, value, ..., else_value)`` -- for each "
 "``pattern, value`` pair, checks if the field matches the regular expression "
@@ -457,13 +474,13 @@ msgid ""
 "pairs as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:154
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:156
 msgid ""
 "``test(text if not empty, text if empty)`` -- return `text if not empty` if "
 "the field is not empty, otherwise return `text if empty`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:155
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
 msgid ""
 "``transliterate()`` -- Returns a string in a latin alphabet formed by "
 "approximating the sound of the words in the source field. For example, if "
@@ -471,7 +488,7 @@ msgid ""
 "``Fiodor Mikhailovich Dostoievskii``.'"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:157
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:159
 msgid ""
 "Now, what about using functions and formatting in the same field. Suppose "
 "you have an integer custom column called ``#myint`` that you want to see "
@@ -483,17 +500,17 @@ msgid ""
 "value back to a zero. The field reference would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:161
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:163
 msgid ""
 "Note that you can use the prefix and suffix as well. If you want the number "
 "to appear as ``[003]`` or ``[000]``, then use the field::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:168
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
 msgid "Using functions in templates - template program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:170
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
 msgid ""
 "The template language program mode differs from single-function mode in that"
 " it permits you to write template expressions that refer to other metadata "
@@ -501,13 +518,13 @@ msgid ""
 "programming language."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:172
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
 msgid ""
 "You can use the functions documented above in template program mode. See "
 "below for details."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:174
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:176
 msgid ""
 "Beginning with an example, assume that you want your template to show the "
 "series for a book if it has one, otherwise show the value of a custom field "
@@ -516,23 +533,23 @@ msgid ""
 " mode, you can. The following expression works::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:178
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
 msgid "The example shows several things:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:180
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
 msgid ""
 "program mode is used if the expression begins with ``:'`` and ends with "
 "``'``. Anything else is assumed to be single-function."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:181
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
 msgid ""
 "the variable ``$`` stands for the field the expression is operating upon, "
 "``#series`` in this case."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:182
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
 msgid ""
 "functions must be given all their arguments. There is no default value. For "
 "example, the standard built-in functions must be given an additional initial"
@@ -540,16 +557,16 @@ msgid ""
 "from single-function mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:183
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:185
 msgid "white space is ignored and can be used anywhere within the expression."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:184
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
 msgid ""
 "constant strings are enclosed in matching quotes, either ``'`` or ``\"``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:186
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
 msgid ""
 "The language is similar to ``functional`` languages in that it is built "
 "almost entirely from functions. A statement is a function. An expression is "
@@ -557,15 +574,15 @@ msgid ""
 "returning the value indicated by the constant or stored in the identifier."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:188
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:190
 msgid "The syntax of the language is shown by the following grammar::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:198
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
 msgid "Comments are lines with a '#' character at the beginning of the line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:200
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:202
 msgid ""
 "An ``expression`` always has a value, either the value of the constant, the "
 "value contained in the identifier, or the value returned by a function. The "
@@ -573,27 +590,27 @@ msgid ""
 " of statements. As such, the value of the program (statement)::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:204
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
 msgid "is 3."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:206
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:208
 msgid ""
 "Another example of a complex but rather silly program might help make things"
 " clearer::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:217
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
 msgid "This program does the following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:219
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
 msgid ""
 "specify that the field being looked at is series_index. This sets the value "
 "of the variable ``$``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:220
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
 msgid ""
 "calls the ``substr`` function, which takes 3 parameters ``(str, start, "
 "end)``. It returns a string formed by extracting the start through end "
@@ -604,7 +621,7 @@ msgid ""
 "before substr can return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:221
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
 msgid ""
 "calls the ``strcat`` (string concatenation) function. Strcat accepts 1 or "
 "more arguments, and returns a string formed by concatenating all the values."
@@ -615,7 +632,7 @@ msgid ""
 "return."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:222
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
 msgid ""
 "The ``cmp`` function takes 5 arguments ``(x, y, lt, eq, gt)``. It compares x"
 " and y and returns the third argument ``lt`` if x < y, the fourth argument "
@@ -628,7 +645,7 @@ msgid ""
 "``'gt'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:223
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:225
 msgid ""
 "The third parameter (the one for ``lt``) is a statement, or a sequence of "
 "expressions. Remember that a statement (a sequence of semicolon-separated "
@@ -640,38 +657,38 @@ msgid ""
 "``'t123'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:224
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
 msgid ""
 "Once the statement providing the value to the third parameter is executed, "
 "``cmp`` can return a value. At that point, ``strcat` can return a value, "
 "then ``substr`` can return a value. The program then terminates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:226
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
 msgid "For various values of series_index, the program returns:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:228
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
 msgid "series_index == undefined, result = ``prefix ->t123 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:229
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
 msgid "series_index == 0.5, result = ``prefix 0.50-> suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:230
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
 msgid "series_index == 1, result = ``prefix 1->t12 suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:231
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:233
 msgid "series_index == 2, result = ``prefix 2->eq suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:232
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
 msgid "series_index == 3, result = ``prefix 3->gt suffix``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:234
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
 msgid ""
 "**All the functions listed under single-function mode can be used in program"
 " mode**. To do so, you must supply the value that the function is to act "
@@ -682,7 +699,7 @@ msgid ""
 " often `field()`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:236
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
 msgid ""
 "The following functions are available in addition to those described in "
 "single-function mode. Remember from the example above that the single-"
@@ -693,26 +710,26 @@ msgid ""
 ":ref:`Function classification <template_functions_reference>`:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:238
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
 msgid ""
 "``and(value, value, ...)`` -- returns the string \"1\" if all values are not"
 " empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:239
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
 msgid ""
 "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
 " numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:240
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
 msgid ""
 "``assign(id, val)`` -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:241
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
 msgid ""
 "``approximate_formats()`` -- return a comma-separated list of formats that "
 "at one point were associated with the book. There is no guarantee that the "
@@ -721,7 +738,7 @@ msgid ""
 "Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:242
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:244
 msgid ""
 "``author_links(val_separator, pair_separator)`` -- returns a string "
 "containing a list of authors and that author's link values in the form "
@@ -734,7 +751,7 @@ msgid ""
 "empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:243
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
 msgid ""
 "``author_sorts(val_separator)`` -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -745,13 +762,13 @@ msgid ""
 "separator string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:248
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:246
 msgid ""
 "``booksize()`` -- returns the value of the calibre 'size' field. Returns '' "
 "if there are no formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:245
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:247
 msgid ""
 "``check_yes_no(field_name, is_undefined, is_false, is_true)`` -- checks the "
 "value of the yes/no field named by the lookup key ``field_name`` for a value"
@@ -761,7 +778,7 @@ msgid ""
 "otherwise set it to 0. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:249
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
 msgid ""
 "returns \"yes\" if the yes/no field ``\"#bool\"`` is either undefined "
 "(neither True nor False) or True. More than one of ``is_undefined``, "
@@ -769,28 +786,28 @@ msgid ""
 " by the ``test()`` or ``is_empty()`` functions."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:250
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
 msgid ""
 "``cmp(x, y, lt, eq, gt)`` -- compares x and y after converting both to "
 "numbers. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:251
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
 msgid ""
 "``current_library_name()`` -- return the last name on the path to the "
 "current calibre library. This function can be called in template program "
 "mode using the template ``{:'current_library_name()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:252
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
 msgid ""
 "``current_library_path()`` -- return the path to the current calibre "
 "library. This function can be called in template program mode using the "
 "template ``{:'current_library_path()'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:253
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
 msgid ""
 "``days_between(date1, date2)`` -- return the number of days between "
 "``date1`` and ``date2``. The number is positive if ``date1`` is greater than"
@@ -798,13 +815,13 @@ msgid ""
 "dates, the function returns the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:254
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
 msgid ""
 "``divide(x, y)`` -- returns x / y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:255
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
 msgid ""
 "``eval(string)`` -- evaluates the string as a program, passing the local "
 "variables (those ``assign`` ed to). This permits using the template "
@@ -815,11 +832,11 @@ msgid ""
 "the argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:256
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:258
 msgid "``field(name)`` -- returns the metadata field named by ``name``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:257
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:259
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -827,27 +844,27 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:262
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:264
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:266
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:268
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:291
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -856,7 +873,7 @@ msgid ""
 "mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:293
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:295
 msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
@@ -867,14 +884,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:304
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:306
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:313
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -884,7 +901,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:314
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -892,7 +909,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:315
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -900,20 +917,20 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:316
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:317
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:318
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -921,7 +938,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:319
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -930,7 +947,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:320
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -938,7 +955,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:321
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -948,7 +965,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:322
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -956,7 +973,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:323
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If `direction` is zero, the list is sorted ascending,"
@@ -964,7 +981,7 @@ msgid ""
 " items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:324
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in list1 and list2, removing duplicate items using a case-insensitive"
@@ -973,46 +990,46 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:325
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
 msgid ""
 "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:326
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ondevice is set, otherwise "
 "return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:327
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
 msgid ""
 "``or(value, value, ...)`` -- returns the string \"1\" if any value is not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:328
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:329
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:330
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:332
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:331
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:333
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1024,17 +1041,17 @@ msgid ""
 "more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:335
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:336
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:337
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1044,19 +1061,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:338
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison x and y "
 "as strings. Returns ``lt`` if x < y. Returns ``eq`` if x == y. Otherwise "
 "returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:339
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:340
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1066,20 +1083,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:341
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
 msgid ""
 "``subtract(x, y)`` -- returns x - y. Throws an exception if either x or y "
 "are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:342
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:344
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in format_date or days_between, but can be manipulated like any other "
 "string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:343
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:345
 msgid ""
 "``template(x)`` -- evaluates x as a template. The evaluation is done in its "
 "own context, meaning that variables are not shared between the caller and "
@@ -1091,15 +1108,15 @@ msgid ""
 "argument to this function when using template program mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:348
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:350
 msgid "Function classification"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:359
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
 msgid "Using general program mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:361
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
 msgid ""
 "For more complicated template programs, it is sometimes easier to avoid "
 "template syntax (all the `{` and `}` characters), instead writing a more "
@@ -1109,7 +1126,7 @@ msgid ""
 "correct results."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:363
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
 msgid ""
 "One advantage of `program:` mode is that the brackets are no longer special."
 " For example, it is not necessary to use `[[` and `]]` when using the "
@@ -1123,7 +1140,7 @@ msgid ""
 "report."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:365
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
 msgid ""
 "The following example is a `program:` mode implementation of a recipe on the"
 " MobileRead forum: \"Put series into the title, using either initials or a "
@@ -1134,7 +1151,7 @@ msgid ""
 "following:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:367
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:369
 msgid ""
 "The solution requires creating three composite columns. The first column is "
 "used to remove the leading articles. The second is used to compute the "
@@ -1143,14 +1160,14 @@ msgid ""
 "of the three columns on the library view::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:406
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:408
 msgid ""
 "The following program produces the same results as the original recipe, "
 "using only one custom column to hold the results of a program that computes "
 "the special title value::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:443
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:445
 msgid ""
 "It would be possible to do the above with no custom columns by putting the "
 "program into the template box of the plugboard. However, to do so, all "
@@ -1160,11 +1177,11 @@ msgid ""
 " being one giant line."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:447
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
 msgid "User-defined template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:451
 msgid ""
 "You can add your own functions to the template processor. Such functions are"
 " written in Python, and can be used in any of the three template programming"
@@ -1172,11 +1189,11 @@ msgid ""
 "Template functions. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:454
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1187,18 +1204,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1208,25 +1225,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:468
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1234,11 +1251,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1249,7 +1266,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, save_to_disk, that "
@@ -1260,7 +1277,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1269,29 +1286,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:480
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1303,7 +1320,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1313,7 +1330,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1322,34 +1339,34 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "Helpful tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:494
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
 msgid ""
 "Create a custom composite column to test templates. Once you have the "
 "column, you can change its template simply by double-clicking on the column."
 " Hide the column when you are not testing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:495
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
 msgid ""
 "Templates can use other templates by referencing a composite custom column."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:496
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:497
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
diff -pruN 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/xpath.po 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/xpath.po
--- 4.99.6+dfsg+really4.20.0-1/translations/manual/zu/xpath.po	2019-06-13 05:18:07.000000000 +0000
+++ 4.99.7+dfsg+really4.21.0-1/translations/manual/zu/xpath.po	2020-07-16 17:02:08.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-15 12:28+0530\n"
-"PO-Revision-Date: 2018-06-15 01:02+0000\n"
+"POT-Creation-Date: 2020-07-03 07:43+0530\n"
+"PO-Revision-Date: 2020-07-03 02:15+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -159,5 +159,5 @@ msgid ""
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
 "makes matching case insensitive. A good primer on the syntax for regular "
 "expressions can be found at `regexp syntax "
-"<https://docs.python.org/2.7/library/re.html>`_"
+"<https://docs.python.org/library/re.html>`_"
 msgstr ""
